--
-- PostgreSQL database dump
--

-- Dumped from database version 12.19 (Debian 12.19-1.pgdg120+1)
-- Dumped by pg_dump version 12.19 (Debian 12.19-1.pgdg120+1)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

\connect db_testlab_production

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: context_user(character varying, character varying); Type: FUNCTION; Schema: public; Owner: dbu_testlab
--

CREATE FUNCTION public.context_user(user_login character varying, user_name character varying) RETURNS text
    LANGUAGE sql
    AS $$
select set_config('loylabs.user_name', user_name, false);
select set_config('loylabs.user_login', user_login, false);
$$;


ALTER FUNCTION public.context_user(user_login character varying, user_name character varying) OWNER TO dbu_testlab;

--
-- Name: trgf_all_history(); Type: FUNCTION; Schema: public; Owner: dbu_testlab
--

CREATE FUNCTION public.trgf_all_history() RETURNS trigger
    LANGUAGE plpgsql
    AS $_$
DECLARE
    OLDT    RECORD;
    stmtUpd text;
    stmtDel text;
BEGIN
    stmtUpd := 'insert into ' || TG_TABLE_NAME::TEXT || '_history values(nextval(''history_id_seq''), ($1).*)';
    stmtDel := 'insert into ' || TG_TABLE_NAME::TEXT || '_history values(nextval(''history_id_seq''), ($1).*)';

    if TG_OP = 'DELETE' then
        OLDT := OLD;
        OLDT.sys_operation := 'D';
        OLDT.sys_ds := CURRENT_TIMESTAMP;
        OLDT.sys_name := CURRENT_SETTING('loylabs.user_name');
        OLDT.sys_login := CURRENT_SETTING('loylabs.user_login');

        EXECUTE stmtUpd USING OLD;
        EXECUTE stmtDel USING OLDT;

        return OLD;
    elseif TG_OP = 'UPDATE' OR TG_OP = 'INSERT' then
        if TG_OP = 'UPDATE' then
            NEW.sys_operation := 'U';
            EXECUTE stmtUpd USING OLD;
        elseif TG_OP = 'INSERT' then
            NEW.sys_operation := 'I';
        end if;

        NEW.sys_ds := CURRENT_TIMESTAMP;
        NEW.sys_name := CURRENT_SETTING('loylabs.user_name');
        NEW.sys_login := CURRENT_SETTING('loylabs.user_login');

        RETURN NEW;
    end if;

    return null;
END;
$_$;


ALTER FUNCTION public.trgf_all_history() OWNER TO dbu_testlab;

--
-- Name: trgf_users_fix_zero(); Type: FUNCTION; Schema: public; Owner: dbu_testlab
--

CREATE FUNCTION public.trgf_users_fix_zero() RETURNS trigger
    LANGUAGE plpgsql
    AS $$
BEGIN
    IF 0 = NEW.parent_id THEN
        NEW.parent_id = null;
    END IF;

    IF NEW.password IS NULL THEN
        NEW.password = old.password;
    END IF;
    RETURN NEW;
END;
$$;


ALTER FUNCTION public.trgf_users_fix_zero() OWNER TO dbu_testlab;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: accounts; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.accounts (
    user_id bigint NOT NULL,
    test_balance integer,
    user_limit integer,
    subscription_start timestamp without time zone DEFAULT now() NOT NULL,
    subscription_end timestamp without time zone DEFAULT now() NOT NULL
);


ALTER TABLE public.accounts OWNER TO dbu_testlab;

--
-- Name: answer_seq; Type: SEQUENCE; Schema: public; Owner: dbu_testlab
--

CREATE SEQUENCE public.answer_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.answer_seq OWNER TO dbu_testlab;

--
-- Name: answers; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.answers (
    id bigint DEFAULT nextval('public.answer_seq'::regclass) NOT NULL,
    question_id bigint NOT NULL,
    description character varying NOT NULL,
    correct boolean NOT NULL,
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255)
);


ALTER TABLE public.answers OWNER TO dbu_testlab;

--
-- Name: answers_history; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.answers_history (
    history_id bigint NOT NULL,
    id bigint NOT NULL,
    question_id bigint NOT NULL,
    description character varying NOT NULL,
    correct boolean DEFAULT false NOT NULL,
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255)
);


ALTER TABLE public.answers_history OWNER TO dbu_testlab;

--
-- Name: candidate_answer_seq; Type: SEQUENCE; Schema: public; Owner: dbu_testlab
--

CREATE SEQUENCE public.candidate_answer_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.candidate_answer_seq OWNER TO dbu_testlab;

--
-- Name: candidate_answers; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.candidate_answers (
    id bigint DEFAULT nextval('public.candidate_answer_seq'::regclass) NOT NULL,
    candidate_question_id bigint NOT NULL,
    description character varying NOT NULL,
    correct boolean DEFAULT false NOT NULL,
    selected boolean DEFAULT false NOT NULL,
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255)
);


ALTER TABLE public.candidate_answers OWNER TO dbu_testlab;

--
-- Name: candidate_question_seq; Type: SEQUENCE; Schema: public; Owner: dbu_testlab
--

CREATE SEQUENCE public.candidate_question_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.candidate_question_seq OWNER TO dbu_testlab;

--
-- Name: candidate_questions; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.candidate_questions (
    id bigint DEFAULT nextval('public.candidate_question_seq'::regclass) NOT NULL,
    candidate_test_id bigint NOT NULL,
    description character varying NOT NULL,
    topic_name character varying(64) NOT NULL,
    type character varying(10) NOT NULL,
    answered boolean DEFAULT false NOT NULL
);


ALTER TABLE public.candidate_questions OWNER TO dbu_testlab;

--
-- Name: candidate_test_seq; Type: SEQUENCE; Schema: public; Owner: dbu_testlab
--

CREATE SEQUENCE public.candidate_test_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.candidate_test_seq OWNER TO dbu_testlab;

--
-- Name: candidate_tests; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.candidate_tests (
    id bigint DEFAULT nextval('public.candidate_test_seq'::regclass) NOT NULL,
    test_id bigint NOT NULL,
    link_code character varying(64) NOT NULL,
    description character varying(1024) NOT NULL,
    note character varying(1024),
    candidate_name character varying(256) NOT NULL,
    test_started timestamp without time zone,
    test_finished timestamp without time zone,
    status character varying(32) NOT NULL,
    duration integer NOT NULL,
    created timestamp without time zone NOT NULL,
    user_id bigint NOT NULL,
    level character varying(32),
    question_number integer NOT NULL,
    correct_question_number integer,
    not_viewed boolean DEFAULT false,
    name character varying(256),
    increased_complexity boolean DEFAULT false,
    "position" character varying(32),
    archived boolean DEFAULT false
);


ALTER TABLE public.candidate_tests OWNER TO dbu_testlab;

--
-- Name: company_infos_seq; Type: SEQUENCE; Schema: public; Owner: dbu_testlab
--

CREATE SEQUENCE public.company_infos_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.company_infos_seq OWNER TO dbu_testlab;

--
-- Name: company_infos; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.company_infos (
    id bigint DEFAULT nextval('public.company_infos_seq'::regclass) NOT NULL,
    type_comp character varying NOT NULL,
    legal_name_comp character varying NOT NULL,
    inn character varying NOT NULL,
    kpp character varying NOT NULL,
    ogrn character varying,
    bik character varying,
    payment_account character varying,
    correspondent_account character varying,
    bank_name character varying,
    legal_address character varying,
    actual_address character varying,
    name_ceo character varying,
    name_post character varying,
    post_address character varying,
    sys_operation character varying(255),
    sys_ds timestamp with time zone,
    sys_name character varying(255),
    sys_login character varying(255)
);


ALTER TABLE public.company_infos OWNER TO dbu_testlab;

--
-- Name: company_infos_history; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.company_infos_history (
    history_id bigint NOT NULL,
    id bigint NOT NULL,
    type_comp character varying NOT NULL,
    legal_name_comp character varying NOT NULL,
    inn character varying NOT NULL,
    kpp character varying NOT NULL,
    ogrn character varying,
    bik character varying,
    payment_account character varying,
    correspondent_account character varying,
    bank_name character varying,
    legal_address character varying,
    actual_address character varying,
    name_ceo character varying,
    name_post character varying,
    post_address character varying,
    sys_operation character varying(255),
    sys_ds timestamp with time zone,
    sys_name character varying(255),
    sys_login character varying(255)
);


ALTER TABLE public.company_infos_history OWNER TO dbu_testlab;

--
-- Name: flyway_schema_history; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.flyway_schema_history (
    installed_rank integer NOT NULL,
    version character varying(50),
    description character varying(200) NOT NULL,
    type character varying(20) NOT NULL,
    script character varying(1000) NOT NULL,
    checksum integer,
    installed_by character varying(100) NOT NULL,
    installed_on timestamp without time zone DEFAULT now() NOT NULL,
    execution_time integer NOT NULL,
    success boolean NOT NULL
);


ALTER TABLE public.flyway_schema_history OWNER TO dbu_testlab;

--
-- Name: history_id_seq; Type: SEQUENCE; Schema: public; Owner: dbu_testlab
--

CREATE SEQUENCE public.history_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.history_id_seq OWNER TO dbu_testlab;

--
-- Name: order_seq; Type: SEQUENCE; Schema: public; Owner: dbu_testlab
--

CREATE SEQUENCE public.order_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.order_seq OWNER TO dbu_testlab;

--
-- Name: orders; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.orders (
    id bigint DEFAULT nextval('public.order_seq'::regclass) NOT NULL,
    external_order_id character varying(64),
    payment_method character varying(32) NOT NULL,
    amount numeric(10,2) NOT NULL,
    test_quantity integer NOT NULL,
    order_status character varying(32) NOT NULL,
    rate_id bigint NOT NULL,
    user_id bigint NOT NULL,
    order_date timestamp without time zone DEFAULT now(),
    payment_date timestamp without time zone,
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255),
    subscription_days integer DEFAULT 0 NOT NULL,
    documents_requested_date timestamp without time zone,
    documents_responded_date timestamp without time zone,
    documents_post_name character varying,
    documents_post_address character varying
);


ALTER TABLE public.orders OWNER TO dbu_testlab;

--
-- Name: orders_history; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.orders_history (
    history_id bigint NOT NULL,
    id bigint NOT NULL,
    external_order_id character varying(64) NOT NULL,
    payment_method character varying(32) NOT NULL,
    amount numeric(10,2) NOT NULL,
    order_status character varying(32) NOT NULL,
    rate_id bigint NOT NULL,
    user_id bigint NOT NULL,
    order_date timestamp without time zone,
    payment_date timestamp without time zone,
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255),
    subscription_days integer NOT NULL,
    documents_requested_date timestamp without time zone,
    documents_responded_date timestamp without time zone,
    documents_post_name character varying,
    documents_post_address character varying
);


ALTER TABLE public.orders_history OWNER TO dbu_testlab;

--
-- Name: user_seq; Type: SEQUENCE; Schema: public; Owner: dbu_testlab
--

CREATE SEQUENCE public.user_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_seq OWNER TO dbu_testlab;

--
-- Name: users; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.users (
    id bigint DEFAULT nextval('public.user_seq'::regclass) NOT NULL,
    email character varying NOT NULL,
    phone character varying(15),
    password character varying NOT NULL,
    registered timestamp without time zone DEFAULT now() NOT NULL,
    enabled boolean DEFAULT true NOT NULL,
    parent_id bigint,
    confirmed boolean DEFAULT false NOT NULL,
    confirmation_code character varying(128),
    reset_password_code character varying(128),
    first_name character varying(128),
    last_name character varying(128),
    middle_name character varying(128),
    sys_operation character varying(128),
    sys_ds timestamp without time zone,
    sys_name character varying(128),
    sys_login character varying(128),
    company_info_id bigint DEFAULT 0 NOT NULL
);


ALTER TABLE public.users OWNER TO dbu_testlab;

--
-- Name: orders_view; Type: VIEW; Schema: public; Owner: dbu_testlab
--

CREATE VIEW public.orders_view AS
 SELECT o.id,
    o.external_order_id,
    o.payment_method,
    o.amount,
    o.test_quantity,
    o.order_status,
    o.rate_id,
    o.user_id,
    u.email,
    ci.legal_name_comp,
    o.order_date,
    o.payment_date,
    (o.documents_requested_date IS NOT NULL) AS documents_requested,
    (o.documents_responded_date IS NOT NULL) AS documents_responded,
    o.documents_requested_date,
    o.documents_responded_date,
    o.documents_post_name,
    o.documents_post_address,
    o.sys_operation,
    o.sys_ds,
    o.sys_name,
    o.sys_login
   FROM ((public.orders o
     JOIN public.users u ON ((o.user_id = u.id)))
     LEFT JOIN public.company_infos ci ON ((u.company_info_id = ci.id)));


ALTER TABLE public.orders_view OWNER TO dbu_testlab;

--
-- Name: question_seq; Type: SEQUENCE; Schema: public; Owner: dbu_testlab
--

CREATE SEQUENCE public.question_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.question_seq OWNER TO dbu_testlab;

--
-- Name: questions; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.questions (
    id bigint DEFAULT nextval('public.question_seq'::regclass) NOT NULL,
    description character varying NOT NULL,
    topic_id bigint NOT NULL,
    type character varying(32) NOT NULL,
    level character varying(32),
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255),
    increased_complexity boolean DEFAULT false,
    "position" character varying(32)
);


ALTER TABLE public.questions OWNER TO dbu_testlab;

--
-- Name: questions_history; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.questions_history (
    history_id bigint NOT NULL,
    id bigint NOT NULL,
    description character varying NOT NULL,
    topic_id bigint NOT NULL,
    type character varying(32) NOT NULL,
    level character varying(32),
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255),
    increased_complexity boolean,
    "position" character varying(32)
);


ALTER TABLE public.questions_history OWNER TO dbu_testlab;

--
-- Name: rates_seq; Type: SEQUENCE; Schema: public; Owner: dbu_testlab
--

CREATE SEQUENCE public.rates_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.rates_seq OWNER TO dbu_testlab;

--
-- Name: rates; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.rates (
    id bigint DEFAULT nextval('public.rates_seq'::regclass) NOT NULL,
    name character varying(256) NOT NULL,
    bill_price numeric(10,2) NOT NULL,
    test_amount integer NOT NULL,
    sys_operation character varying(255),
    sys_ds timestamp with time zone,
    sys_name character varying(255),
    sys_login character varying(255),
    subscription_days integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.rates OWNER TO dbu_testlab;

--
-- Name: rates_history; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.rates_history (
    history_id bigint NOT NULL,
    id bigint NOT NULL,
    name character varying(256) NOT NULL,
    bill_price numeric(10,2) NOT NULL,
    test_amount integer NOT NULL,
    sys_operation character varying(255),
    sys_ds timestamp with time zone,
    sys_name character varying(255),
    sys_login character varying(255),
    subscription_days integer NOT NULL
);


ALTER TABLE public.rates_history OWNER TO dbu_testlab;

--
-- Name: result_codes_seq; Type: SEQUENCE; Schema: public; Owner: dbu_testlab
--

CREATE SEQUENCE public.result_codes_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.result_codes_seq OWNER TO dbu_testlab;

--
-- Name: result_codes; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.result_codes (
    id bigint DEFAULT nextval('public.result_codes_seq'::regclass) NOT NULL,
    code character varying(255) NOT NULL,
    candidate_test_id bigint NOT NULL,
    created_at timestamp without time zone DEFAULT now(),
    ttl bigint NOT NULL,
    can_view_answers boolean DEFAULT false NOT NULL
);


ALTER TABLE public.result_codes OWNER TO dbu_testlab;

--
-- Name: section_seq; Type: SEQUENCE; Schema: public; Owner: dbu_testlab
--

CREATE SEQUENCE public.section_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.section_seq OWNER TO dbu_testlab;

--
-- Name: sections; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.sections (
    id bigint DEFAULT nextval('public.section_seq'::regclass) NOT NULL,
    name character varying(64) NOT NULL,
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255)
);


ALTER TABLE public.sections OWNER TO dbu_testlab;

--
-- Name: sections_history; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.sections_history (
    history_id bigint NOT NULL,
    id bigint NOT NULL,
    name character varying(64) NOT NULL,
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255)
);


ALTER TABLE public.sections_history OWNER TO dbu_testlab;

--
-- Name: sys_params; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.sys_params (
    smtp_host character varying(255),
    smtp_port integer,
    smtp_user character varying(255),
    smtp_password character varying(1024),
    smtp_email character varying(255),
    email_name character varying(255),
    email_register_confirmation_message character varying(1024),
    email_reset_password_message character varying(1024),
    email_finish_test_message character varying(1024),
    default_test_balance integer DEFAULT 0,
    default_user_limit integer DEFAULT 0,
    sys_params_id integer DEFAULT 1 NOT NULL,
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255),
    tinkoff_url character varying(256),
    tinkoff_terminal_key character varying(256),
    tinkoff_password character varying(256),
    email_register_confirmation_subject character varying(512),
    email_reset_password_subject character varying(512),
    email_finish_test_subject character varying(512),
    default_subscription_days integer DEFAULT 0,
    temp_invoice_store_path character varying,
    CONSTRAINT single_row_constraint CHECK ((sys_params_id = 1))
);


ALTER TABLE public.sys_params OWNER TO dbu_testlab;

--
-- Name: sys_params_history; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.sys_params_history (
    history_id bigint NOT NULL,
    smtp_host character varying(255),
    smtp_port integer,
    smtp_user character varying(255),
    smtp_password character varying(1024),
    smtp_email character varying(255),
    email_name character varying(255),
    email_register_confirmation_message character varying(1024),
    email_reset_password_message character varying(1024),
    email_finish_test_message character varying(1024),
    default_test_balance integer,
    default_user_limit integer,
    sys_params_id integer,
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255),
    tinkoff_url character varying(256),
    tinkoff_terminal_key character varying(256),
    tinkoff_password character varying(256),
    email_register_confirmation_subject character varying(512),
    email_reset_password_subject character varying(512),
    email_finish_test_subject character varying(512),
    default_subscription_days integer DEFAULT 0,
    temp_invoice_store_path character varying
);


ALTER TABLE public.sys_params_history OWNER TO dbu_testlab;

--
-- Name: test_questions; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.test_questions (
    test_id bigint NOT NULL,
    question_id bigint NOT NULL
);


ALTER TABLE public.test_questions OWNER TO dbu_testlab;

--
-- Name: test_seq; Type: SEQUENCE; Schema: public; Owner: dbu_testlab
--

CREATE SEQUENCE public.test_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.test_seq OWNER TO dbu_testlab;

--
-- Name: tests; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.tests (
    id bigint DEFAULT nextval('public.test_seq'::regclass) NOT NULL,
    name character varying(256) NOT NULL,
    description character varying,
    duration integer NOT NULL,
    user_id bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    level character varying(32),
    question_number integer NOT NULL,
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255),
    increased_complexity boolean DEFAULT false,
    "position" character varying(32)
);


ALTER TABLE public.tests OWNER TO dbu_testlab;

--
-- Name: tests_history; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.tests_history (
    history_id bigint NOT NULL,
    id bigint NOT NULL,
    name character varying(256) NOT NULL,
    description character varying,
    duration integer NOT NULL,
    user_id bigint NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    level character varying(32),
    question_number integer NOT NULL,
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255),
    increased_complexity boolean,
    "position" character varying(32)
);


ALTER TABLE public.tests_history OWNER TO dbu_testlab;

--
-- Name: topic_seq; Type: SEQUENCE; Schema: public; Owner: dbu_testlab
--

CREATE SEQUENCE public.topic_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.topic_seq OWNER TO dbu_testlab;

--
-- Name: topics; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.topics (
    id bigint DEFAULT nextval('public.topic_seq'::regclass) NOT NULL,
    section_id bigint NOT NULL,
    name character varying(64) NOT NULL,
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255)
);


ALTER TABLE public.topics OWNER TO dbu_testlab;

--
-- Name: topics_history; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.topics_history (
    history_id bigint NOT NULL,
    id bigint NOT NULL,
    section_id bigint NOT NULL,
    name character varying(64) NOT NULL,
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255)
);


ALTER TABLE public.topics_history OWNER TO dbu_testlab;

--
-- Name: user_roles; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.user_roles (
    user_id bigint NOT NULL,
    role character varying(24)
);


ALTER TABLE public.user_roles OWNER TO dbu_testlab;

--
-- Name: users_history; Type: TABLE; Schema: public; Owner: dbu_testlab
--

CREATE TABLE public.users_history (
    history_id bigint NOT NULL,
    id bigint,
    email character varying,
    phone character varying(10),
    password character varying,
    registered timestamp without time zone,
    enabled boolean,
    parent_id bigint,
    confirmed boolean,
    confirmation_code character varying(128),
    reset_password_code character varying(128),
    first_name character varying(128),
    last_name character varying(128),
    middle_name character varying(128),
    sys_operation character varying(255),
    sys_ds timestamp without time zone,
    sys_name character varying(255),
    sys_login character varying(255),
    company_info_id bigint
);


ALTER TABLE public.users_history OWNER TO dbu_testlab;

--
-- Data for Name: accounts; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.accounts VALUES (59, 72, 0, '2023-04-19 11:28:49.498203', '2023-05-19 11:28:49.498208');
INSERT INTO public.accounts VALUES (62, 3, 0, '2023-06-26 10:32:17.767707', '2023-07-26 10:32:17.767713');
INSERT INTO public.accounts VALUES (51, 735, 0, '2022-04-06 05:48:12.703508', '2025-03-01 00:00:00');
INSERT INTO public.accounts VALUES (63, 777, 0, '2023-07-17 17:42:59.53274', '2025-03-01 00:00:00');
INSERT INTO public.accounts VALUES (2, 96, 5, '2022-04-02 06:11:10.118923', '2023-04-01 00:00:00');
INSERT INTO public.accounts VALUES (57, 3, 0, '2022-08-25 13:21:35.11305', '2022-09-24 13:21:35.113056');
INSERT INTO public.accounts VALUES (64, 777, 0, '2023-07-18 10:58:39.788412', '2025-03-01 00:00:00');
INSERT INTO public.accounts VALUES (24, 3, 0, '2022-04-02 06:11:10.118923', '2023-04-01 00:00:00');
INSERT INTO public.accounts VALUES (35, 3, 0, '2022-04-02 06:11:10.118923', '2023-04-01 00:00:00');
INSERT INTO public.accounts VALUES (37, 98, 10, '2022-08-25 15:46:42.102045', '2022-10-01 00:00:00');
INSERT INTO public.accounts VALUES (41, 3, 0, '2022-04-02 06:11:10.118923', '2023-04-01 00:00:00');
INSERT INTO public.accounts VALUES (42, 3, 0, '2022-04-02 06:11:10.118923', '2023-04-01 00:00:00');
INSERT INTO public.accounts VALUES (48, 3, 0, '2022-04-02 06:11:10.118923', '2023-04-01 00:00:00');
INSERT INTO public.accounts VALUES (49, 3, 0, '2022-04-02 06:11:10.118923', '2023-04-01 00:00:00');
INSERT INTO public.accounts VALUES (50, 100, 100, '2022-04-02 06:11:10.118923', '2023-04-01 00:00:00');
INSERT INTO public.accounts VALUES (52, 3, 0, '2022-05-25 01:03:29.595881', '2022-06-24 01:03:29.595892');
INSERT INTO public.accounts VALUES (40, 1904, 0, '2022-04-02 06:11:10.118923', '2024-04-01 00:00:00');
INSERT INTO public.accounts VALUES (56, 1000, 10, '2022-10-14 11:11:39.245633', '2023-08-01 00:00:00');
INSERT INTO public.accounts VALUES (58, 1000, 10, '2022-12-13 18:50:30.672176', '2024-01-01 00:00:00');
INSERT INTO public.accounts VALUES (38, 100, 10, '2022-07-05 13:12:03.582443', '2023-07-06 00:00:00');
INSERT INTO public.accounts VALUES (39, 100, 10, '2022-07-05 13:17:38.666954', '2022-08-01 00:00:00');
INSERT INTO public.accounts VALUES (53, 2, 0, '2022-07-06 13:15:35.473964', '2022-08-05 13:15:35.473968');
INSERT INTO public.accounts VALUES (61, 3, 0, '2023-05-11 09:52:39.746409', '2023-06-10 09:52:39.746412');
INSERT INTO public.accounts VALUES (54, 3, 0, '2022-07-12 14:15:20.216081', '2022-08-11 14:15:20.216084');
INSERT INTO public.accounts VALUES (55, 3, 0, '2022-07-12 14:23:02.719957', '2022-08-11 14:23:02.719959');
INSERT INTO public.accounts VALUES (65, 3, 0, '2023-10-13 18:29:01.4996', '2023-11-12 18:29:01.499601');
INSERT INTO public.accounts VALUES (60, 863, 999, '2023-05-10 11:37:05.113527', '2025-02-01 00:00:00');


--
-- Data for Name: answers; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.answers VALUES (1860, 415, '#connect java compiler;
#connect java virtual machine;
class ExampleJava{}', false, 'I', '2020-11-24 19:32:17.822584', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1861, 415, 'package java compiler;
import java virtual machine;
class ExampleJava{}', false, 'I', '2020-11-24 19:32:17.822584', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1862, 415, 'package javacompiler;
import javavirtualmachine.*;
class ExampleJava{}', true, 'I', '2020-11-24 19:32:17.822584', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1863, 415, 'package javacompiler;
import javavirtualmachine;
Class ExampleJava{}', false, 'I', '2020-11-24 19:32:17.822584', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1904, 425, 'class Template {
public String font;
}', false, 'I', '2020-11-24 19:32:19.810198', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1905, 425, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, 'I', '2020-11-24 19:32:19.810198', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1906, 425, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, 'I', '2020-11-24 19:32:19.810198', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1907, 425, 'Ничего из перечисленного', true, 'I', '2020-11-24 19:32:19.810198', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1912, 427, 'Предполагается что все методы в них абстрактные', false, 'I', '2020-11-24 19:32:20.219433', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1913, 427, 'И те и другие могут содержать статические методы', true, 'I', '2020-11-24 19:32:20.219433', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1914, 427, 'И те и другие наследуют java.lang.Object', false, 'I', '2020-11-24 19:32:20.219433', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1915, 427, 'И те и другие могут содержать public static final переменные', true, 'I', '2020-11-24 19:32:20.219433', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1916, 427, 'И те и другие могут содержать default методы', false, 'I', '2020-11-24 19:32:20.219433', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1946, 434, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, 'I', '2020-11-24 19:32:21.448748', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1947, 434, 'И те и другие не могут содержать public static final переменные', false, 'I', '2020-11-24 19:32:21.448748', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1948, 434, 'И те и другие могут содержать default методы', false, 'I', '2020-11-24 19:32:21.448748', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1949, 434, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, 'I', '2020-11-24 19:32:21.448748', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1965, 438, 'Public методы', false, 'I', '2020-11-24 19:32:21.997613', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1966, 438, 'Protected методы', false, 'I', '2020-11-24 19:32:21.997613', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1967, 438, 'Private методы', true, 'I', '2020-11-24 19:32:21.997613', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1968, 438, 'Static методы', true, 'I', '2020-11-24 19:32:21.997613', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1969, 438, 'Private переменные', true, 'I', '2020-11-24 19:32:21.997613', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1970, 438, 'Public переменные', true, 'I', '2020-11-24 19:32:21.997613', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1971, 439, 'Если метод в качестве параметра принимает класс-предок трех других классов, то любой из этих классов может быть передан в качестве параметра', false, 'I', '2020-11-24 19:32:22.191066', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1972, 439, 'Все исключения при приведении типов могут быть замечены на этапе компиляции', false, 'I', '2020-11-24 19:32:22.191066', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1973, 439, 'Объект класса можно привести к его подклассу без явного приведения типов', false, 'I', '2020-11-24 19:32:22.191066', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1974, 439, 'Метод, принимающий в качестве параметра java.lang.Object, примет на вход любой объект', true, 'I', '2020-11-24 19:32:22.191066', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2850, 440, 'Интерфейс CanBark не скомпилируется', false, 'I', '2021-04-04 19:13:02.657908', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2851, 440, 'Класс, реализующий CanBark, наследует только метод bark()', false, 'I', '2021-04-04 19:13:02.657908', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2852, 440, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, 'I', '2021-04-04 19:13:02.657908', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2853, 440, 'Интерфейс не может расширять другой интерфейс', false, 'I', '2021-04-04 19:13:02.657908', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2854, 440, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, 'I', '2021-04-04 19:13:02.657908', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1991, 443, 'try, finally, catch', false, 'I', '2020-11-24 19:32:22.831051', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1992, 443, 'try, catch, finally', true, 'I', '2020-11-24 19:32:22.831051', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1993, 443, 'catch, try, finally', false, 'I', '2020-11-24 19:32:22.831051', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1994, 443, 'finally, catch, try', false, 'I', '2020-11-24 19:32:22.831051', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1995, 444, 'Каждая строка блока finally гарантированно будет выполнена', false, 'I', '2020-11-24 19:32:22.977039', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1996, 444, 'Блок finally не может выбрасывать исключений', false, 'I', '2020-11-24 19:32:22.977039', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1997, 444, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, 'I', '2020-11-24 19:32:22.977039', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1998, 444, 'Для блока finally обязательны фигурные скобки {}', true, 'I', '2020-11-24 19:32:22.977039', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (1999, 445, 'throws, throw', true, 'I', '2020-11-24 19:32:23.126281', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2000, 445, 'throw, throws', false, 'I', '2020-11-24 19:32:23.126281', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2001, 445, 'catch, throw', false, 'I', '2020-11-24 19:32:23.126281', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2002, 445, 'throw, catch', false, 'I', '2020-11-24 19:32:23.126281', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2003, 446, 'Блок catch для IllegalArgumentException должен идти перед блоком catch для ClassCastException', false, 'I', '2020-11-24 19:32:23.270072', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2004, 446, 'Блоки catch для этих двух исключений могут идти в любом порядке', true, 'I', '2020-11-24 19:32:23.270072', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2005, 446, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы', false, 'I', '2020-11-24 19:32:23.270072', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2006, 446, 'Блок catch для ClassCastException должен идти перед блоком catch для IllegalArgumentException', false, 'I', '2020-11-24 19:32:23.270072', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2007, 447, 'NoClassDefFoundError, StackOverflowError', false, 'I', '2020-11-24 19:32:23.416457', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2008, 447, 'StackOverflowError, NullPointerException', true, 'I', '2020-11-24 19:32:23.416457', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2009, 447, 'StackOverflowError, IllegalArgumentException', false, 'I', '2020-11-24 19:32:23.416457', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2010, 447, 'ClassCastException, IllegalArgumentException', false, 'I', '2020-11-24 19:32:23.416457', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2011, 448, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, 'I', '2020-11-24 19:32:23.558914', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2012, 448, 'Исключения зачастую используются когда что-то пошло не так', false, 'I', '2020-11-24 19:32:23.558914', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2013, 448, 'Некоторые исключения можно избежать программно', false, 'I', '2020-11-24 19:32:23.558914', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2895, 436, 'int amount = 10;', false, 'I', '2021-04-04 19:19:47.693035', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2896, 436, 'public static void eatGrass();', true, 'I', '2021-04-04 19:19:47.693035', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2897, 436, 'public int chew() { return 13; }', true, 'I', '2021-04-04 19:19:47.693035', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2898, 436, 'Ошибок нет', false, 'I', '2021-04-04 19:19:47.693035', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2936, 428, 'Bird is flyingPelican is flying', false, 'I', '2021-04-04 19:36:25.966945', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2937, 428, 'Bird is flying', true, 'I', '2021-04-04 19:36:25.966945', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2938, 428, 'Pelican is flying', false, 'I', '2021-04-04 19:36:25.966945', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2939, 428, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, 'I', '2021-04-04 19:36:25.966945', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2940, 428, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, 'I', '2021-04-04 19:36:25.966945', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2971, 592, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, 'I', '2021-04-12 10:48:52.489099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2972, 592, 'Подготовка и получение тестовых данных', true, 'I', '2021-04-12 10:48:52.489099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3108, 623, 'CLASS', false, 'I', '2021-04-12 12:47:17.374152', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2014, 448, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, 'I', '2020-11-24 19:32:23.558914', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2015, 449, 'Error', false, 'I', '2020-11-24 19:32:23.718333', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2016, 449, 'Exception', false, 'I', '2020-11-24 19:32:23.718333', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2017, 449, 'Throwable', true, 'I', '2020-11-24 19:32:23.718333', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2018, 449, 'RuntimeException', false, 'I', '2020-11-24 19:32:23.718333', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2019, 450, 'Блок catch для Exception должен идти перед блоком catch для IOException', false, 'I', '2020-11-24 19:32:23.85866', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2020, 450, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы', false, 'I', '2020-11-24 19:32:23.85866', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2021, 450, 'Блоки catch для этих двух исключений могут идти в любом порядке', false, 'I', '2020-11-24 19:32:23.85866', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2022, 450, 'Блок catch для IOException должен идти перед блоком catch для Exception', true, 'I', '2020-11-24 19:32:23.85866', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2023, 451, 'Блок catch для ClassCastException должен идти перед блоком catch для RuntimeException', true, 'I', '2020-11-24 19:32:24.004812', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2024, 451, 'Блоки catch для этих двух исключений могут идти в любом порядке', false, 'I', '2020-11-24 19:32:24.004812', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2025, 451, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы', false, 'I', '2020-11-24 19:32:24.004812', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2026, 451, 'Блок catch для RuntimeException должен идти перед блоком catch для ClassCastException', false, 'I', '2020-11-24 19:32:24.004812', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2027, 452, 'Последний совпадающий', false, 'I', '2020-11-24 19:32:24.140761', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2028, 452, 'Первый совпадающий', true, 'I', '2020-11-24 19:32:24.140761', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2029, 452, 'Все совпадающие', false, 'I', '2020-11-24 19:32:24.140761', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2030, 452, 'Невозможно написать такое выражение', false, 'I', '2020-11-24 19:32:24.140761', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2031, 453, 'Исключение из блока catch', false, 'I', '2020-11-24 19:32:24.281257', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2032, 453, 'Исключение из блока finally', true, 'I', '2020-11-24 19:32:24.281257', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2033, 453, 'Оба исключения: и из catch и из finally', false, 'I', '2020-11-24 19:32:24.281257', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2034, 453, 'Ничего из перечисленного', false, 'I', '2020-11-24 19:32:24.281257', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2035, 454, 'один, один или больше', false, 'I', '2020-11-24 19:32:24.414992', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2036, 454, 'ноль или один, ноль или больше', true, 'I', '2020-11-24 19:32:24.414992', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2037, 454, 'один или больше, ноль или один', false, 'I', '2020-11-24 19:32:24.414992', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2038, 454, 'ноль или один, ноль или один', false, 'I', '2020-11-24 19:32:24.414992', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2039, 455, 'Приложение временно потеряло соединение с интернетом', false, 'I', '2020-11-24 19:32:24.551018', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2040, 455, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, 'I', '2020-11-24 19:32:24.551018', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2041, 455, 'Пользователь неверно ввел свой пароль', false, 'I', '2020-11-24 19:32:24.551018', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2042, 455, 'У приложения кончилась память', true, 'I', '2020-11-24 19:32:24.551018', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2043, 456, 'непроверяемые исключения, java.lang.Exception', false, 'I', '2020-11-24 19:32:24.689199', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2044, 456, 'java.lang.Error, непроверяемые исключения', false, 'I', '2020-11-24 19:32:24.689199', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2045, 456, 'java.lang.Throwable, java.lang.Error', false, 'I', '2020-11-24 19:32:24.689199', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2046, 456, 'проверяемые исключения, java.lang.Error', true, 'I', '2020-11-24 19:32:24.689199', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2047, 457, 'ArrayIndexOutOfBoundsException', false, 'I', '2020-11-24 19:32:24.824418', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2048, 457, 'IOException', true, 'I', '2020-11-24 19:32:24.824418', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2049, 457, 'IllegalArgumentException', false, 'I', '2020-11-24 19:32:24.824418', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2050, 457, 'ClassCastException', false, 'I', '2020-11-24 19:32:24.824418', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2051, 458, 'import java.exception.*;', false, 'I', '2020-11-24 19:32:25.013034', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2052, 458, 'import java.util.exception.*;', false, 'I', '2020-11-24 19:32:25.013034', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2053, 458, 'import java.lang.*', false, 'I', '2020-11-24 19:32:25.013034', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2054, 458, 'Никакой из перечисленных', true, 'I', '2020-11-24 19:32:25.013034', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2055, 459, 'RuntimeException', false, 'I', '2020-11-24 19:32:25.150244', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2056, 459, 'Exception', false, 'I', '2020-11-24 19:32:25.150244', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2057, 459, 'CheckedException', false, 'I', '2020-11-24 19:32:25.150244', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2058, 459, 'Error', true, 'I', '2020-11-24 19:32:25.150244', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2059, 460, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, 'I', '2020-11-24 19:32:25.282464', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2060, 460, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, 'I', '2020-11-24 19:32:25.282464', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2061, 460, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, 'I', '2020-11-24 19:32:25.282464', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2062, 460, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, 'I', '2020-11-24 19:32:25.282464', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2063, 461, 'Инкапсуляция переменной', false, 'I', '2020-11-24 19:32:25.422965', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2323, 520, '-Xms', false, 'I', '2020-11-24 19:32:34.494137', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2064, 461, 'Статичность переменной', true, 'I', '2020-11-24 19:32:25.422965', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2065, 461, 'Синглтон переменная', false, 'I', '2020-11-24 19:32:25.422965', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2066, 461, 'Неизменяемость переменной', false, 'I', '2020-11-24 19:32:25.422965', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2067, 462, 'Никак', true, 'I', '2020-11-24 19:32:25.559072', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2068, 462, 'Убрать модификатор final и изменить переменную напрямую', false, 'I', '2020-11-24 19:32:25.559072', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2069, 462, 'Вызвать сеттер', false, 'I', '2020-11-24 19:32:25.559072', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2070, 462, 'Каким-либо способом, не перечисленным среди ответов', false, 'I', '2020-11-24 19:32:25.559072', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2071, 463, 'Статический класс', false, 'I', '2020-11-24 19:32:25.699714', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2072, 463, 'Синглтон класс', true, 'I', '2020-11-24 19:32:25.699714', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2073, 463, 'Immutable класс', false, 'I', '2020-11-24 19:32:25.699714', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2074, 463, 'Инкапсулируемый класс', false, 'I', '2020-11-24 19:32:25.699714', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2075, 464, 'Инкапсуляция связывает два класса вместе еще сильнее', true, 'I', '2020-11-24 19:32:25.842683', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2076, 464, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, 'I', '2020-11-24 19:32:25.842683', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2077, 464, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, 'I', '2020-11-24 19:32:25.842683', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2078, 464, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, 'I', '2020-11-24 19:32:25.842683', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2079, 465, 'Проверяемое исключение, выбрасываемое методом в классе-предке, должно выбрасываться методом в классе-потомке', true, 'I', '2020-11-24 19:32:25.985085', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2080, 465, 'Модификатор доступа у метода в классе-потомке должен быть такой же или шире чем у метода в классе-предке', false, 'I', '2020-11-24 19:32:25.985085', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2081, 465, 'Типы возвращаемого значения должны быть ковариантны', false, 'I', '2020-11-24 19:32:25.985085', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2082, 465, 'Проверяемое исключение, выбрасываемое методом в классе-потомке, должно быть того же класса или наследником того же класса что и исключение, выбрасываемое в классе-предке', false, 'I', '2020-11-24 19:32:25.985085', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2083, 466, 'Скрывает, переопределяет', false, 'I', '2020-11-24 19:32:26.12232', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2084, 466, 'Переопределяет, скрывает', false, 'I', '2020-11-24 19:32:26.12232', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2085, 466, 'Скрывает, Скрывает', true, 'I', '2020-11-24 19:32:26.12232', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2086, 466, 'заменяет, переопределяет', false, 'I', '2020-11-24 19:32:26.12232', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2087, 467, 'Абстрактного класса, конкретного класса', false, 'I', '2020-11-24 19:32:26.300197', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2088, 467, 'Класса-потомка, внешнего класса', false, 'I', '2020-11-24 19:32:26.300197', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2089, 467, 'Класса-предка, класса-потомка', true, 'I', '2020-11-24 19:32:26.300197', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2090, 467, 'Класса-потомка, класса предка', false, 'I', '2020-11-24 19:32:26.300197', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2091, 468, 'Наследуемые, переопределяемые', false, 'I', '2020-11-24 19:32:26.441297', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2092, 468, 'Перегружаемые, переопределяемые', false, 'I', '2020-11-24 19:32:26.441297', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2093, 468, 'Переопределяемые, перегружаемые', false, 'I', '2020-11-24 19:32:26.441297', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2094, 468, 'Ничего из перечисленного', true, 'I', '2020-11-24 19:32:26.441297', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2095, 469, 'Java не поддерживает множественное наследование', false, 'I', '2020-11-24 19:32:26.57745', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2096, 469, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, 'I', '2020-11-24 19:32:26.57745', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2097, 469, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, 'I', '2020-11-24 19:32:26.57745', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2098, 469, 'Java поддерживает множественное наследование между интерфейсами', true, 'I', '2020-11-24 19:32:26.57745', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2099, 470, 'final', false, 'I', '2020-11-24 19:32:26.722935', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2100, 470, 'static', false, 'I', '2020-11-24 19:32:26.722935', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2101, 470, 'public', false, 'I', '2020-11-24 19:32:26.722935', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2102, 470, 'abstract', true, 'I', '2020-11-24 19:32:26.722935', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2103, 471, 'Позволить интерфейсу определить метод на уровне класса', false, 'I', '2020-11-24 19:32:26.936681', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2104, 471, 'Позволить методам интерфейса быть унаследованными', false, 'I', '2020-11-24 19:32:26.936681', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2105, 471, 'Обеспечить обратную совместимость для существующих интерфейсов', true, 'I', '2020-11-24 19:32:26.936681', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2106, 471, 'Дать интерфейсу возможность создавать конкретные методы', false, 'I', '2020-11-24 19:32:26.936681', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2107, 472, 'Интерфейс', false, 'I', '2020-11-24 19:32:27.080381', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2108, 472, 'Абстрактный класс', false, 'I', '2020-11-24 19:32:27.080381', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2109, 472, 'Конкретный класс', true, 'I', '2020-11-24 19:32:27.080381', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2110, 472, 'Абстракция', false, 'I', '2020-11-24 19:32:27.080381', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2111, 473, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, 'I', '2020-11-24 19:32:27.267073', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2534, 564, '<=', true, 'I', '2020-11-24 19:32:42.323999', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2112, 473, 'Класс может реализовывать два интерфейса', false, 'I', '2020-11-24 19:32:27.267073', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2113, 473, 'Для наследования класса классом используется ключевое слово extends', false, 'I', '2020-11-24 19:32:27.267073', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2114, 473, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, 'I', '2020-11-24 19:32:27.267073', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2115, 474, 'Одинаковый список параметров', false, 'I', '2020-11-24 19:32:27.422056', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2116, 474, 'Разные типы возвращаемых значений', false, 'I', '2020-11-24 19:32:27.422056', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2117, 474, 'Ковариантные типы возвращаемых значений', false, 'I', '2020-11-24 19:32:27.422056', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2118, 474, 'Одинаковое название метода', true, 'I', '2020-11-24 19:32:27.422056', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2119, 475, 'Абстрактный класс', false, 'I', '2020-11-24 19:32:27.57215', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2120, 475, 'Модификатор доступа', false, 'I', '2020-11-24 19:32:27.57215', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2121, 475, 'Статический метод', false, 'I', '2020-11-24 19:32:27.57215', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2122, 475, 'Интерфейс', true, 'I', '2020-11-24 19:32:27.57215', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2123, 476, 'default', false, 'I', '2020-11-24 19:32:27.711896', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2124, 476, 'final', true, 'I', '2020-11-24 19:32:27.711896', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2125, 476, 'abstract', false, 'I', '2020-11-24 19:32:27.711896', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2126, 476, 'static', false, 'I', '2020-11-24 19:32:27.711896', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2127, 477, 'Если класс-предок содержит конструктор без аргументов, класс-наследник должен содержать конструктор без аргументов', false, 'I', '2020-11-24 19:32:27.850861', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2128, 477, 'Если класс-предок не содержит конструктор без аргументов и не содержит дефолтный конструктор, вставленный компилятором, класс-наследник должен содержать как минимум один конструктор', true, 'I', '2020-11-24 19:32:27.850861', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2129, 477, 'Если класс-предок не включает в себя конструктор без аргументов, класс-наследник так же не может объявить его', false, 'I', '2020-11-24 19:32:27.850861', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2130, 477, 'Если класс-предок содержит конструктор без аргументов, класс-наследник должен содержать как минимум один конструктор', false, 'I', '2020-11-24 19:32:27.850861', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2131, 478, 'И те и другие могут содержать статические методы', false, 'I', '2020-11-24 19:32:27.990264', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2132, 478, 'И те и другие могут содержать статические переменные', false, 'I', '2020-11-24 19:32:27.990264', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2133, 478, 'И те и другие могут содержать дефолтные методы', true, 'I', '2020-11-24 19:32:27.990264', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2134, 478, 'И те и другие могут содержать абстрактные методы', false, 'I', '2020-11-24 19:32:27.990264', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2135, 479, 'Конкретный класс, интерфейс', false, 'I', '2020-11-24 19:32:28.136187', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2136, 479, 'Интерфейс, абстрактный класс', false, 'I', '2020-11-24 19:32:28.136187', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2137, 479, 'Конкретный класс, абстрактный класс', false, 'I', '2020-11-24 19:32:28.136187', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2138, 479, 'Абстрактный класс, интерфейс', true, 'I', '2020-11-24 19:32:28.136187', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2139, 480, 'static', true, 'I', '2020-11-24 19:32:28.294873', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2140, 480, 'protected', false, 'I', '2020-11-24 19:32:28.294873', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2141, 480, 'final', false, 'I', '2020-11-24 19:32:28.294873', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2142, 480, 'private', false, 'I', '2020-11-24 19:32:28.294873', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2855, 441, 'Ошибка компиляции на строке:class Orca extends Whale {', false, 'I', '2021-04-04 19:13:46.858234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2856, 441, 'Ошибка компиляции на строке:public abstract void dive() {};', true, 'I', '2021-04-04 19:13:46.858234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2899, 437, 'Long', false, 'I', '2021-04-04 19:20:43.121006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2147, 482, 'String изменяем', true, 'I', '2020-11-24 19:32:28.643212', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2148, 482, 'String не изменяем', false, 'I', '2020-11-24 19:32:28.643212', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2149, 482, 'String может быть использован повторно через пул строк', false, 'I', '2020-11-24 19:32:28.643212', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2150, 482, 'String может быть создан без вызова конструктора', false, 'I', '2020-11-24 19:32:28.643212', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2151, 483, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, 'I', '2020-11-24 19:32:28.782098', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2152, 483, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, 'I', '2020-11-24 19:32:28.782098', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2153, 483, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, 'I', '2020-11-24 19:32:28.782098', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2154, 483, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, 'I', '2020-11-24 19:32:28.782098', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2155, 484, 'StringBuilder поддерживает разные языки и кодировки', false, 'I', '2020-11-24 19:32:28.979326', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2156, 484, 'StringBuilder может использовать == для сравнения значений', false, 'I', '2020-11-24 19:32:28.979326', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2157, 484, 'StringBuilder поддерживает многопоточность', false, 'I', '2020-11-24 19:32:28.979326', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2158, 484, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, 'I', '2020-11-24 19:32:28.979326', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2159, 485, 'Они позволяют наследовать несколько классов', false, 'I', '2020-11-24 19:32:29.121765', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2160, 485, 'Они позволяют писать код с отложенным выполнением', true, 'I', '2020-11-24 19:32:29.121765', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2161, 485, 'Они позволяют изменять байткод приложения во время его исполнения', false, 'I', '2020-11-24 19:32:29.121765', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2162, 485, 'Они позволяют конвертировать примитивы в классы-обертки', false, 'I', '2020-11-24 19:32:29.121765', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2163, 486, 'Значение финальной статической переменной может быть присвоено в конструкторе класса', false, 'I', '2020-11-24 19:32:29.263736', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2164, 486, 'Из статического метода можно обратиться к переменной экземпляра класса', false, 'I', '2020-11-24 19:32:29.263736', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2165, 486, 'Из статического блока инициализации можно обратиться к переменной экземпляра класса', false, 'I', '2020-11-24 19:32:29.263736', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2166, 486, 'Из метода экземпляра класса можно обратиться к статической переменной', true, 'I', '2020-11-24 19:32:29.263736', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2167, 487, 'Локальная переменная', false, 'I', '2020-11-24 19:32:29.405997', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2168, 487, 'Публичная переменная', false, 'I', '2020-11-24 19:32:29.405997', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2169, 487, 'Статическая переменная', true, 'I', '2020-11-24 19:32:29.405997', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2170, 487, 'Переменная экземпляра', false, 'I', '2020-11-24 19:32:29.405997', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2171, 488, 'Только из классов, которые находятся в том же пакете, что и Test', false, 'I', '2020-11-24 19:32:29.550405', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2172, 488, 'Из любого класса-предка Test', false, 'I', '2020-11-24 19:32:29.550405', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2173, 488, 'Только из подклассов класса Test', false, 'I', '2020-11-24 19:32:29.550405', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2174, 488, 'Из любого подкласса Test или из любого класса, находящегося в том же пакете что Test', true, 'I', '2020-11-24 19:32:29.550405', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2175, 489, 'Передача по значению', true, 'I', '2020-11-24 19:32:29.691761', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2176, 489, 'Передача по ссылке', false, 'I', '2020-11-24 19:32:29.691761', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2177, 489, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, 'I', '2020-11-24 19:32:29.691761', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2178, 490, 'Класс может содержать больше одного конструктора без аргументов', false, 'I', '2020-11-24 19:32:29.839142', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2179, 490, 'В случае если класс вызывает super() в одном из своих конструкторов, его класс-предок должен явно реализовать конструктор без аргументов', false, 'I', '2020-11-24 19:32:29.839142', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2180, 490, 'Если класс-наследник наследует класс-предок, у которого только один конструктор, и он с аргументом, тогда класс-наследник должен явно объявить как минимум один конструктор', true, 'I', '2020-11-24 19:32:29.839142', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2181, 490, 'Компилятор Java всегда вставляет дефолтный конструктор без аргументов если вы не объявляете конструктор без аргументов в вашем классе', false, 'I', '2020-11-24 19:32:29.839142', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2182, 491, 'this()', true, 'I', '2020-11-24 19:32:30.005389', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2183, 491, 'super()', false, 'I', '2020-11-24 19:32:30.005389', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2184, 491, 'that()', false, 'I', '2020-11-24 19:32:30.005389', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2185, 491, 'construct()', false, 'I', '2020-11-24 19:32:30.005389', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2186, 492, 'default', false, 'I', '2020-11-24 19:32:30.157218', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2187, 492, 'private', false, 'I', '2020-11-24 19:32:30.157218', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2188, 492, 'protected', false, 'I', '2020-11-24 19:32:30.157218', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2189, 492, 'Никакие из перечисленных', true, 'I', '2020-11-24 19:32:30.157218', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2190, 493, 'public void sing(int note, String... sound, int music)', false, 'I', '2020-11-24 19:32:30.308073', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2191, 493, 'public void sing(String... keys, String... pitches)', false, 'I', '2020-11-24 19:32:30.308073', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2192, 493, 'public void sing(String... notes, String melodies)', false, 'I', '2020-11-24 19:32:30.308073', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2193, 493, 'public void sing(String key, String... harmonies)', true, 'I', '2020-11-24 19:32:30.308073', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2194, 494, '\jog13()', false, 'I', '2020-11-24 19:32:30.443886', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2195, 494, '%run()', false, 'I', '2020-11-24 19:32:30.443886', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2196, 494, '$print()', true, 'I', '2020-11-24 19:32:30.443886', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2197, 494, 'walk#()', false, 'I', '2020-11-24 19:32:30.443886', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2198, 495, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, 'I', '2020-11-24 19:32:30.584025', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2199, 495, 'Невозможно сослаться на статические методы используя статические импорты', false, 'I', '2020-11-24 19:32:30.584025', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2200, 495, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, 'I', '2020-11-24 19:32:30.584025', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2201, 495, 'Статическая переменная всегда доступна во всех экземплярах класса', true, 'I', '2020-11-24 19:32:30.584025', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2202, 496, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, 'I', '2020-11-24 19:32:30.723408', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2203, 496, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, 'I', '2020-11-24 19:32:30.723408', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2204, 496, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, 'I', '2020-11-24 19:32:30.723408', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2900, 437, 'CanHop', true, 'I', '2021-04-04 19:20:43.121006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2205, 496, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, 'I', '2020-11-24 19:32:30.723408', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2206, 497, 'super() и this', false, 'I', '2020-11-24 19:32:30.867889', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2207, 497, 'super() и super', true, 'I', '2020-11-24 19:32:30.867889', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2208, 497, 'super и super()', false, 'I', '2020-11-24 19:32:30.867889', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2209, 497, 'super и this()', false, 'I', '2020-11-24 19:32:30.867889', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2210, 498, 'Класс не обязан иметь явно объявленный конструктор', false, 'I', '2020-11-24 19:32:31.041074', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2211, 498, 'Если значение финальной переменной экземпляра класса не присвоено при объявлении переменной или в блоке инициализации, то оно должно быть присвоено в конструкторе', false, 'I', '2020-11-24 19:32:31.041074', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2212, 498, 'Первая строка любого конструктора это вызов конструктора класса-предка через super()', true, 'I', '2020-11-24 19:32:31.041074', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2213, 498, 'Конструктор может передавать аргументы в конструктор класса-предка', false, 'I', '2020-11-24 19:32:31.041074', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2857, 441, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, 'I', '2021-04-04 19:13:46.858234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2858, 441, 'Orca diving', false, 'I', '2021-04-04 19:13:46.858234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2859, 441, 'Данных недостаточно для определения результата исполнения', false, 'I', '2021-04-04 19:13:46.858234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2901, 437, 'Object', true, 'I', '2021-04-04 19:20:43.121006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2902, 437, 'Frog', true, 'I', '2021-04-04 19:20:43.121006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2219, 500, 'boolean', false, 'I', '2020-11-24 19:32:31.355973', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2220, 500, 'int[]', true, 'I', '2020-11-24 19:32:31.355973', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2221, 500, 'long', false, 'I', '2020-11-24 19:32:31.355973', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2222, 500, 'String', false, 'I', '2020-11-24 19:32:31.355973', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2903, 437, 'BrazilianHornedFrog', false, 'I', '2021-04-04 19:20:43.121006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2904, 437, 'TurtleFrog', true, 'I', '2021-04-04 19:20:43.121006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2941, 429, 'Reptile laying eggs', false, 'I', '2021-04-04 19:36:58.736222', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2942, 429, 'Lizard laying eggs', false, 'I', '2021-04-04 19:36:58.736222', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2943, 429, 'Ошибка компиляции на строке:Reptile reptile = new Lizard();', false, 'I', '2021-04-04 19:36:58.736222', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2944, 429, 'Ошибка компиляции на строке:reptile.layEggs();', false, 'I', '2021-04-04 19:36:58.736222', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2945, 429, 'Ошибка компиляции на строке:public void layEggs() { System.out.println("Lizard laying eggs"); }', true, 'I', '2021-04-04 19:36:58.736222', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2973, 592, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, 'I', '2021-04-12 10:48:52.489099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2974, 592, 'Создание тестовых спецификаций', true, 'I', '2021-04-12 10:48:52.489099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2995, 598, 'Валидация', false, 'I', '2021-04-12 10:55:02.827373', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2996, 598, 'Тестирование', false, 'I', '2021-04-12 10:55:02.827373', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2997, 598, 'Отладка', true, 'I', '2021-04-12 10:55:02.827373', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2998, 598, 'Верификация', false, 'I', '2021-04-12 10:55:02.827373', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3010, 602, 'Модульное, интеграционное, системное, приемочное', true, 'I', '2021-04-12 10:58:29.132431', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3011, 602, 'Системное, интеграционное, модульное, приемочное', false, 'I', '2021-04-12 10:58:29.132431', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3012, 602, 'Модульное, интеграционное, приемочное, системное', false, 'I', '2021-04-12 10:58:29.132431', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3013, 602, 'Ни один из перечисленных', false, 'I', '2021-04-12 10:58:29.132431', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3022, 605, 'Функциональное тестирование', false, 'I', '2021-04-12 11:03:25.849964', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3023, 605, 'Структурное тестирование', true, 'I', '2021-04-12 11:03:25.849964', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3024, 605, 'Ни одно из вышеперечисленного', false, 'I', '2021-04-12 11:03:25.849964', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3032, 608, 'Компонентное тестирование тестирует взаимодействия, интеграционное ищет дефекты', false, 'I', '2021-04-12 12:17:48.757603', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3033, 608, 'Тестирование компонентов выполняет поиск дефектов, интеграционное тестирует взаимодействия', true, 'I', '2021-04-12 12:17:48.757603', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3034, 608, 'Разработчики выполняют тестирование компонентов, тестировщики - интеграционное тестирование', false, 'I', '2021-04-12 12:17:48.757603', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3035, 608, 'Тестировщики выполняют компонентное испытание, пользователи – интеграционное', false, 'I', '2021-04-12 12:17:48.757603', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3044, 611, '0, 1900, 2004, 2005', false, 'I', '2021-04-12 12:25:19.758867', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3045, 611, '1900, 2004', false, 'I', '2021-04-12 12:25:19.758867', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3046, 611, '1899, 1900, 2004, 2005', true, 'I', '2021-04-12 12:25:19.758867', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3047, 611, '1899, 1900, 1901, 2003, 2004, 2005', false, 'I', '2021-04-12 12:25:19.758867', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3052, 613, 'Каждую неделю', false, 'I', '2021-04-12 12:27:25.365099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3053, 613, 'После изменения программного обеспечения', true, 'I', '2021-04-12 12:27:25.365099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3054, 613, 'Как можно чаще', false, 'I', '2021-04-12 12:27:25.365099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3055, 613, 'Когда среда изменилась', false, 'I', '2021-04-12 12:27:25.365099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3056, 613, 'Когда менеджер проекта говорит', false, 'I', '2021-04-12 12:27:25.365099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3061, 615, 'Всегда будет автоматизирован', false, 'I', '2021-04-12 12:28:55.452226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2860, 442, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, 'I', '2021-04-04 19:14:37.067733', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2861, 442, 'Ошибка компиляции на строке:new Mammal(5);', false, 'I', '2021-04-04 19:14:37.067733', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2862, 442, 'Platypus', false, 'I', '2021-04-04 19:14:37.067733', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2863, 442, 'Mammal', false, 'I', '2021-04-04 19:14:37.067733', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2864, 442, 'PlatypusMammal', false, 'I', '2021-04-04 19:14:37.067733', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2865, 442, 'MammalPlatypus', false, 'I', '2021-04-04 19:14:37.067733', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2276, 510, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, 'I', '2020-11-24 19:32:32.833176', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2277, 510, 'Интерфейс, который содержит в себе только один абстрактный метод', false, 'I', '2020-11-24 19:32:32.833176', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2278, 510, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, 'I', '2020-11-24 19:32:32.833176', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2279, 510, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, 'I', '2020-11-24 19:32:32.833176', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2280, 511, 'Method reference', true, 'I', '2020-11-24 19:32:32.969915', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2281, 511, 'var type-inference', false, 'I', '2020-11-24 19:32:32.969915', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2282, 511, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, 'I', '2020-11-24 19:32:32.969915', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2283, 511, 'HTTP Client', false, 'I', '2020-11-24 19:32:32.969915', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2284, 512, 'Stack', false, 'I', '2020-11-24 19:32:33.108222', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2285, 512, 'Survivor Space', false, 'I', '2020-11-24 19:32:33.108222', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2286, 512, 'Virtual Space', true, 'I', '2020-11-24 19:32:33.108222', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2287, 512, 'Young Generation', false, 'I', '2020-11-24 19:32:33.108222', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2288, 512, 'Metaspace', false, 'I', '2020-11-24 19:32:33.108222', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2289, 513, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, 'I', '2020-11-24 19:32:33.250517', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2290, 513, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, 'I', '2020-11-24 19:32:33.250517', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2291, 513, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, 'I', '2020-11-24 19:32:33.250517', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2292, 513, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, 'I', '2020-11-24 19:32:33.250517', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2293, 514, 'StrongReference', false, 'I', '2020-11-24 19:32:33.391787', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2294, 514, 'WeakReference', false, 'I', '2020-11-24 19:32:33.391787', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2295, 514, 'SoftReference', true, 'I', '2020-11-24 19:32:33.391787', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2296, 514, 'PhantomReference', false, 'I', '2020-11-24 19:32:33.391787', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2297, 515, 'AtomicLong', false, 'I', '2020-11-24 19:32:33.611731', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2298, 515, 'AtomicBoolean', false, 'I', '2020-11-24 19:32:33.611731', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2299, 515, 'AtomicInteger', false, 'I', '2020-11-24 19:32:33.611731', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2300, 515, 'AtomicDouble', true, 'I', '2020-11-24 19:32:33.611731', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2301, 516, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, 'I', '2020-11-24 19:32:33.803399', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2353, 526, 'Не создавать методы, модифицирующие поля или объекты на которые ссылаются поля', true, 'I', '2020-11-24 19:32:35.493271', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2302, 516, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, 'I', '2020-11-24 19:32:33.803399', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2303, 516, 'Позволяет обмениваться объектами между двумя потоками', false, 'I', '2020-11-24 19:32:33.803399', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2304, 516, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, 'I', '2020-11-24 19:32:33.803399', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2305, 517, 'Exchanger', false, 'I', '2020-11-24 19:32:34.003031', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2306, 517, 'ReentrantLock', false, 'I', '2020-11-24 19:32:34.003031', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2307, 517, 'ThreadLocal', true, 'I', '2020-11-24 19:32:34.003031', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2308, 517, 'RecursiveTask', false, 'I', '2020-11-24 19:32:34.003031', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2309, 518, 'TERMINATED', true, 'I', '2020-11-24 19:32:34.171919', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2310, 518, 'RUNNABLE', true, 'I', '2020-11-24 19:32:34.171919', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2311, 518, 'BLOCKED', true, 'I', '2020-11-24 19:32:34.171919', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2312, 518, 'WAITING', true, 'I', '2020-11-24 19:32:34.171919', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2313, 518, 'NEW', true, 'I', '2020-11-24 19:32:34.171919', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2314, 518, 'STARTED', false, 'I', '2020-11-24 19:32:34.171919', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2315, 519, 'Race conditions', true, 'I', '2020-11-24 19:32:34.338981', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2316, 519, 'DeadLock', true, 'I', '2020-11-24 19:32:34.338981', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2317, 519, 'Memory exchange', false, 'I', '2020-11-24 19:32:34.338981', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2318, 519, 'LiveLock', true, 'I', '2020-11-24 19:32:34.338981', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2319, 519, 'Lost resources', false, 'I', '2020-11-24 19:32:34.338981', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2320, 519, 'Starvation', true, 'I', '2020-11-24 19:32:34.338981', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2321, 520, '-Xss', true, 'I', '2020-11-24 19:32:34.494137', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2975, 593, 'Системный уровень тестирования', false, 'I', '2021-04-12 10:49:59.987654', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2976, 593, 'Интеграционный уровень тестирования', true, 'I', '2021-04-12 10:49:59.987654', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2977, 593, 'Модульный уровень тестирования', false, 'I', '2021-04-12 10:49:59.987654', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2978, 593, 'Компонентное тестирование', false, 'I', '2021-04-12 10:49:59.987654', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2999, 599, 'Регрессионным тестированием', false, 'I', '2021-04-12 10:56:11.882638', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3109, 623, 'cLASS', false, 'I', '2021-04-12 12:47:17.374152', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2866, 430, 'Скомпилируется без ошибки', false, 'I', '2021-04-04 19:16:03.148421', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2867, 430, 'Не скомпилируется, потому что типы возвращаемых значений не ковариантны', false, 'I', '2021-04-04 19:16:03.148421', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2868, 430, 'Не скомпилируется, потому что метод protected в классе-предке и public в классе-наследнике', false, 'I', '2021-04-04 19:16:03.148421', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2869, 430, 'Не скомпилируется, потому что метод выбрасывает исключение, которое является наследником выбрасываемого классом-предком исключения.', false, 'I', '2021-04-04 19:16:03.148421', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2870, 430, 'Не скомпилируется, потому что static метод нельзя наследовать', true, 'I', '2021-04-04 19:16:03.148421', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2909, 420, 'Класс ExampleJava бросит исключение во время выполнения программы', false, 'I', '2021-04-04 19:33:41.910114', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2910, 420, 'Класс ExampleJava не скомпилируется', true, 'I', '2021-04-04 19:33:41.910114', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2911, 420, 'Класс ExampleJava напечатает Java', false, 'I', '2021-04-04 19:33:41.910114', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2912, 420, 'Класс ExampleJava напечатает null', false, 'I', '2021-04-04 19:33:41.910114', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2950, 416, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, 'I', '2021-04-04 19:38:25.3262', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2951, 416, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, 'I', '2021-04-04 19:38:25.3262', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2952, 416, 'Оба класса Student и Course определены в пакете com.examplejava', true, 'I', '2021-04-04 19:38:25.3262', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2953, 416, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, 'I', '2021-04-04 19:38:25.3262', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2979, 594, '12, 16, 22', false, 'I', '2021-04-12 10:51:24.839648', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2980, 594, '24 ,27, 17', false, 'I', '2021-04-12 10:51:24.839648', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2981, 594, '22, 23, 24', true, 'I', '2021-04-12 10:51:24.839648', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2982, 594, '14, 15, 19', false, 'I', '2021-04-12 10:51:24.839648', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3000, 599, 'Тестированием в период сопровождения', false, 'I', '2021-04-12 10:56:11.882638', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3001, 599, 'Повторным тестированием', true, 'I', '2021-04-12 10:56:11.882638', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3002, 599, 'Ничего из перечисленного', false, 'I', '2021-04-12 10:56:11.882638', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3014, 603, 'Стресс-тестирование', false, 'I', '2021-04-12 11:01:12.142647', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3015, 603, 'Тестирование черного ящика', false, 'I', '2021-04-12 11:01:12.142647', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3016, 603, 'Структурное тестирование', false, 'I', '2021-04-12 11:01:12.142647', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3017, 603, 'Регрессионное тестирование', true, 'I', '2021-04-12 11:01:12.142647', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3025, 606, 'Тестирование серого ящика', true, 'I', '2021-04-12 11:04:08.262827', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3026, 606, 'Смешанное тестирование', false, 'I', '2021-04-12 11:04:08.262827', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3027, 606, 'Ни один из вариантов', false, 'I', '2021-04-12 11:04:08.262827', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2351, 526, 'Объявить класс final', false, 'I', '2020-11-24 19:32:35.493271', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2352, 526, 'Сделать конструктор private', false, 'I', '2020-11-24 19:32:35.493271', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2478, 553, 'private поля', false, 'I', '2020-11-24 19:32:40.54742', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2354, 526, 'Не позволять подклассам переопределять методы', true, 'I', '2020-11-24 19:32:35.493271', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2355, 526, 'Объявить все поля final и private', true, 'I', '2020-11-24 19:32:35.493271', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3036, 609, 'Отсутствие технической документации', false, 'I', '2021-04-12 12:18:34.250499', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3037, 609, 'Отсутствие тестовых инструментов на рынке для разработчиков', false, 'I', '2021-04-12 12:18:34.250499', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3038, 609, 'Отсутствие обучения', false, 'I', '2021-04-12 12:18:34.250499', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3039, 609, 'Отсутствие объективности', true, 'I', '2021-04-12 12:18:34.250499', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3048, 612, 'Требования', true, 'I', '2021-04-12 12:26:08.783346', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3049, 612, 'Проектирование', false, 'I', '2021-04-12 12:26:08.783346', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3050, 612, 'Код', false, 'I', '2021-04-12 12:26:08.783346', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3110, 623, 'CLass', false, 'I', '2021-04-12 12:47:17.374152', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2366, 529, 'ExecutorService es = Executors.newSingleThreadExecutor(2);', false, 'I', '2020-11-24 19:32:36.064159', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2367, 529, 'ExecutorService es = Executors.newFixedThreadPool(2);', true, 'I', '2020-11-24 19:32:36.064159', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2368, 529, 'ExecutorService es = Executors.newScheduledThreadPool(2);', true, 'I', '2020-11-24 19:32:36.064159', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2369, 529, 'ExecutorService es = Executors.newScheduledThreadPool();', false, 'I', '2020-11-24 19:32:36.064159', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2370, 529, 'ExecutorService es = Executors.newSingleThreadScheduledExecutor();', true, 'I', '2020-11-24 19:32:36.064159', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2371, 530, 'Consumer', true, 'I', '2020-11-24 19:32:36.228051', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2372, 530, 'IntegerConsumer', false, 'I', '2020-11-24 19:32:36.228051', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2373, 530, 'LongConsumer', true, 'I', '2020-11-24 19:32:36.228051', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2374, 530, 'BooleanConsumer', false, 'I', '2020-11-24 19:32:36.228051', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2375, 530, 'DoubleConsumer', true, 'I', '2020-11-24 19:32:36.228051', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2376, 531, 'Function<T,R>', true, 'I', '2020-11-24 19:32:36.38503', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2377, 531, 'Consumer<T>', false, 'I', '2020-11-24 19:32:36.38503', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2378, 531, 'Supplier<T>', false, 'I', '2020-11-24 19:32:36.38503', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2379, 531, 'Predicate<T>', false, 'I', '2020-11-24 19:32:36.38503', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2380, 531, 'UnaryOperator<T>', true, 'I', '2020-11-24 19:32:36.38503', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2871, 431, 'Ошибка компиляции на строке:public abstract void dive() {};', true, 'I', '2021-04-04 19:16:40.886007', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2872, 431, 'Ошибка компиляции на строке:class Orca extends Whale {', false, 'I', '2021-04-04 19:16:40.886007', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2873, 431, 'Orca diving', false, 'I', '2021-04-04 19:16:40.886007', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2874, 431, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, 'I', '2021-04-04 19:16:40.886007', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2913, 421, 'Нельзя определить аргумент метода как private переменную.', true, 'I', '2021-04-04 19:34:04.485773', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2914, 421, 'Аргумент метода должен быть объявлен с public или default доступом.', false, 'I', '2021-04-04 19:34:04.485773', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2915, 421, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, 'I', '2021-04-04 19:34:04.485773', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2916, 421, 'Ничего из указанного.', false, 'I', '2021-04-04 19:34:04.485773', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2954, 417, 'public void main (String[] args)', false, 'I', '2021-04-04 19:38:49.964994', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2955, 417, 'static public void main (String[] array)', true, 'I', '2021-04-04 19:38:49.964994', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2956, 417, 'public static void main (String args[])', true, 'I', '2021-04-04 19:38:49.964994', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2957, 417, 'static public main (String args[])', false, 'I', '2021-04-04 19:38:49.964994', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2399, 536, 'Consumer<T,U>', false, 'I', '2020-11-24 19:32:37.188979', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2400, 536, 'BiFunction<T,U>', false, 'I', '2020-11-24 19:32:37.188979', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2401, 536, 'Predicate<T>', false, 'I', '2020-11-24 19:32:37.188979', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2402, 536, 'BiConsumer<T,U>', true, 'I', '2020-11-24 19:32:37.188979', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2403, 537, 'public', true, 'I', '2020-11-24 19:32:37.34507', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2404, 537, 'abstract', false, 'I', '2020-11-24 19:32:37.34507', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2405, 537, 'static', false, 'I', '2020-11-24 19:32:37.34507', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2406, 537, 'protected', false, 'I', '2020-11-24 19:32:37.34507', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2407, 537, 'final', false, 'I', '2020-11-24 19:32:37.34507', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2408, 538, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, 'I', '2020-11-24 19:32:37.659243', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2409, 538, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, 'I', '2020-11-24 19:32:37.659243', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2410, 538, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, 'I', '2020-11-24 19:32:37.659243', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2411, 538, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, 'I', '2020-11-24 19:32:37.659243', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2412, 539, 'Permanent Generation', false, 'I', '2020-11-24 19:32:37.837941', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2413, 539, 'Metaspace', false, 'I', '2020-11-24 19:32:37.837941', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2414, 539, 'Old Generation', true, 'I', '2020-11-24 19:32:37.837941', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2415, 539, 'Eden Space', true, 'I', '2020-11-24 19:32:37.837941', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2416, 539, 'Survivor Space', true, 'I', '2020-11-24 19:32:37.837941', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2417, 540, 'await()', false, 'I', '2020-11-24 19:32:38.024957', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2418, 540, 'synchronize()', false, 'I', '2020-11-24 19:32:38.024957', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2419, 540, 'sleep()', false, 'I', '2020-11-24 19:32:38.024957', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2420, 540, 'wait()', true, 'I', '2020-11-24 19:32:38.024957', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2479, 553, 'static поля', true, 'I', '2020-11-24 19:32:40.54742', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2421, 541, 'Механизм позволяющий получить доступ из кода к метаинформации о классах', true, 'I', '2020-11-24 19:32:38.192088', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2422, 541, 'Механизм позволяющий методу вызывать самого себя', false, 'I', '2020-11-24 19:32:38.192088', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2423, 541, 'Механизм позволяющий получить данные о состоянии памяти, используемой приложением', false, 'I', '2020-11-24 19:32:38.192088', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2424, 541, 'Парадигма асинхронного программирования, связанная с потоками данных', false, 'I', '2020-11-24 19:32:38.192088', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2425, 542, 'System.out.println(IntStream.rangeClosed(1,6).sum());', false, 'I', '2020-11-24 19:32:38.357709', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2426, 542, 'System.out.println(IntStream.range(2,6).sum());', true, 'I', '2020-11-24 19:32:38.357709', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2427, 542, 'System.out.println(IntStream.range(1,5).sum());', false, 'I', '2020-11-24 19:32:38.357709', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2428, 542, 'System.out.println(IntStream.rangeClosed(1,5).sum());', false, 'I', '2020-11-24 19:32:38.357709', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2429, 542, 'System.out.println(IntStream.range(1,6).sum());', false, 'I', '2020-11-24 19:32:38.357709', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2983, 595, 'Статическое тестирование требует выполнения кода', true, 'I', '2021-04-12 10:52:18.079675', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2984, 595, 'Статическое тестирование включает ручную имитацию программы', false, 'I', '2021-04-12 10:52:18.079675', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2985, 595, 'Статическое тестирование включает в себя такие техники, как рецензирование и инспекция', false, 'I', '2021-04-12 10:52:18.079675', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2986, 595, 'Статическое тестирование может включать в себя такие измерения, как цикломатическая сложность', false, 'I', '2021-04-12 10:52:18.079675', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3003, 600, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, 'I', '2021-04-12 10:57:00.94234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3004, 600, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, 'I', '2021-04-12 10:57:00.94234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3005, 600, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, 'I', '2021-04-12 10:57:00.94234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3018, 604, 'Бета-тестирование', true, 'I', '2021-04-12 11:02:17.462224', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2875, 432, 'Ошибка компиляции на строке:abstract int getNumberOfSections();', false, 'I', '2021-04-04 19:17:09.368862', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2876, 432, 'Ошибка компиляции на строке:abstract class Insect implements HasExoskeleton {', false, 'I', '2021-04-04 19:17:09.368862', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2877, 432, 'Ошибка компиляции на строке:public class Beetle extends Insect {', true, 'I', '2021-04-04 19:17:09.368862', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2878, 432, 'Скомпилируется и запустится без ошибок', false, 'I', '2021-04-04 19:17:09.368862', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2879, 432, 'Скомпилируется, но выбросит исключение во время выполнения', false, 'I', '2021-04-04 19:17:09.368862', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2917, 422, 'ab 20.0', false, 'I', '2021-04-04 19:34:24.625342', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2918, 422, 'ab 20', false, 'I', '2021-04-04 19:34:24.625342', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2448, 547, 'int[] array = new int[5];', true, 'I', '2020-11-24 19:32:39.237957', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2449, 547, 'int[] array = 1,2,3,4,5;', false, 'I', '2020-11-24 19:32:39.237957', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2450, 547, 'int[] array = new int[]{1,2,3,4,5};', true, 'I', '2020-11-24 19:32:39.237957', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2451, 547, 'int[] array = int[]{};', false, 'I', '2020-11-24 19:32:39.237957', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2452, 547, 'int[] array = new int[];', false, 'I', '2020-11-24 19:32:39.237957', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2453, 547, 'int[] array = {1,2,3,4,5};', true, 'I', '2020-11-24 19:32:39.237957', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2919, 422, '195 20.0', true, 'I', '2021-04-04 19:34:24.625342', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2920, 422, '195 20', false, 'I', '2021-04-04 19:34:24.625342', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2921, 422, 'Ошибка компиляции', false, 'I', '2021-04-04 19:34:24.625342', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2922, 422, 'Runtime exception', false, 'I', '2021-04-04 19:34:24.625342', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2958, 418, 'import mycode.com.examplejava.Course', false, 'I', '2021-04-04 19:39:20.807904', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2959, 418, 'import com.examplejava.Course', true, 'I', '2021-04-04 19:39:20.807904', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2960, 418, 'import com.examplejava*', false, 'I', '2021-04-04 19:39:20.807904', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2961, 418, 'import com.examplejava', false, 'I', '2021-04-04 19:39:20.807904', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2962, 418, 'import com.examplejava.*', true, 'I', '2021-04-04 19:39:20.807904', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2464, 550, 'Интерфейс, который имеет только один метод mark()', false, 'I', '2020-11-24 19:32:39.767688', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2465, 550, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, 'I', '2020-11-24 19:32:39.767688', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2466, 550, 'Интерфейс, который не имеет ни одного метода, как и констант', true, 'I', '2020-11-24 19:32:39.767688', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2467, 550, 'Любой интерфейс можно назвать интерфейсом-маркером', false, 'I', '2020-11-24 19:32:39.767688', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2468, 550, 'Ни одно из вышеперечисленных определений не является верным', false, 'I', '2020-11-24 19:32:39.767688', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2469, 551, 'READY', false, 'I', '2020-11-24 19:32:40.194798', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2470, 551, 'BLOCKED', false, 'I', '2020-11-24 19:32:40.194798', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2471, 551, 'WAITING', false, 'I', '2020-11-24 19:32:40.194798', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2472, 551, 'TIMED_WAITING', true, 'I', '2020-11-24 19:32:40.194798', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2473, 551, 'Ни одно из вышеперечисленных', false, 'I', '2020-11-24 19:32:40.194798', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2474, 552, '6', true, 'I', '2020-11-24 19:32:40.379855', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2475, 552, '13', false, 'I', '2020-11-24 19:32:40.379855', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2476, 552, '0', false, 'I', '2020-11-24 19:32:40.379855', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2477, 552, 'Ошибка компиляции', false, 'I', '2020-11-24 19:32:40.379855', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2480, 553, 'final поля', false, 'I', '2020-11-24 19:32:40.54742', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2481, 553, 'transient поля', true, 'I', '2020-11-24 19:32:40.54742', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2482, 554, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, 'I', '2020-11-24 19:32:40.705381', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2483, 554, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, 'I', '2020-11-24 19:32:40.705381', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2484, 554, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, 'I', '2020-11-24 19:32:40.705381', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2485, 554, 'Для вызова хранимых процедур', true, 'I', '2020-11-24 19:32:40.705381', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2486, 555, 'connection.prepareCall("...");', true, 'I', '2020-11-24 19:32:40.862192', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2487, 555, 'connection.prepareStatement("...");', true, 'I', '2020-11-24 19:32:40.862192', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2488, 555, 'connection.createStatement("...");', false, 'I', '2020-11-24 19:32:40.862192', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2489, 555, 'connection.createStatement();', true, 'I', '2020-11-24 19:32:40.862192', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2490, 555, 'connection.prepareStatement();', false, 'I', '2020-11-24 19:32:40.862192', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2491, 556, 'java.sql.Connection', true, 'I', '2020-11-24 19:32:41.046029', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2492, 556, 'java.sql.DriverManager', true, 'I', '2020-11-24 19:32:41.046029', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2493, 556, 'java.sql.Transaction', false, 'I', '2020-11-24 19:32:41.046029', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2494, 556, 'java.sql.DataTable', false, 'I', '2020-11-24 19:32:41.046029', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2495, 556, 'java.sql.ResultSet', true, 'I', '2020-11-24 19:32:41.046029', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2496, 556, 'java.sql.Statement', true, 'I', '2020-11-24 19:32:41.046029', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2497, 557, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, 'I', '2020-11-24 19:32:41.202865', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2498, 557, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, 'I', '2020-11-24 19:32:41.202865', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2499, 557, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, 'I', '2020-11-24 19:32:41.202865', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2500, 557, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, 'I', '2020-11-24 19:32:41.202865', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2501, 558, 'Видны только в пределах блока в котором объявлены', true, 'I', '2020-11-24 19:32:41.355041', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2502, 558, 'Не могут быть private/protected/static. Могут быть только public', false, 'I', '2020-11-24 19:32:41.355041', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2503, 558, 'Не могут иметь никаких статических элементов', false, 'I', '2020-11-24 19:32:41.355041', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2504, 558, 'Не имеют доступ к полям и методам внешнего класса', false, 'I', '2020-11-24 19:32:41.355041', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2505, 558, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, 'I', '2020-11-24 19:32:41.355041', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2506, 559, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, 'I', '2020-11-24 19:32:41.520613', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2507, 559, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, 'I', '2020-11-24 19:32:41.520613', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2508, 559, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, 'I', '2020-11-24 19:32:41.520613', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2509, 559, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, 'I', '2020-11-24 19:32:41.520613', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2510, 559, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, 'I', '2020-11-24 19:32:41.520613', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2511, 560, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, 'I', '2020-11-24 19:32:41.678793', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2512, 560, 'При переопределении метода возможно сузить уровень доступа', false, 'I', '2020-11-24 19:32:41.678793', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2513, 560, 'При переопределении метода возможно расширить уровень доступа', true, 'I', '2020-11-24 19:32:41.678793', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2514, 560, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, 'I', '2020-11-24 19:32:41.678793', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2515, 560, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, 'I', '2020-11-24 19:32:41.678793', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2516, 560, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, 'I', '2020-11-24 19:32:41.678793', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2517, 561, 'В статическом блоке инициализации не могут быть брошены исключения', false, 'I', '2020-11-24 19:32:41.838255', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2518, 561, 'java.lang.ExceptionInInitializerError', true, 'I', '2020-11-24 19:32:41.838255', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2519, 561, 'java.lang.InstantiationException', false, 'I', '2020-11-24 19:32:41.838255', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2520, 561, 'Ни один ответ не является правильным', false, 'I', '2020-11-24 19:32:41.838255', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2521, 562, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, 'I', '2020-11-24 19:32:42.004092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2522, 562, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, 'I', '2020-11-24 19:32:42.004092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2523, 562, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, 'I', '2020-11-24 19:32:42.004092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2524, 562, 'ListIterator может быть использован только для перебора элементов коллекции List', true, 'I', '2020-11-24 19:32:42.004092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2525, 562, 'ListIterator расширяет интерфейс Iterable', false, 'I', '2020-11-24 19:32:42.004092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2526, 562, 'ListIterator расширяет интерфейс Iterator', true, 'I', '2020-11-24 19:32:42.004092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2527, 563, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, 'I', '2020-11-24 19:32:42.165979', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2528, 563, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, 'I', '2020-11-24 19:32:42.165979', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2529, 563, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, 'I', '2020-11-24 19:32:42.165979', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2530, 563, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, 'I', '2020-11-24 19:32:42.165979', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2531, 563, 'Никак', false, 'I', '2020-11-24 19:32:42.165979', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2532, 564, '&', false, 'I', '2020-11-24 19:32:42.323999', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2533, 564, '&=', false, 'I', '2020-11-24 19:32:42.323999', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2535, 564, '|=', false, 'I', '2020-11-24 19:32:42.323999', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2536, 564, '>>>=', false, 'I', '2020-11-24 19:32:42.323999', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2537, 564, '~', false, 'I', '2020-11-24 19:32:42.323999', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2880, 433, 'Ошибка компиляции на строке:public String getNumberOfGills() { return "4"; }', false, 'I', '2021-04-04 19:17:41.364216', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2881, 433, '6', false, 'I', '2021-04-04 19:17:41.364216', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2882, 433, 'Ошибка компиляции на строке:System.out.println(new ClownFish().getNumberOfGills(-1));', false, 'I', '2021-04-04 19:17:41.364216', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2883, 433, 'Ошибка компиляции на строке:public String getNumberOfGills(int input) { return "6"; }', true, 'I', '2021-04-04 19:17:41.364216', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2884, 433, '2', false, 'I', '2021-04-04 19:17:41.364216', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2543, 566, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, 'I', '2020-11-24 19:32:42.637363', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2545, 566, 'Метод finalize() может быть вызван только один раз', false, 'I', '2020-11-24 19:32:42.637363', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2546, 566, 'Метод finalize() может быть не вызван вовсе', false, 'I', '2020-11-24 19:32:42.637363', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2547, 566, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, 'I', '2020-11-24 19:32:42.637363', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2548, 567, 'Разницы нет', false, 'I', '2020-11-24 19:32:42.788173', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2549, 567, 'Скорость выполнения операции сравнения в первом случае выше', false, 'I', '2020-11-24 19:32:42.788173', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2550, 567, 'Скорость выполнения операции сравнения во втором случае выше', false, 'I', '2020-11-24 19:32:42.788173', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2551, 567, 'Первое выражение безопасно для NullPointerException', true, 'I', '2020-11-24 19:32:42.788173', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2552, 567, 'Второе выражение безопасно для NullPointerException', false, 'I', '2020-11-24 19:32:42.788173', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2553, 568, 'В string pool', false, 'I', '2020-11-24 19:32:42.94513', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2554, 568, 'В heap, но не добавляется в string pool', true, 'I', '2020-11-24 19:32:42.94513', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2555, 568, 'В heap и так же добавляется в string pool', false, 'I', '2020-11-24 19:32:42.94513', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2556, 568, 'Такие объекта хранятся только в stack', false, 'I', '2020-11-24 19:32:42.94513', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2557, 568, 'Ни один ответ не является верным', false, 'I', '2020-11-24 19:32:42.94513', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2558, 569, 'В анонимном классе можно объявить только один конструктор', false, 'I', '2020-11-24 19:32:43.14038', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2561, 569, 'Все утверждения являются верными', false, 'I', '2020-11-24 19:32:43.14038', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2923, 423, 'Строка 1', false, 'I', '2021-04-04 19:34:48.867936', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2924, 423, 'Строка 2', true, 'I', '2021-04-04 19:34:48.867936', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2925, 423, 'Строка 3', false, 'I', '2021-04-04 19:34:48.867936', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2926, 423, 'Строка 4', true, 'I', '2021-04-04 19:34:48.867936', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2566, 570, 'Имя и/или должность лица, обнаружившего проблему', false, 'I', '2020-12-03 21:04:50.221386', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2567, 570, 'Версия тестируемого ПО', false, 'I', '2020-12-03 21:04:50.221386', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2568, 570, 'Предложение как пофиксить баг', true, 'I', '2020-12-03 21:04:50.221386', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2569, 570, 'Фактический и ожидаемый результаты', false, 'I', '2020-12-03 21:04:50.221386', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2927, 423, 'Строка 5', false, 'I', '2021-04-04 19:34:48.867936', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2963, 419, 'Класс ExampleJava напечатает Java', false, 'I', '2021-04-04 19:39:47.051991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2572, 572, 'Повысить безопасность системы', false, 'I', '2020-12-03 21:12:01.44017', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2573, 572, 'Предотвратить бесконечные циклы в коде', false, 'I', '2020-12-03 21:12:01.44017', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2574, 572, 'Использовать их как план Б', false, 'I', '2020-12-03 21:12:01.44017', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2575, 572, 'Определить, когда завершить тестирование', true, 'I', '2020-12-03 21:12:01.44017', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2576, 573, 'Тестирование потенциальными клиентами, проводимое на территории разработчиков', false, 'I', '2020-12-03 21:20:26.157364', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2577, 573, 'Тестирование потенциальными клиентами на своей стороне', true, 'I', '2020-12-03 21:20:26.157364', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2578, 573, 'Тестирование разработчиками продукта на территории клиентов', false, 'I', '2020-12-03 21:20:26.157364', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2579, 573, 'Тестирование разработчиками продукта на своей стороне', false, 'I', '2020-12-03 21:20:26.157364', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2580, 574, 'Дефекты удобства использования, найденные пользователями', false, 'I', '2020-12-03 21:21:27.027207', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2581, 574, 'Дефекты в редко используемых функциональностях', false, 'I', '2020-12-03 21:21:27.027207', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2582, 574, 'Дефекты, обнаруженные на ранней стадии', true, 'I', '2020-12-03 21:21:27.027207', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2583, 574, 'Минорные дефекты, найденные пользователями', false, 'I', '2020-12-03 21:21:27.027207', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2544, 566, 'Метод finalize() может быть объявлен как protected', false, 'I', '2020-11-24 19:32:42.637363', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2560, 569, 'Анонимные классы могут быть абстрактными', false, 'I', '2020-11-24 19:32:43.14038', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2559, 569, 'Анонимный класс может реализовать только один интерфейс', true, 'I', '2020-11-24 19:32:43.14038', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2964, 419, 'Класс ExampleJava напечатает null', false, 'I', '2021-04-04 19:39:47.051991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2965, 419, 'Класс ExampleJava бросит исключение во время выполнения программы', false, 'I', '2021-04-04 19:39:47.051991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2584, 575, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, 'I', '2020-12-03 21:25:03.407322', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2585, 575, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, 'I', '2020-12-03 21:25:03.407322', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2586, 575, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, 'I', '2020-12-03 21:25:03.407322', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2587, 575, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, 'I', '2020-12-03 21:25:03.407322', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2588, 576, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, 'I', '2020-12-03 22:47:42.018217', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2589, 576, 'Регрессионные тесты запускаются после каждого исправления', true, 'I', '2020-12-03 22:47:42.018217', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2590, 576, 'Регрессионные тесты часто автоматизируют', true, 'I', '2020-12-03 22:47:42.018217', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2591, 576, 'Регрессионные тесты не нуждаются в поддержке', false, 'I', '2020-12-03 22:47:42.018217', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2592, 577, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, 'I', '2020-12-03 22:50:30.000796', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2593, 577, 'Это помогает предотвратить появление дефектов в коде', true, 'I', '2020-12-03 22:50:30.000796', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2594, 577, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, 'I', '2020-12-03 22:50:30.000796', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2595, 577, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, 'I', '2020-12-03 22:50:30.000796', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2596, 578, 'Тестирование на основе данных', false, 'I', '2020-12-03 22:52:00.344659', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2597, 578, 'Тестирование на основе опыта', true, 'I', '2020-12-03 22:52:00.344659', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2598, 578, 'Структурная техника разборки тестов', false, 'I', '2020-12-03 22:52:00.344659', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2599, 579, 'Черный ящик', true, 'I', '2020-12-03 22:52:46.137584', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2600, 579, 'Белый ящик', false, 'I', '2020-12-03 22:52:46.137584', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2601, 579, 'Прозрачный ящик', false, 'I', '2020-12-03 22:52:46.137584', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2602, 579, 'Тестирование на основе опыта', false, 'I', '2020-12-03 22:52:46.137584', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2603, 580, 'Исследовательское тестирование', false, 'I', '2020-12-03 22:53:24.093145', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2604, 580, 'Независимое тестирование', true, 'I', '2020-12-03 22:53:24.093145', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2605, 580, 'Интеграционное тестирование', false, 'I', '2020-12-03 22:53:24.093145', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2606, 580, 'Тестирование взаимодействия', false, 'I', '2020-12-03 22:53:24.093145', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2607, 581, 'Не требует знакомства с кодом', false, 'I', '2020-12-03 22:53:59.545142', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2608, 581, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, 'I', '2020-12-03 22:53:59.545142', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2669, 521, 'null', false, 'I', '2021-04-04 18:12:47.223318', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2609, 581, 'Это позволяет избежать предвзятости автора', false, 'I', '2020-12-03 22:53:59.545142', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2610, 581, 'Тестировщики лучше находят дефекты, чем разработчики', false, 'I', '2020-12-03 22:53:59.545142', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2611, 582, 'Вы нашли все баги в программе', false, 'I', '2020-12-03 22:54:35.544047', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2612, 582, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, 'I', '2020-12-03 22:54:35.544047', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2613, 582, 'Вы протестировали все комбинации входных данных и условий', true, 'I', '2020-12-03 22:54:35.544047', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2614, 582, 'Вы уложились в запланированный дедлайн', false, 'I', '2020-12-03 22:54:35.544047', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2615, 583, 'А. Найти дефекты', true, 'I', '2020-12-03 22:55:41.521577', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2616, 583, 'B. Исправить дефекты', false, 'I', '2020-12-03 22:55:41.521577', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2617, 583, 'Вариант А и В', false, 'I', '2020-12-03 22:55:41.521577', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2618, 583, 'Ничего из перечисленного', false, 'I', '2020-12-03 22:55:41.521577', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2619, 584, 'Техники тестирования на основе структуры и на основе опыта', true, 'I', '2020-12-03 22:56:24.089221', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2620, 584, 'Техника черного ящика и техника на основе спецификации', false, 'I', '2020-12-03 22:56:24.089221', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2621, 584, 'Техники на основе структуры и на основе спецификации', false, 'I', '2020-12-03 22:56:24.089221', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2622, 584, 'Техника на основе структуры и исчерпывающее тестирование', false, 'I', '2020-12-03 22:56:24.089221', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2623, 585, 'Поиск дефектов', false, 'I', '2020-12-03 22:56:52.700965', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2624, 585, 'Получение уверенности в уровне качества и предоставлении информации', false, 'I', '2020-12-03 22:56:52.700965', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2625, 585, 'Предупреждение дефектов', false, 'I', '2020-12-03 22:56:52.700965', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2626, 585, 'Отладка', true, 'I', '2020-12-03 22:56:52.700965', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2627, 586, 'Раннее тестирование', false, 'I', '2020-12-03 22:57:26.560346', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2628, 586, 'Кластеризация дефектов', false, 'I', '2020-12-03 22:57:26.560346', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2629, 586, 'Парадокс пестицида', false, 'I', '2020-12-03 22:57:26.560346', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2630, 586, 'Исчерпывающее тестирование', true, 'I', '2020-12-03 22:57:26.560346', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2631, 587, '0, 1, 2, 99', false, 'I', '2020-12-03 22:58:12.766701', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2632, 587, '1, 99, 100, 98', false, 'I', '2020-12-03 22:58:12.766701', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2633, 587, '0, 1, 99, 100', true, 'I', '2020-12-03 22:58:12.766701', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2634, 587, '-1, 0, 1, 99', false, 'I', '2020-12-03 22:58:12.766701', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2635, 588, 'План тестирования', false, 'I', '2020-12-03 22:59:46.532526', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2636, 588, 'Спецификация процедуры тестирования', false, 'I', '2020-12-03 22:59:46.532526', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2637, 588, 'Тестовый сценарий', true, 'I', '2020-12-03 22:59:46.532526', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2638, 588, 'Тестовые данные', false, 'I', '2020-12-03 22:59:46.532526', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2639, 589, 'Альфа-тестирование', false, 'I', '2020-12-03 23:00:34.103891', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2640, 589, 'Тестирование в условиях эксплуатации', true, 'I', '2020-12-03 23:00:34.103891', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2641, 589, 'Тестирование производительности', false, 'I', '2020-12-03 23:00:34.103891', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2642, 589, 'Системное тестирование', false, 'I', '2020-12-03 23:00:34.103891', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2643, 590, 'Тестирование производительности', true, 'I', '2020-12-03 23:01:09.884143', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2644, 590, 'Модульное тестирование', false, 'I', '2020-12-03 23:01:09.884143', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2645, 590, 'Регрессионное тестирование', false, 'I', '2020-12-03 23:01:09.884143', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2646, 590, 'Тест на работоспособность', false, 'I', '2020-12-03 23:01:09.884143', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2322, 520, '-Xmx', false, 'I', '2020-11-24 19:32:34.494137', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2324, 520, 'Ни один из вариантов не является верным', false, 'I', '2020-11-24 19:32:34.494137', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2928, 424, '960', false, 'I', '2021-04-04 19:35:06.749127', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2929, 424, '641', false, 'I', '2021-04-04 19:35:06.749127', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2930, 424, '930', false, 'I', '2021-04-04 19:35:06.749127', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2931, 424, '611', true, 'I', '2021-04-04 19:35:06.749127', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2966, 419, 'Класс ExampleJava не скомпилируется', true, 'I', '2021-04-04 19:39:47.051991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2657, 565, 'Код выполнится успешно и выведет 3 3', false, 'I', '2021-03-29 18:29:37.342101', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2658, 565, 'Ошибка компиляции на строке static class Inner {', true, 'I', '2021-03-29 18:29:37.342101', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2659, 565, 'Ошибка компиляции на строке public static void main(String args[]) {', true, 'I', '2021-03-29 18:29:37.342101', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2660, 565, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, 'I', '2021-03-29 18:29:37.342101', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2661, 565, 'Во время выполнения будет брошено исключение', false, 'I', '2021-03-29 18:29:37.342101', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2987, 596, 'Требования', false, 'I', '2021-04-12 10:53:25.823204', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2988, 596, 'Проектирование', false, 'I', '2021-04-12 10:53:25.823204', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2989, 596, 'Кодирование', false, 'I', '2021-04-12 10:53:25.823204', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2990, 596, 'Все перечисленное', true, 'I', '2021-04-12 10:53:25.823204', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3006, 600, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, 'I', '2021-04-12 10:57:00.94234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2667, 521, 'Ошибка компиляции', false, 'I', '2021-04-04 18:12:47.223318', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2668, 521, 'Optional.null', false, 'I', '2021-04-04 18:12:47.223318', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2670, 521, 'Ошибка во время выполнения', false, 'I', '2021-04-04 18:12:47.223318', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2671, 521, 'Optional.empty', true, 'I', '2021-04-04 18:12:47.223318', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3019, 604, 'Тестирование удобства использования', false, 'I', '2021-04-12 11:02:17.462224', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2678, 549, '1', false, 'I', '2021-04-04 18:22:26.18746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2679, 549, '2', true, 'I', '2021-04-04 18:22:26.18746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2680, 549, '222', false, 'I', '2021-04-04 18:22:26.18746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2681, 549, 'Ошибка компиляции', false, 'I', '2021-04-04 18:22:26.18746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2682, 549, 'Программа бросит исключение во время выполнения', false, 'I', '2021-04-04 18:22:26.18746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2683, 549, '0', false, 'I', '2021-04-04 18:22:26.18746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2684, 543, 'Ничего не будет выведено', true, 'I', '2021-04-04 18:23:55.949314', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2685, 543, 'Ошибка компиляции', false, 'I', '2021-04-04 18:23:55.949314', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2686, 543, 'Ошибка во время выполнения', false, 'I', '2021-04-04 18:23:55.949314', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2687, 543, 'Hello!', false, 'I', '2021-04-04 18:23:55.949314', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2693, 544, 'Бесконечный цикл', false, 'I', '2021-04-04 18:25:25.021765', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2694, 544, 'Программа выдаст ошибку StackOverflowError', false, 'I', '2021-04-04 18:25:25.021765', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2695, 544, 'Программа бросит исключение ConcurrentModificationException', false, 'I', '2021-04-04 18:25:25.021765', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2696, 544, 'Программа выведет в консоль One затем бросит ConcurrentModificationException;', false, 'I', '2021-04-04 18:25:25.021765', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2697, 544, 'Программа выведет в консоль OneTwoThree затем бросит ConcurrentModificationException', true, 'I', '2021-04-04 18:25:25.021765', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2698, 545, 'Программа выведет в консоль Hello!', true, 'I', '2021-04-04 18:26:24.32587', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2699, 545, 'Программа выведет в консоль null', false, 'I', '2021-04-04 18:26:24.32587', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2700, 545, 'Ошибка компиляции', false, 'I', '2021-04-04 18:26:24.32587', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2701, 545, 'NullPointerExceptionnull', false, 'I', '2021-04-04 18:26:24.32587', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2707, 546, 'StackOverflowError', false, 'I', '2021-04-04 18:28:38.252698', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2708, 546, 'NullPointerException', true, 'I', '2021-04-04 18:28:38.252698', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2709, 546, 'Ошибка компиляции', false, 'I', '2021-04-04 18:28:38.252698', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2710, 546, 'Программа успешно скомпилируется и выведет в консоль 0', false, 'I', '2021-04-04 18:28:38.252698', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2711, 546, 'Программа успешно скомпилируется и выведет в консоль 4', false, 'I', '2021-04-04 18:28:38.252698', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2967, 591, 'Интеграционное тестирование', false, 'I', '2021-04-12 10:47:48.132177', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2720, 548, 'Программа отработает успешно', false, 'I', '2021-04-04 18:30:57.693227', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2721, 548, 'Ошибка компиляции', false, 'I', '2021-04-04 18:30:57.693227', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2722, 548, 'Программа бросит NullPointerException', true, 'I', '2021-04-04 18:30:57.693227', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2723, 548, 'Программа бросит ClassCastException', false, 'I', '2021-04-04 18:30:57.693227', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2724, 532, 'new Duration(start, end).getMillis();', false, 'I', '2021-04-04 18:36:59.714531', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2725, 532, 'end - start;', false, 'I', '2021-04-04 18:36:59.714531', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2726, 532, 'Duration.between(start, end);', false, 'I', '2021-04-04 18:36:59.714531', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2727, 532, 'Duration.between(start, end).toMillis();', true, 'I', '2021-04-04 18:36:59.714531', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2728, 533, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, 'I', '2021-04-04 18:37:23.546226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2729, 533, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, 'I', '2021-04-04 18:37:23.546226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2730, 533, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, 'I', '2021-04-04 18:37:23.546226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2731, 533, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, 'I', '2021-04-04 18:37:23.546226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2732, 533, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, 'I', '2021-04-04 18:37:23.546226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2737, 534, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, 'I', '2021-04-04 18:41:08.153405', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2738, 534, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, 'I', '2021-04-04 18:41:08.153405', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2739, 534, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, 'I', '2021-04-04 18:41:08.153405', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2740, 534, 'Ничего из вышеперечисленного', false, 'I', '2021-04-04 18:41:08.153405', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2741, 535, '2014-12-04', false, 'I', '2021-04-04 18:41:53.749006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2742, 535, '2015-12-04', false, 'I', '2021-04-04 18:41:53.749006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2743, 535, '2015-01-04', true, 'I', '2021-04-04 18:41:53.749006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2744, 535, 'Ошибка компиляции', false, 'I', '2021-04-04 18:41:53.749006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2745, 535, 'Ошибка во время выполнения', false, 'I', '2021-04-04 18:41:53.749006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2746, 522, 'Ошибка компиляции', false, 'I', '2021-04-04 18:43:49.091832', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2747, 522, 'Ошибка во время выполнения', false, 'I', '2021-04-04 18:43:49.091832', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2748, 522, '[13, 11, 29]', true, 'I', '2021-04-04 18:43:49.091832', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2749, 522, '[]', false, 'I', '2021-04-04 18:43:49.091832', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2750, 522, 'Хеш объекта вида [I@3d075dc0', false, 'I', '2021-04-04 18:43:49.091832', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2751, 523, 'Ошибка компиляции', true, 'I', '2021-04-04 18:45:46.47315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2752, 523, '1one2two3three', false, 'I', '2021-04-04 18:45:46.47315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2753, 523, '123', false, 'I', '2021-04-04 18:45:46.47315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2754, 523, 'onetwothree', false, 'I', '2021-04-04 18:45:46.47315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2755, 523, 'Ошибка во время выполнения', false, 'I', '2021-04-04 18:45:46.47315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2756, 524, 'Ошибка компиляции', false, 'I', '2021-04-04 18:46:19.998376', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2757, 524, 'OptionalDouble[3.0]', true, 'I', '2021-04-04 18:46:19.998376', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2758, 524, '3.0', false, 'I', '2021-04-04 18:46:19.998376', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2759, 524, 'OptionalDouble[3.5]', false, 'I', '2021-04-04 18:46:19.998376', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2760, 524, '3.5', false, 'I', '2021-04-04 18:46:19.998376', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2761, 524, 'Ошибка во время выполнения', false, 'I', '2021-04-04 18:46:19.998376', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2762, 525, 'Ошибка компиляции на строчке static void method()', false, 'I', '2021-04-04 18:47:03.258934', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2763, 525, 'Ошибка компиляции на строчке I i = new I(){};', false, 'I', '2021-04-04 18:47:03.258934', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2764, 525, 'Ошибка компиляции на другой строке', false, 'I', '2021-04-04 18:47:03.258934', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2765, 525, 'defaultstatic', true, 'I', '2021-04-04 18:47:03.258934', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2766, 525, 'Ошибка во время выполнения', false, 'I', '2021-04-04 18:47:03.258934', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2767, 527, 'SubClass', false, 'I', '2021-04-04 18:47:28.905253', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2768, 527, 'SuperClass', false, 'I', '2021-04-04 18:47:28.905253', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2769, 527, 'SuperClassSubClass', false, 'I', '2021-04-04 18:47:28.905253', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2770, 527, 'Ошибка компиляции', true, 'I', '2021-04-04 18:47:28.905253', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2771, 527, 'Ничего из вышеперечисленного', false, 'I', '2021-04-04 18:47:28.905253', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2772, 528, 'Thread r = () -> System.out.println("Run!");', false, 'I', '2021-04-04 18:49:15.643099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2773, 528, 'Runnable r = () -> System.out.println("Run!");', true, 'I', '2021-04-04 18:49:15.643099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2774, 528, 'Run r = () -> System.out.println("Run!");', false, 'I', '2021-04-04 18:49:15.643099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2775, 528, 'Executable r = () -> System.out.println("Run!");', false, 'I', '2021-04-04 18:49:15.643099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2776, 528, 'Ничего из вышеперечисленного', false, 'I', '2021-04-04 18:49:15.643099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2783, 502, 'Никакой из перечисленных', false, 'I', '2021-04-04 18:52:21.78672', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2784, 502, 'import aquarium.*;
import aquarium.jellies.*;', false, 'I', '2021-04-04 18:52:21.78672', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2785, 502, 'import aquarium.*;', true, 'I', '2021-04-04 18:52:21.78672', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2786, 502, 'import aquarium.*;
import aquarium.jellies.Water;', true, 'I', '2021-04-04 18:52:21.78672', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2787, 502, 'import aquarium.Water;
import aquarium.jellies.Water;', false, 'I', '2021-04-04 18:52:21.78672', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2788, 502, 'import aquarium.Water;
import aquarium.jellies.*;', true, 'I', '2021-04-04 18:52:21.78672', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2789, 501, 'Никакой из перечисленных', false, 'I', '2021-04-04 18:52:39.987315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2790, 501, 'import aquarium.*;', false, 'I', '2021-04-04 18:52:39.987315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2791, 501, 'import aquarium.*.Jelly;', false, 'I', '2021-04-04 18:52:39.987315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2792, 501, 'import aquarium.jellies.Jelly.*;', false, 'I', '2021-04-04 18:52:39.987315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2793, 501, 'import aquarium.jellies.*;', true, 'I', '2021-04-04 18:52:39.987315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2794, 501, 'import aquarium.jellies.Jelly;', true, 'I', '2021-04-04 18:52:39.987315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2795, 503, 'finalize() гарантированно вызовется', false, 'I', '2021-04-04 18:53:05.917429', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2796, 503, 'finalize() гарантированно не вызовется', false, 'I', '2021-04-04 18:53:05.917429', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2797, 503, 'finalize() может вызваться, а может нет', true, 'I', '2021-04-04 18:53:05.917429', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2798, 503, 'Сборщик мусора гарантированно вызовется', false, 'I', '2021-04-04 18:53:05.917429', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2799, 503, 'Сборщик мусора гарантированно не вызовется', false, 'I', '2021-04-04 18:53:05.917429', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2800, 503, 'Сборщик мусора может вызваться, а может нет', true, 'I', '2021-04-04 18:53:05.917429', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2801, 504, 'Код скомпилируется', true, 'I', '2021-04-04 18:54:15.20133', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2802, 504, 'Код выбросит runtime exception', true, 'I', '2021-04-04 18:54:15.20133', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2803, 504, 'Ровно три выражения .add используют автоупаковку из примитивов в классы-обертки', false, 'I', '2021-04-04 18:54:15.20133', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2804, 504, 'Ровно два выражения .add используют автоупаковку из примитивов в классы-обертки', true, 'I', '2021-04-04 18:54:15.20133', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2805, 504, 'Ровно одно выражение .add использует автоупаковку из примитивов в классы-обертки', false, 'I', '2021-04-04 18:54:15.20133', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2806, 505, '8', true, 'I', '2021-04-04 18:55:45.350115', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2807, 505, 'Код не скомпилируется', false, 'I', '2021-04-04 18:55:45.350115', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2808, 505, 'Код выбросит исключение', false, 'I', '2021-04-04 18:55:45.350115', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2809, 505, '02', false, 'I', '2021-04-04 18:55:45.350115', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2810, 505, '08', false, 'I', '2021-04-04 18:55:45.350115', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2811, 505, '2', false, 'I', '2021-04-04 18:55:45.350115', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2812, 506, 'value2 = "h"; вместо //ПРОПУСК_2', true, 'I', '2021-04-04 19:02:00.389338', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2813, 506, 'value3="i"; вместо //ПРОПУСК_2', false, 'I', '2021-04-04 19:02:00.389338', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2814, 506, 'value1="d"; вместо //ПРОПУСК_1', false, 'I', '2021-04-04 19:02:00.389338', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2815, 506, 'value3="f"; вместо //ПРОПУСК_1', true, 'I', '2021-04-04 19:02:00.389338', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2816, 506, 'value2="e"; вместо //ПРОПУСК_1', true, 'I', '2021-04-04 19:02:00.389338', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2817, 506, 'value1="g"; вместо //ПРОПУСК_2', false, 'I', '2021-04-04 19:02:00.389338', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2818, 507, '4', false, 'I', '2021-04-04 19:02:51.150791', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2819, 507, '3', false, 'I', '2021-04-04 19:02:51.150791', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2820, 507, '0', false, 'I', '2021-04-04 19:02:51.150791', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2821, 507, '2', true, 'I', '2021-04-04 19:02:51.150791', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2822, 507, '1', false, 'I', '2021-04-04 19:02:51.150791', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2823, 507, '5', false, 'I', '2021-04-04 19:02:51.150791', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2824, 508, 'caller((e) -> { String e=""; return "Poof" });', false, 'I', '2021-04-04 19:03:27.346621', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2825, 508, 'caller((e) -> {"Poof"});', false, 'I', '2021-04-04 19:03:27.346621', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2826, 508, 'caller((e) -> { String e = ""; "Poof"});', false, 'I', '2021-04-04 19:03:27.346621', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2827, 508, 'caller((e) -> { String e = ""; return "Poof"; });', false, 'I', '2021-04-04 19:03:27.346621', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2828, 508, 'caller((e) -> { String f = ""; return "Poof"; });', true, 'I', '2021-04-04 19:03:27.346621', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2829, 508, 'caller((e) -> "Poof");', true, 'I', '2021-04-04 19:03:27.346621', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2830, 509, 'Код выведет 4 2', false, 'I', '2021-04-04 19:04:29.049868', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2831, 509, 'Код выведет 5 4 если убрать конструктор Create(int num)', false, 'I', '2021-04-04 19:04:29.049868', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2832, 509, 'Код выведет 3 4 если убрать конструктор Create(int num)', true, 'I', '2021-04-04 19:04:29.049868', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2833, 509, 'Код выведет 4 4', false, 'I', '2021-04-04 19:04:29.049868', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2834, 509, 'Код выведет 2 4', true, 'I', '2021-04-04 19:04:29.049868', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2835, 509, 'Код выведет 4 4 если убрать конструктор Create(int num)', false, 'I', '2021-04-04 19:04:29.049868', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2836, 499, 'Все утверждения верны', false, 'I', '2021-04-04 19:05:45.916991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2837, 499, '1 и 3', true, 'I', '2021-04-04 19:05:45.916991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2838, 499, '1 и 2', false, 'I', '2021-04-04 19:05:45.916991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2839, 499, '2 и 3', false, 'I', '2021-04-04 19:05:45.916991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2840, 499, 'Только 3', false, 'I', '2021-04-04 19:05:45.916991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2841, 481, 'Только 2', false, 'I', '2021-04-04 19:06:59.179928', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2842, 481, '1 и 2', false, 'I', '2021-04-04 19:06:59.179928', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2843, 481, 'Только 1', true, 'I', '2021-04-04 19:06:59.179928', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2844, 481, 'Все перечисленные', false, 'I', '2021-04-04 19:06:59.179928', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2890, 435, 'Ошибка компиляции на строке:public boolean isBlind() { return false; }', false, 'I', '2021-04-04 19:18:56.295622', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2891, 435, 'Ошибка компиляции на строке:Nocturnal nocturnal = (Nocturnal) new Owl();', false, 'I', '2021-04-04 19:18:56.295622', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2892, 435, 'Ошибка компиляции на строке:System.out.println(nocturnal.isBlind());', false, 'I', '2021-04-04 19:18:56.295622', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2893, 435, 'true', false, 'I', '2021-04-04 19:18:56.295622', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2894, 435, 'false', true, 'I', '2021-04-04 19:18:56.295622', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2932, 426, 'Переменная height для Person не может иметь значение более 300', false, 'I', '2021-04-04 19:35:41.879448', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2933, 426, 'Этот код является примером хорошо инкапсулированного класса', false, 'I', '2021-04-04 19:35:41.879448', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2934, 426, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, 'I', '2021-04-04 19:35:41.879448', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2935, 426, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, 'I', '2021-04-04 19:35:41.879448', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2968, 591, 'Системное тестирование', false, 'I', '2021-04-12 10:47:48.132177', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2969, 591, 'Тестирование практичности', false, 'I', '2021-04-12 10:47:48.132177', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2970, 591, 'Нагрузочное тестирование', true, 'I', '2021-04-12 10:47:48.132177', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2991, 597, 'Тестирование операторов', false, 'I', '2021-04-12 10:54:12.824034', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2992, 597, 'Тестирование решений', false, 'I', '2021-04-12 10:54:12.824034', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2993, 597, 'Покрытие условий', false, 'I', '2021-04-12 10:54:12.824034', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (2994, 597, 'Анализ граничных значений', true, 'I', '2021-04-12 10:54:12.824034', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3007, 601, 'Инструменты производительности', false, 'I', '2021-04-12 10:57:40.314609', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3008, 601, 'Инструменты записи/воспроизведения', true, 'I', '2021-04-12 10:57:40.314609', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3009, 601, 'Ни один из перечисленных', false, 'I', '2021-04-12 10:57:40.314609', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3020, 604, 'Альфа-тестирование', false, 'I', '2021-04-12 11:02:17.462224', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3021, 604, 'Тестирование готового программного обеспечения', false, 'I', '2021-04-12 11:02:17.462224', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3028, 607, 'Когда код готов', false, 'I', '2021-04-12 12:16:58.200818', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3029, 607, 'Когда проектирование завершено', false, 'I', '2021-04-12 12:16:58.200818', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3030, 607, 'После утверждения требований к программному обеспечению', true, 'I', '2021-04-12 12:16:58.200818', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3031, 607, 'Когда первый модуль готов к модульному тестированию', false, 'I', '2021-04-12 12:16:58.200818', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3040, 610, 'Это то же самое, что и тесты на разбиение эквивалентности', false, 'I', '2021-04-12 12:24:31.195394', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3041, 610, 'Тестовые граничные условия - это значения, которые выше и ниже границы класса эквивалентности для входа и выхода', true, 'I', '2021-04-12 12:24:31.195394', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3042, 610, 'Проверяет комбинации входных обстоятельств', false, 'I', '2021-04-12 12:24:31.195394', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3043, 610, 'Используется в стратегии тестирования белого ящика', false, 'I', '2021-04-12 12:24:31.195394', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3051, 612, 'Таблица решений', false, 'I', '2021-04-12 12:26:08.783346', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3057, 614, 'Мы не сможем запустить тест', false, 'I', '2021-04-12 12:28:05.684625', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3058, 614, 'Может быть трудно повторить тест', false, 'I', '2021-04-12 12:28:05.684625', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3059, 614, 'Может быть трудно определить, прошел ли тест или не прошел', true, 'I', '2021-04-12 12:28:05.684625', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3060, 614, 'Мы не можем автоматизировать ввод данных пользователем', false, 'I', '2021-04-12 12:28:05.684625', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3062, 615, 'Поможет понять, что неизмененные области программного обеспечения не были затронуты', true, 'I', '2021-04-12 12:28:55.452226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3063, 615, 'Поможет понять, что измененные области программного обеспечения не были затронуты', false, 'I', '2021-04-12 12:28:55.452226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3064, 615, 'Может выполняться только во время приемочного тестирования пользователя', false, 'I', '2021-04-12 12:28:55.452226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3065, 616, 'Повторное тестирование снова запускает тест, регрессионное тестирование ищет неожиданные побочные эффекты', true, 'I', '2021-04-12 12:29:57.666336', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3066, 616, 'Повторное тестирование ищет неожиданные побочные эффекты, регрессионное тестирование повторяет эти тесты', false, 'I', '2021-04-12 12:29:57.666336', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3070, 617, 'Техника белого ящика', false, 'I', '2021-04-12 12:30:40.420712', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3074, 618, 'Не важна', false, 'I', '2021-04-12 12:35:49.157978', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3067, 616, 'Повторное тестирование выполняется после устранения неисправностей, регрессионное тестирование выполняется ранее', false, 'I', '2021-04-12 12:29:57.666336', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3068, 616, 'Повторное тестирование использует различные среды, регрессионное тестирование использует ту же среду', false, 'I', '2021-04-12 12:29:57.666336', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3069, 616, 'Повторное тестирование проводится разработчиками, регрессионное тестирование-независимыми тестерами', false, 'I', '2021-04-12 12:29:57.666336', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3071, 617, 'Компонентное тестирование', false, 'I', '2021-04-12 12:30:40.420712', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3072, 617, 'Техника черного ящика', true, 'I', '2021-04-12 12:30:40.420712', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3073, 617, 'Тестирование управления данными', false, 'I', '2021-04-12 12:30:40.420712', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3075, 618, 'Увеличивается по мере продвижения продукта к релизу', true, 'I', '2021-04-12 12:35:49.157978', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3076, 618, 'Уменьшается по мере продвижения продукта к релизу', false, 'I', '2021-04-12 12:35:49.157978', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3077, 618, 'Дороже если найден в требованиях, нежели чем при проектировании функциональности', false, 'I', '2021-04-12 12:35:49.157978', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3078, 618, 'Никогда не может быть определена', false, 'I', '2021-04-12 12:35:49.157978', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3088, 619, '1000, 5000, 99999', false, 'I', '2021-04-12 12:36:53.983226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3089, 619, '9999, 50000, 100000', false, 'I', '2021-04-12 12:36:53.983226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3090, 619, '10000, 50000, 99999', true, 'I', '2021-04-12 12:36:53.983226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3091, 619, '1000, 99999', false, 'I', '2021-04-12 12:36:53.983226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3092, 619, '9999, 10000, 50000, 99999, 10000', false, 'I', '2021-04-12 12:36:53.983226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3093, 620, 'Измерение времени отклика', false, 'I', '2021-04-12 12:37:59.495232', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3094, 620, 'Измерение скорости транзакций', false, 'I', '2021-04-12 12:37:59.495232', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3095, 620, 'Тестирование восстанавливаемости', true, 'I', '2021-04-12 12:37:59.495232', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3096, 620, 'Моделирование многих пользователей в системе', false, 'I', '2021-04-12 12:37:59.495232', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3097, 620, 'Создание многих транзакций', false, 'I', '2021-04-12 12:37:59.495232', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3098, 621, 'Как исправить неисправность', true, 'I', '2021-04-12 12:38:54.214183', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3099, 621, 'Как воспроизвести неисправность', false, 'I', '2021-04-12 12:38:54.214183', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3100, 621, 'Сведения о тестовой среде', false, 'I', '2021-04-12 12:38:54.214183', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3101, 621, 'Серьезность, приоритет', false, 'I', '2021-04-12 12:38:54.214183', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3102, 621, 'Фактические и ожидаемые результаты', false, 'I', '2021-04-12 12:38:54.214183', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3103, 622, 'Тестирование, чтобы увидеть, где система не работает должным образом', false, 'I', '2021-04-12 12:46:40.07817', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3104, 622, 'Тестирование качественных атрибутов системы, включая производительность и удобство использования', true, 'I', '2021-04-12 12:46:40.07817', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3105, 622, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этого действия', false, 'I', '2021-04-12 12:46:40.07817', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3106, 622, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этой функции', false, 'I', '2021-04-12 12:46:40.07817', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3107, 622, 'Тестирование функций, которые не должны существовать', false, 'I', '2021-04-12 12:46:40.07817', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3111, 623, 'CLa01ss', true, 'I', '2021-04-12 12:47:17.374152', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3112, 624, '$5800; $28000; $32000', true, 'I', '2021-04-12 14:18:53.536849', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3113, 624, '$0; $200; $4200', false, 'I', '2021-04-12 14:18:53.536849', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3114, 624, '$5200; $5500; $28000', false, 'I', '2021-04-12 14:18:53.536849', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3115, 624, '$28001; $32000; $35000', false, 'I', '2021-04-12 14:18:53.536849', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3164, 637, 'Удаление вложения в черновике', false, 'I', '2021-04-12 20:04:36.736037', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3116, 625, 'При обнаружении указанного количества неисправностей', false, 'I', '2021-04-12 14:19:38.027523', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3117, 625, 'При соблюдении критериев завершения тестирования', true, 'I', '2021-04-12 14:19:38.027523', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3118, 625, 'По завершении всех тестов с высоким и средним приоритетом', false, 'I', '2021-04-12 14:19:38.027523', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3119, 626, 'Это приемлемый риск многопользовательской системы', false, 'I', '2021-04-12 14:20:55.674703', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3120, 626, 'Проведено недостаточное функциональное тестирование', false, 'I', '2021-04-12 14:20:55.674703', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3121, 626, 'Это означает, что важное нефункциональное требование не было определено и протестировано', true, 'I', '2021-04-12 14:20:55.674703', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3122, 626, 'Это невозможно было протестировать до релиза', false, 'I', '2021-04-12 14:20:55.674703', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3123, 627, '10, 15 и 19 лет', false, 'I', '2021-04-12 14:24:00.551011', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3124, 627, '13, 19 и 25 лет', false, 'I', '2021-04-12 14:24:00.551011', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3125, 627, '13, 16 и 19 лет', false, 'I', '2021-04-12 14:24:00.551011', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3126, 627, '12, 13 и 20 лет', true, 'I', '2021-04-12 14:24:00.551011', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3127, 628, 'Автоматизация, вероятно, потерпит неудачу из-за частых изменений и отсутствия опыта', true, 'I', '2021-04-12 14:27:20.882708', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3128, 628, 'Автоматизация, вероятно, потерпит неудачу из-за автоматизации GUI, не является правильным способом автоматизации', false, 'I', '2021-04-12 14:27:20.882708', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3129, 628, 'Автоматизация, скорее всего, будет успешной, потому что автоматизация очень полезна для частых изменений', false, 'I', '2021-04-12 14:27:20.882708', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3130, 628, 'Автоматизация, скорее всего, удастся, потому что команда была обучена инструменту', false, 'I', '2021-04-12 14:27:20.882708', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3131, 629, 'Процесс выбора тестовых сценариев', true, 'I', '2021-04-12 14:28:17.366418', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3132, 629, 'Процесс определения ожидаемых результатов', false, 'I', '2021-04-12 14:28:17.366418', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3133, 629, 'Способ измерения качества программного обеспечения', false, 'I', '2021-04-12 14:28:17.366418', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3134, 629, 'Способ измерить в плане тестирования, что необходимо сделать', false, 'I', '2021-04-12 14:28:17.366418', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3135, 630, 'Чтобы показать, что система будет работать после выпуска', false, 'I', '2021-04-12 14:29:18.130569', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3136, 630, 'Чтобы решить, когда программное обеспечение имеет достаточное качество для релиза', false, 'I', '2021-04-12 14:29:18.130569', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3137, 630, 'Найти как можно больше ошибок перед релизом', false, 'I', '2021-04-12 14:29:18.130569', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3138, 630, 'Предоставление информации для принятия решения о релизе на основании риска', true, 'I', '2021-04-12 14:29:18.130569', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3139, 631, 'Быть как можно вежливее, конструктивнее и полезнее', true, 'I', '2021-04-12 14:30:16.549343', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3140, 631, 'Настаивать на том, что ошибка не является "фичей", если она должна быть исправлена', true, 'I', '2021-04-12 14:30:16.549343', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3141, 631, 'Быть дипломатичным, не критиковать', true, 'I', '2021-04-12 14:30:16.549343', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3142, 631, 'Ничего из вышеперечисленного', false, 'I', '2021-04-12 14:30:16.549343', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3143, 632, 'Тестирование - это то же самое, что и обеспечение качества', false, 'I', '2021-04-12 14:31:06.618204', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3144, 632, 'Тестирование является частью обеспечения качества', true, 'I', '2021-04-12 14:31:06.618204', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3145, 632, 'Тестирование не является частью обеспечения качества', false, 'I', '2021-04-12 14:31:06.618204', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3146, 632, 'Тестирование - это то же самое, что и отладка', false, 'I', '2021-04-12 14:31:06.618204', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3147, 633, '1, 2, емкость - 1, емкость, емкость + 1', false, 'I', '2021-04-12 14:34:16.883252', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3148, 633, '0, 1, емкость, емкость + 1', true, 'I', '2021-04-12 14:34:16.883252', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3149, 633, '0, 1, 2, емкость + 1, очень большое количество', false, 'I', '2021-04-12 14:34:16.883252', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3150, 633, '0, 1, 10, 100, емкость, емкость + 1', false, 'I', '2021-04-12 14:34:16.883252', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3151, 634, 'Меньше чем 1, 1 до 15, больше чем 15', true, 'I', '2021-04-12 14:36:47.778585', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3152, 634, 'Отрицательные числа, от 1 до 15, больше 15', false, 'I', '2021-04-12 14:36:47.778585', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3153, 634, 'Меньше 1, 1 до 14, больше чем 15', false, 'I', '2021-04-12 14:36:47.778585', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3154, 634, 'Меньше 0, 1 до 14, 15 и более', false, 'I', '2021-04-12 14:36:47.778585', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3155, 635, 'Блокирующий', false, 'I', '2021-04-12 20:02:56.78728', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3156, 635, 'Критический', true, 'I', '2021-04-12 20:02:56.78728', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3157, 635, 'Высокий', false, 'I', '2021-04-12 20:02:56.78728', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3158, 635, 'Низкий', false, 'I', '2021-04-12 20:02:56.78728', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3159, 636, 'Критический', false, 'I', '2021-04-12 20:03:39.373071', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3160, 636, 'Высокий', false, 'I', '2021-04-12 20:03:39.373071', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3161, 636, 'Низкий', false, 'I', '2021-04-12 20:03:39.373071', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3162, 636, 'Незначительный', true, 'I', '2021-04-12 20:03:39.373071', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3163, 637, 'Авторизация в приложении', true, 'I', '2021-04-12 20:04:36.736037', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3165, 637, 'Получение письма', true, 'I', '2021-04-12 20:04:36.736037', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3166, 637, 'Отправка письма', true, 'I', '2021-04-12 20:04:36.736037', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3167, 637, 'Отправка письма на несуществующий адрес', false, 'I', '2021-04-12 20:04:36.736037', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3168, 637, 'Пометить письмо непрочитанным', false, 'I', '2021-04-12 20:04:36.736037', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3169, 638, 'Тестирование на одиночном модуле или единице кода', false, 'I', '2021-04-12 20:06:57.027502', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3170, 638, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, 'I', '2021-04-12 20:06:57.027502', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3171, 638, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, 'I', '2021-04-12 20:06:57.027502', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3172, 638, 'Тестирование приложения пользователями в среде разработчиков', false, 'I', '2021-04-12 20:06:57.027502', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3173, 639, 'Функциональные характеристики', false, 'I', '2021-04-12 20:07:58.923652', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3174, 639, 'Не функциональные характеристики', true, 'I', '2021-04-12 20:07:58.923652', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3175, 639, 'Ни одно из вышеперечисленного', false, 'I', '2021-04-12 20:07:58.923652', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3176, 640, 'Тестирование производительности', false, 'I', '2021-04-12 20:08:33.995781', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3177, 640, 'Стресс-тестирование', false, 'I', '2021-04-12 20:08:33.995781', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3178, 640, 'Тестирование надежности', false, 'I', '2021-04-12 20:08:33.995781', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3179, 640, 'Регрессионное тестирование', true, 'I', '2021-04-12 20:08:33.995781', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3180, 641, 'Позволяет выявить изменения в пользовательских требованиях', false, 'I', '2021-04-12 20:09:29.958973', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3181, 641, 'Облегчает своевременную настройку тестовой среды', false, 'I', '2021-04-12 20:09:29.958973', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3182, 641, 'Уменьшает умножение дефектов', true, 'I', '2021-04-12 20:09:29.958973', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3183, 641, 'Позволяет тестировщикам принять участие в начале проекта', false, 'I', '2021-04-12 20:09:29.958973', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3184, 642, 'Найти как можно больше ошибок', false, 'I', '2021-04-12 20:10:17.271657', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3185, 642, 'Тестировать зоны высокого риска', true, 'I', '2021-04-12 20:10:17.271657', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3186, 642, 'Получить хорошее тестовое покрытие', false, 'I', '2021-04-12 20:10:17.271657', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3187, 642, 'Тестировать то, что проще', false, 'I', '2021-04-12 20:10:17.271657', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3188, 643, '$1500', false, 'I', '2021-04-12 20:11:17.505072', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3189, 643, '$32001', false, 'I', '2021-04-12 20:11:17.505072', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3190, 643, '$33501', true, 'I', '2021-04-12 20:11:17.505072', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3191, 643, '$28000', false, 'I', '2021-04-12 20:11:17.505072', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3192, 644, '17, 18, 19', false, 'I', '2021-04-12 20:11:59.262937', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3193, 644, '29, 30, 31', false, 'I', '2021-04-12 20:11:59.262937', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3194, 644, '18, 29, 30', false, 'I', '2021-04-12 20:11:59.262937', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3195, 644, '17, 29, 31', true, 'I', '2021-04-12 20:11:59.262937', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3196, 645, 'Раз в месяц
', false, 'I', '2021-04-12 20:12:56.926654', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3197, 645, 'Когда дефект исправлен', true, 'I', '2021-04-12 20:12:56.926654', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3198, 645, 'При изменении тестовой среды', true, 'I', '2021-04-12 20:12:56.926654', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3199, 645, 'При изменении ПО', true, 'I', '2021-04-12 20:12:56.926654', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3200, 646, 'Система должна быть способна выполнять свои функции в среднем 23 часа 50 минут в сутки', false, 'I', '2021-04-12 20:13:34.054774', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3201, 646, 'Система должна работать адекватно до 30 пользователей', false, 'I', '2021-04-12 20:13:34.054774', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3202, 646, 'Система должна позволить пользователю изменить адрес клиента', true, 'I', '2021-04-12 20:13:34.054774', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3203, 646, 'Система должна позволять увеличиваться на 12 000 новых клиентов в год', false, 'I', '2021-04-12 20:13:34.054774', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3204, 647, 'Первые две буквы месяца, например МА может представлять Март или Май', true, 'I', '2021-04-12 20:15:10.006384', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3205, 647, 'Первая буква дня, например П может означать Понедельник или Пятница', true, 'I', '2021-04-12 20:15:10.006384', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3206, 647, 'Високосный год', true, 'I', '2021-04-12 20:15:10.006384', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3207, 647, 'Количество дней в месяце', true, 'I', '2021-04-12 20:15:10.006384', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3208, 647, 'Трехзначные дни и месяцы', false, 'I', '2021-04-12 20:15:10.006384', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3209, 648, 'Эквивалентное разбиение', true, 'I', '2021-04-12 20:15:50.111207', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3210, 648, 'Анализ граничных значений
', false, 'I', '2021-04-12 20:15:50.111207', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3211, 648, 'Таблица решений', false, 'I', '2021-04-12 20:15:50.111207', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3212, 648, 'Гибридный анализ', false, 'I', '2021-04-12 20:15:50.111207', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3213, 649, 'Скажете команде разработчиков, чтобы они доставили систему вовремя, чтобы тестовая деятельность была завершена вовремя.', false, 'I', '2021-04-12 20:16:43.934901', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3214, 649, 'Расширите план тестирования, таким образом компенсируя промашку', false, 'I', '2021-04-12 20:16:43.934901', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3265, 662, 'Содержимое Docker Volume удаляется если контейнер удаляется', true, 'I', '2021-04-15 11:03:38.650309', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3215, 649, 'Ранжируете функциональность в соответствии с риском и сосредоточитесь больше на тестировании критичной функциональности', true, 'I', '2021-04-12 20:16:43.934901', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3216, 649, 'Добавите больше ресурсов, чтобы избежать промашки', false, 'I', '2021-04-12 20:16:43.934901', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3217, 650, 'Сообщить о проблеме менеджеру и попытаться договориться с разработчиком', false, 'I', '2021-04-12 20:17:19.782158', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3218, 650, 'Повторно протестировать модуль и подтвердите ошибку', false, 'I', '2021-04-12 20:17:19.782158', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3219, 650, 'Назначить ту же ошибку другому разработчику', false, 'I', '2021-04-12 20:17:19.782158', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3220, 650, 'Отправить подробную информацию об обнаруженном баге и проверить воспроизводимость', true, 'I', '2021-04-12 20:17:19.782158', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3221, 651, 'W1, X2, Y3, Z4', false, 'I', '2021-04-12 20:18:38.466853', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3222, 651, 'W1, X3, Y4, Z2', true, 'I', '2021-04-12 20:18:38.466853', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3223, 651, 'W2, X3, Y1, Z4', false, 'I', '2021-04-12 20:18:38.466853', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3224, 651, 'W1, X4, Y2, Z3', false, 'I', '2021-04-12 20:18:38.466853', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3225, 652, 'Модульное тестирование
', false, 'I', '2021-04-12 20:19:23.930367', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3226, 652, 'Тестирование практичности', false, 'I', '2021-04-12 20:19:23.930367', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3227, 652, 'Регрессионное тестирование', true, 'I', '2021-04-12 20:19:23.930367', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3228, 652, 'Приемочное тестирование', false, 'I', '2021-04-12 20:19:23.930367', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3229, 653, 'Разбиение на классы эквивалентности', false, 'I', '2021-04-12 20:20:08.324858', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3230, 653, 'Метод белого ящика
', true, 'I', '2021-04-12 20:20:08.324858', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3231, 653, 'Метод черного ящика', false, 'I', '2021-04-12 20:20:08.324858', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3232, 653, 'Граничная стратегия', false, 'I', '2021-04-12 20:20:08.324858', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3233, 654, 'Исчерпывающее тестирование невозможно', true, 'I', '2021-04-12 20:20:58.318043', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3234, 654, 'Кластеризация дефектов
', false, 'I', '2021-04-12 20:20:58.318043', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3235, 654, 'Парадокс пестицида', false, 'I', '2021-04-12 20:20:58.318043', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3236, 654, 'Заблуждение об отсутствии ошибок', false, 'I', '2021-04-12 20:20:58.318043', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3237, 655, '-1, 0, 89.6 и 212', false, 'I', '2021-04-12 20:23:19.645757', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3238, 655, '-40, 37.78, и 100', false, 'I', '2021-04-12 20:23:19.645757', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3239, 655, '-1, 0, 1 и 37.78', false, 'I', '2021-04-12 20:23:19.645757', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3240, 655, '-40, 0, 32 и 100', true, 'I', '2021-04-12 20:23:19.645757', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3241, 656, 'Измерение времени отклика в системе онлайн-бронирования.', false, 'I', '2021-04-12 20:24:14.245605', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3242, 656, 'Проверка влияния больших объемов трафика в системе call-центра.', false, 'I', '2021-04-12 20:24:14.245605', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3243, 656, 'Проверка информации на экране онлайн бронирования и содержимого базы данных в соответствии с информацией, указанной в письме для клиентов.', true, 'I', '2021-04-12 20:24:14.245605', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3244, 656, 'Проверка, насколько легко пользоваться системой.', false, 'I', '2021-04-12 20:24:14.245605', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3245, 657, 'При статическом анализе можно найти дефекты, которые трудно найти при динамическом тестировании.', true, 'I', '2021-04-12 20:25:06.509827', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3246, 657, 'Компиляция не является формой статического анализа.', false, 'I', '2021-04-12 20:25:06.509827', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3247, 657, 'При правильном выполнении статический анализ делает функциональное тестирование избыточным.', false, 'I', '2021-04-12 20:25:06.509827', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3248, 657, 'Статический анализ находит все недочеты.', false, 'I', '2021-04-12 20:25:06.509827', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3249, 658, '5, 4, 2, 1, 3, 7, 6', false, 'I', '2021-04-12 20:26:40.338313', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3250, 658, '4, 2, 5,1, 6, 7, 3', false, 'I', '2021-04-12 20:26:40.338313', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3251, 658, '5, 4, 2, 1, 7, 3, 6', true, 'I', '2021-04-12 20:26:40.338313', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3252, 658, '5, 1, 2, 3, 4, 7, 6', false, 'I', '2021-04-12 20:26:40.338313', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3253, 659, 'Остальные 15 дефектов должны быть проверены до выпуска.', false, 'I', '2021-04-12 20:27:38.185337', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3254, 659, 'Оставшиеся 10% тест-кейсов должны быть выполнены до выпуска.', true, 'I', '2021-04-12 20:27:38.185337', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3255, 659, 'Система теперь готова к выпуску без каких-либо дополнительных усилий по тестированию или разработке.', false, 'I', '2021-04-12 20:27:38.185337', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3256, 659, 'Программисты должны сосредоточить свое внимание на устранении оставшихся известных дефектов до выпуска.', false, 'I', '2021-04-12 20:27:38.185337', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers VALUES (3257, 660, 'Удаление контейнера', false, 'I', '2021-04-15 11:01:01.344946', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3258, 660, 'Создание контейнера', false, 'I', '2021-04-15 11:01:01.344946', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3259, 660, 'Пауза контейнера', false, 'I', '2021-04-15 11:01:01.344946', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3260, 660, 'Все варианты не верные', true, 'I', '2021-04-15 11:01:01.344946', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3261, 661, 'Docker Client ', false, 'I', '2021-04-15 11:02:34.034883', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3262, 661, 'Docker Host', false, 'I', '2021-04-15 11:02:34.034883', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3263, 661, 'Docker Compose', true, 'I', '2021-04-15 11:02:34.034883', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3264, 661, 'Docker Daemon', false, 'I', '2021-04-15 11:02:34.034883', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3266, 662, 'Данные из Docker Volume могут быть использованы между разными контейнерами', false, 'I', '2021-04-15 11:03:38.650309', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3267, 662, 'Docker volume привязан к жизненному циклу контейнера и не может существовать без него', true, 'I', '2021-04-15 11:03:38.650309', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3268, 662, 'Приложение, запущенное внутри контейнера, может обмениваться данными с Docker Volume', false, 'I', '2021-04-15 11:03:38.650309', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3269, 663, 'Файл содержащий список команд для построения образа', true, 'I', '2021-04-15 11:04:06.843316', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3270, 663, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, 'I', '2021-04-15 11:04:06.843316', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3271, 663, 'Файл содержащий список файлов, которые будут проигнорированы', false, 'I', '2021-04-15 11:04:06.843316', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3272, 663, 'Файл содержащий список доступных образов', false, 'I', '2021-04-15 11:04:06.843316', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3273, 664, 'Контейнер, который был поставлен на паузу, может быть удален из Docker', false, 'I', '2021-04-15 11:04:55.811415', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3274, 664, 'Для того чтобы открыть порт Docker контейнера во внешний мир необходимо явно прописать такую настройку', true, 'I', '2021-04-15 11:04:55.811415', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3275, 664, 'Для сборки образа Docker используется команда docker start image', false, 'I', '2021-04-15 11:04:55.811415', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3276, 664, 'Для публикации образа может быть использована команда docker push', true, 'I', '2021-04-15 11:04:55.811415', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3277, 665, 'DEFINE', false, 'I', '2021-04-15 11:05:20.32313', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3278, 665, 'EXPOSE', true, 'I', '2021-04-15 11:05:20.32313', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3279, 665, 'COMPOSE', false, 'I', '2021-04-15 11:05:20.32313', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3280, 665, 'OPEN', false, 'I', '2021-04-15 11:05:20.32313', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3281, 666, 'Для настройки взаимодействия между Docker Containers', true, 'I', '2021-04-15 11:05:46.588727', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3282, 666, 'Для настройки взаимодействия между Docker Registry', false, 'I', '2021-04-15 11:05:46.588727', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3283, 666, 'Для настройки взаимодействия между Docker Hub', false, 'I', '2021-04-15 11:05:46.588727', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3284, 666, 'Для настройки взаимодействия между Docker Repository', false, 'I', '2021-04-15 11:05:46.588727', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3285, 667, 'docker cs', false, 'I', '2021-04-15 11:06:09.997392', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3286, 667, 'docker os', false, 'I', '2021-04-15 11:06:09.997392', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3287, 667, 'docker ps', true, 'I', '2021-04-15 11:06:09.997392', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3288, 667, 'docker show containers', false, 'I', '2021-04-15 11:06:09.997392', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3289, 668, 'docker kill', false, 'I', '2021-04-15 11:06:32.676893', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3290, 668, 'docker rm', true, 'I', '2021-04-15 11:06:32.676893', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3291, 668, 'docker stop', false, 'I', '2021-04-15 11:06:32.676893', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3292, 668, 'docker delete', false, 'I', '2021-04-15 11:06:32.676893', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3293, 669, 'Да', true, 'I', '2021-04-15 11:06:56.291221', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3294, 669, 'Нет', false, 'I', '2021-04-15 11:06:56.291221', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3295, 670, 'Да', true, 'I', '2021-04-15 11:07:09.619882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3296, 670, 'Нет', false, 'I', '2021-04-15 11:07:09.619882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3297, 671, 'Да', false, 'I', '2021-04-15 11:07:22.58887', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3298, 671, 'Нет', true, 'I', '2021-04-15 11:07:22.58887', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3299, 672, 'Да', false, 'I', '2021-04-15 11:07:34.827202', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3300, 672, 'Нет', true, 'I', '2021-04-15 11:07:34.827202', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3301, 673, 'Да', false, 'I', '2021-04-15 11:07:46.035164', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3302, 673, 'Нет', true, 'I', '2021-04-15 11:07:46.035164', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3303, 674, 'Для stateless приложений', true, 'I', '2021-04-15 11:08:14.091855', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3304, 674, 'Для stateful приложений', false, 'I', '2021-04-15 11:08:14.091855', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3305, 674, 'Два варианта одинаково хорошо могут быть использованы', false, 'I', '2021-04-15 11:08:14.091855', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3306, 674, 'Нет верного ответа', false, 'I', '2021-04-15 11:08:14.091855', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3307, 675, 'docker check', false, 'I', '2021-04-15 11:08:34.957831', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3308, 675, 'docker stats', true, 'I', '2021-04-15 11:08:34.957831', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3309, 675, 'docker events', true, 'I', '2021-04-15 11:08:34.957831', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3310, 675, 'docker lifestat', false, 'I', '2021-04-15 11:08:34.957831', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3311, 676, 'on-failure', true, 'I', '2021-04-15 11:30:45.662368', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3312, 676, 'always', true, 'I', '2021-04-15 11:30:45.662368', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3313, 676, 'never', false, 'I', '2021-04-15 11:30:45.662368', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3314, 676, 'unless-stopped', true, 'I', '2021-04-15 11:30:45.662368', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3315, 676, 'on-error', false, 'I', '2021-04-15 11:30:45.662368', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3316, 677, 'Да', true, 'I', '2021-04-15 11:35:49.685426', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3317, 677, 'Нет', false, 'I', '2021-04-15 11:35:49.685426', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3318, 677, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, 'I', '2021-04-15 11:35:49.685426', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3323, 679, 'Для поиска компонентов Spring в указанных пакетах', true, 'I', '2021-06-12 22:42:34.331817', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3324, 679, 'Обяъвляет класс компонентом Spring', false, 'I', '2021-06-12 22:42:34.331817', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3325, 679, 'Проверяет компонент на зависимость от других компонентов', false, 'I', '2021-06-12 22:42:34.331817', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4966, 980, 'st', false, 'I', '2022-06-20 15:11:50.200457', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3326, 679, 'Является аннотацией-родителем остальных стереотипных аннотаций', false, 'I', '2021-06-12 22:42:34.331817', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3331, 681, '@RestController помечается класс используемый как REST клиент', false, 'I', '2021-06-12 22:43:10.497858', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3332, 681, '@RestController = @Controller + @RequestBody + @ResponseBody', false, 'I', '2021-06-12 22:43:10.497858', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3333, 681, '@RestController = @Controller + @RequestBody', false, 'I', '2021-06-12 22:43:10.497858', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3334, 681, '@RestController = @Controller + @ResponseBody', true, 'I', '2021-06-12 22:43:10.497858', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3335, 682, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, 'I', '2021-06-12 22:43:10.712522', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3336, 682, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, 'I', '2021-06-12 22:43:10.712522', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3337, 682, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, 'I', '2021-06-12 22:43:10.712522', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3338, 682, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, 'I', '2021-06-12 22:43:10.712522', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3339, 683, 'Spring Data', false, 'I', '2021-06-12 22:43:10.946704', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3340, 683, 'Spring Security', false, 'I', '2021-06-12 22:43:10.946704', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3341, 683, 'Spring MVP', true, 'I', '2021-06-12 22:43:10.946704', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3342, 683, 'Spring AOP', false, 'I', '2021-06-12 22:43:10.946704', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3343, 683, 'Spring WS', false, 'I', '2021-06-12 22:43:10.946704', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3344, 684, 'XML конфиуграция', true, 'I', '2021-06-12 22:43:11.20078', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3345, 684, 'JSON конфигурация', false, 'I', '2021-06-12 22:43:11.20078', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3346, 684, 'Java based конфиуграция', true, 'I', '2021-06-12 22:43:11.20078', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3347, 684, 'Конфигурация на основе groovy файлов', true, 'I', '2021-06-12 22:43:11.20078', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3348, 684, 'Annotation based конфиуграция', true, 'I', '2021-06-12 22:43:11.20078', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3349, 685, 'singlton', true, 'I', '2021-06-12 22:43:11.464622', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3350, 685, 'session', true, 'I', '2021-06-12 22:43:11.464622', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3351, 685, 'prototype', true, 'I', '2021-06-12 22:43:11.464622', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3352, 685, 'application', true, 'I', '2021-06-12 22:43:11.464622', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3353, 685, 'request', true, 'I', '2021-06-12 22:43:11.464622', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3354, 685, 'thread', false, 'I', '2021-06-12 22:43:11.464622', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3355, 685, 'websocket', true, 'I', '2021-06-12 22:43:11.464622', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3356, 686, 'autowire bySetter', false, 'I', '2021-06-12 22:43:11.682307', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3357, 686, 'autowire byName', true, 'I', '2021-06-12 22:43:11.682307', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3358, 686, 'autowire byType', true, 'I', '2021-06-12 22:43:11.682307', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3359, 686, 'autowire by constructor', true, 'I', '2021-06-12 22:43:11.682307', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3360, 686, 'autowiring by @Autowired and @Qualifier annotations', true, 'I', '2021-06-12 22:43:11.682307', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3361, 687, 'Является', false, 'I', '2021-06-12 22:43:11.912632', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3362, 687, 'Не является', false, 'I', '2021-06-12 22:43:11.912632', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3363, 687, 'Зависит от scope бина', true, 'I', '2021-06-12 22:43:11.912632', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3364, 688, '@Configuration', false, 'I', '2021-06-12 22:43:12.14332', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3365, 688, '@Service', true, 'I', '2021-06-12 22:43:12.14332', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3366, 688, '@Controller', true, 'I', '2021-06-12 22:43:12.14332', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3367, 688, '@Bean', false, 'I', '2021-06-12 22:43:12.14332', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3368, 688, '@Repositoty', true, 'I', '2021-06-12 22:43:12.14332', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3409, 698, 'singlton', true, 'I', '2021-06-12 22:43:14.737178', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3410, 699, '@Property("${some.property.key}")', false, 'I', '2021-06-12 22:43:14.973397', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3369, 689, 'Сервлет, который хранит созданные Spring бины и управляет зависимостями между ними', false, 'I', '2021-06-12 22:43:12.371349', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3370, 689, 'Класс, который определяет какое представление исользовать на основании полученного имени', false, 'I', '2021-06-12 22:43:12.371349', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3371, 689, 'Класс, отвечающй за приоритет обработки входящих запросов', false, 'I', '2021-06-12 22:43:12.371349', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3372, 689, 'Сервлет, который анализирует входящие запросы и перенаправляет их соответствующему контроллеру', true, 'I', '2021-06-12 22:43:12.371349', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3373, 690, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, 'I', '2021-06-12 22:43:12.621351', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3374, 690, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, 'I', '2021-06-12 22:43:12.621351', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3375, 690, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, 'I', '2021-06-12 22:43:12.621351', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3476, 713, 'Сортирует по первичному ключу по возрастанию', false, 'I', '2021-09-16 12:31:21.565912', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3376, 690, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, 'I', '2021-06-12 22:43:12.621351', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3377, 691, '@RequestParam используется для добавления параметров к запросу, в то время как @PathVariable используется обозначения пути к представлению', false, 'I', '2021-06-12 22:43:12.86575', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3378, 691, '@RequestParam используется в работе с доступом к данным, в то время как @PathVariable используется для обработки web запросов', false, 'I', '2021-06-12 22:43:12.86575', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3379, 691, '@RequestParam аннотируются параметры связанные с телом запроса, а @PathVariable получения полного Uniform Resource Locator', false, 'I', '2021-06-12 22:43:12.86575', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3380, 691, '@RequestParam используется для определения query параметров, а @PathVariable для извлечения части URL', true, 'I', '2021-06-12 22:43:12.86575', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3381, 692, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, 'I', '2021-06-12 22:43:13.094845', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3382, 692, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, 'I', '2021-06-12 22:43:13.094845', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3383, 692, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, 'I', '2021-06-12 22:43:13.094845', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3384, 692, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, 'I', '2021-06-12 22:43:13.094845', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3385, 693, 'Не можем. Контроллер всегда возвращает представление', false, 'I', '2021-06-12 22:43:13.426757', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3386, 693, 'Да, можем, по умолчанию методы обработчика контроллера возвращают объект, который после сериализации помещается в тело ответа.', false, 'I', '2021-06-12 22:43:13.426757', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3387, 693, 'Да, можем. Для этого используется аннотация @ResponseBody', true, 'I', '2021-06-12 22:43:13.426757', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3388, 693, 'Да, можем если заменим аннотацию @Controller на @Component', false, 'I', '2021-06-12 22:43:13.426757', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3389, 694, 'FileSystemXmlApplicationContext', false, 'I', '2021-06-12 22:43:13.691331', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3390, 694, 'JavaConfigApplicationContext', true, 'I', '2021-06-12 22:43:13.691331', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3391, 694, 'AnnotationConfigApplicationContext', false, 'I', '2021-06-12 22:43:13.691331', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3392, 694, 'ClassPathXmlApplicationContext', false, 'I', '2021-06-12 22:43:13.691331', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3393, 695, 'Для этого используется аннотация @Lazy над @Bean-методами, @Configuration-классами, @Component-классами или полями помеченными @Autowired', true, 'I', '2021-06-12 22:43:13.925924', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3394, 695, 'Для этого используется аннотация @Lazy над @Bean-методами, @Configuration-классами или @Component-классами', false, 'I', '2021-06-12 22:43:13.925924', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3395, 695, 'Необходимо установить для параметра init значение lazy у аннотаций @Bean, @Configuration или @Component', false, 'I', '2021-06-12 22:43:13.925924', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3396, 695, 'Необходимо установить значение параметра lazy-init в true у аннотаций @Bean, @Configuration или @Component', false, 'I', '2021-06-12 22:43:13.925924', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3397, 696, 'destroyMethod', true, 'I', '2021-06-12 22:43:14.166446', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3398, 696, 'value', true, 'I', '2021-06-12 22:43:14.166446', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3399, 696, 'factoryMethod', false, 'I', '2021-06-12 22:43:14.166446', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3400, 696, 'name', true, 'I', '2021-06-12 22:43:14.166446', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3401, 696, 'initMethod', true, 'I', '2021-06-12 22:43:14.166446', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3402, 697, 'Constructor DI', true, 'I', '2021-06-12 22:43:14.409007', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3403, 697, 'Setter DI', true, 'I', '2021-06-12 22:43:14.409007', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3404, 697, 'Field DI', true, 'I', '2021-06-12 22:43:14.409007', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3405, 697, 'Reflection DI', false, 'I', '2021-06-12 22:43:14.409007', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3406, 698, 'application', false, 'I', '2021-06-12 22:43:14.737178', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3407, 698, 'prototype', false, 'I', '2021-06-12 22:43:14.737178', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3408, 698, 'session', false, 'I', '2021-06-12 22:43:14.737178', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3411, 699, '@Value("${some.property.key}")', true, 'I', '2021-06-12 22:43:14.973397', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3412, 699, '@Reference("${some.property.key}")', false, 'I', '2021-06-12 22:43:14.973397', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3413, 699, '@Properties("${some.property.key}")', false, 'I', '2021-06-12 22:43:14.973397', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3414, 700, 'Да, это можно сделать используя массив в методе контроллера', true, 'I', '2021-06-12 22:43:15.20609', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3415, 700, 'Да, можно, но будет прочитан только первый параметр', false, 'I', '2021-06-12 22:43:15.20609', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3416, 700, 'Да, можно, но будет прочитан только один случайны параметр', false, 'I', '2021-06-12 22:43:15.20609', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3417, 700, 'Нельзя', false, 'I', '2021-06-12 22:43:15.20609', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3418, 701, 'Используя свойство scanBasePackages (scanBasePackageClasses) аннотации @SpringBootApplication', true, 'I', '2021-06-12 22:43:15.482818', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3419, 701, 'Приложение Spring Boot автоматически сканирует все пакеты проекта', false, 'I', '2021-06-12 22:43:15.482818', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3420, 701, 'Необходимо пометить класс @ComponentScan для сканирования пакета где он находится', false, 'I', '2021-06-12 22:43:15.482818', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4967, 980, 'sto', false, 'I', '2022-06-20 15:11:50.200457', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3421, 701, '@SpringBootApplication определяет автоматическое сканирование пакета, где находится класс помеченный аннотацией', true, 'I', '2021-06-12 22:43:15.482818', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3422, 702, '@Configuration + @Component + @ComponentScan', false, 'I', '2021-06-12 22:43:15.721755', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3423, 702, '@Component + @EnableAutoConfiguration + @ComponentScan', false, 'I', '2021-06-12 22:43:15.721755', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3424, 702, '@Configuration + @EnableAutoConfiguration + @ComponentScan', true, 'I', '2021-06-12 22:43:15.721755', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3425, 702, '@EnableConfigurationProperties + @EnableAutoConfiguration + @ComponentScan', false, 'I', '2021-06-12 22:43:15.721755', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3426, 703, '@Before', false, 'I', '2021-06-12 22:43:15.956182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3427, 703, '@After', false, 'I', '2021-06-12 22:43:15.956182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3428, 703, '@AfterReturing', false, 'I', '2021-06-12 22:43:15.956182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3429, 703, '@AfterExecution', true, 'I', '2021-06-12 22:43:15.956182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3430, 703, '@AfterThrowing', false, 'I', '2021-06-12 22:43:15.956182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3431, 703, '@Around', false, 'I', '2021-06-12 22:43:15.956182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3432, 704, 'Набор всех правил и выполняемых действий', false, 'I', '2021-06-12 22:43:16.186682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3433, 704, 'Набор точек, где будет выполнятся наш Advice', false, 'I', '2021-06-12 22:43:16.186682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3434, 704, 'Действие, которое будет выполняться для выбранных нами методов', false, 'I', '2021-06-12 22:43:16.186682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3435, 704, 'Точка в программе, где структура AOP будет инициализирована', true, 'I', '2021-06-12 22:43:16.186682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3436, 705, 'Набор всех правил и выполняемых действий', false, 'I', '2021-06-12 22:43:16.419201', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3437, 705, 'Набор точек, где будет выполнятся наш Advice', false, 'I', '2021-06-12 22:43:16.419201', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3438, 705, 'Действие, которое будет выполняться для выбранных нами методов', true, 'I', '2021-06-12 22:43:16.419201', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3439, 705, 'Точка в программе, где структура AOP будет инициализирована', false, 'I', '2021-06-12 22:43:16.419201', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3440, 706, 'Да, можно', true, 'I', '2021-06-12 22:43:16.684887', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3441, 706, 'Можно, но будет упущена часть функицонала @Service', false, 'I', '2021-06-12 22:43:16.684887', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3442, 706, 'Нельзя, эти аннотации имеют разный функионал', false, 'I', '2021-06-12 22:43:16.684887', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3443, 706, 'Эти аннотации можно использовать только вместе', false, 'I', '2021-06-12 22:43:16.684887', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3444, 707, '@GetMapping частный случай @RequestMapping для GET запросов, @RequestMapping может использоваться для других методов запроса', true, 'I', '2021-06-12 22:43:16.911107', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3445, 707, '@RequestMapping, в отличие от @GetMapping, не может работать с @PathVariable', false, 'I', '2021-06-12 22:43:16.911107', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3446, 707, '@GetMapping могут быть аннотированы только методы, тогда как @RequestMapping могут быть аннотированы и классы', true, 'I', '2021-06-12 22:43:16.911107', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3447, 707, 'Разницы нет', false, 'I', '2021-06-12 22:43:16.911107', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3448, 708, 'Верно', false, 'I', '2021-06-12 22:43:17.18342', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3449, 708, 'Не верно', true, 'I', '2021-06-12 22:43:17.18342', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3454, 680, 'Указвыает Spring, что данное поле класса является бином', false, 'I', '2021-06-12 22:46:28.11798', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3455, 680, 'Указывается над классом, который хранит конфигурацию контектса Spring', false, 'I', '2021-06-12 22:46:28.11798', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3456, 680, 'В классах конфигурации для опредления бинов с кастомной логикой', true, 'I', '2021-06-12 22:46:28.11798', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3457, 680, 'Обяъвляет класс компонентом Spring', false, 'I', '2021-06-12 22:46:28.11798', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3460, 710, 'Ошибка: не указана таблица', false, 'I', '2021-09-16 12:28:04.613365', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3461, 710, 'Одну строку в таблице без колонок', false, 'I', '2021-09-16 12:28:04.613365', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3462, 710, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, 'I', '2021-09-16 12:28:04.613365', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3463, 710, 'Не вернет ни одной строки', false, 'I', '2021-09-16 12:28:04.613365', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3464, 711, 'Select Имя, Фамилия from users;', false, 'I', '2021-09-16 12:29:27.323417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3465, 711, 'Select first_name, last_name from users;', false, 'I', '2021-09-16 12:29:27.323417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3466, 711, 'Select first_name as Имя, last_name as Фамилия from users;', true, 'I', '2021-09-16 12:29:27.323417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3467, 711, 'Select Имя as first_name, Фамилия as last_name from users;', false, 'I', '2021-09-16 12:29:27.323417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3468, 711, 'Select first_name, last_name from users as Имя, Фамилия;', false, 'I', '2021-09-16 12:29:27.323417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3469, 711, 'Select first_name Имя, last_name Фамилия from users;', true, 'I', '2021-09-16 12:29:27.323417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3470, 712, 'Select * from table;', true, 'I', '2021-09-16 12:30:43.582212', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3471, 712, 'Select * from table as table;', true, 'I', '2021-09-16 12:30:43.582212', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3472, 712, 'Select % from table;', false, 'I', '2021-09-16 12:30:43.582212', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3473, 712, 'Select % from table table;', false, 'I', '2021-09-16 12:30:43.582212', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3474, 712, 'Select all from table;', false, 'I', '2021-09-16 12:30:43.582212', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3475, 712, 'Select * from table table;', true, 'I', '2021-09-16 12:30:43.582212', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4968, 980, 'to', true, 'I', '2022-06-20 15:11:50.200457', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3477, 713, 'Сортирует по первичному ключу по убыванию', false, 'I', '2021-09-16 12:31:21.565912', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3478, 713, 'Сортирует по первой колонке по возрастанию', false, 'I', '2021-09-16 12:31:21.565912', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3479, 713, 'Сортирует по первой колонке по убыванию', false, 'I', '2021-09-16 12:31:21.565912', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3480, 713, 'В случайном порядке', true, 'I', '2021-09-16 12:31:21.565912', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3481, 714, 'Select * from users where name = "Ivan";', false, 'I', '2021-09-16 12:32:45.287113', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3482, 714, 'Select * from users where name = Ivan;', false, 'I', '2021-09-16 12:32:45.287113', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3483, 714, 'Select * from users where name = ''Ivan'';', true, 'I', '2021-09-16 12:32:45.287113', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3484, 714, 'Select * from users where name = "%Ivan%";', false, 'I', '2021-09-16 12:32:45.287113', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3485, 714, 'Select * from users where name = %Ivan%;', false, 'I', '2021-09-16 12:32:45.287113', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3486, 714, 'Select * from users where name = ''%Ivan%'';', true, 'I', '2021-09-16 12:32:45.287113', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3487, 715, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, 'I', '2021-09-16 12:33:24.458855', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3488, 715, 'Все заказы, за 2020 год кроме 1.01', false, 'I', '2021-09-16 12:33:24.458855', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3489, 715, 'Все заказы, за 2020 год', true, 'I', '2021-09-16 12:33:24.458855', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3490, 715, 'Запрос составлен неверно', false, 'I', '2021-09-16 12:33:24.458855', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3491, 715, 'Ничего из перечисленного', false, 'I', '2021-09-16 12:33:24.458855', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3492, 716, 'Проводить сравнение с NULL нужно при помощи оператора ==', false, 'I', '2021-09-16 12:34:08.752097', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3493, 716, 'Проводить сравнение с NULL нужно при помощи оператора IS', true, 'I', '2021-09-16 12:34:08.752097', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3494, 716, 'Проводить сравнение с NULL нужно при помощи оператора IN', false, 'I', '2021-09-16 12:34:08.752097', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3495, 716, 'Проводить сравнение с NULL нужно при помощи оператора ON', false, 'I', '2021-09-16 12:34:08.752097', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3496, 716, 'Оператор выбран верно, нужно выделить "NULL" кавычками', false, 'I', '2021-09-16 12:34:08.752097', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3497, 716, 'Оператор выбран верно, нужно выделить ''NULL'' апострофами', false, 'I', '2021-09-16 12:34:08.752097', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3504, 717, 'Приоритеты всех перечисленных операций равны', false, 'I', '2021-09-16 12:34:52.965975', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3505, 717, 'AND и OR > NOT > IN', false, 'I', '2021-09-16 12:34:52.965975', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3506, 717, 'AND > OR > NOT > IN', false, 'I', '2021-09-16 12:34:52.965975', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3507, 717, 'NOT > AND > OR и IN', true, 'I', '2021-09-16 12:34:52.965975', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3508, 717, 'NOT > AND и OR > IN', false, 'I', '2021-09-16 12:34:52.965975', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3509, 717, 'NOT > AND > OR > IN', false, 'I', '2021-09-16 12:34:52.965975', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3510, 718, 'Select * from users;', false, 'I', '2021-09-16 12:35:28.953654', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3511, 718, 'Select * from users desc;', false, 'I', '2021-09-16 12:35:28.953654', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3512, 718, 'Select * from users order by user_id;', false, 'I', '2021-09-16 12:35:28.953654', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3513, 718, 'Select * from users order by user_id desc;', true, 'I', '2021-09-16 12:35:28.953654', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3514, 718, 'Select * order by user_id from users;', false, 'I', '2021-09-16 12:35:28.953654', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3515, 718, 'Select * order by user_id desc from users;', false, 'I', '2021-09-16 12:35:28.953654', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3516, 719, 'Select * from users order in user_id, user_type_id;', false, 'I', '2021-09-16 12:36:00.592369', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3517, 719, 'Select * from users order in user_id, user_type_id desc;', false, 'I', '2021-09-16 12:36:00.592369', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3518, 719, 'Select * from users order by user_id desc, user_type_id asc;', false, 'I', '2021-09-16 12:36:00.592369', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3519, 719, 'Select * from users order by user_id asc, user_type_id desc;', true, 'I', '2021-09-16 12:36:00.592369', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3520, 719, 'Select * from users order by user_id, user_type_id desc;', true, 'I', '2021-09-16 12:36:00.592369', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3521, 719, 'Select * from users order by user_id, user_type_id;', false, 'I', '2021-09-16 12:36:00.592369', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3522, 720, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, 'I', '2021-09-16 12:36:43.405337', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3523, 720, 'Все заказы, за 2020 год кроме 1.01', false, 'I', '2021-09-16 12:36:43.405337', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3524, 720, 'Все заказы, за 2020 год', false, 'I', '2021-09-16 12:36:43.405337', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3525, 720, 'Запрос составлен неверно', true, 'I', '2021-09-16 12:36:43.405337', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3526, 720, 'Ничего из перечисленного', false, 'I', '2021-09-16 12:36:43.405337', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3527, 721, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, 'I', '2021-09-16 12:37:18.667155', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3528, 721, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, 'I', '2021-09-16 12:37:18.667155', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3529, 721, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, 'I', '2021-09-16 12:37:18.667155', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3530, 721, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, 'I', '2021-09-16 12:37:18.667155', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3531, 721, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, 'I', '2021-09-16 12:37:18.667155', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3532, 721, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, 'I', '2021-09-16 12:37:18.667155', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3533, 722, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, 'I', '2021-09-16 12:37:58.589174', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5229, 1026, 'Pop', false, 'I', '2022-07-03 13:51:48.94882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3534, 722, 'Количество столбцов должно быть равно у каждого запроса', true, 'I', '2021-09-16 12:37:58.589174', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3535, 722, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, 'I', '2021-09-16 12:37:58.589174', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3536, 722, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, 'I', '2021-09-16 12:37:58.589174', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3537, 722, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, 'I', '2021-09-16 12:37:58.589174', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3538, 722, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, 'I', '2021-09-16 12:37:58.589174', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3539, 723, 'Select (Select * from users), (Select * from users), (Select * from users);', false, 'I', '2021-09-16 12:38:46.319949', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3540, 723, 'Select * from users union Select * from users union Select * from users;', false, 'I', '2021-09-16 12:38:46.319949', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3541, 723, 'Select * from users union all Select * from users union all Select * from users;', true, 'I', '2021-09-16 12:38:46.319949', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3542, 723, 'Select * from users group by user_id having count(*) = 3;', false, 'I', '2021-09-16 12:38:46.319949', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3543, 724, 'Select address from offices union Select address from departments union Select address from stations;', false, 'I', '2021-09-16 12:39:20.470281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3544, 724, 'Select address from offices union all Select address from departments union all Select address from stations;', true, 'I', '2021-09-16 12:39:20.470281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3545, 724, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, 'I', '2021-09-16 12:39:20.470281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3546, 724, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, 'I', '2021-09-16 12:39:20.470281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3547, 724, 'Select address from offices except Select address from departments except Select address from stations;', false, 'I', '2021-09-16 12:39:20.470281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3548, 724, 'Select address from offices except all Select address from departments except all Select address from stations;', false, 'I', '2021-09-16 12:39:20.470281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3549, 725, 'Select address from offices union Select address from departments union Select address from stations;', false, 'I', '2021-09-16 12:40:06.868023', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3550, 725, 'Select address from offices union all Select address from departments union all Select address from stations;', false, 'I', '2021-09-16 12:40:06.868023', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3551, 725, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, 'I', '2021-09-16 12:40:06.868023', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3552, 725, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, 'I', '2021-09-16 12:40:06.868023', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3553, 725, 'Select address from offices except Select address from departments except Select address from stations;', false, 'I', '2021-09-16 12:40:06.868023', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3600, 733, 'Select user_id, round(amount/100, 0, 2) from users;', false, 'I', '2021-09-16 12:46:47.442957', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3554, 725, 'Select address from offices except all Select address from departments except all Select address from stations;', false, 'I', '2021-09-16 12:40:06.868023', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3555, 726, 'Select address from offices union Select address from departments union Select address from stations;', false, 'I', '2021-09-16 12:40:46.758568', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3556, 726, 'Select address from offices union all Select address from departments union all Select address from stations;', false, 'I', '2021-09-16 12:40:46.758568', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3557, 726, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, 'I', '2021-09-16 12:40:46.758568', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3558, 726, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, 'I', '2021-09-16 12:40:46.758568', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3559, 726, 'Select address from offices except Select address from departments except Select address from stations;', true, 'I', '2021-09-16 12:40:46.758568', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3560, 726, 'Select address from offices except all Select address from departments except all Select address from stations;', false, 'I', '2021-09-16 12:40:46.758568', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3561, 727, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, 'I', '2021-09-16 12:41:44.396918', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3562, 727, 'Select address from offices union Select address from stations except select address from departments;', false, 'I', '2021-09-16 12:41:44.396918', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3563, 727, 'Select address from offices union Select address from stations except all select address from departments;', false, 'I', '2021-09-16 12:41:44.396918', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3564, 727, 'Select address from offices union all Select address from stations except all select address from departments;', true, 'I', '2021-09-16 12:41:44.396918', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3565, 727, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, 'I', '2021-09-16 12:41:44.396918', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3566, 727, 'Все запросы верны', false, 'I', '2021-09-16 12:41:44.396918', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3567, 728, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, 'I', '2021-09-16 12:42:19.883195', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3568, 728, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, 'I', '2021-09-16 12:42:19.883195', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3569, 728, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, 'I', '2021-09-16 12:42:19.883195', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5230, 1026, 'Peek', false, 'I', '2022-07-03 13:51:48.94882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3570, 728, 'Все запросы неверны', true, 'I', '2021-09-16 12:42:19.883195', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3571, 729, 'Select type_name, count(*), sum(amount) from offices;', false, 'I', '2021-09-16 12:43:26.463214', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3572, 729, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, 'I', '2021-09-16 12:43:26.463214', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3573, 729, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, 'I', '2021-09-16 12:43:26.463214', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3574, 729, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, 'I', '2021-09-16 12:43:26.463214', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3575, 729, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, 'I', '2021-09-16 12:43:26.463214', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3576, 729, 'Select count(*), sum(amount) from offices group by type_name;', false, 'I', '2021-09-16 12:43:26.463214', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3577, 730, 'Select name from users where name = ''Г%'';', false, 'I', '2021-09-16 12:45:18.762617', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3578, 730, 'Select name from users where name = ''%Г'';', false, 'I', '2021-09-16 12:45:18.762617', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3579, 730, 'Select name from users where name = ''Г_'';', false, 'I', '2021-09-16 12:45:18.762617', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3580, 730, 'Select name from users where name like ''Г%'';', true, 'I', '2021-09-16 12:45:18.762617', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3581, 730, 'Select name from users where name like ''%Г'';', false, 'I', '2021-09-16 12:45:18.762617', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3582, 730, 'Select name from users where name like ''Г_'';', false, 'I', '2021-09-16 12:45:18.762617', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3583, 731, 'Select name from users where name = ''аша%'';', false, 'I', '2021-09-16 12:45:48.476656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3584, 731, 'Select name from users where name = ''%аша'';', false, 'I', '2021-09-16 12:45:48.476656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3585, 731, 'Select name from users where name = ''_аша'';', false, 'I', '2021-09-16 12:45:48.476656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3586, 731, 'Select name from users where name like ''аша%'';', false, 'I', '2021-09-16 12:45:48.476656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3587, 731, 'Select name from users where name like ''%аша'';', true, 'I', '2021-09-16 12:45:48.476656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3588, 731, 'Select name from users where name like ''_аша'';', true, 'I', '2021-09-16 12:45:48.476656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3589, 732, 'Select name from users;', false, 'I', '2021-09-16 12:46:19.302194', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3590, 732, 'Select ''Имя = '' + ''name'' from users;', false, 'I', '2021-09-16 12:46:19.302194', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3591, 732, 'Select ''Имя = '', name from users;', false, 'I', '2021-09-16 12:46:19.302194', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3592, 732, 'Select ''Имя = '' + name from users;', false, 'I', '2021-09-16 12:46:19.302194', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3593, 732, 'Select concat(''Имя = '', name) from users;', true, 'I', '2021-09-16 12:46:19.302194', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3594, 732, 'Select string(''Имя = '', name) from users', false, 'I', '2021-09-16 12:46:19.302194', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3595, 733, 'Select user_id, round(amount::numeric/100, 2, 2) from users;', false, 'I', '2021-09-16 12:46:47.442957', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3596, 733, 'Select user_id, round(amount::numeric/100, 2) from users;', true, 'I', '2021-09-16 12:46:47.442957', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3597, 733, 'Select user_id, round(amount::numeric/100, 0, 2) from users;', false, 'I', '2021-09-16 12:46:47.442957', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3598, 733, 'Select user_id, round(amount/100, 2) from users;', false, 'I', '2021-09-16 12:46:47.442957', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3599, 733, 'Select user_id, round(amount/100::numeric, 2) from users;', true, 'I', '2021-09-16 12:46:47.442957', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3601, 734, 'Select * from users where amount > 1000 and user_id <= 10;', false, 'I', '2021-09-16 12:49:32.406913', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3602, 734, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, 'I', '2021-09-16 12:49:32.406913', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3603, 734, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, 'I', '2021-09-16 12:49:32.406913', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3604, 734, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, 'I', '2021-09-16 12:49:32.406913', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3605, 734, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, 'I', '2021-09-16 12:49:32.406913', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3606, 734, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, 'I', '2021-09-16 12:49:32.406913', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3607, 735, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, 'I', '2021-09-16 12:50:06.030911', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3608, 735, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, 'I', '2021-09-16 12:50:06.030911', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3609, 735, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, 'I', '2021-09-16 12:50:06.030911', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3610, 735, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, 'I', '2021-09-16 12:50:06.030911', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3611, 735, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, 'I', '2021-09-16 12:50:06.030911', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3612, 735, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, 'I', '2021-09-16 12:50:06.030911', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3613, 736, 'Select user_id, department_id, sum(amount) from transactions group by transaction_id, sum(amount) order by desc limit 10;', false, 'I', '2021-09-16 12:50:32.748324', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3614, 736, 'Select user_id, department_id, sum(amount) from transactions group by user_id, department_id, sum(amount) order by desc limit 10;', false, 'I', '2021-09-16 12:50:32.748324', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3615, 736, 'Select user_id, department_id, sum(amount) from transactions group by user_id, department_id, amount order by desc limit 10;', false, 'I', '2021-09-16 12:50:32.748324', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3616, 736, 'Select user_id, department_id, sum(amount) from transactions group by user_id, department_id order by desc limit 10;', true, 'I', '2021-09-16 12:50:32.748324', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3617, 736, 'Select user_id, department_id, amount from transactions group by user_id, department_id order by desc limit 10;', false, 'I', '2021-09-16 12:50:32.748324', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3618, 736, 'Select user_id, department_id, amount from transactions group by user_id, department_id, sum(amount) order by desc limit 10;', false, 'I', '2021-09-16 12:50:32.748324', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3619, 737, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, 'I', '2021-09-16 12:51:05.569252', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3620, 737, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, 'I', '2021-09-16 12:51:05.569252', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3621, 737, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, 'I', '2021-09-16 12:51:05.569252', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3622, 737, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, 'I', '2021-09-16 12:51:05.569252', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3623, 737, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, 'I', '2021-09-16 12:51:05.569252', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3624, 737, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, 'I', '2021-09-16 12:51:05.569252', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3625, 738, 'Select biggest(amount) from transactions;', false, 'I', '2021-09-16 12:51:41.204928', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3626, 738, 'Select max(amount) from transactions;', true, 'I', '2021-09-16 12:51:41.204928', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3627, 738, 'Select sum(amount) from transactions;', false, 'I', '2021-09-16 12:51:41.204928', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3628, 738, 'Select amount from transactions order by desc limit 1;', true, 'I', '2021-09-16 12:51:41.204928', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3629, 738, 'Select amount from transactions order by asc limit 1;', false, 'I', '2021-09-16 12:51:41.204928', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3630, 738, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, 'I', '2021-09-16 12:51:41.204928', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3631, 739, 'Select name from departments where transaction_id < 10;', false, 'I', '2021-09-16 12:52:43.134525', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3632, 739, 'Select name from departments where department_id = (select department_id from transactions);', false, 'I', '2021-09-16 12:52:43.134525', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3633, 739, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, 'I', '2021-09-16 12:52:43.134525', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3634, 739, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, 'I', '2021-09-16 12:52:43.134525', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3635, 739, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, 'I', '2021-09-16 12:52:43.134525', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3636, 739, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, 'I', '2021-09-16 12:52:43.134525', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3637, 740, 'Select * from transactions t inner join departments d using (department_id);', true, 'I', '2021-09-16 12:53:29.162721', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3638, 740, 'Select * from transactions t cross join departments d using (department_id);', false, 'I', '2021-09-16 12:53:29.162721', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3639, 740, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, 'I', '2021-09-16 12:53:29.162721', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3640, 740, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, 'I', '2021-09-16 12:53:29.162721', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3641, 740, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, 'I', '2021-09-16 12:53:29.162721', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3642, 740, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, 'I', '2021-09-16 12:53:29.162721', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3643, 741, 'Все транзакции, имя которых начинается с # и заканчивается любой строкой длиной больше одного символа', false, 'I', '2021-09-16 12:54:13.887758', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3644, 741, 'Все транзакции, имя которых начинается с _ и заканчивается любой строкой длиной больше одного символа', false, 'I', '2021-09-16 12:54:13.887758', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3645, 741, 'Все транзакции, имя которых начинается с _ и заканчивается любой строкой', true, 'I', '2021-09-16 12:54:13.887758', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3646, 741, 'Ошибка, не существует оператора escape', false, 'I', '2021-09-16 12:54:13.887758', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3647, 741, 'Ошибка, не существует спецсимвола #', false, 'I', '2021-09-16 12:54:13.887758', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3648, 741, 'Другая ошибка', false, 'I', '2021-09-16 12:54:13.887758', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3649, 742, 'Character и character varying ничем не отличаются', false, 'I', '2021-09-16 12:54:59.985691', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3650, 742, 'Типа character varying не существует', false, 'I', '2021-09-16 12:54:59.985691', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3651, 742, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, 'I', '2021-09-16 12:54:59.985691', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3652, 742, 'Charatcer имеет изменяемую длину', false, 'I', '2021-09-16 12:54:59.985691', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3653, 742, 'Charatcer varying имеет изменяемую длину', true, 'I', '2021-09-16 12:54:59.985691', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3654, 742, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, 'I', '2021-09-16 12:54:59.985691', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3655, 743, 'Select', true, 'I', '2021-09-16 12:55:34.118062', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3656, 743, 'Insert', false, 'I', '2021-09-16 12:55:34.118062', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3657, 743, 'Update', true, 'I', '2021-09-16 12:55:34.118062', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3658, 743, 'Delete', true, 'I', '2021-09-16 12:55:34.118062', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3659, 743, 'Alter', false, 'I', '2021-09-16 12:55:34.118062', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3660, 743, 'Truncate', false, 'I', '2021-09-16 12:55:34.118062', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3661, 744, 'Select * from transactions t where t.department_id in (Select * from departments d where d.department_id = t.department_id);', false, 'I', '2021-09-16 12:56:10.988095', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3662, 744, 'Select * from transactions t where t.department_id in (Select department_id from departments d where d.department_id = t.department_id);', true, 'I', '2021-09-16 12:56:10.988095', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3663, 744, 'Select * from transactions where department_id in (Select * from departments);', false, 'I', '2021-09-16 12:56:10.988095', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3664, 744, 'Select * from transactions where department_id in (Select department_id from departments);', true, 'I', '2021-09-16 12:56:10.988095', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3732, 755, 'Singleton', true, 'I', '2021-09-16 13:03:35.621849', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3665, 744, 'Select * from transactions t where exists (Select * from departments d);', false, 'I', '2021-09-16 12:56:10.988095', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3666, 744, 'Select * from transactions t where exists (Select * from departments d where d.department_id = t.department_id);', true, 'I', '2021-09-16 12:56:10.988095', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3667, 745, 'Если yourField = NULL - вернет true, иначе false', false, 'I', '2021-09-16 12:56:40.857033', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3668, 745, 'Если yourField = NULL - вернет ''abc'', иначе значение yourField', false, 'I', '2021-09-16 12:56:40.857033', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3669, 745, 'Если yourField = ''abc'' - вернет NULL, иначе значение yourField', true, 'I', '2021-09-16 12:56:40.857033', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3670, 745, 'Если yourField = ''abc'' - вернет ''abc'', иначе значение yourField', false, 'I', '2021-09-16 12:56:40.857033', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3671, 745, 'Если yourField = ''abc'' - вернет true, иначе false', false, 'I', '2021-09-16 12:56:40.857033', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3672, 745, 'Если yourField = ''abc'' - вернет true, иначе NULL', false, 'I', '2021-09-16 12:56:40.857033', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3673, 746, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, 'I', '2021-09-16 12:57:16.084565', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3674, 746, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, 'I', '2021-09-16 12:57:16.084565', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3675, 746, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, 'I', '2021-09-16 12:57:16.084565', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3676, 746, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, 'I', '2021-09-16 12:57:16.084565', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3677, 746, 'Ничего из перечисленного', false, 'I', '2021-09-16 12:57:16.084565', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3678, 747, 'Все поля', false, 'I', '2021-09-16 12:57:47.209704', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3679, 747, 'Обязательных полей нет', false, 'I', '2021-09-16 12:57:47.209704', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3680, 747, 'Все, кроме полей с default значением', false, 'I', '2021-09-16 12:57:47.209704', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3681, 747, 'Только поля с default значением', false, 'I', '2021-09-16 12:57:47.209704', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3682, 747, 'Все, кроме полей с default значением или атрибутом autoincrement', true, 'I', '2021-09-16 12:57:47.209704', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3683, 747, 'Только поля с default значением или атрибутом autoincrement', false, 'I', '2021-09-16 12:57:47.209704', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3684, 748, 'Insert table set value1 = 1 and value2 = 2;', false, 'I', '2021-09-16 12:58:14.640207', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3685, 748, 'Insert table set value1 = 1, value2 = 2;', false, 'I', '2021-09-16 12:58:14.640207', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3686, 748, 'Insert into table set value1 = 1 and value2 = 2;', false, 'I', '2021-09-16 12:58:14.640207', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3687, 748, 'Insert into table set value1 = 1, value2 = 2;', false, 'I', '2021-09-16 12:58:14.640207', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3688, 748, 'Insert into table value1, value2 values 1,2;', false, 'I', '2021-09-16 12:58:14.640207', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3689, 748, 'Insert into table (value1, value2) values (1,2);', true, 'I', '2021-09-16 12:58:14.640207', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3690, 749, 'BATCH INSERT INTO table (column) VALUES (''value1''),(''value2'');', false, 'I', '2021-09-16 12:58:41.645098', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3691, 749, 'MULTIPLE INSERT INTO table (column) VALUES (''value1''),(''value2'');', false, 'I', '2021-09-16 12:58:41.645098', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3692, 749, 'INSERT INTO table (column) VALUES (''value1''),(''value2'');', true, 'I', '2021-09-16 12:58:41.645098', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3693, 749, 'Использовать подзапрос', false, 'I', '2021-09-16 12:58:41.645098', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3694, 749, 'Никак', false, 'I', '2021-09-16 12:58:41.645098', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3695, 750, 'Session', true, 'I', '2021-09-16 13:00:46.533082', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3696, 750, 'SessionFactory', true, 'I', '2021-09-16 13:00:46.533082', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3697, 750, 'Configuration', true, 'I', '2021-09-16 13:00:46.533082', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3698, 750, 'Transaction', true, 'I', '2021-09-16 13:00:46.533082', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3699, 750, 'Query', true, 'I', '2021-09-16 13:00:46.533082', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3700, 750, 'Criteria', true, 'I', '2021-09-16 13:00:46.533082', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3712, 753, 'hibernate.config.xml', false, 'I', '2021-09-16 13:02:27.071584', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3713, 753, 'hibernate.cfg.xml', true, 'I', '2021-09-16 13:02:27.071584', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3714, 753, 'hibernate-config.xml', false, 'I', '2021-09-16 13:02:27.071584', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3715, 753, 'hibernate-cfg.xml', false, 'I', '2021-09-16 13:02:27.071584', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3716, 753, 'Никакое из перечисленных', false, 'I', '2021-09-16 13:02:27.071584', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3717, 752, 'hibernate.cache.use_second_level_cache=true', false, 'I', '2021-09-16 13:02:36.443318', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3718, 752, 'hibernate.cache.use_cache_query=true', false, 'I', '2021-09-16 13:02:36.443318', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3719, 752, 'hibernate.cache.use_query_cache=true', true, 'I', '2021-09-16 13:02:36.443318', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3720, 752, 'hibernate.cache.use_cache=true', false, 'I', '2021-09-16 13:02:36.443318', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3721, 752, 'Никакая из перечисленных', false, 'I', '2021-09-16 13:02:36.443318', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3722, 751, 'Transient', false, 'I', '2021-09-16 13:02:43.257641', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3723, 751, 'Transaction', true, 'I', '2021-09-16 13:02:43.257641', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3724, 751, 'Persistent', false, 'I', '2021-09-16 13:02:43.257641', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3725, 751, 'Detached', false, 'I', '2021-09-16 13:02:43.257641', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3726, 751, 'Attached', true, 'I', '2021-09-16 13:02:43.257641', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3727, 751, 'Removed', false, 'I', '2021-09-16 13:02:43.257641', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3728, 754, 'Да', true, 'I', '2021-09-16 13:03:08.97971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3729, 754, 'Нет', false, 'I', '2021-09-16 13:03:08.97971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3730, 754, 'Указывается при создании объекта', false, 'I', '2021-09-16 13:03:08.97971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3731, 755, 'Prototype', false, 'I', '2021-09-16 13:03:35.621849', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5523, 1077, '128', false, 'I', '2022-12-04 17:07:43.77115', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3733, 755, 'Session', false, 'I', '2021-09-16 13:03:35.621849', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3734, 755, 'Request', false, 'I', '2021-09-16 13:03:35.621849', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3735, 755, 'Prototype или Singleton', false, 'I', '2021-09-16 13:03:35.621849', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3736, 755, 'Никакой из перечисленных', false, 'I', '2021-09-16 13:03:35.621849', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3737, 756, 'Да', false, 'I', '2021-09-16 13:03:57.976072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3738, 756, 'Нет', true, 'I', '2021-09-16 13:03:57.976072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3739, 756, 'Указывается при создании объекта', false, 'I', '2021-09-16 13:03:57.976072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3740, 757, 'Создается согласно паттерну Singleton', false, 'I', '2021-09-16 13:04:29.561694', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3741, 757, 'Создается согласно паттерну Prototype', true, 'I', '2021-09-16 13:04:29.561694', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3742, 757, 'Жизненный цикл Session привязан к транзакции', true, 'I', '2021-09-16 13:04:29.561694', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3743, 757, 'Жизненный цикл Session привязан к базе данных', false, 'I', '2021-09-16 13:04:29.561694', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3744, 757, 'Session является потокобезопасным', false, 'I', '2021-09-16 13:04:29.561694', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3745, 757, 'Создается через конструктор класса Session', false, 'I', '2021-09-16 13:04:29.561694', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3746, 758, 'Создается согласно паттерну Singleton', true, 'I', '2021-09-16 13:04:59.88201', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3747, 758, 'Создается согласно паттерну Prototype', false, 'I', '2021-09-16 13:04:59.88201', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3748, 758, 'Жизненный цикл SessionFactory привязан к транзакции', false, 'I', '2021-09-16 13:04:59.88201', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3749, 758, 'Жизненный цикл SessionFactory привязан к базе данных', true, 'I', '2021-09-16 13:04:59.88201', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3750, 758, 'SessionFactory является потокобезопасным', true, 'I', '2021-09-16 13:04:59.88201', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3751, 758, 'Создается через конструктор класса SessionFactory', false, 'I', '2021-09-16 13:04:59.88201', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3752, 759, 'Через конструктор SessionFactory', false, 'I', '2021-09-16 13:05:37.333266', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3753, 759, 'Через билдер SessionFactoryBuilder', false, 'I', '2021-09-16 13:05:37.333266', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3754, 759, 'Через метод buildSessionFactory() класса Configuration', true, 'I', '2021-09-16 13:05:37.333266', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3755, 759, 'Через метод buildSessionFactory() класса Connection', false, 'I', '2021-09-16 13:05:37.333266', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3756, 759, 'Ничего из перечисленного', false, 'I', '2021-09-16 13:05:37.333266', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3757, 760, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, 'I', '2021-09-16 13:06:16.30252', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3758, 760, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, 'I', '2021-09-16 13:06:16.30252', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3759, 760, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, 'I', '2021-09-16 13:06:16.30252', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3760, 760, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, 'I', '2021-09-16 13:06:16.30252', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3761, 760, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, 'I', '2021-09-16 13:06:16.30252', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3762, 760, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, 'I', '2021-09-16 13:06:16.30252', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3763, 761, 'Конфигурацию можно провести только через XML файл', false, 'I', '2021-09-16 13:06:48.260176', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3764, 761, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, 'I', '2021-09-16 13:06:48.260176', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3765, 761, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, 'I', '2021-09-16 13:06:48.260176', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3766, 761, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, 'I', '2021-09-16 13:06:48.260176', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3767, 761, 'Ничего из перечисленного', false, 'I', '2021-09-16 13:06:48.260176', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3768, 762, 'Закрытие PersistentContext не влияет на сущности и их состояния', false, 'I', '2021-09-16 13:07:08.181996', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3769, 762, 'Transient', false, 'I', '2021-09-16 13:07:08.181996', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3770, 762, 'Persistent', false, 'I', '2021-09-16 13:07:08.181996', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3771, 762, 'Detached', true, 'I', '2021-09-16 13:07:08.181996', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3772, 762, 'Removed', false, 'I', '2021-09-16 13:07:08.181996', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3773, 763, 'Transient', true, 'I', '2021-09-16 13:07:24.295092', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3774, 763, 'Persistent', false, 'I', '2021-09-16 13:07:24.295092', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3775, 763, 'Detached', true, 'I', '2021-09-16 13:07:24.295092', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3776, 763, 'Removed', false, 'I', '2021-09-16 13:07:24.295092', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3777, 764, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, 'I', '2021-09-16 13:08:09.830357', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3778, 764, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, 'I', '2021-09-16 13:08:09.830357', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3779, 764, 'Аннотация ставится над классом, указывает что класс является сущностью БД', true, 'I', '2021-09-16 13:08:09.830357', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3780, 764, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, 'I', '2021-09-16 13:08:09.830357', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3781, 764, 'Аннотация имеет другое значение, не указанное среди ответов', false, 'I', '2021-09-16 13:08:09.830357', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3782, 764, 'Такой аннотации не существует в Hibernate', false, 'I', '2021-09-16 13:08:09.830357', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3783, 765, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, 'I', '2021-09-16 13:08:39.598867', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3784, 765, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', true, 'I', '2021-09-16 13:08:39.598867', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3785, 765, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, 'I', '2021-09-16 13:08:39.598867', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3786, 765, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, 'I', '2021-09-16 13:08:39.598867', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3787, 765, 'Аннотация имеет другое значение, не указанное среди ответов', false, 'I', '2021-09-16 13:08:39.598867', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3788, 765, 'Такой аннотации не существует в Hibernate', false, 'I', '2021-09-16 13:08:39.598867', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3789, 766, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, 'I', '2021-09-16 13:09:13.929225', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3790, 766, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, 'I', '2021-09-16 13:09:13.929225', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3791, 766, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, 'I', '2021-09-16 13:09:13.929225', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3792, 766, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, 'I', '2021-09-16 13:09:13.929225', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3793, 766, 'Аннотация имеет другое значение, не указанное среди ответов', false, 'I', '2021-09-16 13:09:13.929225', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3794, 766, 'Такой аннотации не существует в Hibernate', true, 'I', '2021-09-16 13:09:13.929225', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3801, 768, '@Key', false, 'I', '2021-09-16 13:10:17.979949', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3802, 768, '@PrimaryKey', false, 'I', '2021-09-16 13:10:17.979949', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3803, 768, '@Id', true, 'I', '2021-09-16 13:10:17.979949', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3804, 768, '@PrimaryId', false, 'I', '2021-09-16 13:10:17.979949', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3805, 768, 'Ничего из перечисленного', false, 'I', '2021-09-16 13:10:17.979949', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3806, 767, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, 'I', '2021-09-16 13:10:24.059839', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3807, 767, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, 'I', '2021-09-16 13:10:24.059839', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3808, 767, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, 'I', '2021-09-16 13:10:24.059839', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3809, 767, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, 'I', '2021-09-16 13:10:24.059839', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3810, 767, 'Аннотация имеет другое значение, не указанное среди ответов', false, 'I', '2021-09-16 13:10:24.059839', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3811, 767, 'Такой аннотации не существует в Hibernate', false, 'I', '2021-09-16 13:10:24.059839', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3812, 769, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, 'I', '2021-09-16 13:10:59.808809', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3813, 769, 'Класс сущности может наследоваться от другого класса-сущности', false, 'I', '2021-09-16 13:10:59.808809', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3814, 769, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, 'I', '2021-09-16 13:10:59.808809', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3815, 769, 'Класс-сущность может быть абстрактным', false, 'I', '2021-09-16 13:10:59.808809', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3816, 769, 'Все перечисленные утверждения верны', false, 'I', '2021-09-16 13:10:59.808809', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3817, 770, 'Entity можно описать только с помощью java-класса, отмеченного аннотацией @Entity', false, 'I', '2021-09-16 13:11:27.517692', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3818, 770, 'Entity класс обязан иметь public или protected конструктор без аргументов', true, 'I', '2021-09-16 13:11:27.517692', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3819, 770, 'Entity класс может содержать в сеюе любое количество конструкторов с аргументами', true, 'I', '2021-09-16 13:11:27.517692', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3820, 770, 'Entity класс может быть final', false, 'I', '2021-09-16 13:11:27.517692', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3821, 770, 'Entity класс может быть enum', false, 'I', '2021-09-16 13:11:27.517692', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3822, 770, 'Entity класс может содержать final поля и методы', true, 'I', '2021-09-16 13:11:27.517692', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3823, 771, 'Примитивные классы', false, 'I', '2021-09-16 13:11:56.326464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3824, 771, 'Обертки примитивных классов', false, 'I', '2021-09-16 13:11:56.326464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3825, 771, 'Класс String', false, 'I', '2021-09-16 13:11:56.326464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3826, 771, 'Перечисления (Enum)', false, 'I', '2021-09-16 13:11:56.326464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3827, 771, 'Любой POJO класс', true, 'I', '2021-09-16 13:11:56.326464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3828, 771, 'Все перечисленные типы данных можно использовать', false, 'I', '2021-09-16 13:11:56.326464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3829, 772, 'Примитивные классы и их обертки', false, 'I', '2021-09-16 13:12:30.798391', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3830, 772, 'java.util.Date и java.sql.Date', false, 'I', '2021-09-16 13:12:30.798391', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3831, 772, 'Класс String', false, 'I', '2021-09-16 13:12:30.798391', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3832, 772, 'Перечисления (Enum)', true, 'I', '2021-09-16 13:12:30.798391', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3833, 772, 'Любой POJO класс, реализующий интерфейс Serializable', true, 'I', '2021-09-16 13:12:30.798391', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3834, 772, 'Все перечисленные типы данных можно использовать', false, 'I', '2021-09-16 13:12:30.798391', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3835, 773, 'Встраиваемый класс может содержать в себе другой встраиваемый класс', true, 'I', '2021-09-16 13:13:02.697422', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3836, 773, 'Встраиваемый класс может быть общим для нескольких сущностей', false, 'I', '2021-09-16 13:13:02.697422', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3837, 773, 'Встраиваемый класс должен быть помечен аннотацией @Entity', false, 'I', '2021-09-16 13:13:02.697422', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3838, 773, 'Встраиваемый класс может быть использован в качестве первичного ключа', true, 'I', '2021-09-16 13:13:02.697422', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3839, 773, 'Встраиваемый класс может быть описан в XML файле', true, 'I', '2021-09-16 13:13:02.697422', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3840, 773, 'Встраиваемый класс может быть описан только через класс с аннотацией @Embeddable', false, 'I', '2021-09-16 13:13:02.697422', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3841, 774, 'Будут использованы настройки обеих файлов. Приоритет за hibernate.property ', false, 'I', '2021-09-16 13:13:41.023848', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3842, 774, 'Будут использованы настройки hibernate.property, игнорируя всю конфигурацию XML', false, 'I', '2021-09-16 13:13:41.023848', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3843, 774, 'Будут использованы настройки обеих файлов. Приоритет за XML конфигурацией', true, 'I', '2021-09-16 13:13:41.023848', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3844, 774, 'Будут использованы настройки XML конфигурации, игнорируя hibernate.property', false, 'I', '2021-09-16 13:13:41.023848', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3845, 774, 'Будет брошен ConfigurationException, так как можно использовать только один файл конфигурации', false, 'I', '2021-09-16 13:13:41.023848', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3846, 774, 'Ничего из перечисленного', false, 'I', '2021-09-16 13:13:41.023848', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3847, 775, 'Переводит сущность из состояния Transient в состояние Persistent', true, 'I', '2021-09-16 13:14:18.481014', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3848, 775, 'Переводит сущность из состояния Transient в состояние Detached', false, 'I', '2021-09-16 13:14:18.481014', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3849, 775, 'Переводит сущность из состояния Persistent в состояние Detached', false, 'I', '2021-09-16 13:14:18.481014', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3850, 775, 'Переводит сущность из состояния Removed в состояние Persistent', true, 'I', '2021-09-16 13:14:18.481014', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3851, 775, 'Переводит сущность из состояния Detached в состояние Removed', false, 'I', '2021-09-16 13:14:18.481014', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3852, 775, 'Переводит сущность из состояния Detached в состояние Persistent', false, 'I', '2021-09-16 13:14:18.481014', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3853, 776, 'Затрагивает всегда', false, 'I', '2021-09-16 13:14:40.868718', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3854, 776, 'Затрагивает всегда, при наличии аннотации @Cascade', false, 'I', '2021-09-16 13:14:40.868718', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3855, 776, 'Не затрагивает никогда', false, 'I', '2021-09-16 13:14:40.868718', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3856, 776, 'Ничего из перечисленного', true, 'I', '2021-09-16 13:14:40.868718', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3857, 777, 'Переводит сущность из состояния Detached в состояние Persistent', false, 'I', '2021-09-16 13:15:20.601427', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3858, 777, 'Переводит сущность из состояния Persistent в состояние Detached', true, 'I', '2021-09-16 13:15:20.601427', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3859, 777, 'Переводит сущность из состояния Transient в состояние Detached', false, 'I', '2021-09-16 13:15:20.601427', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3860, 777, 'Переводит сущность из состояния Removed в состояние Detached', true, 'I', '2021-09-16 13:15:20.601427', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3861, 777, 'Бросает исключение, если изначальный статус сущности Detached', false, 'I', '2021-09-16 13:15:20.601427', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3862, 777, 'Бросает исключение, если изначальный статус сущности Transient', false, 'I', '2021-09-16 13:15:20.601427', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3863, 778, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, 'I', '2021-09-16 13:15:53.586236', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3864, 778, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, 'I', '2021-09-16 13:15:53.586236', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3865, 778, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, 'I', '2021-09-16 13:15:53.586236', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3866, 778, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, 'I', '2021-09-16 13:15:53.586236', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3867, 778, 'Ничего из перечисленного', false, 'I', '2021-09-16 13:15:53.586236', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3868, 779, 'Ограничивает запрос условием, аналогично оператору WHERE', false, 'I', '2021-09-16 13:16:22.678086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3869, 779, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, 'I', '2021-09-16 13:16:22.678086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3870, 779, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, 'I', '2021-09-16 13:16:22.678086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3871, 779, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, 'I', '2021-09-16 13:16:22.678086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3872, 779, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, 'I', '2021-09-16 13:16:22.678086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3873, 779, 'Ничего из перечисленного', false, 'I', '2021-09-16 13:16:22.678086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3874, 780, 'Удаляет сущность из кэша первого уровня', true, 'I', '2021-09-16 13:16:57.458643', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3986, 800, 'Throwable', false, 'I', '2021-09-16 13:38:29.405165', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3875, 780, 'Удаляет сущность из кэша второго уровня', false, 'I', '2021-09-16 13:16:57.458643', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3876, 780, 'Удаляет сущность из базы данных', false, 'I', '2021-09-16 13:16:57.458643', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3877, 780, 'Переводит сущность в состояние detached', false, 'I', '2021-09-16 13:16:57.458643', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3878, 780, 'Ничего из перечисленного', false, 'I', '2021-09-16 13:16:57.458643', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3879, 781, 'Генерирует схему БД из модели сущности', false, 'I', '2021-09-16 13:18:01.120649', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3880, 781, 'Удаляет схему БД, используя модель сущности', false, 'I', '2021-09-16 13:18:01.120649', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3881, 781, 'Удаляет схему БД и затем воссоздает ее, используя модель сущности', true, 'I', '2021-09-16 13:18:01.120649', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3882, 781, 'Удаляет схему БД и затем воссоздает ее, используя модель сущности. После закрытия SessionFactory удаляет схему.', false, 'I', '2021-09-16 13:18:01.120649', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3883, 781, 'Валидирует схему существующей БД при создании сущности', false, 'I', '2021-09-16 13:18:01.120649', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3884, 781, 'Ничего из перечисленного', false, 'I', '2021-09-16 13:18:01.120649', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3885, 782, 'Управляет взаимодействием между сессией и БД', false, 'I', '2021-09-16 13:18:31.329811', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3886, 782, 'Управляет взаимодействием между сессией и кэшем первого уровня', false, 'I', '2021-09-16 13:18:31.329811', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3887, 782, 'Управляет взаимодействием между сессией и кэшем второго уровня', true, 'I', '2021-09-16 13:18:31.329811', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3888, 782, 'Управляет взаимодействием между сессией и кэшем запросов', true, 'I', '2021-09-16 13:18:31.329811', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3889, 782, 'Управляет взаимодействием между кэшем первого уровня и кэшем второго уровня', false, 'I', '2021-09-16 13:18:31.329811', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3890, 782, 'Управляет взаимодействием между кэшем второго уровня и БД', false, 'I', '2021-09-16 13:18:31.329811', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3891, 783, 'String', false, 'I', '2021-09-16 13:18:52.446759', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3892, 783, 'ResultSet', false, 'I', '2021-09-16 13:18:52.446759', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3893, 783, 'Object', true, 'I', '2021-09-16 13:18:52.446759', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3894, 783, 'Object[]', false, 'I', '2021-09-16 13:18:52.446759', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3895, 783, 'Object[][]', false, 'I', '2021-09-16 13:18:52.446759', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3896, 783, 'List<Object[]>', false, 'I', '2021-09-16 13:18:52.446759', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3897, 784, 'Метод проверяет привязан ли объект к кэшу сессии', true, 'I', '2021-09-16 13:19:54.645661', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3898, 784, 'Метод проверяет привязан ли объект к БД', false, 'I', '2021-09-16 13:19:54.645661', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3899, 784, 'Оба варианта верны', false, 'I', '2021-09-16 13:19:54.645661', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3900, 784, 'Оба варианта неверны', false, 'I', '2021-09-16 13:19:54.645661', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3901, 785, 'Возвращает null при отсутствии экземпляра', false, 'I', '2021-09-16 13:20:24.699089', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3902, 785, 'Кидает Exception при отсутствии экземпляра', true, 'I', '2021-09-16 13:20:24.699089', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3903, 785, 'Возвращает экземпляр-прокси при ленивой инициализации', true, 'I', '2021-09-16 13:20:24.699089', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3904, 785, 'Кидает Exception при ленивой инициализации', false, 'I', '2021-09-16 13:20:24.699089', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3905, 785, 'Возвращает экземпляр, доступный только для чтения', false, 'I', '2021-09-16 13:20:24.699089', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3906, 786, 'SELECT', true, 'I', '2021-09-16 13:20:49.788401', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3907, 786, 'JOIN', false, 'I', '2021-09-16 13:20:49.788401', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3908, 786, 'SUBSELECT', false, 'I', '2021-09-16 13:20:49.788401', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3909, 786, 'Ничего из перечисленного', false, 'I', '2021-09-16 13:20:49.788401', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3910, 787, 'SELECT', false, 'I', '2021-09-16 13:21:05.89162', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3911, 787, 'JOIN', false, 'I', '2021-09-16 13:21:05.89162', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3912, 787, 'SUBSELECT', false, 'I', '2021-09-16 13:21:05.89162', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3913, 787, 'Ничего из перечисленного', true, 'I', '2021-09-16 13:21:05.89162', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3970, 798, 'e = new Exception();', false, 'I', '2021-09-16 13:36:38.571255', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3914, 788, 'SELECT - наиболее эффективная в производительности стратегия загрузки', false, 'I', '2021-09-16 13:21:38.341461', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3915, 788, 'SELECT - наименее эффективная в производительности стратегия загрузки', true, 'I', '2021-09-16 13:21:38.341461', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3916, 788, 'JOIN - наиболее эффективная в производительности стратегия загрузки', true, 'I', '2021-09-16 13:21:38.341461', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3917, 788, 'JOIN - наименее эффективная в производительности стратегия загрузки', false, 'I', '2021-09-16 13:21:38.341461', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3918, 788, 'SUBSELECT - наиболее эффективная в производительности стратегия загрузки', false, 'I', '2021-09-16 13:21:38.341461', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3919, 788, 'SUBSELECT - наименее эффективная в производительности стратегия загрузки', false, 'I', '2021-09-16 13:21:38.341461', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3920, 789, 'Возможно, две любых стратегии наследования', false, 'I', '2021-09-16 13:21:58.565897', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3921, 789, 'Возможно, любое количество стратегий наследования', false, 'I', '2021-09-16 13:21:58.565897', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3987, 801, 'Оба метода могут кидать unchecked exception', true, 'I', '2021-09-16 13:38:59.686633', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3922, 789, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, 'I', '2021-09-16 13:21:58.565897', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3923, 789, 'Невозможно', true, 'I', '2021-09-16 13:21:58.565897', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3924, 790, 'NORMAL', false, 'I', '2021-09-16 13:22:53.612414', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3925, 790, 'IGNORE', false, 'I', '2021-09-16 13:22:53.612414', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3926, 790, 'GET', false, 'I', '2021-09-16 13:22:53.612414', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3927, 790, 'PUT', false, 'I', '2021-09-16 13:22:53.612414', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3928, 790, 'REFRESH', true, 'I', '2021-09-16 13:22:53.612414', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3929, 790, 'Никакой из перечисленных', false, 'I', '2021-09-16 13:22:53.612414', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3930, 791, 'NORMAL', false, 'I', '2021-09-16 13:23:27.490642', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3931, 791, 'IGNORE', false, 'I', '2021-09-16 13:23:27.490642', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3932, 791, 'GET', false, 'I', '2021-09-16 13:23:27.490642', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3933, 791, 'PUT', false, 'I', '2021-09-16 13:23:27.490642', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3934, 791, 'REFRESH', true, 'I', '2021-09-16 13:23:27.490642', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3935, 791, 'Никакой из перечисленных', false, 'I', '2021-09-16 13:23:27.490642', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3936, 792, 'HashTable', true, 'I', '2021-09-16 13:23:55.085147', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3937, 792, 'EHCache', false, 'I', '2021-09-16 13:23:55.085147', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3938, 792, 'Infinispan', false, 'I', '2021-09-16 13:23:55.085147', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3939, 792, 'Никакой из перечисленных', false, 'I', '2021-09-16 13:23:55.085147', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3940, 793, 'Убрать throws Exception из строки A', false, 'I', '2021-09-16 13:32:47.018072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3941, 793, 'Добавить throws Exception в объявление на строке B', true, 'I', '2021-09-16 13:32:47.018072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3942, 793, 'Изменить C на ''} catch (Exception e) {}''', true, 'I', '2021-09-16 13:32:47.018072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3943, 793, 'Изменить C на ''} finally {}''', false, 'I', '2021-09-16 13:32:47.018072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3944, 793, 'Ничего из перечисленного', false, 'I', '2021-09-16 13:32:47.018072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3945, 793, 'Код и так компилируется', false, 'I', '2021-09-16 13:32:47.018072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3946, 794, 'FileNotFoundException | IOException ex', false, 'I', '2021-09-16 13:33:33.640235', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3947, 794, 'FileNotFoundException ex | IOException ex', false, 'I', '2021-09-16 13:33:33.640235', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3948, 794, 'FileNotFoundException | RuntimeException ex', false, 'I', '2021-09-16 13:33:33.640235', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3949, 794, 'FileNotFoundException ex | RuntimeException ex', false, 'I', '2021-09-16 13:33:33.640235', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3950, 794, 'IOException | RuntimeException ex', true, 'I', '2021-09-16 13:33:33.640235', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3951, 794, 'IOException ex | RuntimeException ex', false, 'I', '2021-09-16 13:33:33.640235', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3952, 795, 'CBE', false, 'I', '2021-09-16 13:34:30.977086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3953, 795, 'CBAE', false, 'I', '2021-09-16 13:34:30.977086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3954, 795, 'CBADE', true, 'I', '2021-09-16 13:34:30.977086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3955, 795, 'CBE с последующим исключением', false, 'I', '2021-09-16 13:34:30.977086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3956, 795, 'CBDE с последующим исключением', false, 'I', '2021-09-16 13:34:30.977086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3957, 795, 'Код не скомпилируется', false, 'I', '2021-09-16 13:34:30.977086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3958, 796, 'assert n < 1: "TEST";', true, 'I', '2021-09-16 13:35:10.844959', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3959, 796, 'assert n < 1, "TEST";', false, 'I', '2021-09-16 13:35:10.844959', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3960, 796, 'assert n < 1 ("TEST");', false, 'I', '2021-09-16 13:35:10.844959', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3961, 796, 'assert(n < 1): "TEST";', true, 'I', '2021-09-16 13:35:10.844959', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3962, 796, 'assert(n < 1, "TEST");', false, 'I', '2021-09-16 13:35:10.844959', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3963, 797, '//Оставить пустым', true, 'I', '2021-09-16 13:35:52.376479', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3964, 797, 'e = new Exception();', false, 'I', '2021-09-16 13:35:52.376479', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3965, 797, 'e = new RuntimeException();', false, 'I', '2021-09-16 13:35:52.376479', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3966, 797, 'e = new PrimaryException();', false, 'I', '2021-09-16 13:35:52.376479', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3967, 797, 'e = new SecondaryException();', false, 'I', '2021-09-16 13:35:52.376479', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3968, 797, 'Ничего из перечисленного. Код не скомпилируется.', false, 'I', '2021-09-16 13:35:52.376479', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3969, 798, '//Оставить пустым', false, 'I', '2021-09-16 13:36:38.571255', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3971, 798, 'e = new RuntimeException();', false, 'I', '2021-09-16 13:36:38.571255', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3972, 798, 'e = new PrimaryException();', false, 'I', '2021-09-16 13:36:38.571255', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3973, 798, 'e = new SecondaryException();', false, 'I', '2021-09-16 13:36:38.571255', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3974, 798, 'Ничего из перечисленного. Код не скомпилируется.', true, 'I', '2021-09-16 13:36:38.571255', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3975, 799, 'flip 0', false, 'I', '2021-09-16 13:37:52.243896', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3976, 799, 'flip 1', false, 'I', '2021-09-16 13:37:52.243896', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3977, 799, 'flip 2', true, 'I', '2021-09-16 13:37:52.243896', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3978, 799, 'flop 0', false, 'I', '2021-09-16 13:37:52.243896', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3979, 799, 'flop 1', false, 'I', '2021-09-16 13:37:52.243896', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3980, 799, 'flop 2', false, 'I', '2021-09-16 13:37:52.243896', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3981, 800, 'AutoCloseable', true, 'I', '2021-09-16 13:38:29.405165', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3982, 800, 'Closeable', true, 'I', '2021-09-16 13:38:29.405165', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3983, 800, 'Exception', false, 'I', '2021-09-16 13:38:29.405165', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3984, 800, 'RuntimeException', false, 'I', '2021-09-16 13:38:29.405165', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3985, 800, 'Serializable', false, 'I', '2021-09-16 13:38:29.405165', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3988, 801, 'call() принимает дженерик в качестве аргумента', false, 'I', '2021-09-16 13:38:59.686633', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3989, 801, 'call() может кидть checked exception', true, 'I', '2021-09-16 13:38:59.686633', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3990, 801, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, 'I', '2021-09-16 13:38:59.686633', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3991, 801, 'Тип возвращаемого значения run() - дженерик', false, 'I', '2021-09-16 13:38:59.686633', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3992, 801, 'Тип возвращаемого значения call() - дженерик', true, 'I', '2021-09-16 13:38:59.686633', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3993, 802, 'Код уже компилируется без ошибок', false, 'I', '2021-09-16 13:39:46.364436', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3994, 802, 'Строка A', true, 'I', '2021-09-16 13:39:46.364436', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3995, 802, 'Строка B', true, 'I', '2021-09-16 13:39:46.364436', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3996, 802, 'Строка C', false, 'I', '2021-09-16 13:39:46.364436', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3997, 802, 'Строка D', false, 'I', '2021-09-16 13:39:46.364436', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3998, 802, 'Код компилируется, но кидает исключение при выполнении', false, 'I', '2021-09-16 13:39:46.364436', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (3999, 803, 'Он выведет 1000 1000', false, 'I', '2021-09-16 13:40:29.039978', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4000, 803, 'Он выведет 1000 999', false, 'I', '2021-09-16 13:40:29.039978', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4001, 803, 'Вывод не может быть предопределен до исполнения программы', true, 'I', '2021-09-16 13:40:29.039978', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4002, 803, 'Код не компилируется', false, 'I', '2021-09-16 13:40:29.039978', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4003, 803, 'Код компилируется, но кидает исключение при выполнении', false, 'I', '2021-09-16 13:40:29.039978', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4004, 803, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, 'I', '2021-09-16 13:40:29.039978', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4005, 804, 'При назначении задачи выбрасывается исключение, сообщающее о недостатке доступных потоков', false, 'I', '2021-09-16 13:40:58.251037', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4006, 804, 'При назначении задачи она встанет во внутреннюю очередь и выполнится когда появятся доступные потоки', true, 'I', '2021-09-16 13:40:58.251037', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4007, 804, 'При назначении задачи она не выполняется из за отсутствия доступных потоков', false, 'I', '2021-09-16 13:40:58.251037', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4008, 804, 'При назначении задачи программа остановится на этой строке и будет ждать когда появятся доступные потоки', false, 'I', '2021-09-16 13:40:58.251037', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4009, 804, 'При назначении задачи ThreadExecutor создаст новые временные потоки для дополнительных задач, а после завершения задач закроет потоки', false, 'I', '2021-09-16 13:40:58.251037', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4010, 805, '3 6 4', true, 'I', '2021-09-16 13:42:01.551635', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4011, 805, '6 6 6', false, 'I', '2021-09-16 13:42:01.551635', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4012, 805, '6 3 4', false, 'I', '2021-09-16 13:42:01.551635', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4013, 805, 'Код компилируется, но входит в бесконечный цикл', false, 'I', '2021-09-16 13:42:01.551635', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4014, 805, 'Код компилируется, но кидает исключение на строке A', false, 'I', '2021-09-16 13:42:01.551635', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4015, 805, 'Код компилируется, но кидает исключение на строке B', false, 'I', '2021-09-16 13:42:01.551635', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4016, 806, '1 6', false, 'I', '2021-09-16 13:42:33.596416', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4017, 806, '1 10', false, 'I', '2021-09-16 13:42:33.596416', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4018, 806, 'Ошибка компиляции на строке A', false, 'I', '2021-09-16 13:42:33.596416', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4019, 806, 'Ошибка компиляции на строке B', false, 'I', '2021-09-16 13:42:33.596416', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4020, 806, 'Код компилируется, но кидает исключение', false, 'I', '2021-09-16 13:42:33.596416', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4021, 806, 'Вывод не может быть предопределен до исполнения программы', true, 'I', '2021-09-16 13:42:33.596416', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4022, 807, 'Код компилируется и выполняется без проблем, выводит суммарную длину всех строк', false, 'I', '2021-09-16 13:43:53.623767', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4023, 807, 'Ошибка компиляции на строке A', false, 'I', '2021-09-16 13:43:53.623767', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4024, 807, 'Ошибка компиляции на строке B', true, 'I', '2021-09-16 13:43:53.623767', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4025, 807, 'Ошибка компиляции на строке C', false, 'I', '2021-09-16 13:43:53.623767', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4026, 807, 'Код компилируется, но кидает исключение', false, 'I', '2021-09-16 13:43:53.623767', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4027, 808, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, 'I', '2021-09-16 13:44:33.384718', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4028, 808, 'Код всегда выводит Test1 и потом Test2', false, 'I', '2021-09-16 13:44:33.384718', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4029, 808, 'Код всегда выводит Test2 и потом Test1', false, 'I', '2021-09-16 13:44:33.384718', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4030, 808, 'Ошибка компиляции на строке A', false, 'I', '2021-09-16 13:44:33.384718', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4031, 808, 'Ошибка компиляции на строке B', false, 'I', '2021-09-16 13:44:33.384718', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4032, 808, 'Код может войти в deadlock во время выполнения', true, 'I', '2021-09-16 13:44:33.384718', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4033, 809, 'Код выведет 3 4', true, 'I', '2021-09-16 13:45:24.772358', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4138, 829, '12', false, 'I', '2021-09-16 13:57:43.125312', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4034, 809, 'Код выведет 4 3', false, 'I', '2021-09-16 13:45:24.772358', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4035, 809, 'Ошибка компиляции на строке A', false, 'I', '2021-09-16 13:45:24.772358', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4036, 809, 'Ошибка компиляции на строке B', false, 'I', '2021-09-16 13:45:24.772358', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4037, 809, 'Ошибка компиляции на строке C', false, 'I', '2021-09-16 13:45:24.772358', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4038, 809, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, 'I', '2021-09-16 13:45:24.772358', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4039, 810, 'Код выведет 666 888', false, 'I', '2021-09-16 13:46:02.519786', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4040, 810, 'Код выведет 777 888', false, 'I', '2021-09-16 13:46:02.519786', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4041, 810, 'Код выведет 666 777', false, 'I', '2021-09-16 13:46:02.519786', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4042, 810, 'Ошибка компиляции', true, 'I', '2021-09-16 13:46:02.519786', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4043, 810, 'Код компилируется, но кидает исключение', false, 'I', '2021-09-16 13:46:02.519786', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4044, 810, 'Вывод не может быть предопределен до исполнения программы', false, 'I', '2021-09-16 13:46:02.519786', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4045, 811, 'a -> {return 1;}', false, 'I', '2021-09-16 13:47:31.392901', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4046, 811, '() -> {String string = "";}', false, 'I', '2021-09-16 13:47:31.392901', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4047, 811, '() -> 5', true, 'I', '2021-09-16 13:47:31.392901', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4048, 811, '(-) () -> {return null}', false, 'I', '2021-09-16 13:47:31.392901', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4049, 811, '(+) () -> "The" + "Test"', true, 'I', '2021-09-16 13:47:31.392901', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4050, 811, '(-) (int count) -> count+1', false, 'I', '2021-09-16 13:47:31.392901', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4051, 812, 'Код скомпилируется и выведет 2 числа, а затем Test', false, 'I', '2021-09-16 13:48:07.934332', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4052, 812, 'Ошибка компиляции на строке A', false, 'I', '2021-09-16 13:48:07.934332', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4053, 812, 'Ошибка компиляции на строке B', false, 'I', '2021-09-16 13:48:07.934332', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4054, 812, 'Ошибка компиляции на строке C', false, 'I', '2021-09-16 13:48:07.934332', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4055, 812, 'Вывод не может быть предопределен до исполнения программы', true, 'I', '2021-09-16 13:48:07.934332', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4056, 812, 'Код компилируется и ждет вечно', false, 'I', '2021-09-16 13:48:07.934332', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4057, 813, 'Код выведет Complete', false, 'I', '2021-09-16 13:48:46.904656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4058, 813, 'Ошибка компиляции на строке A', false, 'I', '2021-09-16 13:48:46.904656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4059, 813, 'Ошибка компиляции на строке B', false, 'I', '2021-09-16 13:48:46.904656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4060, 813, 'Ошибка компиляции на строке C', false, 'I', '2021-09-16 13:48:46.904656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4061, 813, 'Код компилируется и ждет вечно', true, 'I', '2021-09-16 13:48:46.904656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4062, 813, 'Код компилируется, но кидает исключение', false, 'I', '2021-09-16 13:48:46.904656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4063, 814, 'Код компилируется без ошибок', true, 'I', '2021-09-16 13:49:31.143988', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4064, 814, 'Ошибка компиляции на строке B', false, 'I', '2021-09-16 13:49:31.143988', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4065, 814, 'Ошибка компиляции на строке C', false, 'I', '2021-09-16 13:49:31.143988', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4066, 814, 'Строки A и D сихронизируются на одном объекте', false, 'I', '2021-09-16 13:49:31.143988', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4067, 814, 'Класс правильно предотвращает проблемы с многопоточностью при получении переменной из нескольких потоков', false, 'I', '2021-09-16 13:49:31.143988', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4068, 814, 'Как минимум один экземпляр TestClass будет создан во время выполнения', true, 'I', '2021-09-16 13:49:31.143988', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4069, 815, 'Многопоточность не может гарантировать что определенное задание будет выполнено первым', true, 'I', '2021-09-16 13:49:58.860347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4070, 815, 'Многопоточность всегда улучшает производительность программы', false, 'I', '2021-09-16 13:49:58.860347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4071, 815, 'Для компьютеров с одним процессором многопоточность бесполезна', false, 'I', '2021-09-16 13:49:58.860347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4189, 840, 'implements, TestClass<List>();', false, 'I', '2021-09-16 14:25:49.326401', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4072, 815, 'Программы с множеством ресурсоемких задач больше выигрывают от многопоточности, чем приложения с задачами, интенсивно использующими процессор.', true, 'I', '2021-09-16 13:49:58.860347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4073, 815, 'Многопоточные задачи не используют одну и ту же память', false, 'I', '2021-09-16 13:49:58.860347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4074, 816, 'Код выведет число 10 раз', true, 'I', '2021-09-16 13:50:46.112848', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4075, 816, 'Код выведет boolean 10 раз', false, 'I', '2021-09-16 13:50:46.112848', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4076, 816, 'Код выведет null 10 раз', true, 'I', '2021-09-16 13:50:46.112848', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4077, 816, 'Код выведет "Exception" 10 раз', true, 'I', '2021-09-16 13:50:46.112848', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4078, 816, 'Код зависнет и будет ждать вечно', true, 'I', '2021-09-16 13:50:46.112848', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4079, 816, 'Код кинет исключение', false, 'I', '2021-09-16 13:50:46.112848', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4080, 817, 'Создать Callable и передать его экземпляру Executors.', false, 'I', '2021-09-16 13:51:05.945741', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4081, 817, 'Создать класс, наследующий Thread и переопределяющий метод start().', false, 'I', '2021-09-16 13:51:05.945741', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4082, 817, 'Создать Runnable и передать его конструктору Thread.', true, 'I', '2021-09-16 13:51:05.945741', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4083, 817, 'Все вышеперечисленное', false, 'I', '2021-09-16 13:51:05.945741', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4084, 818, '0', false, 'I', '2021-09-16 13:51:26.232472', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4085, 818, '1', false, 'I', '2021-09-16 13:51:26.232472', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4086, 818, '2', true, 'I', '2021-09-16 13:51:26.232472', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4087, 818, '3', false, 'I', '2021-09-16 13:51:26.232472', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4088, 819, 'BlockingDeque', false, 'I', '2021-09-16 13:51:45.800992', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4089, 819, 'ConcurrentLinkedDeque', false, 'I', '2021-09-16 13:51:45.800992', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4090, 819, 'ConcurrentSkipListSet', false, 'I', '2021-09-16 13:51:45.800992', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4091, 819, 'LinkedBlockingDeque', true, 'I', '2021-09-16 13:51:45.800992', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4092, 820, 'ForkJoinTask, RecursiveAction', false, 'I', '2021-09-16 13:52:16.115282', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4093, 820, 'RecursiveAction, RecursiveTask', false, 'I', '2021-09-16 13:52:16.115282', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4094, 820, 'RecursiveTask, ForkJoinTask', false, 'I', '2021-09-16 13:52:16.115282', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4095, 820, 'RecursiveTask, RecursiveAction', true, 'I', '2021-09-16 13:52:16.115282', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4096, 820, 'Ничего из перечисленного не подходит', false, 'I', '2021-09-16 13:52:16.115282', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4097, 821, '(a,b) -> (a-b)', false, 'I', '2021-09-16 13:53:07.435967', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4098, 821, '(a,b) -> 5', true, 'I', '2021-09-16 13:53:07.435967', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4099, 821, '(a,b) -> i++', false, 'I', '2021-09-16 13:53:07.435967', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4100, 821, 'Ничего из перечисленного', false, 'I', '2021-09-16 13:53:07.435967', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4101, 822, 'Первым напечатается "test1"', false, 'I', '2021-09-16 13:53:46.069023', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4102, 822, 'Первым напечатается "test2"', false, 'I', '2021-09-16 13:53:46.069023', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4103, 822, 'Код не скомпилируется', false, 'I', '2021-09-16 13:53:46.069023', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4104, 822, 'Результат неизвестен до запуска программы', true, 'I', '2021-09-16 13:53:46.069023', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4109, 823, 'ConcurrentLinkedQueue', false, 'I', '2021-09-16 13:54:46.243834', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4110, 823, 'ConcurrentSkipListMap', true, 'I', '2021-09-16 13:54:46.243834', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4111, 823, 'CopyOnWriteArrayList', false, 'I', '2021-09-16 13:54:46.243834', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4112, 823, 'LinkedBlockingQueue', false, 'I', '2021-09-16 13:54:46.243834', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4113, 823, 'Никакая из перечисленных', false, 'I', '2021-09-16 13:54:46.243834', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4114, 823, 'Все перечисленные', false, 'I', '2021-09-16 13:54:46.243834', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4115, 824, 'Программа попадет в взаимную блокировку (deadlock)', false, 'I', '2021-09-16 13:55:16.372963', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4116, 824, 'Программа попадет в динамическую взаимную блокировку (livelock)', false, 'I', '2021-09-16 13:55:16.372963', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4117, 824, 'Программа успешно выполнится', false, 'I', '2021-09-16 13:55:16.372963', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4118, 824, 'Код не скомпилируется', true, 'I', '2021-09-16 13:55:16.372963', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4119, 825, 'scheduleAtFixedDelay()', false, 'I', '2021-09-16 13:55:44.645111', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4120, 825, 'scheduleAtFixedRate()', true, 'I', '2021-09-16 13:55:44.645111', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4121, 825, 'scheduleWithFixedDelay()', false, 'I', '2021-09-16 13:55:44.645111', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4122, 825, 'Такого метода нет в ScheduledExecutorService', false, 'I', '2021-09-16 13:55:44.645111', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4123, 826, 'Код выведет 1000', false, 'I', '2021-09-16 13:56:16.460117', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4124, 826, 'Код не скомпилируется', false, 'I', '2021-09-16 13:56:16.460117', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4125, 826, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, 'I', '2021-09-16 13:56:16.460117', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4126, 826, 'Результат выполнения не известен по другой причине', true, 'I', '2021-09-16 13:56:16.460117', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4127, 827, 'Параллельный стрим всегда выполняет все операции быстрее однопоточного', false, 'I', '2021-09-16 13:56:43.919419', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4128, 827, 'Параллельный стрим всегда выполняет некоторые операции быстрее однопоточного', false, 'I', '2021-09-16 13:56:43.919419', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4190, 841, 'IntConsumer, LongSupplier', false, 'I', '2021-09-16 14:26:23.69293', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4129, 827, 'Параллельный стрим синхронизирует все свои операции, так что они атомарны', false, 'I', '2021-09-16 13:56:43.919419', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4130, 827, 'Любой стрим может быть конвертирован в параллельный', true, 'I', '2021-09-16 13:56:43.919419', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4131, 828, 'Код выведет aFlipaFlop FlopFlip', true, 'I', '2021-09-16 13:57:15.828813', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4132, 828, 'Код выведет FlipFlop FlopFlip', false, 'I', '2021-09-16 13:57:15.828813', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4133, 828, 'Код выведет aFlipFlop FlopFlip', false, 'I', '2021-09-16 13:57:15.828813', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4134, 828, 'Код не скомпилируется, так как concat1() возвращает Optional', false, 'I', '2021-09-16 13:57:15.828813', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4135, 828, 'Код не скомпилируется по другой причине', false, 'I', '2021-09-16 13:57:15.828813', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4136, 829, '0', false, 'I', '2021-09-16 13:57:43.125312', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4137, 829, '10', true, 'I', '2021-09-16 13:57:43.125312', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4139, 829, 'Ничего из перечисленного', false, 'I', '2021-09-16 13:57:43.125312', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4140, 830, 'filter()', false, 'I', '2021-09-16 13:58:04.869182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4141, 830, 'forEach()', true, 'I', '2021-09-16 13:58:04.869182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4142, 830, 'replace()', false, 'I', '2021-09-16 13:58:04.869182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4143, 830, 'sort()', false, 'I', '2021-09-16 13:58:04.869182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4144, 831, 'Код выведет test1', false, 'I', '2021-09-16 13:58:37.471978', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4145, 831, 'Код выведет test2', false, 'I', '2021-09-16 13:58:37.471978', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4146, 831, 'Код не скомпилируется', false, 'I', '2021-09-16 13:58:37.471978', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4147, 831, 'Код скомпилируется, но выкинет исключение', true, 'I', '2021-09-16 13:58:37.471978', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4148, 832, 'Код выведет пустую строку', false, 'I', '2021-09-16 13:58:59.450067', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4149, 832, 'Код выведет Test1', false, 'I', '2021-09-16 13:58:59.450067', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4150, 832, 'Код не скомпилируется', true, 'I', '2021-09-16 13:58:59.450067', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4151, 832, 'Код скомпилируется, но выкинет исключение', false, 'I', '2021-09-16 13:58:59.450067', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4152, 833, 'Строка A', false, 'I', '2021-09-16 14:03:09.00288', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4153, 833, 'Строка B', false, 'I', '2021-09-16 14:03:09.00288', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4154, 833, 'Строка C', false, 'I', '2021-09-16 14:03:09.00288', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4155, 833, 'Строка D', true, 'I', '2021-09-16 14:03:09.00288', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4156, 833, 'Никакая из перечисленных', false, 'I', '2021-09-16 14:03:09.00288', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4157, 834, 'Код выведет 0', false, 'I', '2021-09-16 14:03:35.14495', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4158, 834, 'Код выведет 1', false, 'I', '2021-09-16 14:03:35.14495', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4159, 834, 'Код не скомпилируеся', false, 'I', '2021-09-16 14:03:35.14495', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4160, 834, 'Результат не определен', true, 'I', '2021-09-16 14:03:35.14495', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4161, 835, 'TestClass testClass = new TestClass();', false, 'I', '2021-09-16 14:04:06.432341', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4162, 835, 'TestClass testClass = new TestClass<String>();', false, 'I', '2021-09-16 14:04:06.432341', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4163, 835, 'TestClass<String> testClass = new TestClass<>();', false, 'I', '2021-09-16 14:04:06.432341', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4164, 835, 'Никакой, все ответы правильные', true, 'I', '2021-09-16 14:04:06.432341', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4165, 836, 'Отсутствует тип дженерика у Iterator', false, 'I', '2021-09-16 14:04:43.703471', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4166, 836, 'Метод hasNext() должен называться hasMore()', false, 'I', '2021-09-16 14:04:43.703471', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4167, 836, 'Метод hasNext() должен называться isNext()', false, 'I', '2021-09-16 14:04:43.703471', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4168, 836, 'Цикл while должен стоять до forEach(), а в нынешнем варианте стрим уже использован и закрыт', false, 'I', '2021-09-16 14:04:43.703471', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4169, 836, 'Ничего из перечисленного. Код работает как надо.', true, 'I', '2021-09-16 14:04:43.703471', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4170, 837, 'ArrayDeque', false, 'I', '2021-09-16 14:23:24.35005', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4171, 837, 'ArrayList', true, 'I', '2021-09-16 14:23:24.35005', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4172, 837, 'TreeSet', false, 'I', '2021-09-16 14:23:24.35005', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4173, 837, 'Они все допускают', false, 'I', '2021-09-16 14:23:24.35005', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4174, 838, '? extends Collection<U>', false, 'I', '2021-09-16 14:24:27.052664', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4175, 838, '? implements Collection<U>', false, 'I', '2021-09-16 14:24:27.052664', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4176, 838, 'T extends Collection<U>', true, 'I', '2021-09-16 14:24:27.052664', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4177, 838, 'T implements Collection<U>', false, 'I', '2021-09-16 14:24:27.052664', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4178, 838, 'Ничего из перечисленного', false, 'I', '2021-09-16 14:24:27.052664', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4179, 838, 'T super Collection<U>', false, 'I', '2021-09-16 14:24:27.052664', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4180, 839, 'ArrayDeque', false, 'I', '2021-09-16 14:24:50.617666', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4181, 839, 'Collection', false, 'I', '2021-09-16 14:24:50.617666', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4182, 839, 'TreeMap', true, 'I', '2021-09-16 14:24:50.617666', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4183, 839, 'Ничего из перечисленного', false, 'I', '2021-09-16 14:24:50.617666', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4184, 840, 'extends, TestClass<ArrayList>();', false, 'I', '2021-09-16 14:25:49.326401', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4185, 840, 'extends, TestClass<List>();', true, 'I', '2021-09-16 14:25:49.326401', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4186, 840, 'super, TestClass<ArrayList>();', false, 'I', '2021-09-16 14:25:49.326401', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4187, 840, 'super, TestClass<List>();', false, 'I', '2021-09-16 14:25:49.326401', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4188, 840, 'implements, TestClass<ArrayList>();', false, 'I', '2021-09-16 14:25:49.326401', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4191, 841, 'IntSupplier, Function', false, 'I', '2021-09-16 14:26:23.69293', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4192, 841, 'Supplier, DoubleConsumer', true, 'I', '2021-09-16 14:26:23.69293', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4193, 841, 'Supplier, LongSupplier', false, 'I', '2021-09-16 14:26:23.69293', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4194, 841, 'UnaryOperator, Consumer', false, 'I', '2021-09-16 14:26:23.69293', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4195, 841, 'Ничего из перечисленного', false, 'I', '2021-09-16 14:26:23.69293', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4196, 842, 'Good', true, 'I', '2021-09-16 14:26:59.327335', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4197, 842, 'Bad', false, 'I', '2021-09-16 14:26:59.327335', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4198, 842, 'Ошибка компиляции на строке A', false, 'I', '2021-09-16 14:26:59.327335', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4199, 842, 'Ошибка компиляции на строке B', false, 'I', '2021-09-16 14:26:59.327335', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4200, 842, 'Ошибка компиляции на другой строке', false, 'I', '2021-09-16 14:26:59.327335', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4201, 842, 'Код скомпилируется, но выкинет исключение', false, 'I', '2021-09-16 14:26:59.327335', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4202, 843, 'BiConsumer<Integer,Double>', false, 'I', '2021-09-16 14:27:40.553663', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4203, 843, 'BiFunction<Integer,Double,Double>', true, 'I', '2021-09-16 14:27:40.553663', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4204, 843, 'BiFunction<Integer,Integer,Double>', false, 'I', '2021-09-16 14:27:40.553663', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4205, 843, 'Function<Integer,Double>', false, 'I', '2021-09-16 14:27:40.553663', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4206, 843, 'Ничего из перечисленного', false, 'I', '2021-09-16 14:27:40.553663', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4207, 844, '(Integer a, Double b) -> {int c; return b;}', false, 'I', '2021-09-16 14:28:11.941905', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4208, 844, '(h,i) -> (long)h', false, 'I', '2021-09-16 14:28:11.941905', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4209, 844, '(String u, Object v) -> u.length()+v.length()', true, 'I', '2021-09-16 14:28:11.941905', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4210, 844, '(List u, Object v) -> u.size()+v.size()', true, 'I', '2021-09-16 14:28:11.941905', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4211, 844, '(x,y) -> {int z=2; return y/z;}', false, 'I', '2021-09-16 14:28:11.941905', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4212, 845, '51', false, 'I', '2021-09-16 14:28:48.423256', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4213, 845, 'Ошибка компиляции в лямбда выражении', false, 'I', '2021-09-16 14:28:48.423256', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4214, 845, 'Ошибка компиляции в другом месте', true, 'I', '2021-09-16 14:28:48.423256', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4215, 845, 'Код компилируется, но кидает исключение при выполнении', false, 'I', '2021-09-16 14:28:48.423256', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4216, 846, 'Consumer', false, 'I', '2021-09-16 14:29:12.826013', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4217, 846, 'DoubleConsumer', false, 'I', '2021-09-16 14:29:12.826013', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4218, 846, 'Supplier<Double>', false, 'I', '2021-09-16 14:29:12.826013', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4219, 846, 'Никакой из перечисленных', true, 'I', '2021-09-16 14:29:12.826013', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4220, 847, 'test((a) -> a)', false, 'I', '2021-09-16 14:29:51.847083', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4221, 847, 'test((a,b) -> (long)b.intValue())', true, 'I', '2021-09-16 14:29:51.847083', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4222, 847, 'test((a,b) -> {long a=4; return a+b;})', false, 'I', '2021-09-16 14:29:51.847083', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4223, 847, 'test((a,b) -> {long c=0; return a*c;})', true, 'I', '2021-09-16 14:29:51.847083', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4224, 847, 'test((Integer a, Integer b) -> (Long)b+a)', false, 'I', '2021-09-16 14:29:51.847083', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4225, 847, 'test((int a, int b) -> (Long)b+a)', false, 'I', '2021-09-16 14:29:51.847083', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4226, 848, 'Код выведет "Complete"', false, 'I', '2021-09-16 14:30:25.374042', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4227, 848, 'Ошибка компиляции на строке A', false, 'I', '2021-09-16 14:30:25.374042', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4228, 848, 'Ошибка компиляции на строке B', false, 'I', '2021-09-16 14:30:25.374042', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4229, 848, 'Ошибка компиляции на строке C', true, 'I', '2021-09-16 14:30:25.374042', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4230, 848, 'Ошибка компиляции на строках A, C', false, 'I', '2021-09-16 14:30:25.374042', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4231, 848, 'Ошибка компиляции на строках A, B, C', false, 'I', '2021-09-16 14:30:25.374042', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4232, 849, 'Код выведет: true false', false, 'I', '2021-09-16 14:31:02.872065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4233, 849, 'Код выведет: true true', false, 'I', '2021-09-16 14:31:02.872065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4234, 849, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, 'I', '2021-09-16 14:31:02.872065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4235, 849, 'Ошибка компиляции', false, 'I', '2021-09-16 14:31:02.872065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4236, 849, 'Код скомпилируется, но выкинет исключение', false, 'I', '2021-09-16 14:31:02.872065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4237, 849, 'Код зависнет и будет ждать вечно', true, 'I', '2021-09-16 14:31:02.872065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4238, 850, 'Код выведет: false true', false, 'I', '2021-09-16 14:31:36.548955', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4239, 850, 'Код выведет: false false', false, 'I', '2021-09-16 14:31:36.548955', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4240, 850, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, 'I', '2021-09-16 14:31:36.548955', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4241, 850, 'Ошибка компиляции', false, 'I', '2021-09-16 14:31:36.548955', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4242, 850, 'Код скомпилируется, но выкинет исключение', true, 'I', '2021-09-16 14:31:36.548955', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4243, 850, 'Код зависнет и будет ждать вечно', false, 'I', '2021-09-16 14:31:36.548955', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4244, 851, 'collect()', true, 'I', '2021-09-16 14:32:00.24455', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4245, 851, 'count()', true, 'I', '2021-09-16 14:32:00.24455', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4246, 851, 'findFirst()', false, 'I', '2021-09-16 14:32:00.24455', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4247, 851, 'map()', false, 'I', '2021-09-16 14:32:00.24455', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4248, 851, 'peek()', false, 'I', '2021-09-16 14:32:00.24455', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4249, 851, 'sum()', false, 'I', '2021-09-16 14:32:00.24455', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4250, 852, 'allMatch', true, 'I', '2021-09-16 14:32:30.101796', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4251, 852, 'anyMatch', false, 'I', '2021-09-16 14:32:30.101796', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4252, 852, 'findAny', false, 'I', '2021-09-16 14:32:30.101796', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4253, 852, 'findFirst', false, 'I', '2021-09-16 14:32:30.101796', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4254, 852, 'noneMatch', false, 'I', '2021-09-16 14:32:30.101796', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4255, 852, 'Ничего из перечисленного', false, 'I', '2021-09-16 14:32:30.101796', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4256, 853, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, 'I', '2021-09-16 14:32:59.948767', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4257, 853, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, 'I', '2021-09-16 14:32:59.948767', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4312, 862, 'LocalDate.of(2011, 7, 20);', false, 'I', '2021-09-16 14:39:28.298085', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4258, 853, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, 'I', '2021-09-16 14:32:59.948767', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4259, 853, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, 'I', '2021-09-16 14:32:59.948767', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4260, 853, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, 'I', '2021-09-16 14:32:59.948767', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4261, 853, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, 'I', '2021-09-16 14:32:59.948767', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4262, 854, 'if (optional.isPresent()) System.out.println(optional.get());', false, 'I', '2021-09-16 14:33:45.284804', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4263, 854, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, 'I', '2021-09-16 14:33:45.284804', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4264, 854, 'optional.ifPresent(System.out.println)', false, 'I', '2021-09-16 14:33:45.284804', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4265, 854, 'optional.ifPresent(System.out::println)', true, 'I', '2021-09-16 14:33:45.284804', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4266, 854, 'Ничего из перечисленного. Код не скомпилируется.', false, 'I', '2021-09-16 14:33:45.284804', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4267, 854, 'Ничего из перечисленного. Строка A выбросит исключение', false, 'I', '2021-09-16 14:33:45.284804', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4268, 855, 'Код скомпилируется и выведет: 123456', false, 'I', '2021-09-16 14:34:27.060625', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4269, 855, 'Код скомпилируется и выведет: 234567', false, 'I', '2021-09-16 14:34:27.060625', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4270, 855, 'Код скомпилируется и ничего не выведет', false, 'I', '2021-09-16 14:34:27.060625', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4271, 855, 'Код скомпилируется и будет выполняться бесконечно', false, 'I', '2021-09-16 14:34:27.060625', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4272, 855, 'Код не скомпилируется', true, 'I', '2021-09-16 14:34:27.060625', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4273, 855, 'Код скомпилируется и выкинет исключение', false, 'I', '2021-09-16 14:34:27.060625', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4274, 856, 'Ошибка компиляции на строке A', false, 'I', '2021-09-16 14:35:02.655733', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4275, 856, 'Ошибка компиляции на строке B', false, 'I', '2021-09-16 14:35:02.655733', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4276, 856, 'Ошибка компиляции на строке C', false, 'I', '2021-09-16 14:35:02.655733', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4277, 856, 'Ошибка компиляции на строке D', true, 'I', '2021-09-16 14:35:02.655733', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4278, 856, 'Код скомпилируется и выведет "1"', false, 'I', '2021-09-16 14:35:02.655733', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4279, 856, 'Код скомпилируется, но выкинет исключение', false, 'I', '2021-09-16 14:35:02.655733', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4280, 857, 'Код скомпилируется и выведет: {} {}', false, 'I', '2021-09-16 14:35:35.173726', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4281, 857, 'Код скомпилируется и выведет: {} {false=[], true=[]}', false, 'I', '2021-09-16 14:35:35.173726', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4282, 857, 'Код скомпилируется и выведет: {false=[], true=[]} {}', true, 'I', '2021-09-16 14:35:35.173726', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4283, 857, 'Код скомпилируется и выведет: {false=[], true=[]} {false=[], true=[]}', false, 'I', '2021-09-16 14:35:35.173726', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4284, 857, 'Код не компилируется', false, 'I', '2021-09-16 14:35:35.173726', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4285, 857, 'Код скомпилируется, но выкинет исключение', false, 'I', '2021-09-16 14:35:35.173726', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4286, 858, 'IntStream.range(1, 10);', false, 'I', '2021-09-16 14:36:09.031088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4287, 858, 'IntStream.range(1, 10).forEach(System.out::println);', true, 'I', '2021-09-16 14:36:09.031088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4288, 858, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, 'I', '2021-09-16 14:36:09.031088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4289, 858, 'IntStream.range(1, 10).peek(System.out::println);', false, 'I', '2021-09-16 14:36:09.031088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4290, 858, 'Никакой из перечисленных', false, 'I', '2021-09-16 14:36:09.031088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4291, 858, 'Описанный пример не компилируется', false, 'I', '2021-09-16 14:36:09.031088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4292, 859, 'new Locale("ru")', true, 'I', '2021-09-16 14:36:36.532135', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4293, 859, 'new Locale("ru", "RU");', true, 'I', '2021-09-16 14:36:36.532135', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4294, 859, 'new Locale("RU");', false, 'I', '2021-09-16 14:36:36.532135', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4295, 859, 'Locale.of("ru_RU");', false, 'I', '2021-09-16 14:36:36.532135', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4296, 859, 'Locale.of("ru");', false, 'I', '2021-09-16 14:36:36.532135', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4297, 859, 'Locale.of("RU");', false, 'I', '2021-09-16 14:36:36.532135', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4298, 860, 'TestPack.properties', false, 'I', '2021-09-16 14:37:14.664608', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4299, 860, 'TestPack_en.java', true, 'I', '2021-09-16 14:37:14.664608', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4300, 860, 'TestPack_en.properties', false, 'I', '2021-09-16 14:37:14.664608', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4301, 860, 'ProdPack.properties', false, 'I', '2021-09-16 14:37:14.664608', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4302, 860, 'ProdPack_en_US.properties', false, 'I', '2021-09-16 14:37:14.664608', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5524, 1077, '256', false, 'I', '2022-12-04 17:07:43.77115', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4303, 860, 'Код не скомпилируется', false, 'I', '2021-09-16 14:37:14.664608', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4304, 861, 'Testers.properties и Testers.properties', false, 'I', '2021-09-16 14:38:42.563199', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4305, 861, 'Testers.properties и Testers_en.properties', false, 'I', '2021-09-16 14:38:42.563199', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4306, 861, 'Testers_en.properties и Testers_en.properties', false, 'I', '2021-09-16 14:38:42.563199', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4307, 861, 'Testers_fr.properties и Testers.properties', true, 'I', '2021-09-16 14:38:42.563199', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4308, 861, 'Testers_fr.properties и Testers_en.properties', false, 'I', '2021-09-16 14:38:42.563199', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4309, 861, 'Код не скомпилируется', false, 'I', '2021-09-16 14:38:42.563199', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4310, 862, 'new LocalDate(2011, 7, 20);', false, 'I', '2021-09-16 14:39:28.298085', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4311, 862, 'new LocalDate(2011, 8, 20);', false, 'I', '2021-09-16 14:39:28.298085', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4313, 862, 'LocalDate.of(2011, 8, 20);', true, 'I', '2021-09-16 14:39:28.298085', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4314, 862, 'LocalDate.of(2011, Calendar.AUGUST, 20);', false, 'I', '2021-09-16 14:39:28.298085', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4315, 862, 'LocalDate.of(2011, Month.AUGUST, 20);', true, 'I', '2021-09-16 14:39:28.298085', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4316, 863, 'Код выведет: 2021 JUNE 2', false, 'I', '2021-09-16 14:40:01.274472', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4317, 863, 'Код выведет: 2021 JUNE 30', false, 'I', '2021-09-16 14:40:01.274472', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4318, 863, 'Код выведет: 2021 JULY 2', false, 'I', '2021-09-16 14:40:01.274472', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4319, 863, 'Код не компилируется', true, 'I', '2021-09-16 14:40:01.274472', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4320, 863, 'Код компилируется, но кидает исключение', false, 'I', '2021-09-16 14:40:01.274472', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4321, 864, '3/7/20 10:10 AM', false, 'I', '2021-09-16 14:40:32.609246', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4322, 864, '5/10/21 10:10 AM', false, 'I', '2021-09-16 14:40:32.609246', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4323, 864, '5/10/21', false, 'I', '2021-09-16 14:40:32.609246', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4324, 864, '10:10 AM', true, 'I', '2021-09-16 14:40:32.609246', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4325, 864, 'Код не компилируется', false, 'I', '2021-09-16 14:40:32.609246', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4326, 864, 'Код компилируется, но кидает исключение', false, 'I', '2021-09-16 14:40:32.609246', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4327, 865, 'properties.keys().stream().map(k -> k .forEach(System.out::println);', false, 'I', '2021-09-16 14:41:02.1002', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4328, 865, 'properties.keys().stream().map(k -> properties.get(k)).forEach(System.out::println);', false, 'I', '2021-09-16 14:41:02.1002', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4329, 865, 'properties.keySet().stream().map(k -> k) .forEach(System.out::println);', false, 'I', '2021-09-16 14:41:02.1002', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4330, 865, 'properties.keySet().stream().map(k -> properties.get(k)).forEach(System.out::println);', true, 'I', '2021-09-16 14:41:02.1002', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4331, 865, 'properties.stream().map(k -> k) .forEach(System.out::println);', false, 'I', '2021-09-16 14:41:02.1002', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4332, 865, 'properties.stream().map(k -> properties.get(k)) .forEach(System.out::println);', false, 'I', '2021-09-16 14:41:02.1002', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4333, 866, 'Убрать "throws Exception" из сигнатуры на строке A', false, 'I', '2021-09-16 14:41:29.954753', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4334, 866, 'Добавить "throws Exception" в сигнатуру на строке B', true, 'I', '2021-09-16 14:41:29.954753', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4335, 866, 'Изменить строку C на: } catch (Exception e) {}.', true, 'I', '2021-09-16 14:41:29.954753', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4336, 866, 'Изменить строку C на: } finally {}.', false, 'I', '2021-09-16 14:41:29.954753', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4337, 866, 'Ничего из перечисленного не заставит код компилироваться', false, 'I', '2021-09-16 14:41:29.954753', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4338, 866, 'Код компилируется как есть', false, 'I', '2021-09-16 14:41:29.954753', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4339, 867, 'Код выведет: data', false, 'I', '2021-09-16 14:42:00.220647', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4340, 867, 'Код выведет: good data', false, 'I', '2021-09-16 14:42:00.220647', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4341, 867, 'Код ничего не выведет', true, 'I', '2021-09-16 14:42:00.220647', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4342, 867, 'Код не скомпилируется', false, 'I', '2021-09-16 14:42:00.220647', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4343, 867, 'Код скомпилируется, но выкинет исключение', false, 'I', '2021-09-16 14:42:00.220647', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4344, 868, 'Код выведет: CBE', false, 'I', '2021-09-16 14:42:34.012021', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4345, 868, 'Код выведет: CBAE', false, 'I', '2021-09-16 14:42:34.012021', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4346, 868, 'Код выведет: CBE, после чего кинет исключение', false, 'I', '2021-09-16 14:42:34.012021', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4347, 868, 'Код выведет: CBAE, после чего кинет исключение', false, 'I', '2021-09-16 14:42:34.012021', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4348, 868, 'Код выведет: CBDE, после чего кинет исключение', false, 'I', '2021-09-16 14:42:34.012021', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4349, 868, 'Код не скомпилируется', true, 'I', '2021-09-16 14:42:34.012021', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4350, 869, 'java –da TestClass', false, 'I', '2021-09-16 14:43:03.402615', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4351, 869, 'java –ea TestClass', true, 'I', '2021-09-16 14:43:03.402615', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4352, 869, 'java -da -ea:TestClass TestClass', true, 'I', '2021-09-16 14:43:03.402615', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4353, 869, 'java -ea -da:TestClass TestClass', false, 'I', '2021-09-16 14:43:03.402615', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4354, 869, 'Код не компилируется', false, 'I', '2021-09-16 14:43:03.402615', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4355, 870, 'Не статические вложенные классы должны иметь уровень доступа default или public', false, 'I', '2021-09-16 14:43:33.302186', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4356, 870, 'Не статические вложенные классы не могут содержать статические члены', false, 'I', '2021-09-16 14:43:33.302186', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4357, 870, 'Методы во всех вложенных классах могут быть объявлены статичными', false, 'I', '2021-09-16 14:43:33.302186', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4358, 870, 'Все вложенные классы могут быть объявлены статическими', false, 'I', '2021-09-16 14:43:33.302186', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4359, 870, 'Статичный вложенный класс может содержать не статичный вложенный класс', true, 'I', '2021-09-16 14:43:33.302186', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4360, 870, 'Ничего из перечисленного', false, 'I', '2021-09-16 14:43:33.302186', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4361, 871, '10', true, 'I', '2021-09-16 14:44:02.660109', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4362, 871, '20', false, 'I', '2021-09-16 14:44:02.660109', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4363, 871, '30', false, 'I', '2021-09-16 14:44:02.660109', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4364, 871, 'Код не компилируется', false, 'I', '2021-09-16 14:44:02.660109', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4365, 871, 'Код компилируется, но кидает исключение', false, 'I', '2021-09-16 14:44:02.660109', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4366, 871, 'Ничего из перечисленного', false, 'I', '2021-09-16 14:44:02.660109', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4367, 872, 'Consumer', false, 'I', '2021-09-16 14:44:27.834896', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4368, 872, 'Supplier', false, 'I', '2021-09-16 14:44:27.834896', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4369, 872, 'Predicate', true, 'I', '2021-09-16 14:44:27.834896', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4370, 872, 'BiPredicate', false, 'I', '2021-09-16 14:44:27.834896', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4371, 872, 'Function', false, 'I', '2021-09-16 14:44:27.834896', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4372, 872, 'BiFunction', false, 'I', '2021-09-16 14:44:27.834896', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4373, 873, 'Exception, AutoCloseable', false, 'I', '2021-09-16 14:44:54.782652', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4374, 873, 'Exception, Closeable', true, 'I', '2021-09-16 14:44:54.782652', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4375, 873, 'IllegalStateException, AutoCloseable', false, 'I', '2021-09-16 14:44:54.782652', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4376, 873, 'IllegalStateException, Closeable', false, 'I', '2021-09-16 14:44:54.782652', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4377, 873, 'IOException, AutoCloseable', false, 'I', '2021-09-16 14:44:54.782652', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4378, 873, 'IOException, Closeable', false, 'I', '2021-09-16 14:44:54.782652', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4379, 874, 'BufferedInputStream', true, 'I', '2021-09-16 14:45:23.033648', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4380, 874, 'FileInputStream', false, 'I', '2021-09-16 14:45:23.033648', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4381, 874, 'BufferedWriter', false, 'I', '2021-09-16 14:45:23.033648', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4382, 874, 'ObjectInputStream', true, 'I', '2021-09-16 14:45:23.033648', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4383, 874, 'ObjectOutputStream', false, 'I', '2021-09-16 14:45:23.033648', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4384, 874, 'BufferedReader', false, 'I', '2021-09-16 14:45:23.033648', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4385, 875, 'Он может удалить только директории, содержащие файлы', false, 'I', '2021-09-16 14:45:52.627437', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4386, 875, 'Он может удалить дерево директорий любой глубины', false, 'I', '2021-09-16 14:45:52.627437', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4387, 875, 'Он может удалить единственный файл', true, 'I', '2021-09-16 14:45:52.627437', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4388, 875, 'Ошибка компиляции на строке A', false, 'I', '2021-09-16 14:45:52.627437', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4389, 875, 'Ошибка компиляции на строке B', false, 'I', '2021-09-16 14:45:52.627437', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4390, 875, 'Код компилируется, но кидает исключение', true, 'I', '2021-09-16 14:45:52.627437', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4391, 876, 'Код выведет первую строку текста', true, 'I', '2021-09-16 14:46:27.934063', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4392, 876, 'Код выведет все содержимое файла', false, 'I', '2021-09-16 14:46:27.934063', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4393, 876, 'Код не компилируется, т.к. reader не закрыт', false, 'I', '2021-09-16 14:46:27.934063', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4394, 876, 'Код компилируется, но кидает исключение т.к. reader не закрыт', false, 'I', '2021-09-16 14:46:27.934063', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4395, 876, 'Код не компилируется по другой причине', false, 'I', '2021-09-16 14:46:27.934063', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4396, 876, 'Код компилируется, но кидает исключение по другой причине', false, 'I', '2021-09-16 14:46:27.934063', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4397, 877, 'print', false, 'I', '2021-09-16 14:47:04.554358', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4398, 877, 'printf', true, 'I', '2021-09-16 14:47:04.554358', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4399, 877, 'println', false, 'I', '2021-09-16 14:47:04.554358', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4400, 877, 'format', true, 'I', '2021-09-16 14:47:04.554358', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4401, 877, 'writer().println', true, 'I', '2021-09-16 14:47:04.554358', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4402, 877, 'out', false, 'I', '2021-09-16 14:47:04.554358', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4403, 878, 'login', true, 'I', '2021-09-16 14:47:43.161053', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4404, 878, 'object', false, 'I', '2021-09-16 14:47:43.161053', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4405, 878, 'attempts', true, 'I', '2021-09-16 14:47:43.161053', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4406, 878, 'users', false, 'I', '2021-09-16 14:47:43.161053', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4407, 878, 'password', false, 'I', '2021-09-16 14:47:43.161053', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4408, 878, 'Код не компилируется', false, 'I', '2021-09-16 14:47:43.161053', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4409, 879, 'Василий', false, 'I', '2021-09-16 14:48:09.665563', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4410, 879, 'Аркадий', false, 'I', '2021-09-16 14:48:09.665563', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4411, 879, 'Виталий', false, 'I', '2021-09-16 14:48:09.665563', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4412, 879, 'Александр', false, 'I', '2021-09-16 14:48:09.665563', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4413, 879, 'null', true, 'I', '2021-09-16 14:48:09.665563', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4414, 879, 'Код не компилируется', false, 'I', '2021-09-16 14:48:09.665563', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4415, 880, 'Код вернет строку: XYZA.', false, 'I', '2021-09-16 14:48:49.584395', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4416, 880, 'Код вернет строку: XYZX.', false, 'I', '2021-09-16 14:48:49.584395', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4417, 880, 'Код вернет строку: XYZB.', false, 'I', '2021-09-16 14:48:49.584395', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4418, 880, 'Код вернет строку: XYZY.', false, 'I', '2021-09-16 14:48:49.584395', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4419, 880, 'Код не компилируется', false, 'I', '2021-09-16 14:48:49.584395', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4420, 880, 'Недостаточно информации для определения результата', true, 'I', '2021-09-16 14:48:49.584395', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4421, 881, '/folder/.././ext/../test.txt', false, 'I', '2021-09-16 14:49:55.816654', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4422, 881, '/folder/./ext/test.txt/out', false, 'I', '2021-09-16 14:49:55.816654', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4423, 881, '/test.txt', false, 'I', '2021-09-16 14:49:55.816654', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4424, 881, 'test.txt', false, 'I', '2021-09-16 14:49:55.816654', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4425, 881, '../out', false, 'I', '2021-09-16 14:49:55.816654', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4426, 881, 'Код не компилируется', true, 'I', '2021-09-16 14:49:55.816654', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4427, 882, 'Код компилируется без ошибок', false, 'I', '2021-09-16 14:50:49.41566', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4428, 882, 'Код не компилируется из за ошибки на строке A', false, 'I', '2021-09-16 14:50:49.41566', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4429, 882, 'Код не компилируется из за ошибки на строке B', false, 'I', '2021-09-16 14:50:49.41566', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4430, 882, 'Код не компилируется из за ошибки на строке C', true, 'I', '2021-09-16 14:50:49.41566', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4431, 882, 'Код компилируется, но кидает исключение', false, 'I', '2021-09-16 14:50:49.41566', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4432, 883, 'A и D', false, 'I', '2021-09-16 14:51:17.171039', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4433, 883, 'B и C', false, 'I', '2021-09-16 14:51:17.171039', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4434, 883, 'A и C', true, 'I', '2021-09-16 14:51:17.171039', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4435, 883, 'B, C и D', false, 'I', '2021-09-16 14:51:17.171039', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4436, 883, 'Все перечисленные строки', false, 'I', '2021-09-16 14:51:17.171039', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4437, 883, 'Ни одна из перечисленных строк', false, 'I', '2021-09-16 14:51:17.171039', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4438, 884, 'Код всегда будет печатать "-flipflop"', false, 'I', '2021-09-16 14:51:54.901953', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4439, 884, 'Код будет печатать или "-flipflop" или "-flopflip"', false, 'I', '2021-09-16 14:51:54.901953', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4440, 884, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, 'I', '2021-09-16 14:51:54.901953', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4441, 884, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, 'I', '2021-09-16 14:51:54.901953', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4442, 884, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, 'I', '2021-09-16 14:51:54.901953', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4443, 884, 'Ничего из перечисленного', false, 'I', '2021-09-16 14:51:54.901953', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4444, 885, 'Ошибка компиляции на строке A', false, 'I', '2021-09-16 14:52:22.281039', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4445, 885, 'Ошибка компиляции на строке B', false, 'I', '2021-09-16 14:52:22.281039', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4446, 885, 'Код выведет: {[11, 13, 15], [10, 12, 14]}', false, 'I', '2021-09-16 14:52:22.281039', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4447, 885, 'Код выведет: [[11, 13, 15], [10, 12, 14]]', false, 'I', '2021-09-16 14:52:22.281039', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4448, 885, 'Код выведет: {false=[11, 13, 15], true=[10, 12, 14]}', true, 'I', '2021-09-16 14:52:22.281039', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4449, 885, 'Ничего из перечисленного', false, 'I', '2021-09-16 14:52:22.281039', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4450, 886, 'void assertTest(Object obj){assert obj != null : throw new AssertionError();}', false, 'I', '2021-09-16 14:52:47.645702', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4451, 886, 'void assertTest(Object o1, Object o2){assert o1, o2 != null;}', false, 'I', '2021-09-16 14:52:47.645702', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4452, 886, 'void assertTest(Collection c){assert c.isEmpty();}', true, 'I', '2021-09-16 14:52:47.645702', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4453, 886, 'void assertTest(){assert;}', false, 'I', '2021-09-16 14:52:47.645702', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4454, 886, 'void assertTest(){assert null;}', false, 'I', '2021-09-16 14:52:47.645702', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4455, 886, 'Никакой из перечисленных', false, 'I', '2021-09-16 14:52:47.645702', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4456, 887, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, 'I', '2021-09-16 14:53:22.735156', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4457, 887, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, 'I', '2021-09-16 14:53:22.735156', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4458, 887, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, 'I', '2021-09-16 14:53:22.735156', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4459, 887, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, 'I', '2021-09-16 14:53:22.735156', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4460, 887, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, 'I', '2021-09-16 14:53:22.735156', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4461, 887, 'Ничего из перечисленного', false, 'I', '2021-09-16 14:53:22.735156', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4462, 888, 'Код выведет: PT1S, PT1M1S', false, 'I', '2021-09-16 14:53:51.145259', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4463, 888, 'Код выведет: PT1S1m, PT1M1S', false, 'I', '2021-09-16 14:53:51.145259', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4464, 888, 'Код выведет: PT1.1S, PT61S', false, 'I', '2021-09-16 14:53:51.145259', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4465, 888, 'Код выведет: PT1.1S, PT1M1S', true, 'I', '2021-09-16 14:53:51.145259', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4466, 888, 'Код не скомпилируется', false, 'I', '2021-09-16 14:53:51.145259', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4467, 888, 'Ничего из перечисленного', false, 'I', '2021-09-16 14:53:51.145259', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4468, 889, 'Код скомпилируется, но выбросит исключение', false, 'I', '2021-09-16 14:54:21.298065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4529, 899, 'git pull', true, 'I', '2021-10-05 14:52:54.037851', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4469, 889, 'Код выведет "ОК" и в test2.txt будет то же содержимое, что в test1.txt', false, 'I', '2021-09-16 14:54:21.298065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4470, 889, 'Код выведет "ОК", но в test2.txt будет НЕ то же содержимое, что в test1.txt', false, 'I', '2021-09-16 14:54:21.298065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4471, 889, 'Код выведет "NOT ОК" и в test2.txt будет то же содержимое, что в test1.txt', true, 'I', '2021-09-16 14:54:21.298065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4472, 889, 'Код выведет "NOT ОК", но test2.txt не будет создан', false, 'I', '2021-09-16 14:54:21.298065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4473, 889, 'Ничего из перечисленного', false, 'I', '2021-09-16 14:54:21.298065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4474, 890, 'lock.writeLock().acquire();
lock.writeLock().release();', false, 'I', '2021-09-16 14:54:50.840825', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4475, 890, 'lock.writeLock().lock();
lock.writeLock().unlock();', true, 'I', '2021-09-16 14:54:50.840825', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5010, 989, 'out', false, 'I', '2022-06-20 15:12:36.882615', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4476, 890, 'lock.acquire();
lock.release();', false, 'I', '2021-09-16 14:54:50.840825', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4477, 890, 'lock.readLock().lock();
lock.readLock().unlock();', false, 'I', '2021-09-16 14:54:50.840825', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4478, 890, 'Ничего из перечисленного', false, 'I', '2021-09-16 14:54:50.840825', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4479, 891, 'Код выкинет исключение если запустить его на компьютере где дефолтная локаль отличается от fr/FR и fr/CA', false, 'I', '2021-09-16 14:55:37.36908', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4480, 891, 'Код выкинет исключение вне зависимости от локали', false, 'I', '2021-09-16 14:55:37.36908', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4481, 891, 'Код выкинет исключение если запустить его на компьютере где дефолтная локаль fr/CA', false, 'I', '2021-09-16 14:55:37.36908', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4482, 891, 'Код выкинет исключение если запустить его на компьютере где дефолтная локаль jp/JP', false, 'I', '2021-09-16 14:55:37.36908', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4483, 891, 'Код компилируется и выполняется вне зависимости от локали', true, 'I', '2021-09-16 14:55:37.36908', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4484, 891, 'Ничего из перечисленного', false, 'I', '2021-09-16 14:55:37.36908', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4491, 893, 'git new', false, 'I', '2021-10-05 14:50:04.258587', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4492, 893, 'git add', false, 'I', '2021-10-05 14:50:04.258587', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4493, 893, 'git init', true, 'I', '2021-10-05 14:50:04.258587', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4494, 893, 'git commit', false, 'I', '2021-10-05 14:50:04.258587', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4495, 893, 'git stage', false, 'I', '2021-10-05 14:50:04.258587', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4496, 893, 'Ничего из перечисленного', false, 'I', '2021-10-05 14:50:04.258587', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4497, 894, 'git new', false, 'I', '2021-10-05 14:50:35.477698', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4498, 894, 'git add', true, 'I', '2021-10-05 14:50:35.477698', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4499, 894, 'git init', false, 'I', '2021-10-05 14:50:35.477698', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4500, 894, 'git commit', false, 'I', '2021-10-05 14:50:35.477698', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4501, 894, 'git stage', false, 'I', '2021-10-05 14:50:35.477698', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4502, 894, 'Ничего из перечисленного', false, 'I', '2021-10-05 14:50:35.477698', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4503, 895, 'git new', false, 'I', '2021-10-05 14:50:59.487108', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4504, 895, 'git add', false, 'I', '2021-10-05 14:50:59.487108', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4505, 895, 'git init', false, 'I', '2021-10-05 14:50:59.487108', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4506, 895, 'git commit', true, 'I', '2021-10-05 14:50:59.487108', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4507, 895, 'git stage', false, 'I', '2021-10-05 14:50:59.487108', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4508, 895, 'Ничего из перечисленного', false, 'I', '2021-10-05 14:50:59.487108', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4509, 896, 'Во время добавления удаленного репозитория:
git remote add -m ''Первый коммит''', false, 'I', '2021-10-05 14:51:32.817697', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4510, 896, 'Во время инициализации репозитория:
git init -m ''Первый коммит''', false, 'I', '2021-10-05 14:51:32.817697', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4511, 896, 'Во время подготовки коммита:
git add -m ''Первый коммит''', false, 'I', '2021-10-05 14:51:32.817697', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4512, 896, 'Во время коммита:
git commit -m ''Первый коммит''', true, 'I', '2021-10-05 14:51:32.817697', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4513, 896, 'Во время пуша:
git push -m ''Первый коммит', false, 'I', '2021-10-05 14:51:32.817697', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4514, 896, 'Во время другой операции', false, 'I', '2021-10-05 14:51:32.817697', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4515, 897, 'git status', true, 'I', '2021-10-05 14:51:59.398608', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4516, 897, 'git log', false, 'I', '2021-10-05 14:51:59.398608', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4517, 897, 'git info', false, 'I', '2021-10-05 14:51:59.398608', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4518, 897, 'git stage', false, 'I', '2021-10-05 14:51:59.398608', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4519, 897, 'git add', false, 'I', '2021-10-05 14:51:59.398608', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4520, 897, 'git commit -info', false, 'I', '2021-10-05 14:51:59.398608', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4521, 898, 'git remote origin add https://repo.com/somerepo/somerepo.git', false, 'I', '2021-10-05 14:52:26.537765', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4522, 898, 'git remote origin https://repo.com/somerepo/somerepo.git', false, 'I', '2021-10-05 14:52:26.537765', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4523, 898, 'git remote add origin https://repo.com/somerepo/somerepo.git', true, 'I', '2021-10-05 14:52:26.537765', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4524, 898, 'git remote add https://repo.com/somerepo/somerepo.git', false, 'I', '2021-10-05 14:52:26.537765', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4525, 898, 'git remote new origin https://repo.com/somerepo/somerepo.git', false, 'I', '2021-10-05 14:52:26.537765', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4526, 898, 'git add remote https://repo.com/somerepo/somerepo.git', false, 'I', '2021-10-05 14:52:26.537765', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4527, 899, 'git refresh', false, 'I', '2021-10-05 14:52:54.037851', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4528, 899, 'git add remote', false, 'I', '2021-10-05 14:52:54.037851', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4530, 899, 'git reset', false, 'I', '2021-10-05 14:52:54.037851', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4531, 899, 'git push', false, 'I', '2021-10-05 14:52:54.037851', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4532, 899, 'git merge', false, 'I', '2021-10-05 14:52:54.037851', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4533, 900, 'git fetch
git commit', false, 'I', '2021-10-05 14:53:16.968859', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4534, 900, 'git fetch
git merge', true, 'I', '2021-10-05 14:53:16.968859', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4535, 900, 'git fetch
git push', false, 'I', '2021-10-05 14:53:16.968859', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4536, 900, 'git merge
git push', false, 'I', '2021-10-05 14:53:16.968859', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4537, 900, 'git merge
git commit', false, 'I', '2021-10-05 14:53:16.968859', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4538, 900, 'git pull
git push', false, 'I', '2021-10-05 14:53:16.968859', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4539, 901, 'git branch somebranch', true, 'I', '2021-10-05 14:53:45.196686', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4540, 901, 'git checkout -b somebranch', false, 'I', '2021-10-05 14:53:45.196686', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4541, 901, 'git new somebranch', false, 'I', '2021-10-05 14:53:45.196686', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4542, 901, 'git checkout somebranch', false, 'I', '2021-10-05 14:53:45.196686', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4543, 901, 'git new -branch somebranch', false, 'I', '2021-10-05 14:53:45.196686', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4544, 901, 'git branch -v somebranch', false, 'I', '2021-10-05 14:53:45.196686', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4545, 902, 'git reset test.txt', false, 'I', '2021-10-05 14:54:12.429439', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4546, 902, 'git checkout test.txt', true, 'I', '2021-10-05 14:54:12.429439', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4547, 902, 'git HEAD^ -- test.txt', false, 'I', '2021-10-05 14:54:12.429439', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4548, 902, ' git unstage test.txt', false, 'I', '2021-10-05 14:54:12.429439', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4549, 902, 'git remove test.txt', false, 'I', '2021-10-05 14:54:12.429439', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4550, 902, 'Ничего из перечисленного', false, 'I', '2021-10-05 14:54:12.429439', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4551, 903, 'Создает копию удаленной ветки локально', false, 'I', '2021-10-05 14:54:49.346906', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4552, 903, 'Создает копию удаленного репозитория локально', true, 'I', '2021-10-05 14:54:49.346906', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4553, 903, 'Отменяет все изменения из последнего коммита', false, 'I', '2021-10-05 14:54:49.346906', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4554, 903, 'Загружает все закомиченные изменения в удаленный репозиторий', false, 'I', '2021-10-05 14:54:49.346906', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4555, 903, 'Создает еще одну копию локального репозитория', false, 'I', '2021-10-05 14:54:49.346906', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4556, 903, 'Ничего из перечисленного', false, 'I', '2021-10-05 14:54:49.346906', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4557, 904, 'Первая команда делает merge, вторая нет', true, 'I', '2021-10-05 14:55:15.799221', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4558, 904, 'Вторая команда делает merge, первая нет', false, 'I', '2021-10-05 14:55:15.799221', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4559, 904, 'Первая команда делает merge, вторая rebase', false, 'I', '2021-10-05 14:55:15.799221', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4560, 904, 'Первая команда делает rebase, вторая merge', false, 'I', '2021-10-05 14:55:15.799221', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4561, 904, 'Первая команда делает rebase, вторая нет', false, 'I', '2021-10-05 14:55:15.799221', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4562, 904, 'Ничего из перечисленного', false, 'I', '2021-10-05 14:55:15.799221', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4563, 905, 'Указатель на самый первый коммит в ветке', false, 'I', '2021-10-05 14:55:42.269169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4564, 905, 'Указатель на самый последний коммит в ветке', true, 'I', '2021-10-05 14:55:42.269169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4565, 905, 'Указатель на самый первый коммит в репозитории', false, 'I', '2021-10-05 14:55:42.269169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4566, 905, 'Указатель на самый последний коммит в репозитории', false, 'I', '2021-10-05 14:55:42.269169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4567, 905, 'Указатель на текущий коммит', false, 'I', '2021-10-05 14:55:42.269169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4568, 905, 'Ничего из перечисленного', false, 'I', '2021-10-05 14:55:42.269169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4569, 906, 'Файл не отслеживается git', true, 'I', '2021-10-05 14:56:11.376092', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4570, 906, 'Файл был удален из git', false, 'I', '2021-10-05 14:56:11.376092', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4571, 906, 'Файл находится вне репозитория git', false, 'I', '2021-10-05 14:56:11.376092', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4572, 906, 'Файл добавлен в .gitignore', false, 'I', '2021-10-05 14:56:11.376092', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4573, 906, 'Файл изменен и отслеживается для коммита', false, 'I', '2021-10-05 14:56:11.376092', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4574, 906, 'Ничего из перечисленного', false, 'I', '2021-10-05 14:56:11.376092', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4575, 907, 'Файл только начал отслеживаться git и не имеет истории', true, 'I', '2021-10-05 14:56:33.745518', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4576, 907, 'Файл был создан только что и не отслеживается git', false, 'I', '2021-10-05 14:56:33.745518', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4577, 907, 'Файл изменен и отслеживается для коммита', false, 'I', '2021-10-05 14:56:33.745518', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4578, 907, 'Такого статуса нет', false, 'I', '2021-10-05 14:56:33.745518', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4579, 907, 'Ничего из перечисленного', false, 'I', '2021-10-05 14:56:33.745518', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4580, 908, 'new', false, 'I', '2021-10-05 14:56:57.56711', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4581, 908, 'untracked', false, 'I', '2021-10-05 14:56:57.56711', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4582, 908, 'updated', false, 'I', '2021-10-05 14:56:57.56711', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4583, 908, 'modified', true, 'I', '2021-10-05 14:56:57.56711', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4584, 908, 'deleted', false, 'I', '2021-10-05 14:56:57.56711', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4585, 908, 'tracked', false, 'I', '2021-10-05 14:56:57.56711', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4586, 909, 'Перед git add', false, 'I', '2021-10-05 14:57:20.206433', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4587, 909, 'Перед git commit', false, 'I', '2021-10-05 14:57:20.206433', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4588, 909, 'Перед git push', false, 'I', '2021-10-05 14:57:20.206433', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4589, 909, 'Перед git branch', false, 'I', '2021-10-05 14:57:20.206433', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4590, 909, 'Перед git merge', false, 'I', '2021-10-05 14:57:20.206433', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4591, 909, 'Ничего из перечисленного', true, 'I', '2021-10-05 14:57:20.206433', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4592, 910, 'Ничем', false, 'I', '2021-10-05 14:59:08.765439', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4593, 910, 'master - локальный репозиторий, origin master - удаленный репозиторий', true, 'I', '2021-10-05 14:59:08.765439', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4594, 910, 'master - удаленный репозиторий, origin master - локальный репозиторий', false, 'I', '2021-10-05 14:59:08.765439', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4595, 910, 'origin master не существует, ее можно только создать вручную', false, 'I', '2021-10-05 14:59:08.765439', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4596, 910, 'Ничего из перечисленного', false, 'I', '2021-10-05 14:59:08.765439', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4597, 911, 'git status', false, 'I', '2021-10-05 14:59:35.626036', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4598, 911, 'git log', true, 'I', '2021-10-05 14:59:35.626036', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4599, 911, 'git info', false, 'I', '2021-10-05 14:59:35.626036', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4600, 911, 'git list', false, 'I', '2021-10-05 14:59:35.626036', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4601, 911, 'git add', false, 'I', '2021-10-05 14:59:35.626036', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4602, 911, 'git commit --all', false, 'I', '2021-10-05 14:59:35.626036', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4603, 912, 'git status', false, 'I', '2021-10-05 15:00:31.125115', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4604, 912, 'git log', false, 'I', '2021-10-05 15:00:31.125115', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4605, 912, 'git info', false, 'I', '2021-10-05 15:00:31.125115', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4606, 912, 'git show', true, 'I', '2021-10-05 15:00:31.125115', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4607, 912, 'git add', false, 'I', '2021-10-05 15:00:31.125115', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4608, 912, 'git commit --details', false, 'I', '2021-10-05 15:00:31.125115', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4609, 913, 'git status --author', false, 'I', '2021-10-05 15:00:57.503776', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4610, 913, 'git log --author', false, 'I', '2021-10-05 15:00:57.503776', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4611, 913, 'git info', false, 'I', '2021-10-05 15:00:57.503776', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4612, 913, 'git show --author', false, 'I', '2021-10-05 15:00:57.503776', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4613, 913, 'git blame', true, 'I', '2021-10-05 15:00:57.503776', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4614, 913, 'git commit --author', false, 'I', '2021-10-05 15:00:57.503776', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4615, 914, 'git show', false, 'I', '2021-10-05 15:01:22.736199', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4616, 914, 'git diff', true, 'I', '2021-10-05 15:01:22.736199', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4617, 914, 'git show --diff', false, 'I', '2021-10-05 15:01:22.736199', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4618, 914, 'git diff --show', false, 'I', '2021-10-05 15:01:22.736199', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4619, 914, 'git log --diff', false, 'I', '2021-10-05 15:01:22.736199', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4620, 914, 'Такой команды нет', false, 'I', '2021-10-05 15:01:22.736199', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4621, 915, 'git add', false, 'I', '2021-10-05 15:01:42.925685', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4622, 915, 'git undo', false, 'I', '2021-10-05 15:01:42.925685', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4623, 915, 'git unstage', false, 'I', '2021-10-05 15:01:42.925685', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4624, 915, 'git abort', false, 'I', '2021-10-05 15:01:42.925685', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4625, 915, 'git reset', true, 'I', '2021-10-05 15:01:42.925685', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4626, 915, 'git cancel', false, 'I', '2021-10-05 15:01:42.925685', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4627, 916, 'git hide', false, 'I', '2021-10-05 15:02:08.943982', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4628, 916, 'git archive', false, 'I', '2021-10-05 15:02:08.943982', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4629, 916, 'git abort', false, 'I', '2021-10-05 15:02:08.943982', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4630, 916, 'git stash', true, 'I', '2021-10-05 15:02:08.943982', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4631, 916, 'git stage', false, 'I', '2021-10-05 15:02:08.943982', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4632, 916, 'Такой команды нет', false, 'I', '2021-10-05 15:02:08.943982', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4633, 917, 'Отменить слияние веток нельзя', false, 'I', '2021-10-05 15:02:34.845002', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4634, 917, 'Отменить слияние веток при конфликте нельзя', false, 'I', '2021-10-05 15:02:34.845002', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4635, 917, 'git cancel', false, 'I', '2021-10-05 15:02:34.845002', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4636, 917, 'git abort --merge', false, 'I', '2021-10-05 15:02:34.845002', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4637, 917, 'git merge --abort', true, 'I', '2021-10-05 15:02:34.845002', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4638, 917, 'git abort', false, 'I', '2021-10-05 15:02:34.845002', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4639, 918, 'Такого понятия не существует', false, 'I', '2021-10-05 15:03:02.916312', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4640, 918, 'git commit --patch', false, 'I', '2021-10-05 15:03:02.916312', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4641, 918, 'git commit --fix', false, 'I', '2021-10-05 15:03:02.916312', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4642, 918, 'git patch', true, 'I', '2021-10-05 15:03:02.916312', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4643, 918, 'git fix', false, 'I', '2021-10-05 15:03:02.916312', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4644, 918, 'Ничего из перечисленного', false, 'I', '2021-10-05 15:03:02.916312', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4645, 919, 'Переключает на последнюю использованную ветку', false, 'I', '2021-10-05 15:03:30.643083', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4646, 919, 'Переключает на ветку с последним коммитом', false, 'I', '2021-10-05 15:03:30.643083', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4647, 919, 'Выводит список всех локальных веток', true, 'I', '2021-10-05 15:03:30.643083', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4648, 919, 'Выводит список всех локальных и удаленных веток', false, 'I', '2021-10-05 15:03:30.643083', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4649, 919, 'Выводит список всех коммитов на выбранной', false, 'I', '2021-10-05 15:03:30.643083', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4650, 919, 'Ничего, выведет ошибку', false, 'I', '2021-10-05 15:03:30.643083', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4651, 920, 'Ветку, содержащую хотя бы один коммит, нельзя удалить', false, 'I', '2021-10-05 15:04:43.08271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4652, 920, 'git delete --branch somebranch', false, 'I', '2021-10-05 15:04:43.08271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4653, 920, 'git branch --delete somebranch', false, 'I', '2021-10-05 15:04:43.08271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4654, 920, 'git branch --d somebranch', true, 'I', '2021-10-05 15:04:43.08271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4655, 920, 'git reset --branch somebranch', false, 'I', '2021-10-05 15:04:43.08271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4656, 920, 'git remove --b somebranch', false, 'I', '2021-10-05 15:04:43.08271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4657, 921, 'Ветка существует локально, но не удаленно', true, 'I', '2021-10-05 15:05:13.753385', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4658, 921, 'Ветка существует удаленно, но не локально', false, 'I', '2021-10-05 15:05:13.753385', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4659, 921, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, 'I', '2021-10-05 15:05:13.753385', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4660, 921, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, 'I', '2021-10-05 15:05:13.753385', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4661, 921, 'Ошибка исправляется командой git push -u somebranch', true, 'I', '2021-10-05 15:05:13.753385', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4662, 921, 'Ошибка не исправляется командой git push -u somebranch', false, 'I', '2021-10-05 15:05:13.753385', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4663, 922, 'git cancel', false, 'I', '2021-10-05 15:05:41.123046', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4664, 922, 'git remove -all', false, 'I', '2021-10-05 15:05:41.123046', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4665, 922, 'git clean -f', true, 'I', '2021-10-05 15:05:41.123046', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4666, 922, 'git delete -all', false, 'I', '2021-10-05 15:05:41.123046', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4667, 922, 'git unstage -f', false, 'I', '2021-10-05 15:05:41.123046', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4668, 922, 'Ничего из перечисленного', false, 'I', '2021-10-05 15:05:41.123046', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4669, 923, 'Ошибка, такой команды не существует', false, 'I', '2021-10-05 15:06:04.252847', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4670, 923, 'Ошибка, у команды нет ключа d', false, 'I', '2021-10-05 15:06:04.252847', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4671, 923, 'Ошибка, у команды нет ключа f', false, 'I', '2021-10-05 15:06:04.252847', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4672, 923, 'Удалит все untracked файлы', false, 'I', '2021-10-05 15:06:04.252847', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4673, 923, 'Удалит все untracked файлы и папки', true, 'I', '2021-10-05 15:06:04.252847', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4674, 923, 'Ничего из перечисленного', false, 'I', '2021-10-05 15:06:04.252847', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4675, 924, 'Хранится только последняя версия файла, не ведется история изменений', false, 'I', '2021-10-05 15:06:26.794031', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4676, 924, 'Файл убирается из git и не отслеживается', true, 'I', '2021-10-05 15:06:26.794031', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4677, 924, 'Хранится версия файла с ветки master, таким каким он был на момент создания ветки', false, 'I', '2021-10-05 15:06:26.794031', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4678, 924, 'Хранится версия файла с ветки master, таким каким он был на момент последнего коммита в master', false, 'I', '2021-10-05 15:06:26.794031', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4679, 924, 'Ничего из перечисленного', false, 'I', '2021-10-05 15:06:26.794031', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4680, 925, 'git add -d', false, 'I', '2021-10-05 15:06:49.883366', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4681, 925, 'Добавить все файлы из этой директории в git', false, 'I', '2021-10-05 15:06:49.883366', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4682, 925, 'Добавить хотя бы один файл из этой директории в git', true, 'I', '2021-10-05 15:06:49.883366', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4683, 925, 'Никак, git отслеживает изменения только для файлов', false, 'I', '2021-10-05 15:06:49.883366', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4684, 925, 'Ничего из перечисленного', false, 'I', '2021-10-05 15:06:49.883366', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4685, 926, 'git config user.name', false, 'I', '2021-10-05 15:07:21.833088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4686, 926, 'git config --global user.name', true, 'I', '2021-10-05 15:07:21.833088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4687, 926, 'git user.name', true, 'I', '2021-10-05 15:07:21.833088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4688, 926, 'git user_name', false, 'I', '2021-10-05 15:07:21.833088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4689, 926, 'git config --global user_name', false, 'I', '2021-10-05 15:07:21.833088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4690, 926, 'git config user_name', false, 'I', '2021-10-05 15:07:21.833088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4691, 927, 'git remote', false, 'I', '2021-10-05 15:07:46.593918', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4692, 927, 'git remote -v', true, 'I', '2021-10-05 15:07:46.593918', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4693, 927, 'git remote -all', false, 'I', '2021-10-05 15:07:46.593918', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4694, 927, 'git remote -a', false, 'I', '2021-10-05 15:07:46.593918', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4695, 927, 'git remote -list', false, 'I', '2021-10-05 15:07:46.593918', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4696, 927, 'Ничего из перечисленного', false, 'I', '2021-10-05 15:07:46.593918', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4697, 928, 'name', true, 'I', '2021-10-05 15:08:08.48258', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4698, 928, 'password', false, 'I', '2021-10-05 15:08:08.48258', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4699, 928, 'email', true, 'I', '2021-10-05 15:08:08.48258', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4700, 928, 'remote', false, 'I', '2021-10-05 15:08:08.48258', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4701, 929, 'git tag', true, 'I', '2021-10-05 15:08:35.7831', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4702, 929, 'git labels', false, 'I', '2021-10-05 15:08:35.7831', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4703, 929, 'git label --all', false, 'I', '2021-10-05 15:08:35.7831', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4704, 929, 'git info --labels', false, 'I', '2021-10-05 15:08:35.7831', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4705, 929, 'git show --labels', false, 'I', '2021-10-05 15:08:35.7831', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4706, 929, 'В git нет понятия "Метка"', false, 'I', '2021-10-05 15:08:35.7831', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4707, 930, 'git log --tiny-commit', false, 'I', '2021-10-05 15:09:15.73346', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4708, 930, 'git log --short', false, 'I', '2021-10-05 15:09:15.73346', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4709, 930, 'git log --s', false, 'I', '2021-10-05 15:09:15.73346', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4710, 930, 'git log --abbrev-commit', true, 'I', '2021-10-05 15:09:15.73346', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4711, 930, 'git log --short-hash', false, 'I', '2021-10-05 15:09:15.73346', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4712, 930, 'Ничего из перечисленного', false, 'I', '2021-10-05 15:09:15.73346', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4713, 931, 'git commit -c', false, 'I', '2021-10-12 14:17:31.676424', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4714, 931, 'git commit -a', false, 'I', '2021-10-12 14:17:31.676424', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4715, 931, 'git commit –amend', true, 'I', '2021-10-12 14:17:31.676424', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4716, 931, 'git commit -C', false, 'I', '2021-10-12 14:17:31.676424', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4717, 931, 'Такой команды не существует', false, 'I', '2021-10-12 14:17:31.676424', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4718, 931, 'Другая команда', false, 'I', '2021-10-12 14:17:31.676424', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4719, 932, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, 'I', '2021-10-12 14:17:59.006088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4720, 932, 'Переносит HEAD на коммит abcdef', false, 'I', '2021-10-12 14:17:59.006088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4721, 932, 'Удаляет все изменения в рабочей директории', false, 'I', '2021-10-12 14:17:59.006088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4722, 932, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, 'I', '2021-10-12 14:17:59.006088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4723, 932, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, 'I', '2021-10-12 14:17:59.006088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4724, 932, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, 'I', '2021-10-12 14:17:59.006088', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4725, 933, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, 'I', '2021-10-12 14:18:35.440453', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4726, 933, 'Переносит HEAD на коммит abcdef', true, 'I', '2021-10-12 14:18:35.440453', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4727, 933, 'Удаляет все изменения в рабочей директории', true, 'I', '2021-10-12 14:18:35.440453', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4728, 933, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', true, 'I', '2021-10-12 14:18:35.440453', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4729, 933, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, 'I', '2021-10-12 14:18:35.440453', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4730, 933, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, 'I', '2021-10-12 14:18:35.440453', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4731, 934, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, 'I', '2021-10-12 14:19:03.066787', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4732, 934, 'Переносит HEAD на коммит abcdef', true, 'I', '2021-10-12 14:19:03.066787', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4733, 934, 'Удаляет все изменения в рабочей директории', false, 'I', '2021-10-12 14:19:03.066787', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4734, 934, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', true, 'I', '2021-10-12 14:19:03.066787', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4735, 934, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, 'I', '2021-10-12 14:19:03.066787', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4736, 934, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, 'I', '2021-10-12 14:19:03.066787', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4737, 935, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, 'I', '2021-10-12 14:19:32.634702', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4738, 935, 'Переносит HEAD на коммит abcdef', true, 'I', '2021-10-12 14:19:32.634702', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4739, 935, 'Удаляет все изменения в рабочей директории', false, 'I', '2021-10-12 14:19:32.634702', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4740, 935, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, 'I', '2021-10-12 14:19:32.634702', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4741, 935, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, 'I', '2021-10-12 14:19:32.634702', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4742, 935, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, 'I', '2021-10-12 14:19:32.634702', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4743, 936, 'soft', false, 'I', '2021-10-12 14:19:56.375909', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4744, 936, 'mixed', true, 'I', '2021-10-12 14:19:56.375909', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4745, 936, 'hard', false, 'I', '2021-10-12 14:19:56.375909', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4746, 936, 'default', false, 'I', '2021-10-12 14:19:56.375909', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4747, 936, 'Другой', false, 'I', '2021-10-12 14:19:56.375909', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4748, 937, 'git log', false, 'I', '2021-10-12 14:20:36.742014', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4749, 937, 'git reflog', true, 'I', '2021-10-12 14:20:36.742014', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4750, 937, 'git journal', false, 'I', '2021-10-12 14:20:36.742014', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4751, 937, 'git logref', false, 'I', '2021-10-12 14:20:36.742014', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4752, 937, 'git refs', false, 'I', '2021-10-12 14:20:36.742014', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4753, 937, 'Ничего из перечисленного', false, 'I', '2021-10-12 14:20:36.742014', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4754, 938, 'Нет, так как они удаляются без возможности восстановления', false, 'I', '2021-10-12 14:21:06.214334', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4755, 938, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, 'I', '2021-10-12 14:21:06.214334', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4851, 951, 'Рекомендации по стилю кода', true, 'I', '2022-06-20 15:09:35.530625', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4756, 938, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, 'I', '2021-10-12 14:21:06.214334', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4757, 938, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, 'I', '2021-10-12 14:21:06.214334', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4758, 938, 'Ничего из перечисленного', false, 'I', '2021-10-12 14:21:06.214334', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4759, 939, 'Нет, так как они удаляются без возможности восстановления', false, 'I', '2021-10-12 14:21:34.309786', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4760, 939, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, 'I', '2021-10-12 14:21:34.309786', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4761, 939, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, 'I', '2021-10-12 14:21:34.309786', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4762, 939, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, 'I', '2021-10-12 14:21:34.309786', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4763, 939, 'Ничего из перечисленного', false, 'I', '2021-10-12 14:21:34.309786', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4782, 892, 'Изменить "new ReentrantLock()" на "new ReentrantLock(true)"', false, 'I', '2022-05-21 23:51:14.317417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4783, 892, 'Поставить вызов lock.lock() перед блоком try', false, 'I', '2022-05-21 23:51:14.317417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4784, 892, 'Добавить перед объявлением lock модификаторы private и final', true, 'I', '2022-05-21 23:51:14.317417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4785, 892, 'Добавить перед объявлением lock модификаторы private, final и static', false, 'I', '2022-05-21 23:51:14.317417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4786, 892, 'Добавить перед объявлением lock модификатор static', false, 'I', '2022-05-21 23:51:14.317417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4787, 892, 'Изменения не требуются, код потокобезопасен', false, 'I', '2022-05-21 23:51:14.317417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4816, 942, 'Тrun python file.py', false, 'I', '2022-06-20 14:59:38.95128', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4817, 942, 'python exec file.py', false, 'I', '2022-06-20 14:59:38.95128', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4818, 942, 'python file.py exec', false, 'I', '2022-06-20 14:59:38.95128', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4819, 942, 'python file.py', true, 'I', '2022-06-20 14:59:38.95128', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4822, 944, 'var a: int = 1', false, 'I', '2022-06-20 15:07:52.032042', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4823, 944, 'Integer a = 1;', false, 'I', '2022-06-20 15:07:52.032042', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4824, 944, 'a = 1;', false, 'I', '2022-06-20 15:07:52.032042', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4825, 944, 'a = 1', true, 'I', '2022-06-20 15:07:52.032042', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4826, 945, 'dict_object.add(key=''Example'')', false, 'I', '2022-06-20 15:08:17.241578', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4827, 945, 'dict_object.append({''key'': ''Example''})', false, 'I', '2022-06-20 15:08:17.241578', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4828, 945, 'dict_object[''key''] = ''Example''', true, 'I', '2022-06-20 15:08:17.241578', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4829, 945, 'dict_object.key = ''Example'';', false, 'I', '2022-06-20 15:08:17.241578', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4830, 946, 'list_object.delete(index)', false, 'I', '2022-06-20 15:08:23.351577', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4831, 946, 'list_object.remove(index)', true, 'I', '2022-06-20 15:08:23.351577', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4832, 946, 'delete list_object[index]', false, 'I', '2022-06-20 15:08:23.351577', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4833, 946, 'list_object[index] = None', false, 'I', '2022-06-20 15:08:23.351577', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4834, 947, 'list(filter(None, list_object))', true, 'I', '2022-06-20 15:09:12.291351', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4835, 947, 'for element in a:
if not element:
delete element', false, 'I', '2022-06-20 15:09:12.291351', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4836, 947, 'list_object.remove(None)', false, 'I', '2022-06-20 15:09:12.291351', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4837, 947, 'list_object = [element for element in list_object if not element]', false, 'I', '2022-06-20 15:09:12.291351', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4838, 948, 'True', false, 'I', '2022-06-20 15:09:20.580686', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4839, 948, 'False', true, 'I', '2022-06-20 15:09:20.580686', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4840, 948, '[False, True, False]', false, 'I', '2022-06-20 15:09:20.580686', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4841, 949, 'Переменная, созданная в цикле, недоступна вне цикла', false, 'I', '2022-06-20 15:09:24.632197', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4842, 949, 'Переменная, созданная в цикле, доступна только внутри цикла', false, 'I', '2022-06-20 15:09:24.632197', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4843, 949, 'Переменная, созданная в цикле, становится такой же глобальной, как и остальные переменные', false, 'I', '2022-06-20 15:09:24.632197', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4844, 949, 'Переменная, созданная в цикле, становится доступна для использования после цикла', true, 'I', '2022-06-20 15:09:24.632197', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4845, 950, 'Глобальная и локальная переменная создаются один раз.', false, 'I', '2022-06-20 15:09:31.057072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4846, 950, 'Глобальная переменная неизменяема.', false, 'I', '2022-06-20 15:09:31.057072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4847, 950, 'Локальную переменную нельзя сделать глобальной.', false, 'I', '2022-06-20 15:09:31.057072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4848, 950, 'Глобальная переменная изменяемая.', true, 'I', '2022-06-20 15:09:31.057072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4849, 951, 'Свод правил ООП для разработки', false, 'I', '2022-06-20 15:09:35.530625', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4850, 951, 'Свод паттерном проектирования', false, 'I', '2022-06-20 15:09:35.530625', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4964, 979, '3', true, 'I', '2022-06-20 15:11:45.890419', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4852, 951, 'Рекомендации по оптимизации кода', false, 'I', '2022-06-20 15:09:35.530625', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4853, 952, 'Для исправления ошибок в коде', false, 'I', '2022-06-20 15:09:39.440399', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4854, 952, 'Для оптимизации в коде', false, 'I', '2022-06-20 15:09:39.440399', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4855, 952, 'Для создания ошибок в коде', false, 'I', '2022-06-20 15:09:39.440399', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4856, 952, 'Для обработки ошибок в коде', true, 'I', '2022-06-20 15:09:39.440399', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4857, 953, 'append(), extend(), pop()', true, 'I', '2022-06-20 15:09:43.223656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4858, 953, 'insert(), add(), delete()', false, 'I', '2022-06-20 15:09:43.223656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4859, 953, 'update(), clean(). pop()', false, 'I', '2022-06-20 15:09:43.223656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4860, 953, 'error(), __str__(), __del__()', false, 'I', '2022-06-20 15:09:43.223656', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4861, 954, '0 // 1', false, 'I', '2022-06-20 15:09:47.870418', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4862, 954, 'True // 1', false, 'I', '2022-06-20 15:09:47.870418', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4863, 954, 'False // 1', false, 'I', '2022-06-20 15:09:47.870418', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4864, 954, '1 // False', true, 'I', '2022-06-20 15:09:47.870418', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4865, 955, 'Для создания глобального класса', false, 'I', '2022-06-20 15:09:52.803308', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4866, 955, 'Для создания абстрактного класса', true, 'I', '2022-06-20 15:09:52.803308', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4867, 955, 'Для создания любого класса в Python (базовый класс)', false, 'I', '2022-06-20 15:09:52.803308', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4868, 955, 'Для создания Singleton-классов', false, 'I', '2022-06-20 15:09:52.803308', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4869, 956, 'Список (list)', false, 'I', '2022-06-20 15:09:56.56058', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4870, 956, 'Множество (set)', false, 'I', '2022-06-20 15:09:56.56058', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4871, 956, 'Кортеж (tuple)', true, 'I', '2022-06-20 15:09:56.56058', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4872, 956, 'Словарь (dict)', false, 'I', '2022-06-20 15:09:56.56058', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4873, 957, 'Чтобы пропустить выполнение всего цикла', false, 'I', '2022-06-20 15:10:01.806105', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4874, 957, 'Чтобы вернуть управление циклом и код ниже не выполнился в текущей итерации', true, 'I', '2022-06-20 15:10:01.806105', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4875, 957, 'Чтобы остановить выполнение цикла и вызвать Exception', false, 'I', '2022-06-20 15:10:01.806105', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4876, 957, 'Чтобы забрать управление циклом и код ниже обязательно выполнился в текущей итерации', false, 'I', '2022-06-20 15:10:01.806105', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4877, 958, 'Оператор-заглушка', true, 'I', '2022-06-20 15:10:07.739575', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4878, 958, 'Синоним оператора "continue" (пропустить)', false, 'I', '2022-06-20 15:10:07.739575', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4879, 958, 'Данная оператор не используется в новых версиях Python', false, 'I', '2022-06-20 15:10:07.739575', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4880, 959, '{''key'': ''value''} | {''key2'': ''value2''}', false, 'I', '2022-06-20 15:10:12.211372', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4881, 959, '[1, 2] + [3, 4]', false, 'I', '2022-06-20 15:10:12.211372', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4882, 959, '[1, 2] - [3, 4]', true, 'I', '2022-06-20 15:10:12.211372', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4883, 959, '[1, 2].extend([3, 4])', false, 'I', '2022-06-20 15:10:12.211372', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4884, 960, 'Чтобы экономить время разработки', false, 'I', '2022-06-20 15:10:16.802238', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4885, 960, 'Чтобы экономить ресурсы системы', false, 'I', '2022-06-20 15:10:16.802238', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4886, 960, 'Чтобы оптимизировать скорость выполнения python-кода', false, 'I', '2022-06-20 15:10:16.802238', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4887, 960, 'Чтобы кешировать исполняемый код и удалять его, если тот не используется', false, 'I', '2022-06-20 15:10:16.802238', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4888, 960, 'Чтобы удалять неиспользуемые объекты в памяти', true, 'I', '2022-06-20 15:10:16.802238', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4889, 961, 'Набор сетевых библиотек для парсинга', false, 'I', '2022-06-20 15:10:21.291447', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4890, 961, 'Набор библиотек для создания мультипоточной обработки данных', false, 'I', '2022-06-20 15:10:21.291447', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4891, 961, 'Конструктор сайтов на Python', false, 'I', '2022-06-20 15:10:21.291447', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4892, 961, 'Набор готовых модулей/функций для ускорения создания веб-сайта', true, 'I', '2022-06-20 15:10:21.291447', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4893, 962, 'Компилятор программ на Python', false, 'I', '2022-06-20 15:10:25.086987', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4894, 962, 'Шаблонизатор', true, 'I', '2022-06-20 15:10:25.086987', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4895, 962, 'Модуль для организации чат сервер/клиент', false, 'I', '2022-06-20 15:10:25.086987', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4896, 962, 'Инструмент отладки кода', false, 'I', '2022-06-20 15:10:25.086987', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4897, 963, 'pip setup flask', false, 'I', '2022-06-20 15:10:29.140181', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4898, 963, 'pip i flask', false, 'I', '2022-06-20 15:10:29.140181', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4899, 963, 'pip freeze flask', false, 'I', '2022-06-20 15:10:29.140181', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4900, 963, 'pip install flask', true, 'I', '2022-06-20 15:10:29.140181', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4901, 964, 'form = request.form', true, 'I', '2022-06-20 15:10:33.110589', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4902, 964, 'form = response.form()', false, 'I', '2022-06-20 15:10:33.110589', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4903, 964, 'form = getattr(request, ''post_body'')', false, 'I', '2022-06-20 15:10:33.110589', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4904, 964, 'form = response.args', false, 'I', '2022-06-20 15:10:33.110589', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4905, 965, 'return redirect("https://www.test.com", code=302)', true, 'I', '2022-06-20 15:10:37.309946', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4965, 979, '4', false, 'I', '2022-06-20 15:11:45.890419', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4906, 965, 'return abort("https://www.test.com", code=302)', false, 'I', '2022-06-20 15:10:37.309946', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4907, 965, 'return flask.jsonify(status_code=400, redirect=True)', false, 'I', '2022-06-20 15:10:37.309946', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4908, 965, 'return request.redirect("https://www.test.com", code=302)', false, 'I', '2022-06-20 15:10:37.309946', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4909, 966, 'Модуль для описания и валидации ответов (response)', false, 'I', '2022-06-20 15:10:41.520568', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4910, 966, 'Модульные приложения внутри глобального приложения во Flask''e', true, 'I', '2022-06-20 15:10:41.520568', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4911, 966, 'Валидатор форм (замена WTForms)', false, 'I', '2022-06-20 15:10:41.520568', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4912, 966, 'HTML-шаблонизатор', false, 'I', '2022-06-20 15:10:41.520568', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4913, 967, 'response.setHeader({''Some-Header'': ''Example''})', false, 'I', '2022-06-20 15:10:45.950782', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4914, 967, 'response.headers.add[''Some-Header''] = ''Example''', false, 'I', '2022-06-20 15:10:45.950782', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4915, 967, 'return Response({''headers'': {''Some-Header'': ''Example''}})', false, 'I', '2022-06-20 15:10:45.950782', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4916, 967, 'response.headers[''Some-Header''] = ''Example''', true, 'I', '2022-06-20 15:10:45.950782', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4917, 968, 'Django ORM', false, 'I', '2022-06-20 15:10:50.750207', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4918, 968, 'GORM', false, 'I', '2022-06-20 15:10:50.750207', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4919, 968, 'SQLALchemy', true, 'I', '2022-06-20 15:10:50.750207', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4920, 968, 'ODB', false, 'I', '2022-06-20 15:10:50.750207', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4921, 969, 'session.query(User).get(1)', true, 'I', '2022-06-20 15:10:55.229383', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4922, 969, 'session.get(User).id(1)', false, 'I', '2022-06-20 15:10:55.229383', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4923, 969, 'session.query(1).get(User)', false, 'I', '2022-06-20 15:10:55.229383', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4924, 969, 'session.select(User).where.id(1)', false, 'I', '2022-06-20 15:10:55.229383', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4925, 970, 'Для открытия и работы с файлами необходимо устанавливать отдельный модуль', false, 'I', '2022-06-20 15:10:59.749001', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4926, 970, 'Для открытия файлов существует встроенный метод openfile()', false, 'I', '2022-06-20 15:10:59.749001', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4927, 970, 'Для открытия есть встроенный метод open()', true, 'I', '2022-06-20 15:10:59.749001', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4928, 970, 'Для открытия и закрытия файлов используется модуль os', false, 'I', '2022-06-20 15:10:59.749001', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4929, 971, 'Реализовать авторизацию через LoginManager (Flask-Login) и использовать current_user', true, 'I', '2022-06-20 15:11:03.57051', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4930, 971, 'Использовать встроенную функцию current_user', false, 'I', '2022-06-20 15:11:03.57051', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4931, 971, 'Использовать модуль для создания форм WTForms', false, 'I', '2022-06-20 15:11:03.57051', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4932, 971, 'Импортировать объект User''a из Werkzeug', false, 'I', '2022-06-20 15:11:03.57051', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4933, 972, 'Для создания сессии с базой данных', false, 'I', '2022-06-20 15:11:07.520364', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4934, 972, 'Для создания сессии между серверами', false, 'I', '2022-06-20 15:11:07.520364', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4935, 972, 'Для создания и хранения данных в сессии клиента', true, 'I', '2022-06-20 15:11:07.520364', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4936, 972, 'Для создания сессии на время соединения с сервером', false, 'I', '2022-06-20 15:11:07.520364', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4937, 973, '“”, ‘’, [], {}, None, 0, 0.0, False', true, 'I', '2022-06-20 15:11:11.60947', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4938, 973, '“1”, ‘1’, [1], {“a”: 1}, 1, 1.0, True', false, 'I', '2022-06-20 15:11:11.60947', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4939, 973, 'True, None', false, 'I', '2022-06-20 15:11:11.60947', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4940, 973, 'ни один из вышеперечисленных', false, 'I', '2022-06-20 15:11:11.60947', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4941, 974, 'ячейку памяти в которой хранится переменная', true, 'I', '2022-06-20 15:11:15.857515', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4942, 974, '1', false, 'I', '2022-06-20 15:11:15.857515', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4943, 974, 'hash от 1', false, 'I', '2022-06-20 15:11:15.857515', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4944, 975, '[1, 2]  + [2,3]', false, 'I', '2022-06-20 15:11:21.067355', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4945, 975, '{1, 2} + {2, 3}', true, 'I', '2022-06-20 15:11:21.067355', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4946, 975, '(1) + (2)', false, 'I', '2022-06-20 15:11:21.067355', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4947, 975, '(1, 2) + (2, 3)', false, 'I', '2022-06-20 15:11:21.067355', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4948, 976, 'setdefault(), popitem(), pop(), fromkeys()', true, 'I', '2022-06-20 15:11:34.088976', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4949, 976, 'update(), remove(), values(), copy()', false, 'I', '2022-06-20 15:11:34.088976', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4950, 976, 'clear(), get(), push(), index()', false, 'I', '2022-06-20 15:11:34.088976', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4951, 976, 'get(), set(), keys(), items()', false, 'I', '2022-06-20 15:11:34.088976', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4952, 977, 'set', true, 'I', '2022-06-20 15:11:37.929736', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4953, 977, 'array', false, 'I', '2022-06-20 15:11:37.929736', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4954, 977, 'list', true, 'I', '2022-06-20 15:11:37.929736', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4955, 977, 'bytes', true, 'I', '2022-06-20 15:11:37.929736', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4956, 977, 'map', false, 'I', '2022-06-20 15:11:37.929736', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4957, 977, 'frozenset', true, 'I', '2022-06-20 15:11:37.929736', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4958, 978, '`<class ''float''>`', true, 'I', '2022-06-20 15:11:42.09931', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4959, 978, '`<class ''int''>`', false, 'I', '2022-06-20 15:11:42.09931', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4960, 978, '`<class ''double''>`', false, 'I', '2022-06-20 15:11:42.09931', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4961, 978, '`<class ''number''>`', false, 'I', '2022-06-20 15:11:42.09931', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4962, 979, '1', false, 'I', '2022-06-20 15:11:45.890419', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4963, 979, '2', false, 'I', '2022-06-20 15:11:45.890419', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4969, 980, 'Syntax Error', false, 'I', '2022-06-20 15:11:50.200457', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4970, 981, '2.0', true, 'I', '2022-06-20 15:11:54.388996', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4971, 981, '2.25', false, 'I', '2022-06-20 15:11:54.388996', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4972, 981, '9.0', false, 'I', '2022-06-20 15:11:54.388996', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4973, 981, '20.25', false, 'I', '2022-06-20 15:11:54.388996', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4974, 981, '21', false, 'I', '2022-06-20 15:11:54.388996', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4975, 982, 'Syntax Error', false, 'I', '2022-06-20 15:11:58.079816', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4976, 982, '4', false, 'I', '2022-06-20 15:11:58.079816', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4977, 982, '5', false, 'I', '2022-06-20 15:11:58.079816', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4978, 982, '6', true, 'I', '2022-06-20 15:11:58.079816', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4979, 982, '7', false, 'I', '2022-06-20 15:11:58.079816', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4980, 983, 'Определяет список и инициализирует его.', false, 'I', '2022-06-20 15:12:02.499791', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4981, 983, 'Определяет функцию, которая ничего не делает.', true, 'I', '2022-06-20 15:12:02.499791', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4982, 983, 'Определяет функцию, которая передает параметры.', false, 'I', '2022-06-20 15:12:02.499791', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4983, 983, 'Определяет пустой класс.', false, 'I', '2022-06-20 15:12:02.499791', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4984, 984, 'user', false, 'I', '2022-06-20 15:12:06.458977', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4985, 984, 'bill', false, 'I', '2022-06-20 15:12:06.458977', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4986, 984, 'password', false, 'I', '2022-06-20 15:12:06.458977', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4987, 984, 'hillary', false, 'I', '2022-06-20 15:12:06.458977', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4988, 984, 'TypeError', true, 'I', '2022-06-20 15:12:06.458977', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4989, 985, '7', false, 'I', '2022-06-20 15:12:10.441374', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4990, 985, '12', false, 'I', '2022-06-20 15:12:10.441374', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4991, 985, '24', true, 'I', '2022-06-20 15:12:10.441374', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4992, 985, '36', false, 'I', '2022-06-20 15:12:10.441374', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4993, 985, '48', false, 'I', '2022-06-20 15:12:10.441374', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4994, 986, 'Использовать метод cin()', false, 'I', '2022-06-20 15:12:16.658747', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4995, 986, 'Использовать метод input()', true, 'I', '2022-06-20 15:12:16.658747', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4996, 986, 'Использовать метод readLine()', false, 'I', '2022-06-20 15:12:16.658747', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4997, 986, 'Использовать метод get()', false, 'I', '2022-06-20 15:12:16.658747', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4998, 986, 'Использовать метод read()', false, 'I', '2022-06-20 15:12:16.658747', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (4999, 987, 'Time', false, 'I', '2022-06-20 15:12:26.319281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5000, 987, 'time', true, 'I', '2022-06-20 15:12:26.319281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5001, 987, 'localtime', false, 'I', '2022-06-20 15:12:26.319281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5002, 987, 'clock', false, 'I', '2022-06-20 15:12:26.319281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5003, 988, '$num = 2', false, 'I', '2022-06-20 15:12:32.248946', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5004, 988, 'num = float(2)', true, 'I', '2022-06-20 15:12:32.248946', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5005, 988, 'Нет подходящего варианта', false, 'I', '2022-06-20 15:12:32.248946', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5006, 988, 'var num = 2', false, 'I', '2022-06-20 15:12:32.248946', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5007, 988, 'int num = 2', false, 'I', '2022-06-20 15:12:32.248946', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5008, 989, 'log', false, 'I', '2022-06-20 15:12:36.882615', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5009, 989, 'write', false, 'I', '2022-06-20 15:12:36.882615', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5011, 989, 'print', true, 'I', '2022-06-20 15:12:36.882615', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5012, 990, 'Hi, ', false, 'I', '2022-06-20 15:12:42.019133', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5013, 990, 'Hi, name', false, 'I', '2022-06-20 15:12:42.019133', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5014, 990, 'Hi, John', true, 'I', '2022-06-20 15:12:42.019133', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5015, 990, 'Ошибка', false, 'I', '2022-06-20 15:12:42.019133', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5016, 991, '1, 3', true, 'I', '2022-06-20 15:12:46.486605', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5017, 991, 'Ошибку, так как i не присвоена', false, 'I', '2022-06-20 15:12:46.486605', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5018, 991, '1, 3, 5', false, 'I', '2022-06-20 15:12:46.486605', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5019, 991, 'Ошибку из-за неверного вывода', false, 'I', '2022-06-20 15:12:46.486605', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5020, 991, '0, 2, 4', false, 'I', '2022-06-20 15:12:46.486605', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5021, 992, 'Не более 23', false, 'I', '2022-06-20 15:12:50.828986', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5022, 992, 'Не более 3', false, 'I', '2022-06-20 15:12:50.828986', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5023, 992, 'Не более 5', false, 'I', '2022-06-20 15:12:50.828986', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5024, 992, 'Неограниченное количество', true, 'I', '2022-06-20 15:12:50.828986', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5025, 992, 'Не более 10', false, 'I', '2022-06-20 15:12:50.828986', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5026, 993, 'Ошибку в коде', false, 'I', '2022-06-20 15:19:16.548486', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5027, 993, 'Готово', false, 'I', '2022-06-20 15:19:16.548486', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5028, 993, 'Найдено и Готово', false, 'I', '2022-06-20 15:19:16.548486', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5029, 993, 'Найдено', true, 'I', '2022-06-20 15:19:16.548486', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5030, 994, 'Оба сообщения попадут и в Consumer1  и в Consumer2', true, 'I', '2022-06-23 20:21:06.891927', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5031, 994, 'Первое сообщение попадет в Consumer1, второе в Consumer2', false, 'I', '2022-06-23 20:21:06.891927', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5032, 994, 'Оба сообщения попадут в Consumer1', false, 'I', '2022-06-23 20:21:06.891927', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5033, 994, 'Оба сообщения попадут в Consumer2', false, 'I', '2022-06-23 20:21:06.891927', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5034, 994, 'Сообщения не попадут ни в один консьюмер.', false, 'I', '2022-06-23 20:21:06.891927', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5035, 994, 'Ничего из перечисленного', false, 'I', '2022-06-23 20:21:06.891927', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5104, 1006, 'Любое', false, 'I', '2022-06-23 22:32:15.260623', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5042, 995, 'Оба сообщения попадут и в Consumer1  и в Consumer2', false, 'I', '2022-06-23 20:30:55.498882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5043, 995, 'Первое сообщение попадет в Consumer1, второе в Consumer2', false, 'I', '2022-06-23 20:30:55.498882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5044, 995, 'Оба сообщения попадут в Consumer1', false, 'I', '2022-06-23 20:30:55.498882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5045, 995, 'Оба сообщения попадут в Consumer2', false, 'I', '2022-06-23 20:30:55.498882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5046, 995, 'Сообщения не попадут ни в один консьюмер', false, 'I', '2022-06-23 20:30:55.498882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5047, 995, 'Неизвестно', true, 'I', '2022-06-23 20:30:55.498882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5048, 996, 'Оба сообщения попадут и в Consumer1  и в Consumer2', false, 'I', '2022-06-23 20:31:22.10879', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5049, 996, 'Первое сообщение попадет в Consumer1, второе в Consumer2', true, 'I', '2022-06-23 20:31:22.10879', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5050, 996, 'Оба сообщения попадут в Consumer1', false, 'I', '2022-06-23 20:31:22.10879', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5051, 996, 'Оба сообщения попадут в Consumer2', false, 'I', '2022-06-23 20:31:22.10879', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5052, 996, 'Сообщения не попадут ни в один консьюмер', false, 'I', '2022-06-23 20:31:22.10879', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5053, 996, 'Ничего из перечисленного', false, 'I', '2022-06-23 20:31:22.10879', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5054, 997, 'Сообщение с ключом 873 и значением payload никуда не отправится из за лишнего :0 в конце сообщения.', false, 'I', '2022-06-23 20:38:21.586772', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5055, 997, 'Сообщение с ключом payload и значением 0 отправится в случайный топик', false, 'I', '2022-06-23 20:38:21.586772', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5056, 997, 'Сообщение с ключом payload и значением 0 отправится в первый топик', false, 'I', '2022-06-23 20:38:21.586772', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5057, 997, 'Сообщение с ключом 873 и значением payload отправится в случайный топик', false, 'I', '2022-06-23 20:38:21.586772', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5058, 997, 'Сообщение с ключом 873 и значением payload отправится в первый топик', true, 'I', '2022-06-23 20:38:21.586772', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5059, 997, 'Ничего из перечисленного', false, 'I', '2022-06-23 20:38:21.586772', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5060, 998, 'Consumer', true, 'I', '2022-06-23 20:42:05.275782', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5061, 998, 'Producer', false, 'I', '2022-06-23 20:42:05.275782', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5062, 998, 'Stream', false, 'I', '2022-06-23 20:42:05.275782', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5063, 998, 'Partition', false, 'I', '2022-06-23 20:42:05.275782', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5064, 998, 'Leader', false, 'I', '2022-06-23 20:42:05.275782', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5065, 998, 'Ничего из перечисленного', false, 'I', '2022-06-23 20:42:05.275782', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5066, 999, 'Consumer', false, 'I', '2022-06-23 20:43:14.296832', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5067, 999, 'Producer', true, 'I', '2022-06-23 20:43:14.296832', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5068, 999, 'Partition', false, 'I', '2022-06-23 20:43:14.296832', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5069, 999, 'Stream', false, 'I', '2022-06-23 20:43:14.296832', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5070, 999, 'Leader', false, 'I', '2022-06-23 20:43:14.296832', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5071, 999, 'Ничего из перечисленного', false, 'I', '2022-06-23 20:43:14.296832', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5072, 1000, 'Группы', true, 'I', '2022-06-23 20:45:58.05433', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5073, 1000, 'Партиции', false, 'I', '2022-06-23 20:45:58.05433', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5074, 1000, 'Потоки', false, 'I', '2022-06-23 20:45:58.05433', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5075, 1000, 'Темы', false, 'I', '2022-06-23 20:45:58.05433', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5076, 1000, 'Ничего из перечисленного', false, 'I', '2022-06-23 20:45:58.05433', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5077, 1001, 'Объединить их в одну группу, в топике создать одну партицию', true, 'I', '2022-06-23 20:51:33.292658', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5078, 1001, 'Добавить их в разные группы, в топике создать одну партицию', false, 'I', '2022-06-23 20:51:33.292658', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5079, 1001, 'Объединить их в одну группу, в топике создать две партиции', false, 'I', '2022-06-23 20:51:33.292658', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5080, 1001, 'Добавить их в разные группы, в топике создать две партиции', true, 'I', '2022-06-23 20:51:33.292658', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5081, 1001, 'Ничего из перечисленного', false, 'I', '2022-06-23 20:51:33.292658', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5082, 1002, 'Leader', true, 'I', '2022-06-23 21:16:08.238638', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5083, 1002, 'Follower', false, 'I', '2022-06-23 21:16:08.238638', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5084, 1002, 'Producer', false, 'I', '2022-06-23 21:16:08.238638', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5085, 1002, 'Domain', false, 'I', '2022-06-23 21:16:08.238638', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5086, 1002, 'Consumer', false, 'I', '2022-06-23 21:16:08.238638', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5087, 1002, 'Ничего из перечисленного', false, 'I', '2022-06-23 21:16:08.238638', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5088, 1003, 'Читать заново все сообщения начиная с первого', false, 'I', '2022-06-23 21:30:21.733204', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5089, 1003, 'Ничего не прочитает', false, 'I', '2022-06-23 21:30:21.733204', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5090, 1003, 'Читать сообщения, согласно оффсету, начиная с 6', true, 'I', '2022-06-23 21:30:21.733204', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5091, 1003, 'Ничего из перечисленного', false, 'I', '2022-06-23 21:30:21.733204', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5092, 1004, 'Key', false, 'I', '2022-06-23 21:42:11.943747', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5093, 1004, 'Value', false, 'I', '2022-06-23 21:42:11.943747', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5094, 1004, 'Timestamp', false, 'I', '2022-06-23 21:42:11.943747', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5095, 1004, 'Headers', false, 'I', '2022-06-23 21:42:11.943747', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5096, 1004, 'Partition', true, 'I', '2022-06-23 21:42:11.943747', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5097, 1004, 'Topic', true, 'I', '2022-06-23 21:42:11.943747', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5105, 1006, 'Ничего из перечисленного', false, 'I', '2022-06-23 22:32:15.260623', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5106, 1006, 'Такое же, как количество групп консьюмеров', false, 'I', '2022-06-23 22:32:15.260623', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5107, 1006, 'Такое же, как количество брокеров', true, 'I', '2022-06-23 22:32:15.260623', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5108, 1006, 'Такое же, как количество продюсеров', false, 'I', '2022-06-23 22:32:15.260623', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5109, 1006, 'Такое же, как количество партиций', false, 'I', '2022-06-23 22:32:15.260623', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5110, 1007, 'Все остальные брокеры выдадут исключение', false, 'I', '2022-06-23 22:36:09.77929', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5111, 1007, 'Назначится новый лидер', true, 'I', '2022-06-23 22:36:09.77929', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5112, 1007, 'Ничего не изменится', false, 'I', '2022-06-23 22:36:09.77929', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5113, 1008, '10кб', false, 'I', '2022-06-23 22:38:54.413151', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5114, 1008, '100кб', false, 'I', '2022-06-23 22:38:54.413151', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5115, 1008, '1мб', true, 'I', '2022-06-23 22:38:54.413151', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5116, 1008, '100мб', false, 'I', '2022-06-23 22:38:54.413151', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5117, 1008, '1гб', false, 'I', '2022-06-23 22:38:54.413151', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5118, 1008, 'Ничего из перечисленного', false, 'I', '2022-06-23 22:38:54.413151', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5119, 1009, 'Хранение метаданных о партициях и топиках', true, 'I', '2022-06-23 23:07:09.813853', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5120, 1009, 'Хранение данных, содержащихся в топиках', false, 'I', '2022-06-23 23:07:09.813853', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5121, 1009, 'Ничего из перечисленного', false, 'I', '2022-06-23 23:07:09.813853', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5122, 1010, 'Сообщения из обоих партиций попадут и в Consumer1 и в Consumer2', false, 'I', '2022-06-23 23:10:47.891207', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5123, 1010, 'Сообщения из первой партиции попадут в Consumer1, а из второй в Consumer2', true, 'I', '2022-06-23 23:10:47.891207', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5124, 1010, 'Сообщения из обоих партиций попадут только в Consumer1', false, 'I', '2022-06-23 23:10:47.891207', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5125, 1010, 'Ничего из перечисленного', false, 'I', '2022-06-23 23:10:47.891207', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5126, 1011, 'Исключение в продюсере', false, 'I', '2022-06-23 23:15:47.321712', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5127, 1011, 'Раздел будет назначен согласно хэшу сообщения, т.к. ключ отсутствует', false, 'I', '2022-06-23 23:15:47.321712', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5128, 1011, 'Раздел будет назначен циклически', true, 'I', '2022-06-23 23:15:47.321712', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5197, 1020, 'kafka-get.sh', false, 'I', '2022-07-01 16:40:34.225728', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5198, 1020, 'kafka-read.sh', false, 'I', '2022-07-01 16:40:34.225728', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5199, 1020, 'kafka-consumer.sh', false, 'I', '2022-07-01 16:40:34.225728', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5200, 1020, 'kafka-console-consumer.sh', true, 'I', '2022-07-01 16:40:34.225728', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5201, 1020, 'kafka-consume.sh', false, 'I', '2022-07-01 16:40:34.225728', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5202, 1020, 'Ничего из перечисленного', false, 'I', '2022-07-01 16:40:34.225728', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5555, 1086, 'small.js', false, 'I', '2023-04-19 14:38:23.068916', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5570, 1090, 'green', true, 'I', '2023-04-19 14:43:07.147638', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5129, 1011, 'Невозможно отправить сообщение без ключа', false, 'I', '2022-06-23 23:15:47.321712', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5130, 1011, 'Ничего из перечисленного', false, 'I', '2022-06-23 23:15:47.321712', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5131, 1005, 'Добавить лидеров партиций', false, 'I', '2022-06-23 23:20:21.313281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5132, 1005, 'Просто создать новых брокеров', false, 'I', '2022-06-23 23:20:21.313281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5133, 1005, 'Изменить фактор репликации', true, 'I', '2022-06-23 23:20:21.313281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5134, 1005, 'Добавить продюсеров', false, 'I', '2022-06-23 23:20:21.313281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5135, 1005, 'Добавить партиций', false, 'I', '2022-06-23 23:20:21.313281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5136, 1005, 'Ничего из перечисленного', false, 'I', '2022-06-23 23:20:21.313281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5137, 1012, 'Первый консьюмер читает сообщения только из первой партиции, второй консьюмер - только из второй партиции. Третий консьюмер висит без дела.', true, 'I', '2022-06-23 23:25:18.720212', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5138, 1012, 'Каждый из трех консьюмеров читает сообщения каждой из партиций', false, 'I', '2022-06-23 23:25:18.720212', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5139, 1012, 'Первый консьюмер читает сообщения только из первой партиции, второй и третий консьюмеры по очереди читают вторую партицию', false, 'I', '2022-06-23 23:25:18.720212', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5140, 1012, 'Все три консьюмера читают только первую партицию', false, 'I', '2022-06-23 23:25:18.720212', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5141, 1012, 'Ничего из перечисленного', false, 'I', '2022-06-23 23:25:18.720212', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5142, 1013, 'Уникально. Одну партицию читает только один консьюмер.', true, 'I', '2022-06-23 23:32:07.408728', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5143, 1013, 'Случайно. Одну партицию читает любое количество консьюмеров.', false, 'I', '2022-06-23 23:32:07.408728', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5144, 1013, 'Для всех. Каждый существующий консьюмер в группе читает каждую существующую партицию в топике.', false, 'I', '2022-06-23 23:32:07.408728', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5145, 1013, 'Никак. Одна группа консьюмеров может читать только одну партицию.', false, 'I', '2022-06-23 23:32:07.408728', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5146, 1013, 'Ничего из перечисленного.', false, 'I', '2022-06-23 23:32:07.408728', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5147, 1014, 'zookeeper.sh', false, 'I', '2022-07-01 13:41:26.343512', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5148, 1014, 'zookeeper.xml', false, 'I', '2022-07-01 13:41:26.343512', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5149, 1014, 'zookeeper.config', false, 'I', '2022-07-01 13:41:26.343512', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5150, 1014, 'zookeeper.properties', true, 'I', '2022-07-01 13:41:26.343512', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5151, 1014, 'kafka.properties', false, 'I', '2022-07-01 13:41:26.343512', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5152, 1014, 'kafka.xml', false, 'I', '2022-07-01 13:41:26.343512', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5159, 1016, 'ZooKeepeer', true, 'I', '2022-07-01 13:48:16.433356', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5160, 1016, 'Consumer', false, 'I', '2022-07-01 13:48:16.433356', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5161, 1016, 'Producer', false, 'I', '2022-07-01 13:48:16.433356', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5162, 1016, 'Broker', false, 'I', '2022-07-01 13:48:16.433356', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5163, 1016, 'Topic', false, 'I', '2022-07-01 13:48:16.433356', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5164, 1016, 'Ничего из перечисленного', false, 'I', '2022-07-01 13:48:16.433356', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5171, 1017, 'kafka-create-topic.sh', false, 'I', '2022-07-01 13:51:48.980682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5172, 1017, 'kafka-create-topic.bat', false, 'I', '2022-07-01 13:51:48.980682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5173, 1017, 'kafka-start-topic.sh', false, 'I', '2022-07-01 13:51:48.980682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5174, 1017, 'kafka-start-topic.bat', false, 'I', '2022-07-01 13:51:48.980682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5175, 1017, 'kafka-topics.sh', true, 'I', '2022-07-01 13:51:48.980682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5176, 1017, 'kafka-topics.bat', true, 'I', '2022-07-01 13:51:48.980682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5183, 1015, 'kafka-broker-start.sh', false, 'I', '2022-07-01 13:53:26.266936', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5184, 1015, 'kafka-server-start.sh', true, 'I', '2022-07-01 13:53:26.266936', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5185, 1015, 'kafka-producer-start.sh', false, 'I', '2022-07-01 13:53:26.266936', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5186, 1015, 'kafka-consumer-start.sh', false, 'I', '2022-07-01 13:53:26.266936', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5187, 1015, 'kafka-start.sh', false, 'I', '2022-07-01 13:53:26.266936', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5188, 1015, 'Ничего из перечисленного', false, 'I', '2022-07-01 13:53:26.266936', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5189, 1018, 'kafka-create-message.sh', false, 'I', '2022-07-01 16:35:36.086182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5190, 1018, 'kafka-add-message.sh', false, 'I', '2022-07-01 16:35:36.086182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5191, 1018, 'kafka-producer.sh', false, 'I', '2022-07-01 16:35:36.086182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5192, 1018, 'kafka-console-producer.sh', true, 'I', '2022-07-01 16:35:36.086182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5193, 1018, 'kafka-produce.sh', false, 'I', '2022-07-01 16:35:36.086182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5194, 1018, 'Ничего из перечисленного', false, 'I', '2022-07-01 16:35:36.086182', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5195, 1019, 'Да', false, 'I', '2022-07-01 16:38:27.933613', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5196, 1019, 'Нет', true, 'I', '2022-07-01 16:38:27.933613', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5203, 1021, 'Консьюмер получит все сообщения в порядке, в котором они были отправлены', true, 'I', '2022-07-03 12:20:17.185888', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5204, 1021, 'Консьюмер получит все сообщения, загруженные в топик', false, 'I', '2022-07-03 12:20:17.185888', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5205, 1021, 'Два консьюмера не могут получить одно и тоже сообщение', false, 'I', '2022-07-03 12:20:17.185888', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5206, 1021, 'Все консьюмеры получат все сообщения, загруженные в топик', false, 'I', '2022-07-03 12:20:17.185888', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5207, 1021, 'Получаемые сообщения уникальны в пределах одной группы консьюмеров', true, 'I', '2022-07-03 12:20:17.185888', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5208, 1022, 'Может, если изменить значение оффсета для консьюмера', true, 'I', '2022-07-03 12:30:50.338112', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5209, 1022, 'Может, если изменить значение оффсета для топика', false, 'I', '2022-07-03 12:30:50.338112', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5210, 1022, 'Не может - значение оффсета зафиксировано и не может быть изменено', false, 'I', '2022-07-03 12:30:50.338112', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5211, 1022, 'Не может по каким-либо другим причинам', false, 'I', '2022-07-03 12:30:50.338112', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5212, 1023, 'В атомарности передачи данных', true, 'I', '2022-07-03 12:56:48.742802', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5213, 1023, 'В возможности распределения узлов по разным серверам', false, 'I', '2022-07-03 12:56:48.742802', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5214, 1023, 'В управлении очередями', false, 'I', '2022-07-03 12:56:48.742802', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5215, 1023, 'Ничего из перечисленного', false, 'I', '2022-07-03 12:56:48.742802', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5220, 1024, 'Кафка сначала принимает сообщение и обрабатывает его, а после отсылает сообщение с оффсетом на сервер', false, 'I', '2022-07-03 13:26:39.874347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5221, 1024, 'Кафка отправляет сообщение с оффсетом на сервер раз в определенное время, вне зависимости от полученных сообщений', false, 'I', '2022-07-03 13:26:39.874347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5222, 1024, 'Кафка при получении сообщения проверяет истек ли таймер для автокоммита. Если истек - отправляет оффсет на сервер, после чего читает сообщение', true, 'I', '2022-07-03 13:26:39.874347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5223, 1024, 'Кафка при получении сообщения проверяет истек ли таймер для автокоммита. Если истек - читает сообщение, после чего отправляет оффсет на сервер', false, 'I', '2022-07-03 13:26:39.874347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5224, 1024, 'Ничего из перечисленного', false, 'I', '2022-07-03 13:26:39.874347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5225, 1025, 'Да', false, 'I', '2022-07-03 13:30:29.747051', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5226, 1025, 'Нет', true, 'I', '2022-07-03 13:30:29.747051', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5227, 1026, 'Pull', true, 'I', '2022-07-03 13:51:48.94882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5228, 1026, 'Push', true, 'I', '2022-07-03 13:51:48.94882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5231, 1026, 'Offer', false, 'I', '2022-07-03 13:51:48.94882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5232, 1026, 'Poll', false, 'I', '2022-07-03 13:51:48.94882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5233, 1027, 'Pull', true, 'I', '2022-07-03 13:53:35.8119', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5234, 1027, 'Push', false, 'I', '2022-07-03 13:53:35.8119', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5235, 1027, 'Queue', false, 'I', '2022-07-03 13:53:35.8119', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5236, 1027, 'Pop', false, 'I', '2022-07-03 13:53:35.8119', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5237, 1027, 'Poll', false, 'I', '2022-07-03 13:53:35.8119', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5238, 1027, 'Ничего из перечисленного', false, 'I', '2022-07-03 13:53:35.8119', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5239, 1028, 'Pull', false, 'I', '2022-07-03 13:55:34.738377', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5240, 1028, 'Push', true, 'I', '2022-07-03 13:55:34.738377', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5241, 1028, 'Poll', false, 'I', '2022-07-03 13:55:34.738377', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5242, 1028, 'Offer', false, 'I', '2022-07-03 13:55:34.738377', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5243, 1028, 'Send', false, 'I', '2022-07-03 13:55:34.738377', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5244, 1028, 'Ничего из перечисленного', false, 'I', '2022-07-03 13:55:34.738377', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5245, 1029, '--describe TestLab', false, 'I', '2022-07-05 15:55:47.841448', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5246, 1029, '--describe', true, 'I', '2022-07-05 15:55:47.841448', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5247, 1029, '--bootstrap localhost:9092', false, 'I', '2022-07-05 15:55:47.841448', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5248, 1029, '--bootstrap-server localhost:9092', true, 'I', '2022-07-05 15:55:47.841448', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5249, 1029, '--topic TestLab', true, 'I', '2022-07-05 15:55:47.841448', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5250, 1029, '--topic-describe TestLab', false, 'I', '2022-07-05 15:55:47.841448', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5251, 1030, '--disable-rack-aware', false, 'I', '2022-07-05 15:59:20.596971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5252, 1030, '--bootstrap', true, 'I', '2022-07-05 15:59:20.596971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5253, 1030, '--partitions', false, 'I', '2022-07-05 15:59:20.596971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5254, 1030, '--at-min-isr-partitions', false, 'I', '2022-07-05 15:59:20.596971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5255, 1030, '--force', false, 'I', '2022-07-05 15:59:20.596971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5563, 1088, '1
2
3
4
5', false, 'I', '2023-04-19 14:41:58.157037', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5564, 1088, '0
1
3
4', true, 'I', '2023-04-19 14:41:58.157037', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5565, 1088, '1
3
4', false, 'I', '2023-04-19 14:41:58.157037', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5571, 1090, 'blue', false, 'I', '2023-04-19 14:43:07.147638', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5572, 1090, 'red', false, 'I', '2023-04-19 14:43:07.147638', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5256, 1030, 'Все перечисленные команды относятся к kafka-topics.sh', false, 'I', '2022-07-05 15:59:20.596971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5257, 1031, 'Да, данные могут быть обработаны повторно', false, 'I', '2022-07-05 16:22:15.712649', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5258, 1031, 'Да, данные могут быть обработаны повторно, если сдвинуть оффсет', false, 'I', '2022-07-05 16:22:15.712649', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5259, 1031, 'Да, если при обработке произошла ошибка', false, 'I', '2022-07-05 16:22:15.712649', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5260, 1031, 'Нет, данные должны быть обработаны только один раз', true, 'I', '2022-07-05 16:22:15.712649', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5261, 1032, 'Да', true, 'I', '2022-07-05 16:23:09.132027', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5262, 1032, 'Нет', false, 'I', '2022-07-05 16:23:09.132027', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5263, 1033, 'Начальный процессор, у которого нет вышестоящих процессоров', false, 'I', '2022-07-05 17:59:13.742104', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5264, 1033, 'Серединный процессор, у которого есть и вышестоящие и нижестоящие процессоры', false, 'I', '2022-07-05 17:59:13.742104', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5265, 1033, 'Конечный процессор, у которого нет нижестоящих процессоров', true, 'I', '2022-07-05 17:59:13.742104', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5266, 1033, 'Ничего из перечисленного', false, 'I', '2022-07-05 17:59:13.742104', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5267, 1034, 'Начальный процессор, у которого нет вышестоящих процессоров', true, 'I', '2022-07-05 18:07:35.32091', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5268, 1034, 'Серединный процессор, у которого есть и вышестоящие и нижестоящие процессоры', false, 'I', '2022-07-05 18:07:35.32091', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5269, 1034, 'Конечный процессор, у которого нет нижестоящих процессоров', false, 'I', '2022-07-05 18:07:35.32091', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5270, 1034, 'Ничего из перечисленного', false, 'I', '2022-07-05 18:07:35.32091', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5283, 1035, 'Любая программа, использующая библиотеку kafka streams', false, 'I', '2022-07-05 18:46:09.673169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5284, 1035, 'Неограниченный, постоянно обновляемый набор данных', false, 'I', '2022-07-05 18:46:09.673169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5285, 1035, 'Узел в топологии процессоров, представляющий один шаг обработки', true, 'I', '2022-07-05 18:46:09.673169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5286, 1035, 'Ничего из перечисленного', false, 'I', '2022-07-05 18:46:09.673169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5287, 1036, 'Любая программа, использующая библиотеку kafka streams', false, 'I', '2022-07-05 18:46:19.534539', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5288, 1036, 'Неограниченный, постоянно обновляемый набор данных', true, 'I', '2022-07-05 18:46:19.534539', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5289, 1036, 'Узел в топологии процессоров, представляющий один шаг обработки', false, 'I', '2022-07-05 18:46:19.534539', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5290, 1036, 'Ничего из перечисленного', false, 'I', '2022-07-05 18:46:19.534539', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5291, 1037, 'В Zookeeper', true, 'I', '2022-07-05 19:03:55.319905', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5292, 1037, 'В отдельном топике для оффсетов', true, 'I', '2022-07-05 19:03:55.319905', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5293, 1037, 'В отдельной таблице оффсетов в БД', false, 'I', '2022-07-05 19:03:55.319905', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5382, 1051, 'Processor', false, 'I', '2022-10-08 16:13:49.410417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5294, 1037, 'Внутри читаемого топика', false, 'I', '2022-07-05 19:03:55.319905', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5295, 1037, 'Внутри читающего консьюмера', false, 'I', '2022-07-05 19:03:55.319905', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5296, 1037, 'Ничего из перечисленного', false, 'I', '2022-07-05 19:03:55.319905', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5308, 1039, '.index', false, 'I', '2022-07-05 19:30:15.693271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5309, 1039, '.log', true, 'I', '2022-07-05 19:30:15.693271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5310, 1039, '.kafka', false, 'I', '2022-07-05 19:30:15.693271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5311, 1039, '.zk', false, 'I', '2022-07-05 19:30:15.693271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5312, 1039, '.sql', false, 'I', '2022-07-05 19:30:15.693271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5313, 1039, 'Ничего из перечисленного', false, 'I', '2022-07-05 19:30:15.693271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5314, 1038, 'Логически объединенная группа файлов на диске брокера', true, 'I', '2022-07-05 20:23:03.964607', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5315, 1038, 'Логически объединенная группа брокеров в кластере', false, 'I', '2022-07-05 20:23:03.964607', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5316, 1038, 'Отдельный файл на диске брокера', false, 'I', '2022-07-05 20:23:03.964607', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5317, 1038, 'Логически объединенная группа консьюмеров', false, 'I', '2022-07-05 20:23:03.964607', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5318, 1038, 'Ничего из перечисленного', false, 'I', '2022-07-05 20:23:03.964607', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5319, 1040, 'Один файл, в котором хранятся все записи партиции', false, 'I', '2022-07-05 20:26:34.191723', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5320, 1040, 'Несколько файлов - по одному на партицию', false, 'I', '2022-07-05 20:26:34.191723', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5321, 1040, 'Несколько файлов - по одному на сегмент', true, 'I', '2022-07-05 20:26:34.191723', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5322, 1040, 'Несколько файлов - по одному на консьюмера', false, 'I', '2022-07-05 20:26:34.191723', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5323, 1040, 'Ничего из перечисленного', false, 'I', '2022-07-05 20:26:34.191723', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5332, 1042, 'Временной промежуток, в который агрегируются данные стрима', true, 'I', '2022-07-05 21:17:34.001469', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5333, 1042, 'Операция, которая берет один входной поток или таблицу и создает новую таблицу путем объединения нескольких входных записей в одну выходную запись', false, 'I', '2022-07-05 21:17:34.001469', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5334, 1042, 'Данные, прошедшие обработку агрегирующими операциями', false, 'I', '2022-07-05 21:17:34.001469', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5335, 1042, 'Ничего из перечисленного', false, 'I', '2022-07-05 21:17:34.001469', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5336, 1041, 'Окно с неопределенным временем действия, границы которого зависят от поведения какой-либо сущности', false, 'I', '2022-07-05 21:21:41.988219', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5337, 1041, 'Окно, действующее определенный промежуток времени, после которого оно закрывается, и открывается новое окно', false, 'I', '2022-07-05 21:21:41.988219', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5338, 1041, 'Окно, которое открывается раньше, чем закроется предыдущее', true, 'I', '2022-07-05 21:21:41.988219', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5339, 1041, 'Ничего из перечисленного', false, 'I', '2022-07-05 21:21:41.988219', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5340, 1043, 'Окно с неопределенным временем действия, границы которого зависят от поведения какой-либо сущности', true, 'I', '2022-07-05 21:22:45.157787', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5341, 1043, 'Окно, действующее определенный промежуток времени, после которого оно закрывается, и открывается новое окно', false, 'I', '2022-07-05 21:22:45.157787', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5342, 1043, 'Окно, которое открывается раньше, чем закроется предыдущее', false, 'I', '2022-07-05 21:22:45.157787', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5343, 1043, 'Ничего из перечисленного', false, 'I', '2022-07-05 21:22:45.157787', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5344, 1044, 'SimpleBuilder', false, 'I', '2022-10-08 14:08:05.785141', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5345, 1044, 'RouteBuilder', true, 'I', '2022-10-08 14:08:05.785141', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5346, 1044, 'TransformerBuilder', false, 'I', '2022-10-08 14:08:05.785141', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5347, 1044, 'CamelRoute', false, 'I', '2022-10-08 14:08:05.785141', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5348, 1045, 'Java DSL', false, 'I', '2022-10-08 14:17:13.426798', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5349, 1045, 'Spring DSL', false, 'I', '2022-10-08 14:17:13.426798', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5350, 1045, 'REST DSL', false, 'I', '2022-10-08 14:17:13.426798', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5351, 1045, 'SOAP DSL', true, 'I', '2022-10-08 14:17:13.426798', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5355, 1047, 'Producer', true, 'I', '2022-10-08 15:40:41.989338', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5356, 1047, 'Consumer', false, 'I', '2022-10-08 15:40:41.989338', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5357, 1047, 'Processor', false, 'I', '2022-10-08 15:40:41.989338', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5358, 1047, 'Route', false, 'I', '2022-10-08 15:40:41.989338', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5359, 1047, 'Endpoint', false, 'I', '2022-10-08 15:40:41.989338', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5360, 1048, 'Producer', false, 'I', '2022-10-08 15:41:49.425009', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5361, 1048, 'Consumer', true, 'I', '2022-10-08 15:41:49.425009', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5362, 1048, 'Route', false, 'I', '2022-10-08 15:41:49.425009', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5363, 1048, 'Endpoint', false, 'I', '2022-10-08 15:41:49.425009', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5364, 1048, 'Processor', false, 'I', '2022-10-08 15:41:49.425009', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5566, 1089, '1', false, 'I', '2023-04-19 14:42:30.948261', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5567, 1089, '2', false, 'I', '2023-04-19 14:42:30.948261', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5568, 1089, '5', true, 'I', '2023-04-19 14:42:30.948261', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5569, 1089, 'Ошибка', false, 'I', '2023-04-19 14:42:30.948261', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5381, 1051, 'Endpoint', false, 'I', '2022-10-08 16:13:49.410417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5383, 1051, 'Route', false, 'I', '2022-10-08 16:13:49.410417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5384, 1051, 'Consumer', false, 'I', '2022-10-08 16:13:49.410417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5385, 1051, 'Writer', true, 'I', '2022-10-08 16:13:49.410417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5389, 1052, 'Endpoint', false, 'I', '2022-10-08 16:26:51.404316', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5390, 1052, 'Processor', true, 'I', '2022-10-08 16:26:51.404316', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5391, 1052, 'Component', false, 'I', '2022-10-08 16:26:51.404316', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5392, 1052, 'Route', false, 'I', '2022-10-08 16:26:51.404316', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5399, 1053, 'file', true, 'I', '2022-10-08 16:39:25.417384', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5400, 1053, 'delete', false, 'I', '2022-10-08 16:39:25.417384', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5401, 1053, 'new FileProcessor()', false, 'I', '2022-10-08 16:39:25.417384', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5402, 1053, 'from()', false, 'I', '2022-10-08 16:39:25.417384', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5403, 1053, 'to()', false, 'I', '2022-10-08 16:39:25.417384', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5404, 1053, 'process()', false, 'I', '2022-10-08 16:39:25.417384', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5405, 1054, 'process()', false, 'I', '2022-10-08 16:53:19.502215', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5406, 1054, 'process(Context context)', false, 'I', '2022-10-08 16:53:19.502215', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5407, 1054, 'configure(Context context)', false, 'I', '2022-10-08 16:53:19.502215', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5408, 1054, 'configure()', true, 'I', '2022-10-08 16:53:19.502215', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5409, 1054, 'setBody()', false, 'I', '2022-10-08 16:53:19.502215', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5410, 1055, 'from("jms:var/inbox").to("jms:queue:mail");', false, 'I', '2022-10-08 17:04:34.203242', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5411, 1055, 'from("file:var/inbox").to("jms:mail");', false, 'I', '2022-10-08 17:04:34.203242', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5412, 1055, 'from("jms:var/inbox").to("file:queue:mail");', false, 'I', '2022-10-08 17:04:34.203242', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5413, 1055, 'from("file:var/inbox").to("jms:queue:mail");', true, 'I', '2022-10-08 17:04:34.203242', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5414, 1055, 'from("file:var/inbox").to("jms:post:mail");', false, 'I', '2022-10-08 17:04:34.203242', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5415, 1046, 'При получении сообщения потребителем (Consumer)', true, 'I', '2022-10-08 17:10:39.763085', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5416, 1046, 'При отправке сообщения производителем (Producer)', false, 'I', '2022-10-08 17:10:39.763085', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5417, 1046, 'Объект обмена (Exchange) создается автоматически при создании сообщения (Message)', false, 'I', '2022-10-08 17:10:39.763085', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5418, 1056, 'jms', false, 'I', '2022-10-08 17:13:06.201579', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5419, 1056, 'jpa', true, 'I', '2022-10-08 17:13:06.201579', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5420, 1056, 'rest', false, 'I', '2022-10-08 17:13:06.201579', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5421, 1056, 'file', false, 'I', '2022-10-08 17:13:06.201579', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5430, 1050, 'from("jms:queue:errors").to("errorHandler");', false, 'I', '2022-10-08 17:19:23.944803', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5431, 1050, 'from("jms:queue:errors").to("bean:errorHandler");', false, 'I', '2022-10-08 17:19:23.944803', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5432, 1050, 'from("jms:queue:errors").beanRef("errorHandler", "add");', true, 'I', '2022-10-08 17:19:23.944803', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5433, 1049, 'from("jms:errors")', true, 'I', '2022-10-08 17:23:30.593464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5434, 1049, 'from("jms:queue:errors")', true, 'I', '2022-10-08 17:23:30.593464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5435, 1049, 'from("jms:topic:errors")', false, 'I', '2022-10-08 17:23:30.593464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5436, 1049, 'to("jms:topic:errors")', false, 'I', '2022-10-08 17:23:30.593464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5437, 1049, 'to("jms:queue:errors")', false, 'I', '2022-10-08 17:23:30.593464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5440, 1058, 'from("direct:income").multicast().to("direct:first")
.to("direct:second").to("direct:third");', true, 'I', '2022-10-08 18:02:52.247893', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5441, 1058, 'from("direct:income").parallel().to("direct:first")
.to("direct:second").to("direct:third");', false, 'I', '2022-10-08 18:02:52.247893', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5442, 1058, 'from("direct:income").to("direct:first").and().
.to("direct:second").and()..to("direct:third");', false, 'I', '2022-10-08 18:02:52.247893', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5443, 1059, 'from("file:F:\\home\\IN").multicast().parallelProcessing()
.to("file:F:\\home\\OUT", "file:F:\\home\\OUT1", "file:F:\\home\\OUT2");', true, 'I', '2022-10-08 18:15:47.357347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5444, 1059, 'from("file:F:\\home\\IN").multicast().to("file:F:\\home\\OUT", "file:F:\\home\\OUT1", "file:F:\\home\\OUT2");', false, 'I', '2022-10-08 18:15:47.357347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5445, 1059, 'from("file:F:\\home\\IN").multicast().to("file:F:\\home\\OUT").to("file:F:\\home\\OUT1").to("file:F:\\home\\OUT2");', false, 'I', '2022-10-08 18:15:47.357347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5446, 1059, 'from("file:F:\\home\\IN").multicast().parallel().to("file:F:\\home\\OUT").to("file:F:\\home\\OUT1").to("file:F:\\home\\OUT2");', false, 'I', '2022-10-08 18:15:47.357347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5451, 1060, 'from("jms:queue:message").choice().when(header("login").isEqualTo("admin")).to("bean:adminMessage").otherwise().to("bean:userMessage").end();', true, 'I', '2022-10-08 19:03:45.35036', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5452, 1060, 'from("jms:queue:message").if(header("login").isEqualTo("admin")).to("bean:adminMessage").else().to("bean:userMessage").end();', false, 'I', '2022-10-08 19:03:45.35036', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5453, 1060, 'from("jms:queue:message").switch().when(header("login").isEqualTo("admin")).to("bean:adminMessage").otherwise().to("bean:userMessage").end();', false, 'I', '2022-10-08 19:03:45.35036', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5454, 1060, 'from("jms:queue:message").choice().if(header("login").isEqualTo("admin")).to("bean:adminMessage").else().to("bean:userMessage").end();', false, 'I', '2022-10-08 19:03:45.35036', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5455, 1061, 'timer', false, 'I', '2022-10-08 19:13:31.202173', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5456, 1061, 'time', false, 'I', '2022-10-08 19:13:31.202173', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5457, 1061, 'quartz', true, 'I', '2022-10-08 19:13:31.202173', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5458, 1061, 'watch', false, 'I', '2022-10-08 19:13:31.202173', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5459, 1057, 'Да', true, 'I', '2022-10-08 19:15:27.344653', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5460, 1057, 'Нет', false, 'I', '2022-10-08 19:15:27.344653', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5461, 1062, 'Нагрузочное тестирование приложений', false, 'I', '2022-10-08 19:18:26.949409', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5462, 1062, 'Развертывание приложений', false, 'I', '2022-10-08 19:18:26.949409', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5463, 1062, 'Сборка приложений', false, 'I', '2022-10-08 19:18:26.949409', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5464, 1062, 'Интеграция приложений', true, 'I', '2022-10-08 19:18:26.949409', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5465, 1063, 'from("/print") .get("/errors").to("direct:logger");', false, 'I', '2022-10-08 19:35:26.536537', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5466, 1063, 'rest("/print") .get("/errors").to("direct:logger");', true, 'I', '2022-10-08 19:35:26.536537', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5467, 1063, 'http("/print") .get("/errors").to("direct:logger");', false, 'I', '2022-10-08 19:35:26.536537', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5468, 1063, 'http("/print/errors?method=GET").to("direct:logger");', false, 'I', '2022-10-08 19:35:26.536537', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5469, 1064, 'MongoDB', false, 'I', '2022-10-23 17:27:44.098349', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5470, 1064, 'KahaDB', true, 'I', '2022-10-23 17:27:44.098349', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5471, 1064, 'PostgresSQL', false, 'I', '2022-10-23 17:27:44.098349', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5472, 1064, 'Cassandra', false, 'I', '2022-10-23 17:27:44.098349', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5473, 1064, 'Redis', false, 'I', '2022-10-23 17:27:44.098349', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5474, 1065, 'OpenWire', true, 'I', '2022-10-23 18:19:51.06298', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5475, 1065, 'Stomp', true, 'I', '2022-10-23 18:19:51.06298', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5476, 1065, 'MQTT', true, 'I', '2022-10-23 18:19:51.06298', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5477, 1065, 'AMQP', true, 'I', '2022-10-23 18:19:51.06298', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5478, 1065, 'NTP', false, 'I', '2022-10-23 18:19:51.06298', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5479, 1066, '1', false, 'I', '2022-10-23 21:21:40.625865', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5480, 1066, '2', false, 'I', '2022-10-23 21:21:40.625865', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5481, 1066, '3', true, 'I', '2022-10-23 21:21:40.625865', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5482, 1066, '4', false, 'I', '2022-10-23 21:21:40.625865', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5483, 1067, 'При использовании внешнего хранилища брокера (БД или папка на диске)', false, 'I', '2022-10-23 21:35:45.75642', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5484, 1067, 'При использовании in-memory хранилища', false, 'I', '2022-10-23 21:35:45.75642', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5485, 1067, 'Потребитель (Consumer) в ActiveMQ не поддерживает транзакционность в рамках сессии', false, 'I', '2022-10-23 21:35:45.75642', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5486, 1067, 'Поддержка транзакционности для потребителя (Consumer) доступна всегда и не зависит от способа хранения данных в брокере', true, 'I', '2022-10-23 21:35:45.75642', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5487, 1068, 'При создании сессии передать параметр transacted со значением true', true, 'I', '2022-10-23 21:44:30.877786', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5488, 1068, 'Транзакционность не поддерживается в ActiveMQ', false, 'I', '2022-10-23 21:44:30.877786', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5489, 1068, 'Повесить аннотацию @Transactional над классом потребителя(Consumer)', false, 'I', '2022-10-23 21:44:30.877786', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5490, 1069, 'DUPS_OK_ACKNOWLEDGE', true, 'I', '2022-11-06 17:29:32.19572', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5491, 1069, 'SERVER_ACKNOWLEDGE', false, 'I', '2022-11-06 17:29:32.19572', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5492, 1069, 'AUTO_ACKNOWLEDGE', true, 'I', '2022-11-06 17:29:32.19572', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5493, 1069, 'CLIENT_ACKNOWLEDGE', true, 'I', '2022-11-06 17:29:32.19572', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5494, 1070, 'subscriptionName', false, 'I', '2022-11-06 18:09:09.343377', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5495, 1070, 'clientId', true, 'I', '2022-11-06 18:09:09.343377', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5496, 1070, 'destination', false, 'I', '2022-11-06 18:09:09.343377', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5497, 1070, 'destinationType', false, 'I', '2022-11-06 18:09:09.343377', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5498, 1071, 'Parallel Destinations', false, 'I', '2022-11-06 18:33:02.156071', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5499, 1071, 'Composite Destinations', true, 'I', '2022-11-06 18:33:02.156071', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5500, 1071, 'Mirrored Destinations', false, 'I', '2022-11-06 18:33:02.156071', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5501, 1072, 'Composite Destinations', false, 'I', '2022-11-06 18:41:55.448707', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5502, 1072, 'Parallel Destinations', false, 'I', '2022-11-06 18:41:55.448707', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5503, 1072, 'Mirrored Queues', true, 'I', '2022-11-06 18:41:55.448707', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5504, 1073, 'Нет, Composite Queue занимается только пересылкой для других очередей (Queue) или топиков (Topic)', false, 'I', '2022-11-06 18:49:38.561146', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5505, 1073, 'Да, возможно по умолчанию', false, 'I', '2022-11-06 18:49:38.561146', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5506, 1073, 'Да, возможно при определенной конфигурации', true, 'I', '2022-11-06 18:49:38.561146', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5509, 1074, 'Virtual Topic', true, 'I', '2022-12-04 16:18:58.272154', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5510, 1074, 'Composite Destination', false, 'I', '2022-12-04 16:18:58.272154', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5511, 1074, 'Parallel Destinations', false, 'I', '2022-12-04 16:18:58.272154', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5515, 1075, 'Virtual Topic потребляет меньше памяти, чем Composite Destination', false, 'I', '2022-12-04 16:28:52.22043', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5516, 1075, 'Virtual Topic позволяет подключать нескольких потребителей (Consumer) с одинаковым clientId', true, 'I', '2022-12-04 16:28:52.22043', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5517, 1075, 'Virtual Topic за счет буфферизации сообщений позволяет увеличить производительность канала', false, 'I', '2022-12-04 16:28:52.22043', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5518, 1076, 'Использование возможно только с  in-memory хранилищем', false, 'I', '2022-12-04 16:38:15.10986', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5519, 1076, 'Количество потребителей (Consumer) должно быть статичным', true, 'I', '2022-12-04 16:38:15.10986', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5520, 1076, 'Использование возможно только с  внешним хранилищем брокера (БД или папка на диске)', false, 'I', '2022-12-04 16:38:15.10986', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5521, 1076, 'Отправка сообщения возможна только в топик, либо только в очередь', false, 'I', '2022-12-04 16:38:15.10986', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5522, 1077, '127', true, 'I', '2022-12-04 17:07:43.77115', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5525, 1077, '255', false, 'I', '2022-12-04 17:07:43.77115', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5526, 1078, '0', true, 'I', '2022-12-04 17:10:14.25419', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5527, 1078, '1', false, 'I', '2022-12-04 17:10:14.25419', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5528, 1078, '127', false, 'I', '2022-12-04 17:10:14.25419', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5529, 1078, '256', false, 'I', '2022-12-04 17:10:14.25419', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5530, 1079, 'Selectors позволяют переключаться между топиком (Topic)и очередью (Queue) в рантайме', false, 'I', '2022-12-04 22:15:09.059685', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5531, 1079, 'Selectors позволяют выбирать сообщения из очереди для потребителей (Consumer)  по определенным условиям', true, 'I', '2022-12-04 22:15:09.059685', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5532, 1079, 'Selectors позволяют переключать активных потребитилей (Consumer) в кластере', false, 'I', '2022-12-04 22:15:09.059685', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5533, 1079, 'Selectors позволяют выбирать источники (Producer) сообщений по определенным условиям', false, 'I', '2022-12-04 22:15:09.059685', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5534, 1080, 'Механизм, который позволяет потребителю (Consumer) при подключении к брокеру, получить пропущенные им сообщения за определенный период', true, 'I', '2022-12-04 22:39:43.573701', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5535, 1080, 'Механизм, который позволяет сообщить  брокеру, что данный потребитель (Consumer) имеет высший приоритет на получение сообщений', false, 'I', '2022-12-04 22:39:43.573701', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5536, 1080, 'Механизм, который позволяет сообщить  брокеру, что данный потребитель (Consumer) является master нодой, а остальные становятся slave нодами', false, 'I', '2022-12-04 22:39:43.573701', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5537, 1081, 'Такого параметра не существует', false, 'I', '2022-12-04 22:44:22.589584', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5538, 1081, 'maxFrameSize', true, 'I', '2022-12-04 22:44:22.589584', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5539, 1081, 'sizePrefixDisabled', false, 'I', '2022-12-04 22:44:22.589584', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5540, 1081, 'cacheSize', false, 'I', '2022-12-04 22:44:22.589584', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5541, 1082, 'заголовки', true, 'I', '2022-12-04 22:49:16.916826', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5542, 1082, 'тело', false, 'I', '2022-12-04 22:49:16.916826', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5543, 1082, 'В ActiveMQ механизм селекторов (Selectors) не поддерживается', false, 'I', '2022-12-04 22:49:16.916826', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5544, 1083, 'все сообщения, отправленные ему, но еще не подтвержденные, будут потеряны', false, 'I', '2022-12-05 21:27:32.804155', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5545, 1083, 'все сообщения, отправленные ему до момента отключения, будут повторно отправлены другому доступному потребителю (Consumer)', false, 'I', '2022-12-05 21:27:32.804155', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5546, 1083, 'все сообщения, отправленные ему, но еще не подтвержденные, будут повторно отправлены другому доступному потребителю (Consumer)', true, 'I', '2022-12-05 21:27:32.804155', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5554, 1086, 'big.js', true, 'I', '2023-04-19 14:38:23.068916', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5556, 1085, 'True', false, 'I', '2023-04-19 14:38:30.614594', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5557, 1085, 'False', true, 'I', '2023-04-19 14:38:30.614594', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5558, 1085, 'Ошибка', false, 'I', '2023-04-19 14:38:30.614594', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5559, 1087, '3', false, 'I', '2023-04-19 14:40:37.422015', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5560, 1087, '12', true, 'I', '2023-04-19 14:40:37.422015', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5561, 1087, 'Ошибка', false, 'I', '2023-04-19 14:40:37.422015', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5562, 1088, '5', false, 'I', '2023-04-19 14:41:58.157037', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5573, 1084, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, 'I', '2023-04-19 14:50:38.570089', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5574, 1084, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, 'I', '2023-04-19 14:50:38.570089', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5575, 1084, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, 'I', '2023-04-19 14:50:38.570089', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5576, 1084, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, 'I', '2023-04-19 14:50:38.570089', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5599, 1097, '1
2', false, 'I', '2023-04-26 19:48:44.189921', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5600, 1097, '2
1', true, 'I', '2023-04-26 19:48:44.189921', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5601, 1097, '0
1
2', false, 'I', '2023-04-26 19:48:44.189921', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5648, 1091, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, 'I', '2023-04-27 11:04:18.80285', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5649, 1091, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, 'I', '2023-04-27 11:04:18.80285', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5664, 1093, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, 'I', '2023-05-03 15:13:31.949794', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5665, 1093, 'interface можно расширять при помощи ключевого слова extends', true, 'I', '2023-05-03 15:13:31.949794', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5666, 1093, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, 'I', '2023-05-03 15:13:31.949794', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5667, 1093, 'type может объединять несколько других type внутри себя (union types)', true, 'I', '2023-05-03 15:13:31.949794', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5615, 1100, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, 'I', '2023-04-27 11:02:52.704597', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5616, 1100, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, 'I', '2023-04-27 11:02:52.704597', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5617, 1100, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, 'I', '2023-04-27 11:02:52.704597', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5618, 1099, '1', true, 'I', '2023-04-27 11:03:04.970748', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5619, 1099, '2', false, 'I', '2023-04-27 11:03:04.970748', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5620, 1099, '3', false, 'I', '2023-04-27 11:03:04.970748', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5621, 1099, '4', false, 'I', '2023-04-27 11:03:04.970748', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5622, 1099, '5', false, 'I', '2023-04-27 11:03:04.970748', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5623, 1098, 'false
true
true', false, 'I', '2023-04-27 11:03:12.307651', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5624, 1098, 'true
true
false', false, 'I', '2023-04-27 11:03:12.307651', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5625, 1098, 'false
false
true', true, 'I', '2023-04-27 11:03:12.307651', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5626, 1098, 'false
false
false ', false, 'I', '2023-04-27 11:03:12.307651', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5627, 1098, 'true
true
true', false, 'I', '2023-04-27 11:03:12.307651', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5628, 1096, 'С помощью свойства display', true, 'I', '2023-04-27 11:03:36.18629', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5629, 1096, 'С помощью свойства opacity', true, 'I', '2023-04-27 11:03:36.18629', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5630, 1096, 'С помощью свойства visibility', true, 'I', '2023-04-27 11:03:36.18629', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5631, 1096, 'С помощью position:absolute', true, 'I', '2023-04-27 11:03:36.18629', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5632, 1096, 'Уменьшить размеры элемента до нуля', true, 'I', '2023-04-27 11:03:36.18629', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5636, 1094, 'a, b, c, d', false, 'I', '2023-04-27 11:03:53.511877', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5637, 1094, 'a, b, d, c', false, 'I', '2023-04-27 11:03:53.511877', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5638, 1094, 'a, c, b, d', true, 'I', '2023-04-27 11:03:53.511877', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5639, 1094, 'c, a, b, d', false, 'I', '2023-04-27 11:03:53.511877', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5644, 1092, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, 'I', '2023-04-27 11:04:10.931531', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5645, 1092, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, 'I', '2023-04-27 11:04:10.931531', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5646, 1092, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, 'I', '2023-04-27 11:04:10.931531', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5647, 1091, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, 'I', '2023-04-27 11:04:18.80285', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5661, 1095, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, 'I', '2023-04-28 15:07:37.457819', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5662, 1095, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, 'I', '2023-04-28 15:07:37.457819', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers VALUES (5663, 1095, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, 'I', '2023-04-28 15:07:37.457819', 'editor@loylabs.ru', 'editor@loylabs.ru');


--
-- Data for Name: answers_history; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.answers_history VALUES (167, 2562, 570, 'Имя и/или должность лица, обнаружившего проблему', false, 'I', '2020-12-03 21:04:41.899092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (168, 2562, 570, 'Имя и/или должность лица, обнаружившего проблему', false, 'D', '2020-12-03 21:04:50.221386', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (169, 2563, 570, 'Версия тестируемого ПО', false, 'I', '2020-12-03 21:04:41.899092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (170, 2563, 570, 'Версия тестируемого ПО', false, 'D', '2020-12-03 21:04:50.221386', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (171, 2564, 570, 'Предложение как пофиксить баг', true, 'I', '2020-12-03 21:04:41.899092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (172, 2564, 570, 'Предложение как пофиксить баг', true, 'D', '2020-12-03 21:04:50.221386', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (173, 2565, 570, 'Фактический и ожидаемый результаты', false, 'I', '2020-12-03 21:04:41.899092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (174, 2565, 570, 'Фактический и ожидаемый результаты', false, 'D', '2020-12-03 21:04:50.221386', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (178, 2570, 571, '123', true, 'I', '2020-12-03 21:07:56.504256', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (179, 2570, 571, '123', true, 'D', '2020-12-03 21:08:16.274063', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (180, 2571, 571, '123', true, 'I', '2020-12-03 21:07:56.504256', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (181, 2571, 571, '123', true, 'D', '2020-12-03 21:08:16.274063', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (183, 2330, 522, 'Ошибка компиляции', false, 'I', '2020-11-24 19:32:34.810386', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (184, 2330, 522, 'Ошибка компиляции', false, 'D', '2020-12-04 12:42:14.852739', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (185, 2331, 522, 'Ошибка во время выполнения', false, 'I', '2020-11-24 19:32:34.810386', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (186, 2331, 522, 'Ошибка во время выполнения', false, 'D', '2020-12-04 12:42:14.852739', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (187, 2332, 522, '[13, 11, 29]', true, 'I', '2020-11-24 19:32:34.810386', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (188, 2332, 522, '[13, 11, 29]', true, 'D', '2020-12-04 12:42:14.852739', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (189, 2333, 522, '[]', false, 'I', '2020-11-24 19:32:34.810386', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (190, 2333, 522, '[]', false, 'D', '2020-12-04 12:42:14.852739', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (191, 2334, 522, 'Хеш объекта вида [I@3d075dc0', false, 'I', '2020-11-24 19:32:34.810386', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (192, 2334, 522, 'Хеш объекта вида [I@3d075dc0', false, 'D', '2020-12-04 12:42:14.852739', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (194, 2647, 522, 'Ошибка компиляции', false, 'I', '2020-12-04 12:42:14.852739', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (195, 2647, 522, 'Ошибка компиляции', false, 'D', '2020-12-04 13:05:41.992157', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (196, 2648, 522, 'Ошибка во время выполнения', false, 'I', '2020-12-04 12:42:14.852739', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (197, 2648, 522, 'Ошибка во время выполнения', false, 'D', '2020-12-04 13:05:41.992157', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (198, 2649, 522, '[13, 11, 29]', true, 'I', '2020-12-04 12:42:14.852739', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (199, 2649, 522, '[13, 11, 29]', true, 'D', '2020-12-04 13:05:41.992157', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (200, 2650, 522, '[]', false, 'I', '2020-12-04 12:42:14.852739', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (201, 2650, 522, '[]', false, 'D', '2020-12-04 13:05:41.992157', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (202, 2651, 522, 'Хеш объекта вида [I@3d075dc0', false, 'I', '2020-12-04 12:42:14.852739', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (203, 2651, 522, 'Хеш объекта вида [I@3d075dc0', false, 'D', '2020-12-04 13:05:41.992157', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (277, 2538, 565, 'Код выполнится успешно и выведет 3 3', false, 'I', '2020-11-24 19:32:42.481746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (278, 2538, 565, 'Код выполнится успешно и выведет 3 3', false, 'D', '2021-03-29 18:29:37.342101', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (279, 2539, 565, 'Ошибка компиляции на строке static class Inner {', true, 'I', '2020-11-24 19:32:42.481746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (280, 2539, 565, 'Ошибка компиляции на строке static class Inner {', true, 'D', '2021-03-29 18:29:37.342101', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (281, 2540, 565, 'Ошибка компиляции на строке public static void main(String args[]) {', true, 'I', '2020-11-24 19:32:42.481746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (282, 2540, 565, 'Ошибка компиляции на строке public static void main(String args[]) {', true, 'D', '2021-03-29 18:29:37.342101', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (283, 2541, 565, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, 'I', '2020-11-24 19:32:42.481746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (284, 2541, 565, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, 'D', '2021-03-29 18:29:37.342101', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (285, 2542, 565, 'Во время выполнения будет брошено исключение', false, 'I', '2020-11-24 19:32:42.481746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (286, 2542, 565, 'Во время выполнения будет брошено исключение', false, 'D', '2021-03-29 18:29:37.342101', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (289, 2325, 521, 'Ошибка компиляции', false, 'I', '2020-11-24 19:32:34.654068', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (290, 2325, 521, 'Ошибка компиляции', false, 'D', '2021-04-04 18:08:56.359594', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (291, 2326, 521, 'Optional.null', false, 'I', '2020-11-24 19:32:34.654068', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (292, 2326, 521, 'Optional.null', false, 'D', '2021-04-04 18:08:56.359594', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (293, 2327, 521, 'null', false, 'I', '2020-11-24 19:32:34.654068', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (294, 2327, 521, 'null', false, 'D', '2021-04-04 18:08:56.359594', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (295, 2328, 521, 'Ошибка во время выполнения', false, 'I', '2020-11-24 19:32:34.654068', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (296, 2328, 521, 'Ошибка во время выполнения', false, 'D', '2021-04-04 18:08:56.359594', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (297, 2329, 521, 'Optional.empty', true, 'I', '2020-11-24 19:32:34.654068', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (298, 2329, 521, 'Optional.empty', true, 'D', '2021-04-04 18:08:56.359594', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (300, 2662, 521, 'Ошибка компиляции', false, 'I', '2021-04-04 18:08:56.359594', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (301, 2662, 521, 'Ошибка компиляции', false, 'D', '2021-04-04 18:12:47.223318', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (302, 2663, 521, 'Optional.null', false, 'I', '2021-04-04 18:08:56.359594', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (303, 2663, 521, 'Optional.null', false, 'D', '2021-04-04 18:12:47.223318', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (304, 2664, 521, 'null', false, 'I', '2021-04-04 18:08:56.359594', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (305, 2664, 521, 'null', false, 'D', '2021-04-04 18:12:47.223318', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (306, 2665, 521, 'Ошибка во время выполнения', false, 'I', '2021-04-04 18:08:56.359594', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (307, 2665, 521, 'Ошибка во время выполнения', false, 'D', '2021-04-04 18:12:47.223318', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (308, 2666, 521, 'Optional.empty', true, 'I', '2021-04-04 18:08:56.359594', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (309, 2666, 521, 'Optional.empty', true, 'D', '2021-04-04 18:12:47.223318', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (312, 2458, 549, '1', false, 'I', '2020-11-24 19:32:39.582778', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (313, 2458, 549, '1', false, 'D', '2021-04-04 18:21:46.242902', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (314, 2459, 549, '2', true, 'I', '2020-11-24 19:32:39.582778', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (315, 2459, 549, '2', true, 'D', '2021-04-04 18:21:46.242902', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (316, 2460, 549, '222', false, 'I', '2020-11-24 19:32:39.582778', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (317, 2460, 549, '222', false, 'D', '2021-04-04 18:21:46.242902', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (318, 2461, 549, 'Ошибка компиляции', false, 'I', '2020-11-24 19:32:39.582778', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (319, 2461, 549, 'Ошибка компиляции', false, 'D', '2021-04-04 18:21:46.242902', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (320, 2462, 549, 'Программа бросит исключение во время выполнения', false, 'I', '2020-11-24 19:32:39.582778', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (321, 2462, 549, 'Программа бросит исключение во время выполнения', false, 'D', '2021-04-04 18:21:46.242902', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (322, 2463, 549, '0', false, 'I', '2020-11-24 19:32:39.582778', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (323, 2463, 549, '0', false, 'D', '2021-04-04 18:21:46.242902', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (325, 2672, 549, '1', false, 'I', '2021-04-04 18:21:46.242902', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (326, 2672, 549, '1', false, 'D', '2021-04-04 18:22:26.18746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (327, 2673, 549, '2', true, 'I', '2021-04-04 18:21:46.242902', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (328, 2673, 549, '2', true, 'D', '2021-04-04 18:22:26.18746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (329, 2674, 549, '222', false, 'I', '2021-04-04 18:21:46.242902', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (330, 2674, 549, '222', false, 'D', '2021-04-04 18:22:26.18746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (331, 2675, 549, 'Ошибка компиляции', false, 'I', '2021-04-04 18:21:46.242902', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (332, 2675, 549, 'Ошибка компиляции', false, 'D', '2021-04-04 18:22:26.18746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (333, 2676, 549, 'Программа бросит исключение во время выполнения', false, 'I', '2021-04-04 18:21:46.242902', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (334, 2676, 549, 'Программа бросит исключение во время выполнения', false, 'D', '2021-04-04 18:22:26.18746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (335, 2677, 549, '0', false, 'I', '2021-04-04 18:21:46.242902', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (336, 2677, 549, '0', false, 'D', '2021-04-04 18:22:26.18746', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (338, 2430, 543, 'Ничего не будет выведено', true, 'I', '2020-11-24 19:32:38.516454', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (339, 2430, 543, 'Ничего не будет выведено', true, 'D', '2021-04-04 18:23:55.949314', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (340, 2431, 543, 'Ошибка компиляции', false, 'I', '2020-11-24 19:32:38.516454', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (341, 2431, 543, 'Ошибка компиляции', false, 'D', '2021-04-04 18:23:55.949314', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (342, 2432, 543, 'Ошибка во время выполнения', false, 'I', '2020-11-24 19:32:38.516454', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (343, 2432, 543, 'Ошибка во время выполнения', false, 'D', '2021-04-04 18:23:55.949314', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (344, 2433, 543, 'Hello!', false, 'I', '2020-11-24 19:32:38.516454', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (345, 2433, 543, 'Hello!', false, 'D', '2021-04-04 18:23:55.949314', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (347, 2434, 544, 'Бесконечный цикл', false, 'I', '2020-11-24 19:32:38.673477', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (348, 2434, 544, 'Бесконечный цикл', false, 'D', '2021-04-04 18:25:08.871379', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (349, 2435, 544, 'Программа выдаст ошибку StackOverflowError', false, 'I', '2020-11-24 19:32:38.673477', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (350, 2435, 544, 'Программа выдаст ошибку StackOverflowError', false, 'D', '2021-04-04 18:25:08.871379', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (351, 2436, 544, 'Программа бросит исключение ConcurrentModificationException', false, 'I', '2020-11-24 19:32:38.673477', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (352, 2436, 544, 'Программа бросит исключение ConcurrentModificationException', false, 'D', '2021-04-04 18:25:08.871379', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (353, 2437, 544, 'Программа выведет в консоль One затем бросит ConcurrentModificationException;', false, 'I', '2020-11-24 19:32:38.673477', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (354, 2437, 544, 'Программа выведет в консоль One затем бросит ConcurrentModificationException;', false, 'D', '2021-04-04 18:25:08.871379', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (355, 2438, 544, 'Программа выведет в консоль OneTwoThree затем бросит ConcurrentModificationException', true, 'I', '2020-11-24 19:32:38.673477', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (356, 2438, 544, 'Программа выведет в консоль OneTwoThree затем бросит ConcurrentModificationException', true, 'D', '2021-04-04 18:25:08.871379', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (358, 2688, 544, 'Бесконечный цикл', false, 'I', '2021-04-04 18:25:08.871379', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (359, 2688, 544, 'Бесконечный цикл', false, 'D', '2021-04-04 18:25:25.021765', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (360, 2689, 544, 'Программа выдаст ошибку StackOverflowError', false, 'I', '2021-04-04 18:25:08.871379', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (361, 2689, 544, 'Программа выдаст ошибку StackOverflowError', false, 'D', '2021-04-04 18:25:25.021765', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (362, 2690, 544, 'Программа бросит исключение ConcurrentModificationException', false, 'I', '2021-04-04 18:25:08.871379', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (363, 2690, 544, 'Программа бросит исключение ConcurrentModificationException', false, 'D', '2021-04-04 18:25:25.021765', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (364, 2691, 544, 'Программа выведет в консоль One затем бросит ConcurrentModificationException;', false, 'I', '2021-04-04 18:25:08.871379', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (365, 2691, 544, 'Программа выведет в консоль One затем бросит ConcurrentModificationException;', false, 'D', '2021-04-04 18:25:25.021765', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (366, 2692, 544, 'Программа выведет в консоль OneTwoThree затем бросит ConcurrentModificationException', true, 'I', '2021-04-04 18:25:08.871379', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (367, 2692, 544, 'Программа выведет в консоль OneTwoThree затем бросит ConcurrentModificationException', true, 'D', '2021-04-04 18:25:25.021765', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (369, 2439, 545, 'Программа выведет в консоль Hello!', true, 'I', '2020-11-24 19:32:38.833462', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (370, 2439, 545, 'Программа выведет в консоль Hello!', true, 'D', '2021-04-04 18:26:24.32587', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (371, 2440, 545, 'Программа выведет в консоль null', false, 'I', '2020-11-24 19:32:38.833462', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (372, 2440, 545, 'Программа выведет в консоль null', false, 'D', '2021-04-04 18:26:24.32587', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (373, 2441, 545, 'Ошибка компиляции', false, 'I', '2020-11-24 19:32:38.833462', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (374, 2441, 545, 'Ошибка компиляции', false, 'D', '2021-04-04 18:26:24.32587', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (375, 2442, 545, 'NullPointerExceptionnull', false, 'I', '2020-11-24 19:32:38.833462', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (376, 2442, 545, 'NullPointerExceptionnull', false, 'D', '2021-04-04 18:26:24.32587', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (378, 2443, 546, 'StackOverflowError', false, 'I', '2020-11-24 19:32:38.990997', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (379, 2443, 546, 'StackOverflowError', false, 'D', '2021-04-04 18:27:42.633706', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (380, 2444, 546, 'NullPointerException', true, 'I', '2020-11-24 19:32:38.990997', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (381, 2444, 546, 'NullPointerException', true, 'D', '2021-04-04 18:27:42.633706', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (382, 2445, 546, 'Ошибка компиляции', false, 'I', '2020-11-24 19:32:38.990997', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (383, 2445, 546, 'Ошибка компиляции', false, 'D', '2021-04-04 18:27:42.633706', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (384, 2446, 546, 'Программа успешно скомпилируется и выведет в консоль 0', false, 'I', '2020-11-24 19:32:38.990997', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (385, 2446, 546, 'Программа успешно скомпилируется и выведет в консоль 0', false, 'D', '2021-04-04 18:27:42.633706', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (386, 2447, 546, 'Программа успешно скомпилируется и выведет в консоль 4', false, 'I', '2020-11-24 19:32:38.990997', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (387, 2447, 546, 'Программа успешно скомпилируется и выведет в консоль 4', false, 'D', '2021-04-04 18:27:42.633706', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (389, 2702, 546, 'StackOverflowError', false, 'I', '2021-04-04 18:27:42.633706', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (390, 2702, 546, 'StackOverflowError', false, 'D', '2021-04-04 18:28:38.252698', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (391, 2703, 546, 'NullPointerException', true, 'I', '2021-04-04 18:27:42.633706', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (392, 2703, 546, 'NullPointerException', true, 'D', '2021-04-04 18:28:38.252698', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (393, 2704, 546, 'Ошибка компиляции', false, 'I', '2021-04-04 18:27:42.633706', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (394, 2704, 546, 'Ошибка компиляции', false, 'D', '2021-04-04 18:28:38.252698', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (395, 2705, 546, 'Программа успешно скомпилируется и выведет в консоль 0', false, 'I', '2021-04-04 18:27:42.633706', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (396, 2705, 546, 'Программа успешно скомпилируется и выведет в консоль 0', false, 'D', '2021-04-04 18:28:38.252698', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (397, 2706, 546, 'Программа успешно скомпилируется и выведет в консоль 4', false, 'I', '2021-04-04 18:27:42.633706', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (398, 2706, 546, 'Программа успешно скомпилируется и выведет в консоль 4', false, 'D', '2021-04-04 18:28:38.252698', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (400, 2454, 548, 'Программа отработает успешно', false, 'I', '2020-11-24 19:32:39.396055', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (401, 2454, 548, 'Программа отработает успешно', false, 'D', '2021-04-04 18:29:15.677075', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (402, 2455, 548, 'Ошибка компиляции', false, 'I', '2020-11-24 19:32:39.396055', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (403, 2455, 548, 'Ошибка компиляции', false, 'D', '2021-04-04 18:29:15.677075', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (404, 2456, 548, 'Программа бросит NullPointerException', true, 'I', '2020-11-24 19:32:39.396055', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (405, 2456, 548, 'Программа бросит NullPointerException', true, 'D', '2021-04-04 18:29:15.677075', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (406, 2457, 548, 'Программа бросит ClassCastException', false, 'I', '2020-11-24 19:32:39.396055', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (407, 2457, 548, 'Программа бросит ClassCastException', false, 'D', '2021-04-04 18:29:15.677075', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (409, 2712, 548, 'Программа отработает успешно', false, 'I', '2021-04-04 18:29:15.677075', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (410, 2712, 548, 'Программа отработает успешно', false, 'D', '2021-04-04 18:30:09.170365', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (411, 2713, 548, 'Ошибка компиляции', false, 'I', '2021-04-04 18:29:15.677075', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (412, 2713, 548, 'Ошибка компиляции', false, 'D', '2021-04-04 18:30:09.170365', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (413, 2714, 548, 'Программа бросит NullPointerException', true, 'I', '2021-04-04 18:29:15.677075', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (414, 2714, 548, 'Программа бросит NullPointerException', true, 'D', '2021-04-04 18:30:09.170365', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (415, 2715, 548, 'Программа бросит ClassCastException', false, 'I', '2021-04-04 18:29:15.677075', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (416, 2715, 548, 'Программа бросит ClassCastException', false, 'D', '2021-04-04 18:30:09.170365', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (418, 2716, 548, 'Программа отработает успешно', false, 'I', '2021-04-04 18:30:09.170365', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (419, 2716, 548, 'Программа отработает успешно', false, 'D', '2021-04-04 18:30:57.693227', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (420, 2717, 548, 'Ошибка компиляции', false, 'I', '2021-04-04 18:30:09.170365', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (421, 2717, 548, 'Ошибка компиляции', false, 'D', '2021-04-04 18:30:57.693227', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (422, 2718, 548, 'Программа бросит NullPointerException', true, 'I', '2021-04-04 18:30:09.170365', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (423, 2718, 548, 'Программа бросит NullPointerException', true, 'D', '2021-04-04 18:30:57.693227', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (424, 2719, 548, 'Программа бросит ClassCastException', false, 'I', '2021-04-04 18:30:09.170365', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (425, 2719, 548, 'Программа бросит ClassCastException', false, 'D', '2021-04-04 18:30:57.693227', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (427, 2381, 532, 'new Duration(start, end).getMillis();', false, 'I', '2020-11-24 19:32:36.537921', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (428, 2381, 532, 'new Duration(start, end).getMillis();', false, 'D', '2021-04-04 18:36:59.714531', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (429, 2382, 532, 'end - start;', false, 'I', '2020-11-24 19:32:36.537921', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (430, 2382, 532, 'end - start;', false, 'D', '2021-04-04 18:36:59.714531', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (431, 2383, 532, 'Duration.between(start, end);', false, 'I', '2020-11-24 19:32:36.537921', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (432, 2383, 532, 'Duration.between(start, end);', false, 'D', '2021-04-04 18:36:59.714531', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (433, 2384, 532, 'Duration.between(start, end).toMillis();', true, 'I', '2020-11-24 19:32:36.537921', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (434, 2384, 532, 'Duration.between(start, end).toMillis();', true, 'D', '2021-04-04 18:36:59.714531', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (436, 2385, 533, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, 'I', '2020-11-24 19:32:36.723203', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (437, 2385, 533, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, 'D', '2021-04-04 18:37:23.546226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (438, 2386, 533, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, 'I', '2020-11-24 19:32:36.723203', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (439, 2386, 533, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, 'D', '2021-04-04 18:37:23.546226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (440, 2387, 533, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, 'I', '2020-11-24 19:32:36.723203', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (441, 2387, 533, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, 'D', '2021-04-04 18:37:23.546226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (442, 2388, 533, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, 'I', '2020-11-24 19:32:36.723203', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (443, 2388, 533, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, 'D', '2021-04-04 18:37:23.546226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (444, 2389, 533, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, 'I', '2020-11-24 19:32:36.723203', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (445, 2389, 533, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, 'D', '2021-04-04 18:37:23.546226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (447, 2390, 534, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, 'I', '2020-11-24 19:32:36.879086', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (448, 2390, 534, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, 'D', '2021-04-04 18:37:58.953092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (449, 2391, 534, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, 'I', '2020-11-24 19:32:36.879086', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (450, 2391, 534, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, 'D', '2021-04-04 18:37:58.953092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (451, 2392, 534, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, 'I', '2020-11-24 19:32:36.879086', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (452, 2392, 534, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, 'D', '2021-04-04 18:37:58.953092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (453, 2393, 534, 'Ничего из вышеперечисленного', false, 'I', '2020-11-24 19:32:36.879086', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (454, 2393, 534, 'Ничего из вышеперечисленного', false, 'D', '2021-04-04 18:37:58.953092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (456, 2733, 534, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, 'I', '2021-04-04 18:37:58.953092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (457, 2733, 534, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, 'D', '2021-04-04 18:41:08.153405', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (458, 2734, 534, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, 'I', '2021-04-04 18:37:58.953092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (459, 2734, 534, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, 'D', '2021-04-04 18:41:08.153405', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (460, 2735, 534, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, 'I', '2021-04-04 18:37:58.953092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (461, 2735, 534, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, 'D', '2021-04-04 18:41:08.153405', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (462, 2736, 534, 'Ничего из вышеперечисленного', false, 'I', '2021-04-04 18:37:58.953092', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (463, 2736, 534, 'Ничего из вышеперечисленного', false, 'D', '2021-04-04 18:41:08.153405', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (465, 2394, 535, '2014-12-04', false, 'I', '2020-11-24 19:32:37.035166', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (466, 2394, 535, '2014-12-04', false, 'D', '2021-04-04 18:41:53.749006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (467, 2395, 535, '2015-12-04', false, 'I', '2020-11-24 19:32:37.035166', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (468, 2395, 535, '2015-12-04', false, 'D', '2021-04-04 18:41:53.749006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (469, 2396, 535, '2015-01-04', true, 'I', '2020-11-24 19:32:37.035166', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (470, 2396, 535, '2015-01-04', true, 'D', '2021-04-04 18:41:53.749006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (471, 2397, 535, 'Ошибка компиляции', false, 'I', '2020-11-24 19:32:37.035166', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (472, 2397, 535, 'Ошибка компиляции', false, 'D', '2021-04-04 18:41:53.749006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (473, 2398, 535, 'Ошибка во время выполнения', false, 'I', '2020-11-24 19:32:37.035166', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (474, 2398, 535, 'Ошибка во время выполнения', false, 'D', '2021-04-04 18:41:53.749006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (476, 2652, 522, 'Ошибка компиляции', false, 'I', '2020-12-04 13:05:41.992157', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (477, 2652, 522, 'Ошибка компиляции', false, 'D', '2021-04-04 18:43:49.091832', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (478, 2653, 522, 'Ошибка во время выполнения', false, 'I', '2020-12-04 13:05:41.992157', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (479, 2653, 522, 'Ошибка во время выполнения', false, 'D', '2021-04-04 18:43:49.091832', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (480, 2654, 522, '[13, 11, 29]', true, 'I', '2020-12-04 13:05:41.992157', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (481, 2654, 522, '[13, 11, 29]', true, 'D', '2021-04-04 18:43:49.091832', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (482, 2655, 522, '[]', false, 'I', '2020-12-04 13:05:41.992157', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (483, 2655, 522, '[]', false, 'D', '2021-04-04 18:43:49.091832', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (608, 2246, 505, '8', true, 'D', '2021-04-04 18:55:45.350115', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (551, 2226, 501, 'import aquarium.jellies.Jelly.*;', false, 'D', '2021-04-04 18:51:33.063398', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (484, 2656, 522, 'Хеш объекта вида [I@3d075dc0', false, 'I', '2020-12-04 13:05:41.992157', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (485, 2656, 522, 'Хеш объекта вида [I@3d075dc0', false, 'D', '2021-04-04 18:43:49.091832', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (487, 2335, 523, 'Ошибка компиляции', true, 'I', '2020-11-24 19:32:34.961722', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (488, 2335, 523, 'Ошибка компиляции', true, 'D', '2021-04-04 18:45:46.47315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (489, 2336, 523, '1one2two3three', false, 'I', '2020-11-24 19:32:34.961722', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (490, 2336, 523, '1one2two3three', false, 'D', '2021-04-04 18:45:46.47315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (491, 2337, 523, '123', false, 'I', '2020-11-24 19:32:34.961722', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (492, 2337, 523, '123', false, 'D', '2021-04-04 18:45:46.47315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (493, 2338, 523, 'onetwothree', false, 'I', '2020-11-24 19:32:34.961722', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (494, 2338, 523, 'onetwothree', false, 'D', '2021-04-04 18:45:46.47315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (495, 2339, 523, 'Ошибка во время выполнения', false, 'I', '2020-11-24 19:32:34.961722', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (496, 2339, 523, 'Ошибка во время выполнения', false, 'D', '2021-04-04 18:45:46.47315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (498, 2340, 524, 'Ошибка компиляции', false, 'I', '2020-11-24 19:32:35.138206', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (499, 2340, 524, 'Ошибка компиляции', false, 'D', '2021-04-04 18:46:19.998376', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (500, 2341, 524, 'OptionalDouble[3.0]', true, 'I', '2020-11-24 19:32:35.138206', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (501, 2341, 524, 'OptionalDouble[3.0]', true, 'D', '2021-04-04 18:46:19.998376', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (502, 2342, 524, '3.0', false, 'I', '2020-11-24 19:32:35.138206', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (503, 2342, 524, '3.0', false, 'D', '2021-04-04 18:46:19.998376', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (504, 2343, 524, 'OptionalDouble[3.5]', false, 'I', '2020-11-24 19:32:35.138206', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (505, 2343, 524, 'OptionalDouble[3.5]', false, 'D', '2021-04-04 18:46:19.998376', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (506, 2344, 524, '3.5', false, 'I', '2020-11-24 19:32:35.138206', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (507, 2344, 524, '3.5', false, 'D', '2021-04-04 18:46:19.998376', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (508, 2345, 524, 'Ошибка во время выполнения', false, 'I', '2020-11-24 19:32:35.138206', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (509, 2345, 524, 'Ошибка во время выполнения', false, 'D', '2021-04-04 18:46:19.998376', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (511, 2346, 525, 'Ошибка компиляции на строчке static void method()', false, 'I', '2020-11-24 19:32:35.317033', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (512, 2346, 525, 'Ошибка компиляции на строчке static void method()', false, 'D', '2021-04-04 18:47:03.258934', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (513, 2347, 525, 'Ошибка компиляции на строчке I i = new I(){};', false, 'I', '2020-11-24 19:32:35.317033', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (514, 2347, 525, 'Ошибка компиляции на строчке I i = new I(){};', false, 'D', '2021-04-04 18:47:03.258934', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (515, 2348, 525, 'Ошибка компиляции на другой строке', false, 'I', '2020-11-24 19:32:35.317033', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (516, 2348, 525, 'Ошибка компиляции на другой строке', false, 'D', '2021-04-04 18:47:03.258934', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (517, 2349, 525, 'defaultstatic', true, 'I', '2020-11-24 19:32:35.317033', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (518, 2349, 525, 'defaultstatic', true, 'D', '2021-04-04 18:47:03.258934', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (519, 2350, 525, 'Ошибка во время выполнения', false, 'I', '2020-11-24 19:32:35.317033', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (520, 2350, 525, 'Ошибка во время выполнения', false, 'D', '2021-04-04 18:47:03.258934', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (522, 2356, 527, 'SubClass', false, 'I', '2020-11-24 19:32:35.692202', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (523, 2356, 527, 'SubClass', false, 'D', '2021-04-04 18:47:28.905253', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (524, 2357, 527, 'SuperClass', false, 'I', '2020-11-24 19:32:35.692202', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (525, 2357, 527, 'SuperClass', false, 'D', '2021-04-04 18:47:28.905253', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (526, 2358, 527, 'SuperClassSubClass', false, 'I', '2020-11-24 19:32:35.692202', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (527, 2358, 527, 'SuperClassSubClass', false, 'D', '2021-04-04 18:47:28.905253', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (528, 2359, 527, 'Ошибка компиляции', true, 'I', '2020-11-24 19:32:35.692202', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (529, 2359, 527, 'Ошибка компиляции', true, 'D', '2021-04-04 18:47:28.905253', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (530, 2360, 527, 'Ничего из вышеперечисленного', false, 'I', '2020-11-24 19:32:35.692202', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (531, 2360, 527, 'Ничего из вышеперечисленного', false, 'D', '2021-04-04 18:47:28.905253', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (533, 2361, 528, 'Thread r = () -> System.out.println("Run!");', false, 'I', '2020-11-24 19:32:35.85579', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (534, 2361, 528, 'Thread r = () -> System.out.println("Run!");', false, 'D', '2021-04-04 18:49:15.643099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (535, 2362, 528, 'Runnable r = () -> System.out.println("Run!");', true, 'I', '2020-11-24 19:32:35.85579', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (536, 2362, 528, 'Runnable r = () -> System.out.println("Run!");', true, 'D', '2021-04-04 18:49:15.643099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (537, 2363, 528, 'Run r = () -> System.out.println("Run!");', false, 'I', '2020-11-24 19:32:35.85579', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (538, 2363, 528, 'Run r = () -> System.out.println("Run!");', false, 'D', '2021-04-04 18:49:15.643099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (539, 2364, 528, 'Executable r = () -> System.out.println("Run!");', false, 'I', '2020-11-24 19:32:35.85579', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (540, 2364, 528, 'Executable r = () -> System.out.println("Run!");', false, 'D', '2021-04-04 18:49:15.643099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (541, 2365, 528, 'Ничего из вышеперечисленного', false, 'I', '2020-11-24 19:32:35.85579', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (542, 2365, 528, 'Ничего из вышеперечисленного', false, 'D', '2021-04-04 18:49:15.643099', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (544, 2223, 501, 'Никакой из перечисленных', false, 'I', '2020-11-24 19:32:31.518312', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (545, 2223, 501, 'Никакой из перечисленных', false, 'D', '2021-04-04 18:51:33.063398', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (546, 2224, 501, 'import aquarium.*;', false, 'I', '2020-11-24 19:32:31.518312', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (547, 2224, 501, 'import aquarium.*;', false, 'D', '2021-04-04 18:51:33.063398', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (548, 2225, 501, 'import aquarium.*.Jelly;', false, 'I', '2020-11-24 19:32:31.518312', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (549, 2225, 501, 'import aquarium.*.Jelly;', false, 'D', '2021-04-04 18:51:33.063398', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (550, 2226, 501, 'import aquarium.jellies.Jelly.*;', false, 'I', '2020-11-24 19:32:31.518312', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (552, 2227, 501, 'import aquarium.jellies.*;', true, 'I', '2020-11-24 19:32:31.518312', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (553, 2227, 501, 'import aquarium.jellies.*;', true, 'D', '2021-04-04 18:51:33.063398', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (554, 2228, 501, 'import aquarium.jellies.Jelly;', true, 'I', '2020-11-24 19:32:31.518312', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (555, 2228, 501, 'import aquarium.jellies.Jelly;', true, 'D', '2021-04-04 18:51:33.063398', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (557, 2229, 502, 'Никакой из перечисленных', false, 'I', '2020-11-24 19:32:31.663871', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (558, 2229, 502, 'Никакой из перечисленных', false, 'D', '2021-04-04 18:52:21.78672', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (559, 2230, 502, 'import aquarium.*;
import aquarium.jellies.*;', false, 'I', '2020-11-24 19:32:31.663871', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (560, 2230, 502, 'import aquarium.*;
import aquarium.jellies.*;', false, 'D', '2021-04-04 18:52:21.78672', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (561, 2231, 502, 'import aquarium.*;', true, 'I', '2020-11-24 19:32:31.663871', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (562, 2231, 502, 'import aquarium.*;', true, 'D', '2021-04-04 18:52:21.78672', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (563, 2232, 502, 'import aquarium.*;
import aquarium.jellies.Water;', true, 'I', '2020-11-24 19:32:31.663871', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (564, 2232, 502, 'import aquarium.*;
import aquarium.jellies.Water;', true, 'D', '2021-04-04 18:52:21.78672', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (565, 2233, 502, 'import aquarium.Water;
import aquarium.jellies.Water;', false, 'I', '2020-11-24 19:32:31.663871', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (566, 2233, 502, 'import aquarium.Water;
import aquarium.jellies.Water;', false, 'D', '2021-04-04 18:52:21.78672', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (567, 2234, 502, 'import aquarium.Water;
import aquarium.jellies.*;', true, 'I', '2020-11-24 19:32:31.663871', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (568, 2234, 502, 'import aquarium.Water;
import aquarium.jellies.*;', true, 'D', '2021-04-04 18:52:21.78672', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (570, 2777, 501, 'Никакой из перечисленных', false, 'I', '2021-04-04 18:51:33.063398', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (571, 2777, 501, 'Никакой из перечисленных', false, 'D', '2021-04-04 18:52:39.987315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (572, 2778, 501, 'import aquarium.*;', false, 'I', '2021-04-04 18:51:33.063398', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (573, 2778, 501, 'import aquarium.*;', false, 'D', '2021-04-04 18:52:39.987315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (574, 2779, 501, 'import aquarium.*.Jelly;', false, 'I', '2021-04-04 18:51:33.063398', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (575, 2779, 501, 'import aquarium.*.Jelly;', false, 'D', '2021-04-04 18:52:39.987315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (576, 2780, 501, 'import aquarium.jellies.Jelly.*;', false, 'I', '2021-04-04 18:51:33.063398', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (577, 2780, 501, 'import aquarium.jellies.Jelly.*;', false, 'D', '2021-04-04 18:52:39.987315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (578, 2781, 501, 'import aquarium.jellies.*;', true, 'I', '2021-04-04 18:51:33.063398', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (579, 2781, 501, 'import aquarium.jellies.*;', true, 'D', '2021-04-04 18:52:39.987315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (580, 2782, 501, 'import aquarium.jellies.Jelly;', true, 'I', '2021-04-04 18:51:33.063398', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (581, 2782, 501, 'import aquarium.jellies.Jelly;', true, 'D', '2021-04-04 18:52:39.987315', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (583, 2235, 503, 'finalize() гарантированно вызовется', false, 'I', '2020-11-24 19:32:31.804939', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (584, 2235, 503, 'finalize() гарантированно вызовется', false, 'D', '2021-04-04 18:53:05.917429', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (585, 2236, 503, 'finalize() гарантированно не вызовется', false, 'I', '2020-11-24 19:32:31.804939', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (586, 2236, 503, 'finalize() гарантированно не вызовется', false, 'D', '2021-04-04 18:53:05.917429', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (587, 2237, 503, 'finalize() может вызваться, а может нет', true, 'I', '2020-11-24 19:32:31.804939', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (588, 2237, 503, 'finalize() может вызваться, а может нет', true, 'D', '2021-04-04 18:53:05.917429', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (589, 2238, 503, 'Сборщик мусора гарантированно вызовется', false, 'I', '2020-11-24 19:32:31.804939', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (590, 2238, 503, 'Сборщик мусора гарантированно вызовется', false, 'D', '2021-04-04 18:53:05.917429', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (591, 2239, 503, 'Сборщик мусора гарантированно не вызовется', false, 'I', '2020-11-24 19:32:31.804939', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (592, 2239, 503, 'Сборщик мусора гарантированно не вызовется', false, 'D', '2021-04-04 18:53:05.917429', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (593, 2240, 503, 'Сборщик мусора может вызваться, а может нет', true, 'I', '2020-11-24 19:32:31.804939', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (594, 2240, 503, 'Сборщик мусора может вызваться, а может нет', true, 'D', '2021-04-04 18:53:05.917429', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (596, 2241, 504, 'Код скомпилируется', true, 'I', '2020-11-24 19:32:31.944422', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (597, 2241, 504, 'Код скомпилируется', true, 'D', '2021-04-04 18:54:15.20133', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (598, 2242, 504, 'Код выбросит runtime exception', true, 'I', '2020-11-24 19:32:31.944422', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (599, 2242, 504, 'Код выбросит runtime exception', true, 'D', '2021-04-04 18:54:15.20133', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (600, 2243, 504, 'Ровно три выражения .add используют автоупаковку из примитивов в классы-обертки', false, 'I', '2020-11-24 19:32:31.944422', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (601, 2243, 504, 'Ровно три выражения .add используют автоупаковку из примитивов в классы-обертки', false, 'D', '2021-04-04 18:54:15.20133', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (602, 2244, 504, 'Ровно два выражения .add используют автоупаковку из примитивов в классы-обертки', true, 'I', '2020-11-24 19:32:31.944422', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (603, 2244, 504, 'Ровно два выражения .add используют автоупаковку из примитивов в классы-обертки', true, 'D', '2021-04-04 18:54:15.20133', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (604, 2245, 504, 'Ровно одно выражение .add использует автоупаковку из примитивов в классы-обертки', false, 'I', '2020-11-24 19:32:31.944422', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (605, 2245, 504, 'Ровно одно выражение .add использует автоупаковку из примитивов в классы-обертки', false, 'D', '2021-04-04 18:54:15.20133', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (607, 2246, 505, '8', true, 'I', '2020-11-24 19:32:32.085125', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (609, 2247, 505, 'Код не скомпилируется', false, 'I', '2020-11-24 19:32:32.085125', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (610, 2247, 505, 'Код не скомпилируется', false, 'D', '2021-04-04 18:55:45.350115', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (611, 2248, 505, 'Код выбросит исключение', false, 'I', '2020-11-24 19:32:32.085125', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (612, 2248, 505, 'Код выбросит исключение', false, 'D', '2021-04-04 18:55:45.350115', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (613, 2249, 505, '02', false, 'I', '2020-11-24 19:32:32.085125', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (614, 2249, 505, '02', false, 'D', '2021-04-04 18:55:45.350115', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (615, 2250, 505, '08', false, 'I', '2020-11-24 19:32:32.085125', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (616, 2250, 505, '08', false, 'D', '2021-04-04 18:55:45.350115', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (617, 2251, 505, '2', false, 'I', '2020-11-24 19:32:32.085125', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (618, 2251, 505, '2', false, 'D', '2021-04-04 18:55:45.350115', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (620, 2252, 506, 'value2 = "h"; вместо //ПРОПУСК_2', true, 'I', '2020-11-24 19:32:32.2359', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (621, 2252, 506, 'value2 = "h"; вместо //ПРОПУСК_2', true, 'D', '2021-04-04 19:02:00.389338', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (622, 2253, 506, 'value3="i"; вместо //ПРОПУСК_2', false, 'I', '2020-11-24 19:32:32.2359', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (623, 2253, 506, 'value3="i"; вместо //ПРОПУСК_2', false, 'D', '2021-04-04 19:02:00.389338', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (624, 2254, 506, 'value1="d"; вместо //ПРОПУСК_1', false, 'I', '2020-11-24 19:32:32.2359', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (625, 2254, 506, 'value1="d"; вместо //ПРОПУСК_1', false, 'D', '2021-04-04 19:02:00.389338', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (626, 2255, 506, 'value3="f"; вместо //ПРОПУСК_1', true, 'I', '2020-11-24 19:32:32.2359', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (627, 2255, 506, 'value3="f"; вместо //ПРОПУСК_1', true, 'D', '2021-04-04 19:02:00.389338', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (628, 2256, 506, 'value2="e"; вместо //ПРОПУСК_1', true, 'I', '2020-11-24 19:32:32.2359', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (629, 2256, 506, 'value2="e"; вместо //ПРОПУСК_1', true, 'D', '2021-04-04 19:02:00.389338', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (630, 2257, 506, 'value1="g"; вместо //ПРОПУСК_2', false, 'I', '2020-11-24 19:32:32.2359', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (631, 2257, 506, 'value1="g"; вместо //ПРОПУСК_2', false, 'D', '2021-04-04 19:02:00.389338', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (633, 2258, 507, '4', false, 'I', '2020-11-24 19:32:32.379156', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (634, 2258, 507, '4', false, 'D', '2021-04-04 19:02:51.150791', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (635, 2259, 507, '3', false, 'I', '2020-11-24 19:32:32.379156', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (636, 2259, 507, '3', false, 'D', '2021-04-04 19:02:51.150791', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (637, 2260, 507, '0', false, 'I', '2020-11-24 19:32:32.379156', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (638, 2260, 507, '0', false, 'D', '2021-04-04 19:02:51.150791', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (639, 2261, 507, '2', true, 'I', '2020-11-24 19:32:32.379156', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (640, 2261, 507, '2', true, 'D', '2021-04-04 19:02:51.150791', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (641, 2262, 507, '1', false, 'I', '2020-11-24 19:32:32.379156', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (642, 2262, 507, '1', false, 'D', '2021-04-04 19:02:51.150791', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (643, 2263, 507, '5', false, 'I', '2020-11-24 19:32:32.379156', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (644, 2263, 507, '5', false, 'D', '2021-04-04 19:02:51.150791', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (646, 2264, 508, 'caller((e) -> { String e=""; return "Poof" });', false, 'I', '2020-11-24 19:32:32.552032', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (647, 2264, 508, 'caller((e) -> { String e=""; return "Poof" });', false, 'D', '2021-04-04 19:03:27.346621', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (648, 2265, 508, 'caller((e) -> {"Poof"});', false, 'I', '2020-11-24 19:32:32.552032', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (649, 2265, 508, 'caller((e) -> {"Poof"});', false, 'D', '2021-04-04 19:03:27.346621', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (650, 2266, 508, 'caller((e) -> { String e = ""; "Poof"});', false, 'I', '2020-11-24 19:32:32.552032', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (651, 2266, 508, 'caller((e) -> { String e = ""; "Poof"});', false, 'D', '2021-04-04 19:03:27.346621', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (652, 2267, 508, 'caller((e) -> { String e = ""; return "Poof"; });', false, 'I', '2020-11-24 19:32:32.552032', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (653, 2267, 508, 'caller((e) -> { String e = ""; return "Poof"; });', false, 'D', '2021-04-04 19:03:27.346621', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (654, 2268, 508, 'caller((e) -> { String f = ""; return "Poof"; });', true, 'I', '2020-11-24 19:32:32.552032', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (655, 2268, 508, 'caller((e) -> { String f = ""; return "Poof"; });', true, 'D', '2021-04-04 19:03:27.346621', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (656, 2269, 508, 'caller((e) -> "Poof");', true, 'I', '2020-11-24 19:32:32.552032', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (657, 2269, 508, 'caller((e) -> "Poof");', true, 'D', '2021-04-04 19:03:27.346621', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (659, 2270, 509, 'Код выведет 4 2', false, 'I', '2020-11-24 19:32:32.692373', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (660, 2270, 509, 'Код выведет 4 2', false, 'D', '2021-04-04 19:04:29.049868', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (661, 2271, 509, 'Код выведет 5 4 если убрать конструктор Create(int num)', false, 'I', '2020-11-24 19:32:32.692373', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (662, 2271, 509, 'Код выведет 5 4 если убрать конструктор Create(int num)', false, 'D', '2021-04-04 19:04:29.049868', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (663, 2272, 509, 'Код выведет 3 4 если убрать конструктор Create(int num)', true, 'I', '2020-11-24 19:32:32.692373', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (664, 2272, 509, 'Код выведет 3 4 если убрать конструктор Create(int num)', true, 'D', '2021-04-04 19:04:29.049868', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (665, 2273, 509, 'Код выведет 4 4', false, 'I', '2020-11-24 19:32:32.692373', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (666, 2273, 509, 'Код выведет 4 4', false, 'D', '2021-04-04 19:04:29.049868', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (667, 2274, 509, 'Код выведет 2 4', true, 'I', '2020-11-24 19:32:32.692373', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (668, 2274, 509, 'Код выведет 2 4', true, 'D', '2021-04-04 19:04:29.049868', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (669, 2275, 509, 'Код выведет 4 4 если убрать конструктор Create(int num)', false, 'I', '2020-11-24 19:32:32.692373', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (670, 2275, 509, 'Код выведет 4 4 если убрать конструктор Create(int num)', false, 'D', '2021-04-04 19:04:29.049868', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (672, 2214, 499, 'Все утверждения верны', false, 'I', '2020-11-24 19:32:31.1786', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (673, 2214, 499, 'Все утверждения верны', false, 'D', '2021-04-04 19:05:45.916991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (674, 2215, 499, '1 и 3', true, 'I', '2020-11-24 19:32:31.1786', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (675, 2215, 499, '1 и 3', true, 'D', '2021-04-04 19:05:45.916991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (676, 2216, 499, '1 и 2', false, 'I', '2020-11-24 19:32:31.1786', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (677, 2216, 499, '1 и 2', false, 'D', '2021-04-04 19:05:45.916991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (678, 2217, 499, '2 и 3', false, 'I', '2020-11-24 19:32:31.1786', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (679, 2217, 499, '2 и 3', false, 'D', '2021-04-04 19:05:45.916991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (680, 2218, 499, 'Только 3', false, 'I', '2020-11-24 19:32:31.1786', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (681, 2218, 499, 'Только 3', false, 'D', '2021-04-04 19:05:45.916991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (683, 2143, 481, 'Только 2', false, 'I', '2020-11-24 19:32:28.492284', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (684, 2143, 481, 'Только 2', false, 'D', '2021-04-04 19:06:59.179928', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (685, 2144, 481, '1 и 2', false, 'I', '2020-11-24 19:32:28.492284', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (686, 2144, 481, '1 и 2', false, 'D', '2021-04-04 19:06:59.179928', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (687, 2145, 481, 'Только 1', true, 'I', '2020-11-24 19:32:28.492284', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (688, 2145, 481, 'Только 1', true, 'D', '2021-04-04 19:06:59.179928', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (689, 2146, 481, 'Все перечисленные', false, 'I', '2020-11-24 19:32:28.492284', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (690, 2146, 481, 'Все перечисленные', false, 'D', '2021-04-04 19:06:59.179928', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (692, 1975, 440, 'Интерфейс CanBark не скомпилируется', false, 'I', '2020-11-24 19:32:22.355687', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (693, 1975, 440, 'Интерфейс CanBark не скомпилируется', false, 'D', '2021-04-04 19:11:21.595857', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (694, 1976, 440, 'Класс, реализующий CanBark, наследует только метод bark()', false, 'I', '2020-11-24 19:32:22.355687', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (695, 1976, 440, 'Класс, реализующий CanBark, наследует только метод bark()', false, 'D', '2021-04-04 19:11:21.595857', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (696, 1977, 440, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, 'I', '2020-11-24 19:32:22.355687', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (697, 1977, 440, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, 'D', '2021-04-04 19:11:21.595857', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (698, 1978, 440, 'Интерфейс не может расширять другой интерфейс', false, 'I', '2020-11-24 19:32:22.355687', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (699, 1978, 440, 'Интерфейс не может расширять другой интерфейс', false, 'D', '2021-04-04 19:11:21.595857', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (700, 1979, 440, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, 'I', '2020-11-24 19:32:22.355687', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (701, 1979, 440, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, 'D', '2021-04-04 19:11:21.595857', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (703, 2845, 440, 'Интерфейс CanBark не скомпилируется', false, 'I', '2021-04-04 19:11:21.595857', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (704, 2845, 440, 'Интерфейс CanBark не скомпилируется', false, 'D', '2021-04-04 19:13:02.657908', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (705, 2846, 440, 'Класс, реализующий CanBark, наследует только метод bark()', false, 'I', '2021-04-04 19:11:21.595857', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (706, 2846, 440, 'Класс, реализующий CanBark, наследует только метод bark()', false, 'D', '2021-04-04 19:13:02.657908', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (707, 2847, 440, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, 'I', '2021-04-04 19:11:21.595857', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (708, 2847, 440, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, 'D', '2021-04-04 19:13:02.657908', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (709, 2848, 440, 'Интерфейс не может расширять другой интерфейс', false, 'I', '2021-04-04 19:11:21.595857', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (710, 2848, 440, 'Интерфейс не может расширять другой интерфейс', false, 'D', '2021-04-04 19:13:02.657908', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (711, 2849, 440, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, 'I', '2021-04-04 19:11:21.595857', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (712, 2849, 440, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, 'D', '2021-04-04 19:13:02.657908', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (714, 1980, 441, 'Ошибка компиляции на строке:class Orca extends Whale {', false, 'I', '2020-11-24 19:32:22.492934', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (715, 1980, 441, 'Ошибка компиляции на строке:class Orca extends Whale {', false, 'D', '2021-04-04 19:13:46.858234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (716, 1981, 441, 'Ошибка компиляции на строке:public abstract void dive() {};', true, 'I', '2020-11-24 19:32:22.492934', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (717, 1981, 441, 'Ошибка компиляции на строке:public abstract void dive() {};', true, 'D', '2021-04-04 19:13:46.858234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (718, 1982, 441, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, 'I', '2020-11-24 19:32:22.492934', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (719, 1982, 441, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, 'D', '2021-04-04 19:13:46.858234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (720, 1983, 441, 'Orca diving', false, 'I', '2020-11-24 19:32:22.492934', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (721, 1983, 441, 'Orca diving', false, 'D', '2021-04-04 19:13:46.858234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (722, 1984, 441, 'Данных недостаточно для определения результата исполнения', false, 'I', '2020-11-24 19:32:22.492934', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (723, 1984, 441, 'Данных недостаточно для определения результата исполнения', false, 'D', '2021-04-04 19:13:46.858234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (725, 1985, 442, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, 'I', '2020-11-24 19:32:22.633229', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (726, 1985, 442, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, 'D', '2021-04-04 19:14:37.067733', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (727, 1986, 442, 'Ошибка компиляции на строке:new Mammal(5);', false, 'I', '2020-11-24 19:32:22.633229', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (728, 1986, 442, 'Ошибка компиляции на строке:new Mammal(5);', false, 'D', '2021-04-04 19:14:37.067733', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (729, 1987, 442, 'Platypus', false, 'I', '2020-11-24 19:32:22.633229', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (730, 1987, 442, 'Platypus', false, 'D', '2021-04-04 19:14:37.067733', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (731, 1988, 442, 'Mammal', false, 'I', '2020-11-24 19:32:22.633229', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (732, 1988, 442, 'Mammal', false, 'D', '2021-04-04 19:14:37.067733', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (733, 1989, 442, 'PlatypusMammal', false, 'I', '2020-11-24 19:32:22.633229', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (734, 1989, 442, 'PlatypusMammal', false, 'D', '2021-04-04 19:14:37.067733', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (735, 1990, 442, 'MammalPlatypus', false, 'I', '2020-11-24 19:32:22.633229', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (736, 1990, 442, 'MammalPlatypus', false, 'D', '2021-04-04 19:14:37.067733', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (738, 1927, 430, 'Скомпилируется без ошибки', false, 'I', '2020-11-24 19:32:20.84156', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (739, 1927, 430, 'Скомпилируется без ошибки', false, 'D', '2021-04-04 19:16:03.148421', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (740, 1928, 430, 'Не скомпилируется, потому что типы возвращаемых значений не ковариантны', false, 'I', '2020-11-24 19:32:20.84156', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (741, 1928, 430, 'Не скомпилируется, потому что типы возвращаемых значений не ковариантны', false, 'D', '2021-04-04 19:16:03.148421', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (742, 1929, 430, 'Не скомпилируется, потому что метод protected в классе-предке и public в классе-наследнике', false, 'I', '2020-11-24 19:32:20.84156', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (743, 1929, 430, 'Не скомпилируется, потому что метод protected в классе-предке и public в классе-наследнике', false, 'D', '2021-04-04 19:16:03.148421', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (744, 1930, 430, 'Не скомпилируется, потому что метод выбрасывает исключение, которое является наследником выбрасываемого классом-предком исключения.', false, 'I', '2020-11-24 19:32:20.84156', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (745, 1930, 430, 'Не скомпилируется, потому что метод выбрасывает исключение, которое является наследником выбрасываемого классом-предком исключения.', false, 'D', '2021-04-04 19:16:03.148421', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (746, 1931, 430, 'Не скомпилируется, потому что static метод нельзя наследовать', true, 'I', '2020-11-24 19:32:20.84156', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (747, 1931, 430, 'Не скомпилируется, потому что static метод нельзя наследовать', true, 'D', '2021-04-04 19:16:03.148421', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (749, 1932, 431, 'Ошибка компиляции на строке:public abstract void dive() {};', true, 'I', '2020-11-24 19:32:21.000242', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (750, 1932, 431, 'Ошибка компиляции на строке:public abstract void dive() {};', true, 'D', '2021-04-04 19:16:40.886007', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (751, 1933, 431, 'Ошибка компиляции на строке:class Orca extends Whale {', false, 'I', '2020-11-24 19:32:21.000242', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (752, 1933, 431, 'Ошибка компиляции на строке:class Orca extends Whale {', false, 'D', '2021-04-04 19:16:40.886007', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (753, 1934, 431, 'Orca diving', false, 'I', '2020-11-24 19:32:21.000242', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (754, 1934, 431, 'Orca diving', false, 'D', '2021-04-04 19:16:40.886007', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (755, 1935, 431, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, 'I', '2020-11-24 19:32:21.000242', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (756, 1935, 431, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, 'D', '2021-04-04 19:16:40.886007', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (758, 1936, 432, 'Ошибка компиляции на строке:abstract int getNumberOfSections();', false, 'I', '2020-11-24 19:32:21.16863', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (759, 1936, 432, 'Ошибка компиляции на строке:abstract int getNumberOfSections();', false, 'D', '2021-04-04 19:17:09.368862', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (760, 1937, 432, 'Ошибка компиляции на строке:abstract class Insect implements HasExoskeleton {', false, 'I', '2020-11-24 19:32:21.16863', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (761, 1937, 432, 'Ошибка компиляции на строке:abstract class Insect implements HasExoskeleton {', false, 'D', '2021-04-04 19:17:09.368862', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (762, 1938, 432, 'Ошибка компиляции на строке:public class Beetle extends Insect {', true, 'I', '2020-11-24 19:32:21.16863', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (763, 1938, 432, 'Ошибка компиляции на строке:public class Beetle extends Insect {', true, 'D', '2021-04-04 19:17:09.368862', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (764, 1939, 432, 'Скомпилируется и запустится без ошибок', false, 'I', '2020-11-24 19:32:21.16863', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (765, 1939, 432, 'Скомпилируется и запустится без ошибок', false, 'D', '2021-04-04 19:17:09.368862', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (766, 1940, 432, 'Скомпилируется, но выбросит исключение во время выполнения', false, 'I', '2020-11-24 19:32:21.16863', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (767, 1940, 432, 'Скомпилируется, но выбросит исключение во время выполнения', false, 'D', '2021-04-04 19:17:09.368862', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (769, 1941, 433, 'Ошибка компиляции на строке:public String getNumberOfGills() { return "4"; }', false, 'I', '2020-11-24 19:32:21.31094', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (770, 1941, 433, 'Ошибка компиляции на строке:public String getNumberOfGills() { return "4"; }', false, 'D', '2021-04-04 19:17:41.364216', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (771, 1942, 433, '6', false, 'I', '2020-11-24 19:32:21.31094', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (772, 1942, 433, '6', false, 'D', '2021-04-04 19:17:41.364216', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (773, 1943, 433, 'Ошибка компиляции на строке:System.out.println(new ClownFish().getNumberOfGills(-1));', false, 'I', '2020-11-24 19:32:21.31094', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (774, 1943, 433, 'Ошибка компиляции на строке:System.out.println(new ClownFish().getNumberOfGills(-1));', false, 'D', '2021-04-04 19:17:41.364216', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (775, 1944, 433, 'Ошибка компиляции на строке:public String getNumberOfGills(int input) { return "6"; }', true, 'I', '2020-11-24 19:32:21.31094', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (776, 1944, 433, 'Ошибка компиляции на строке:public String getNumberOfGills(int input) { return "6"; }', true, 'D', '2021-04-04 19:17:41.364216', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (777, 1945, 433, '2', false, 'I', '2020-11-24 19:32:21.31094', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (778, 1945, 433, '2', false, 'D', '2021-04-04 19:17:41.364216', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (955, 1878, 419, 'Класс ExampleJava напечатает null', false, 'I', '2020-11-24 19:32:18.591108', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (780, 1950, 435, 'Ошибка компиляции на строке:public boolean isBlind() { return false; }', false, 'I', '2020-11-24 19:32:21.582435', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (781, 1950, 435, 'Ошибка компиляции на строке:public boolean isBlind() { return false; }', false, 'D', '2021-04-04 19:18:22.586554', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (782, 1951, 435, 'Ошибка компиляции на строке:Nocturnal nocturnal = (Nocturnal) new Owl();', false, 'I', '2020-11-24 19:32:21.582435', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (783, 1951, 435, 'Ошибка компиляции на строке:Nocturnal nocturnal = (Nocturnal) new Owl();', false, 'D', '2021-04-04 19:18:22.586554', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (784, 1952, 435, 'Ошибка компиляции на строке:System.out.println(nocturnal.isBlind());', false, 'I', '2020-11-24 19:32:21.582435', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (785, 1952, 435, 'Ошибка компиляции на строке:System.out.println(nocturnal.isBlind());', false, 'D', '2021-04-04 19:18:22.586554', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (786, 1953, 435, 'true', false, 'I', '2020-11-24 19:32:21.582435', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (787, 1953, 435, 'true', false, 'D', '2021-04-04 19:18:22.586554', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (788, 1954, 435, 'false', true, 'I', '2020-11-24 19:32:21.582435', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (789, 1954, 435, 'false', true, 'D', '2021-04-04 19:18:22.586554', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (791, 2885, 435, 'Ошибка компиляции на строке:public boolean isBlind() { return false; }', false, 'I', '2021-04-04 19:18:22.586554', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (792, 2885, 435, 'Ошибка компиляции на строке:public boolean isBlind() { return false; }', false, 'D', '2021-04-04 19:18:56.295622', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (793, 2886, 435, 'Ошибка компиляции на строке:Nocturnal nocturnal = (Nocturnal) new Owl();', false, 'I', '2021-04-04 19:18:22.586554', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (794, 2886, 435, 'Ошибка компиляции на строке:Nocturnal nocturnal = (Nocturnal) new Owl();', false, 'D', '2021-04-04 19:18:56.295622', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (795, 2887, 435, 'Ошибка компиляции на строке:System.out.println(nocturnal.isBlind());', false, 'I', '2021-04-04 19:18:22.586554', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (796, 2887, 435, 'Ошибка компиляции на строке:System.out.println(nocturnal.isBlind());', false, 'D', '2021-04-04 19:18:56.295622', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (797, 2888, 435, 'true', false, 'I', '2021-04-04 19:18:22.586554', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (798, 2888, 435, 'true', false, 'D', '2021-04-04 19:18:56.295622', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (799, 2889, 435, 'false', true, 'I', '2021-04-04 19:18:22.586554', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (800, 2889, 435, 'false', true, 'D', '2021-04-04 19:18:56.295622', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (802, 1955, 436, 'int amount = 10;', false, 'I', '2020-11-24 19:32:21.723352', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (803, 1955, 436, 'int amount = 10;', false, 'D', '2021-04-04 19:19:47.693035', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (804, 1956, 436, 'public static void eatGrass();', true, 'I', '2020-11-24 19:32:21.723352', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (805, 1956, 436, 'public static void eatGrass();', true, 'D', '2021-04-04 19:19:47.693035', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (806, 1957, 436, 'public int chew() { return 13; }', true, 'I', '2020-11-24 19:32:21.723352', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (807, 1957, 436, 'public int chew() { return 13; }', true, 'D', '2021-04-04 19:19:47.693035', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (808, 1958, 436, 'Ошибок нет', false, 'I', '2020-11-24 19:32:21.723352', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (809, 1958, 436, 'Ошибок нет', false, 'D', '2021-04-04 19:19:47.693035', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (811, 1959, 437, 'Long', false, 'I', '2020-11-24 19:32:21.85699', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (812, 1959, 437, 'Long', false, 'D', '2021-04-04 19:20:43.121006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (813, 1960, 437, 'CanHop', true, 'I', '2020-11-24 19:32:21.85699', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (814, 1960, 437, 'CanHop', true, 'D', '2021-04-04 19:20:43.121006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (815, 1961, 437, 'Object', true, 'I', '2020-11-24 19:32:21.85699', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (816, 1961, 437, 'Object', true, 'D', '2021-04-04 19:20:43.121006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (817, 1962, 437, 'Frog', true, 'I', '2020-11-24 19:32:21.85699', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (818, 1962, 437, 'Frog', true, 'D', '2021-04-04 19:20:43.121006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (819, 1963, 437, 'BrazilianHornedFrog', false, 'I', '2020-11-24 19:32:21.85699', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (820, 1963, 437, 'BrazilianHornedFrog', false, 'D', '2021-04-04 19:20:43.121006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (821, 1964, 437, 'TurtleFrog', true, 'I', '2020-11-24 19:32:21.85699', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (822, 1964, 437, 'TurtleFrog', true, 'D', '2021-04-04 19:20:43.121006', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (824, 1881, 420, 'Класс ExampleJava бросит исключение во время выполнения программы', false, 'I', '2020-11-24 19:32:18.786681', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (825, 1881, 420, 'Класс ExampleJava бросит исключение во время выполнения программы', false, 'D', '2021-04-04 19:33:00.579234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (826, 1882, 420, 'Класс ExampleJava не скомпилируется', true, 'I', '2020-11-24 19:32:18.786681', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (827, 1882, 420, 'Класс ExampleJava не скомпилируется', true, 'D', '2021-04-04 19:33:00.579234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (828, 1883, 420, 'Класс ExampleJava напечатает Java', false, 'I', '2020-11-24 19:32:18.786681', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (829, 1883, 420, 'Класс ExampleJava напечатает Java', false, 'D', '2021-04-04 19:33:00.579234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (830, 1884, 420, 'Класс ExampleJava напечатает null', false, 'I', '2020-11-24 19:32:18.786681', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (831, 1884, 420, 'Класс ExampleJava напечатает null', false, 'D', '2021-04-04 19:33:00.579234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (833, 2905, 420, 'Класс ExampleJava бросит исключение во время выполнения программы', false, 'I', '2021-04-04 19:33:00.579234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (834, 2905, 420, 'Класс ExampleJava бросит исключение во время выполнения программы', false, 'D', '2021-04-04 19:33:41.910114', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (835, 2906, 420, 'Класс ExampleJava не скомпилируется', true, 'I', '2021-04-04 19:33:00.579234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (836, 2906, 420, 'Класс ExampleJava не скомпилируется', true, 'D', '2021-04-04 19:33:41.910114', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (837, 2907, 420, 'Класс ExampleJava напечатает Java', false, 'I', '2021-04-04 19:33:00.579234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (838, 2907, 420, 'Класс ExampleJava напечатает Java', false, 'D', '2021-04-04 19:33:41.910114', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (839, 2908, 420, 'Класс ExampleJava напечатает null', false, 'I', '2021-04-04 19:33:00.579234', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (840, 2908, 420, 'Класс ExampleJava напечатает null', false, 'D', '2021-04-04 19:33:41.910114', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (842, 1885, 421, 'Нельзя определить аргумент метода как private переменную.', true, 'I', '2020-11-24 19:32:18.993985', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (843, 1885, 421, 'Нельзя определить аргумент метода как private переменную.', true, 'D', '2021-04-04 19:34:04.485773', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (844, 1886, 421, 'Аргумент метода должен быть объявлен с public или default доступом.', false, 'I', '2020-11-24 19:32:18.993985', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (845, 1886, 421, 'Аргумент метода должен быть объявлен с public или default доступом.', false, 'D', '2021-04-04 19:34:04.485773', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (846, 1887, 421, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, 'I', '2020-11-24 19:32:18.993985', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (847, 1887, 421, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, 'D', '2021-04-04 19:34:04.485773', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (848, 1888, 421, 'Ничего из указанного.', false, 'I', '2020-11-24 19:32:18.993985', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (849, 1888, 421, 'Ничего из указанного.', false, 'D', '2021-04-04 19:34:04.485773', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (851, 1889, 422, 'ab 20.0', false, 'I', '2020-11-24 19:32:19.197008', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (852, 1889, 422, 'ab 20.0', false, 'D', '2021-04-04 19:34:24.625342', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (853, 1890, 422, 'ab 20', false, 'I', '2020-11-24 19:32:19.197008', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (854, 1890, 422, 'ab 20', false, 'D', '2021-04-04 19:34:24.625342', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (855, 1891, 422, '195 20.0', true, 'I', '2020-11-24 19:32:19.197008', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (856, 1891, 422, '195 20.0', true, 'D', '2021-04-04 19:34:24.625342', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (857, 1892, 422, '195 20', false, 'I', '2020-11-24 19:32:19.197008', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (858, 1892, 422, '195 20', false, 'D', '2021-04-04 19:34:24.625342', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (859, 1893, 422, 'Ошибка компиляции', false, 'I', '2020-11-24 19:32:19.197008', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (860, 1893, 422, 'Ошибка компиляции', false, 'D', '2021-04-04 19:34:24.625342', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (861, 1894, 422, 'Runtime exception', false, 'I', '2020-11-24 19:32:19.197008', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (862, 1894, 422, 'Runtime exception', false, 'D', '2021-04-04 19:34:24.625342', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (864, 1895, 423, 'Строка 1', false, 'I', '2020-11-24 19:32:19.416128', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (865, 1895, 423, 'Строка 1', false, 'D', '2021-04-04 19:34:48.867936', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (866, 1896, 423, 'Строка 2', true, 'I', '2020-11-24 19:32:19.416128', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (867, 1896, 423, 'Строка 2', true, 'D', '2021-04-04 19:34:48.867936', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (868, 1897, 423, 'Строка 3', false, 'I', '2020-11-24 19:32:19.416128', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (869, 1897, 423, 'Строка 3', false, 'D', '2021-04-04 19:34:48.867936', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (870, 1898, 423, 'Строка 4', true, 'I', '2020-11-24 19:32:19.416128', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (871, 1898, 423, 'Строка 4', true, 'D', '2021-04-04 19:34:48.867936', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (872, 1899, 423, 'Строка 5', false, 'I', '2020-11-24 19:32:19.416128', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (873, 1899, 423, 'Строка 5', false, 'D', '2021-04-04 19:34:48.867936', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (875, 1900, 424, '960', false, 'I', '2020-11-24 19:32:19.606445', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (876, 1900, 424, '960', false, 'D', '2021-04-04 19:35:06.749127', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (877, 1901, 424, '641', false, 'I', '2020-11-24 19:32:19.606445', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (878, 1901, 424, '641', false, 'D', '2021-04-04 19:35:06.749127', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (879, 1902, 424, '930', false, 'I', '2020-11-24 19:32:19.606445', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (880, 1902, 424, '930', false, 'D', '2021-04-04 19:35:06.749127', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (881, 1903, 424, '611', true, 'I', '2020-11-24 19:32:19.606445', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (882, 1903, 424, '611', true, 'D', '2021-04-04 19:35:06.749127', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (884, 1908, 426, 'Переменная height для Person не может иметь значение более 300', false, 'I', '2020-11-24 19:32:20.016384', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (885, 1908, 426, 'Переменная height для Person не может иметь значение более 300', false, 'D', '2021-04-04 19:35:41.879448', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (886, 1909, 426, 'Этот код является примером хорошо инкапсулированного класса', false, 'I', '2020-11-24 19:32:20.016384', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (887, 1909, 426, 'Этот код является примером хорошо инкапсулированного класса', false, 'D', '2021-04-04 19:35:41.879448', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (888, 1910, 426, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, 'I', '2020-11-24 19:32:20.016384', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (889, 1910, 426, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, 'D', '2021-04-04 19:35:41.879448', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (890, 1911, 426, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, 'I', '2020-11-24 19:32:20.016384', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (891, 1911, 426, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, 'D', '2021-04-04 19:35:41.879448', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (893, 1917, 428, 'Bird is flyingPelican is flying', false, 'I', '2020-11-24 19:32:20.428826', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (894, 1917, 428, 'Bird is flyingPelican is flying', false, 'D', '2021-04-04 19:36:25.966945', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (895, 1918, 428, 'Bird is flying', true, 'I', '2020-11-24 19:32:20.428826', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (896, 1918, 428, 'Bird is flying', true, 'D', '2021-04-04 19:36:25.966945', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (897, 1919, 428, 'Pelican is flying', false, 'I', '2020-11-24 19:32:20.428826', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (898, 1919, 428, 'Pelican is flying', false, 'D', '2021-04-04 19:36:25.966945', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (899, 1920, 428, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, 'I', '2020-11-24 19:32:20.428826', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (900, 1920, 428, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, 'D', '2021-04-04 19:36:25.966945', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (901, 1921, 428, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, 'I', '2020-11-24 19:32:20.428826', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (902, 1921, 428, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, 'D', '2021-04-04 19:36:25.966945', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (904, 1922, 429, 'Reptile laying eggs', false, 'I', '2020-11-24 19:32:20.629864', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (905, 1922, 429, 'Reptile laying eggs', false, 'D', '2021-04-04 19:36:58.736222', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (906, 1923, 429, 'Lizard laying eggs', false, 'I', '2020-11-24 19:32:20.629864', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (907, 1923, 429, 'Lizard laying eggs', false, 'D', '2021-04-04 19:36:58.736222', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (908, 1924, 429, 'Ошибка компиляции на строке:Reptile reptile = new Lizard();', false, 'I', '2020-11-24 19:32:20.629864', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (909, 1924, 429, 'Ошибка компиляции на строке:Reptile reptile = new Lizard();', false, 'D', '2021-04-04 19:36:58.736222', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (910, 1925, 429, 'Ошибка компиляции на строке:reptile.layEggs();', false, 'I', '2020-11-24 19:32:20.629864', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (911, 1925, 429, 'Ошибка компиляции на строке:reptile.layEggs();', false, 'D', '2021-04-04 19:36:58.736222', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (912, 1926, 429, 'Ошибка компиляции на строке:public void layEggs() { System.out.println("Lizard laying eggs"); }', true, 'I', '2020-11-24 19:32:20.629864', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (913, 1926, 429, 'Ошибка компиляции на строке:public void layEggs() { System.out.println("Lizard laying eggs"); }', true, 'D', '2021-04-04 19:36:58.736222', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (915, 1864, 416, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, 'I', '2020-11-24 19:32:18.044064', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (916, 1864, 416, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, 'D', '2021-04-04 19:38:07.224412', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (917, 1865, 416, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, 'I', '2020-11-24 19:32:18.044064', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (918, 1865, 416, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, 'D', '2021-04-04 19:38:07.224412', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (919, 1866, 416, 'Оба класса Student и Course определены в пакете com.examplejava', true, 'I', '2020-11-24 19:32:18.044064', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (920, 1866, 416, 'Оба класса Student и Course определены в пакете com.examplejava', true, 'D', '2021-04-04 19:38:07.224412', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (921, 1867, 416, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, 'I', '2020-11-24 19:32:18.044064', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (922, 1867, 416, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, 'D', '2021-04-04 19:38:07.224412', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (924, 2946, 416, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, 'I', '2021-04-04 19:38:07.224412', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (925, 2946, 416, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, 'D', '2021-04-04 19:38:25.3262', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (926, 2947, 416, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, 'I', '2021-04-04 19:38:07.224412', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (927, 2947, 416, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, 'D', '2021-04-04 19:38:25.3262', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (928, 2948, 416, 'Оба класса Student и Course определены в пакете com.examplejava', true, 'I', '2021-04-04 19:38:07.224412', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (929, 2948, 416, 'Оба класса Student и Course определены в пакете com.examplejava', true, 'D', '2021-04-04 19:38:25.3262', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (930, 2949, 416, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, 'I', '2021-04-04 19:38:07.224412', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (931, 2949, 416, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, 'D', '2021-04-04 19:38:25.3262', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (933, 1868, 417, 'public void main (String[] args)', false, 'I', '2020-11-24 19:32:18.192033', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (934, 1868, 417, 'public void main (String[] args)', false, 'D', '2021-04-04 19:38:49.964994', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (935, 1869, 417, 'static public void main (String[] array)', true, 'I', '2020-11-24 19:32:18.192033', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (936, 1869, 417, 'static public void main (String[] array)', true, 'D', '2021-04-04 19:38:49.964994', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (937, 1870, 417, 'public static void main (String args[])', true, 'I', '2020-11-24 19:32:18.192033', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (938, 1870, 417, 'public static void main (String args[])', true, 'D', '2021-04-04 19:38:49.964994', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (939, 1871, 417, 'static public main (String args[])', false, 'I', '2020-11-24 19:32:18.192033', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (940, 1871, 417, 'static public main (String args[])', false, 'D', '2021-04-04 19:38:49.964994', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (942, 1872, 418, 'import mycode.com.examplejava.Course', false, 'I', '2020-11-24 19:32:18.37691', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (943, 1872, 418, 'import mycode.com.examplejava.Course', false, 'D', '2021-04-04 19:39:20.807904', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (944, 1873, 418, 'import com.examplejava.Course', true, 'I', '2020-11-24 19:32:18.37691', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (945, 1873, 418, 'import com.examplejava.Course', true, 'D', '2021-04-04 19:39:20.807904', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (946, 1874, 418, 'import com.examplejava*', false, 'I', '2020-11-24 19:32:18.37691', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (947, 1874, 418, 'import com.examplejava*', false, 'D', '2021-04-04 19:39:20.807904', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (948, 1875, 418, 'import com.examplejava', false, 'I', '2020-11-24 19:32:18.37691', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (949, 1875, 418, 'import com.examplejava', false, 'D', '2021-04-04 19:39:20.807904', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (950, 1876, 418, 'import com.examplejava.*', true, 'I', '2020-11-24 19:32:18.37691', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (951, 1876, 418, 'import com.examplejava.*', true, 'D', '2021-04-04 19:39:20.807904', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (953, 1877, 419, 'Класс ExampleJava напечатает Java', false, 'I', '2020-11-24 19:32:18.591108', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (954, 1877, 419, 'Класс ExampleJava напечатает Java', false, 'D', '2021-04-04 19:39:47.051991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (956, 1878, 419, 'Класс ExampleJava напечатает null', false, 'D', '2021-04-04 19:39:47.051991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (957, 1879, 419, 'Класс ExampleJava бросит исключение во время выполнения программы', false, 'I', '2020-11-24 19:32:18.591108', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (958, 1879, 419, 'Класс ExampleJava бросит исключение во время выполнения программы', false, 'D', '2021-04-04 19:39:47.051991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (959, 1880, 419, 'Класс ExampleJava не скомпилируется', true, 'I', '2020-11-24 19:32:18.591108', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (960, 1880, 419, 'Класс ExampleJava не скомпилируется', true, 'D', '2021-04-04 19:39:47.051991', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (998, 3079, 619, '1000, 5000, 99999', false, 'I', '2021-04-12 12:36:31.811729', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (999, 3079, 619, '1000, 5000, 99999', false, 'D', '2021-04-12 12:36:45.30742', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1000, 3080, 619, '9999, 50000, 100000', false, 'I', '2021-04-12 12:36:31.811729', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1001, 3080, 619, '9999, 50000, 100000', false, 'D', '2021-04-12 12:36:45.30742', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1002, 3081, 619, '10000, 50000, 99999', true, 'I', '2021-04-12 12:36:31.811729', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1003, 3081, 619, '10000, 50000, 99999', true, 'D', '2021-04-12 12:36:45.30742', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1004, 3082, 619, '1000, 99999', false, 'I', '2021-04-12 12:36:31.811729', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1005, 3082, 619, '1000, 99999', false, 'D', '2021-04-12 12:36:45.30742', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1007, 3083, 619, '1000, 5000, 99999', false, 'I', '2021-04-12 12:36:45.30742', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1008, 3083, 619, '1000, 5000, 99999', false, 'D', '2021-04-12 12:36:53.983226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1009, 3084, 619, '9999, 50000, 100000', false, 'I', '2021-04-12 12:36:45.30742', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1010, 3084, 619, '9999, 50000, 100000', false, 'D', '2021-04-12 12:36:53.983226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1011, 3085, 619, '10000, 50000, 99999', true, 'I', '2021-04-12 12:36:45.30742', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1012, 3085, 619, '10000, 50000, 99999', true, 'D', '2021-04-12 12:36:53.983226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1013, 3086, 619, '1000, 99999', false, 'I', '2021-04-12 12:36:45.30742', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1014, 3086, 619, '1000, 99999', false, 'D', '2021-04-12 12:36:53.983226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1015, 3087, 619, '9999, 10000, 50000, 99999, 10000', false, 'I', '2021-04-12 12:36:45.30742', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1016, 3087, 619, '9999, 10000, 50000, 99999, 10000', false, 'D', '2021-04-12 12:36:53.983226', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.answers_history VALUES (1052, 3319, 678, 'Для поиска компонентов Spring в указанных пакетах', true, 'I', '2021-06-12 22:36:20.049086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1053, 3319, 678, 'Для поиска компонентов Spring в указанных пакетах', true, 'D', '2021-06-12 22:41:21.471436', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1054, 3320, 678, 'Обяъвляет класс компонентом Spring', false, 'I', '2021-06-12 22:36:20.049086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1055, 3320, 678, 'Обяъвляет класс компонентом Spring', false, 'D', '2021-06-12 22:41:21.471436', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1056, 3321, 678, 'Проверяет компонент на зависимость от других компонентов', false, 'I', '2021-06-12 22:36:20.049086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1057, 3321, 678, 'Проверяет компонент на зависимость от других компонентов', false, 'D', '2021-06-12 22:41:21.471436', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1058, 3322, 678, 'Является аннотацией-родителем остальных стереотипных аннотаций', false, 'I', '2021-06-12 22:36:20.049086', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1059, 3322, 678, 'Является аннотацией-родителем остальных стереотипных аннотаций', false, 'D', '2021-06-12 22:41:21.471436', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1060, 3327, 680, 'Указвыает Spring, что данное поле класса является бином', false, 'I', '2021-06-12 22:43:10.210247', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1061, 3327, 680, 'Указвыает Spring, что данное поле класса является бином', false, 'D', '2021-06-12 22:45:53.643269', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1062, 3328, 680, 'Указывается над классом, который хранит конфигурацию контектса Spring', false, 'I', '2021-06-12 22:43:10.210247', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1063, 3328, 680, 'Указывается над классом, который хранит конфигурацию контектса Spring', false, 'D', '2021-06-12 22:45:53.643269', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1064, 3329, 680, 'В классах конфигурации для опредления бинов с кастомной логикой', true, 'I', '2021-06-12 22:43:10.210247', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1065, 3329, 680, 'В классах конфигурации для опредления бинов с кастомной логикой', true, 'D', '2021-06-12 22:45:53.643269', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1066, 3330, 680, 'Обяъвляет класс компонентом Spring', false, 'I', '2021-06-12 22:43:10.210247', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1067, 3330, 680, 'Обяъвляет класс компонентом Spring', false, 'D', '2021-06-12 22:45:53.643269', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1069, 3450, 680, 'Указвыает Spring, что данное поле класса является бином', false, 'I', '2021-06-12 22:45:53.643269', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1070, 3450, 680, 'Указвыает Spring, что данное поле класса является бином', false, 'D', '2021-06-12 22:46:28.11798', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1071, 3451, 680, 'Указывается над классом, который хранит конфигурацию контектса Spring', false, 'I', '2021-06-12 22:45:53.643269', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1072, 3451, 680, 'Указывается над классом, который хранит конфигурацию контектса Spring', false, 'D', '2021-06-12 22:46:28.11798', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1073, 3452, 680, 'В классах конфигурации для опредления бинов с кастомной логикой', true, 'I', '2021-06-12 22:45:53.643269', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1074, 3452, 680, 'В классах конфигурации для опредления бинов с кастомной логикой', true, 'D', '2021-06-12 22:46:28.11798', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1075, 3453, 680, 'Обяъвляет класс компонентом Spring', false, 'I', '2021-06-12 22:45:53.643269', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1076, 3453, 680, 'Обяъвляет класс компонентом Spring', false, 'D', '2021-06-12 22:46:28.11798', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1078, 3458, 710, '1', false, 'I', '2021-09-16 12:26:43.071583', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1079, 3458, 710, '1', false, 'D', '2021-09-16 12:28:04.613365', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1080, 3459, 710, '2', true, 'I', '2021-09-16 12:26:43.071583', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1081, 3459, 710, '2', true, 'D', '2021-09-16 12:28:04.613365', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1083, 3498, 717, 'Приоритеты всех перечисленных операций равны', false, 'I', '2021-09-16 12:34:42.829427', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1084, 3498, 717, 'Приоритеты всех перечисленных операций равны', false, 'D', '2021-09-16 12:34:52.965975', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1085, 3499, 717, 'AND и OR > NOT > IN', false, 'I', '2021-09-16 12:34:42.829427', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1086, 3499, 717, 'AND и OR > NOT > IN', false, 'D', '2021-09-16 12:34:52.965975', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1087, 3500, 717, 'AND > OR > NOT > IN', false, 'I', '2021-09-16 12:34:42.829427', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1088, 3500, 717, 'AND > OR > NOT > IN', false, 'D', '2021-09-16 12:34:52.965975', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1089, 3501, 717, 'NOT > AND > OR и IN', true, 'I', '2021-09-16 12:34:42.829427', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1090, 3501, 717, 'NOT > AND > OR и IN', true, 'D', '2021-09-16 12:34:52.965975', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1091, 3502, 717, 'NOT > AND и OR > IN', false, 'I', '2021-09-16 12:34:42.829427', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1092, 3502, 717, 'NOT > AND и OR > IN', false, 'D', '2021-09-16 12:34:52.965975', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1093, 3503, 717, 'NOT > AND > OR > IN
', false, 'I', '2021-09-16 12:34:42.829427', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1094, 3503, 717, 'NOT > AND > OR > IN
', false, 'D', '2021-09-16 12:34:52.965975', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1096, 3707, 752, 'hibernate.cache.use_second_level_cache=true', false, 'I', '2021-09-16 13:02:00.269971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1097, 3707, 752, 'hibernate.cache.use_second_level_cache=true', false, 'D', '2021-09-16 13:02:36.443318', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1098, 3708, 752, 'hibernate.cache.use_cache_query=true', false, 'I', '2021-09-16 13:02:00.269971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1099, 3708, 752, 'hibernate.cache.use_cache_query=true', false, 'D', '2021-09-16 13:02:36.443318', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1100, 3709, 752, 'hibernate.cache.use_query_cache=true', true, 'I', '2021-09-16 13:02:00.269971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1101, 3709, 752, 'hibernate.cache.use_query_cache=true', true, 'D', '2021-09-16 13:02:36.443318', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1102, 3710, 752, 'hibernate.cache.use_cache=true', false, 'I', '2021-09-16 13:02:00.269971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1103, 3710, 752, 'hibernate.cache.use_cache=true', false, 'D', '2021-09-16 13:02:36.443318', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1104, 3711, 752, 'Никакая из перечисленных', false, 'I', '2021-09-16 13:02:00.269971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1105, 3711, 752, 'Никакая из перечисленных', false, 'D', '2021-09-16 13:02:36.443318', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1107, 3701, 751, 'Transient', false, 'I', '2021-09-16 13:01:32.6593', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1108, 3701, 751, 'Transient', false, 'D', '2021-09-16 13:02:43.257641', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1109, 3702, 751, 'Transaction', true, 'I', '2021-09-16 13:01:32.6593', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1110, 3702, 751, 'Transaction', true, 'D', '2021-09-16 13:02:43.257641', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1111, 3703, 751, 'Persistent', false, 'I', '2021-09-16 13:01:32.6593', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1112, 3703, 751, 'Persistent', false, 'D', '2021-09-16 13:02:43.257641', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1113, 3704, 751, 'Detached', false, 'I', '2021-09-16 13:01:32.6593', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1114, 3704, 751, 'Detached', false, 'D', '2021-09-16 13:02:43.257641', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1115, 3705, 751, 'Attached', true, 'I', '2021-09-16 13:01:32.6593', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1116, 3705, 751, 'Attached', true, 'D', '2021-09-16 13:02:43.257641', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1117, 3706, 751, 'Removed', false, 'I', '2021-09-16 13:01:32.6593', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1118, 3706, 751, 'Removed', false, 'D', '2021-09-16 13:02:43.257641', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1120, 3795, 767, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, 'I', '2021-09-16 13:09:45.651971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1121, 3795, 767, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, 'D', '2021-09-16 13:10:24.059839', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1122, 3796, 767, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, 'I', '2021-09-16 13:09:45.651971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1123, 3796, 767, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, 'D', '2021-09-16 13:10:24.059839', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1124, 3797, 767, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, 'I', '2021-09-16 13:09:45.651971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1125, 3797, 767, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, 'D', '2021-09-16 13:10:24.059839', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1126, 3798, 767, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, 'I', '2021-09-16 13:09:45.651971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1127, 3798, 767, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, 'D', '2021-09-16 13:10:24.059839', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1128, 3799, 767, 'Аннотация имеет другое значение, не указанное среди ответов', false, 'I', '2021-09-16 13:09:45.651971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1129, 3799, 767, 'Аннотация имеет другое значение, не указанное среди ответов', false, 'D', '2021-09-16 13:10:24.059839', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1130, 3800, 767, 'Такой аннотации не существует в Hibernate', false, 'I', '2021-09-16 13:09:45.651971', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1131, 3800, 767, 'Такой аннотации не существует в Hibernate', false, 'D', '2021-09-16 13:10:24.059839', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1133, 4105, 823, 'ConcurrentLinkedQueue', false, 'I', '2021-09-16 13:54:28.154065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1134, 4105, 823, 'ConcurrentLinkedQueue', false, 'D', '2021-09-16 13:54:46.243834', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1135, 4106, 823, 'ConcurrentSkipListMap', true, 'I', '2021-09-16 13:54:28.154065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1136, 4106, 823, 'ConcurrentSkipListMap', true, 'D', '2021-09-16 13:54:46.243834', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1137, 4107, 823, 'CopyOnWriteArrayList', false, 'I', '2021-09-16 13:54:28.154065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1138, 4107, 823, 'CopyOnWriteArrayList', false, 'D', '2021-09-16 13:54:46.243834', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1139, 4108, 823, 'LinkedBlockingQueue', false, 'I', '2021-09-16 13:54:28.154065', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1140, 4108, 823, 'LinkedBlockingQueue', false, 'D', '2021-09-16 13:54:46.243834', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1421, 4485, 892, 'Изменить "new ReentrantLock()" на "new ReentrantLock(true)"', false, 'I', '2021-09-16 14:57:01.766622', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1422, 4485, 892, 'Изменить "new ReentrantLock()" на "new ReentrantLock(true)"', false, 'D', '2022-05-21 23:51:09.039333', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1423, 4486, 892, 'Поставить вызов lock.lock() перед блоком try', false, 'I', '2021-09-16 14:57:01.766622', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1424, 4486, 892, 'Поставить вызов lock.lock() перед блоком try', false, 'D', '2022-05-21 23:51:09.039333', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1425, 4487, 892, 'Добавить перед объявлением lock модификаторы private и final', true, 'I', '2021-09-16 14:57:01.766622', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1426, 4487, 892, 'Добавить перед объявлением lock модификаторы private и final', true, 'D', '2022-05-21 23:51:09.039333', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1427, 4488, 892, 'Добавить перед объявлением lock модификаторы private, final и static', false, 'I', '2021-09-16 14:57:01.766622', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1428, 4488, 892, 'Добавить перед объявлением lock модификаторы private, final и static', false, 'D', '2022-05-21 23:51:09.039333', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1429, 4489, 892, 'Добавить перед объявлением lock модификатор static', false, 'I', '2021-09-16 14:57:01.766622', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1430, 4489, 892, 'Добавить перед объявлением lock модификатор static', false, 'D', '2022-05-21 23:51:09.039333', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1431, 4490, 892, 'Изменения не требуются, код потокобезопасен', false, 'I', '2021-09-16 14:57:01.766622', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1432, 4490, 892, 'Изменения не требуются, код потокобезопасен', false, 'D', '2022-05-21 23:51:09.039333', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1434, 4776, 892, 'Изменить "new ReentrantLock()" на "new ReentrantLock(true)"', false, 'I', '2022-05-21 23:51:09.039333', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1435, 4776, 892, 'Изменить "new ReentrantLock()" на "new ReentrantLock(true)"', false, 'D', '2022-05-21 23:51:14.317417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1436, 4777, 892, 'Поставить вызов lock.lock() перед блоком try', false, 'I', '2022-05-21 23:51:09.039333', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1437, 4777, 892, 'Поставить вызов lock.lock() перед блоком try', false, 'D', '2022-05-21 23:51:14.317417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1438, 4778, 892, 'Добавить перед объявлением lock модификаторы private и final', true, 'I', '2022-05-21 23:51:09.039333', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1439, 4778, 892, 'Добавить перед объявлением lock модификаторы private и final', true, 'D', '2022-05-21 23:51:14.317417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1440, 4779, 892, 'Добавить перед объявлением lock модификаторы private, final и static', false, 'I', '2022-05-21 23:51:09.039333', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1441, 4779, 892, 'Добавить перед объявлением lock модификаторы private, final и static', false, 'D', '2022-05-21 23:51:14.317417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1442, 4780, 892, 'Добавить перед объявлением lock модификатор static', false, 'I', '2022-05-21 23:51:09.039333', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1443, 4780, 892, 'Добавить перед объявлением lock модификатор static', false, 'D', '2022-05-21 23:51:14.317417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1444, 4781, 892, 'Изменения не требуются, код потокобезопасен', false, 'I', '2022-05-21 23:51:09.039333', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1445, 4781, 892, 'Изменения не требуются, код потокобезопасен', false, 'D', '2022-05-21 23:51:14.317417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1469, 4788, 942, 'Тrun python file.py', false, 'I', '2022-06-20 14:48:24.372606', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1470, 4788, 942, 'Тrun python file.py', false, 'D', '2022-06-20 14:55:59.427006', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1471, 4789, 942, 'python exec file.py', false, 'I', '2022-06-20 14:48:24.372606', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1472, 4789, 942, 'python exec file.py', false, 'D', '2022-06-20 14:55:59.427006', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1473, 4790, 942, 'python file.py exec', false, 'I', '2022-06-20 14:48:24.372606', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1474, 4790, 942, 'python file.py exec', false, 'D', '2022-06-20 14:55:59.427006', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1475, 4791, 942, 'python file.py', true, 'I', '2022-06-20 14:48:24.372606', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1476, 4791, 942, 'python file.py', true, 'D', '2022-06-20 14:55:59.427006', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1478, 4800, 942, 'Тrun python file.py', false, 'I', '2022-06-20 14:55:59.427006', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1479, 4800, 942, 'Тrun python file.py', false, 'D', '2022-06-20 14:56:30.09072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1480, 4801, 942, 'python exec file.py', false, 'I', '2022-06-20 14:55:59.427006', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1481, 4801, 942, 'python exec file.py', false, 'D', '2022-06-20 14:56:30.09072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1482, 4802, 942, 'python file.py exec', false, 'I', '2022-06-20 14:55:59.427006', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1483, 4802, 942, 'python file.py exec', false, 'D', '2022-06-20 14:56:30.09072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1484, 4803, 942, 'python file.py', true, 'I', '2022-06-20 14:55:59.427006', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1485, 4803, 942, 'python file.py', true, 'D', '2022-06-20 14:56:30.09072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1487, 4804, 942, 'Тrun python file.py', false, 'I', '2022-06-20 14:56:30.09072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1488, 4804, 942, 'Тrun python file.py', false, 'D', '2022-06-20 14:56:31.811411', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1489, 4805, 942, 'python exec file.py', false, 'I', '2022-06-20 14:56:30.09072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1490, 4805, 942, 'python exec file.py', false, 'D', '2022-06-20 14:56:31.811411', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1491, 4806, 942, 'python file.py exec', false, 'I', '2022-06-20 14:56:30.09072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1492, 4806, 942, 'python file.py exec', false, 'D', '2022-06-20 14:56:31.811411', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1493, 4807, 942, 'python file.py', true, 'I', '2022-06-20 14:56:30.09072', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1494, 4807, 942, 'python file.py', true, 'D', '2022-06-20 14:56:31.811411', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1496, 4808, 942, 'Тrun python file.py', false, 'I', '2022-06-20 14:56:31.811411', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1497, 4808, 942, 'Тrun python file.py', false, 'D', '2022-06-20 14:56:46.861878', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1498, 4809, 942, 'python exec file.py', false, 'I', '2022-06-20 14:56:31.811411', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1499, 4809, 942, 'python exec file.py', false, 'D', '2022-06-20 14:56:46.861878', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1500, 4810, 942, 'python file.py exec', false, 'I', '2022-06-20 14:56:31.811411', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1501, 4810, 942, 'python file.py exec', false, 'D', '2022-06-20 14:56:46.861878', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1502, 4811, 942, 'python file.py', true, 'I', '2022-06-20 14:56:31.811411', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1503, 4811, 942, 'python file.py', true, 'D', '2022-06-20 14:56:46.861878', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1505, 4812, 942, 'Тrun python file.py', false, 'I', '2022-06-20 14:56:46.861878', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1506, 4812, 942, 'Тrun python file.py', false, 'D', '2022-06-20 14:59:38.95128', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1507, 4813, 942, 'python exec file.py', false, 'I', '2022-06-20 14:56:46.861878', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1508, 4813, 942, 'python exec file.py', false, 'D', '2022-06-20 14:59:38.95128', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1509, 4814, 942, 'python file.py exec', false, 'I', '2022-06-20 14:56:46.861878', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1510, 4814, 942, 'python file.py exec', false, 'D', '2022-06-20 14:59:38.95128', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1511, 4815, 942, 'python file.py', true, 'I', '2022-06-20 14:56:46.861878', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1512, 4815, 942, 'python file.py', true, 'D', '2022-06-20 14:59:38.95128', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1516, 4820, 943, 'a', false, 'I', '2022-06-20 15:05:10.752585', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1517, 4820, 943, 'a', false, 'D', '2022-06-20 15:08:01.397246', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1518, 4821, 943, 'a', true, 'I', '2022-06-20 15:05:10.752585', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1519, 4821, 943, 'a', true, 'D', '2022-06-20 15:08:01.397246', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1520, 5036, 995, 'Оба сообщения попадут и в Consumer1  и в Consumer2', false, 'I', '2022-06-23 20:29:20.130258', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1521, 5036, 995, 'Оба сообщения попадут и в Consumer1  и в Consumer2', false, 'D', '2022-06-23 20:30:55.498882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1522, 5037, 995, 'Первое сообщение попадет в Consumer1, второе в Consumer2', false, 'I', '2022-06-23 20:29:20.130258', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1523, 5037, 995, 'Первое сообщение попадет в Consumer1, второе в Consumer2', false, 'D', '2022-06-23 20:30:55.498882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1524, 5038, 995, 'Оба сообщения попадут в Consumer1', false, 'I', '2022-06-23 20:29:20.130258', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1525, 5038, 995, 'Оба сообщения попадут в Consumer1', false, 'D', '2022-06-23 20:30:55.498882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1526, 5039, 995, 'Оба сообщения попадут в Consumer2', false, 'I', '2022-06-23 20:29:20.130258', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1527, 5039, 995, 'Оба сообщения попадут в Consumer2', false, 'D', '2022-06-23 20:30:55.498882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1528, 5040, 995, 'Сообщения не попадут ни в один консьюмер', false, 'I', '2022-06-23 20:29:20.130258', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1529, 5040, 995, 'Сообщения не попадут ни в один консьюмер', false, 'D', '2022-06-23 20:30:55.498882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1530, 5041, 995, 'Неизвестно', true, 'I', '2022-06-23 20:29:20.130258', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1531, 5041, 995, 'Неизвестно', true, 'D', '2022-06-23 20:30:55.498882', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1533, 5098, 1005, 'Добавить лидеров партиций', false, 'I', '2022-06-23 22:29:20.570515', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1534, 5098, 1005, 'Добавить лидеров партиций', false, 'D', '2022-06-23 23:20:21.313281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1535, 5099, 1005, 'Просто создать новых брокеров', false, 'I', '2022-06-23 22:29:20.570515', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1536, 5099, 1005, 'Просто создать новых брокеров', false, 'D', '2022-06-23 23:20:21.313281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1537, 5100, 1005, 'Изменить фактор репликации', true, 'I', '2022-06-23 22:29:20.570515', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1538, 5100, 1005, 'Изменить фактор репликации', true, 'D', '2022-06-23 23:20:21.313281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1539, 5101, 1005, 'Добавить продюсеров', false, 'I', '2022-06-23 22:29:20.570515', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1540, 5101, 1005, 'Добавить продюсеров', false, 'D', '2022-06-23 23:20:21.313281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1541, 5102, 1005, 'Добавить партиций', false, 'I', '2022-06-23 22:29:20.570515', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1542, 5102, 1005, 'Добавить партиций', false, 'D', '2022-06-23 23:20:21.313281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1543, 5103, 1005, 'Ничего из перечисленного', false, 'I', '2022-06-23 22:29:20.570515', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1544, 5103, 1005, 'Ничего из перечисленного', false, 'D', '2022-06-23 23:20:21.313281', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1548, 5165, 1017, 'kafka-create-topic.sh', false, 'I', '2022-07-01 13:51:34.431289', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1549, 5165, 1017, 'kafka-create-topic.sh', false, 'D', '2022-07-01 13:51:48.980682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1550, 5166, 1017, 'kafka-create-topic.bat', false, 'I', '2022-07-01 13:51:34.431289', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1551, 5166, 1017, 'kafka-create-topic.bat', false, 'D', '2022-07-01 13:51:48.980682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1552, 5167, 1017, 'kafka-start-topic.sh', false, 'I', '2022-07-01 13:51:34.431289', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1553, 5167, 1017, 'kafka-start-topic.sh', false, 'D', '2022-07-01 13:51:48.980682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1554, 5168, 1017, 'kafka-start-topic.bat', false, 'I', '2022-07-01 13:51:34.431289', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1555, 5168, 1017, 'kafka-start-topic.bat', false, 'D', '2022-07-01 13:51:48.980682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1556, 5169, 1017, 'kafka-topics.sh', true, 'I', '2022-07-01 13:51:34.431289', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1557, 5169, 1017, 'kafka-topics.sh', true, 'D', '2022-07-01 13:51:48.980682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1558, 5170, 1017, 'kafka-topics.bat', true, 'I', '2022-07-01 13:51:34.431289', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1559, 5170, 1017, 'kafka-topics.bat', true, 'D', '2022-07-01 13:51:48.980682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1561, 5153, 1015, 'kafka-broker-start.sh', false, 'I', '2022-07-01 13:42:47.173313', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1562, 5153, 1015, 'kafka-broker-start.sh', false, 'D', '2022-07-01 13:53:22.667445', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1563, 5154, 1015, 'kafka-server-start.sh', true, 'I', '2022-07-01 13:42:47.173313', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1564, 5154, 1015, 'kafka-server-start.sh', true, 'D', '2022-07-01 13:53:22.667445', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1565, 5155, 1015, 'kafka-producer-start.sh', false, 'I', '2022-07-01 13:42:47.173313', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1566, 5155, 1015, 'kafka-producer-start.sh', false, 'D', '2022-07-01 13:53:22.667445', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1567, 5156, 1015, 'kafka-consumer-start.sh', false, 'I', '2022-07-01 13:42:47.173313', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1568, 5156, 1015, 'kafka-consumer-start.sh', false, 'D', '2022-07-01 13:53:22.667445', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1569, 5157, 1015, 'kafka-start.sh', false, 'I', '2022-07-01 13:42:47.173313', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1570, 5157, 1015, 'kafka-start.sh', false, 'D', '2022-07-01 13:53:22.667445', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1571, 5158, 1015, 'Ничего из перечисленного?', false, 'I', '2022-07-01 13:42:47.173313', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1572, 5158, 1015, 'Ничего из перечисленного?', false, 'D', '2022-07-01 13:53:22.667445', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1574, 5177, 1015, 'kafka-broker-start.sh', false, 'I', '2022-07-01 13:53:22.667445', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1575, 5177, 1015, 'kafka-broker-start.sh', false, 'D', '2022-07-01 13:53:26.266936', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1576, 5178, 1015, 'kafka-server-start.sh', true, 'I', '2022-07-01 13:53:22.667445', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1577, 5178, 1015, 'kafka-server-start.sh', true, 'D', '2022-07-01 13:53:26.266936', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1578, 5179, 1015, 'kafka-producer-start.sh', false, 'I', '2022-07-01 13:53:22.667445', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1579, 5179, 1015, 'kafka-producer-start.sh', false, 'D', '2022-07-01 13:53:26.266936', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1580, 5180, 1015, 'kafka-consumer-start.sh', false, 'I', '2022-07-01 13:53:22.667445', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1581, 5180, 1015, 'kafka-consumer-start.sh', false, 'D', '2022-07-01 13:53:26.266936', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1582, 5181, 1015, 'kafka-start.sh', false, 'I', '2022-07-01 13:53:22.667445', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1583, 5181, 1015, 'kafka-start.sh', false, 'D', '2022-07-01 13:53:26.266936', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1584, 5182, 1015, 'Ничего из перечисленного?', false, 'I', '2022-07-01 13:53:22.667445', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1585, 5182, 1015, 'Ничего из перечисленного?', false, 'D', '2022-07-01 13:53:26.266936', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1587, 5216, 1024, 'В атомарности передачи данных', true, 'I', '2022-07-03 12:56:48.744981', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1588, 5216, 1024, 'В атомарности передачи данных', true, 'D', '2022-07-03 13:26:39.874347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1589, 5217, 1024, 'В возможности распределения узлов по разным серверам', false, 'I', '2022-07-03 12:56:48.744981', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1590, 5217, 1024, 'В возможности распределения узлов по разным серверам', false, 'D', '2022-07-03 13:26:39.874347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1591, 5218, 1024, 'В управлении очередями', false, 'I', '2022-07-03 12:56:48.744981', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1592, 5218, 1024, 'В управлении очередями', false, 'D', '2022-07-03 13:26:39.874347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1593, 5219, 1024, 'Ничего из перечисленного', false, 'I', '2022-07-03 12:56:48.744981', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1594, 5219, 1024, 'Ничего из перечисленного', false, 'D', '2022-07-03 13:26:39.874347', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1602, 5271, 1035, 'Любая программа, использующая библиотеку kafka streams', false, 'I', '2022-07-05 18:43:01.803346', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1603, 5271, 1035, 'Любая программа, использующая библиотеку kafka streams', false, 'D', '2022-07-05 18:43:14.843887', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1604, 5272, 1035, 'Неограниченный, постоянно обновляемый набор данных', false, 'I', '2022-07-05 18:43:01.803346', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1605, 5272, 1035, 'Неограниченный, постоянно обновляемый набор данных', false, 'D', '2022-07-05 18:43:14.843887', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1606, 5273, 1035, 'Узел в топологии процессоров, представляющий один шаг обработки.', true, 'I', '2022-07-05 18:43:01.803346', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1607, 5273, 1035, 'Узел в топологии процессоров, представляющий один шаг обработки.', true, 'D', '2022-07-05 18:43:14.843887', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1608, 5274, 1035, 'Ничего из перечисленного', false, 'I', '2022-07-05 18:43:01.803346', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1609, 5274, 1035, 'Ничего из перечисленного', false, 'D', '2022-07-05 18:43:14.843887', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1660, 5327, 1041, 'Ничего из перечисленного', false, 'D', '2022-07-05 21:16:59.199097', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1611, 5275, 1035, 'Любая программа, использующая библиотеку kafka streams', false, 'I', '2022-07-05 18:43:14.843887', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1612, 5275, 1035, 'Любая программа, использующая библиотеку kafka streams', false, 'D', '2022-07-05 18:45:09.613818', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1613, 5276, 1035, 'Неограниченный, постоянно обновляемый набор данных', false, 'I', '2022-07-05 18:43:14.843887', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1614, 5276, 1035, 'Неограниченный, постоянно обновляемый набор данных', false, 'D', '2022-07-05 18:45:09.613818', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1615, 5277, 1035, 'Узел в топологии процессоров, представляющий один шаг обработки.', true, 'I', '2022-07-05 18:43:14.843887', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1616, 5277, 1035, 'Узел в топологии процессоров, представляющий один шаг обработки.', true, 'D', '2022-07-05 18:45:09.613818', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1617, 5278, 1035, 'Ничего из перечисленного', false, 'I', '2022-07-05 18:43:14.843887', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1618, 5278, 1035, 'Ничего из перечисленного', false, 'D', '2022-07-05 18:45:09.613818', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1620, 5279, 1035, 'Любая программа, использующая библиотеку kafka streams', false, 'I', '2022-07-05 18:45:09.613818', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1621, 5279, 1035, 'Любая программа, использующая библиотеку kafka streams', false, 'D', '2022-07-05 18:46:09.673169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1622, 5280, 1035, 'Неограниченный, постоянно обновляемый набор данных', false, 'I', '2022-07-05 18:45:09.613818', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1623, 5280, 1035, 'Неограниченный, постоянно обновляемый набор данных', false, 'D', '2022-07-05 18:46:09.673169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1624, 5281, 1035, 'Узел в топологии процессоров, представляющий один шаг обработки.', true, 'I', '2022-07-05 18:45:09.613818', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1625, 5281, 1035, 'Узел в топологии процессоров, представляющий один шаг обработки.', true, 'D', '2022-07-05 18:46:09.673169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1626, 5282, 1035, 'Ничего из перечисленного', false, 'I', '2022-07-05 18:45:09.613818', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1627, 5282, 1035, 'Ничего из перечисленного', false, 'D', '2022-07-05 18:46:09.673169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1629, 5302, 1039, '.index', false, 'I', '2022-07-05 19:29:26.313766', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1630, 5302, 1039, '.index', false, 'D', '2022-07-05 19:30:15.693271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1631, 5303, 1039, '.log', true, 'I', '2022-07-05 19:29:26.313766', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1632, 5303, 1039, '.log', true, 'D', '2022-07-05 19:30:15.693271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1633, 5304, 1039, '.timeindex', false, 'I', '2022-07-05 19:29:26.313766', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1634, 5304, 1039, '.timeindex', false, 'D', '2022-07-05 19:30:15.693271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1635, 5305, 1039, '.txt', false, 'I', '2022-07-05 19:29:26.313766', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1636, 5305, 1039, '.txt', false, 'D', '2022-07-05 19:30:15.693271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1637, 5306, 1039, '.sql', false, 'I', '2022-07-05 19:29:26.313766', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1638, 5306, 1039, '.sql', false, 'D', '2022-07-05 19:30:15.693271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1639, 5307, 1039, 'Ничего из перечисленного', false, 'I', '2022-07-05 19:29:26.313766', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1640, 5307, 1039, 'Ничего из перечисленного', false, 'D', '2022-07-05 19:30:15.693271', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1642, 5297, 1038, 'Логически объединенная группа файлов на диске брокера', false, 'I', '2022-07-05 19:26:59.834678', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1643, 5297, 1038, 'Логически объединенная группа файлов на диске брокера', false, 'D', '2022-07-05 20:23:03.964607', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1644, 5298, 1038, 'Логически объединенная группа брокеров в кластере', false, 'I', '2022-07-05 19:26:59.834678', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1645, 5298, 1038, 'Логически объединенная группа брокеров в кластере', false, 'D', '2022-07-05 20:23:03.964607', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1646, 5299, 1038, 'Отдельный файл на диске брокера', true, 'I', '2022-07-05 19:26:59.834678', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1647, 5299, 1038, 'Отдельный файл на диске брокера', true, 'D', '2022-07-05 20:23:03.964607', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1648, 5300, 1038, 'Логически объединенная группа консьюмеров', false, 'I', '2022-07-05 19:26:59.834678', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1649, 5300, 1038, 'Логически объединенная группа консьюмеров', false, 'D', '2022-07-05 20:23:03.964607', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1650, 5301, 1038, 'Ничего из перечисленного', false, 'I', '2022-07-05 19:26:59.834678', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1651, 5301, 1038, 'Ничего из перечисленного', false, 'D', '2022-07-05 20:23:03.964607', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1653, 5324, 1041, 'Временной промежуток, в который агрегируются данные стрима', true, 'I', '2022-07-05 21:14:10.079824', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1654, 5324, 1041, 'Временной промежуток, в который агрегируются данные стрима', true, 'D', '2022-07-05 21:16:59.199097', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1655, 5325, 1041, 'Операция, которая берет один входной поток или таблицу и создает новую таблицу путем объединения нескольких входных записей в одну выходную запись', false, 'I', '2022-07-05 21:14:10.079824', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1656, 5325, 1041, 'Операция, которая берет один входной поток или таблицу и создает новую таблицу путем объединения нескольких входных записей в одну выходную запись', false, 'D', '2022-07-05 21:16:59.199097', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1657, 5326, 1041, 'Данные, прошедшие обработку агрегирующими операциями', false, 'I', '2022-07-05 21:14:10.079824', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1658, 5326, 1041, 'Данные, прошедшие обработку агрегирующими операциями', false, 'D', '2022-07-05 21:16:59.199097', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1659, 5327, 1041, 'Ничего из перечисленного', false, 'I', '2022-07-05 21:14:10.079824', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1662, 5328, 1041, 'Временной промежуток, в который агрегируются данные стрима', false, 'I', '2022-07-05 21:16:59.199097', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1663, 5328, 1041, 'Временной промежуток, в который агрегируются данные стрима', false, 'D', '2022-07-05 21:21:41.988219', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1664, 5329, 1041, 'Операция, которая берет один входной поток или таблицу и создает новую таблицу путем объединения нескольких входных записей в одну выходную запись', true, 'I', '2022-07-05 21:16:59.199097', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1665, 5329, 1041, 'Операция, которая берет один входной поток или таблицу и создает новую таблицу путем объединения нескольких входных записей в одну выходную запись', true, 'D', '2022-07-05 21:21:41.988219', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1666, 5330, 1041, 'Данные, прошедшие обработку агрегирующими операциями', false, 'I', '2022-07-05 21:16:59.199097', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1667, 5330, 1041, 'Данные, прошедшие обработку агрегирующими операциями', false, 'D', '2022-07-05 21:21:41.988219', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1668, 5331, 1041, 'Ничего из перечисленного', false, 'I', '2022-07-05 21:16:59.199097', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1669, 5331, 1041, 'Ничего из перечисленного', false, 'D', '2022-07-05 21:21:41.988219', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1675, 4764, 940, '1', true, 'I', '2022-02-12 23:11:19.228497', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1676, 4764, 940, '1', true, 'D', '2022-07-11 23:32:32.09129', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1677, 4765, 940, '1', false, 'I', '2022-02-12 23:11:19.228497', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1678, 4765, 940, '1', false, 'D', '2022-07-11 23:32:32.09129', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1679, 4766, 940, '1', false, 'I', '2022-02-12 23:11:19.228497', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1680, 4766, 940, '1', false, 'D', '2022-07-11 23:32:32.09129', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1681, 4767, 940, '1', false, 'I', '2022-02-12 23:11:19.228497', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1682, 4767, 940, '1', false, 'D', '2022-07-11 23:32:32.09129', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1683, 4768, 940, '1', false, 'I', '2022-02-12 23:11:19.228497', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1684, 4768, 940, '1', false, 'D', '2022-07-11 23:32:32.09129', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1685, 4769, 940, '1', false, 'I', '2022-02-12 23:11:19.228497', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1686, 4769, 940, '1', false, 'D', '2022-07-11 23:32:32.09129', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1689, 4770, 941, 'Тестовый ответ 1 (верный)', true, 'I', '2022-02-12 23:14:26.283169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1690, 4770, 941, 'Тестовый ответ 1 (верный)', true, 'D', '2022-07-11 23:32:34.927559', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1691, 4771, 941, 'Тестовый ответ 2 (верный)', true, 'I', '2022-02-12 23:14:26.283169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1692, 4771, 941, 'Тестовый ответ 2 (верный)', true, 'D', '2022-07-11 23:32:34.927559', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1693, 4772, 941, 'Тестовый ответ 3', false, 'I', '2022-02-12 23:14:26.283169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1694, 4772, 941, 'Тестовый ответ 3', false, 'D', '2022-07-11 23:32:34.927559', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1695, 4773, 941, 'Тестовый ответ 4', false, 'I', '2022-02-12 23:14:26.283169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1696, 4773, 941, 'Тестовый ответ 4', false, 'D', '2022-07-11 23:32:34.927559', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1697, 4774, 941, 'Тестовый ответ 5', false, 'I', '2022-02-12 23:14:26.283169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1698, 4774, 941, 'Тестовый ответ 5', false, 'D', '2022-07-11 23:32:34.927559', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1699, 4775, 941, 'Тестовый ответ 6', false, 'I', '2022-02-12 23:14:26.283169', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1700, 4775, 941, 'Тестовый ответ 6', false, 'D', '2022-07-11 23:32:34.927559', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1706, 5371, 1051, 'Endpoint', false, 'I', '2022-10-08 16:11:53.644734', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1707, 5371, 1051, 'Endpoint', false, 'D', '2022-10-08 16:12:01.6571', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1708, 5372, 1051, 'Processor', false, 'I', '2022-10-08 16:11:53.644734', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1709, 5372, 1051, 'Processor', false, 'D', '2022-10-08 16:12:01.6571', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1710, 5373, 1051, 'Route', false, 'I', '2022-10-08 16:11:53.644734', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1711, 5373, 1051, 'Route', false, 'D', '2022-10-08 16:12:01.6571', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1712, 5374, 1051, 'Consumer', false, 'I', '2022-10-08 16:11:53.644734', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1713, 5374, 1051, 'Consumer', false, 'D', '2022-10-08 16:12:01.6571', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1714, 5375, 1051, 'Publisher', true, 'I', '2022-10-08 16:11:53.644734', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1715, 5375, 1051, 'Publisher', true, 'D', '2022-10-08 16:12:01.6571', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1717, 5376, 1051, 'Endpoint', false, 'I', '2022-10-08 16:12:01.6571', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1718, 5376, 1051, 'Endpoint', false, 'D', '2022-10-08 16:13:49.410417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1719, 5377, 1051, 'Processor', false, 'I', '2022-10-08 16:12:01.6571', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1720, 5377, 1051, 'Processor', false, 'D', '2022-10-08 16:13:49.410417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1721, 5378, 1051, 'Route', false, 'I', '2022-10-08 16:12:01.6571', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1722, 5378, 1051, 'Route', false, 'D', '2022-10-08 16:13:49.410417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1723, 5379, 1051, 'Consumer', false, 'I', '2022-10-08 16:12:01.6571', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1724, 5379, 1051, 'Consumer', false, 'D', '2022-10-08 16:13:49.410417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1725, 5380, 1051, 'Publisher', true, 'I', '2022-10-08 16:12:01.6571', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1726, 5380, 1051, 'Publisher', true, 'D', '2022-10-08 16:13:49.410417', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1728, 5367, 1049, 'from("jms:errors")', false, 'I', '2022-10-08 16:03:10.714044', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1729, 5367, 1049, 'from("jms:errors")', false, 'D', '2022-10-08 16:15:31.519754', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1730, 5365, 1049, 'from("jms:queue:errors")', true, 'I', '2022-10-08 16:03:10.714044', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1731, 5365, 1049, 'from("jms:queue:errors")', true, 'D', '2022-10-08 16:15:31.519754', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1732, 5366, 1049, 'from("jms:topic:errors")', false, 'I', '2022-10-08 16:03:10.714044', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1733, 5366, 1049, 'from("jms:topic:errors")', false, 'D', '2022-10-08 16:15:31.519754', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1735, 5393, 1053, 'file', true, 'I', '2022-10-08 16:39:11.868953', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1736, 5393, 1053, 'file', true, 'D', '2022-10-08 16:39:25.417384', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1737, 5394, 1053, 'delete', false, 'I', '2022-10-08 16:39:11.868953', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1738, 5394, 1053, 'delete', false, 'D', '2022-10-08 16:39:25.417384', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1739, 5395, 1053, 'new FileProcessor()', false, 'I', '2022-10-08 16:39:11.868953', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1740, 5395, 1053, 'new FileProcessor()', false, 'D', '2022-10-08 16:39:25.417384', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1741, 5396, 1053, 'from()', false, 'I', '2022-10-08 16:39:11.868953', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1742, 5396, 1053, 'from()', false, 'D', '2022-10-08 16:39:25.417384', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1743, 5397, 1053, 'to()', false, 'I', '2022-10-08 16:39:11.868953', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1744, 5397, 1053, 'to()', false, 'D', '2022-10-08 16:39:25.417384', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1745, 5398, 1053, 'process()', false, 'I', '2022-10-08 16:39:11.868953', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1746, 5398, 1053, 'process()', false, 'D', '2022-10-08 16:39:25.417384', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1748, 5352, 1046, 'При получении сообщения потребителем (Consumer)', true, 'I', '2022-10-08 15:36:53.611266', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1749, 5352, 1046, 'При получении сообщения потребителем (Consumer)', true, 'D', '2022-10-08 17:10:39.763085', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1750, 5353, 1046, 'При отправке сообщения производителем (Producer)', false, 'I', '2022-10-08 15:36:53.611266', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1751, 5353, 1046, 'При отправке сообщения производителем (Producer)', false, 'D', '2022-10-08 17:10:39.763085', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1752, 5354, 1046, 'Объект обмена (Exchange) создается автоматически при создании сообщения (Message)', false, 'I', '2022-10-08 15:36:53.611266', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1753, 5354, 1046, 'Объект обмена (Exchange) создается автоматически при создании сообщения (Message)', false, 'D', '2022-10-08 17:10:39.763085', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1755, 5386, 1049, 'from("jms:errors")', false, 'I', '2022-10-08 16:15:31.519754', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1756, 5386, 1049, 'from("jms:errors")', false, 'D', '2022-10-08 17:15:24.985961', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1757, 5387, 1049, 'from("jms:queue:errors")', true, 'I', '2022-10-08 16:15:31.519754', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1758, 5387, 1049, 'from("jms:queue:errors")', true, 'D', '2022-10-08 17:15:24.985961', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1759, 5388, 1049, 'from("jms:topic:errors")', false, 'I', '2022-10-08 16:15:31.519754', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1760, 5388, 1049, 'from("jms:topic:errors")', false, 'D', '2022-10-08 17:15:24.985961', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1762, 5422, 1049, 'from("jms:errors")', true, 'I', '2022-10-08 17:15:24.985961', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1763, 5422, 1049, 'from("jms:errors")', true, 'D', '2022-10-08 17:17:37.05844', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1764, 5423, 1049, 'from("jms:queue:errors")', true, 'I', '2022-10-08 17:15:24.985961', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1765, 5423, 1049, 'from("jms:queue:errors")', true, 'D', '2022-10-08 17:17:37.05844', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1766, 5424, 1049, 'from("jms:topic:errors")', false, 'I', '2022-10-08 17:15:24.985961', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1767, 5424, 1049, 'from("jms:topic:errors")', false, 'D', '2022-10-08 17:17:37.05844', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1769, 5368, 1050, 'from("jms:queue:errors").to("errorHandler");', false, 'I', '2022-10-08 16:10:23.853293', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1770, 5368, 1050, 'from("jms:queue:errors").to("errorHandler");', false, 'D', '2022-10-08 17:19:23.944803', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1771, 5369, 1050, 'from("jms:queue:errors").to("bean:errorHandler");', false, 'I', '2022-10-08 16:10:23.853293', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1772, 5369, 1050, 'from("jms:queue:errors").to("bean:errorHandler");', false, 'D', '2022-10-08 17:19:23.944803', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1773, 5370, 1050, 'from("jms:queue:errors").beanRef("errorHandler", "add");', true, 'I', '2022-10-08 16:10:23.853293', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1774, 5370, 1050, 'from("jms:queue:errors").beanRef("errorHandler", "add");', true, 'D', '2022-10-08 17:19:23.944803', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1776, 5425, 1049, 'from("jms:errors")', true, 'I', '2022-10-08 17:17:37.05844', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1777, 5425, 1049, 'from("jms:errors")', true, 'D', '2022-10-08 17:23:30.593464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1778, 5426, 1049, 'from("jms:queue:errors")', true, 'I', '2022-10-08 17:17:37.05844', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1779, 5426, 1049, 'from("jms:queue:errors")', true, 'D', '2022-10-08 17:23:30.593464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1780, 5427, 1049, 'from("jms:topic:errors")', false, 'I', '2022-10-08 17:17:37.05844', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1781, 5427, 1049, 'from("jms:topic:errors")', false, 'D', '2022-10-08 17:23:30.593464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1782, 5428, 1049, 'to("jms:topic:errors")', false, 'I', '2022-10-08 17:17:37.05844', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1783, 5428, 1049, 'to("jms:topic:errors")', false, 'D', '2022-10-08 17:23:30.593464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1784, 5429, 1049, 'to("jms:queue:errors")', false, 'I', '2022-10-08 17:17:37.05844', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1785, 5429, 1049, 'to("jms:queue:errors")', false, 'D', '2022-10-08 17:23:30.593464', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1787, 5447, 1060, 'from("jms:queue:message").choice().when(header("login").isEqualTo("admin")).to("bean:adminMessage").otherwise().to("bean:userMessage").end();', true, 'I', '2022-10-08 19:03:25.523682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1788, 5447, 1060, 'from("jms:queue:message").choice().when(header("login").isEqualTo("admin")).to("bean:adminMessage").otherwise().to("bean:userMessage").end();', true, 'D', '2022-10-08 19:03:45.35036', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1789, 5448, 1060, 'from("jms:queue:message").if(header("login").isEqualTo("admin")).to("bean:adminMessage").else().to("bean:userMessage").end();', false, 'I', '2022-10-08 19:03:25.523682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1790, 5448, 1060, 'from("jms:queue:message").if(header("login").isEqualTo("admin")).to("bean:adminMessage").else().to("bean:userMessage").end();', false, 'D', '2022-10-08 19:03:45.35036', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1791, 5449, 1060, 'from("jms:queue:message").switch().when(header("login").isEqualTo("admin")).to("bean:adminMessage").otherwise().to("bean:userMessage").end();', false, 'I', '2022-10-08 19:03:25.523682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1792, 5449, 1060, 'from("jms:queue:message").switch().when(header("login").isEqualTo("admin")).to("bean:adminMessage").otherwise().to("bean:userMessage").end();', false, 'D', '2022-10-08 19:03:45.35036', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1793, 5450, 1060, 'from("jms:queue:message").choice().if(header("login").isEqualTo("admin")).to("bean:adminMessage").else().to("bean:userMessage").end();', false, 'I', '2022-10-08 19:03:25.523682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1892, 5587, 1094, 'a, b, c, d', false, 'D', '2023-04-27 11:03:53.511877', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1794, 5450, 1060, 'from("jms:queue:message").choice().if(header("login").isEqualTo("admin")).to("bean:adminMessage").else().to("bean:userMessage").end();', false, 'D', '2022-10-08 19:03:45.35036', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1796, 5438, 1057, 'Да', true, 'I', '2022-10-08 17:56:43.322935', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1797, 5438, 1057, 'Да', true, 'D', '2022-10-08 19:15:27.344653', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1798, 5439, 1057, 'Нет', false, 'I', '2022-10-08 17:56:43.322935', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1799, 5439, 1057, 'Нет', false, 'D', '2022-10-08 19:15:27.344653', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1801, 5507, 1074, 'Virtual Topic', true, 'I', '2022-12-04 16:18:08.920312', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1802, 5507, 1074, 'Virtual Topic', true, 'D', '2022-12-04 16:18:58.272154', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1803, 5508, 1074, 'Composite Destination', false, 'I', '2022-12-04 16:18:08.920312', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1804, 5508, 1074, 'Composite Destination', false, 'D', '2022-12-04 16:18:58.272154', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1806, 5512, 1075, 'Virtual Topic потребляет меньше памяти, чем Composite Desetination', false, 'I', '2022-12-04 16:26:58.019917', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1807, 5512, 1075, 'Virtual Topic потребляет меньше памяти, чем Composite Desetination', false, 'D', '2022-12-04 16:28:52.22043', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1808, 5513, 1075, 'Virtual Topic позволяет подключать нескольких потребителей (Consumer) с одинаковым clientId', true, 'I', '2022-12-04 16:26:58.019917', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1809, 5513, 1075, 'Virtual Topic позволяет подключать нескольких потребителей (Consumer) с одинаковым clientId', true, 'D', '2022-12-04 16:28:52.22043', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1810, 5514, 1075, 'Virtual Topic за счет буфферизации сообщений позволяет увеличить производительность канала', false, 'I', '2022-12-04 16:26:58.019917', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1811, 5514, 1075, 'Virtual Topic за счет буфферизации сообщений позволяет увеличить производительность канала', false, 'D', '2022-12-04 16:28:52.22043', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1827, 5551, 1085, 'True', false, 'I', '2023-04-19 14:37:48.87001', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1828, 5551, 1085, 'True', false, 'D', '2023-04-19 14:38:30.614594', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1829, 5552, 1085, 'False', true, 'I', '2023-04-19 14:37:48.87001', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1830, 5552, 1085, 'False', true, 'D', '2023-04-19 14:38:30.614594', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1831, 5553, 1085, 'Ошибка', false, 'I', '2023-04-19 14:37:48.87001', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1832, 5553, 1085, 'Ошибка', false, 'D', '2023-04-19 14:38:30.614594', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1834, 5547, 1084, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, 'I', '2023-04-19 14:36:17.178856', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1835, 5547, 1084, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, 'D', '2023-04-19 14:50:38.570089', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1836, 5548, 1084, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, 'I', '2023-04-19 14:36:17.178856', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1837, 5548, 1084, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, 'D', '2023-04-19 14:50:38.570089', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1838, 5549, 1084, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, 'I', '2023-04-19 14:36:17.178856', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1839, 5549, 1084, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, 'D', '2023-04-19 14:50:38.570089', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1840, 5550, 1084, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, 'I', '2023-04-19 14:36:17.178856', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1841, 5550, 1084, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, 'D', '2023-04-19 14:50:38.570089', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1844, 5612, 1100, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, 'I', '2023-04-27 10:35:11.369673', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1845, 5612, 1100, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, 'D', '2023-04-27 11:02:52.704597', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1846, 5613, 1100, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, 'I', '2023-04-27 10:35:11.369673', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1893, 5588, 1094, 'a, b, d, c', false, 'I', '2023-04-24 14:45:10.289941', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1894, 5588, 1094, 'a, b, d, c', false, 'D', '2023-04-27 11:03:53.511877', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1895, 5589, 1094, 'a, c, b, d', true, 'I', '2023-04-24 14:45:10.289941', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1896, 5589, 1094, 'a, c, b, d', true, 'D', '2023-04-27 11:03:53.511877', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1897, 5590, 1094, 'c, a, b, d', false, 'I', '2023-04-24 14:45:10.289941', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1898, 5590, 1094, 'c, a, b, d', false, 'D', '2023-04-27 11:03:53.511877', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1847, 5613, 1100, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, 'D', '2023-04-27 11:02:52.704597', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1848, 5614, 1100, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, 'I', '2023-04-27 10:35:11.369673', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1906, 5586, 1093, 'type может объединчть несколько других type внутри семя (union types)', true, 'I', '2023-04-24 14:33:03.95538', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1849, 5614, 1100, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, 'D', '2023-04-27 11:02:52.704597', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1851, 5607, 1099, '1', true, 'I', '2023-04-27 10:29:44.715258', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1852, 5607, 1099, '1', true, 'D', '2023-04-27 11:03:04.970748', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1853, 5608, 1099, '2', false, 'I', '2023-04-27 10:29:44.715258', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1854, 5608, 1099, '2', false, 'D', '2023-04-27 11:03:04.970748', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1855, 5609, 1099, '3', false, 'I', '2023-04-27 10:29:44.715258', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1856, 5609, 1099, '3', false, 'D', '2023-04-27 11:03:04.970748', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1857, 5610, 1099, '4', false, 'I', '2023-04-27 10:29:44.715258', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1858, 5610, 1099, '4', false, 'D', '2023-04-27 11:03:04.970748', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1859, 5611, 1099, '5', false, 'I', '2023-04-27 10:29:44.715258', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1860, 5611, 1099, '5', false, 'D', '2023-04-27 11:03:04.970748', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1862, 5602, 1098, 'false
true
true', false, 'I', '2023-04-27 10:26:52.019073', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1863, 5602, 1098, 'false
true
true', false, 'D', '2023-04-27 11:03:12.307651', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1864, 5603, 1098, 'true
true
false', false, 'I', '2023-04-27 10:26:52.019073', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1865, 5603, 1098, 'true
true
false', false, 'D', '2023-04-27 11:03:12.307651', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1866, 5604, 1098, 'false
false
true', true, 'I', '2023-04-27 10:26:52.019073', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1867, 5604, 1098, 'false
false
true', true, 'D', '2023-04-27 11:03:12.307651', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1868, 5605, 1098, 'false
false
false ', false, 'I', '2023-04-27 10:26:52.019073', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1869, 5605, 1098, 'false
false
false ', false, 'D', '2023-04-27 11:03:12.307651', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1870, 5606, 1098, 'true
true
true', false, 'I', '2023-04-27 10:26:52.019073', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1871, 5606, 1098, 'true
true
true', false, 'D', '2023-04-27 11:03:12.307651', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1873, 5594, 1096, 'С помощью свойства display', true, 'I', '2023-04-26 18:41:24.257552', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1874, 5594, 1096, 'С помощью свойства display', true, 'D', '2023-04-27 11:03:36.18629', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1875, 5595, 1096, 'С помощью свойства opacity', true, 'I', '2023-04-26 18:41:24.257552', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1876, 5595, 1096, 'С помощью свойства opacity', true, 'D', '2023-04-27 11:03:36.18629', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1877, 5596, 1096, 'С помощью свойства visibility', true, 'I', '2023-04-26 18:41:24.257552', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1878, 5596, 1096, 'С помощью свойства visibility', true, 'D', '2023-04-27 11:03:36.18629', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1879, 5597, 1096, 'С помощью position:absolute', true, 'I', '2023-04-26 18:41:24.257552', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1880, 5597, 1096, 'С помощью position:absolute', true, 'D', '2023-04-27 11:03:36.18629', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1881, 5598, 1096, 'Уменьшить размеры элемента до нуля', true, 'I', '2023-04-26 18:41:24.257552', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1882, 5598, 1096, 'Уменьшить размеры элемента до нуля', true, 'D', '2023-04-27 11:03:36.18629', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1884, 5591, 1095, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, 'I', '2023-04-26 18:22:17.892449', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1885, 5591, 1095, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, 'D', '2023-04-27 11:03:44.225579', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1886, 5592, 1095, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, 'I', '2023-04-26 18:22:17.892449', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1887, 5592, 1095, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, 'D', '2023-04-27 11:03:44.225579', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1888, 5593, 1095, 'Это способ определить функцию с несколькими вариантами реализации', true, 'I', '2023-04-26 18:22:17.892449', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1889, 5593, 1095, 'Это способ определить функцию с несколькими вариантами реализации', true, 'D', '2023-04-27 11:03:44.225579', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1891, 5587, 1094, 'a, b, c, d', false, 'I', '2023-04-24 14:45:10.289941', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1900, 5583, 1093, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, 'I', '2023-04-24 14:33:03.95538', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1901, 5583, 1093, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, 'D', '2023-04-27 11:04:01.920682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1902, 5584, 1093, 'interface можно расширять при помощи ключевого слова extends', true, 'I', '2023-04-24 14:33:03.95538', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1903, 5584, 1093, 'interface можно расширять при помощи ключевого слова extends', true, 'D', '2023-04-27 11:04:01.920682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1904, 5585, 1093, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, 'I', '2023-04-24 14:33:03.95538', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1905, 5585, 1093, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, 'D', '2023-04-27 11:04:01.920682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1907, 5586, 1093, 'type может объединчть несколько других type внутри семя (union types)', true, 'D', '2023-04-27 11:04:01.920682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1909, 5580, 1092, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, 'I', '2023-04-24 14:30:17.23167', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1910, 5580, 1092, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, 'D', '2023-04-27 11:04:10.931531', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1911, 5581, 1092, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, 'I', '2023-04-24 14:30:17.23167', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1912, 5581, 1092, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, 'D', '2023-04-27 11:04:10.931531', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1913, 5582, 1092, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, 'I', '2023-04-24 14:30:17.23167', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1914, 5582, 1092, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, 'D', '2023-04-27 11:04:10.931531', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1916, 5577, 1091, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, 'I', '2023-04-24 14:28:18.001381', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1917, 5577, 1091, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, 'D', '2023-04-27 11:04:18.80285', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1918, 5578, 1091, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, 'I', '2023-04-24 14:28:18.001381', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1919, 5578, 1091, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, 'D', '2023-04-27 11:04:18.80285', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1920, 5579, 1091, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, 'I', '2023-04-24 14:28:18.001381', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1921, 5579, 1091, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, 'D', '2023-04-27 11:04:18.80285', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1923, 5640, 1093, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, 'I', '2023-04-27 11:04:01.920682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1924, 5640, 1093, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, 'D', '2023-04-28 14:13:05.025052', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1925, 5641, 1093, 'interface можно расширять при помощи ключевого слова extends', true, 'I', '2023-04-27 11:04:01.920682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1926, 5641, 1093, 'interface можно расширять при помощи ключевого слова extends', true, 'D', '2023-04-28 14:13:05.025052', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1927, 5642, 1093, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, 'I', '2023-04-27 11:04:01.920682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1928, 5642, 1093, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, 'D', '2023-04-28 14:13:05.025052', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1929, 5643, 1093, 'type может объединчть несколько других type внутри семя (union types)', true, 'I', '2023-04-27 11:04:01.920682', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1930, 5643, 1093, 'type может объединчть несколько других type внутри семя (union types)', true, 'D', '2023-04-28 14:13:05.025052', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1932, 5650, 1093, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, 'I', '2023-04-28 14:13:05.025052', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1933, 5650, 1093, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, 'D', '2023-04-28 14:14:17.442987', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1934, 5651, 1093, 'interface можно расширять при помощи ключевого слова extends', true, 'I', '2023-04-28 14:13:05.025052', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1935, 5651, 1093, 'interface можно расширять при помощи ключевого слова extends', true, 'D', '2023-04-28 14:14:17.442987', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1936, 5652, 1093, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, 'I', '2023-04-28 14:13:05.025052', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1937, 5652, 1093, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, 'D', '2023-04-28 14:14:17.442987', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1938, 5653, 1093, 'type может объединять несколько других type внутри себя (union types)', true, 'I', '2023-04-28 14:13:05.025052', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1939, 5653, 1093, 'type может объединять несколько других type внутри себя (union types)', true, 'D', '2023-04-28 14:14:17.442987', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1941, 5633, 1095, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, 'I', '2023-04-27 11:03:44.225579', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1942, 5633, 1095, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, 'D', '2023-04-28 15:05:59.786636', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1943, 5634, 1095, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, 'I', '2023-04-27 11:03:44.225579', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1944, 5634, 1095, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, 'D', '2023-04-28 15:05:59.786636', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1945, 5635, 1095, 'Это способ определить функцию с несколькими вариантами реализации', true, 'I', '2023-04-27 11:03:44.225579', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1946, 5635, 1095, 'Это способ определить функцию с несколькими вариантами реализации', true, 'D', '2023-04-28 15:05:59.786636', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1948, 5658, 1095, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, 'I', '2023-04-28 15:05:59.786636', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1949, 5658, 1095, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, 'D', '2023-04-28 15:07:37.457819', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1950, 5659, 1095, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, 'I', '2023-04-28 15:05:59.786636', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1951, 5659, 1095, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, 'D', '2023-04-28 15:07:37.457819', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1952, 5660, 1095, 'Это способ определить функцию с несколькими вариантами реализации', true, 'I', '2023-04-28 15:05:59.786636', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1953, 5660, 1095, 'Это способ определить функцию с несколькими вариантами реализации', true, 'D', '2023-04-28 15:07:37.457819', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1955, 5654, 1093, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, 'I', '2023-04-28 14:14:17.442987', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1956, 5654, 1093, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, 'D', '2023-05-03 15:13:31.949794', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1957, 5655, 1093, 'interface можно расширять при помощи ключевого слова extends', true, 'I', '2023-04-28 14:14:17.442987', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1958, 5655, 1093, 'interface можно расширять при помощи ключевого слова extends', true, 'D', '2023-05-03 15:13:31.949794', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1959, 5656, 1093, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, 'I', '2023-04-28 14:14:17.442987', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1960, 5656, 1093, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, 'D', '2023-05-03 15:13:31.949794', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1961, 5657, 1093, 'type может объединять несколько других type внутри себя (union types)', true, 'I', '2023-04-28 14:14:17.442987', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.answers_history VALUES (1962, 5657, 1093, 'type может объединять несколько других type внутри себя (union types)', true, 'D', '2023-05-03 15:13:31.949794', 'editor@loylabs.ru', 'editor@loylabs.ru');


--
-- Data for Name: candidate_answers; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.candidate_answers VALUES (1, 1, '
class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2, 1, '
class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3, 1, '
class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4, 1, 'Ничего из перечисленного
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5, 2, 'Ошибка компиляции на строке:
public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6, 2, '6
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7, 2, 'Ошибка компиляции на строке:
System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8, 2, 'Ошибка компиляции на строке:
public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9, 2, '2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11, 3, '
public static void eatGrass();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12, 3, '
public int chew() { return 13; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13, 3, 'Ошибок нет
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15, 4, 'Все исключения при приведении типов могут быть замечены на этапе компиляции
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16, 4, 'Объект класса можно привести к его подклассу без явного приведения типов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17, 4, 'Метод, принимающий в качестве параметра java.lang.Object, примет на вход любой объект
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18, 5, 'Ошибка компиляции на строке:
class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19, 5, 'Ошибка компиляции на строке:
public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20, 5, 'Ошибка компиляции на строке:
public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21, 5, 'Orca diving
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22, 5, 'Данных недостаточно для определения результата исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23, 6, 'Блок catch для IllegalArgumentException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24, 6, 'Блоки catch для этих двух исключений могут идти в любом порядке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25, 6, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26, 6, 'Блок catch для ClassCastException должен идти перед блоком catch для IllegalArgumentException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27, 7, 'Блок catch для Exception должен идти перед блоком catch для IOException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28, 7, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29, 7, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30, 7, 'Блок catch для IOException должен идти перед блоком catch для Exception
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31, 8, 'Блок catch для ClassCastException должен идти перед блоком catch для RuntimeException
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32, 8, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33, 8, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34, 8, 'Блок catch для RuntimeException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35, 9, 'Проверяемое исключение, выбрасываемое методом в классе-предке, должно выбрасываться методом в классе-потомке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36, 9, 'Модификатор доступа у метода в классе-потомке должен быть такой же или шире чем у метода в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37, 9, 'Типы возвращаемого значения должны быть ковариантны
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38, 9, 'Проверяемое исключение, выбрасываемое методом в классе-потомке, должно быть того же класса или наследником того же класса что и исключение, выбрасываемое в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39, 10, 'И те и другие могут содержать статические методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40, 10, 'И те и другие могут содержать статические переменные
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41, 10, 'И те и другие могут содержать дефолтные методы
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42, 10, 'И те и другие могут содержать абстрактные методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43, 11, 'Они позволяют наследовать несколько классов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44, 11, 'Они позволяют писать код с отложенным выполнением
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45, 11, 'Они позволяют изменять байткод приложения во время его исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46, 11, 'Они позволяют конвертировать примитивы в классы-обертки
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47, 12, 'Только из классов, которые находятся в том же пакете, что и Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10, 3, '
int amount = 10;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (513, 309, '
public static void eatGrass();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (514, 309, '
public int chew() { return 13; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (515, 309, 'Ошибок нет
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (756, 363, 'Скрывает, Скрывает
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1942, 625, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48, 12, 'Из любого класса-предка Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49, 12, 'Только из подклассов класса Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50, 12, 'Из любого подкласса Test или из любого класса, находящегося в том же пакете что Test
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51, 13, 'public void sing(int note, String... sound, int music)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52, 13, 'public void sing(String... keys, String... pitches)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53, 13, 'public void sing(String... notes, String melodies)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54, 13, 'public void sing(String key, String... harmonies)
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55, 14, 'Класс не обязан иметь явно объявленный конструктор
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56, 14, 'Если значение финальной переменной экземпляра класса не присвоено при объявлении переменной или в блоке инициализации, то оно должно быть присвоено в конструкторе
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57, 14, 'Первая строка любого конструктора это вызов конструктора класса-предка через super()
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58, 14, 'Конструктор может передавать аргументы в конструктор класса-предка
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60, 15, 'value3="i"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61, 15, 'value1="d"; вместо //ПРОПУСК_1
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62, 15, 'value3="f"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63, 15, 'value2="e"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (64, 15, 'value1="g"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (65, 16, '
class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (66, 16, '
class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (67, 16, '
class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (68, 16, 'Ничего из перечисленного
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (69, 17, 'Ошибка компиляции на строке:
public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (70, 17, '6
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (71, 17, 'Ошибка компиляции на строке:
System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (72, 17, 'Ошибка компиляции на строке:
public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (73, 17, '2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (74, 18, '
int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (75, 18, '
public static void eatGrass();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (76, 18, '
public int chew() { return 13; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (77, 18, 'Ошибок нет
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (78, 19, 'Если метод в качестве параметра принимает класс-предок трех других классов, то любой из этих классов может быть передан в качестве параметра
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (79, 19, 'Все исключения при приведении типов могут быть замечены на этапе компиляции
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (80, 19, 'Объект класса можно привести к его подклассу без явного приведения типов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (81, 19, 'Метод, принимающий в качестве параметра java.lang.Object, примет на вход любой объект
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (82, 20, 'Ошибка компиляции на строке:
class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (83, 20, 'Ошибка компиляции на строке:
public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (84, 20, 'Ошибка компиляции на строке:
public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (85, 20, 'Orca diving
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (86, 20, 'Данных недостаточно для определения результата исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (87, 21, 'Блок catch для IllegalArgumentException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (88, 21, 'Блоки catch для этих двух исключений могут идти в любом порядке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (89, 21, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (90, 21, 'Блок catch для ClassCastException должен идти перед блоком catch для IllegalArgumentException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (91, 22, 'Блок catch для Exception должен идти перед блоком catch для IOException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (92, 22, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (93, 22, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (94, 22, 'Блок catch для IOException должен идти перед блоком catch для Exception
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (95, 23, 'Блок catch для ClassCastException должен идти перед блоком catch для RuntimeException
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (96, 23, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (97, 23, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (98, 23, 'Блок catch для RuntimeException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59, 15, 'value2 = "h"; вместо //ПРОПУСК_2
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (196, 46, 'Ничего из перечисленного
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (99, 24, 'Проверяемое исключение, выбрасываемое методом в классе-предке, должно выбрасываться методом в классе-потомке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (100, 24, 'Модификатор доступа у метода в классе-потомке должен быть такой же или шире чем у метода в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (101, 24, 'Типы возвращаемого значения должны быть ковариантны
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (102, 24, 'Проверяемое исключение, выбрасываемое методом в классе-потомке, должно быть того же класса или наследником того же класса что и исключение, выбрасываемое в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (103, 25, 'И те и другие могут содержать статические методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (104, 25, 'И те и другие могут содержать статические переменные
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (105, 25, 'И те и другие могут содержать дефолтные методы
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (106, 25, 'И те и другие могут содержать абстрактные методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (107, 26, 'Они позволяют наследовать несколько классов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (108, 26, 'Они позволяют писать код с отложенным выполнением
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (109, 26, 'Они позволяют изменять байткод приложения во время его исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (110, 26, 'Они позволяют конвертировать примитивы в классы-обертки
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (111, 27, 'Только из классов, которые находятся в том же пакете, что и Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (112, 27, 'Из любого класса-предка Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (113, 27, 'Только из подклассов класса Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (114, 27, 'Из любого подкласса Test или из любого класса, находящегося в том же пакете что Test
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (115, 28, 'public void sing(int note, String... sound, int music)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (116, 28, 'public void sing(String... keys, String... pitches)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (117, 28, 'public void sing(String... notes, String melodies)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (118, 28, 'public void sing(String key, String... harmonies)
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (119, 29, 'Класс не обязан иметь явно объявленный конструктор
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (120, 29, 'Если значение финальной переменной экземпляра класса не присвоено при объявлении переменной или в блоке инициализации, то оно должно быть присвоено в конструкторе
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (121, 29, 'Первая строка любого конструктора это вызов конструктора класса-предка через super()
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (122, 29, 'Конструктор может передавать аргументы в конструктор класса-предка
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (123, 30, 'value2 = "h"; вместо //ПРОПУСК_2
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (124, 30, 'value3="i"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (125, 30, 'value1="d"; вместо //ПРОПУСК_1
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (126, 30, 'value3="f"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (127, 30, 'value2="e"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (128, 30, 'value1="g"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (129, 31, '
class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (130, 31, '
class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (131, 31, '
class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (132, 31, 'Ничего из перечисленного
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (133, 32, 'Ошибка компиляции на строке:
public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (134, 32, '6
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (135, 32, 'Ошибка компиляции на строке:
System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (136, 32, 'Ошибка компиляции на строке:
public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (137, 32, '2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (138, 33, '
int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (139, 33, '
public static void eatGrass();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (140, 33, '
public int chew() { return 13; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (141, 33, 'Ошибок нет
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (142, 34, 'Если метод в качестве параметра принимает класс-предок трех других классов, то любой из этих классов может быть передан в качестве параметра
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (143, 34, 'Все исключения при приведении типов могут быть замечены на этапе компиляции
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (144, 34, 'Объект класса можно привести к его подклассу без явного приведения типов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (145, 34, 'Метод, принимающий в качестве параметра java.lang.Object, примет на вход любой объект
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (146, 35, 'Ошибка компиляции на строке:
class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (147, 35, 'Ошибка компиляции на строке:
public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (148, 35, 'Ошибка компиляции на строке:
public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (149, 35, 'Orca diving
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (150, 35, 'Данных недостаточно для определения результата исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (151, 36, 'Блок catch для IllegalArgumentException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (152, 36, 'Блоки catch для этих двух исключений могут идти в любом порядке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (153, 36, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (154, 36, 'Блок catch для ClassCastException должен идти перед блоком catch для IllegalArgumentException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (155, 37, 'Блок catch для Exception должен идти перед блоком catch для IOException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (156, 37, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (157, 37, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (158, 37, 'Блок catch для IOException должен идти перед блоком catch для Exception
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (159, 38, 'Блок catch для ClassCastException должен идти перед блоком catch для RuntimeException
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (160, 38, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (161, 38, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (162, 38, 'Блок catch для RuntimeException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (163, 39, 'Проверяемое исключение, выбрасываемое методом в классе-предке, должно выбрасываться методом в классе-потомке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (164, 39, 'Модификатор доступа у метода в классе-потомке должен быть такой же или шире чем у метода в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (165, 39, 'Типы возвращаемого значения должны быть ковариантны
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (166, 39, 'Проверяемое исключение, выбрасываемое методом в классе-потомке, должно быть того же класса или наследником того же класса что и исключение, выбрасываемое в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (167, 40, 'И те и другие могут содержать статические методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (168, 40, 'И те и другие могут содержать статические переменные
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (169, 40, 'И те и другие могут содержать дефолтные методы
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (170, 40, 'И те и другие могут содержать абстрактные методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (171, 41, 'Они позволяют наследовать несколько классов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (172, 41, 'Они позволяют писать код с отложенным выполнением
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (173, 41, 'Они позволяют изменять байткод приложения во время его исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (174, 41, 'Они позволяют конвертировать примитивы в классы-обертки
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (175, 42, 'Только из классов, которые находятся в том же пакете, что и Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (176, 42, 'Из любого класса-предка Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (177, 42, 'Только из подклассов класса Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (178, 42, 'Из любого подкласса Test или из любого класса, находящегося в том же пакете что Test
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (179, 43, 'public void sing(int note, String... sound, int music)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (180, 43, 'public void sing(String... keys, String... pitches)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (181, 43, 'public void sing(String... notes, String melodies)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (182, 43, 'public void sing(String key, String... harmonies)
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (183, 44, 'Класс не обязан иметь явно объявленный конструктор
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (184, 44, 'Если значение финальной переменной экземпляра класса не присвоено при объявлении переменной или в блоке инициализации, то оно должно быть присвоено в конструкторе
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (185, 44, 'Первая строка любого конструктора это вызов конструктора класса-предка через super()
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (186, 44, 'Конструктор может передавать аргументы в конструктор класса-предка
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (187, 45, 'value2 = "h"; вместо //ПРОПУСК_2
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (188, 45, 'value3="i"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (189, 45, 'value1="d"; вместо //ПРОПУСК_1
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (190, 45, 'value3="f"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (191, 45, 'value2="e"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (192, 45, 'value1="g"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14, 4, 'Если метод в качестве параметра принимает класс-предок трех других классов, то любой из этих классов может быть передан в качестве параметра
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (193, 46, '
class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (194, 46, '
class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (195, 46, '
class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (511, 308, '2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (197, 47, 'Ошибка компиляции на строке:
public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (198, 47, '6
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (199, 47, 'Ошибка компиляции на строке:
System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (200, 47, 'Ошибка компиляции на строке:
public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (201, 47, '2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (207, 49, 'Все исключения при приведении типов могут быть замечены на этапе компиляции
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (209, 49, 'Метод, принимающий в качестве параметра java.lang.Object, примет на вход любой объект
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (210, 50, 'Ошибка компиляции на строке:
class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (211, 50, 'Ошибка компиляции на строке:
public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (212, 50, 'Ошибка компиляции на строке:
public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (213, 50, 'Orca diving
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (214, 50, 'Данных недостаточно для определения результата исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (215, 51, 'Блок catch для IllegalArgumentException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (216, 51, 'Блоки catch для этих двух исключений могут идти в любом порядке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (217, 51, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (218, 51, 'Блок catch для ClassCastException должен идти перед блоком catch для IllegalArgumentException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (219, 52, 'Блок catch для Exception должен идти перед блоком catch для IOException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (220, 52, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (221, 52, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (222, 52, 'Блок catch для IOException должен идти перед блоком catch для Exception
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (223, 53, 'Блок catch для ClassCastException должен идти перед блоком catch для RuntimeException
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (224, 53, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (225, 53, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (226, 53, 'Блок catch для RuntimeException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (227, 54, 'Проверяемое исключение, выбрасываемое методом в классе-предке, должно выбрасываться методом в классе-потомке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (228, 54, 'Модификатор доступа у метода в классе-потомке должен быть такой же или шире чем у метода в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (229, 54, 'Типы возвращаемого значения должны быть ковариантны
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (230, 54, 'Проверяемое исключение, выбрасываемое методом в классе-потомке, должно быть того же класса или наследником того же класса что и исключение, выбрасываемое в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (231, 55, 'И те и другие могут содержать статические методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (232, 55, 'И те и другие могут содержать статические переменные
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (233, 55, 'И те и другие могут содержать дефолтные методы
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (234, 55, 'И те и другие могут содержать абстрактные методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (235, 56, 'Они позволяют наследовать несколько классов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (236, 56, 'Они позволяют писать код с отложенным выполнением
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (237, 56, 'Они позволяют изменять байткод приложения во время его исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (238, 56, 'Они позволяют конвертировать примитивы в классы-обертки
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (239, 57, 'Только из классов, которые находятся в том же пакете, что и Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (240, 57, 'Из любого класса-предка Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (241, 57, 'Только из подклассов класса Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (242, 57, 'Из любого подкласса Test или из любого класса, находящегося в том же пакете что Test
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (243, 58, 'public void sing(int note, String... sound, int music)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (244, 58, 'public void sing(String... keys, String... pitches)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (245, 58, 'public void sing(String... notes, String melodies)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (208, 49, 'Объект класса можно привести к его подклассу без явного приведения типов
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2915, 845, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (246, 58, 'public void sing(String key, String... harmonies)
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (247, 59, 'Класс не обязан иметь явно объявленный конструктор
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (293, 69, 'Типы возвращаемого значения должны быть ковариантны
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (672, 345, 'непроверяемые исключения, java.lang.Exception
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (248, 59, 'Если значение финальной переменной экземпляра класса не присвоено при объявлении переменной или в блоке инициализации, то оно должно быть присвоено в конструкторе
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (249, 59, 'Первая строка любого конструктора это вызов конструктора класса-предка через super()
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (250, 59, 'Конструктор может передавать аргументы в конструктор класса-предка
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (252, 60, 'value3="i"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (253, 60, 'value1="d"; вместо //ПРОПУСК_1
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (202, 48, '
int amount = 10;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (203, 48, '
public static void eatGrass();', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (204, 48, '
public int chew() { return 13; }', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (205, 48, 'Ошибок нет
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (206, 49, 'Если метод в качестве параметра принимает класс-предок трех других классов, то любой из этих классов может быть передан в качестве параметра
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (251, 60, 'value2 = "h"; вместо //ПРОПУСК_2
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (254, 60, 'value3="f"; вместо //ПРОПУСК_1
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (255, 60, 'value2="e"; вместо //ПРОПУСК_1
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (256, 60, 'value1="g"; вместо //ПРОПУСК_2
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (257, 61, '
class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (258, 61, '
class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (259, 61, '
class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (260, 61, 'Ничего из перечисленного
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (261, 62, 'Ошибка компиляции на строке:
public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (262, 62, '6
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (263, 62, 'Ошибка компиляции на строке:
System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (264, 62, 'Ошибка компиляции на строке:
public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (265, 62, '2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (266, 63, '
int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (267, 63, '
public static void eatGrass();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (268, 63, '
public int chew() { return 13; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (269, 63, 'Ошибок нет
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (270, 64, 'Если метод в качестве параметра принимает класс-предок трех других классов, то любой из этих классов может быть передан в качестве параметра
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (271, 64, 'Все исключения при приведении типов могут быть замечены на этапе компиляции
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (272, 64, 'Объект класса можно привести к его подклассу без явного приведения типов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (273, 64, 'Метод, принимающий в качестве параметра java.lang.Object, примет на вход любой объект
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (274, 65, 'Ошибка компиляции на строке:
class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (275, 65, 'Ошибка компиляции на строке:
public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (276, 65, 'Ошибка компиляции на строке:
public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (277, 65, 'Orca diving
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (278, 65, 'Данных недостаточно для определения результата исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (279, 66, 'Блок catch для IllegalArgumentException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (280, 66, 'Блоки catch для этих двух исключений могут идти в любом порядке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (281, 66, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (282, 66, 'Блок catch для ClassCastException должен идти перед блоком catch для IllegalArgumentException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (283, 67, 'Блок catch для Exception должен идти перед блоком catch для IOException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (284, 67, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (285, 67, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (286, 67, 'Блок catch для IOException должен идти перед блоком catch для Exception
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (287, 68, 'Блок catch для ClassCastException должен идти перед блоком catch для RuntimeException
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (288, 68, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (289, 68, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (290, 68, 'Блок catch для RuntimeException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (291, 69, 'Проверяемое исключение, выбрасываемое методом в классе-предке, должно выбрасываться методом в классе-потомке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (292, 69, 'Модификатор доступа у метода в классе-потомке должен быть такой же или шире чем у метода в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (294, 69, 'Проверяемое исключение, выбрасываемое методом в классе-потомке, должно быть того же класса или наследником того же класса что и исключение, выбрасываемое в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (295, 70, 'И те и другие могут содержать статические методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (296, 70, 'И те и другие могут содержать статические переменные
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (297, 70, 'И те и другие могут содержать дефолтные методы
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (298, 70, 'И те и другие могут содержать абстрактные методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (299, 71, 'Они позволяют наследовать несколько классов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (300, 71, 'Они позволяют писать код с отложенным выполнением
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (301, 71, 'Они позволяют изменять байткод приложения во время его исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (302, 71, 'Они позволяют конвертировать примитивы в классы-обертки
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (303, 72, 'Только из классов, которые находятся в том же пакете, что и Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (304, 72, 'Из любого класса-предка Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (305, 72, 'Только из подклассов класса Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (306, 72, 'Из любого подкласса Test или из любого класса, находящегося в том же пакете что Test
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (307, 73, 'public void sing(int note, String... sound, int music)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (308, 73, 'public void sing(String... keys, String... pitches)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (309, 73, 'public void sing(String... notes, String melodies)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (310, 73, 'public void sing(String key, String... harmonies)
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (311, 74, 'Класс не обязан иметь явно объявленный конструктор
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (312, 74, 'Если значение финальной переменной экземпляра класса не присвоено при объявлении переменной или в блоке инициализации, то оно должно быть присвоено в конструкторе
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (313, 74, 'Первая строка любого конструктора это вызов конструктора класса-предка через super()
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (314, 74, 'Конструктор может передавать аргументы в конструктор класса-предка
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (315, 75, 'value2 = "h"; вместо //ПРОПУСК_2
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (316, 75, 'value3="i"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (317, 75, 'value1="d"; вместо //ПРОПУСК_1
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (318, 75, 'value3="f"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (319, 75, 'value2="e"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (320, 75, 'value1="g"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (321, 76, '1, 3, 2, 5, 6, 4
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (322, 76, '3, 1, 2, 5, 4, 6
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (323, 76, '3, 2, 1, 4, 5, 6
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (325, 77, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (326, 77, 'Импортированный класс java.util.Date может быть доступен только из класса Student
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (328, 77, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (329, 78, 'Класс ExampleJava бросит исключение во время выполнения программы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (330, 78, 'Класс ExampleJava не скомпилируется
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (331, 78, 'Класс ExampleJava напечатает Java
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (332, 78, 'Класс ExampleJava напечатает null
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (333, 79, 'один, один или больше
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (334, 79, 'ноль или один, ноль или больше
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (335, 79, 'один или больше, ноль или один
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (336, 79, 'ноль или один, ноль или один
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (337, 80, 'Приложение временно потеряло соединение с интернетом
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (338, 80, 'Два пользователя попытались зарегистрировать аккаунты в один момент
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (339, 80, 'Пользователь неверно ввел свой пароль
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (340, 80, 'У приложения кончилась память
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (341, 81, 'import java.exception.*;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (342, 81, 'import java.util.exception.*;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (343, 81, 'import java.lang.*
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (344, 81, 'Никакой из перечисленных
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (345, 82, 'Переменные приватные, методы публичные
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (346, 82, 'Переменные приватные, методы приватные
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (347, 82, 'Переменные публичные, методы приватные
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (348, 82, 'Переменные публичные, методы публичные
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (349, 83, 'Абстрактного класса, конкретного класса
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (350, 83, 'Класса-потомка, внешнего класса
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (351, 83, 'Класса-предка, класса-потомка
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (352, 83, 'Класса-потомка, класса предка
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (353, 84, 'Java не поддерживает множественное наследование
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (739, 360, '
caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (354, 84, 'Java поддерживает множественное наследование с помощью неабстрактных классов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (355, 84, 'Java поддерживает множественное наследование с помощью абстрактных классов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (356, 84, 'Java поддерживает множественное наследование с помощью интерфейсов
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (357, 85, 'final
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (358, 85, 'static
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (359, 85, 'public
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (360, 85, 'abstract
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (361, 86, 'Позволить интерфейсу определить метод на уровне класса
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (362, 86, 'Позволить интерфейсным методам быть унаследованными
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (363, 86, 'Обеспечить обратную совместимость для существующих интерфейсов
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (364, 86, 'Дать интерфейсу возможность создавать конкретные методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (365, 87, 'Для наследования интерфейса интерфейсом используется ключевое слово extends
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (366, 87, 'Класс может наследовать два интерфейса
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (367, 87, 'Для наследования класса классом используется ключевое слово extends
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (368, 87, 'Для наследования интерфейса интерфейсом используется ключевое слово implements
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (369, 88, 'Абстрактный класс
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (370, 88, 'Модификатор доступа
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (371, 88, 'Статический метод
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (372, 88, 'Интерфейс
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (373, 89, 'Локальная переменная
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (374, 89, 'Публичная переменная
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (375, 89, 'Статическая переменная
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (376, 89, 'Переменная экземпляра
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (377, 90, 'default
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (378, 90, 'private
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (379, 90, 'protected
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (380, 90, 'Никакие из перечисленных
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (324, 76, '3, 2, 1, 5, 6, 4
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (327, 77, 'Оба класса Student и Course определены в пакете com.examplejava
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (381, 280, 'Интерфейс CanBark не скомпилируется
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (382, 280, 'Класс, реализующий CanBark, наследует только метод bark()
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (383, 280, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (384, 280, 'Интерфейс не может расширять другой интерфейс
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (385, 280, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (386, 281, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (387, 281, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (388, 281, 'Техника, которая может быть использована в неизменяемом классе для экономии памяти для создания объекта
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (389, 281, 'Техника, которая может быть использована в неизменяемом классе, чтобы создавать объект во время первого обращения к нему
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (390, 282, 'default
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (391, 282, 'final
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (392, 282, 'abstract
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (393, 282, 'static
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (394, 283, 'Никакой из перечисленных
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (395, 283, '
import aquarium.*;
import aquarium.jellies.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (396, 283, '
import aquarium.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (397, 283, '
import aquarium.*;
import aquarium.jellies.Water;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (398, 283, '
import aquarium.Water;
import aquarium.jellies.Water;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (399, 283, '
import aquarium.Water;
import aquarium.jellies.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (400, 284, 'Код выведет 4 4
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (401, 284, 'Код выведет 2 4
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (402, 284, 'Код выведет 4 2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (403, 284, 'Код выведет 5 4 если убрать конструктор Create(int num)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (404, 284, 'Код выведет 3 4 если убрать конструктор Create(int num)
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (405, 284, 'Код выведет 4 4 если убрать конструктор Create(int num)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (406, 285, 'Интерфейс CanBark не скомпилируется
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (512, 309, '
int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (407, 285, 'Класс, реализующий CanBark, наследует только метод bark()
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (408, 285, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (409, 285, 'Интерфейс не может расширять другой интерфейс
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (410, 285, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (411, 286, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (467, 298, 'Типы возвращаемого значения должны быть ковариантны
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (412, 286, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (413, 286, 'Техника, которая может быть использована в неизменяемом классе для экономии памяти для создания объекта
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (414, 286, 'Техника, которая может быть использована в неизменяемом классе, чтобы создавать объект во время первого обращения к нему
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (415, 287, 'default
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (416, 287, 'final
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (417, 287, 'abstract
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (418, 287, 'static
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (420, 288, '
import aquarium.*;
import aquarium.jellies.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (421, 288, '
import aquarium.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (422, 288, '
import aquarium.*;
import aquarium.jellies.Water;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (423, 288, '
import aquarium.Water;
import aquarium.jellies.Water;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (424, 288, '
import aquarium.Water;
import aquarium.jellies.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (427, 289, 'Код выведет 4 2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (428, 289, 'Код выведет 5 4 если убрать конструктор Create(int num)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (429, 289, 'Код выведет 3 4 если убрать конструктор Create(int num)
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (430, 289, 'Код выведет 4 4 если убрать конструктор Create(int num)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (431, 290, '
class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (432, 290, '
class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (433, 290, '
class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (434, 290, 'Ничего из перечисленного
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (435, 291, 'Ошибка компиляции на строке:
public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (436, 291, '6
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (437, 291, 'Ошибка компиляции на строке:
System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (438, 291, 'Ошибка компиляции на строке:
public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (439, 291, '2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (442, 292, '
public int chew() { return 13; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (443, 292, 'Ошибок нет
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (444, 293, 'Если метод в качестве параметра принимает класс-предок трех других классов, то любой из этих классов может быть передан в качестве параметра
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (445, 293, 'Все исключения при приведении типов могут быть замечены на этапе компиляции
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (448, 294, 'Ошибка компиляции на строке:
class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (449, 294, 'Ошибка компиляции на строке:
public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (450, 294, 'Ошибка компиляции на строке:
public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (451, 294, 'Orca diving
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (452, 294, 'Данных недостаточно для определения результата исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (453, 295, 'Блок catch для IllegalArgumentException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (454, 295, 'Блоки catch для этих двух исключений могут идти в любом порядке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (455, 295, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (456, 295, 'Блок catch для ClassCastException должен идти перед блоком catch для IllegalArgumentException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (457, 296, 'Блок catch для Exception должен идти перед блоком catch для IOException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (458, 296, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (459, 296, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (460, 296, 'Блок catch для IOException должен идти перед блоком catch для Exception
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (447, 293, 'Метод, принимающий в качестве параметра java.lang.Object, примет на вход любой объект
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (419, 288, 'Никакой из перечисленных
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (425, 289, 'Код выведет 4 4
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (426, 289, 'Код выведет 2 4
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (461, 297, 'Блок catch для ClassCastException должен идти перед блоком catch для RuntimeException
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (462, 297, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (463, 297, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (464, 297, 'Блок catch для RuntimeException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (465, 298, 'Проверяемое исключение, выбрасываемое методом в классе-предке, должно выбрасываться методом в классе-потомке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (466, 298, 'Модификатор доступа у метода в классе-потомке должен быть такой же или шире чем у метода в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (468, 298, 'Проверяемое исключение, выбрасываемое методом в классе-потомке, должно быть того же класса или наследником того же класса что и исключение, выбрасываемое в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (469, 299, 'И те и другие могут содержать статические методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (470, 299, 'И те и другие могут содержать статические переменные
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (471, 299, 'И те и другие могут содержать дефолтные методы
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (472, 299, 'И те и другие могут содержать абстрактные методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (473, 300, 'Они позволяют наследовать несколько классов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (474, 300, 'Они позволяют писать код с отложенным выполнением
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (475, 300, 'Они позволяют изменять байткод приложения во время его исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (476, 300, 'Они позволяют конвертировать примитивы в классы-обертки
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (477, 301, 'Только из классов, которые находятся в том же пакете, что и Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (478, 301, 'Из любого класса-предка Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (479, 301, 'Только из подклассов класса Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (480, 301, 'Из любого подкласса Test или из любого класса, находящегося в том же пакете что Test
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (481, 302, 'public void sing(int note, String... sound, int music)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (482, 302, 'public void sing(String... keys, String... pitches)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (483, 302, 'public void sing(String... notes, String melodies)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (484, 302, 'public void sing(String key, String... harmonies)
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (485, 303, 'Класс не обязан иметь явно объявленный конструктор
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (486, 303, 'Если значение финальной переменной экземпляра класса не присвоено при объявлении переменной или в блоке инициализации, то оно должно быть присвоено в конструкторе
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (487, 303, 'Первая строка любого конструктора это вызов конструктора класса-предка через super()
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (488, 303, 'Конструктор может передавать аргументы в конструктор класса-предка
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (491, 304, 'value1="d"; вместо //ПРОПУСК_1
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (493, 304, 'value2="e"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (494, 304, 'value1="g"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (440, 292, '
int amount = 10;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (441, 292, '
public static void eatGrass();', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (446, 293, 'Объект класса можно привести к его подклассу без явного приведения типов
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (489, 304, 'value2 = "h"; вместо //ПРОПУСК_2
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (490, 304, 'value3="i"; вместо //ПРОПУСК_2
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (492, 304, 'value3="f"; вместо //ПРОПУСК_1
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (495, 305, '\jog13()
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (496, 305, '%run()
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (497, 305, '$print()
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (498, 305, 'walk#()
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (499, 306, '\jog13()
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (500, 306, '%run()
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (501, 306, '$print()
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (502, 306, 'walk#()
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (503, 307, '
class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (504, 307, '
class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (505, 307, '
class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (506, 307, 'Ничего из перечисленного
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (507, 308, 'Ошибка компиляции на строке:
public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (508, 308, '6
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (509, 308, 'Ошибка компиляции на строке:
System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (510, 308, 'Ошибка компиляции на строке:
public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8465, 2121, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (516, 310, 'Если метод в качестве параметра принимает класс-предок трех других классов, то любой из этих классов может быть передан в качестве параметра
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (517, 310, 'Все исключения при приведении типов могут быть замечены на этапе компиляции
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (518, 310, 'Объект класса можно привести к его подклассу без явного приведения типов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (519, 310, 'Метод, принимающий в качестве параметра java.lang.Object, примет на вход любой объект
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (520, 311, 'Ошибка компиляции на строке:
class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (521, 311, 'Ошибка компиляции на строке:
public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (522, 311, 'Ошибка компиляции на строке:
public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (523, 311, 'Orca diving
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (524, 311, 'Данных недостаточно для определения результата исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (740, 360, '
caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (525, 312, 'Блок catch для IllegalArgumentException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (526, 312, 'Блоки catch для этих двух исключений могут идти в любом порядке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (527, 312, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (528, 312, 'Блок catch для ClassCastException должен идти перед блоком catch для IllegalArgumentException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (529, 313, 'Блок catch для Exception должен идти перед блоком catch для IOException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (530, 313, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (531, 313, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (532, 313, 'Блок catch для IOException должен идти перед блоком catch для Exception
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (533, 314, 'Блок catch для ClassCastException должен идти перед блоком catch для RuntimeException
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (534, 314, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (535, 314, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (536, 314, 'Блок catch для RuntimeException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (537, 315, 'Проверяемое исключение, выбрасываемое методом в классе-предке, должно выбрасываться методом в классе-потомке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (538, 315, 'Модификатор доступа у метода в классе-потомке должен быть такой же или шире чем у метода в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (539, 315, 'Типы возвращаемого значения должны быть ковариантны
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (540, 315, 'Проверяемое исключение, выбрасываемое методом в классе-потомке, должно быть того же класса или наследником того же класса что и исключение, выбрасываемое в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (541, 316, 'И те и другие могут содержать статические методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (542, 316, 'И те и другие могут содержать статические переменные
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (543, 316, 'И те и другие могут содержать дефолтные методы
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (544, 316, 'И те и другие могут содержать абстрактные методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (545, 317, 'Они позволяют наследовать несколько классов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (546, 317, 'Они позволяют писать код с отложенным выполнением
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (547, 317, 'Они позволяют изменять байткод приложения во время его исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (548, 317, 'Они позволяют конвертировать примитивы в классы-обертки
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (549, 318, 'Только из классов, которые находятся в том же пакете, что и Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (550, 318, 'Из любого класса-предка Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (551, 318, 'Только из подклассов класса Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (552, 318, 'Из любого подкласса Test или из любого класса, находящегося в том же пакете что Test
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (553, 319, 'public void sing(int note, String... sound, int music)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (554, 319, 'public void sing(String... keys, String... pitches)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (555, 319, 'public void sing(String... notes, String melodies)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (556, 319, 'public void sing(String key, String... harmonies)
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (557, 320, 'Класс не обязан иметь явно объявленный конструктор
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (558, 320, 'Если значение финальной переменной экземпляра класса не присвоено при объявлении переменной или в блоке инициализации, то оно должно быть присвоено в конструкторе
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (559, 320, 'Первая строка любого конструктора это вызов конструктора класса-предка через super()
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (754, 363, 'Скрывает, переопределяет
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3043, 874, '08', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (560, 320, 'Конструктор может передавать аргументы в конструктор класса-предка
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (561, 321, 'value2 = "h"; вместо //ПРОПУСК_2
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (562, 321, 'value3="i"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (563, 321, 'value1="d"; вместо //ПРОПУСК_1
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (564, 321, 'value3="f"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (565, 321, 'value2="e"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (566, 321, 'value1="g"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8660, 2162, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (611, 332, '
class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (612, 332, '
class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (613, 332, '
class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (614, 332, 'Ничего из перечисленного
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (615, 333, 'Предполагается что все методы в них абстрактные
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (616, 333, 'И те и другие могут содержать статические методы
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (617, 333, 'И те и другие наследуют java.lang.Object
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (618, 333, 'И те и другие могут содержать public static final переменные
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (619, 333, 'И те и другие могут содержать default методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (620, 334, 'Ошибка компиляции на строке:
abstract int getNumberOfSections();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (621, 334, 'Ошибка компиляции на строке:
abstract class Insect implements HasExoskeleton {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (622, 334, 'Ошибка компиляции на строке:
public class Beetle extends Insect {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (623, 334, 'Скомпилируется и запустится без ошибок
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (624, 334, 'Скомпилируется, но выбросит исключение во время выполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (625, 335, 'Ошибка компиляции на строке:
public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (626, 335, '6
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (755, 363, 'Переопределяет, скрывает
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (627, 335, 'Ошибка компиляции на строке:
System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (628, 335, 'Ошибка компиляции на строке:
public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (629, 335, '2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (630, 336, 'Platypus
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (631, 336, 'MammalPlatypus
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (632, 336, 'Mammal
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (633, 336, 'Ошибка компиляции на строке:
System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (634, 336, 'Ошибка компиляции на строке:
new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (635, 337, '
Long', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (636, 337, '
CanHop', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (637, 337, '
Object', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (638, 337, '
Frog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (639, 337, '
BrazilianHornedFrog', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (640, 337, '
TurtleFrog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (641, 338, 'Если метод в качестве параметра принимает класс-предок трех других классов, то любой из этих классов может быть передан в качестве параметра
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (642, 338, 'Все исключения при приведении типов могут быть замечены на этапе компиляции
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (643, 338, 'Объект класса можно привести к его подклассу без явного приведения типов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (644, 338, 'Метод, принимающий в качестве параметра java.lang.Object, примет на вход любой объект
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (645, 339, 'Конкретный подкласс не может быть помечен как final
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (646, 339, 'Абстрактные методы не могут быть переопределены в конкретном подклассе
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (647, 339, 'Конкретный подкласс должен реализовывать все методы определенные в наследуемом им интерфейсе
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (648, 339, 'Конкретный подкласс может быть помечен как abstract
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (649, 339, 'Конкретный подкласс должен реализовывать все унаследованные абстрактные методы
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (650, 340, 'Pelican is flying
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (651, 340, 'Bird is flying
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (652, 340, 'Ошибка компиляции на строке:
Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (653, 340, 'Ошибка компиляции на строке:
bird.fly();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (654, 340, 'Ошибка компиляции на строке:
protected void fly() { System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (655, 341, 'Интерфейс CanBark не скомпилируется
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (656, 341, 'Класс, реализующий CanBark, наследует только метод bark()
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (657, 341, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (658, 341, 'Интерфейс не может расширять другой интерфейс
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (659, 341, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (660, 342, 'Блок catch для IllegalArgumentException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (661, 342, 'Блоки catch для этих двух исключений могут идти в любом порядке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (662, 342, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (663, 342, 'Блок catch для ClassCastException должен идти перед блоком catch для IllegalArgumentException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (664, 343, 'Error
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (665, 343, 'Exception
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (666, 343, 'Throwable
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (667, 343, 'RuntimeException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (668, 344, 'Блок catch для ClassCastException должен идти перед блоком catch для RuntimeException
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (669, 344, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (670, 344, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (671, 344, 'Блок catch для RuntimeException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (673, 345, 'java.lang.Error, непроверяемые исключения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (674, 345, 'java.lang.Throwable, java.lang.Error
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (675, 345, 'проверяемые исключения, java.lang.Error
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (676, 346, 'ArrayIndexOutOfBoundsException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (677, 346, 'IOException
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (678, 346, 'IllegalArgumentException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (679, 346, 'ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (680, 347, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (681, 347, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (682, 347, 'Техника, которая может быть использована в неизменяемом классе для экономии памяти для создания объекта
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (683, 347, 'Техника, которая может быть использована в неизменяемом классе, чтобы создавать объект во время первого обращения к нему
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (684, 348, 'Ссылка на класс может быть присвоена его классу-потомку без явного приведения типа
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (685, 348, 'Ссылка на класс, реализующий интерфейс, может быть присвоена этому интерфейсу только с помощью явного приведения типа
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (686, 348, 'Ссылка на класс может быть присвоена его классу-предку без явного приведения типа
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (687, 348, 'Ссылка на интерфейс может быть присвоена ссылке на класс, который реализует этот интерфейс, без явного приведения типа
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (688, 349, 'Тип ссылки, тип объекта
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (689, 349, 'Тип объекта, тип ссылки
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (690, 349, 'Тип объекта, класс-предок
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (691, 349, 'Тип ссылки, сигнатура
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (692, 350, 'default
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (693, 350, 'final
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (694, 350, 'abstract
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (695, 350, 'static
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (696, 351, 'Только 2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (697, 351, '1 и 2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (698, 351, 'Только 1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (699, 351, 'Все перечисленные
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (700, 352, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (701, 352, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (702, 352, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (703, 352, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (704, 353, 'Они позволяют наследовать несколько классов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (705, 353, 'Они позволяют писать код с отложенным выполнением
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (706, 353, 'Они позволяют изменять байткод приложения во время его исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (707, 353, 'Они позволяют конвертировать примитивы в классы-обертки
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (708, 354, 'Только из классов, которые находятся в том же пакете, что и Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (709, 354, 'Из любого класса-предка Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (710, 354, 'Только из подклассов класса Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (711, 354, 'Из любого подкласса Test или из любого класса, находящегося в том же пакете что Test
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (712, 355, 'Все утверждения верны
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (713, 355, '1 и 3
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (714, 355, '1 и 2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (715, 355, '2 и 3
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (716, 355, 'Только 3
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (717, 356, 'boolean
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (718, 356, 'int[]
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (719, 356, 'long
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (720, 356, 'String
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (721, 357, 'Код скомпилируется
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (722, 357, 'Код выбросит runtime exception
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (723, 357, 'Ровно три выражения .add используют автоупаковку из примитивов в классы-обертки
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (724, 357, 'Ровно два выражения .add используют автоупаковку из примитивов в классы-обертки
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (725, 357, 'Ровно одно выражение .add использует автоупаковку из примитивов в классы-обертки
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (726, 358, 'value2 = "h"; вместо //ПРОПУСК_2
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (727, 358, 'value3="i"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (728, 358, 'value1="d"; вместо //ПРОПУСК_1
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (729, 358, 'value3="f"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (730, 358, 'value2="e"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (731, 358, 'value1="g"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (732, 359, '4
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (733, 359, '3
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (734, 359, '0
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (735, 359, '2
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (736, 359, '1
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (737, 359, '5
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (738, 360, '
caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1943, 625, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (741, 360, '
caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (742, 360, '
caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (743, 360, 'caller((e) -> "Poof");
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (744, 361, 'Код выведет 4 4
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (745, 361, 'Код выведет 2 4
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (746, 361, 'Код выведет 4 2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (747, 361, 'Код выведет 5 4 если убрать конструктор Create(int num)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (748, 361, 'Код выведет 3 4 если убрать конструктор Create(int num)
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (749, 361, 'Код выведет 4 4 если убрать конструктор Create(int num)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (750, 362, 'Приложение временно потеряло соединение с интернетом
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (751, 362, 'Два пользователя попытались зарегистрировать аккаунты в один момент
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (752, 362, 'Пользователь неверно ввел свой пароль
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (753, 362, 'У приложения кончилась память
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (757, 363, 'заменяет, переопределяет
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (758, 364, 'final
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (759, 364, 'static
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (760, 364, 'public
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (761, 364, 'abstract
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (762, 365, 'Абстрактный класс
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (763, 365, 'Модификатор доступа
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (764, 365, 'Статический метод
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (765, 365, 'Интерфейс
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (766, 366, 'default
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (767, 366, 'private
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (768, 366, 'protected
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (769, 366, 'Никакие из перечисленных
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (770, 367, '
class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (771, 367, '
class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (772, 367, '
class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (773, 367, 'Ничего из перечисленного
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (774, 368, 'Ошибка компиляции на строке:
public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (775, 368, '6
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (776, 368, 'Ошибка компиляции на строке:
System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (777, 368, 'Ошибка компиляции на строке:
public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (778, 368, '2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (779, 369, '
int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (780, 369, '
public static void eatGrass();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (781, 369, '
public int chew() { return 13; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (782, 369, 'Ошибок нет
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (783, 370, 'Если метод в качестве параметра принимает класс-предок трех других классов, то любой из этих классов может быть передан в качестве параметра
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (784, 370, 'Все исключения при приведении типов могут быть замечены на этапе компиляции
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (785, 370, 'Объект класса можно привести к его подклассу без явного приведения типов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (786, 370, 'Метод, принимающий в качестве параметра java.lang.Object, примет на вход любой объект
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (787, 371, 'Ошибка компиляции на строке:
class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (788, 371, 'Ошибка компиляции на строке:
public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (789, 371, 'Ошибка компиляции на строке:
public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (790, 371, 'Orca diving
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (791, 371, 'Данных недостаточно для определения результата исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (792, 372, 'Блок catch для IllegalArgumentException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (793, 372, 'Блоки catch для этих двух исключений могут идти в любом порядке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (794, 372, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (795, 372, 'Блок catch для ClassCastException должен идти перед блоком catch для IllegalArgumentException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (796, 373, 'Блок catch для Exception должен идти перед блоком catch для IOException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (797, 373, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (798, 373, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (799, 373, 'Блок catch для IOException должен идти перед блоком catch для Exception
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (800, 374, 'Блок catch для ClassCastException должен идти перед блоком catch для RuntimeException
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (801, 374, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (802, 374, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2217, 689, '08', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (803, 374, 'Блок catch для RuntimeException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (804, 375, 'Проверяемое исключение, выбрасываемое методом в классе-предке, должно выбрасываться методом в классе-потомке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (805, 375, 'Модификатор доступа у метода в классе-потомке должен быть такой же или шире чем у метода в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (806, 375, 'Типы возвращаемого значения должны быть ковариантны
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (807, 375, 'Проверяемое исключение, выбрасываемое методом в классе-потомке, должно быть того же класса или наследником того же класса что и исключение, выбрасываемое в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (808, 376, 'И те и другие могут содержать статические методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (809, 376, 'И те и другие могут содержать статические переменные
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (810, 376, 'И те и другие могут содержать дефолтные методы
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (811, 376, 'И те и другие могут содержать абстрактные методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (812, 377, 'Они позволяют наследовать несколько классов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (813, 377, 'Они позволяют писать код с отложенным выполнением
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (814, 377, 'Они позволяют изменять байткод приложения во время его исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (815, 377, 'Они позволяют конвертировать примитивы в классы-обертки
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (816, 378, 'Только из классов, которые находятся в том же пакете, что и Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (817, 378, 'Из любого класса-предка Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (818, 378, 'Только из подклассов класса Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (819, 378, 'Из любого подкласса Test или из любого класса, находящегося в том же пакете что Test
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (820, 379, 'public void sing(int note, String... sound, int music)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (821, 379, 'public void sing(String... keys, String... pitches)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (822, 379, 'public void sing(String... notes, String melodies)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (823, 379, 'public void sing(String key, String... harmonies)
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (824, 380, 'Класс не обязан иметь явно объявленный конструктор
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (825, 380, 'Если значение финальной переменной экземпляра класса не присвоено при объявлении переменной или в блоке инициализации, то оно должно быть присвоено в конструкторе
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (826, 380, 'Первая строка любого конструктора это вызов конструктора класса-предка через super()
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (827, 380, 'Конструктор может передавать аргументы в конструктор класса-предка
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (828, 381, 'value2 = "h"; вместо //ПРОПУСК_2
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (829, 381, 'value3="i"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (830, 381, 'value1="d"; вместо //ПРОПУСК_1
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (831, 381, 'value3="f"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (832, 381, 'value2="e"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (833, 381, 'value1="g"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (834, 382, '
class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (835, 382, '
class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (836, 382, '
class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (837, 382, 'Ничего из перечисленного
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (838, 383, 'Ошибка компиляции на строке:
public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (839, 383, '6
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (840, 383, 'Ошибка компиляции на строке:
System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (841, 383, 'Ошибка компиляции на строке:
public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (842, 383, '2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (843, 384, '
int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (844, 384, '
public static void eatGrass();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (845, 384, '
public int chew() { return 13; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (846, 384, 'Ошибок нет
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (847, 385, 'Если метод в качестве параметра принимает класс-предок трех других классов, то любой из этих классов может быть передан в качестве параметра
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (848, 385, 'Все исключения при приведении типов могут быть замечены на этапе компиляции
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (849, 385, 'Объект класса можно привести к его подклассу без явного приведения типов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (850, 385, 'Метод, принимающий в качестве параметра java.lang.Object, примет на вход любой объект
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (851, 386, 'Ошибка компиляции на строке:
class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (852, 386, 'Ошибка компиляции на строке:
public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (853, 386, 'Ошибка компиляции на строке:
public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (854, 386, 'Orca diving
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (855, 386, 'Данных недостаточно для определения результата исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (856, 387, 'Блок catch для IllegalArgumentException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (857, 387, 'Блоки catch для этих двух исключений могут идти в любом порядке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (858, 387, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (859, 387, 'Блок catch для ClassCastException должен идти перед блоком catch для IllegalArgumentException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (860, 388, 'Блок catch для Exception должен идти перед блоком catch для IOException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (861, 388, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (862, 388, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1024, 426, 'LiveLock
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (863, 388, 'Блок catch для IOException должен идти перед блоком catch для Exception
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (864, 389, 'Блок catch для ClassCastException должен идти перед блоком catch для RuntimeException
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (865, 389, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (866, 389, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (867, 389, 'Блок catch для RuntimeException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (868, 390, 'Проверяемое исключение, выбрасываемое методом в классе-предке, должно выбрасываться методом в классе-потомке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (869, 390, 'Модификатор доступа у метода в классе-потомке должен быть такой же или шире чем у метода в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (870, 390, 'Типы возвращаемого значения должны быть ковариантны
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (871, 390, 'Проверяемое исключение, выбрасываемое методом в классе-потомке, должно быть того же класса или наследником того же класса что и исключение, выбрасываемое в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (872, 391, 'И те и другие могут содержать статические методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (873, 391, 'И те и другие могут содержать статические переменные
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (874, 391, 'И те и другие могут содержать дефолтные методы
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (875, 391, 'И те и другие могут содержать абстрактные методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (876, 392, 'Они позволяют наследовать несколько классов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (877, 392, 'Они позволяют писать код с отложенным выполнением
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (878, 392, 'Они позволяют изменять байткод приложения во время его исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (879, 392, 'Они позволяют конвертировать примитивы в классы-обертки
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (880, 393, 'Только из классов, которые находятся в том же пакете, что и Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (881, 393, 'Из любого класса-предка Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (882, 393, 'Только из подклассов класса Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (883, 393, 'Из любого подкласса Test или из любого класса, находящегося в том же пакете что Test
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (884, 394, 'public void sing(int note, String... sound, int music)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (885, 394, 'public void sing(String... keys, String... pitches)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (886, 394, 'public void sing(String... notes, String melodies)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (887, 394, 'public void sing(String key, String... harmonies)
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (888, 395, 'Класс не обязан иметь явно объявленный конструктор
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (889, 395, 'Если значение финальной переменной экземпляра класса не присвоено при объявлении переменной или в блоке инициализации, то оно должно быть присвоено в конструкторе
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (890, 395, 'Первая строка любого конструктора это вызов конструктора класса-предка через super()
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (891, 395, 'Конструктор может передавать аргументы в конструктор класса-предка
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (892, 396, 'value2 = "h"; вместо //ПРОПУСК_2
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (893, 396, 'value3="i"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (894, 396, 'value1="d"; вместо //ПРОПУСК_1
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (895, 396, 'value3="f"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (896, 396, 'value2="e"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (897, 396, 'value1="g"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (898, 397, 'Приложение временно потеряло соединение с интернетом
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (899, 397, 'Два пользователя попытались зарегистрировать аккаунты в один момент
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (901, 397, 'У приложения кончилась память
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (903, 398, 'Переопределяет, скрывает
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (904, 398, 'Скрывает, Скрывает
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1066, 434, 'DoubleConsumer
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (905, 398, 'заменяет, переопределяет
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (907, 399, 'static
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (908, 399, 'public
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (909, 399, 'abstract
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (910, 400, 'Абстрактный класс
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (911, 400, 'Модификатор доступа
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (912, 400, 'Статический метод
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (915, 401, 'private
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (916, 401, 'protected
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (917, 401, 'Никакие из перечисленных
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (900, 397, 'Пользователь неверно ввел свой пароль
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (902, 398, 'Скрывает, переопределяет
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (906, 399, 'final
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (913, 400, 'Интерфейс
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (914, 401, 'default
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (918, 402, '
class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (919, 402, '
class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1025, 426, 'Lost resources
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (921, 402, 'Ничего из перечисленного
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (922, 403, 'Ошибка компиляции на строке:
public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (924, 403, 'Ошибка компиляции на строке:
System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (925, 403, 'Ошибка компиляции на строке:
public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (926, 403, '2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (927, 404, '
int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (929, 404, '
public int chew() { return 13; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (930, 404, 'Ошибок нет
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (931, 405, 'Если метод в качестве параметра принимает класс-предок трех других классов, то любой из этих классов может быть передан в качестве параметра
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (933, 405, 'Объект класса можно привести к его подклассу без явного приведения типов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (934, 405, 'Метод, принимающий в качестве параметра java.lang.Object, примет на вход любой объект
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (935, 406, 'Ошибка компиляции на строке:
class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (936, 406, 'Ошибка компиляции на строке:
public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (937, 406, 'Ошибка компиляции на строке:
public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (939, 406, 'Данных недостаточно для определения результата исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (940, 407, 'Блок catch для IllegalArgumentException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (942, 407, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (943, 407, 'Блок catch для ClassCastException должен идти перед блоком catch для IllegalArgumentException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (945, 408, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (946, 408, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (947, 408, 'Блок catch для IOException должен идти перед блоком catch для Exception
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (948, 409, 'Блок catch для ClassCastException должен идти перед блоком catch для RuntimeException
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (949, 409, 'Блоки catch для этих двух исключений могут идти в любом порядке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (951, 409, 'Блок catch для RuntimeException должен идти перед блоком catch для ClassCastException
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (952, 410, 'Проверяемое исключение, выбрасываемое методом в классе-предке, должно выбрасываться методом в классе-потомке
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (954, 410, 'Типы возвращаемого значения должны быть ковариантны
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (955, 410, 'Проверяемое исключение, выбрасываемое методом в классе-потомке, должно быть того же класса или наследником того же класса что и исключение, выбрасываемое в классе-предке
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (956, 411, 'И те и другие могут содержать статические методы
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (957, 411, 'И те и другие могут содержать статические переменные
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (958, 411, 'И те и другие могут содержать дефолтные методы
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (960, 412, 'Они позволяют наследовать несколько классов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (962, 412, 'Они позволяют изменять байткод приложения во время его исполнения
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (963, 412, 'Они позволяют конвертировать примитивы в классы-обертки
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (965, 413, 'Из любого класса-предка Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (966, 413, 'Только из подклассов класса Test
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (923, 403, '6
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (928, 404, '
public static void eatGrass();', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (932, 405, 'Все исключения при приведении типов могут быть замечены на этапе компиляции
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (938, 406, 'Orca diving
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1071, 435, 'UnaryOperator<T>
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (941, 407, 'Блоки catch для этих двух исключений могут идти в любом порядке
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (944, 408, 'Блок catch для Exception должен идти перед блоком catch для IOException
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (950, 409, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (953, 410, 'Модификатор доступа у метода в классе-потомке должен быть такой же или шире чем у метода в классе-предке
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (959, 411, 'И те и другие могут содержать абстрактные методы
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (961, 412, 'Они позволяют писать код с отложенным выполнением
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (964, 413, 'Только из классов, которые находятся в том же пакете, что и Test
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1029, 427, '-Xms
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1027, 427, '-Xss
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1099, 442, 'Ошибка компиляции
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (967, 413, 'Из любого подкласса Test или из любого класса, находящегося в том же пакете что Test
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (968, 414, 'public void sing(int note, String... sound, int music)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (969, 414, 'public void sing(String... keys, String... pitches)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (970, 414, 'public void sing(String... notes, String melodies)
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (973, 415, 'Если значение финальной переменной экземпляра класса не присвоено при объявлении переменной или в блоке инициализации, то оно должно быть присвоено в конструкторе
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (974, 415, 'Первая строка любого конструктора это вызов конструктора класса-предка через super()
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (975, 415, 'Конструктор может передавать аргументы в конструктор класса-предка
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (976, 416, 'value2 = "h"; вместо //ПРОПУСК_2
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (977, 416, 'value3="i"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (978, 416, 'value1="d"; вместо //ПРОПУСК_1
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (979, 416, 'value3="f"; вместо //ПРОПУСК_1
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (981, 416, 'value1="g"; вместо //ПРОПУСК_2
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (920, 402, '
class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (971, 414, 'public void sing(String key, String... harmonies)
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (972, 415, 'Класс не обязан иметь явно объявленный конструктор
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (980, 416, 'value2="e"; вместо //ПРОПУСК_1
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (982, 417, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (983, 417, 'Интерфейс, который содержит в себе только один абстрактный метод
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (984, 417, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (986, 418, 'Method reference
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (987, 418, 'var type-inference
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (989, 418, 'HTTP Client
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (990, 419, 'Stack
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (991, 419, 'Survivor Space
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (992, 419, 'Virtual Space
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (993, 419, 'Young Generation
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (995, 420, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (996, 420, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (997, 420, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (999, 421, 'StrongReference
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1000, 421, 'WeakReference
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1001, 421, 'SoftReference
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1003, 422, 'AtomicLong
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1004, 422, 'AtomicBoolean
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1005, 422, 'AtomicInteger
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1007, 423, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1008, 423, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1010, 423, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1011, 424, 'Exchanger
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1012, 424, 'ReentrantLock
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1014, 424, 'RecursiveTask
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1015, 425, 'TERMINATED
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1016, 425, 'RUNNABLE
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1018, 425, 'WAITING
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1021, 426, 'Race conditions
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1023, 426, 'Memory exchange
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1072, 436, '
<code>new Duration(start, end).getMillis();</code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2218, 689, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (985, 417, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (988, 418, 'List.of(), Set.of(), Map.of(), Map.ofEntries()
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (994, 419, 'Metaspace
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (998, 420, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1002, 421, 'PhantomReference
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1006, 422, 'AtomicDouble
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1009, 423, 'Позволяет обмениваться объектами между двумя потоками
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1013, 424, 'ThreadLocal
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1017, 425, 'BLOCKED
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1019, 425, 'NEW
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1020, 425, 'STARTED
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1022, 426, 'DeadLock
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1030, 427, 'Ни один из вариантов не является верным
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1031, 428, 'Ошибка компиляции
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1033, 428, 'null
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1034, 428, 'Ошибка во время выполнения
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1035, 428, 'Optional.empty
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1037, 429, 'Ошибка во время выполнения
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1038, 429, '[13, 11, 29]
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1039, 429, '[]
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1040, 429, 'Хеш объекта вида [I@3d075dc0
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1041, 430, 'Ошибка компиляции
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1042, 430, '1one2two3three
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1044, 430, 'onetwothree
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1045, 430, 'Ошибка во время выполнения
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1047, 431, 'OptionalDouble[3.0]
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1048, 431, '3.0
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1049, 431, 'OptionalDouble[3.5]
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1050, 431, '3.5
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1051, 431, 'Ошибка во время выполнения
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1052, 432, 'Ошибка компиляции на строчке static void method()
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1053, 432, 'Ошибка компиляции на строчке I i = new I(){};
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1055, 432, 'defaultstatic
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1056, 432, 'Ошибка во время выполнения
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1057, 433, 'SubClass
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1058, 433, 'SuperClass
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1059, 433, 'SuperClassSubClass
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1060, 433, 'Ошибка компиляции
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1062, 434, 'Consumer
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1063, 434, 'IntegerConsumer
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1064, 434, 'LongConsumer
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1065, 434, 'BooleanConsumer
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1067, 435, 'Function<T,R>
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1068, 435, 'Consumer<T>
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1069, 435, 'Supplier<T>
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1070, 435, 'Predicate<T>
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1073, 436, '
<code>end - start;</code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1074, 436, '
<code>Duration.between(start, end);</code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1075, 436, '
<code>Duration.between(start, end).toMillis();</code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1076, 437, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1077, 437, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1079, 437, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1081, 438, '
<code>Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");</code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1082, 438, '
<code>Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");</code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1083, 438, '
<code>Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");</code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1085, 439, '2014-12-04
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1087, 439, '2015-01-04
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1088, 439, 'Ошибка компиляции
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1089, 439, 'Ошибка во время выполнения
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1090, 440, 'Consumer<T,U>
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1091, 440, 'BiFunction<T,U>
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1092, 440, 'Predicate<T>
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1095, 441, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1096, 441, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1097, 441, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1098, 442, 'Ничего не будет выведено
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1043, 430, '123
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1046, 431, 'Ошибка компиляции
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1054, 432, 'Ошибка компиляции на другой строке
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1061, 433, 'Ничего из вышеперечисленного
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1084, 438, 'Ничего из вышеперечисленного
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1086, 439, '2015-12-04
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1093, 440, 'BiConsumer<T,U>
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1094, 441, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6915, 1770, 'try, catch, finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7523, 1912, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8134, 2053, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1100, 442, 'Ошибка во время выполнения
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1101, 442, 'Hello!
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1102, 443, '1
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1103, 443, '2
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1104, 443, '222
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1106, 443, 'Программа бросит исключение во время выполнения
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1107, 443, '0
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1108, 444, 'Интерфейс, который имеет только один метод mark()
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1109, 444, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1111, 444, 'Любой интерфейс можно назвать интерфейсом-маркером
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1112, 444, 'Ни одно из вышеперечисленных определений не является верным
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1113, 445, 'READY
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1114, 445, 'BLOCKED
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1116, 445, 'TIMED_WAITING
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1117, 445, 'Ни одно из вышеперечисленных
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1118, 446, '6
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1120, 446, '0
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1121, 446, 'Ошибка компиляции
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1122, 447, 'private поля
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1124, 447, 'final поля
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1125, 447, 'transient поля
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1126, 448, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1128, 448, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1130, 449, '
<code>connection.prepareCall("...");</code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1132, 449, '
<code>connection.createStatement("...");</code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1134, 449, '
<code>connection.prepareStatement();</code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1135, 450, 'java.sql.Connection
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1136, 450, 'java.sql.DriverManager
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1137, 450, 'java.sql.Transaction
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1139, 450, 'java.sql.ResultSet
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1141, 451, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1142, 451, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1145, 452, 'Видны только в пределах блока в котором объявлены
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1146, 452, 'Не могут быть private/protected/static. Могут быть только public
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1148, 452, 'Не имеют доступ к полям и методам внешнего класса
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1149, 452, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1150, 453, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1152, 453, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1153, 453, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1201, 462, 'Ни один ответ не является верным
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1110, 444, 'Интерфейс, который не имеет ни одного метода, как и констант
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1115, 445, 'WAITING
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1119, 446, '13
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1123, 447, 'static поля
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1129, 448, 'Для вызова хранимых процедур
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1131, 449, '
<code>connection.prepareStatement("...");</code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1133, 449, '
<code>connection.createStatement();</code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1138, 450, 'java.sql.DataTable
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1140, 450, 'java.sql.Statement
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1144, 451, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1147, 452, 'Не могут иметь никаких статических элементов
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1190, 460, 'Метод finalize() может быть не вызван вовсе
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1195, 461, 'Первое выражение безопасно для NullPointerException
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1151, 453, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1614, 550, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1615, 550, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1616, 551, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1617, 551, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1154, 453, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1155, 454, 'Статический метод может быть переопределен на равне с метод экземпляра класса
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1156, 454, 'При переопределении метода возможно сузить уровень доступа
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1157, 454, 'При переопределении метода возможно расширить уровень доступа
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1158, 454, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1161, 455, 'В статическом блоке инициализации не могут быть брошены исключения
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1162, 455, 'java.lang.ExceptionInInitializerError
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1164, 455, 'Ни один ответ не является правильным
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1165, 456, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1166, 456, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1169, 456, 'ListIterator расширяет интерфейс Iterable
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1170, 456, 'ListIterator расширяет интерфейс Iterator
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1171, 457, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1172, 457, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1173, 457, 'Обращаться к ресурсам в определенном порядке и не освобождать их
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1175, 457, 'Никак
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1176, 458, '&
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1177, 458, '&=
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1178, 458, '<=
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1180, 458, '>>>=
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1181, 458, '~
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1182, 459, 'Код выполнится успешно и выведет 3 3
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1183, 459, 'Ошибка компиляции на строке static class Inner {
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1184, 459, 'Ошибка компиляции на строке public static void main(String args[]) {
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1186, 459, 'Во время выполнения будет брошено исключение
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1187, 460, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1188, 460, 'Метод finalize() должен быть объявлен как protected
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1189, 460, 'Метод finalize() может быть вызван только один раз
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1191, 460, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1192, 461, 'Разницы нет
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1193, 461, 'Скорость выполнения операции сравнения в первом случае выше
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1194, 461, 'Скорость выполнения операции сравнения во втором случае выше
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1196, 461, 'Второе выражение безопасно для NullPointerException
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1198, 462, 'В heap, но не добавляется в string pool
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1199, 462, 'В heap и так же добавляется в string pool
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1200, 462, 'Такие объекта хранятся только в stack
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1163, 455, 'java.lang.InstantiationException
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1167, 456, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1168, 456, 'ListIterator может быть использован только для перебора элементов коллекции List
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1174, 457, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1179, 458, '|=
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1185, 459, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1197, 462, 'В string pool
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1202, 463, 'В анонимном классе можно объявить только один конструктор
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1203, 463, 'Применение возможно только в том случае, если после порождения экземпляра нет необходимости на него ссылаться
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1205, 463, 'Все утверждения являются верными
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1206, 464, 'public
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1207, 464, 'abstract
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1208, 464, 'static
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1209, 464, 'protected
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1211, 465, 'Permanent Generation
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1212, 465, 'Metaspace
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1215, 465, 'Survivor Space
<code></code>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1216, 466, 'await()
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1217, 466, 'synchronize()
<code></code>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1026, 426, 'Starvation
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1028, 427, '-Xmx
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1032, 428, 'Optional.null
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1036, 429, 'Ошибка компиляции
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1078, 437, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1080, 437, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1105, 443, 'Ошибка компиляции
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1127, 448, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1143, 451, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1160, 454, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1159, 454, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1204, 463, 'Анонимные классы могут быть абстрактными
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1210, 464, 'final
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1214, 465, 'Eden Space
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1213, 465, 'Old Generation
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1219, 466, 'wait()
<code></code>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1218, 466, 'sleep()
<code></code>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1220, 467, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1221, 467, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1222, 467, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1223, 467, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1224, 468, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1225, 468, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1226, 468, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1227, 468, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1228, 469, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1229, 469, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1230, 469, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1231, 469, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1232, 470, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1233, 470, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1234, 470, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1235, 470, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1236, 470, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1237, 471, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1238, 471, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1239, 471, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1240, 471, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1241, 472, 'AtomicLong', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1242, 472, 'AtomicBoolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1243, 472, 'AtomicInteger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1244, 472, 'AtomicDouble', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1245, 473, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1246, 473, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1247, 473, 'Позволяет обмениваться объектами между двумя потоками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1784, 588, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1785, 588, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1786, 588, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1788, 589, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1629, 553, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1248, 473, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1249, 474, 'Exchanger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1250, 474, 'ReentrantLock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1251, 474, 'ThreadLocal', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1252, 474, 'RecursiveTask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1253, 475, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1254, 475, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1255, 475, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1256, 475, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1257, 475, 'NEW', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1258, 475, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1259, 476, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1260, 476, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1261, 476, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1262, 476, 'LiveLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1263, 476, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1264, 476, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1265, 477, '-Xms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1266, 477, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1267, 477, '-Xmx', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1268, 477, 'Ни один из вариантов не является верным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1269, 478, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1270, 478, 'Optional.null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1271, 478, 'null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1272, 478, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1273, 478, 'Optional.empty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1274, 479, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1275, 479, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1276, 479, '[13, 11, 29]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1277, 479, '[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1278, 479, 'Хеш объекта вида [I@3d075dc0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1279, 480, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1280, 480, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1281, 480, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1282, 480, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1283, 480, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1284, 481, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1285, 481, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1286, 481, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1287, 481, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1288, 481, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1289, 481, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1290, 482, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1291, 482, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1292, 482, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1293, 482, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1294, 482, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1295, 483, 'SubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1296, 483, 'SuperClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1297, 483, 'SuperClassSubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1298, 483, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1299, 483, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1300, 484, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1301, 484, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1302, 484, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1303, 484, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1304, 484, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1305, 485, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1306, 485, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1307, 485, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1308, 485, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1309, 485, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1310, 486, 'new Duration(start, end).getMillis();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1311, 486, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1312, 486, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1313, 486, 'Duration.between(start, end).toMillis();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1314, 487, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1315, 487, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1316, 487, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1317, 487, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1318, 487, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1319, 488, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1320, 488, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1321, 488, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1322, 488, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1323, 489, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1324, 489, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1325, 489, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1326, 489, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1327, 489, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1328, 490, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1329, 490, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1330, 490, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1331, 490, 'BiConsumer<T,U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1332, 491, 'public', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1333, 491, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1334, 491, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1335, 491, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1336, 491, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1337, 492, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1338, 492, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1339, 492, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1340, 492, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1341, 493, 'Permanent Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1342, 493, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1343, 493, 'Old Generation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1344, 493, 'Eden Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1345, 493, 'Survivor Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1346, 494, 'await()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1347, 494, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1348, 494, 'sleep()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1349, 494, 'wait()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1350, 495, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1351, 495, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1352, 495, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1353, 495, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1354, 496, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1355, 496, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1356, 496, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1357, 496, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1358, 496, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1359, 496, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1360, 497, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1361, 497, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1362, 497, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1363, 497, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1364, 497, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1365, 498, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1366, 498, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1367, 498, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1368, 498, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1369, 498, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1370, 499, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1371, 499, '13', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1372, 499, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1373, 499, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1374, 500, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1375, 500, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1376, 500, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1377, 500, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1378, 501, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1379, 501, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1380, 501, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1381, 501, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1382, 502, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1383, 502, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1384, 502, 'connection.createStatement("...");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1385, 502, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1386, 502, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1387, 503, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1388, 503, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1389, 503, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1390, 503, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1391, 503, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1392, 503, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1393, 504, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1394, 504, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1395, 504, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1396, 504, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1397, 505, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1398, 505, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1399, 505, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1400, 505, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1401, 505, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1402, 506, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1452, 515, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1453, 515, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1403, 506, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1404, 506, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1405, 506, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1406, 506, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1407, 507, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1408, 507, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1409, 507, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1410, 507, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1411, 507, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1412, 507, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1413, 508, 'В статическом блоке инициализации не могут быть брошены исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1414, 508, 'java.lang.ExceptionInInitializerError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1415, 508, 'java.lang.InstantiationException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1416, 508, 'Ни один ответ не является правильным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1417, 509, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1418, 509, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1419, 509, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1420, 509, 'ListIterator может быть использован только для перебора элементов коллекции List', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1421, 509, 'ListIterator расширяет интерфейс Iterable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1422, 509, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1423, 510, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1424, 510, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1425, 510, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1426, 510, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1427, 510, 'Никак', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1428, 511, '<=', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1429, 511, '&', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1430, 511, '&=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1431, 511, '|=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1432, 511, '>>>=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1433, 511, '~', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1434, 512, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1435, 512, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1436, 512, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1437, 512, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1438, 512, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1439, 513, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1440, 513, 'Метод finalize() должен быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1441, 513, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1442, 513, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1443, 513, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1444, 514, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1445, 514, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1446, 514, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1447, 514, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1448, 514, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1449, 515, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1450, 515, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1451, 515, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1454, 516, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1455, 516, 'Применение возможно только в том случае, если после порождения экземпляра нет необходимости на него ссылаться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1456, 516, 'Анонимные классы могут быть абстрактными', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1457, 516, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1458, 517, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1459, 517, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1461, 517, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1462, 518, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1464, 518, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1465, 518, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1467, 519, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1468, 519, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1469, 519, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1471, 520, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1472, 520, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1473, 520, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1474, 520, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1475, 521, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1476, 521, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1478, 521, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1479, 522, 'AtomicLong', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1481, 522, 'AtomicInteger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1482, 522, 'AtomicDouble', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1483, 523, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1484, 523, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1485, 523, 'Позволяет обмениваться объектами между двумя потоками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1487, 524, 'Exchanger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1489, 524, 'ThreadLocal', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1490, 524, 'RecursiveTask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1491, 525, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1492, 525, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1493, 525, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1494, 525, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1496, 525, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1497, 526, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1498, 526, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1499, 526, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1501, 526, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1502, 526, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1504, 527, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1505, 527, '-Xmx', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1506, 527, 'Ни один из вариантов не является верным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1508, 528, 'Optional.null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1509, 528, 'null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1510, 528, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1511, 528, 'Optional.empty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1512, 529, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1514, 529, '[13, 11, 29]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1515, 529, '[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1516, 529, 'Хеш объекта вида [I@3d075dc0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1517, 530, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1519, 530, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1520, 530, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1521, 530, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1522, 531, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1523, 531, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1524, 531, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1525, 531, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1527, 531, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1528, 532, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1530, 532, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1531, 532, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1463, 518, 'Интерфейс, который содержит в себе только один абстрактный метод', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1466, 519, 'Method reference', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1470, 520, 'Stack', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1477, 521, 'SoftReference', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1480, 522, 'AtomicBoolean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1488, 524, 'ReentrantLock', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1495, 525, 'NEW', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1500, 526, 'LiveLock', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1503, 527, '-Xms', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1507, 528, 'Ошибка компиляции', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1513, 529, 'Ошибка во время выполнения', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1518, 530, '1one2two3three', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1526, 531, '3.5', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1529, 532, 'Ошибка компиляции на строчке I i = new I(){};', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1613, 550, 'static поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1532, 532, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1534, 533, 'SuperClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1535, 533, 'SuperClassSubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1536, 533, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1537, 533, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1538, 534, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1539, 534, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1541, 534, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1542, 534, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1543, 535, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1544, 535, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1545, 535, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1546, 535, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1549, 536, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1550, 536, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1551, 536, 'Duration.between(start, end).toMillis();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1552, 537, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1553, 537, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1554, 537, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1556, 537, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1558, 538, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1559, 538, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1560, 538, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1561, 539, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1563, 539, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1564, 539, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1565, 539, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1566, 540, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1567, 540, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1568, 540, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1570, 541, 'public', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1571, 541, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1573, 541, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1574, 541, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1575, 542, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1576, 542, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1578, 542, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1579, 543, 'Permanent Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1580, 543, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1581, 543, 'Old Generation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1583, 543, 'Survivor Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1584, 544, 'await()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1585, 544, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1586, 544, 'sleep()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1589, 545, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1590, 545, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1591, 545, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1592, 546, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1594, 546, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1595, 546, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1596, 546, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1597, 546, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1598, 547, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1599, 547, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1600, 547, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1602, 547, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1603, 548, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1604, 548, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1605, 548, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1607, 548, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1608, 549, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1609, 549, '13', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1610, 549, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1612, 550, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1540, 534, 'LongConsumer', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1548, 536, 'new Duration(start, end).getMillis();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1557, 538, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1562, 539, '2015-12-04', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1569, 540, 'BiConsumer<T,U>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1572, 541, 'static', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1577, 542, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1582, 543, 'Eden Space', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1587, 544, 'wait()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1588, 545, 'Ничего не будет выведено', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1593, 546, '2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1601, 547, 'Любой интерфейс можно назвать интерфейсом-маркером', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1606, 548, 'TIMED_WAITING', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1611, 549, 'Ошибка компиляции', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1619, 551, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1620, 552, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1621, 552, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1622, 552, 'connection.createStatement("...");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1624, 552, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1625, 553, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1626, 553, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1627, 553, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1630, 553, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1631, 554, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1633, 554, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1634, 554, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1635, 555, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1636, 555, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1638, 555, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1639, 555, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1640, 556, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1641, 556, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1642, 556, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1644, 556, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1645, 557, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1646, 557, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1648, 557, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1649, 557, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1650, 557, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1651, 558, 'В статическом блоке инициализации не могут быть брошены исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1652, 558, 'java.lang.ExceptionInInitializerError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1653, 558, 'java.lang.InstantiationException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1655, 559, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1656, 559, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1657, 559, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1659, 559, 'ListIterator расширяет интерфейс Iterable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1660, 559, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1661, 560, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1623, 552, 'connection.createStatement();', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1628, 553, 'java.sql.DataTable', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1632, 554, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1637, 555, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1643, 556, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1647, 557, 'При переопределении метода возможно расширить уровень доступа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1654, 558, 'Ни один ответ не является правильным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1658, 559, 'ListIterator может быть использован только для перебора элементов коллекции List', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1912, 618, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1913, 619, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1914, 619, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1662, 560, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1663, 560, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1665, 560, 'Никак', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1666, 561, '<=', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1667, 561, '&', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1668, 561, '&=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1670, 561, '>>>=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1671, 561, '~', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1673, 562, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1674, 562, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1675, 562, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1676, 562, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1677, 563, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1678, 563, 'Метод finalize() должен быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1679, 563, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1681, 563, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1682, 564, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1683, 564, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1684, 564, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1685, 564, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1687, 565, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1688, 565, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1689, 565, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1691, 565, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1692, 566, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1693, 566, 'Применение возможно только в том случае, если после порождения экземпляра нет необходимости на него ссылаться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1694, 566, 'Анонимные классы могут быть абстрактными', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1460, 517, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1486, 523, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1533, 533, 'SubClass', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1547, 535, 'UnaryOperator<T>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1555, 537, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1618, 551, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1664, 560, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1669, 561, '|=', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1672, 562, 'Код выполнится успешно и выведет 3 3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1680, 563, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1686, 564, 'Второе выражение безопасно для NullPointerException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1690, 565, 'Такие объекта хранятся только в stack', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1695, 566, 'Все утверждения являются верными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1696, 567, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1698, 567, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1699, 567, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1700, 568, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1701, 568, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1703, 568, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1704, 568, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1705, 569, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1706, 569, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1708, 569, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1709, 570, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1710, 570, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1711, 570, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1713, 571, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1697, 567, 'try, catch, finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1702, 568, 'Pelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1707, 569, 'import java.lang.*', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1712, 570, 'Неизменяемость переменной', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3044, 874, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3046, 875, 'value3="i"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3047, 875, 'value1="d"; вместо //ПРОПУСК_1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3049, 875, 'value2="e"; вместо //ПРОПУСК_1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3050, 875, 'value1="g"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3052, 876, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3053, 876, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3054, 876, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3051, 876, '4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1715, 571, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1716, 571, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1717, 572, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1719, 572, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1720, 572, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1721, 572, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1722, 572, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1723, 573, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1724, 573, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1872, 609, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1726, 573, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1727, 574, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1729, 574, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1730, 574, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1731, 575, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1732, 575, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1733, 575, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1736, 576, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1737, 576, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1738, 576, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1740, 577, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1741, 577, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1742, 577, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1743, 578, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1744, 578, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1746, 578, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1747, 579, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1748, 579, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1749, 579, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1752, 580, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1753, 580, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1754, 580, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1755, 581, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1756, 581, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1758, 581, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1760, 582, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1761, 582, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1762, 582, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1764, 583, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1765, 583, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1766, 583, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1767, 584, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1768, 584, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1770, 584, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1771, 585, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1773, 585, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1774, 585, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1776, 586, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1777, 586, 'Оба класса Student и Course определены в пакете com.examplejava', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1778, 586, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1779, 587, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1780, 587, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1781, 587, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1718, 572, 'Ошибка компиляции на строке:new Mammal(5);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1725, 573, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1728, 574, 'ноль или один, ноль или больше', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1734, 575, 'Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1735, 576, 'Каждая строка блока finally гарантированно будет выполнена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1739, 577, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1745, 578, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1750, 579, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1751, 580, 'default', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1757, 581, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1759, 582, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1763, 583, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1769, 584, 'public static void main (String args[])', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1772, 585, 'Синглтон класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1782, 587, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1783, 588, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8854, 2203, 'AtomicDouble', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1789, 589, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1790, 589, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1791, 590, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1792, 590, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1794, 590, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1795, 591, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1796, 591, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1797, 591, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8135, 2053, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1799, 592, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1873, 609, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2341, 715, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1800, 592, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1801, 592, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1803, 592, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1805, 593, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1806, 593, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1809, 594, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1810, 594, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1811, 594, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1813, 595, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1815, 595, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1816, 595, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1817, 596, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1819, 596, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1820, 596, 'Строка 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1821, 596, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1823, 597, 'super() и super', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1824, 597, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1825, 597, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1826, 598, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1827, 598, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1828, 598, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1831, 599, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1832, 599, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1833, 599, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1834, 599, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1835, 600, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1837, 600, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1838, 600, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1839, 601, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1840, 601, 'Первый совпадающий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1841, 601, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1843, 602, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1844, 602, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1846, 602, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1847, 603, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1849, 603, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1850, 603, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1852, 604, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1853, 604, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1854, 604, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1855, 605, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1856, 605, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1857, 605, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1793, 590, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1802, 592, 'Orca diving', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1804, 593, 'Предполагается что все методы в них абстрактные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1807, 593, 'И те и другие могут содержать public static final переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1812, 594, 'abstract', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1814, 595, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1818, 596, 'Строка 2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1822, 597, 'super() и this', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1829, 598, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1830, 599, 'import mycode.com.examplejava.Course', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1836, 600, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1842, 601, 'Невозможно написать такое выражение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1845, 602, '930', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1848, 603, 'Публичная переменная', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1851, 604, 'Интерфейс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1858, 605, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1859, 606, 'Нельзя определить аргумент метода как private переменную.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1915, 619, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1917, 619, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1918, 620, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1860, 606, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1861, 606, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1862, 606, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1863, 607, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1864, 607, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1865, 607, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1867, 608, 'Передача по значению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1869, 608, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1870, 609, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1871, 609, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1875, 609, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1877, 610, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1878, 610, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1879, 610, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1880, 611, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1882, 611, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1883, 611, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1885, 612, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1886, 612, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1887, 612, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1888, 613, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1889, 613, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1891, 613, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1892, 613, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1893, 614, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1895, 614, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1896, 614, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1898, 615, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1899, 615, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1900, 615, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1901, 616, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1902, 616, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1903, 616, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1714, 571, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1775, 586, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1787, 589, 'Java не поддерживает множественное наследование', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1798, 591, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1808, 593, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1866, 607, 'Дать интерфейсу возможность создавать конкретные методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1868, 608, 'Передача по ссылке', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1874, 609, 'Ошибка компиляции', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1876, 610, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1881, 611, 'super()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1884, 612, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1890, 613, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1894, 614, 'Перегружаемые, переопределяемые', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1897, 615, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1904, 616, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1906, 617, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1908, 617, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1909, 618, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1910, 618, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2182, 682, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1919, 620, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1920, 620, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1922, 621, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1923, 621, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1925, 621, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1927, 622, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1928, 622, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1929, 622, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1931, 623, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1932, 623, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1933, 623, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1934, 623, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1935, 623, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1936, 624, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1938, 624, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1939, 624, 'Строка 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1940, 624, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1941, 625, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1945, 626, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1946, 626, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1947, 626, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1950, 627, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1951, 627, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1952, 627, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1953, 628, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1954, 628, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1957, 628, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1958, 629, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1959, 629, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1961, 629, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1962, 629, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1963, 630, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1964, 630, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1966, 630, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1967, 630, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1968, 631, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1970, 631, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1971, 631, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1972, 631, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1974, 632, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1975, 632, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1976, 632, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1977, 632, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1978, 632, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1979, 633, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1981, 633, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1982, 633, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1983, 634, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1984, 634, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1985, 634, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1924, 621, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1930, 623, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1937, 624, 'Строка 2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1944, 625, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1948, 626, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1949, 627, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1955, 628, 'И те и другие наследуют java.lang.Object', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1960, 629, 'Pelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1965, 630, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1969, 631, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1973, 632, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1980, 633, 'try, catch, finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1988, 635, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1989, 635, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1990, 635, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1992, 636, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1993, 636, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1994, 636, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1995, 637, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1996, 637, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1998, 637, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1999, 638, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2001, 638, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2002, 638, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2003, 639, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2005, 639, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2006, 639, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2007, 640, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2009, 640, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2010, 640, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2011, 641, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2012, 641, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2014, 641, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2015, 642, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2016, 642, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2017, 642, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2019, 643, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2020, 643, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2021, 643, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2023, 644, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2025, 644, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2026, 644, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2027, 645, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2029, 645, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2030, 645, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2031, 646, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2032, 646, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2033, 646, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2035, 647, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2037, 647, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2038, 647, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2040, 648, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2041, 648, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2042, 648, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2043, 649, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2044, 649, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2045, 649, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2047, 650, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2048, 650, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2050, 650, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2051, 651, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2053, 651, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1987, 635, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1997, 637, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2000, 638, 'Первый совпадающий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2004, 639, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2008, 640, 'ноль или один, ноль или больше', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2013, 641, 'Пользователь неверно ввел свой пароль', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2018, 642, 'Никакой из перечисленных', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2022, 643, 'Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2024, 644, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2028, 645, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2034, 646, 'Каким-либо способом, не перечисленным среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2036, 647, 'Синглтон класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2039, 648, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2046, 649, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2049, 650, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2052, 651, 'Перегружаемые, переопределяемые', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2054, 651, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2055, 652, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2056, 652, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2057, 652, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2059, 653, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2060, 653, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2061, 653, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2064, 654, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2065, 654, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2066, 654, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2067, 655, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2068, 655, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2070, 655, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2071, 656, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2072, 656, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2073, 656, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8941, 2221, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2075, 657, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2076, 657, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2077, 657, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2080, 658, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2342, 715, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2081, 658, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2082, 658, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2083, 659, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2085, 659, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2086, 659, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2088, 660, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2089, 660, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2090, 660, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2092, 661, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2093, 661, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2094, 661, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2095, 662, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2096, 662, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2098, 662, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2100, 663, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2101, 663, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2103, 664, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2104, 664, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2105, 664, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2106, 665, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2107, 665, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2108, 665, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2110, 666, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2112, 666, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2113, 666, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2114, 667, 'Reptile laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2115, 667, 'Lizard laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2116, 667, 'Ошибка компиляции на строке:Reptile reptile = new Lizard();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2117, 667, 'Ошибка компиляции на строке:reptile.layEggs();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2119, 668, 'Скомпилируется без ошибки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2120, 668, 'Не скомпилируется, потому что типы возвращаемых значений не ковариантны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2121, 668, 'Не скомпилируется, потому что метод protected в классе-предке и public в классе-наследнике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2122, 668, 'Не скомпилируется, потому что метод выбрасывает исключение, которое является наследником выбрасываемого классом-предком исключения.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2183, 682, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2062, 653, 'abstract', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2063, 654, 'Позволить интерфейсу определить метод на уровне класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2069, 655, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2078, 657, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2079, 658, 'Абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2084, 659, 'final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2087, 660, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2091, 661, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2097, 662, 'Статическая переменная', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2099, 663, 'Передача по значению', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2102, 664, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2109, 665, 'Никакие из перечисленных', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2111, 666, 'super() и super', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2118, 667, 'Ошибка компиляции на строке:public void layEggs() { System.out.println("Lizard laying eggs"); }', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2125, 669, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2126, 669, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2127, 669, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2128, 670, 'Ошибка компиляции на строке:abstract int getNumberOfSections();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2129, 670, 'Ошибка компиляции на строке:abstract class Insect implements HasExoskeleton {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2130, 670, 'Ошибка компиляции на строке:public class Beetle extends Insect {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2132, 670, 'Скомпилируется, но выбросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2133, 671, 'Ошибка компиляции на строке:public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2134, 671, '6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2135, 671, 'Ошибка компиляции на строке:System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2137, 671, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2138, 672, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2139, 672, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2140, 672, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8136, 2053, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2142, 673, 'int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2145, 673, 'Ошибок нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2146, 674, 'Public методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2147, 674, 'Protected методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2151, 674, 'Public переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2152, 675, 'NoClassDefFoundError, StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2154, 675, 'StackOverflowError, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2155, 675, 'ClassCastException, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2156, 676, 'Блок catch для Exception должен идти перед блоком catch для IOException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2220, 690, 'value3="i"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2157, 676, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2158, 676, 'Блоки catch для этих двух исключений могут идти в любом порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2160, 677, 'непроверяемые исключения, java.lang.Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2161, 677, 'java.lang.Error, непроверяемые исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2162, 677, 'java.lang.Throwable, java.lang.Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2164, 678, 'И те и другие могут содержать статические методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2165, 678, 'И те и другие могут содержать статические переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2167, 678, 'И те и другие могут содержать абстрактные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2168, 679, 'Они позволяют наследовать несколько классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2170, 679, 'Они позволяют изменять байткод приложения во время его исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2171, 679, 'Они позволяют конвертировать примитивы в классы-обертки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2172, 680, 'Класс может содержать больше одного конструктора без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2173, 680, 'В случае если класс вызывает super() в одном из своих конструкторов, его класс-предок должен явно реализовать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2174, 680, 'Если класс-наследник наследует класс-предок, у которого только один конструктор, и он с аргументом, тогда класс-наследник должен явно объявить как минимум один конструктор', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2176, 681, 'public void sing(int note, String... sound, int music)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2177, 681, 'public void sing(String... keys, String... pitches)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2178, 681, 'public void sing(String... notes, String melodies)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2180, 682, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2181, 682, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2124, 669, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2131, 670, 'Скомпилируется и запустится без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2136, 671, 'Ошибка компиляции на строке:public String getNumberOfGills(int input) { return "6"; }', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2144, 673, 'public int chew() { return 13; }', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2143, 673, 'public static void eatGrass();', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2150, 674, 'Private переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2148, 674, 'Private методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2149, 674, 'Static методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2153, 675, 'StackOverflowError, NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2159, 676, 'Блок catch для IOException должен идти перед блоком catch для Exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2163, 677, 'проверяемые исключения, java.lang.Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2166, 678, 'И те и другие могут содержать дефолтные методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2169, 679, 'Они позволяют писать код с отложенным выполнением', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2175, 680, 'Компилятор Java всегда вставляет дефолтный конструктор без аргументов если вы не объявляете конструктор без аргументов в вашем классе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2179, 681, 'public void sing(String key, String... harmonies)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2184, 683, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2185, 683, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2186, 683, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8137, 2053, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2188, 684, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2190, 684, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2191, 684, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2192, 685, 'Все утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2193, 685, '1 и 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2195, 685, '2 и 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2196, 685, 'Только 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2197, 686, 'boolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2199, 686, 'long', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2200, 686, 'String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2201, 687, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2202, 687, 'import aquarium.*;
import aquarium.jellies.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2203, 687, 'import aquarium.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2205, 687, 'import aquarium.Water;
import aquarium.jellies.Water;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2207, 688, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2208, 688, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2210, 688, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2211, 688, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2214, 689, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2215, 689, 'Код выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2216, 689, '02', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2221, 690, 'value1="d"; вместо //ПРОПУСК_1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2223, 690, 'value2="e"; вместо //ПРОПУСК_1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2224, 690, 'value1="g"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2225, 691, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2226, 691, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2227, 691, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2228, 691, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2229, 691, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2231, 692, 'Объявить класс final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2232, 692, 'Сделать конструктор private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2234, 692, 'Не позволять подклассам переопределять методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2237, 693, 'ExecutorService es = Executors.newFixedThreadPool(2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2238, 693, 'ExecutorService es = Executors.newScheduledThreadPool(2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2239, 693, 'ExecutorService es = Executors.newScheduledThreadPool();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2241, 694, 'System.out.println(IntStream.rangeClosed(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2243, 694, 'System.out.println(IntStream.range(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2244, 694, 'System.out.println(IntStream.rangeClosed(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2245, 694, 'System.out.println(IntStream.range(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2246, 695, 'StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2247, 695, 'NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2249, 695, 'Программа успешно скомпилируется и выведет в консоль 0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2250, 695, 'Программа успешно скомпилируется и выведет в консоль 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2252, 696, 'int[] array = 1,2,3,4,5;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2256, 696, 'int[] array = {1,2,3,4,5};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2189, 684, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2194, 685, '1 и 2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2198, 686, 'int[]', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2204, 687, 'import aquarium.*;
import aquarium.jellies.Water;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2206, 687, 'import aquarium.Water;
import aquarium.jellies.*;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2212, 688, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2209, 688, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2213, 689, '8', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2219, 690, 'value2 = "h"; вместо //ПРОПУСК_2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2222, 690, 'value3="f"; вместо //ПРОПУСК_1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2230, 691, '5', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2235, 692, 'Объявить все поля final и private', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2240, 693, 'ExecutorService es = Executors.newSingleThreadScheduledExecutor();', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2236, 693, 'ExecutorService es = Executors.newSingleThreadExecutor(2);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2242, 694, 'System.out.println(IntStream.range(2,6).sum());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2248, 695, 'Ошибка компиляции', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2255, 696, 'int[] array = new int[];', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2254, 696, 'int[] array = int[]{};', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2253, 696, 'int[] array = new int[]{1,2,3,4,5};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2251, 696, 'int[] array = new int[5];', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2440, 740, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2441, 740, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3055, 876, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1905, 617, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1907, 617, 'Оба класса Student и Course определены в пакете com.examplejava', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1911, 618, 'public static void main (String args[])', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1916, 619, 'import com.examplejava', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1921, 620, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1926, 622, 'Нельзя определить аргумент метода как private переменную.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1956, 628, 'И те и другие могут содержать public static final переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1986, 634, 'Для блока finally обязательны фигурные скобки {}', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (1991, 636, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2058, 652, 'Java поддерживает множественное наследование между интерфейсами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2074, 656, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2123, 668, 'Не скомпилируется, потому что static метод нельзя наследовать', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2141, 672, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2187, 683, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2233, 692, 'Не создавать методы, модифицирующие поля или объекты на которые ссылаются поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2258, 697, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8853, 2203, 'AtomicInteger', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2260, 697, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2261, 698, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2262, 698, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2264, 698, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2266, 699, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2267, 699, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2268, 699, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2269, 699, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2270, 700, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2271, 700, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2272, 700, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2274, 701, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2275, 701, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2277, 701, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2278, 702, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2279, 702, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2280, 702, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2282, 703, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2283, 703, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2285, 703, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2286, 703, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2287, 703, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2288, 704, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2290, 704, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2292, 704, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2293, 705, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2294, 705, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2295, 705, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2297, 706, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2298, 706, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2299, 706, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2301, 707, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2302, 707, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2259, 697, 'Оба класса Student и Course определены в пакете com.examplejava', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2263, 698, 'public static void main (String args[])', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2265, 699, 'import mycode.com.examplejava.Course', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2273, 700, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2276, 701, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2281, 702, 'Ничего из указанного.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2284, 703, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2289, 704, 'Строка 2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2291, 704, 'Строка 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2296, 705, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2300, 706, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2303, 707, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2304, 707, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2305, 708, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6921, 1771, 'Для блока finally обязательны фигурные скобки {}', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2307, 708, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7687, 1949, 'Синглтон класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2309, 708, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2310, 709, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2312, 709, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2313, 709, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2314, 709, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2316, 710, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2317, 710, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2318, 710, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2319, 710, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2321, 711, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2322, 711, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2323, 711, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2324, 711, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2326, 712, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2327, 712, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2328, 712, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2329, 712, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2330, 712, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2331, 713, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2333, 713, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2334, 713, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2336, 714, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2337, 714, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2338, 714, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2339, 715, 'throws, throw', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2343, 716, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2345, 716, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2346, 716, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2347, 717, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2348, 717, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2350, 717, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2351, 718, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2353, 718, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2354, 718, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2355, 719, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2357, 719, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2358, 719, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2359, 720, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2361, 720, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2362, 720, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2363, 721, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2364, 721, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2365, 721, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2367, 722, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2368, 722, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2369, 722, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2371, 723, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2372, 723, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2373, 723, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2311, 709, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2315, 710, 'Интерфейс CanBark не скомпилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2320, 711, 'Ошибка компиляции на строке:class Orca extends Whale {', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2325, 712, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2332, 713, 'try, catch, finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2335, 714, 'Каждая строка блока finally гарантированно будет выполнена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2340, 715, 'throw, throws', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2344, 716, 'Исключения зачастую используются когда что-то пошло не так', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2349, 717, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2352, 718, 'Первый совпадающий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2356, 719, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2360, 720, 'ноль или один, ноль или больше', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2366, 721, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2370, 722, 'Никакой из перечисленных', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2374, 723, 'Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2375, 724, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6927, 1773, 'Исключения зачастую используются когда что-то пошло не так', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2377, 724, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2378, 724, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2379, 725, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2381, 725, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2382, 725, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2384, 726, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2385, 726, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2386, 726, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2387, 727, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2389, 727, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2390, 727, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2392, 728, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2393, 728, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2394, 728, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2395, 729, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2397, 729, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2398, 729, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2399, 730, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2400, 730, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2402, 730, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2403, 731, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2405, 731, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2406, 731, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2407, 732, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2408, 732, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2409, 732, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2411, 733, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2412, 733, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2413, 733, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2415, 734, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2417, 734, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2418, 734, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2419, 735, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2420, 735, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2422, 735, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2423, 736, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2424, 736, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2426, 736, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2427, 737, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2428, 737, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2429, 737, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2431, 738, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2432, 738, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2433, 738, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2435, 739, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2437, 739, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2438, 739, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2380, 725, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2383, 726, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2388, 727, 'Синглтон класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2391, 728, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2396, 729, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2401, 730, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2404, 731, 'Перегружаемые, переопределяемые', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2410, 732, 'Java поддерживает множественное наследование между интерфейсами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2414, 733, 'abstract', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2416, 734, 'Позволить методам интерфейса быть унаследованными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2421, 735, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2425, 736, 'Для наследования класса классом используется ключевое слово extends', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2430, 737, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2434, 738, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2436, 739, 'final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2442, 740, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2444, 741, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2445, 741, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2446, 741, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2447, 742, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2448, 742, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2450, 742, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2452, 743, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2453, 743, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2455, 744, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2456, 744, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2457, 744, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2458, 745, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2459, 745, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2461, 745, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2462, 746, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2464, 746, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2465, 746, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7049, 1804, 'Не требует знакомства с кодом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7050, 1804, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7051, 1804, 'Это позволяет избежать предвзятости автора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7053, 1805, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7055, 1805, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7056, 1805, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7058, 1806, 'Белый ящик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7059, 1806, 'Прозрачный ящик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7060, 1806, 'Тестирование на основе опыта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7061, 1807, 'Поиск дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7063, 1807, 'Предупреждение дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7064, 1807, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7054, 1805, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7057, 1806, 'Черный ящик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7062, 1807, 'Получение уверенности в уровне качества и предоставлении информации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9406, 2319, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9407, 2319, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9685, 2378, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2443, 741, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2449, 742, 'Статическая переменная', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2451, 743, 'Передача по значению', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2454, 744, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2460, 745, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2463, 746, 'super() и super', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2257, 697, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2306, 708, 'И те и другие могут содержать статические методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2308, 708, 'И те и другие могут содержать public static final переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2515, 757, 'Reptile laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2516, 757, 'Lizard laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2517, 757, 'Ошибка компиляции на строке:Reptile reptile = new Lizard();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2518, 757, 'Ошибка компиляции на строке:reptile.layEggs();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2520, 758, 'Скомпилируется без ошибки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2522, 758, 'Не скомпилируется, потому что метод protected в классе-предке и public в классе-наследнике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2523, 758, 'Не скомпилируется, потому что метод выбрасывает исключение, которое является наследником выбрасываемого классом-предком исключения.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2524, 758, 'Не скомпилируется, потому что static метод нельзя наследовать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2526, 759, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2527, 759, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2528, 759, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2529, 760, 'Ошибка компиляции на строке:abstract int getNumberOfSections();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2530, 760, 'Ошибка компиляции на строке:abstract class Insect implements HasExoskeleton {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2532, 760, 'Скомпилируется и запустится без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2533, 760, 'Скомпилируется, но выбросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2534, 761, 'Ошибка компиляции на строке:public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2535, 761, '6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2536, 761, 'Ошибка компиляции на строке:System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2538, 761, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2541, 762, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2542, 762, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2543, 763, 'int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2546, 763, 'Ошибок нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2547, 764, 'Public методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2548, 764, 'Protected методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2549, 764, 'Private методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2550, 764, 'Static методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2553, 765, 'NoClassDefFoundError, StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2555, 765, 'StackOverflowError, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2556, 765, 'ClassCastException, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2557, 766, 'Блок catch для Exception должен идти перед блоком catch для IOException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2558, 766, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2559, 766, 'Блоки catch для этих двух исключений могут идти в любом порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2561, 767, 'непроверяемые исключения, java.lang.Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2562, 767, 'java.lang.Error, непроверяемые исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2563, 767, 'java.lang.Throwable, java.lang.Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2565, 768, 'И те и другие могут содержать статические методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2566, 768, 'И те и другие могут содержать статические переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2521, 758, 'Не скомпилируется, потому что типы возвращаемых значений не ковариантны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2525, 759, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2531, 760, 'Ошибка компиляции на строке:public class Beetle extends Insect {', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2537, 761, 'Ошибка компиляции на строке:public String getNumberOfGills(int input) { return "6"; }', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2539, 762, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2544, 763, 'public static void eatGrass();', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2545, 763, 'public int chew() { return 13; }', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2552, 764, 'Public переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2551, 764, 'Private переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2554, 765, 'StackOverflowError, NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2560, 766, 'Блок catch для IOException должен идти перед блоком catch для Exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2564, 767, 'проверяемые исключения, java.lang.Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2567, 768, 'И те и другие могут содержать дефолтные методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2568, 768, 'И те и другие могут содержать абстрактные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2569, 769, 'Они позволяют наследовать несколько классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3058, 877, 'Сделать конструктор private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2571, 769, 'Они позволяют изменять байткод приложения во время его исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2572, 769, 'Они позволяют конвертировать примитивы в классы-обертки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2573, 770, 'Класс может содержать больше одного конструктора без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2574, 770, 'В случае если класс вызывает super() в одном из своих конструкторов, его класс-предок должен явно реализовать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2576, 770, 'Компилятор Java всегда вставляет дефолтный конструктор без аргументов если вы не объявляете конструктор без аргументов в вашем классе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2577, 771, 'public void sing(int note, String... sound, int music)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2578, 771, 'public void sing(String... keys, String... pitches)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2579, 771, 'public void sing(String... notes, String melodies)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2581, 772, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2582, 772, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2584, 772, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2585, 773, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2586, 773, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2587, 773, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2589, 774, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2591, 774, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2592, 774, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2594, 775, '1 и 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2595, 775, '1 и 2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2596, 775, '2 и 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2597, 775, 'Только 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2598, 776, 'boolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2600, 776, 'long', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2601, 776, 'String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2602, 777, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2603, 777, 'import aquarium.*;
import aquarium.jellies.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2605, 777, 'import aquarium.*;
import aquarium.jellies.Water;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2606, 777, 'import aquarium.Water;
import aquarium.jellies.Water;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2607, 777, 'import aquarium.Water;
import aquarium.jellies.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2609, 778, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2610, 778, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2612, 778, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2613, 778, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2615, 779, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2616, 779, 'Код выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2617, 779, '02', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2618, 779, '08', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2619, 779, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2621, 780, 'value3="i"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2622, 780, 'value1="d"; вместо //ПРОПУСК_1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2625, 780, 'value1="g"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2627, 781, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2628, 781, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2629, 781, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2630, 781, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2631, 781, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2632, 782, 'Объявить класс final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2633, 782, 'Сделать конструктор private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3056, 876, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2580, 771, 'public void sing(String key, String... harmonies)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2583, 772, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2588, 773, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2590, 774, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2593, 775, 'Все утверждения верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2599, 776, 'int[]', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2604, 777, 'import aquarium.*;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2608, 778, 'finalize() гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2611, 778, 'Сборщик мусора гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2614, 779, '8', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2620, 780, 'value2 = "h"; вместо //ПРОПУСК_2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2623, 780, 'value3="f"; вместо //ПРОПУСК_1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2624, 780, 'value2="e"; вместо //ПРОПУСК_1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2626, 781, '4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2635, 782, 'Не позволять подклассам переопределять методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2636, 782, 'Объявить все поля final и private', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2637, 783, 'ExecutorService es = Executors.newSingleThreadExecutor(2);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2639, 783, 'ExecutorService es = Executors.newScheduledThreadPool(2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2640, 783, 'ExecutorService es = Executors.newScheduledThreadPool();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2641, 783, 'ExecutorService es = Executors.newSingleThreadScheduledExecutor();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2642, 784, 'System.out.println(IntStream.rangeClosed(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2644, 784, 'System.out.println(IntStream.range(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2645, 784, 'System.out.println(IntStream.rangeClosed(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2646, 784, 'System.out.println(IntStream.range(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2648, 785, 'NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2649, 785, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2650, 785, 'Программа успешно скомпилируется и выведет в консоль 0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2651, 785, 'Программа успешно скомпилируется и выведет в консоль 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2653, 786, 'int[] array = 1,2,3,4,5;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2656, 786, 'int[] array = new int[];', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2658, 787, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2659, 787, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2660, 787, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2661, 787, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2662, 788, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2663, 788, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2664, 788, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2665, 788, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2666, 788, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2667, 789, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2668, 789, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2669, 789, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2670, 789, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2671, 789, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2672, 790, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2673, 790, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2674, 790, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2675, 790, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2676, 790, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2677, 791, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2678, 791, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2679, 791, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2680, 791, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2681, 791, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2682, 791, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2683, 792, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2684, 792, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2685, 792, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2686, 792, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2687, 792, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2688, 793, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2689, 793, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2690, 793, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2691, 793, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2692, 794, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2693, 794, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2694, 794, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2695, 794, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2696, 794, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2697, 795, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2698, 795, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2699, 795, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2700, 795, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2701, 795, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2702, 795, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2845, 828, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2638, 783, 'ExecutorService es = Executors.newFixedThreadPool(2);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2643, 784, 'System.out.println(IntStream.range(2,6).sum());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2647, 785, 'StackOverflowError', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2654, 786, 'int[] array = new int[]{1,2,3,4,5};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2655, 786, 'int[] array = int[]{};', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2703, 796, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2704, 796, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2705, 796, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2706, 796, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2707, 797, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2708, 797, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2709, 797, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2710, 797, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2789, 815, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2711, 797, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2712, 798, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2713, 798, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2714, 798, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2715, 798, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2716, 798, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2717, 798, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2718, 799, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2719, 799, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2720, 799, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2721, 799, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2722, 800, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2723, 800, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2724, 800, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2725, 800, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2726, 800, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2727, 801, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2728, 801, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2729, 801, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2730, 801, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2732, 802, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2734, 802, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2735, 803, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2736, 803, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2738, 803, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2739, 804, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2741, 804, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2742, 804, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2744, 805, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2745, 805, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2746, 805, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2748, 806, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2749, 806, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2751, 806, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2753, 807, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2754, 807, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2755, 807, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2757, 808, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2758, 808, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2759, 808, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2760, 808, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2761, 808, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2762, 809, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2764, 809, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2766, 809, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2767, 810, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2768, 810, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2769, 810, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2771, 811, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2772, 811, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2774, 811, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2776, 812, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2846, 828, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2847, 828, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2737, 803, 'public static void main (String args[])', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2740, 804, 'import com.examplejava.Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2743, 804, 'import com.examplejava.*', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2747, 805, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2750, 806, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2752, 807, 'Нельзя определить аргумент метода как private переменную.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2756, 808, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2763, 809, 'Строка 2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2765, 809, 'Строка 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2770, 810, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2773, 811, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2775, 812, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8212, 2069, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2777, 812, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2778, 812, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2779, 813, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2781, 813, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2783, 813, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2784, 814, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2785, 814, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2787, 814, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2788, 814, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2790, 815, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2792, 815, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2793, 815, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2795, 816, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2796, 816, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2797, 816, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2798, 816, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2799, 817, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2800, 817, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2801, 817, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2803, 817, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2804, 817, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2805, 818, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2807, 818, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2808, 818, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2809, 819, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2810, 819, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2811, 819, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2814, 820, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2815, 820, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2816, 820, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2818, 821, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2819, 821, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2820, 821, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2821, 822, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2823, 822, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2824, 822, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2825, 823, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2827, 823, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2828, 823, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2829, 824, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2830, 824, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2832, 824, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2833, 825, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2835, 825, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2836, 825, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2837, 826, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2838, 826, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2839, 826, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2841, 827, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2842, 827, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2843, 827, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2786, 814, 'Pelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2791, 815, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2794, 816, 'Ошибка компиляции на строке:class Orca extends Whale {', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2802, 817, 'Mammal', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2806, 818, 'try, catch, finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2812, 819, 'Для блока finally обязательны фигурные скобки {}', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2813, 820, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2817, 821, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2822, 822, 'Exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2826, 823, 'Первый совпадающий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2831, 824, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2834, 825, 'ноль или один, ноль или больше', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2840, 826, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2844, 827, 'Никакой из перечисленных', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2850, 829, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2851, 829, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2852, 829, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2853, 830, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2855, 830, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2856, 830, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2858, 831, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2859, 831, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2860, 831, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2861, 832, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2863, 832, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2864, 832, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2865, 833, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2867, 833, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2868, 833, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2869, 834, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2871, 834, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2872, 834, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2873, 835, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2874, 835, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2876, 835, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2877, 836, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2879, 836, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2880, 836, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2882, 837, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2883, 837, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2884, 837, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2886, 838, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2887, 838, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2888, 838, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2890, 839, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2891, 839, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2892, 839, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2893, 840, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2894, 840, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2896, 840, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2897, 841, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2898, 841, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2899, 841, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2901, 842, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2902, 842, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2903, 842, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2905, 843, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2907, 843, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2908, 843, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2909, 844, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2911, 844, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2912, 844, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2914, 845, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2857, 831, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2862, 832, 'Синглтон класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2870, 834, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2875, 835, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2878, 836, 'Перегружаемые, переопределяемые', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2881, 837, 'Java не поддерживает множественное наследование', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2885, 838, 'final', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2889, 839, 'Позволить интерфейсу определить метод на уровне класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2895, 840, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2900, 841, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2904, 842, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2906, 843, 'Модификатор доступа', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2910, 844, 'final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2913, 845, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2916, 845, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2918, 846, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2919, 846, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2920, 846, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2921, 847, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2922, 847, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2924, 847, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2926, 848, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2927, 848, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2929, 849, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2930, 849, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2931, 849, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2932, 850, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2933, 850, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2934, 850, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2936, 851, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2938, 851, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2939, 851, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2940, 852, 'Reptile laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2941, 852, 'Lizard laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2942, 852, 'Ошибка компиляции на строке:Reptile reptile = new Lizard();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2943, 852, 'Ошибка компиляции на строке:reptile.layEggs();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2945, 853, 'Скомпилируется без ошибки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2946, 853, 'Не скомпилируется, потому что типы возвращаемых значений не ковариантны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2947, 853, 'Не скомпилируется, потому что метод protected в классе-предке и public в классе-наследнике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2948, 853, 'Не скомпилируется, потому что метод выбрасывает исключение, которое является наследником выбрасываемого классом-предком исключения.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2950, 854, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2952, 854, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2953, 854, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2954, 855, 'Ошибка компиляции на строке:abstract int getNumberOfSections();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2955, 855, 'Ошибка компиляции на строке:abstract class Insect implements HasExoskeleton {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2957, 855, 'Скомпилируется и запустится без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2958, 855, 'Скомпилируется, но выбросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2959, 856, 'Ошибка компиляции на строке:public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2961, 856, 'Ошибка компиляции на строке:System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2962, 856, 'Ошибка компиляции на строке:public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2963, 856, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2966, 857, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9686, 2378, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2968, 858, 'int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2971, 858, 'Ошибок нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2972, 859, 'Public методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2973, 859, 'Protected методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2975, 859, 'Static методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2977, 859, 'Public переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2978, 860, 'NoClassDefFoundError, StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2980, 860, 'StackOverflowError, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2981, 860, 'ClassCastException, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2982, 861, 'Блок catch для Exception должен идти перед блоком catch для IOException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3041, 874, 'Код выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2923, 847, 'Статическая переменная', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2925, 848, 'Передача по значению', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2928, 849, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2935, 850, 'Никакие из перечисленных', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2937, 851, 'super() и super', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2949, 853, 'Не скомпилируется, потому что static метод нельзя наследовать', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2951, 854, 'Ошибка компиляции на строке:class Orca extends Whale {', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2956, 855, 'Ошибка компиляции на строке:public class Beetle extends Insect {', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2960, 856, '6', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2964, 857, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2965, 857, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2969, 858, 'public static void eatGrass();', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2970, 858, 'public int chew() { return 13; }', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2976, 859, 'Private переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2974, 859, 'Private методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2979, 860, 'StackOverflowError, NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3042, 874, '02', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2983, 861, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2984, 861, 'Блоки catch для этих двух исключений могут идти в любом порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2986, 862, 'непроверяемые исключения, java.lang.Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2987, 862, 'java.lang.Error, непроверяемые исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2988, 862, 'java.lang.Throwable, java.lang.Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2990, 863, 'И те и другие могут содержать статические методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2991, 863, 'И те и другие могут содержать статические переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2993, 863, 'И те и другие могут содержать абстрактные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2994, 864, 'Они позволяют наследовать несколько классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2996, 864, 'Они позволяют изменять байткод приложения во время его исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2997, 864, 'Они позволяют конвертировать примитивы в классы-обертки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2998, 865, 'Класс может содержать больше одного конструктора без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7524, 1912, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3000, 865, 'Если класс-наследник наследует класс-предок, у которого только один конструктор, и он с аргументом, тогда класс-наследник должен явно объявить как минимум один конструктор', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8044, 2033, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3057, 877, 'Объявить класс final', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3001, 865, 'Компилятор Java всегда вставляет дефолтный конструктор без аргументов если вы не объявляете конструктор без аргументов в вашем классе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3003, 866, 'public void sing(String... keys, String... pitches)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3004, 866, 'public void sing(String... notes, String melodies)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3005, 866, 'public void sing(String key, String... harmonies)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3006, 867, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3007, 867, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3009, 867, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3010, 868, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3011, 868, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3013, 868, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3014, 869, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3016, 869, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3017, 869, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3019, 870, '1 и 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3020, 870, '1 и 2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3021, 870, '2 и 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3022, 870, 'Только 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3024, 871, 'int[]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3025, 871, 'long', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3026, 871, 'String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3028, 872, 'import aquarium.*;
import aquarium.jellies.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3029, 872, 'import aquarium.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3030, 872, 'import aquarium.*;
import aquarium.jellies.Water;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3031, 872, 'import aquarium.Water;
import aquarium.jellies.Water;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3032, 872, 'import aquarium.Water;
import aquarium.jellies.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3033, 873, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3034, 873, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3037, 873, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3038, 873, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3039, 874, '8', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3040, 874, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2989, 862, 'проверяемые исключения, java.lang.Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2992, 863, 'И те и другие могут содержать дефолтные методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2995, 864, 'Они позволяют писать код с отложенным выполнением', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3002, 866, 'public void sing(int note, String... sound, int music)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3008, 867, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3012, 868, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3015, 869, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3018, 870, 'Все утверждения верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3023, 871, 'boolean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3027, 872, 'Никакой из перечисленных', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3035, 873, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3036, 873, 'Сборщик мусора гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9687, 2378, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3060, 877, 'Не позволять подклассам переопределять методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3065, 878, 'ExecutorService es = Executors.newScheduledThreadPool();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3066, 878, 'ExecutorService es = Executors.newSingleThreadScheduledExecutor();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3067, 879, 'System.out.println(IntStream.rangeClosed(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3069, 879, 'System.out.println(IntStream.range(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3070, 879, 'System.out.println(IntStream.rangeClosed(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3071, 879, 'System.out.println(IntStream.range(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3072, 880, 'StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3074, 880, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3075, 880, 'Программа успешно скомпилируется и выведет в консоль 0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3076, 880, 'Программа успешно скомпилируется и выведет в консоль 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3078, 881, 'int[] array = 1,2,3,4,5;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3081, 881, 'int[] array = new int[];', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3082, 881, 'int[] array = {1,2,3,4,5};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2376, 724, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2439, 740, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7065, 1808, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7066, 1808, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8257, 2078, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3059, 877, 'Не создавать методы, модифицирующие поля или объекты на которые ссылаются поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3062, 878, 'ExecutorService es = Executors.newSingleThreadExecutor(2);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3063, 878, 'ExecutorService es = Executors.newFixedThreadPool(2);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3064, 878, 'ExecutorService es = Executors.newScheduledThreadPool(2);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3068, 879, 'System.out.println(IntStream.range(2,6).sum());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3073, 880, 'NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3077, 881, 'int[] array = new int[5];', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3079, 881, 'int[] array = new int[]{1,2,3,4,5};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3080, 881, 'int[] array = int[]{};', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7068, 1808, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7069, 1809, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7071, 1809, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7070, 1809, 'Независимое тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7072, 1809, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7074, 1810, 'B. Исправить дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7075, 1810, 'Вариант А и В', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7076, 1810, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7077, 1811, '0, 1, 2, 99', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3474, 970, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3475, 970, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3477, 971, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7078, 1811, '1, 99, 100, 98', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7079, 1811, '0, 1, 99, 100', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7082, 1812, 'Тестирование потенциальными клиентами на своей стороне', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7083, 1812, 'Тестирование разработчиками продукта на территории клиентов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7084, 1812, 'Тестирование разработчиками продукта на своей стороне', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7085, 1813, 'Раннее тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7086, 1813, 'Кластеризация дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7087, 1813, 'Парадокс пестицида', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7089, 1814, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7091, 1814, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7092, 1814, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7093, 1815, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2519, 757, 'Ошибка компиляции на строке:public void layEggs() { System.out.println("Lizard laying eggs"); }', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2540, 762, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2570, 769, 'Они позволяют писать код с отложенным выполнением', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2575, 770, 'Если класс-наследник наследует класс-предок, у которого только один конструктор, и он с аргументом, тогда класс-наследник должен явно объявить как минимум один конструктор', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2634, 782, 'Не создавать методы, модифицирующие поля или объекты на которые ссылаются поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2657, 786, 'int[] array = {1,2,3,4,5};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2652, 786, 'int[] array = new int[5];', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2731, 802, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2733, 802, 'Оба класса Student и Course определены в пакете com.examplejava', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2780, 813, 'И те и другие могут содержать статические методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2782, 813, 'И те и другие могут содержать public static final переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2848, 828, 'Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2849, 829, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2854, 830, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2866, 833, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2917, 846, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7096, 1815, 'Регрессионные тесты не нуждаются в поддержке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7088, 1813, 'Исчерпывающее тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7090, 1814, 'Тестирование в условиях эксплуатации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7094, 1815, 'Регрессионные тесты запускаются после каждого исправления', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7095, 1815, 'Регрессионные тесты часто автоматизируют', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2944, 852, 'Ошибка компиляции на строке:public void layEggs() { System.out.println("Lizard laying eggs"); }', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2967, 857, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2985, 861, 'Блок catch для IOException должен идти перед блоком catch для Exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (2999, 865, 'В случае если класс вызывает super() в одном из своих конструкторов, его класс-предок должен явно реализовать конструктор без аргументов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3045, 875, 'value2 = "h"; вместо //ПРОПУСК_2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3048, 875, 'value3="f"; вместо //ПРОПУСК_1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3061, 877, 'Объявить все поля final и private', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3320, 934, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3322, 934, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3323, 935, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3324, 935, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3326, 935, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3328, 936, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3329, 936, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3330, 936, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3331, 936, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3332, 937, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3333, 937, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3334, 937, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3336, 938, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3337, 938, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3339, 938, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3319, 934, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3321, 934, 'Оба класса Student и Course определены в пакете com.examplejava', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3325, 935, 'public static void main (String args[])', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3327, 936, 'import mycode.com.examplejava.Course', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3335, 937, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3338, 938, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3340, 939, 'Нельзя определить аргумент метода как private переменную.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6841, 1754, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6842, 1754, 'Оба класса Student и Course определены в пакете com.examplejava', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8045, 2034, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8046, 2034, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8047, 2034, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8048, 2034, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9882, 2419, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3341, 939, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3342, 939, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3343, 939, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3344, 940, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3345, 940, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3347, 940, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3348, 940, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3349, 940, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3350, 941, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6843, 1754, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3352, 941, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3354, 941, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3355, 942, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3356, 942, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3357, 942, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3360, 943, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3361, 943, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3362, 943, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6844, 1755, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3364, 944, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3365, 944, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3366, 944, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3368, 945, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3369, 945, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6845, 1755, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3371, 945, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3372, 946, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3374, 946, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3375, 946, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3376, 946, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3377, 947, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3378, 947, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3380, 947, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3381, 947, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3382, 948, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3535, 985, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3384, 948, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3385, 948, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3386, 948, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3388, 949, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3389, 949, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3390, 949, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3391, 949, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3392, 949, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3393, 950, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3395, 950, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3396, 950, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3397, 951, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3398, 951, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3400, 951, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3402, 952, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3403, 952, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3404, 952, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3406, 953, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3407, 953, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3683, 1020, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3346, 940, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3353, 941, 'Строка 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3358, 942, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3359, 943, 'class Template {
public String font;
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3367, 945, 'Предполагается что все методы в них абстрактные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3373, 946, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3379, 947, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3383, 948, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3387, 949, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3394, 950, 'try, catch, finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3399, 951, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3401, 952, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3405, 953, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3408, 953, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3409, 954, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3411, 954, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3412, 954, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3413, 955, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6847, 1755, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3415, 955, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3416, 955, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3418, 956, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3419, 956, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3420, 956, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3422, 957, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3423, 957, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3424, 957, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3426, 958, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3427, 958, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3428, 958, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3429, 959, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3430, 959, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3432, 959, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3434, 960, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3435, 960, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3436, 960, 'Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3437, 961, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6848, 1756, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3439, 961, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3440, 961, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3442, 962, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3443, 962, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3444, 962, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3445, 963, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3447, 963, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3448, 963, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3449, 964, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3451, 964, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3452, 964, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3454, 965, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3455, 965, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3456, 965, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3458, 966, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3459, 966, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3460, 966, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3461, 967, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3462, 967, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3463, 967, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3465, 968, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3467, 968, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3468, 968, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3469, 969, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3470, 969, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3471, 969, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3473, 970, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3417, 956, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3421, 957, 'один, один или больше', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3425, 958, 'Приложение временно потеряло соединение с интернетом', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3431, 959, 'import java.lang.*', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3433, 960, 'RuntimeException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3441, 962, 'Инкапсуляция переменной', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3446, 963, 'Убрать модификатор final и изменить переменную напрямую', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3450, 964, 'Синглтон класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3453, 965, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3457, 966, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3464, 967, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3466, 968, 'Перегружаемые, переопределяемые', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3472, 969, 'Java поддерживает множественное наследование между интерфейсами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6849, 1756, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3478, 971, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3479, 971, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3481, 972, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3482, 972, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3484, 972, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3486, 973, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3487, 973, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3488, 973, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3489, 974, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3490, 974, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3491, 974, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3493, 975, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3494, 975, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3496, 975, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3497, 976, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3499, 976, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3500, 976, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3502, 977, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3503, 977, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3504, 977, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3506, 978, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3507, 978, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3508, 978, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3509, 979, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3511, 979, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3512, 979, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3513, 980, 'Передача по значению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3514, 980, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3517, 981, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3518, 981, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3519, 981, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3520, 982, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3521, 982, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3523, 982, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3524, 983, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3526, 983, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3527, 983, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6850, 1756, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3529, 984, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6851, 1756, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3531, 984, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3532, 985, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3533, 985, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3537, 986, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3538, 986, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3539, 986, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3540, 986, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3541, 987, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3542, 987, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3543, 987, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3545, 988, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3546, 988, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3548, 988, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3534, 985, 'public static void main (String args[])', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3536, 986, 'import mycode.com.examplejava.Course', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3544, 987, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3547, 988, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3549, 989, 'Нельзя определить аргумент метода как private переменную.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3480, 971, 'Дать интерфейсу возможность создавать конкретные методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3483, 972, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3485, 973, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3492, 974, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3495, 975, 'Статический метод', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3498, 976, 'final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3501, 977, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3505, 978, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3510, 979, 'Публичная переменная', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3515, 980, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3516, 981, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3522, 982, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3525, 983, 'super() и super', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3550, 989, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3551, 989, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3552, 989, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3554, 990, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3555, 990, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3556, 990, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3557, 990, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3558, 990, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3559, 991, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3560, 991, 'Строка 2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3563, 991, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3564, 992, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3565, 992, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3566, 992, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3569, 993, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3570, 993, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3571, 993, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3572, 994, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3574, 994, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3575, 994, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3577, 995, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3578, 995, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3579, 995, 'И те и другие могут содержать public static final переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3582, 996, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3583, 996, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3584, 996, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3585, 996, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3586, 997, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3587, 997, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3589, 997, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3590, 997, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3591, 998, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3592, 998, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3593, 998, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3594, 998, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3597, 999, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3598, 999, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3599, 999, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3600, 999, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3601, 999, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3602, 1000, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3604, 1000, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3605, 1000, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3607, 1001, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3608, 1001, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3609, 1001, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3610, 1002, 'throws, throw', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3612, 1002, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3613, 1002, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3614, 1003, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3616, 1003, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3685, 1020, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3553, 990, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3561, 991, 'Строка 3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3567, 992, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3568, 993, 'class Template {
public String font;
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3576, 995, 'Предполагается что все методы в них абстрактные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3580, 995, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3581, 996, 'Bird is flyingPelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3588, 997, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3595, 998, 'Данных недостаточно для определения результата исполнения', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3596, 999, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3603, 1000, 'try, catch, finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3606, 1001, 'Каждая строка блока finally гарантированно будет выполнена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3611, 1002, 'throw, throws', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3615, 1003, 'Исключения зачастую используются когда что-то пошло не так', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4356, 1182, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4357, 1182, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4358, 1182, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3617, 1003, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3618, 1004, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3620, 1004, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3621, 1004, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3622, 1005, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6854, 1757, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3624, 1005, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3625, 1005, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3626, 1006, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3627, 1006, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3629, 1006, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3630, 1007, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3631, 1007, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3633, 1007, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3635, 1008, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3636, 1008, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3637, 1008, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3638, 1009, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3640, 1009, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3641, 1009, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3642, 1010, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3644, 1010, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3645, 1010, 'Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3646, 1011, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3647, 1011, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3648, 1011, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6855, 1757, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3651, 1012, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3652, 1012, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3653, 1012, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3654, 1013, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3655, 1013, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3657, 1013, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3659, 1014, 'Синглтон класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3660, 1014, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3661, 1014, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3663, 1015, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3664, 1015, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3665, 1015, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3666, 1016, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3942, 1083, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3667, 1016, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3668, 1016, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3671, 1017, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3672, 1017, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3673, 1017, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3675, 1018, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3676, 1018, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3677, 1018, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3679, 1019, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3680, 1019, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3681, 1019, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3682, 1020, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3628, 1006, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3632, 1007, 'один или больше, ноль или один', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3634, 1008, 'Приложение временно потеряло соединение с интернетом', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3639, 1009, 'import java.util.exception.*;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3643, 1010, 'Exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3650, 1012, 'Инкапсуляция переменной', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3656, 1013, 'Вызвать сеттер', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3658, 1014, 'Статический класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3662, 1015, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3669, 1016, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3670, 1017, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3674, 1018, 'Наследуемые, переопределяемые', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3678, 1019, 'Java не поддерживает множественное наследование', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3686, 1021, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3688, 1021, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3689, 1021, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3691, 1022, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3692, 1022, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3693, 1022, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3695, 1023, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3696, 1023, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3697, 1023, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3698, 1024, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3700, 1024, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3701, 1024, 'Одинаковое название метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3702, 1025, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3704, 1025, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3705, 1025, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3707, 1026, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3708, 1026, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3709, 1026, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3710, 1027, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3712, 1027, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3713, 1027, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3714, 1028, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3715, 1028, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6856, 1757, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3717, 1028, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3718, 1029, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3720, 1029, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3721, 1029, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3723, 1030, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3724, 1030, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3726, 1031, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3727, 1031, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3728, 1031, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3729, 1032, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3731, 1032, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3732, 1032, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3733, 1033, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3734, 1033, 'super() и super', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3736, 1033, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3528, 984, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3530, 984, 'Оба класса Student и Course определены в пакете com.examplejava', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3562, 991, 'Строка 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3573, 994, 'Этот код является примером хорошо инкапсулированного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3619, 1004, 'Exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3623, 1005, 'Первый совпадающий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8639, 2158, '-Xmx', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3649, 1011, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3684, 1020, 'public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3687, 1021, 'Позволить методам интерфейса быть унаследованными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3690, 1022, 'Интерфейс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3694, 1023, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3699, 1024, 'Разные типы возвращаемых значений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3703, 1025, 'Модификатор доступа', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3706, 1026, 'default', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3711, 1027, 'String не изменяем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3738, 1034, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6857, 1758, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3740, 1034, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3741, 1035, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3742, 1035, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3744, 1035, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3745, 1036, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3719, 1029, 'Публичная переменная', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3722, 1030, 'Передача по значению', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3725, 1031, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3730, 1032, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3735, 1033, 'super и super()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3737, 1034, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3743, 1035, 'public static void main (String args[])', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3746, 1036, 'import com.examplejava.Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6858, 1758, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3747, 1036, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3748, 1036, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3750, 1037, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3751, 1037, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3752, 1037, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3754, 1038, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3755, 1038, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3757, 1038, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6860, 1758, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3759, 1039, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3760, 1039, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3761, 1039, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3763, 1040, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3764, 1040, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3765, 1040, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3766, 1040, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3767, 1040, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3768, 1041, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3770, 1041, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3771, 1041, 'Строка 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3772, 1041, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3773, 1042, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3774, 1042, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3775, 1042, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3777, 1043, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3778, 1043, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3779, 1043, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3782, 1044, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3783, 1044, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3784, 1044, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3785, 1045, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3787, 1045, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3789, 1045, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3790, 1046, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3791, 1046, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3793, 1046, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3794, 1046, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3795, 1047, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3796, 1047, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3798, 1047, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3799, 1047, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9114, 2258, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3800, 1048, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3802, 1048, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3803, 1048, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3804, 1048, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3805, 1049, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3806, 1049, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3807, 1049, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3809, 1049, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3810, 1049, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3811, 1050, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3813, 1050, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3814, 1050, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3753, 1037, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3756, 1038, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3762, 1040, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3769, 1041, 'Строка 2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3776, 1042, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3780, 1043, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3781, 1044, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3786, 1045, 'И те и другие могут содержать статические методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3792, 1046, 'Pelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3797, 1047, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3801, 1048, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3808, 1049, 'Mammal', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3812, 1050, 'try, catch, finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3881, 1067, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3815, 1051, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3816, 1051, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3817, 1051, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6862, 1759, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3820, 1052, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3821, 1052, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3822, 1052, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3823, 1053, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3824, 1053, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3825, 1053, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8049, 2034, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3827, 1054, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3828, 1054, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3830, 1054, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3831, 1055, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3832, 1055, 'Первый совпадающий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3834, 1055, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3835, 1056, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3837, 1056, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3838, 1056, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3840, 1057, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3841, 1057, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3842, 1057, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3843, 1058, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3844, 1058, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3845, 1058, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3847, 1059, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3848, 1059, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3850, 1059, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3851, 1060, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3852, 1060, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3853, 1060, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3855, 1061, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3857, 1061, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3858, 1061, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3859, 1062, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3861, 1062, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3862, 1062, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3864, 1063, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3865, 1063, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3866, 1063, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3867, 1064, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3869, 1064, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3870, 1064, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3944, 1083, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3871, 1065, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3872, 1065, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3874, 1065, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3875, 1066, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3876, 1066, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3877, 1066, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3879, 1067, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3880, 1067, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4281, 1163, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3819, 1052, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3829, 1054, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3833, 1055, 'Все совпадающие', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3836, 1056, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3839, 1057, 'один, один или больше', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3846, 1058, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3849, 1059, 'import java.lang.*', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3854, 1060, 'Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3856, 1061, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3860, 1062, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3863, 1063, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3868, 1064, 'Синглтон класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3873, 1065, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3878, 1066, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8050, 2035, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3882, 1067, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3883, 1068, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6863, 1759, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3885, 1068, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3886, 1068, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3888, 1069, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3889, 1069, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3890, 1069, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3891, 1070, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3892, 1070, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3893, 1070, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3895, 1071, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3896, 1071, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8051, 2035, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3898, 1071, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3899, 1072, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3900, 1072, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3902, 1072, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3903, 1073, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3904, 1073, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3905, 1073, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3907, 1074, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3908, 1074, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3909, 1074, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3911, 1075, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3912, 1075, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3913, 1075, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3915, 1076, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3917, 1076, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3918, 1076, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3920, 1077, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3921, 1077, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3922, 1077, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3924, 1078, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3925, 1078, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3926, 1078, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3927, 1079, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3928, 1079, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3930, 1079, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3931, 1080, 'Передача по значению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3932, 1080, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3935, 1081, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3936, 1081, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3937, 1081, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3938, 1082, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3939, 1082, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3940, 1082, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3945, 1083, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3716, 1028, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3351, 941, 'Строка 2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3363, 944, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3370, 945, 'И те и другие могут содержать public static final переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3410, 954, 'Exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3414, 955, 'Первый совпадающий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3438, 961, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3887, 1069, 'Java не поддерживает множественное наследование', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3894, 1070, 'abstract', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3901, 1072, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3906, 1073, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3910, 1074, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3914, 1075, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3916, 1076, 'final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3919, 1077, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3923, 1078, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3929, 1079, 'Статическая переменная', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3933, 1080, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3934, 1081, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3941, 1082, 'Никакие из перечисленных', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3943, 1083, 'super() и super', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3946, 1084, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3947, 1084, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8052, 2035, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3949, 1084, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3950, 1085, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3951, 1085, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3953, 1085, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3955, 1086, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3956, 1086, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3957, 1086, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3958, 1086, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3960, 1087, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3961, 1087, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3962, 1087, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3963, 1088, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3964, 1088, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3966, 1088, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3968, 1089, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3969, 1089, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3970, 1089, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3971, 1090, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3972, 1090, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3974, 1090, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3975, 1090, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3976, 1090, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3977, 1091, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3979, 1091, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3980, 1091, 'Строка 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3981, 1091, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3982, 1092, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3983, 1092, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3984, 1092, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3986, 1093, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3987, 1093, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3989, 1093, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3991, 1094, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3992, 1094, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3993, 1094, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3994, 1095, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3995, 1095, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3996, 1095, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3997, 1095, 'И те и другие могут содержать public static final переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4000, 1096, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4001, 1096, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4002, 1096, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4003, 1096, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4139, 1129, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4004, 1097, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4005, 1097, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4007, 1097, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4008, 1097, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4009, 1098, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4010, 1098, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3952, 1085, 'public static void main (String args[])', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3954, 1086, 'import mycode.com.examplejava.Course', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3959, 1087, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3965, 1088, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3967, 1089, 'Нельзя определить аргумент метода как private переменную.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3973, 1090, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3978, 1091, 'Строка 2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3985, 1092, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3990, 1094, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3998, 1095, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3999, 1096, 'Bird is flyingPelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4006, 1097, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4348, 1179, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4350, 1180, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4351, 1180, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4352, 1181, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4011, 1098, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4013, 1098, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4014, 1099, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4015, 1099, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4016, 1099, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4018, 1099, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4019, 1099, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4020, 1100, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4022, 1100, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4023, 1100, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6864, 1759, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4025, 1101, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4026, 1101, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4027, 1101, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4029, 1102, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4030, 1102, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4031, 1102, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4032, 1103, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4033, 1103, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4034, 1103, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4036, 1104, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4038, 1104, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4039, 1104, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4040, 1105, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4042, 1105, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4043, 1105, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4044, 1106, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4045, 1106, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4047, 1106, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4048, 1107, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4050, 1107, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4051, 1107, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4052, 1108, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4053, 1108, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4054, 1108, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4056, 1109, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4057, 1109, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4059, 1109, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4060, 1110, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4061, 1110, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4063, 1110, 'Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4064, 1111, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6866, 1760, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4066, 1111, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4067, 1111, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4068, 1112, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4070, 1112, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4071, 1112, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4073, 1113, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4074, 1113, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4075, 1113, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4076, 1114, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4078, 1114, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4079, 1114, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4012, 1098, 'Orca diving', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4017, 1099, 'Mammal', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4021, 1100, 'try, catch, finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4028, 1102, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4035, 1103, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4037, 1104, 'Exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4041, 1105, 'Первый совпадающий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4046, 1106, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4049, 1107, 'ноль или один, ноль или больше', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4055, 1108, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4353, 1181, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4354, 1181, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4355, 1181, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4062, 1110, 'CheckedException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4069, 1112, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4072, 1113, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4077, 1114, 'Синглтон класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4080, 1115, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6867, 1760, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4081, 1115, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4082, 1115, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4083, 1115, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4084, 1116, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6868, 1760, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4086, 1116, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4087, 1116, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4088, 1117, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4089, 1117, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4091, 1117, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4092, 1118, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4093, 1118, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4094, 1118, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4096, 1119, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6869, 1760, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4098, 1119, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4099, 1119, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4100, 1120, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4101, 1120, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4102, 1120, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4104, 1121, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4106, 1121, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4107, 1121, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4109, 1122, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4110, 1122, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4111, 1122, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4112, 1123, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4113, 1123, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4114, 1123, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4116, 1124, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4117, 1124, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4118, 1124, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4120, 1125, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4121, 1125, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4123, 1125, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4125, 1126, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4126, 1126, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4127, 1126, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4128, 1127, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4130, 1127, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4131, 1127, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4133, 1128, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4134, 1128, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4135, 1128, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4136, 1129, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4137, 1129, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4140, 1130, 'Передача по значению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4141, 1130, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4144, 1131, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4145, 1131, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4146, 1131, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4147, 1132, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4148, 1132, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4090, 1117, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4095, 1118, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4103, 1120, 'abstract', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4105, 1121, 'Позволить методам интерфейса быть унаследованными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4108, 1122, 'Интерфейс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4115, 1123, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4119, 1124, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4122, 1125, 'Статический метод', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4124, 1126, 'default', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4129, 1127, 'String не изменяем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4132, 1128, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4138, 1129, 'Статическая переменная', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4142, 1130, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4143, 1131, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4149, 1132, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6870, 1760, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4150, 1132, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4151, 1133, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4153, 1133, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4154, 1133, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3476, 970, 'abstract', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3948, 1084, 'Оба класса Student и Course определены в пакете com.examplejava', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3988, 1093, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4024, 1101, 'Каждая строка блока finally гарантированно будет выполнена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6871, 1761, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4156, 1134, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4158, 1134, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4159, 1135, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4160, 1135, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4162, 1135, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4163, 1136, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4165, 1136, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4166, 1136, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4167, 1136, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4169, 1137, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4170, 1137, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4171, 1137, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4172, 1138, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4173, 1138, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4175, 1138, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4177, 1139, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4178, 1139, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4179, 1139, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4181, 1140, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4182, 1140, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4183, 1140, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4184, 1140, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4185, 1140, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4186, 1141, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4187, 1141, 'Строка 2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4188, 1141, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4190, 1141, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4191, 1142, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4193, 1142, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4194, 1142, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4195, 1143, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4196, 1143, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4197, 1143, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4199, 1144, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4200, 1144, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4202, 1144, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4203, 1145, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4205, 1145, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4207, 1145, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4208, 1146, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4210, 1146, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4211, 1146, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4212, 1146, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4161, 1135, 'public static void main (String args[])', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4164, 1136, 'import com.examplejava.Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4168, 1137, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4174, 1138, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4176, 1139, 'Нельзя определить аргумент метода как private переменную.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4180, 1140, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4189, 1141, 'Строка 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4192, 1142, '641', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4198, 1143, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4201, 1144, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4204, 1145, 'И те и другие могут содержать статические методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4206, 1145, 'И те и другие могут содержать public static final переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4209, 1146, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6873, 1761, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4152, 1133, 'super() и super', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4213, 1147, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6875, 1761, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4215, 1147, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4216, 1147, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4217, 1147, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4218, 1148, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4220, 1148, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4221, 1148, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4222, 1148, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4224, 1149, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4225, 1149, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4226, 1149, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4227, 1149, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4228, 1149, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4229, 1150, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4231, 1150, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4232, 1150, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4233, 1151, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4234, 1151, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4235, 1151, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4238, 1152, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4239, 1152, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4240, 1152, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4241, 1153, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4242, 1153, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4243, 1153, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4245, 1154, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4246, 1154, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4248, 1154, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4249, 1155, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4250, 1155, 'Первый совпадающий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4251, 1155, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4253, 1156, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4255, 1156, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4256, 1156, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4258, 1157, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4259, 1157, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4260, 1157, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4261, 1158, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4262, 1158, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4263, 1158, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4265, 1159, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4266, 1159, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4267, 1159, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4269, 1160, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4271, 1160, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4272, 1160, 'Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4273, 1161, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4275, 1161, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4276, 1161, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4277, 1162, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4279, 1162, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4280, 1162, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4219, 1148, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4223, 1149, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4230, 1150, 'try, catch, finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4236, 1151, 'Для блока finally обязательны фигурные скобки {}', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4237, 1152, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4247, 1154, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4252, 1155, 'Невозможно написать такое выражение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4254, 1156, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4257, 1157, 'один, один или больше', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4264, 1158, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4268, 1159, 'Никакой из перечисленных', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4270, 1160, 'Exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4274, 1161, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4278, 1162, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6877, 1762, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6878, 1762, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6879, 1762, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6876, 1762, '960', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4282, 1163, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4283, 1163, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6880, 1763, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4285, 1164, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4287, 1164, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4288, 1164, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4290, 1165, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4291, 1165, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4292, 1165, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4293, 1166, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4294, 1166, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4296, 1166, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4298, 1167, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4299, 1167, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4300, 1167, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4301, 1168, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4303, 1168, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4304, 1168, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4305, 1169, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4306, 1169, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4307, 1169, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4309, 1170, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4310, 1170, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4311, 1170, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4313, 1171, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4314, 1171, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4316, 1171, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4317, 1172, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4318, 1172, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4320, 1172, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4321, 1173, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4322, 1173, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4323, 1173, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4325, 1174, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4326, 1174, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4327, 1174, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4330, 1175, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4331, 1175, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4332, 1175, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4333, 1176, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4334, 1176, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4336, 1176, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4338, 1177, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4339, 1177, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4340, 1177, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4342, 1178, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4343, 1178, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4344, 1178, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4345, 1179, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4346, 1179, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5005, 1332, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4286, 1164, 'Синглтон класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4289, 1165, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4295, 1166, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4297, 1167, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4302, 1168, 'Перегружаемые, переопределяемые', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4308, 1169, 'Java поддерживает множественное наследование между интерфейсами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4312, 1170, 'abstract', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4315, 1171, 'Обеспечить обратную совместимость для существующих интерфейсов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4319, 1172, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4328, 1174, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4329, 1175, 'Абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4335, 1176, 'abstract', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4337, 1177, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4341, 1178, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4347, 1179, 'Статическая переменная', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8053, 2035, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8054, 2035, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8055, 2036, 'new Duration(start, end).getMillis();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4359, 1182, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4361, 1183, 'super() и super', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4362, 1183, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4363, 1183, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4058, 1109, 'import java.lang.*', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4065, 1111, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4155, 1134, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4157, 1134, 'Оба класса Student и Course определены в пакете com.examplejava', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4085, 1116, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4097, 1119, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4214, 1147, 'Класс, реализующий CanBark, наследует только метод bark()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4244, 1153, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4284, 1163, 'Каким-либо способом, не перечисленным среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4324, 1173, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4349, 1180, 'Передача по значению', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4360, 1183, 'super() и this', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4364, 1184, 'Reptile laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4365, 1184, 'Lizard laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4366, 1184, 'Ошибка компиляции на строке:Reptile reptile = new Lizard();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4367, 1184, 'Ошибка компиляции на строке:reptile.layEggs();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6882, 1763, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4370, 1185, 'Не скомпилируется, потому что типы возвращаемых значений не ковариантны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4371, 1185, 'Не скомпилируется, потому что метод protected в классе-предке и public в классе-наследнике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4372, 1185, 'Не скомпилируется, потому что метод выбрасывает исключение, которое является наследником выбрасываемого классом-предком исключения.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4373, 1185, 'Не скомпилируется, потому что static метод нельзя наследовать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4375, 1186, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4376, 1186, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4377, 1186, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4379, 1187, 'Ошибка компиляции на строке:abstract class Insect implements HasExoskeleton {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4380, 1187, 'Ошибка компиляции на строке:public class Beetle extends Insect {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4381, 1187, 'Скомпилируется и запустится без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4382, 1187, 'Скомпилируется, но выбросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4383, 1188, 'Ошибка компиляции на строке:public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4384, 1188, '6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4385, 1188, 'Ошибка компиляции на строке:System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4387, 1188, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6883, 1763, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4390, 1189, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6884, 1764, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4392, 1190, 'int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4395, 1190, 'Ошибок нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4396, 1191, 'Public методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4397, 1191, 'Protected методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4398, 1191, 'Private методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4400, 1191, 'Private переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4402, 1192, 'NoClassDefFoundError, StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4404, 1192, 'StackOverflowError, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4405, 1192, 'ClassCastException, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4406, 1193, 'Блок catch для Exception должен идти перед блоком catch для IOException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4407, 1193, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4369, 1185, 'Скомпилируется без ошибки', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4374, 1186, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4378, 1187, 'Ошибка компиляции на строке:abstract int getNumberOfSections();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4386, 1188, 'Ошибка компиляции на строке:public String getNumberOfGills(int input) { return "6"; }', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4388, 1189, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4394, 1190, 'public int chew() { return 13; }', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4393, 1190, 'public static void eatGrass();', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4399, 1191, 'Static методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4401, 1191, 'Public переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4403, 1192, 'StackOverflowError, NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4408, 1193, 'Блоки catch для этих двух исключений могут идти в любом порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6885, 1764, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4410, 1194, 'непроверяемые исключения, java.lang.Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4411, 1194, 'java.lang.Error, непроверяемые исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4412, 1194, 'java.lang.Throwable, java.lang.Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4414, 1195, 'И те и другие могут содержать статические методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4416, 1195, 'И те и другие могут содержать дефолтные методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4417, 1195, 'И те и другие могут содержать абстрактные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4418, 1196, 'Они позволяют наследовать несколько классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4420, 1196, 'Они позволяют изменять байткод приложения во время его исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4421, 1196, 'Они позволяют конвертировать примитивы в классы-обертки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4422, 1197, 'Класс может содержать больше одного конструктора без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4423, 1197, 'В случае если класс вызывает super() в одном из своих конструкторов, его класс-предок должен явно реализовать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4425, 1197, 'Компилятор Java всегда вставляет дефолтный конструктор без аргументов если вы не объявляете конструктор без аргументов в вашем классе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4426, 1198, 'public void sing(int note, String... sound, int music)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4427, 1198, 'public void sing(String... keys, String... pitches)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4428, 1198, 'public void sing(String... notes, String melodies)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4430, 1199, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4431, 1199, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4433, 1199, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4434, 1200, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4435, 1200, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4436, 1200, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4438, 1201, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4440, 1201, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4441, 1201, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4442, 1202, 'Все утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4444, 1202, '1 и 2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4445, 1202, '2 и 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4446, 1202, 'Только 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4447, 1203, 'boolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4449, 1203, 'long', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4450, 1203, 'String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4451, 1204, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4452, 1204, 'import aquarium.*;
import aquarium.jellies.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4455, 1204, 'import aquarium.Water;
import aquarium.jellies.Water;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4456, 1204, 'import aquarium.Water;
import aquarium.jellies.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4458, 1205, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4459, 1205, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4461, 1205, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4462, 1205, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4463, 1206, '8', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4465, 1206, 'Код выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4466, 1206, '02', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4467, 1206, '08', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4468, 1206, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4413, 1194, 'проверяемые исключения, java.lang.Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4415, 1195, 'И те и другие могут содержать статические переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4419, 1196, 'Они позволяют писать код с отложенным выполнением', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4429, 1198, 'public void sing(String key, String... harmonies)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4432, 1199, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4437, 1200, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4439, 1201, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4443, 1202, '1 и 3', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4448, 1203, 'int[]', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4453, 1204, 'import aquarium.*;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4454, 1204, 'import aquarium.*;
import aquarium.jellies.Water;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4457, 1205, 'finalize() гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4460, 1205, 'Сборщик мусора гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4464, 1206, 'Код не скомпилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4470, 1207, 'value3="i"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4471, 1207, 'value1="d"; вместо //ПРОПУСК_1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4474, 1207, 'value1="g"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4475, 1208, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4477, 1208, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4478, 1208, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4479, 1208, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4480, 1208, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4481, 1209, 'Объявить класс final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4482, 1209, 'Сделать конструктор private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4484, 1209, 'Не позволять подклассам переопределять методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4486, 1210, 'ExecutorService es = Executors.newSingleThreadExecutor(2);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4489, 1210, 'ExecutorService es = Executors.newScheduledThreadPool();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4491, 1211, 'System.out.println(IntStream.rangeClosed(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4492, 1211, 'System.out.println(IntStream.range(2,6).sum());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4493, 1211, 'System.out.println(IntStream.range(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4494, 1211, 'System.out.println(IntStream.rangeClosed(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4497, 1212, 'NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4498, 1212, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4499, 1212, 'Программа успешно скомпилируется и выведет в консоль 0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4500, 1212, 'Программа успешно скомпилируется и выведет в консоль 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4502, 1213, 'int[] array = 1,2,3,4,5;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4504, 1213, 'int[] array = int[]{};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4505, 1213, 'int[] array = new int[];', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4368, 1184, 'Ошибка компиляции на строке:public void layEggs() { System.out.println("Lizard laying eggs"); }', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4389, 1189, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4391, 1189, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4409, 1193, 'Блок catch для IOException должен идти перед блоком catch для Exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4424, 1197, 'Если класс-наследник наследует класс-предок, у которого только один конструктор, и он с аргументом, тогда класс-наследник должен явно объявить как минимум один конструктор', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4473, 1207, 'value2="e"; вместо //ПРОПУСК_1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4472, 1207, 'value3="f"; вместо //ПРОПУСК_1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4469, 1207, 'value2 = "h"; вместо //ПРОПУСК_2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4476, 1208, '3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4483, 1209, 'Не создавать методы, модифицирующие поля или объекты на которые ссылаются поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4485, 1209, 'Объявить все поля final и private', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4487, 1210, 'ExecutorService es = Executors.newFixedThreadPool(2);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4488, 1210, 'ExecutorService es = Executors.newScheduledThreadPool(2);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4490, 1210, 'ExecutorService es = Executors.newSingleThreadScheduledExecutor();', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4495, 1211, 'System.out.println(IntStream.range(1,6).sum());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4496, 1212, 'StackOverflowError', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4501, 1213, 'int[] array = new int[5];', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4503, 1213, 'int[] array = new int[]{1,2,3,4,5};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4506, 1213, 'int[] array = {1,2,3,4,5};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3739, 1034, 'Оба класса Student и Course определены в пакете com.examplejava', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3749, 1036, 'import com.examplejava.*', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3758, 1039, 'Нельзя определить аргумент метода как private переменную.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3788, 1045, 'И те и другие могут содержать public static final переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3818, 1051, 'Для блока finally обязательны фигурные скобки {}', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3826, 1053, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3884, 1068, 'Перегружаемые, переопределяемые', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (3897, 1071, 'Обеспечить обратную совместимость для существующих интерфейсов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4507, 1214, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4508, 1214, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4509, 1214, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4510, 1214, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4511, 1215, '#connect java compiler;
#connect java virtual machine;
class ExampleJava{}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9115, 2258, '-Xmx', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4512, 1215, 'package java compiler;
import java virtual machine;
class ExampleJava{}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4513, 1215, 'package javacompiler;
import javavirtualmachine.*;
class ExampleJava{}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4514, 1215, 'package javacompiler;
import javavirtualmachine;
Class ExampleJava{}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4515, 1216, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4516, 1216, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4517, 1216, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4518, 1216, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4519, 1217, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4520, 1217, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4521, 1217, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4522, 1217, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4523, 1217, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4524, 1218, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4525, 1218, 'Синглтон класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4526, 1218, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4527, 1218, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4528, 1219, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4529, 1219, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4530, 1219, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4531, 1219, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4532, 1220, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4533, 1220, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4534, 1220, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4535, 1220, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4536, 1221, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4537, 1221, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4538, 1221, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4539, 1221, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4540, 1222, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4541, 1222, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4542, 1222, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4543, 1222, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4544, 1223, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4545, 1223, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4546, 1223, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4547, 1223, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4548, 1224, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4549, 1224, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4550, 1224, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4551, 1224, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4552, 1225, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4553, 1225, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4554, 1225, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4555, 1225, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4556, 1226, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4557, 1226, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4558, 1226, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4559, 1226, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4560, 1227, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4561, 1227, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4562, 1227, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4563, 1227, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4564, 1228, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4565, 1228, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4566, 1228, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4567, 1228, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6887, 1764, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4569, 1229, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4570, 1229, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4571, 1229, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4572, 1230, '#connect java compiler;
#connect java virtual machine;
class ExampleJava{}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4574, 1230, 'package javacompiler;
import javavirtualmachine.*;
class ExampleJava{}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4575, 1230, 'package javacompiler;
import javavirtualmachine;
Class ExampleJava{}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4576, 1231, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4578, 1231, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4579, 1231, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4580, 1232, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4582, 1232, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4583, 1232, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9198, 2276, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4584, 1232, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4585, 1233, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4586, 1233, 'Синглтон класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4587, 1233, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4589, 1234, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4591, 1234, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4592, 1234, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4593, 1235, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4577, 1231, 'Публичная переменная', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4581, 1232, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4588, 1233, 'Инкапсулируемый класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4590, 1234, 'Исключения зачастую используются когда что-то пошло не так', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4595, 1235, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4596, 1235, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4598, 1236, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4599, 1236, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4600, 1236, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4601, 1237, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4602, 1237, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4603, 1237, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4605, 1238, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4606, 1238, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4608, 1238, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4609, 1239, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4611, 1239, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4612, 1239, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4614, 1240, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4615, 1240, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4616, 1240, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4617, 1241, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4618, 1241, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4619, 1241, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4621, 1242, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4622, 1242, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4624, 1242, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4625, 1243, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4626, 1243, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6888, 1765, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4628, 1243, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4568, 1229, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4573, 1230, 'package java compiler;
import java virtual machine;
class ExampleJava{}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4594, 1235, 'Перегружаемые, переопределяемые', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4629, 1244, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4630, 1244, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4631, 1244, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4632, 1244, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4633, 1245, '#connect java compiler;
#connect java virtual machine;
class ExampleJava{}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4634, 1245, 'package java compiler;
import java virtual machine;
class ExampleJava{}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4635, 1245, 'package javacompiler;
import javavirtualmachine.*;
class ExampleJava{}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4636, 1245, 'package javacompiler;
import javavirtualmachine;
Class ExampleJava{}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4637, 1246, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4638, 1246, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4639, 1246, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4640, 1246, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4641, 1247, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4642, 1247, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4643, 1247, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4644, 1247, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4645, 1247, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4646, 1248, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4647, 1248, 'Синглтон класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4648, 1248, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4649, 1248, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4650, 1249, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4651, 1249, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4652, 1249, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4653, 1249, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4654, 1250, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9199, 2276, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4655, 1250, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4656, 1250, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4657, 1250, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4658, 1251, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4659, 1251, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4597, 1236, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4604, 1237, 'RuntimeException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4607, 1238, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4610, 1239, '641', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4613, 1240, 'Нельзя определить аргумент метода как private переменную.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4620, 1241, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4623, 1242, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6889, 1765, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4660, 1251, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4661, 1251, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4662, 1252, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4663, 1252, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4664, 1252, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4665, 1252, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4666, 1253, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4667, 1253, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4668, 1253, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4669, 1253, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4670, 1254, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4671, 1254, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4672, 1254, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4673, 1254, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4674, 1255, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4675, 1255, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4676, 1255, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4677, 1255, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4678, 1256, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4679, 1256, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4680, 1256, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4681, 1256, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4682, 1257, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4683, 1257, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4684, 1257, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4685, 1257, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4686, 1258, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4687, 1258, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4688, 1258, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4689, 1258, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4627, 1243, 'Для наследования класса классом используется ключевое слово extends', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4691, 1259, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6891, 1765, 'И те и другие могут содержать public static final переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4693, 1259, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4694, 1260, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4695, 1260, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4697, 1260, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4699, 1261, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4700, 1261, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4701, 1261, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4702, 1261, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4703, 1262, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4704, 1262, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4705, 1262, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4707, 1263, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4709, 1263, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4710, 1263, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4711, 1264, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4712, 1264, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4713, 1264, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4716, 1265, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4717, 1265, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4718, 1265, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4719, 1265, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4720, 1265, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4721, 1266, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4723, 1266, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4724, 1266, 'Строка 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4725, 1266, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4726, 1267, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4727, 1267, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4729, 1267, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4730, 1268, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4692, 1259, 'Оба класса Student и Course определены в пакете com.examplejava', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4696, 1260, 'public static void main (String args[])', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4698, 1261, 'import mycode.com.examplejava.Course', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4706, 1262, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4708, 1263, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4714, 1264, 'Ничего из указанного.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4715, 1265, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4722, 1266, 'Строка 2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4728, 1267, '930', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4731, 1268, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4732, 1268, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6892, 1765, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6893, 1766, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4735, 1269, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4736, 1269, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4737, 1269, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4738, 1270, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4739, 1270, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6894, 1766, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6895, 1766, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4743, 1271, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4744, 1271, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4746, 1271, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4747, 1271, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4748, 1272, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4749, 1272, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4751, 1272, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4752, 1272, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4753, 1273, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4755, 1273, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4756, 1273, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4757, 1273, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4758, 1274, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4760, 1274, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4761, 1274, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4762, 1274, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4763, 1274, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4765, 1275, 'try, catch, finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4766, 1275, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4767, 1275, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4768, 1276, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4769, 1276, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4771, 1276, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4773, 1277, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4774, 1277, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4775, 1277, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4776, 1278, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4777, 1278, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4779, 1278, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4780, 1279, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4781, 1279, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4783, 1279, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4784, 1280, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4786, 1280, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4787, 1280, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4789, 1281, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4790, 1281, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4791, 1281, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4793, 1282, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4794, 1282, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4795, 1282, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4740, 1270, 'И те и другие наследуют java.lang.Object', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4742, 1270, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4745, 1271, 'Pelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4750, 1272, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4754, 1273, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4759, 1274, 'Ошибка компиляции на строке:new Mammal(5);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4764, 1275, 'try, finally, catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4770, 1276, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4772, 1277, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4778, 1278, 'Некоторые исключения можно избежать программно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4782, 1279, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4785, 1280, 'Первый совпадающий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4788, 1281, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4792, 1282, 'один, один или больше', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4796, 1283, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4797, 1283, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4798, 1283, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8056, 2036, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4800, 1284, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4802, 1284, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4803, 1284, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4804, 1285, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4805, 1285, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4806, 1285, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4808, 1286, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4809, 1286, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4811, 1286, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4812, 1287, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4814, 1287, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4815, 1287, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4817, 1288, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4818, 1288, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4819, 1288, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4820, 1289, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4822, 1289, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4823, 1289, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4825, 1290, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4826, 1290, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4827, 1290, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4828, 1291, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4830, 1291, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4831, 1291, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4832, 1292, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4833, 1292, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4834, 1292, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4836, 1293, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4838, 1293, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4839, 1293, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4841, 1294, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4842, 1294, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4843, 1294, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4844, 1295, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4845, 1295, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4846, 1295, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4848, 1296, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4849, 1296, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4850, 1296, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4852, 1297, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4853, 1297, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4855, 1297, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4856, 1298, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4857, 1298, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4858, 1298, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4801, 1284, 'import java.util.exception.*;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4807, 1285, 'Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4813, 1287, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4816, 1288, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4821, 1289, 'Синглтон класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4824, 1290, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4829, 1291, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4835, 1292, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4837, 1293, 'Перегружаемые, переопределяемые', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4840, 1294, 'Java не поддерживает множественное наследование', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4847, 1295, 'abstract', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4851, 1296, 'Дать интерфейсу возможность создавать конкретные методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4854, 1297, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5452, 1439, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5454, 1440, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4860, 1299, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4861, 1299, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4862, 1299, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4864, 1300, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4865, 1300, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4866, 1300, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4868, 1301, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4870, 1301, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4871, 1301, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4873, 1302, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4874, 1302, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4875, 1302, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4876, 1303, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4877, 1303, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4879, 1303, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4880, 1304, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4881, 1304, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4883, 1304, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4885, 1305, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4886, 1305, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4887, 1306, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4889, 1306, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4890, 1306, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4891, 1307, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4892, 1307, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4894, 1307, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4895, 1308, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4897, 1308, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4898, 1308, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4690, 1259, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4733, 1268, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4734, 1269, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4741, 1270, 'И те и другие могут содержать public static final переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4799, 1283, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4810, 1286, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4859, 1298, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4863, 1299, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4867, 1300, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4869, 1301, 'final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4872, 1302, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4878, 1303, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4882, 1304, 'Статическая переменная', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4884, 1305, 'Передача по значению', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4888, 1306, 'super()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4893, 1307, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4896, 1308, 'super() и super', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4899, 1309, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4900, 1309, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4901, 1309, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4902, 1309, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4903, 1310, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4904, 1310, 'IOException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4905, 1310, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4906, 1310, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4907, 1311, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4908, 1311, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4909, 1311, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4910, 1311, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4911, 1311, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4912, 1311, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4913, 1312, 'Скомпилируется без ошибки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4914, 1312, 'Не скомпилируется, потому что типы возвращаемых значений не ковариантны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4915, 1312, 'Не скомпилируется, потому что метод protected в классе-предке и public в классе-наследнике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6896, 1766, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6898, 1767, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6899, 1767, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6901, 1767, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6902, 1767, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6900, 1767, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10818, 2621, '~', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11018, 2668, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4916, 1312, 'Не скомпилируется, потому что метод выбрасывает исключение, которое является наследником выбрасываемого классом-предком исключения.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4917, 1312, 'Не скомпилируется, потому что static метод нельзя наследовать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4918, 1313, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4919, 1313, 'import aquarium.*;
import aquarium.jellies.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4920, 1313, 'import aquarium.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4921, 1313, 'import aquarium.*;
import aquarium.jellies.Water;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4922, 1313, 'import aquarium.Water;
import aquarium.jellies.Water;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4923, 1313, 'import aquarium.Water;
import aquarium.jellies.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4924, 1314, 'StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4925, 1314, 'NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4926, 1314, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4927, 1314, 'Программа успешно скомпилируется и выведет в консоль 0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4928, 1314, 'Программа успешно скомпилируется и выведет в консоль 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4929, 1315, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4930, 1315, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4931, 1315, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4932, 1315, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4933, 1316, '8', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4934, 1316, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4935, 1316, 'Код выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4936, 1316, '02', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4937, 1316, '08', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4938, 1316, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4939, 1317, 'boolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4940, 1317, 'int[]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4941, 1317, 'long', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4942, 1317, 'String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4943, 1318, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4944, 1318, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4945, 1318, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4946, 1318, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4947, 1319, 'Проверяемое исключение, выбрасываемое методом в классе-предке, должно выбрасываться методом в классе-потомке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4948, 1319, 'Модификатор доступа у метода в классе-потомке должен быть такой же или шире чем у метода в классе-предке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4949, 1319, 'Типы возвращаемого значения должны быть ковариантны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4950, 1319, 'Проверяемое исключение, выбрасываемое методом в классе-потомке, должно быть того же класса или наследником того же класса что и исключение, выбрасываемое в классе-предке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4951, 1320, 'Программа отработает успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4952, 1320, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4953, 1320, 'Программа бросит NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4954, 1320, 'Программа бросит ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4955, 1321, 'Тестирование на основе данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4956, 1321, 'Тестирование на основе опыта', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4957, 1321, 'Структурная техника разборки тестов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4958, 1322, 'План тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4959, 1322, 'Спецификация процедуры тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4960, 1322, 'Тестовый сценарий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4961, 1322, 'Тестовые данные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4962, 1323, 'Техники тестирования на основе структуры и на основе опыта', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4963, 1323, 'Техника черного ящика и техника на основе спецификации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4964, 1323, 'Техники на основе структуры и на основе спецификации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4965, 1323, 'Техника на основе структуры и исчерпывающее тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6903, 1768, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4967, 1324, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6904, 1768, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4969, 1324, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4970, 1325, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4971, 1325, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4973, 1325, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4975, 1326, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4976, 1326, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4977, 1326, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4978, 1326, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4979, 1327, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4980, 1327, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4972, 1325, 'public static void main (String args[])', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4974, 1326, 'import mycode.com.examplejava.Course', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8057, 2036, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4981, 1327, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6905, 1768, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4983, 1328, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4984, 1328, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4986, 1328, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4987, 1329, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4988, 1329, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4989, 1329, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4991, 1330, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4992, 1330, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4994, 1330, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4995, 1330, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4996, 1330, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4997, 1331, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4999, 1331, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5000, 1331, 'Строка 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5001, 1331, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5002, 1332, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5003, 1332, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5004, 1332, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5006, 1333, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5007, 1333, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5008, 1333, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5011, 1334, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5012, 1334, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5013, 1334, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5016, 1335, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5017, 1335, 'И те и другие могут содержать public static final переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6907, 1768, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5019, 1336, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5021, 1336, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5022, 1336, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5023, 1336, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5024, 1337, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5025, 1337, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5027, 1337, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5028, 1337, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5029, 1338, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5031, 1338, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5032, 1338, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5033, 1338, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5034, 1339, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5035, 1339, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5036, 1339, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5038, 1339, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5039, 1339, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5040, 1340, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5042, 1340, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5043, 1340, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5045, 1341, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5046, 1341, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4985, 1328, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4990, 1329, 'Ничего из указанного.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4993, 1330, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4998, 1331, 'Строка 2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5009, 1333, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5010, 1334, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5014, 1335, 'Предполагается что все методы в них абстрактные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5020, 1336, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5026, 1337, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5030, 1338, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5037, 1339, 'Mammal', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5041, 1340, 'try, catch, finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5044, 1341, 'Каждая строка блока finally гарантированно будет выполнена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5047, 1341, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6908, 1769, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5049, 1342, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5050, 1342, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5051, 1342, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5052, 1343, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5053, 1343, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5054, 1343, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8058, 2036, 'Duration.between(start, end).toMillis();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5056, 1344, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5058, 1344, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5059, 1344, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5060, 1345, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5062, 1345, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5063, 1345, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5065, 1346, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5066, 1346, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5067, 1346, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5069, 1347, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5070, 1347, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5071, 1347, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5073, 1348, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5074, 1348, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5075, 1348, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5076, 1349, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5077, 1349, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5079, 1349, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5080, 1350, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5081, 1350, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5083, 1350, 'Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5084, 1351, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5085, 1351, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5086, 1351, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5088, 1352, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5089, 1352, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5091, 1352, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5093, 1353, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5094, 1353, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5095, 1353, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5096, 1354, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5098, 1354, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5099, 1354, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5100, 1355, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5102, 1355, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5103, 1355, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5104, 1356, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5105, 1356, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5106, 1356, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5109, 1357, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5110, 1357, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5111, 1357, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5112, 1358, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5113, 1358, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5114, 1358, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5057, 1344, 'Exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5061, 1345, 'Первый совпадающий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5064, 1346, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5068, 1347, 'один, один или больше', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5072, 1348, 'Приложение временно потеряло соединение с интернетом', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5078, 1349, 'import java.lang.*', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5082, 1350, 'CheckedException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5087, 1351, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5090, 1352, 'Синглтон переменная', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5092, 1353, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5097, 1354, 'Синглтон класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5101, 1355, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5107, 1356, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5108, 1357, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5117, 1359, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5118, 1359, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5119, 1359, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5121, 1360, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5122, 1360, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5123, 1360, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5125, 1361, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5126, 1361, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5127, 1361, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5128, 1362, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5129, 1362, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5131, 1362, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5132, 1363, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5133, 1363, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5134, 1363, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5136, 1364, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5137, 1364, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5138, 1364, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5140, 1365, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5141, 1365, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5142, 1365, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5144, 1366, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5146, 1366, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5147, 1366, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5149, 1367, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5150, 1367, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5151, 1367, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5153, 1368, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5154, 1368, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5155, 1368, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5156, 1369, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5157, 1369, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5159, 1369, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5161, 1370, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5162, 1370, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5163, 1371, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5165, 1371, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5166, 1371, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5167, 1372, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5168, 1372, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5170, 1372, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5171, 1373, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5173, 1373, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5174, 1373, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5175, 1374, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5176, 1374, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5177, 1374, 'Оба класса Student и Course определены в пакете com.examplejava', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5178, 1374, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5179, 1375, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5180, 1375, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5181, 1375, 'public static void main (String args[])', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5182, 1375, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5183, 1376, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5184, 1376, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5185, 1376, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5186, 1376, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5187, 1376, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5188, 1377, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5120, 1360, 'final', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5130, 1362, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5135, 1363, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5139, 1364, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5143, 1365, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5145, 1366, 'final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5148, 1367, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5152, 1368, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5158, 1369, 'Статическая переменная', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5160, 1370, 'Передача по значению', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5164, 1371, 'super()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5169, 1372, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5172, 1373, 'super() и super', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5189, 1377, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5190, 1377, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5191, 1377, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5192, 1378, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5193, 1378, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5194, 1378, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5195, 1378, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5196, 1379, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5197, 1379, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5198, 1379, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5199, 1379, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5200, 1380, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5201, 1380, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5202, 1380, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5203, 1380, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5204, 1380, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5205, 1380, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5206, 1381, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5207, 1381, 'Строка 2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5208, 1381, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5209, 1381, 'Строка 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5210, 1381, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5211, 1382, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5212, 1382, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5213, 1382, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5214, 1382, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5215, 1383, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5216, 1383, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5217, 1383, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5218, 1383, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5219, 1384, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5220, 1384, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5221, 1384, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5222, 1384, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5223, 1385, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5224, 1385, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5225, 1385, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5226, 1385, 'И те и другие могут содержать public static final переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5227, 1385, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5228, 1386, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5229, 1386, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5230, 1386, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5231, 1386, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5232, 1386, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5233, 1387, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5234, 1387, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5235, 1387, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5236, 1387, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5237, 1387, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5238, 1388, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5239, 1388, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5240, 1388, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5241, 1388, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5242, 1388, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5243, 1389, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5244, 1389, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5245, 1389, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5246, 1389, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5247, 1389, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5248, 1389, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5249, 1390, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5250, 1390, 'try, catch, finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5251, 1390, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5252, 1390, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5253, 1391, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5254, 1391, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5255, 1391, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5256, 1391, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5257, 1392, 'throws, throw', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5258, 1392, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5259, 1392, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5260, 1392, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5261, 1393, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5262, 1393, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5263, 1393, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5264, 1393, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5265, 1394, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5266, 1394, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5267, 1394, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5268, 1394, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5269, 1395, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5270, 1395, 'Первый совпадающий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5271, 1395, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5272, 1395, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5273, 1396, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5274, 1396, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5275, 1396, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5276, 1396, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5277, 1397, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5278, 1397, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5279, 1397, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5280, 1397, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5281, 1398, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5282, 1398, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5283, 1398, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5284, 1398, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5285, 1399, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5286, 1399, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5287, 1399, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5288, 1399, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5289, 1400, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5290, 1400, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5291, 1400, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5292, 1400, 'Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5293, 1401, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5294, 1401, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5295, 1401, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5296, 1401, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5297, 1402, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5298, 1402, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5299, 1402, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5300, 1402, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5301, 1403, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5302, 1403, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5303, 1403, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5304, 1403, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5305, 1404, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5306, 1404, 'Синглтон класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5307, 1404, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5308, 1404, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5309, 1405, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5310, 1405, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5311, 1405, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5312, 1405, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5313, 1406, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5314, 1406, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5315, 1406, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5316, 1406, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5317, 1407, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5318, 1407, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5319, 1407, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5320, 1407, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5321, 1408, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5322, 1408, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5323, 1408, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5324, 1408, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5325, 1409, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5326, 1409, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5327, 1409, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5328, 1409, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5329, 1410, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5330, 1410, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5331, 1410, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5332, 1410, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5333, 1411, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5334, 1411, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5335, 1411, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5336, 1411, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5337, 1412, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5338, 1412, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5339, 1412, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5340, 1412, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5341, 1413, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5342, 1413, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5343, 1413, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5344, 1413, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5345, 1414, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5346, 1414, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5347, 1414, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5348, 1414, 'Одинаковое название метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5349, 1415, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5350, 1415, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5351, 1415, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5352, 1415, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5353, 1416, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5354, 1416, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5355, 1416, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5356, 1416, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5357, 1417, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5358, 1417, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5359, 1417, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5360, 1417, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5361, 1418, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5362, 1418, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5363, 1418, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5364, 1418, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5365, 1419, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5366, 1419, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5367, 1419, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5368, 1419, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5369, 1420, 'Передача по значению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5370, 1420, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5371, 1420, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5372, 1421, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5373, 1421, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5374, 1421, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5375, 1421, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5376, 1422, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5377, 1422, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5378, 1422, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5379, 1422, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5380, 1423, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5381, 1423, 'super() и super', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5382, 1423, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5383, 1423, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5384, 1424, 'Reptile laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5385, 1424, 'Lizard laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5386, 1424, 'Ошибка компиляции на строке:Reptile reptile = new Lizard();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5387, 1424, 'Ошибка компиляции на строке:reptile.layEggs();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6910, 1769, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5389, 1425, 'Скомпилируется без ошибки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9586, 2357, 'LiveLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5390, 1425, 'Не скомпилируется, потому что типы возвращаемых значений не ковариантны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5391, 1425, 'Не скомпилируется, потому что метод protected в классе-предке и public в классе-наследнике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5392, 1425, 'Не скомпилируется, потому что метод выбрасывает исключение, которое является наследником выбрасываемого классом-предком исключения.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6911, 1769, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6912, 1769, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6913, 1769, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5395, 1426, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5396, 1426, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5397, 1426, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5398, 1427, 'Ошибка компиляции на строке:abstract int getNumberOfSections();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5399, 1427, 'Ошибка компиляции на строке:abstract class Insect implements HasExoskeleton {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5401, 1427, 'Скомпилируется и запустится без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5402, 1427, 'Скомпилируется, но выбросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5404, 1428, '6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5405, 1428, 'Ошибка компиляции на строке:System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5406, 1428, 'Ошибка компиляции на строке:public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5407, 1428, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5408, 1429, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5409, 1429, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5410, 1429, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6914, 1770, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5412, 1430, 'int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5415, 1430, 'Ошибок нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5416, 1431, 'Public методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5417, 1431, 'Protected методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5419, 1431, 'Static методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5421, 1431, 'Public переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5422, 1432, 'NoClassDefFoundError, StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5424, 1432, 'StackOverflowError, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5425, 1432, 'ClassCastException, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5426, 1433, 'Блок catch для Exception должен идти перед блоком catch для IOException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5427, 1433, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5428, 1433, 'Блоки catch для этих двух исключений могут идти в любом порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5430, 1434, 'непроверяемые исключения, java.lang.Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5431, 1434, 'java.lang.Error, непроверяемые исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5432, 1434, 'java.lang.Throwable, java.lang.Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5434, 1435, 'И те и другие могут содержать статические методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5436, 1435, 'И те и другие могут содержать дефолтные методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5437, 1435, 'И те и другие могут содержать абстрактные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5438, 1436, 'Они позволяют наследовать несколько классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5440, 1436, 'Они позволяют изменять байткод приложения во время его исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5441, 1436, 'Они позволяют конвертировать примитивы в классы-обертки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5442, 1437, 'Класс может содержать больше одного конструктора без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5443, 1437, 'В случае если класс вызывает super() в одном из своих конструкторов, его класс-предок должен явно реализовать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5444, 1437, 'Если класс-наследник наследует класс-предок, у которого только один конструктор, и он с аргументом, тогда класс-наследник должен явно объявить как минимум один конструктор', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5446, 1438, 'public void sing(int note, String... sound, int music)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5447, 1438, 'public void sing(String... keys, String... pitches)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5448, 1438, 'public void sing(String... notes, String melodies)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5450, 1439, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5451, 1439, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5394, 1426, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5400, 1427, 'Ошибка компиляции на строке:public class Beetle extends Insect {', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5403, 1428, 'Ошибка компиляции на строке:public String getNumberOfGills() { return "4"; }', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5413, 1430, 'public static void eatGrass();', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5414, 1430, 'public int chew() { return 13; }', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5420, 1431, 'Private переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5418, 1431, 'Private методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5423, 1432, 'StackOverflowError, NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5429, 1433, 'Блок catch для IOException должен идти перед блоком catch для Exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5433, 1434, 'проверяемые исключения, java.lang.Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5507, 1450, 'ExecutorService es = Executors.newFixedThreadPool(2);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5435, 1435, 'И те и другие могут содержать статические переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5439, 1436, 'Они позволяют писать код с отложенным выполнением', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5445, 1437, 'Компилятор Java всегда вставляет дефолтный конструктор без аргументов если вы не объявляете конструктор без аргументов в вашем классе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5449, 1438, 'public void sing(String key, String... harmonies)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6916, 1770, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6917, 1770, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5455, 1440, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5457, 1440, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5458, 1441, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5459, 1441, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5460, 1441, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5463, 1442, '1 и 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5464, 1442, '1 и 2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5465, 1442, '2 и 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5466, 1442, 'Только 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5467, 1443, 'boolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5469, 1443, 'long', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5470, 1443, 'String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5471, 1444, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5472, 1444, 'import aquarium.*;
import aquarium.jellies.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5475, 1444, 'import aquarium.Water;
import aquarium.jellies.Water;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5477, 1445, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5478, 1445, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5480, 1445, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5481, 1445, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5483, 1446, '8', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5484, 1446, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5485, 1446, 'Код выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5487, 1446, '08', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5488, 1446, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5490, 1447, 'value3="i"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5491, 1447, 'value1="d"; вместо //ПРОПУСК_1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5493, 1447, 'value2="e"; вместо //ПРОПУСК_1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5494, 1447, 'value1="g"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5495, 1448, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5496, 1448, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5497, 1448, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5499, 1448, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5500, 1448, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5502, 1449, 'Сделать конструктор private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6918, 1771, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5504, 1449, 'Не позволять подклассам переопределять методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5505, 1449, 'Объявить все поля final и private', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5506, 1450, 'ExecutorService es = Executors.newSingleThreadExecutor(2);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5509, 1450, 'ExecutorService es = Executors.newScheduledThreadPool();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5512, 1451, 'System.out.println(IntStream.range(2,6).sum());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5513, 1451, 'System.out.println(IntStream.range(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5514, 1451, 'System.out.println(IntStream.rangeClosed(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5515, 1451, 'System.out.println(IntStream.range(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5517, 1452, 'NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5518, 1452, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5519, 1452, 'Программа успешно скомпилируется и выведет в консоль 0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5520, 1452, 'Программа успешно скомпилируется и выведет в консоль 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5522, 1453, 'int[] array = 1,2,3,4,5;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5524, 1453, 'int[] array = int[]{};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5525, 1453, 'int[] array = new int[];', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6919, 1771, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8132, 2053, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11529, 2780, 'ThreadLocal', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5456, 1440, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5461, 1441, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5462, 1442, 'Все утверждения верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5468, 1443, 'int[]', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5473, 1444, 'import aquarium.*;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5474, 1444, 'import aquarium.*;
import aquarium.jellies.Water;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5476, 1444, 'import aquarium.Water;
import aquarium.jellies.*;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5479, 1445, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5482, 1445, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5486, 1446, '02', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5489, 1447, 'value2 = "h"; вместо //ПРОПУСК_2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5492, 1447, 'value3="f"; вместо //ПРОПУСК_1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5498, 1448, '2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5501, 1449, 'Объявить класс final', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5508, 1450, 'ExecutorService es = Executors.newScheduledThreadPool(2);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5510, 1450, 'ExecutorService es = Executors.newSingleThreadScheduledExecutor();', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5511, 1451, 'System.out.println(IntStream.rangeClosed(1,6).sum());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5516, 1452, 'StackOverflowError', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5521, 1453, 'int[] array = new int[5];', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5523, 1453, 'int[] array = new int[]{1,2,3,4,5};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5526, 1453, 'int[] array = {1,2,3,4,5};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6920, 1771, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6923, 1772, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6924, 1772, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6925, 1772, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6926, 1773, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6928, 1773, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6929, 1773, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6930, 1774, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6932, 1774, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6933, 1774, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6934, 1775, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6936, 1775, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6937, 1775, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6939, 1776, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6940, 1776, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6941, 1776, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6942, 1777, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6944, 1777, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6945, 1777, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6946, 1778, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6947, 1778, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6948, 1778, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6950, 1779, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6951, 1779, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6953, 1779, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6954, 1780, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6955, 1780, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6956, 1780, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6958, 1781, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6960, 1781, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6961, 1781, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6962, 1782, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6964, 1782, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6965, 1782, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6967, 1783, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6968, 1783, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6969, 1783, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6970, 1784, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6972, 1784, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6973, 1784, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6974, 1785, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6975, 1785, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6977, 1785, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6978, 1786, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6979, 1786, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6980, 1786, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6982, 1787, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6983, 1787, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6984, 1787, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6986, 1788, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6922, 1772, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6931, 1774, 'Exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6935, 1775, 'Первый совпадающий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6938, 1776, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6943, 1777, 'ноль или один, ноль или больше', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6949, 1778, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6952, 1779, 'import java.lang.*', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6957, 1780, 'Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6959, 1781, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6963, 1782, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6966, 1783, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6971, 1784, 'Синглтон класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9672, 2375, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6976, 1785, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6981, 1786, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6985, 1787, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6987, 1788, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6989, 1788, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6991, 1789, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6992, 1789, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6993, 1789, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6995, 1790, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6996, 1790, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6997, 1790, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6999, 1791, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7000, 1791, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7001, 1791, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7002, 1792, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7003, 1792, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7005, 1792, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7006, 1793, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7007, 1793, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7008, 1793, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7010, 1794, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7011, 1794, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7012, 1794, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7014, 1795, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7015, 1795, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7016, 1795, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7018, 1796, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7019, 1796, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7020, 1796, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7023, 1797, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7024, 1797, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7025, 1797, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7027, 1798, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7028, 1798, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7029, 1798, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7030, 1799, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7032, 1799, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7033, 1799, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7035, 1800, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7036, 1800, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7037, 1801, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7039, 1801, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7040, 1801, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7041, 1802, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7042, 1802, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7043, 1802, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7045, 1803, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7047, 1803, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7048, 1803, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6988, 1788, 'Переопределяемые, перегружаемые', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6990, 1789, 'Java не поддерживает множественное наследование', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6994, 1790, 'final', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6998, 1791, 'Позволить интерфейсу определить метод на уровне класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7004, 1792, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7009, 1793, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7013, 1794, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7017, 1795, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7021, 1796, 'static', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7022, 1797, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7026, 1798, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7031, 1799, 'Публичная переменная', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7034, 1800, 'Передача по значению', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7038, 1801, 'super()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7044, 1802, 'Никакие из перечисленных', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7046, 1803, 'super() и super', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7097, 1816, 'Имя и/или должность лица, обнаружившего проблему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7098, 1816, 'Версия тестируемого ПО', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7100, 1816, 'Фактический и ожидаемый результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7101, 1817, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7099, 1816, 'Предложение как пофиксить баг', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7102, 1817, 'Это помогает предотвратить появление дефектов в коде', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6840, 1754, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7103, 1817, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7104, 1817, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7106, 1818, 'Модульное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7107, 1818, 'Регрессионное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7108, 1818, 'Тест на работоспособность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7105, 1818, 'Тестирование производительности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7525, 1912, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7526, 1912, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7527, 1912, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7528, 1913, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7529, 1913, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7530, 1913, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7531, 1913, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7532, 1913, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7533, 1914, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7534, 1914, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7535, 1914, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7536, 1914, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7537, 1914, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7538, 1915, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7539, 1915, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7540, 1915, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7541, 1915, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7542, 1915, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7543, 1916, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7544, 1916, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7545, 1916, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7546, 1916, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7547, 1917, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7548, 1917, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7549, 1917, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7550, 1917, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7551, 1918, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7552, 1918, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7553, 1918, '[13, 11, 29]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7554, 1918, '[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7555, 1918, 'Хеш объекта вида [I@3d075dc0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7884, 1996, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7885, 1996, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7886, 1996, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7887, 1997, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7888, 1997, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7889, 1997, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7890, 1997, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7891, 1998, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7892, 1998, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7893, 1998, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7894, 1998, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7895, 1999, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7896, 1999, 'Синглтон класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7897, 1999, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7898, 1999, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7899, 2000, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7900, 2000, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7901, 2000, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7902, 2000, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7903, 2001, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7904, 2001, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7905, 2001, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6846, 1755, 'public static void main (String args[])', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7769, 1970, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7052, 1804, 'Тестировщики лучше находят дефекты, чем разработчики', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7557, 1919, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7559, 1919, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7560, 1920, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7563, 1920, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7564, 1921, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7566, 1921, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7567, 1921, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7569, 1922, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7570, 1922, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7571, 1922, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7573, 1923, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7574, 1923, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7576, 1923, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7578, 1924, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7579, 1924, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7580, 1924, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7581, 1925, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7582, 1925, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7584, 1925, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7585, 1925, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7586, 1925, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7587, 1926, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7589, 1926, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7592, 1927, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7593, 1927, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7594, 1927, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7596, 1928, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7597, 1928, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7598, 1928, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7600, 1929, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7601, 1929, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7603, 1929, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7604, 1930, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7606, 1930, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7608, 1930, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7609, 1931, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7611, 1931, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7612, 1931, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7613, 1931, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7614, 1932, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7615, 1932, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7617, 1932, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7618, 1932, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7561, 1920, 'static public void main (String[] array)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7562, 1920, 'public static void main (String args[])', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7565, 1921, 'import com.examplejava.Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7568, 1921, 'import com.examplejava.*', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7572, 1922, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7575, 1923, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7577, 1924, 'Нельзя определить аргумент метода как private переменную.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7583, 1925, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7590, 1926, 'Строка 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7591, 1926, 'Строка 5', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7588, 1926, 'Строка 2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7595, 1927, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7599, 1928, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7602, 1929, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7605, 1930, 'И те и другие могут содержать статические методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7607, 1930, 'И те и другие могут содержать public static final переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7610, 1931, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7616, 1932, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6852, 1756, 'import com.examplejava.*', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7067, 1808, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7619, 1933, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9673, 2376, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7621, 1933, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7622, 1933, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7623, 1933, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7625, 1934, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7626, 1934, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7627, 1934, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7628, 1934, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7629, 1934, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7630, 1935, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7632, 1935, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7633, 1935, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7634, 1936, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7635, 1936, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7636, 1936, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7639, 1937, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7640, 1937, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7641, 1937, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7643, 1938, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7644, 1938, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7645, 1938, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7646, 1939, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7647, 1939, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7649, 1939, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7650, 1940, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7652, 1940, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7653, 1940, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7654, 1941, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7656, 1941, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7657, 1941, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7658, 1942, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7660, 1942, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7661, 1942, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7662, 1943, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7663, 1943, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7664, 1943, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7666, 1944, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7667, 1944, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7669, 1944, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7670, 1945, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7671, 1945, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7672, 1945, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7674, 1946, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7676, 1946, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7677, 1946, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7678, 1947, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7680, 1947, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7681, 1947, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7683, 1948, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7684, 1948, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7624, 1934, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7631, 1935, 'try, catch, finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7637, 1936, 'Для блока finally обязательны фигурные скобки {}', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7638, 1937, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7648, 1939, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7651, 1940, 'Первый совпадающий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7655, 1941, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7659, 1942, 'ноль или один, ноль или больше', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7665, 1943, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7668, 1944, 'import java.lang.*', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7673, 1945, 'Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7675, 1946, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7679, 1947, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7682, 1948, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6853, 1757, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7073, 1810, 'А. Найти дефекты', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7685, 1948, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7686, 1949, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7688, 1949, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7689, 1949, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7691, 1950, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7770, 1970, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7692, 1950, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7693, 1950, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7694, 1951, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7696, 1951, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7697, 1951, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7698, 1952, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7699, 1952, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7701, 1952, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7702, 1953, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7703, 1953, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7704, 1953, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7706, 1954, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7707, 1954, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7708, 1954, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7710, 1955, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7711, 1955, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7712, 1955, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7714, 1956, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7715, 1956, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7717, 1956, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7718, 1957, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7719, 1957, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7721, 1957, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7722, 1958, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7723, 1958, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7724, 1958, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7726, 1959, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7727, 1959, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7728, 1959, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7730, 1960, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7731, 1960, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7732, 1960, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7734, 1961, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7736, 1961, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7737, 1961, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7739, 1962, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7740, 1962, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7741, 1962, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7743, 1963, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7744, 1963, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7745, 1963, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7746, 1964, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7747, 1964, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7695, 1951, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7700, 1952, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7705, 1953, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7709, 1954, 'Java поддерживает множественное наследование между интерфейсами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7713, 1955, 'abstract', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7716, 1956, 'Обеспечить обратную совместимость для существующих интерфейсов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7720, 1957, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7725, 1958, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7729, 1959, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7733, 1960, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7735, 1961, 'final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7738, 1962, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7742, 1963, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7748, 1964, 'Статическая переменная', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6859, 1758, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7080, 1811, '-1, 0, 1, 99', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7749, 1964, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7750, 1965, 'Передача по значению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7751, 1965, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7754, 1966, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7755, 1966, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7756, 1966, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7757, 1967, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7759, 1967, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7760, 1967, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7761, 1968, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7763, 1968, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7764, 1968, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7906, 2001, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7907, 2002, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7908, 2002, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7909, 2002, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7910, 2002, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7911, 2003, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7912, 2003, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7913, 2003, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7914, 2003, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7915, 2004, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7916, 2004, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7917, 2004, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7918, 2004, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7919, 2005, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7920, 2005, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7921, 2005, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7922, 2005, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7923, 2006, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7924, 2006, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7925, 2006, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7926, 2006, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7927, 2007, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7928, 2007, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7929, 2007, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7930, 2007, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7931, 2008, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7932, 2008, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7933, 2008, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7934, 2008, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7935, 2009, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7936, 2009, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7937, 2009, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7938, 2009, 'Одинаковое название метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7939, 2010, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7940, 2010, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7941, 2010, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7942, 2010, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7943, 2011, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7944, 2011, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7945, 2011, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7946, 2011, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7947, 2012, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7948, 2012, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7949, 2012, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7950, 2012, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7951, 2013, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7952, 2013, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7953, 2013, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7954, 2013, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7955, 2014, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7956, 2014, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7957, 2014, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7958, 2014, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7959, 2015, 'Передача по значению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7960, 2015, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7753, 1966, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7758, 1967, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7762, 1968, 'super() и super', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11530, 2780, 'RecursiveTask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11531, 2781, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11532, 2781, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6861, 1759, 'Нельзя определить аргумент метода как private переменную.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7081, 1812, 'Тестирование потенциальными клиентами, проводимое на территории разработчиков', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7765, 1969, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7766, 1969, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7767, 1969, 'Оба класса Student и Course определены в пакете com.examplejava', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7768, 1969, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7309, 1866, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7771, 1970, 'public static void main (String args[])', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7772, 1970, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7773, 1971, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7774, 1971, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7775, 1971, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7776, 1971, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7777, 1971, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7778, 1972, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7779, 1972, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7780, 1972, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7781, 1972, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7782, 1973, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7783, 1973, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7784, 1973, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7785, 1973, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7786, 1974, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7787, 1974, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7788, 1974, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7789, 1974, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7790, 1975, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7791, 1975, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7792, 1975, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7793, 1975, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7794, 1975, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7795, 1975, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7796, 1976, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7797, 1976, 'Строка 2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7798, 1976, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7799, 1976, 'Строка 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7800, 1976, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7801, 1977, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7802, 1977, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7803, 1977, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7804, 1977, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7805, 1978, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7806, 1978, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7807, 1978, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7808, 1978, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7809, 1979, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7810, 1979, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7811, 1979, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7812, 1979, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7813, 1980, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7814, 1980, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7815, 1980, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7816, 1980, 'И те и другие могут содержать public static final переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7817, 1980, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7818, 1981, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7819, 1981, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7820, 1981, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7821, 1981, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7822, 1981, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7823, 1982, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7824, 1982, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7825, 1982, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7826, 1982, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7827, 1982, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6865, 1760, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7109, 1819, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7110, 1819, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7111, 1819, 'Оба класса Student и Course определены в пакете com.examplejava', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7112, 1819, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7113, 1820, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7114, 1820, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7115, 1820, 'public static void main (String args[])', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7116, 1820, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7117, 1821, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7118, 1821, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7119, 1821, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7120, 1821, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7121, 1821, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7122, 1822, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7123, 1822, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7124, 1822, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7125, 1822, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7126, 1823, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7127, 1823, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7128, 1823, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7129, 1823, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7130, 1824, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7131, 1824, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7132, 1824, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7133, 1824, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7134, 1825, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7135, 1825, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7136, 1825, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7137, 1825, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7138, 1825, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7139, 1825, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7140, 1826, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7141, 1826, 'Строка 2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7142, 1826, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7143, 1826, 'Строка 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7144, 1826, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7145, 1827, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7146, 1827, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7147, 1827, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7148, 1827, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7149, 1828, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7150, 1828, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7151, 1828, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7152, 1828, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7153, 1829, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7154, 1829, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7155, 1829, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7156, 1829, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7157, 1830, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7158, 1830, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7159, 1830, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7160, 1830, 'И те и другие могут содержать public static final переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7161, 1830, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7162, 1831, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7163, 1831, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7164, 1831, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7165, 1831, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7166, 1831, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7167, 1832, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7168, 1832, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7169, 1832, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7170, 1832, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7171, 1832, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7172, 1833, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7173, 1833, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6872, 1761, 'Строка 2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6874, 1761, 'Строка 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7174, 1833, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7175, 1833, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7176, 1833, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5388, 1424, 'Ошибка компиляции на строке:public void layEggs() { System.out.println("Lizard laying eggs"); }', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5393, 1425, 'Не скомпилируется, потому что static метод нельзя наследовать', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5411, 1429, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5453, 1439, 'walk#()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7310, 1867, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7311, 1867, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5503, 1449, 'Не создавать методы, модифицирующие поля или объекты на которые ссылаются поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7177, 1834, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7178, 1834, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7179, 1834, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7180, 1834, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7181, 1834, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7182, 1834, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7183, 1835, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7184, 1835, 'try, catch, finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7185, 1835, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7186, 1835, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7187, 1836, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7188, 1836, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7189, 1836, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7190, 1836, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7191, 1837, 'throws, throw', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7192, 1837, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7193, 1837, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7194, 1837, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7195, 1838, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7196, 1838, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7197, 1838, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7198, 1838, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7199, 1839, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7200, 1839, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7201, 1839, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7202, 1839, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7203, 1840, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7204, 1840, 'Первый совпадающий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7205, 1840, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7206, 1840, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7207, 1841, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7208, 1841, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7209, 1841, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7210, 1841, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7211, 1842, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7212, 1842, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7213, 1842, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7214, 1842, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7215, 1843, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7216, 1843, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7217, 1843, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7218, 1843, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7219, 1844, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7220, 1844, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7221, 1844, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7222, 1844, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7223, 1845, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7224, 1845, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7225, 1845, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7226, 1845, 'Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7227, 1846, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7228, 1846, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7229, 1846, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7230, 1846, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7231, 1847, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7232, 1847, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7233, 1847, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7234, 1847, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6881, 1763, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7235, 1848, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7236, 1848, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7237, 1848, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7238, 1848, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7239, 1849, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7240, 1849, 'Синглтон класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7241, 1849, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7242, 1849, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7243, 1850, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7312, 1867, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7244, 1850, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7245, 1850, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7246, 1850, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7247, 1851, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7248, 1851, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7249, 1851, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7250, 1851, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7251, 1852, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7252, 1852, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7253, 1852, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7254, 1852, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7255, 1853, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7256, 1853, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7257, 1853, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7258, 1853, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7259, 1854, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7260, 1854, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7261, 1854, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7262, 1854, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7263, 1855, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7264, 1855, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7265, 1855, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7266, 1855, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7267, 1856, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7268, 1856, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7269, 1856, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7270, 1856, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7271, 1857, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7272, 1857, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7273, 1857, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7274, 1857, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7275, 1858, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7276, 1858, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7277, 1858, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7278, 1858, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7279, 1859, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7280, 1859, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7281, 1859, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7282, 1859, 'Одинаковое название метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7283, 1860, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7284, 1860, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7285, 1860, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7286, 1860, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7287, 1861, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7288, 1861, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7289, 1861, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7290, 1861, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7291, 1862, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7292, 1862, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7293, 1862, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7294, 1862, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7295, 1863, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7296, 1863, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7297, 1863, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7298, 1863, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6886, 1764, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7299, 1864, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7300, 1864, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7301, 1864, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7302, 1864, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7303, 1865, 'Передача по значению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7304, 1865, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7305, 1865, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7306, 1866, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7307, 1866, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7308, 1866, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7313, 1867, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7314, 1868, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7315, 1868, 'super() и super', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7316, 1868, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7317, 1868, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7828, 1983, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7829, 1983, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7830, 1983, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7831, 1983, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7832, 1983, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7833, 1984, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7834, 1984, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7835, 1984, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7836, 1984, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7837, 1984, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7838, 1984, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7839, 1985, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7840, 1985, 'try, catch, finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7841, 1985, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7842, 1985, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7843, 1986, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7844, 1986, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7845, 1986, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7846, 1986, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7847, 1987, 'throws, throw', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7848, 1987, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7849, 1987, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7850, 1987, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7851, 1988, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7852, 1988, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7853, 1988, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7854, 1988, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7855, 1989, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7856, 1989, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7857, 1989, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7858, 1989, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7859, 1990, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7860, 1990, 'Первый совпадающий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7861, 1990, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7862, 1990, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7863, 1991, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7864, 1991, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7865, 1991, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7866, 1991, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7867, 1992, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7868, 1992, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7869, 1992, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7870, 1992, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7871, 1993, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7872, 1993, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7873, 1993, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7874, 1993, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7875, 1994, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7876, 1994, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7877, 1994, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7878, 1994, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7879, 1995, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7880, 1995, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7881, 1995, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7882, 1995, 'Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7883, 1996, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6890, 1765, 'И те и другие наследуют java.lang.Object', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7318, 1869, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7319, 1869, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7320, 1869, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7321, 1869, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7322, 1870, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7323, 1870, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6425, 1657, 'Блоки catch для этих двух исключений могут идти в любом порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7324, 1870, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7325, 1870, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7326, 1871, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7327, 1871, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7328, 1871, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7329, 1871, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7330, 1872, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7331, 1872, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7332, 1872, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7333, 1872, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7334, 1872, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7335, 1873, 'AtomicLong', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7336, 1873, 'AtomicBoolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7337, 1873, 'AtomicInteger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7338, 1873, 'AtomicDouble', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7339, 1874, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7340, 1874, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7341, 1874, 'Позволяет обмениваться объектами между двумя потоками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7342, 1874, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7343, 1875, 'Exchanger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7344, 1875, 'ReentrantLock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7345, 1875, 'ThreadLocal', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7346, 1875, 'RecursiveTask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7347, 1876, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7348, 1876, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7349, 1876, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7350, 1876, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7351, 1876, 'NEW', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7352, 1876, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7353, 1877, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7354, 1877, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7355, 1877, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7356, 1877, 'LiveLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7357, 1877, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7358, 1877, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7359, 1878, '-Xms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7360, 1878, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7361, 1878, '-Xmx', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7362, 1878, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7363, 1879, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7364, 1879, 'Optional.null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7365, 1879, 'null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7366, 1879, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7367, 1879, 'Optional.empty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7368, 1880, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7369, 1880, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7370, 1880, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7371, 1880, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7372, 1880, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7373, 1881, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7374, 1881, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7375, 1881, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7376, 1881, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7377, 1881, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7378, 1881, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7379, 1882, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7380, 1882, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7381, 1882, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7382, 1882, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7383, 1882, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7384, 1883, 'SubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7385, 1883, 'SuperClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7386, 1883, 'SuperClassSubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7387, 1883, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7388, 1883, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7389, 1884, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7390, 1884, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7391, 1884, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7392, 1884, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7393, 1884, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7394, 1885, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7395, 1885, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7396, 1885, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7397, 1885, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7398, 1885, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7399, 1886, 'new Duration(start, end).getMillis();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6410, 1654, 'Ошибка компиляции на строке:public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6411, 1654, '6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6413, 1654, 'Ошибка компиляции на строке:public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6414, 1654, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6416, 1655, 'public static void eatGrass();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6417, 1655, 'public int chew() { return 13; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6418, 1655, 'Ошибок нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6419, 1656, 'NoClassDefFoundError, StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6421, 1656, 'StackOverflowError, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6422, 1656, 'ClassCastException, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6424, 1657, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8259, 2078, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6426, 1657, 'Блок catch для IOException должен идти перед блоком catch для Exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6427, 1658, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6428, 1658, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6429, 1658, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6432, 1659, 'Они позволяют писать код с отложенным выполнением', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6433, 1659, 'Они позволяют изменять байткод приложения во время его исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6434, 1659, 'Они позволяют конвертировать примитивы в классы-обертки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6435, 1660, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6437, 1660, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6438, 1660, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6439, 1660, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6440, 1660, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6441, 1661, '8', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6442, 1661, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6443, 1661, 'Код выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6445, 1661, '08', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6446, 1661, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6448, 1662, 'Runnable r = () -> System.out.println("Run!");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6449, 1662, 'Run r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6450, 1662, 'Executable r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6451, 1662, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6452, 1663, 'Механизм позволяющий получить доступ из кода к метаинформации о классах', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6453, 1663, 'Механизм позволяющий методу вызывать самого себя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6455, 1663, 'Парадигма асинхронного программирования, связанная с потоками данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6412, 1654, 'Ошибка компиляции на строке:System.out.println(new ClownFish().getNumberOfGills(-1));', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6415, 1655, 'int amount = 10;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6420, 1656, 'StackOverflowError, NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6423, 1657, 'Блок catch для Exception должен идти перед блоком catch для IOException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6430, 1658, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6431, 1659, 'Они позволяют наследовать несколько классов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6436, 1660, 'finalize() гарантированно не вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6444, 1661, '02', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6447, 1662, 'Thread r = () -> System.out.println("Run!");', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6454, 1663, 'Механизм позволяющий получить данные о состоянии памяти, используемой приложением', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6897, 1766, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7400, 1886, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7401, 1886, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7402, 1886, 'Duration.between(start, end).toMillis();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7403, 1887, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7404, 1887, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7405, 1887, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7406, 1887, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7407, 1887, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7408, 1888, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7409, 1888, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7410, 1888, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7411, 1888, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7412, 1889, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7413, 1889, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7414, 1889, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11533, 2781, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6906, 1768, 'Orca diving', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7415, 1889, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7416, 1889, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7417, 1890, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7418, 1890, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7419, 1890, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7420, 1890, 'BiConsumer<T,U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7421, 1891, 'public', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7422, 1891, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7423, 1891, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7424, 1891, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7425, 1891, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7426, 1892, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7427, 1892, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8260, 2078, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7428, 1892, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7429, 1892, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7430, 1893, 'Permanent Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7431, 1893, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7432, 1893, 'Old Generation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7433, 1893, 'Eden Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7434, 1893, 'Survivor Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7435, 1894, 'await()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7436, 1894, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7437, 1894, 'sleep()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7438, 1894, 'wait()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7439, 1895, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7440, 1895, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7441, 1895, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7442, 1895, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7443, 1896, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7444, 1896, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7445, 1896, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7446, 1896, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7447, 1896, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7448, 1896, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7449, 1897, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7450, 1897, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7451, 1897, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7452, 1897, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7453, 1897, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7454, 1898, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7455, 1898, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7456, 1898, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7457, 1898, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7458, 1898, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7459, 1899, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7460, 1899, '13', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7461, 1899, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7462, 1899, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7463, 1900, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7464, 1900, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7465, 1900, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7466, 1900, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7467, 1901, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7468, 1901, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7469, 1901, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7470, 1901, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7471, 1902, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7472, 1902, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7473, 1902, 'connection.createStatement("...");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7474, 1902, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7475, 1902, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7476, 1903, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7477, 1903, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7478, 1903, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7479, 1903, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7480, 1903, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7481, 1903, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7482, 1904, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7483, 1904, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7484, 1904, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7485, 1904, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7486, 1905, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7487, 1905, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (6909, 1769, 'Ошибка компиляции на строке:new Mammal(5);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7488, 1905, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7489, 1905, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7490, 1905, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7491, 1906, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7492, 1906, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4968, 1324, 'Оба класса Student и Course определены в пакете com.examplejava', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4966, 1324, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (4982, 1327, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5015, 1335, 'И те и другие могут содержать статические методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5018, 1335, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5048, 1342, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5055, 1343, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5115, 1358, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5116, 1359, 'Java не поддерживает множественное наследование', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (5124, 1361, 'Позволить интерфейсу определить метод на уровне класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7493, 1906, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7494, 1906, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7495, 1906, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7496, 1907, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7497, 1907, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7498, 1907, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7499, 1907, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7500, 1907, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7501, 1907, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7502, 1908, 'В статическом блоке инициализации не могут быть брошены исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7503, 1908, 'java.lang.ExceptionInInitializerError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7504, 1908, 'java.lang.InstantiationException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7505, 1908, 'Ни один ответ не является правильным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7506, 1909, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7507, 1909, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7508, 1909, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7509, 1909, 'ListIterator может быть использован только для перебора элементов коллекции List', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7510, 1909, 'ListIterator расширяет интерфейс Iterable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7511, 1909, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7512, 1910, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7513, 1910, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7514, 1910, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7515, 1910, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7516, 1910, 'Никак', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7517, 1911, '<=', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7518, 1911, '&', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7519, 1911, '&=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7520, 1911, '|=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7521, 1911, '>>>=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7522, 1911, '~', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8133, 2053, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7961, 2015, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7962, 2016, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7963, 2016, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7964, 2016, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7965, 2016, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7966, 2017, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7967, 2017, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7968, 2017, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7969, 2017, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7970, 2018, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7971, 2018, 'super() и super', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7972, 2018, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7973, 2018, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8064, 2038, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8326, 2092, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7974, 2019, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7975, 2019, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7976, 2019, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7977, 2019, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7978, 2020, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7979, 2020, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7980, 2020, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7981, 2020, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7982, 2021, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7983, 2021, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7984, 2021, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7985, 2021, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7986, 2022, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7987, 2022, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7988, 2022, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7989, 2022, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7990, 2022, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7991, 2023, 'AtomicLong', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7992, 2023, 'AtomicBoolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7993, 2023, 'AtomicInteger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7994, 2023, 'AtomicDouble', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7995, 2024, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7996, 2024, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7997, 2024, 'Позволяет обмениваться объектами между двумя потоками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7998, 2024, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7999, 2025, 'Exchanger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8000, 2025, 'ReentrantLock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8001, 2025, 'ThreadLocal', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8002, 2025, 'RecursiveTask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8003, 2026, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8004, 2026, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8005, 2026, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8006, 2026, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8007, 2026, 'NEW', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8008, 2026, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8009, 2027, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8010, 2027, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8011, 2027, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8012, 2027, 'LiveLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8013, 2027, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8014, 2027, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8015, 2028, '-Xms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8016, 2028, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8017, 2028, '-Xmx', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8018, 2028, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8019, 2029, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8020, 2029, 'Optional.null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8021, 2029, 'null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8022, 2029, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8023, 2029, 'Optional.empty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8024, 2030, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8025, 2030, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8026, 2030, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8027, 2030, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8028, 2030, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8029, 2031, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8030, 2031, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8031, 2031, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8032, 2031, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8033, 2031, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8034, 2031, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8035, 2032, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8036, 2032, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8037, 2032, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8038, 2032, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8039, 2032, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8040, 2033, 'SubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8041, 2033, 'SuperClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8042, 2033, 'SuperClassSubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8043, 2033, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8059, 2037, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8060, 2037, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8061, 2037, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8062, 2037, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8063, 2037, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8065, 2038, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8066, 2038, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8067, 2038, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8068, 2039, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8069, 2039, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8070, 2039, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8071, 2039, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8072, 2039, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8073, 2040, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8074, 2040, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8075, 2040, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8076, 2040, 'BiConsumer<T,U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8077, 2041, 'public', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8078, 2041, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8079, 2041, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8080, 2041, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8081, 2041, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8082, 2042, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8083, 2042, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8084, 2042, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8085, 2042, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8086, 2043, 'Permanent Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8087, 2043, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8088, 2043, 'Old Generation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8089, 2043, 'Eden Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8090, 2043, 'Survivor Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8091, 2044, 'await()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8092, 2044, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8093, 2044, 'sleep()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8094, 2044, 'wait()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8095, 2045, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8096, 2045, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8097, 2045, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8098, 2045, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8099, 2046, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8100, 2046, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8101, 2046, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8102, 2046, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8103, 2046, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8104, 2046, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8105, 2047, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8106, 2047, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8107, 2047, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8108, 2047, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8109, 2047, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8110, 2048, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8111, 2048, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8112, 2048, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8113, 2048, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8114, 2048, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8115, 2049, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8116, 2049, '13', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8117, 2049, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8118, 2049, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8119, 2050, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8120, 2050, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8121, 2050, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8122, 2050, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8123, 2051, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8124, 2051, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8125, 2051, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8126, 2051, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8127, 2052, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8128, 2052, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8129, 2052, 'connection.createStatement("...");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8130, 2052, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8131, 2052, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8138, 2054, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8139, 2054, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8140, 2054, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8141, 2054, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8142, 2055, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8189, 2064, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8143, 2055, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8144, 2055, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8145, 2055, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8146, 2055, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8147, 2056, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8148, 2056, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8149, 2056, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8150, 2056, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8151, 2056, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8152, 2057, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8153, 2057, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8154, 2057, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8155, 2057, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8156, 2057, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8157, 2057, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8158, 2058, 'В статическом блоке инициализации не могут быть брошены исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8159, 2058, 'java.lang.ExceptionInInitializerError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8160, 2058, 'java.lang.InstantiationException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8161, 2058, 'Ни один ответ не является правильным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8162, 2059, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8163, 2059, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8164, 2059, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8165, 2059, 'ListIterator может быть использован только для перебора элементов коллекции List', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8166, 2059, 'ListIterator расширяет интерфейс Iterable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8167, 2059, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8168, 2060, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8169, 2060, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8170, 2060, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8171, 2060, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8172, 2060, 'Никак', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8173, 2061, '<=', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8174, 2061, '&', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8175, 2061, '&=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8176, 2061, '|=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8177, 2061, '>>>=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8178, 2061, '~', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8179, 2062, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8180, 2062, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8181, 2062, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8182, 2062, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8183, 2062, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8184, 2063, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8185, 2063, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8186, 2063, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8187, 2063, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8188, 2063, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8190, 2064, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8191, 2064, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8192, 2064, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8193, 2064, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8194, 2065, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8195, 2065, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8196, 2065, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8197, 2065, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8198, 2065, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8199, 2066, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8200, 2066, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8201, 2066, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8202, 2066, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8203, 2067, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8204, 2067, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8205, 2067, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8206, 2067, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8207, 2068, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8208, 2068, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8209, 2068, '[13, 11, 29]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8210, 2068, '[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8211, 2068, 'Хеш объекта вида [I@3d075dc0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7556, 1919, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7558, 1919, 'Оба класса Student и Course определены в пакете com.examplejava', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7620, 1933, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7642, 1938, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7690, 1950, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (7752, 1965, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8213, 2069, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8215, 2069, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8216, 2069, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8217, 2070, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8218, 2070, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8220, 2070, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8222, 2071, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8223, 2071, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8224, 2071, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8225, 2071, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8226, 2072, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8227, 2072, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8228, 2072, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8230, 2072, 'NEW', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8231, 2072, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8232, 2073, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8233, 2073, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8235, 2073, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8236, 2073, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8238, 2074, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8239, 2074, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8240, 2074, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8241, 2075, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8242, 2075, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8243, 2075, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8245, 2075, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8247, 2076, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8248, 2076, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8249, 2076, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8250, 2077, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8251, 2077, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8252, 2077, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8254, 2077, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8255, 2077, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8256, 2078, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8261, 2079, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8263, 2079, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8264, 2079, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8265, 2079, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8266, 2080, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8267, 2080, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8269, 2080, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8270, 2080, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8271, 2081, '-Xms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8221, 2071, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8229, 2072, 'WAITING', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8234, 2073, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8237, 2074, 'В анонимном классе можно объявить только один конструктор', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8244, 2075, 'TIMED_WAITING', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8246, 2076, 'StrongReference', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8253, 2077, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8258, 2078, '2015-01-04', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8262, 2079, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8268, 2080, 'В heap и так же добавляется в string pool', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8272, 2081, '-Xss', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8273, 2081, '-Xmx', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11534, 2781, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11535, 2781, 'NEW', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11536, 2781, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11537, 2782, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11538, 2782, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14857, 3547, '1 и 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8274, 2081, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8275, 2082, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8279, 2082, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8281, 2083, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8282, 2083, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8283, 2083, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8284, 2083, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8285, 2083, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8214, 2069, 'connection.createStatement("...");', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8219, 2070, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8276, 2082, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8277, 2082, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8278, 2082, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8280, 2083, 'Ошибка компиляции', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8288, 2084, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8290, 2084, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8291, 2084, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8293, 2085, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8295, 2085, 'wait()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8297, 2086, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8300, 2086, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8301, 2087, 'new Duration(start, end).getMillis();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8302, 2087, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8303, 2087, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8305, 2088, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8306, 2088, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8308, 2088, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8310, 2089, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8313, 2089, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8316, 2090, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8317, 2090, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8318, 2090, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8319, 2091, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8320, 2091, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8322, 2091, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8323, 2092, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8325, 2092, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8327, 2092, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8328, 2093, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8289, 2084, 'LiveLock', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8287, 2084, 'DeadLock', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8286, 2084, 'Race conditions', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8292, 2085, 'await()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8294, 2085, 'sleep()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8296, 2086, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8298, 2086, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8299, 2086, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8304, 2087, 'Duration.between(start, end).toMillis();', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8307, 2088, 'Позволяет обмениваться объектами между двумя потоками', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8309, 2089, 'Function<T,R>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8311, 2089, 'Supplier<T>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8312, 2089, 'Predicate<T>', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8314, 2090, 'Consumer', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8315, 2090, 'IntegerConsumer', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8321, 2091, 'Анонимные классы могут быть абстрактными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8324, 2092, '2015-12-04', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8368, 2101, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8369, 2101, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8370, 2102, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8371, 2102, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8372, 2102, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8373, 2102, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8374, 2102, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8375, 2103, 'AtomicLong', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8376, 2103, 'AtomicBoolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8377, 2103, 'AtomicInteger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8378, 2103, 'AtomicDouble', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8742, 2180, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8331, 2093, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8332, 2094, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8334, 2094, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8337, 2095, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8339, 2095, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8341, 2096, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8342, 2096, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8343, 2096, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8344, 2096, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8345, 2096, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8347, 2097, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8351, 2097, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8353, 2098, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8357, 2098, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8330, 2093, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8329, 2093, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8333, 2094, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8335, 2094, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8336, 2095, '-Xms', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8338, 2095, '-Xmx', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8340, 2096, '1', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8346, 2097, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8348, 2097, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8349, 2097, 'ListIterator может быть использован только для перебора элементов коллекции List', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8350, 2097, 'ListIterator расширяет интерфейс Iterable', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8352, 2098, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8354, 2098, 'При переопределении метода возможно расширить уровень доступа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8355, 2098, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8356, 2098, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8358, 2099, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8359, 2099, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8360, 2099, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8361, 2099, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8362, 2100, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8363, 2100, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8364, 2100, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8365, 2100, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8366, 2101, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8367, 2101, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8379, 2104, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8380, 2104, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8381, 2104, 'Позволяет обмениваться объектами между двумя потоками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8382, 2104, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8383, 2105, 'Exchanger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8384, 2105, 'ReentrantLock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8385, 2105, 'ThreadLocal', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8386, 2105, 'RecursiveTask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8387, 2106, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8388, 2106, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8389, 2106, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8390, 2106, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8391, 2106, 'NEW', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8392, 2106, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8393, 2107, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8394, 2107, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8395, 2107, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8396, 2107, 'LiveLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8397, 2107, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8398, 2107, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8399, 2108, '-Xms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8400, 2108, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8401, 2108, '-Xmx', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8402, 2108, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8403, 2109, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8404, 2109, 'Optional.null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8405, 2109, 'null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8406, 2109, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8407, 2109, 'Optional.empty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8408, 2110, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8409, 2110, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8410, 2110, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8411, 2110, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8412, 2110, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8413, 2111, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8414, 2111, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8415, 2111, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8416, 2111, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8417, 2111, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8418, 2111, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8419, 2112, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8420, 2112, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8421, 2112, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8422, 2112, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8423, 2112, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8424, 2113, 'SubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8425, 2113, 'SuperClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8426, 2113, 'SuperClassSubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8427, 2113, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8428, 2113, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8429, 2114, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8430, 2114, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8431, 2114, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8432, 2114, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8433, 2114, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8434, 2115, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8435, 2115, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8436, 2115, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8437, 2115, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8438, 2115, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8439, 2116, 'new Duration(start, end).getMillis();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8440, 2116, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8441, 2116, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8442, 2116, 'Duration.between(start, end).toMillis();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8443, 2117, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8444, 2117, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8445, 2117, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8637, 2158, '-Xms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8446, 2117, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8447, 2117, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8448, 2118, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8449, 2118, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8450, 2118, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8451, 2118, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8452, 2119, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8453, 2119, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8454, 2119, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8455, 2119, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8456, 2119, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8457, 2120, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8458, 2120, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8459, 2120, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8460, 2120, 'BiConsumer<T,U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8461, 2121, 'public', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8462, 2121, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8463, 2121, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8464, 2121, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8466, 2122, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8467, 2122, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8468, 2122, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8469, 2122, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8470, 2123, 'Permanent Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8471, 2123, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8472, 2123, 'Old Generation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8473, 2123, 'Eden Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8474, 2123, 'Survivor Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8475, 2124, 'await()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8476, 2124, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8477, 2124, 'sleep()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8478, 2124, 'wait()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8479, 2125, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8480, 2125, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8481, 2125, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8482, 2125, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8483, 2126, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8484, 2126, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8485, 2126, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8486, 2126, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8487, 2126, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8488, 2126, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8489, 2127, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8490, 2127, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8491, 2127, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8492, 2127, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8493, 2127, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8494, 2128, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8495, 2128, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8496, 2128, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8497, 2128, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8498, 2128, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8499, 2129, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8500, 2129, '13', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8501, 2129, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8502, 2129, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8503, 2130, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8504, 2130, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8505, 2130, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8506, 2130, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8507, 2131, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8508, 2131, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8509, 2131, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8510, 2131, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8511, 2132, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8512, 2132, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8513, 2132, 'connection.createStatement("...");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8514, 2132, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8515, 2132, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8516, 2133, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8517, 2133, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8518, 2133, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8519, 2133, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8520, 2133, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8521, 2133, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8522, 2134, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8523, 2134, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8524, 2134, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8525, 2134, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8526, 2135, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8527, 2135, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8528, 2135, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8529, 2135, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8530, 2135, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8531, 2136, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8851, 2203, 'AtomicLong', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8532, 2136, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8533, 2136, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8534, 2136, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8535, 2136, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8536, 2137, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8537, 2137, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8538, 2137, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8539, 2137, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8540, 2137, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8541, 2137, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8542, 2138, 'В статическом блоке инициализации не могут быть брошены исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8543, 2138, 'java.lang.ExceptionInInitializerError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8544, 2138, 'java.lang.InstantiationException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8545, 2138, 'Ни один ответ не является правильным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8546, 2139, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8547, 2139, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8548, 2139, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8549, 2139, 'ListIterator может быть использован только для перебора элементов коллекции List', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8550, 2139, 'ListIterator расширяет интерфейс Iterable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8551, 2139, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8552, 2140, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8553, 2140, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8554, 2140, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8555, 2140, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8556, 2140, 'Никак', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8557, 2141, '<=', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8558, 2141, '&', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8559, 2141, '&=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8560, 2141, '|=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8561, 2141, '>>>=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8562, 2141, '~', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8563, 2142, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8564, 2142, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8565, 2142, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8566, 2142, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8638, 2158, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8567, 2142, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8568, 2143, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8569, 2143, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8570, 2143, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8571, 2143, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8572, 2143, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8573, 2144, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8574, 2144, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8575, 2144, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8576, 2144, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8577, 2144, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8578, 2145, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8579, 2145, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8580, 2145, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8581, 2145, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8582, 2145, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8583, 2146, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8584, 2146, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8585, 2146, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8586, 2146, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8587, 2147, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8588, 2147, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8589, 2147, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8590, 2147, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8591, 2148, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8592, 2148, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8593, 2148, '[13, 11, 29]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8594, 2148, '[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8595, 2148, 'Хеш объекта вида [I@3d075dc0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8596, 2149, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8597, 2149, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8598, 2149, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8599, 2149, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8600, 2150, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8601, 2150, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8602, 2150, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8603, 2150, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8604, 2151, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8605, 2151, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8606, 2151, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8607, 2151, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8608, 2152, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8609, 2152, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8610, 2152, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8611, 2152, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8612, 2152, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8613, 2153, 'AtomicLong', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8614, 2153, 'AtomicBoolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8615, 2153, 'AtomicInteger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8616, 2153, 'AtomicDouble', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8617, 2154, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8618, 2154, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8619, 2154, 'Позволяет обмениваться объектами между двумя потоками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8620, 2154, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8621, 2155, 'Exchanger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8622, 2155, 'ReentrantLock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8623, 2155, 'ThreadLocal', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8624, 2155, 'RecursiveTask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8625, 2156, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8626, 2156, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8627, 2156, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8628, 2156, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8629, 2156, 'NEW', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8630, 2156, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8631, 2157, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8632, 2157, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8633, 2157, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8634, 2157, 'LiveLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8635, 2157, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8636, 2157, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8640, 2158, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8641, 2159, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8642, 2159, 'Optional.null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8643, 2159, 'null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8644, 2159, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8645, 2159, 'Optional.empty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8646, 2160, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8647, 2160, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8648, 2160, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8649, 2160, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8650, 2160, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8651, 2161, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8652, 2161, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8653, 2161, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8654, 2161, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8655, 2161, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8656, 2161, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8657, 2162, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8658, 2162, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8659, 2162, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8661, 2162, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8662, 2163, 'SubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8663, 2163, 'SuperClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8664, 2163, 'SuperClassSubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8665, 2163, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8666, 2163, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8667, 2164, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8668, 2164, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8669, 2164, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8670, 2164, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8671, 2164, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8672, 2165, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8673, 2165, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8674, 2165, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8675, 2165, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8676, 2165, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8677, 2166, 'new Duration(start, end).getMillis();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8678, 2166, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8679, 2166, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8680, 2166, 'Duration.between(start, end).toMillis();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8681, 2167, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8682, 2167, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8683, 2167, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8684, 2167, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8685, 2167, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8686, 2168, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8687, 2168, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8688, 2168, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8689, 2168, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8690, 2169, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8691, 2169, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8692, 2169, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8693, 2169, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8694, 2169, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8695, 2170, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8696, 2170, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8697, 2170, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8698, 2170, 'BiConsumer<T,U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8699, 2171, 'public', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8700, 2171, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8701, 2171, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8702, 2171, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8703, 2171, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8704, 2172, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8705, 2172, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8706, 2172, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8707, 2172, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8708, 2173, 'Permanent Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8709, 2173, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8710, 2173, 'Old Generation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8711, 2173, 'Eden Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8712, 2173, 'Survivor Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8713, 2174, 'await()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8714, 2174, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8715, 2174, 'sleep()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8716, 2174, 'wait()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8717, 2175, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8718, 2175, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8719, 2175, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8720, 2175, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8721, 2176, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8722, 2176, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8723, 2176, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9674, 2376, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8724, 2176, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8725, 2176, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8726, 2176, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8727, 2177, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8728, 2177, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8729, 2177, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8730, 2177, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8731, 2177, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8732, 2178, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8733, 2178, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8734, 2178, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8735, 2178, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8736, 2178, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8737, 2179, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8738, 2179, '13', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8739, 2179, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8740, 2179, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8741, 2180, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8743, 2180, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8744, 2180, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8745, 2181, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8746, 2181, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8747, 2181, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8748, 2181, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8749, 2182, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8750, 2182, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8751, 2182, 'connection.createStatement("...");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8752, 2182, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8753, 2182, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8754, 2183, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8755, 2183, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8756, 2183, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8757, 2183, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8758, 2183, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8759, 2183, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8760, 2184, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8761, 2184, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8762, 2184, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8763, 2184, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8764, 2185, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8765, 2185, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8766, 2185, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8767, 2185, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8768, 2185, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8769, 2186, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8770, 2186, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8771, 2186, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8772, 2186, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8773, 2186, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8774, 2187, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8775, 2187, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8776, 2187, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8777, 2187, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8835, 2199, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8778, 2187, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8779, 2187, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8780, 2188, 'В статическом блоке инициализации не могут быть брошены исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8781, 2188, 'java.lang.ExceptionInInitializerError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8782, 2188, 'java.lang.InstantiationException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8783, 2188, 'Ни один ответ не является правильным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8784, 2189, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8785, 2189, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8786, 2189, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8852, 2203, 'AtomicBoolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8787, 2189, 'ListIterator может быть использован только для перебора элементов коллекции List', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8788, 2189, 'ListIterator расширяет интерфейс Iterable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8789, 2189, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8790, 2190, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8791, 2190, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8792, 2190, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8793, 2190, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8794, 2190, 'Никак', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8795, 2191, '<=', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8796, 2191, '&', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8797, 2191, '&=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8798, 2191, '|=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8799, 2191, '>>>=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8800, 2191, '~', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8801, 2192, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8802, 2192, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8803, 2192, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8804, 2192, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8805, 2192, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8806, 2193, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8807, 2193, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8808, 2193, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8809, 2193, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8810, 2193, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8811, 2194, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8812, 2194, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8813, 2194, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8814, 2194, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8815, 2194, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8816, 2195, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8817, 2195, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8818, 2195, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8819, 2195, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8820, 2195, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8821, 2196, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8822, 2196, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8823, 2196, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8824, 2196, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8825, 2197, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8826, 2197, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8827, 2197, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8828, 2197, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8829, 2198, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8830, 2198, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8831, 2198, '[13, 11, 29]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8832, 2198, '[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8833, 2198, 'Хеш объекта вида [I@3d075dc0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8834, 2199, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9110, 2257, 'LiveLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8837, 2199, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8838, 2200, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8839, 2200, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8840, 2200, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8842, 2201, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8843, 2201, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8845, 2201, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8846, 2202, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8847, 2202, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8848, 2202, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8850, 2202, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8841, 2200, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8844, 2201, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8849, 2202, 'Young Generation', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8855, 2204, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8856, 2204, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8858, 2204, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8859, 2205, 'Exchanger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8861, 2205, 'ThreadLocal', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8862, 2205, 'RecursiveTask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8863, 2206, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8864, 2206, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8865, 2206, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8866, 2206, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8867, 2206, 'NEW', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8868, 2206, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8869, 2207, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8870, 2207, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8871, 2207, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8872, 2207, 'LiveLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8873, 2207, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8874, 2207, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8875, 2208, '-Xms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8876, 2208, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8877, 2208, '-Xmx', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8878, 2208, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8879, 2209, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8880, 2209, 'Optional.null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8881, 2209, 'null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8882, 2209, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8883, 2209, 'Optional.empty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8884, 2210, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8885, 2210, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8886, 2210, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8887, 2210, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8888, 2210, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8889, 2211, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8890, 2211, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8891, 2211, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8892, 2211, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8893, 2211, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8894, 2211, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8895, 2212, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8896, 2212, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8897, 2212, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8898, 2212, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8899, 2212, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8900, 2213, 'SubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8901, 2213, 'SuperClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8902, 2213, 'SuperClassSubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8903, 2213, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8904, 2213, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8905, 2214, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8906, 2214, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8907, 2214, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8908, 2214, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8909, 2214, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8910, 2215, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8911, 2215, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8912, 2215, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8913, 2215, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8914, 2215, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8915, 2216, 'new Duration(start, end).getMillis();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8916, 2216, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8917, 2216, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8918, 2216, 'Duration.between(start, end).toMillis();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8919, 2217, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8920, 2217, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8921, 2217, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8922, 2217, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8923, 2217, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8924, 2218, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8925, 2218, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8926, 2218, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8927, 2218, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8928, 2219, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8929, 2219, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8930, 2219, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8931, 2219, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8932, 2219, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8933, 2220, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8934, 2220, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8935, 2220, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8936, 2220, 'BiConsumer<T,U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8937, 2221, 'public', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8938, 2221, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8939, 2221, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8940, 2221, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8860, 2205, 'ReentrantLock', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8942, 2222, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8943, 2222, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8944, 2222, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8945, 2222, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8946, 2223, 'Permanent Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8947, 2223, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8948, 2223, 'Old Generation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8949, 2223, 'Eden Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8950, 2223, 'Survivor Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8951, 2224, 'await()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8952, 2224, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8953, 2224, 'sleep()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8954, 2224, 'wait()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8955, 2225, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8956, 2225, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8957, 2225, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8958, 2225, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8959, 2226, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8960, 2226, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8961, 2226, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8962, 2226, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8963, 2226, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8964, 2226, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8965, 2227, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8966, 2227, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8967, 2227, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8968, 2227, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8969, 2227, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8970, 2228, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8971, 2228, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8972, 2228, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8973, 2228, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8974, 2228, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8975, 2229, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8976, 2229, '13', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8977, 2229, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8978, 2229, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8979, 2230, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8980, 2230, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8981, 2230, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8982, 2230, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8983, 2231, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8984, 2231, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8985, 2231, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8986, 2231, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8987, 2232, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8988, 2232, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8989, 2232, 'connection.createStatement("...");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8990, 2232, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8991, 2232, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8992, 2233, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8993, 2233, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8994, 2233, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8995, 2233, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8996, 2233, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8997, 2233, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8998, 2234, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8999, 2234, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9111, 2257, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9000, 2234, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9001, 2234, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9002, 2235, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9003, 2235, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9004, 2235, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9005, 2235, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9006, 2235, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9007, 2236, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14858, 3547, '1 и 2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9008, 2236, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9009, 2236, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9010, 2236, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9011, 2236, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9012, 2237, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9013, 2237, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9014, 2237, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9015, 2237, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9016, 2237, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9017, 2237, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9018, 2238, 'В статическом блоке инициализации не могут быть брошены исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9019, 2238, 'java.lang.ExceptionInInitializerError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9020, 2238, 'java.lang.InstantiationException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9021, 2238, 'Ни один ответ не является правильным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9022, 2239, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9023, 2239, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9024, 2239, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9025, 2239, 'ListIterator может быть использован только для перебора элементов коллекции List', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9026, 2239, 'ListIterator расширяет интерфейс Iterable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9027, 2239, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9028, 2240, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9029, 2240, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9030, 2240, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9031, 2240, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9032, 2240, 'Никак', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9033, 2241, '<=', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9034, 2241, '&', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9035, 2241, '&=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9036, 2241, '|=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9037, 2241, '>>>=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9038, 2241, '~', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9039, 2242, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9040, 2242, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9041, 2242, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9042, 2242, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9043, 2242, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9112, 2257, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9113, 2258, '-Xms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9044, 2243, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9045, 2243, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9046, 2243, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9047, 2243, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9048, 2243, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9049, 2244, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9050, 2244, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9051, 2244, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9052, 2244, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9053, 2244, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9054, 2245, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9055, 2245, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9056, 2245, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9057, 2245, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9058, 2245, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9059, 2246, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9060, 2246, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9061, 2246, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9062, 2246, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9063, 2247, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9064, 2247, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9065, 2247, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9066, 2247, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9067, 2248, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9068, 2248, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9069, 2248, '[13, 11, 29]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9070, 2248, '[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9071, 2248, 'Хеш объекта вида [I@3d075dc0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8836, 2199, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (8857, 2204, 'Позволяет обмениваться объектами между двумя потоками', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9072, 2249, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9073, 2249, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9074, 2249, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9075, 2249, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9076, 2250, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9077, 2250, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9078, 2250, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9079, 2250, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9080, 2251, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9081, 2251, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9082, 2251, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9083, 2251, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9084, 2252, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9085, 2252, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9086, 2252, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9087, 2252, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9088, 2252, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9089, 2253, 'AtomicLong', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9090, 2253, 'AtomicBoolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9091, 2253, 'AtomicInteger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9092, 2253, 'AtomicDouble', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9093, 2254, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9094, 2254, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9095, 2254, 'Позволяет обмениваться объектами между двумя потоками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9096, 2254, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9097, 2255, 'Exchanger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9098, 2255, 'ReentrantLock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9099, 2255, 'ThreadLocal', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9100, 2255, 'RecursiveTask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9101, 2256, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9102, 2256, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9103, 2256, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9104, 2256, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9105, 2256, 'NEW', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9106, 2256, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9107, 2257, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9108, 2257, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9109, 2257, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9116, 2258, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9117, 2259, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9118, 2259, 'Optional.null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9119, 2259, 'null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9120, 2259, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9121, 2259, 'Optional.empty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9122, 2260, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9123, 2260, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9124, 2260, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9125, 2260, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9126, 2260, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9127, 2261, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9128, 2261, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9129, 2261, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9130, 2261, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9131, 2261, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9132, 2261, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14859, 3547, '2 и 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9133, 2262, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9134, 2262, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9135, 2262, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9136, 2262, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9137, 2262, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9138, 2263, 'SubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9139, 2263, 'SuperClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9140, 2263, 'SuperClassSubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9141, 2263, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9142, 2263, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9143, 2264, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9144, 2264, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9145, 2264, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9146, 2264, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9147, 2264, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9148, 2265, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9149, 2265, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9150, 2265, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9151, 2265, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9152, 2265, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9153, 2266, 'new Duration(start, end).getMillis();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9154, 2266, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9155, 2266, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9156, 2266, 'Duration.between(start, end).toMillis();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9157, 2267, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9158, 2267, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9159, 2267, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9160, 2267, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9161, 2267, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9162, 2268, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9163, 2268, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9164, 2268, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9165, 2268, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9166, 2269, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9167, 2269, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9168, 2269, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9169, 2269, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9170, 2269, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9171, 2270, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9172, 2270, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9173, 2270, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9174, 2270, 'BiConsumer<T,U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9175, 2271, 'public', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9176, 2271, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9177, 2271, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9178, 2271, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9179, 2271, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9180, 2272, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9181, 2272, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9182, 2272, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9183, 2272, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9184, 2273, 'Permanent Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9185, 2273, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9186, 2273, 'Old Generation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9187, 2273, 'Eden Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9188, 2273, 'Survivor Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9189, 2274, 'await()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9190, 2274, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9191, 2274, 'sleep()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9192, 2274, 'wait()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9193, 2275, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9194, 2275, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9195, 2275, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9196, 2275, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9197, 2276, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9200, 2276, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9201, 2276, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9202, 2276, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9203, 2277, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9204, 2277, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9205, 2277, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9206, 2277, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9207, 2277, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9208, 2278, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9209, 2278, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9210, 2278, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9211, 2278, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9212, 2278, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9213, 2279, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9214, 2279, '13', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9215, 2279, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9216, 2279, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9217, 2280, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9218, 2280, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9219, 2280, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9220, 2280, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9221, 2281, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9222, 2281, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9223, 2281, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9224, 2281, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9225, 2282, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9226, 2282, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9227, 2282, 'connection.createStatement("...");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9228, 2282, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9229, 2282, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9230, 2283, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9231, 2283, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9232, 2283, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9233, 2283, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9234, 2283, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9235, 2283, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9236, 2284, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9237, 2284, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9238, 2284, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9239, 2284, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9240, 2285, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9241, 2285, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9242, 2285, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9243, 2285, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9244, 2285, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9245, 2286, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9246, 2286, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9247, 2286, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9248, 2286, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9249, 2286, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9250, 2287, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9251, 2287, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9252, 2287, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9253, 2287, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9470, 2333, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9471, 2333, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9254, 2287, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9255, 2287, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9256, 2288, 'В статическом блоке инициализации не могут быть брошены исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9257, 2288, 'java.lang.ExceptionInInitializerError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9258, 2288, 'java.lang.InstantiationException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9259, 2288, 'Ни один ответ не является правильным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9260, 2289, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9604, 2361, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9261, 2289, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9262, 2289, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9263, 2289, 'ListIterator может быть использован только для перебора элементов коллекции List', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9264, 2289, 'ListIterator расширяет интерфейс Iterable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9265, 2289, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9266, 2290, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9267, 2290, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9268, 2290, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9269, 2290, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9270, 2290, 'Никак', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9271, 2291, '<=', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9272, 2291, '&', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9273, 2291, '&=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9274, 2291, '|=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9275, 2291, '>>>=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9276, 2291, '~', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9277, 2292, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9278, 2292, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9279, 2292, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9280, 2292, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9281, 2292, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9282, 2293, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9283, 2293, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9284, 2293, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9285, 2293, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9286, 2293, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9287, 2294, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9288, 2294, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9289, 2294, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9290, 2294, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9291, 2294, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9292, 2295, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9293, 2295, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9294, 2295, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9295, 2295, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9296, 2295, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9297, 2296, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9298, 2296, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9299, 2296, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9300, 2296, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9301, 2297, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9302, 2297, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9303, 2297, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9304, 2297, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9305, 2298, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9306, 2298, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9307, 2298, '[13, 11, 29]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9308, 2298, '[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9309, 2298, 'Хеш объекта вида [I@3d075dc0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9310, 2299, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9472, 2333, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9311, 2299, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9312, 2299, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9313, 2299, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9314, 2300, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9315, 2300, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9316, 2300, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9317, 2300, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9318, 2301, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9319, 2301, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9605, 2361, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9320, 2301, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9321, 2301, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9322, 2302, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9323, 2302, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9324, 2302, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9325, 2302, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9326, 2302, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9327, 2303, 'AtomicLong', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9328, 2303, 'AtomicBoolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9329, 2303, 'AtomicInteger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9330, 2303, 'AtomicDouble', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9331, 2304, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9332, 2304, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9333, 2304, 'Позволяет обмениваться объектами между двумя потоками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9334, 2304, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9335, 2305, 'Exchanger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9336, 2305, 'ReentrantLock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9337, 2305, 'ThreadLocal', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9338, 2305, 'RecursiveTask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9339, 2306, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9340, 2306, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9341, 2306, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9342, 2306, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9343, 2306, 'NEW', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9344, 2306, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9345, 2307, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9346, 2307, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9347, 2307, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9348, 2307, 'LiveLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9349, 2307, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9350, 2307, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9351, 2308, '-Xms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9352, 2308, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9353, 2308, '-Xmx', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9354, 2308, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9355, 2309, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9356, 2309, 'Optional.null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9357, 2309, 'null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9358, 2309, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9359, 2309, 'Optional.empty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9360, 2310, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9361, 2310, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9362, 2310, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9363, 2310, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9364, 2310, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9365, 2311, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9366, 2311, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9367, 2311, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9368, 2311, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9369, 2311, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9370, 2311, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9371, 2312, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9372, 2312, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9373, 2312, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9374, 2312, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9375, 2312, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9376, 2313, 'SubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9377, 2313, 'SuperClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9378, 2313, 'SuperClassSubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9379, 2313, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9380, 2313, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9381, 2314, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9382, 2314, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9383, 2314, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9384, 2314, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9385, 2314, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9386, 2315, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9387, 2315, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9388, 2315, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9389, 2315, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9390, 2315, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9391, 2316, 'new Duration(start, end).getMillis();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9392, 2316, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9393, 2316, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9394, 2316, 'Duration.between(start, end).toMillis();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9473, 2333, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9675, 2376, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9395, 2317, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9396, 2317, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9397, 2317, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9398, 2317, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9399, 2317, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9400, 2318, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9401, 2318, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9402, 2318, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9403, 2318, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9404, 2319, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9405, 2319, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9408, 2319, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9409, 2320, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9410, 2320, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9411, 2320, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9412, 2320, 'BiConsumer<T,U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9413, 2321, 'public', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9414, 2321, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9415, 2321, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9416, 2321, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9417, 2321, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9418, 2322, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9419, 2322, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9420, 2322, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9421, 2322, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9422, 2323, 'Permanent Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9423, 2323, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9424, 2323, 'Old Generation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9425, 2323, 'Eden Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9426, 2323, 'Survivor Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9427, 2324, 'await()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9428, 2324, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9429, 2324, 'sleep()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9430, 2324, 'wait()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9431, 2325, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9432, 2325, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9433, 2325, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9434, 2325, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9435, 2326, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9436, 2326, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9437, 2326, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9438, 2326, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9439, 2326, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9440, 2326, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9441, 2327, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9442, 2327, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9443, 2327, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9444, 2327, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9445, 2327, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9446, 2328, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9447, 2328, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9448, 2328, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9449, 2328, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9450, 2328, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9451, 2329, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9452, 2329, '13', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9453, 2329, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9454, 2329, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9455, 2330, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9456, 2330, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9457, 2330, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9458, 2330, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9459, 2331, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9460, 2331, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9461, 2331, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9462, 2331, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9463, 2332, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9464, 2332, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9465, 2332, 'connection.createStatement("...");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9466, 2332, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9467, 2332, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9468, 2333, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9469, 2333, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9474, 2334, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9475, 2334, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9476, 2334, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9477, 2334, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9478, 2335, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9479, 2335, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9480, 2335, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9481, 2335, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9482, 2335, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9483, 2336, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9484, 2336, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9485, 2336, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9486, 2336, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9487, 2336, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9488, 2337, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9489, 2337, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9490, 2337, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9491, 2337, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9492, 2337, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9493, 2337, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9494, 2338, 'В статическом блоке инициализации не могут быть брошены исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9495, 2338, 'java.lang.ExceptionInInitializerError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9496, 2338, 'java.lang.InstantiationException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9497, 2338, 'Ни один ответ не является правильным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9498, 2339, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9499, 2339, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9500, 2339, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9501, 2339, 'ListIterator может быть использован только для перебора элементов коллекции List', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9502, 2339, 'ListIterator расширяет интерфейс Iterable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9503, 2339, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9504, 2340, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9505, 2340, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9506, 2340, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9507, 2340, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9508, 2340, 'Никак', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9509, 2341, '<=', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9510, 2341, '&', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9511, 2341, '&=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9512, 2341, '|=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9513, 2341, '>>>=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9514, 2341, '~', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9515, 2342, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9516, 2342, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9517, 2342, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9518, 2342, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9519, 2342, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9520, 2343, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9521, 2343, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9522, 2343, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9523, 2343, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9524, 2343, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9525, 2344, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9526, 2344, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9684, 2378, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9527, 2344, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9528, 2344, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9529, 2344, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9530, 2345, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9531, 2345, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9532, 2345, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9533, 2345, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9534, 2345, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9535, 2346, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9536, 2346, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9537, 2346, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9538, 2346, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9539, 2347, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9540, 2347, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9541, 2347, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9542, 2347, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9543, 2348, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9544, 2348, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9545, 2348, '[13, 11, 29]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9546, 2348, '[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9547, 2348, 'Хеш объекта вида [I@3d075dc0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9548, 2349, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9549, 2349, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9550, 2349, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9551, 2349, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9552, 2350, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9553, 2350, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9554, 2350, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9555, 2350, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9556, 2351, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9557, 2351, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9558, 2351, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9559, 2351, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9560, 2352, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9561, 2352, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9562, 2352, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9563, 2352, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9564, 2352, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9565, 2353, 'AtomicLong', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9566, 2353, 'AtomicBoolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9567, 2353, 'AtomicInteger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9568, 2353, 'AtomicDouble', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9569, 2354, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9570, 2354, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9571, 2354, 'Позволяет обмениваться объектами между двумя потоками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9572, 2354, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9573, 2355, 'Exchanger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9574, 2355, 'ReentrantLock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9575, 2355, 'ThreadLocal', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9576, 2355, 'RecursiveTask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9577, 2356, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9578, 2356, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9579, 2356, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9580, 2356, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9581, 2356, 'NEW', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9582, 2356, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9583, 2357, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9584, 2357, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9585, 2357, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9587, 2357, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9588, 2357, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9589, 2358, '-Xms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9590, 2358, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9591, 2358, '-Xmx', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9592, 2358, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9593, 2359, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9594, 2359, 'Optional.null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9595, 2359, 'null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9596, 2359, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9597, 2359, 'Optional.empty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9598, 2360, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9599, 2360, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9600, 2360, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9601, 2360, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9602, 2360, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9603, 2361, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9606, 2361, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9607, 2361, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9608, 2361, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9609, 2362, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9610, 2362, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9611, 2362, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9612, 2362, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9613, 2362, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9614, 2363, 'SubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9615, 2363, 'SuperClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9616, 2363, 'SuperClassSubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9617, 2363, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9618, 2363, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9619, 2364, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9620, 2364, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9621, 2364, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9622, 2364, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9623, 2364, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9624, 2365, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9625, 2365, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9626, 2365, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9627, 2365, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9628, 2365, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9629, 2366, 'new Duration(start, end).getMillis();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9630, 2366, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9631, 2366, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9632, 2366, 'Duration.between(start, end).toMillis();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9633, 2367, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9634, 2367, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9635, 2367, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9636, 2367, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9637, 2367, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9638, 2368, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9639, 2368, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9640, 2368, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9641, 2368, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9642, 2369, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9643, 2369, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9644, 2369, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9645, 2369, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9646, 2369, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9647, 2370, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9648, 2370, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9649, 2370, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9650, 2370, 'BiConsumer<T,U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9651, 2371, 'public', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9652, 2371, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9653, 2371, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9654, 2371, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9655, 2371, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9656, 2372, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9657, 2372, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9658, 2372, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9659, 2372, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9660, 2373, 'Permanent Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9661, 2373, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9662, 2373, 'Old Generation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9663, 2373, 'Eden Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9664, 2373, 'Survivor Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9665, 2374, 'await()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9666, 2374, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9667, 2374, 'sleep()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9668, 2374, 'wait()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9669, 2375, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9670, 2375, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9671, 2375, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9676, 2376, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9677, 2376, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9678, 2376, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9679, 2377, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9680, 2377, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9681, 2377, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9682, 2377, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9683, 2377, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9688, 2378, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9689, 2379, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9690, 2379, '13', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9691, 2379, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9692, 2379, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9693, 2380, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9694, 2380, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9695, 2380, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9696, 2380, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9697, 2381, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9698, 2381, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9699, 2381, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9700, 2381, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9701, 2382, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9702, 2382, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9703, 2382, 'connection.createStatement("...");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9704, 2382, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9705, 2382, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9706, 2383, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9707, 2383, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9708, 2383, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9709, 2383, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9710, 2383, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9711, 2383, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9712, 2384, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9713, 2384, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9714, 2384, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9715, 2384, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9716, 2385, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9717, 2385, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9718, 2385, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9719, 2385, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9720, 2385, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9721, 2386, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9722, 2386, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9723, 2386, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9724, 2386, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9725, 2386, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9726, 2387, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9727, 2387, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9728, 2387, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9729, 2387, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9730, 2387, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11552, 2785, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9731, 2387, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9732, 2388, 'В статическом блоке инициализации не могут быть брошены исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9733, 2388, 'java.lang.ExceptionInInitializerError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9734, 2388, 'java.lang.InstantiationException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9735, 2388, 'Ни один ответ не является правильным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9736, 2389, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9883, 2419, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9737, 2389, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9738, 2389, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9739, 2389, 'ListIterator может быть использован только для перебора элементов коллекции List', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9740, 2389, 'ListIterator расширяет интерфейс Iterable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9741, 2389, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9742, 2390, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9743, 2390, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9744, 2390, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9745, 2390, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9746, 2390, 'Никак', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9747, 2391, '<=', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9748, 2391, '&', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9749, 2391, '&=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9750, 2391, '|=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9751, 2391, '>>>=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9752, 2391, '~', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9753, 2392, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9754, 2392, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9755, 2392, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9756, 2392, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9757, 2392, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9758, 2393, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9759, 2393, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9760, 2393, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9761, 2393, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9762, 2393, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9763, 2394, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9764, 2394, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9765, 2394, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9766, 2394, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9767, 2394, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9768, 2395, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9769, 2395, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9770, 2395, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9771, 2395, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9772, 2395, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9773, 2396, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9774, 2396, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9775, 2396, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9776, 2396, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9777, 2397, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9778, 2397, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9779, 2397, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9780, 2397, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9781, 2398, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9782, 2398, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9783, 2398, '[13, 11, 29]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9784, 2398, '[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9785, 2398, 'Хеш объекта вида [I@3d075dc0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9786, 2399, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9787, 2399, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9788, 2399, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9789, 2399, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9790, 2400, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9791, 2400, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9792, 2400, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9793, 2400, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9794, 2401, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9795, 2401, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10690, 2595, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9796, 2401, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9797, 2401, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9798, 2402, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9799, 2402, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9800, 2402, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9801, 2402, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9802, 2402, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9803, 2403, 'AtomicLong', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9804, 2403, 'AtomicBoolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9805, 2403, 'AtomicInteger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9806, 2403, 'AtomicDouble', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9807, 2404, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9808, 2404, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9809, 2404, 'Позволяет обмениваться объектами между двумя потоками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9810, 2404, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9811, 2405, 'Exchanger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9812, 2405, 'ReentrantLock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9813, 2405, 'ThreadLocal', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9814, 2405, 'RecursiveTask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9815, 2406, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9816, 2406, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9817, 2406, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9818, 2406, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9819, 2406, 'NEW', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9820, 2406, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9821, 2407, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9822, 2407, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9823, 2407, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9824, 2407, 'LiveLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9825, 2407, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9826, 2407, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9827, 2408, '-Xms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9828, 2408, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9829, 2408, '-Xmx', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9830, 2408, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9831, 2409, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9832, 2409, 'Optional.null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9833, 2409, 'null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9834, 2409, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9835, 2409, 'Optional.empty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9836, 2410, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9837, 2410, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9838, 2410, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9839, 2410, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9840, 2410, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9841, 2411, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9842, 2411, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9843, 2411, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9844, 2411, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9845, 2411, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9846, 2411, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9847, 2412, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9848, 2412, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9849, 2412, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9850, 2412, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9851, 2412, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9852, 2413, 'SubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9853, 2413, 'SuperClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9854, 2413, 'SuperClassSubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9855, 2413, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9856, 2413, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9857, 2414, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9858, 2414, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9859, 2414, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9860, 2414, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9861, 2414, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9862, 2415, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9863, 2415, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9864, 2415, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9865, 2415, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9866, 2415, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9867, 2416, 'new Duration(start, end).getMillis();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9868, 2416, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9869, 2416, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9870, 2416, 'Duration.between(start, end).toMillis();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9871, 2417, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9872, 2417, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10055, 2455, 'Ошибок нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9873, 2417, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9874, 2417, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9875, 2417, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9876, 2418, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9877, 2418, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9878, 2418, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9879, 2418, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9880, 2419, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9881, 2419, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9884, 2419, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9885, 2420, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9886, 2420, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9887, 2420, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9888, 2420, 'BiConsumer<T,U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9889, 2421, 'public', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9890, 2421, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9891, 2421, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9892, 2421, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9893, 2421, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9894, 2422, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9895, 2422, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9896, 2422, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9897, 2422, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9898, 2423, 'Permanent Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9899, 2423, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9900, 2423, 'Old Generation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9901, 2423, 'Eden Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9902, 2423, 'Survivor Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9903, 2424, 'await()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9904, 2424, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9905, 2424, 'sleep()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9906, 2424, 'wait()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9907, 2425, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9908, 2425, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9909, 2425, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9910, 2425, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9911, 2426, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9912, 2426, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9913, 2426, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9914, 2426, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9915, 2426, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9916, 2426, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9917, 2427, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9918, 2427, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9919, 2427, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9920, 2427, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9921, 2427, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9922, 2428, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9923, 2428, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9924, 2428, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9925, 2428, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9926, 2428, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9927, 2429, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9928, 2429, '13', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9929, 2429, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9930, 2429, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9931, 2430, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9932, 2430, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9933, 2430, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9934, 2430, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9935, 2431, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9936, 2431, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9937, 2431, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9938, 2431, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9939, 2432, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9940, 2432, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9941, 2432, 'connection.createStatement("...");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9942, 2432, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9943, 2432, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9944, 2433, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9945, 2433, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9946, 2433, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9947, 2433, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9948, 2433, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9949, 2433, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10056, 2456, 'Public методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11553, 2785, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9950, 2434, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9951, 2434, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9952, 2434, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9953, 2434, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9954, 2435, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9955, 2435, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9956, 2435, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9957, 2435, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9958, 2435, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9959, 2436, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9960, 2436, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9961, 2436, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9962, 2436, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9963, 2436, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9964, 2437, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9965, 2437, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9966, 2437, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9967, 2437, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9968, 2437, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9969, 2437, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9970, 2438, 'В статическом блоке инициализации не могут быть брошены исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9971, 2438, 'java.lang.ExceptionInInitializerError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9972, 2438, 'java.lang.InstantiationException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9973, 2438, 'Ни один ответ не является правильным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9974, 2439, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9975, 2439, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9976, 2439, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9977, 2439, 'ListIterator может быть использован только для перебора элементов коллекции List', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9978, 2439, 'ListIterator расширяет интерфейс Iterable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9979, 2439, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9980, 2440, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9981, 2440, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9982, 2440, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9983, 2440, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9984, 2440, 'Никак', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9985, 2441, '<=', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9986, 2441, '&', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9987, 2441, '&=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9988, 2441, '|=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9989, 2441, '>>>=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9990, 2441, '~', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9991, 2442, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9992, 2442, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9993, 2442, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9994, 2442, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9995, 2442, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9996, 2443, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9997, 2443, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9998, 2443, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (9999, 2443, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10000, 2443, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10001, 2444, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10002, 2444, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10691, 2595, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10003, 2444, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10004, 2444, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10005, 2444, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10006, 2445, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10007, 2445, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10008, 2445, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10009, 2445, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10010, 2445, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10011, 2446, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10012, 2446, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10013, 2446, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10014, 2446, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10015, 2447, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10016, 2447, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10017, 2447, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10018, 2447, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10019, 2448, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10020, 2448, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10021, 2448, '[13, 11, 29]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10022, 2448, '[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10023, 2448, 'Хеш объекта вида [I@3d075dc0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10024, 2449, 'Reptile laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10025, 2449, 'Lizard laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10026, 2449, 'Ошибка компиляции на строке:Reptile reptile = new Lizard();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10027, 2449, 'Ошибка компиляции на строке:reptile.layEggs();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10028, 2449, 'Ошибка компиляции на строке:public void layEggs() { System.out.println("Lizard laying eggs"); }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10029, 2450, 'Скомпилируется без ошибки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10030, 2450, 'Не скомпилируется, потому что типы возвращаемых значений не ковариантны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10031, 2450, 'Не скомпилируется, потому что метод protected в классе-предке и public в классе-наследнике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10032, 2450, 'Не скомпилируется, потому что метод выбрасывает исключение, которое является наследником выбрасываемого классом-предком исключения.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10033, 2450, 'Не скомпилируется, потому что static метод нельзя наследовать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10034, 2451, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10035, 2451, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10036, 2451, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10037, 2451, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10038, 2452, 'Ошибка компиляции на строке:abstract int getNumberOfSections();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10039, 2452, 'Ошибка компиляции на строке:abstract class Insect implements HasExoskeleton {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10040, 2452, 'Ошибка компиляции на строке:public class Beetle extends Insect {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10041, 2452, 'Скомпилируется и запустится без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10042, 2452, 'Скомпилируется, но выбросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10043, 2453, 'Ошибка компиляции на строке:public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10044, 2453, '6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10045, 2453, 'Ошибка компиляции на строке:System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10046, 2453, 'Ошибка компиляции на строке:public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10047, 2453, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10048, 2454, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10049, 2454, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10050, 2454, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10051, 2454, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10052, 2455, 'int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10053, 2455, 'public static void eatGrass();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10054, 2455, 'public int chew() { return 13; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10057, 2456, 'Protected методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10058, 2456, 'Private методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10059, 2456, 'Static методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10060, 2456, 'Private переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10061, 2456, 'Public переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10062, 2457, 'NoClassDefFoundError, StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10063, 2457, 'StackOverflowError, NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10064, 2457, 'StackOverflowError, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10065, 2457, 'ClassCastException, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10066, 2458, 'Блок catch для Exception должен идти перед блоком catch для IOException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10067, 2458, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10692, 2595, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10068, 2458, 'Блоки catch для этих двух исключений могут идти в любом порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10069, 2458, 'Блок catch для IOException должен идти перед блоком catch для Exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10070, 2459, 'непроверяемые исключения, java.lang.Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10071, 2459, 'java.lang.Error, непроверяемые исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10072, 2459, 'java.lang.Throwable, java.lang.Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10073, 2459, 'проверяемые исключения, java.lang.Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10074, 2460, 'И те и другие могут содержать статические методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10075, 2460, 'И те и другие могут содержать статические переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10076, 2460, 'И те и другие могут содержать дефолтные методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10077, 2460, 'И те и другие могут содержать абстрактные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10078, 2461, 'Они позволяют наследовать несколько классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10079, 2461, 'Они позволяют писать код с отложенным выполнением', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10080, 2461, 'Они позволяют изменять байткод приложения во время его исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10081, 2461, 'Они позволяют конвертировать примитивы в классы-обертки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10082, 2462, 'Класс может содержать больше одного конструктора без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10083, 2462, 'В случае если класс вызывает super() в одном из своих конструкторов, его класс-предок должен явно реализовать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10084, 2462, 'Если класс-наследник наследует класс-предок, у которого только один конструктор, и он с аргументом, тогда класс-наследник должен явно объявить как минимум один конструктор', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10085, 2462, 'Компилятор Java всегда вставляет дефолтный конструктор без аргументов если вы не объявляете конструктор без аргументов в вашем классе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10086, 2463, 'public void sing(int note, String... sound, int music)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10087, 2463, 'public void sing(String... keys, String... pitches)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10088, 2463, 'public void sing(String... notes, String melodies)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10089, 2463, 'public void sing(String key, String... harmonies)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10090, 2464, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10091, 2464, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10092, 2464, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10093, 2464, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10094, 2465, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10095, 2465, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10096, 2465, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10097, 2465, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10098, 2466, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10099, 2466, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10100, 2466, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10101, 2466, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10102, 2467, 'Все утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10103, 2467, '1 и 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10104, 2467, '1 и 2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10105, 2467, '2 и 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10106, 2467, 'Только 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10107, 2468, 'boolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10108, 2468, 'int[]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10109, 2468, 'long', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10110, 2468, 'String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10111, 2469, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10112, 2469, 'import aquarium.*;
import aquarium.jellies.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10113, 2469, 'import aquarium.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10114, 2469, 'import aquarium.*;
import aquarium.jellies.Water;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10115, 2469, 'import aquarium.Water;
import aquarium.jellies.Water;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10116, 2469, 'import aquarium.Water;
import aquarium.jellies.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10117, 2470, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10118, 2470, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10119, 2470, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10120, 2470, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10121, 2470, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10122, 2470, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10123, 2471, '8', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10124, 2471, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10125, 2471, 'Код выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10126, 2471, '02', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10127, 2471, '08', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10128, 2471, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10129, 2472, 'value2 = "h"; вместо //ПРОПУСК_2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10130, 2472, 'value3="i"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10131, 2472, 'value1="d"; вместо //ПРОПУСК_1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10132, 2472, 'value3="f"; вместо //ПРОПУСК_1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10133, 2472, 'value2="e"; вместо //ПРОПУСК_1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10134, 2472, 'value1="g"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10135, 2473, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10136, 2473, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10137, 2473, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10138, 2473, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10139, 2473, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10140, 2473, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10141, 2474, 'Объявить класс final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10142, 2474, 'Сделать конструктор private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10143, 2474, 'Не создавать методы, модифицирующие поля или объекты на которые ссылаются поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10144, 2474, 'Не позволять подклассам переопределять методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10145, 2474, 'Объявить все поля final и private', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10146, 2475, 'ExecutorService es = Executors.newSingleThreadExecutor(2);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10147, 2475, 'ExecutorService es = Executors.newFixedThreadPool(2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10148, 2475, 'ExecutorService es = Executors.newScheduledThreadPool(2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10149, 2475, 'ExecutorService es = Executors.newScheduledThreadPool();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10150, 2475, 'ExecutorService es = Executors.newSingleThreadScheduledExecutor();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10151, 2476, 'System.out.println(IntStream.rangeClosed(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10152, 2476, 'System.out.println(IntStream.range(2,6).sum());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10153, 2476, 'System.out.println(IntStream.range(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10154, 2476, 'System.out.println(IntStream.rangeClosed(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10155, 2476, 'System.out.println(IntStream.range(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10156, 2477, 'StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10157, 2477, 'NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10158, 2477, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10159, 2477, 'Программа успешно скомпилируется и выведет в консоль 0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10160, 2477, 'Программа успешно скомпилируется и выведет в консоль 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10161, 2478, 'int[] array = new int[5];', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10162, 2478, 'int[] array = 1,2,3,4,5;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10163, 2478, 'int[] array = new int[]{1,2,3,4,5};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10164, 2478, 'int[] array = int[]{};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10165, 2478, 'int[] array = new int[];', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10166, 2478, 'int[] array = {1,2,3,4,5};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10167, 2479, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10168, 2479, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10169, 2479, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10170, 2479, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10171, 2480, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10172, 2480, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10173, 2480, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10174, 2480, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10175, 2481, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10176, 2481, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10177, 2481, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10178, 2481, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10179, 2482, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10180, 2482, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10181, 2482, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10182, 2482, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10183, 2482, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10184, 2483, 'AtomicLong', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10185, 2483, 'AtomicBoolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10186, 2483, 'AtomicInteger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10187, 2483, 'AtomicDouble', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10188, 2484, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10389, 2525, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10189, 2484, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10190, 2484, 'Позволяет обмениваться объектами между двумя потоками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10191, 2484, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10192, 2485, 'Exchanger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10193, 2485, 'ReentrantLock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10194, 2485, 'ThreadLocal', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10195, 2485, 'RecursiveTask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10196, 2486, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10197, 2486, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10198, 2486, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10199, 2486, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10200, 2486, 'NEW', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10201, 2486, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10202, 2487, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10203, 2487, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10204, 2487, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10205, 2487, 'LiveLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10206, 2487, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10207, 2487, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10208, 2488, '-Xms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10209, 2488, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10210, 2488, '-Xmx', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10211, 2488, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10212, 2489, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10213, 2489, 'Optional.null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10214, 2489, 'null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10215, 2489, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10216, 2489, 'Optional.empty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10217, 2490, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10218, 2490, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10219, 2490, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10220, 2490, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10221, 2490, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10222, 2491, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10223, 2491, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10224, 2491, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10225, 2491, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10226, 2491, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10227, 2491, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10228, 2492, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10229, 2492, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10230, 2492, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10231, 2492, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10232, 2492, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10233, 2493, 'SubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10234, 2493, 'SuperClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10235, 2493, 'SuperClassSubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10236, 2493, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10237, 2493, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10238, 2494, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10239, 2494, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10240, 2494, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10241, 2494, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10242, 2494, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10243, 2495, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10244, 2495, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10245, 2495, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10246, 2495, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10247, 2495, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10248, 2496, 'new Duration(start, end).getMillis();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10249, 2496, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10250, 2496, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10251, 2496, 'Duration.between(start, end).toMillis();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10252, 2497, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10253, 2497, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10254, 2497, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10255, 2497, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10256, 2497, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10257, 2498, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10258, 2498, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10259, 2498, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10260, 2498, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10261, 2499, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10262, 2499, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10263, 2499, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10264, 2499, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10265, 2499, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10266, 2500, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10267, 2500, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10268, 2500, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10269, 2500, 'BiConsumer<T,U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10270, 2501, 'public', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10271, 2501, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10272, 2501, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10273, 2501, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10274, 2501, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10390, 2525, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10275, 2502, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10276, 2502, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10277, 2502, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10278, 2502, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10279, 2503, 'Permanent Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10280, 2503, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10281, 2503, 'Old Generation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10282, 2503, 'Eden Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10283, 2503, 'Survivor Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10284, 2504, 'await()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10285, 2504, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10286, 2504, 'sleep()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10287, 2504, 'wait()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10693, 2595, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10288, 2505, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10289, 2505, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10290, 2505, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10291, 2505, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10292, 2506, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10293, 2506, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10294, 2506, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10295, 2506, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10296, 2506, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10297, 2506, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10298, 2507, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10299, 2507, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10300, 2507, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10301, 2507, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10302, 2507, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10303, 2508, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10304, 2508, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10305, 2508, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10306, 2508, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10307, 2508, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10308, 2509, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10309, 2509, '13', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10310, 2509, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10311, 2509, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10312, 2510, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10313, 2510, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10314, 2510, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10315, 2510, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10316, 2511, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10317, 2511, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10318, 2511, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10319, 2511, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10320, 2512, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10321, 2512, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10322, 2512, 'connection.createStatement("...");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10323, 2512, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10324, 2512, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10325, 2513, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10326, 2513, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10327, 2513, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10328, 2513, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10329, 2513, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10330, 2513, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10331, 2514, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10332, 2514, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10333, 2514, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10334, 2514, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10335, 2515, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10336, 2515, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10337, 2515, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10338, 2515, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10339, 2515, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10340, 2516, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10341, 2516, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10342, 2516, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10343, 2516, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10344, 2516, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10345, 2517, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10346, 2517, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10694, 2595, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10347, 2517, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10348, 2517, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10349, 2517, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10350, 2517, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10351, 2518, 'В статическом блоке инициализации не могут быть брошены исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10352, 2518, 'java.lang.ExceptionInInitializerError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10353, 2518, 'java.lang.InstantiationException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10354, 2518, 'Ни один ответ не является правильным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10355, 2519, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10356, 2519, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10357, 2519, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10358, 2519, 'ListIterator может быть использован только для перебора элементов коллекции List', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10359, 2519, 'ListIterator расширяет интерфейс Iterable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10360, 2519, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10361, 2520, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10362, 2520, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10363, 2520, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10364, 2520, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10365, 2520, 'Никак', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10366, 2521, '<=', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10367, 2521, '&', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10368, 2521, '&=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10369, 2521, '|=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10370, 2521, '>>>=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10371, 2521, '~', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10372, 2522, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10373, 2522, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10374, 2522, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10375, 2522, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10376, 2522, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10377, 2523, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10378, 2523, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10379, 2523, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10380, 2523, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10381, 2523, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10382, 2524, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10383, 2524, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10384, 2524, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10385, 2524, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10386, 2524, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10387, 2525, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10388, 2525, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10391, 2525, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10392, 2526, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10393, 2526, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10394, 2526, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10395, 2526, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10396, 2527, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10397, 2527, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10398, 2527, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10399, 2527, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10400, 2528, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10401, 2528, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10402, 2528, '[13, 11, 29]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10403, 2528, '[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10404, 2528, 'Хеш объекта вида [I@3d075dc0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10405, 2529, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10407, 2529, 'Оба класса Student и Course определены в пакете com.examplejava', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10408, 2529, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10409, 2530, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10410, 2530, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10411, 2530, 'public static void main (String args[])', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10413, 2531, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10414, 2531, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10416, 2531, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10417, 2531, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10418, 2532, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10419, 2532, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10421, 2532, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10422, 2533, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10424, 2533, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10425, 2533, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10426, 2534, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10427, 2534, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10428, 2534, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10429, 2534, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10430, 2535, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10431, 2535, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10432, 2535, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10433, 2535, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10434, 2535, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10435, 2535, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10436, 2536, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10437, 2536, 'Строка 2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10438, 2536, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10439, 2536, 'Строка 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10440, 2536, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10441, 2537, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10442, 2537, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10443, 2537, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10444, 2537, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10445, 2538, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10446, 2538, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10447, 2538, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10448, 2538, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10449, 2539, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10450, 2539, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10451, 2539, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10452, 2539, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10453, 2540, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10454, 2540, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10455, 2540, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10456, 2540, 'И те и другие могут содержать public static final переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10457, 2540, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10458, 2541, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10459, 2541, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10460, 2541, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10461, 2541, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10462, 2541, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10463, 2542, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10464, 2542, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10527, 2557, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10465, 2542, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10466, 2542, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10467, 2542, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10468, 2543, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10469, 2543, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10412, 2530, 'static public main (String args[])', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10415, 2531, 'import com.examplejava*', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10420, 2532, 'Класс ExampleJava бросит исключение во время выполнения программы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10423, 2533, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10695, 2596, 'new Duration(start, end).getMillis();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10696, 2596, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10697, 2596, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10470, 2543, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10471, 2543, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10472, 2543, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10473, 2544, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10474, 2544, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10475, 2544, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10476, 2544, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10477, 2544, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10478, 2544, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10479, 2545, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10480, 2545, 'try, catch, finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10481, 2545, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10482, 2545, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10483, 2546, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10484, 2546, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10485, 2546, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10486, 2546, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10487, 2547, 'throws, throw', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10488, 2547, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10489, 2547, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10490, 2547, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10491, 2548, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10492, 2548, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10493, 2548, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10494, 2548, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10495, 2549, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10496, 2549, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10497, 2549, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10498, 2549, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10499, 2550, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10500, 2550, 'Первый совпадающий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10501, 2550, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10502, 2550, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10503, 2551, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10504, 2551, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10505, 2551, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10506, 2551, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10507, 2552, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10508, 2552, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10509, 2552, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10510, 2552, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10511, 2553, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10512, 2553, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10513, 2553, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10514, 2553, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10515, 2554, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10516, 2554, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10517, 2554, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10518, 2554, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10519, 2555, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10520, 2555, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10521, 2555, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10522, 2555, 'Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10523, 2556, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10524, 2556, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10525, 2556, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10526, 2556, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10528, 2557, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10529, 2557, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10530, 2557, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10531, 2558, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10532, 2558, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10533, 2558, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10534, 2558, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10535, 2559, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10536, 2559, 'Синглтон класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10537, 2559, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10538, 2559, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10539, 2560, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10698, 2596, 'Duration.between(start, end).toMillis();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10540, 2560, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10541, 2560, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10542, 2560, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10543, 2561, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10544, 2561, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10545, 2561, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10546, 2561, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10547, 2562, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10548, 2562, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10549, 2562, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10550, 2562, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10551, 2563, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10552, 2563, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10553, 2563, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10554, 2563, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10555, 2564, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10556, 2564, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10557, 2564, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10558, 2564, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10559, 2565, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10560, 2565, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10561, 2565, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10562, 2565, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10563, 2566, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10564, 2566, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10565, 2566, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10566, 2566, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10567, 2567, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10568, 2567, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10569, 2567, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10570, 2567, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10571, 2568, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10572, 2568, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10573, 2568, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10574, 2568, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10575, 2569, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10576, 2569, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10577, 2569, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10578, 2569, 'Одинаковое название метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10579, 2570, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10580, 2570, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10581, 2570, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10582, 2570, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10583, 2571, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10584, 2571, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10585, 2571, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10586, 2571, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10587, 2572, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10588, 2572, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10589, 2572, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10590, 2572, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10591, 2573, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10592, 2573, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10593, 2573, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10594, 2573, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10595, 2574, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10596, 2574, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10597, 2574, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10598, 2574, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10599, 2575, 'Передача по значению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10600, 2575, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10601, 2575, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10602, 2576, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10603, 2576, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10604, 2576, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10605, 2576, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10606, 2577, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10607, 2577, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10608, 2577, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10609, 2577, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10610, 2578, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10611, 2578, 'super() и super', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10612, 2578, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10613, 2578, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10406, 2529, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10614, 2579, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10615, 2579, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10616, 2579, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10618, 2580, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10619, 2580, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10620, 2580, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10622, 2581, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10623, 2581, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10625, 2581, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10626, 2582, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10627, 2582, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10629, 2582, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10630, 2582, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10631, 2583, 'AtomicLong', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10632, 2583, 'AtomicBoolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10634, 2583, 'AtomicDouble', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10636, 2584, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10637, 2584, 'Позволяет обмениваться объектами между двумя потоками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10638, 2584, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10639, 2585, 'Exchanger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10641, 2585, 'ThreadLocal', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10642, 2585, 'RecursiveTask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10643, 2586, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10644, 2586, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10646, 2586, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10648, 2586, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10649, 2587, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10650, 2587, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10651, 2587, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10653, 2587, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10655, 2588, '-Xms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10656, 2588, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10658, 2588, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10659, 2589, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10660, 2589, 'Optional.null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10661, 2589, 'null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10662, 2589, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10663, 2589, 'Optional.empty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10664, 2590, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10665, 2590, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10666, 2590, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10667, 2590, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10668, 2590, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10669, 2591, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10670, 2591, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10671, 2591, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10672, 2591, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10673, 2591, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10674, 2591, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10675, 2592, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10676, 2592, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10677, 2592, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10678, 2592, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10679, 2592, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10680, 2593, 'SubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10681, 2593, 'SuperClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10682, 2593, 'SuperClassSubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10683, 2593, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10684, 2593, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10685, 2594, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10686, 2594, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10687, 2594, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10688, 2594, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10689, 2594, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10624, 2581, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10628, 2582, 'Virtual Space', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10633, 2583, 'AtomicInteger', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10635, 2584, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10640, 2585, 'ReentrantLock', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10645, 2586, 'BLOCKED', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10647, 2586, 'NEW', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10652, 2587, 'LiveLock', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10654, 2587, 'Starvation', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10657, 2588, '-Xmx', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10699, 2597, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10700, 2597, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10701, 2597, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10702, 2597, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10703, 2597, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10704, 2598, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10705, 2598, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10706, 2598, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10707, 2598, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10708, 2599, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10709, 2599, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10710, 2599, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10711, 2599, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10712, 2599, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10713, 2600, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10714, 2600, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10715, 2600, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10716, 2600, 'BiConsumer<T,U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10717, 2601, 'public', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10718, 2601, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10719, 2601, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10720, 2601, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10721, 2601, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10722, 2602, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10723, 2602, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10724, 2602, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10725, 2602, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10726, 2603, 'Permanent Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10727, 2603, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10728, 2603, 'Old Generation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10729, 2603, 'Eden Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10730, 2603, 'Survivor Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10731, 2604, 'await()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10732, 2604, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10733, 2604, 'sleep()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10734, 2604, 'wait()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10735, 2605, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10736, 2605, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10737, 2605, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10738, 2605, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10739, 2606, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10740, 2606, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10741, 2606, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10742, 2606, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10743, 2606, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10744, 2606, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10745, 2607, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10746, 2607, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10747, 2607, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10748, 2607, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10749, 2607, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10750, 2608, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10751, 2608, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10752, 2608, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10753, 2608, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10754, 2608, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10755, 2609, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10756, 2609, '13', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10757, 2609, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10758, 2609, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10759, 2610, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10760, 2610, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10761, 2610, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10762, 2610, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10763, 2611, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10926, 2646, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10764, 2611, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10765, 2611, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10766, 2611, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10767, 2612, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10768, 2612, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10769, 2612, 'connection.createStatement("...");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10770, 2612, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10771, 2612, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10772, 2613, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10773, 2613, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10774, 2613, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10775, 2613, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10776, 2613, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10777, 2613, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10778, 2614, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10779, 2614, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10780, 2614, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10781, 2614, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10782, 2615, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10783, 2615, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10784, 2615, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10785, 2615, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10786, 2615, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10787, 2616, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10788, 2616, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10789, 2616, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10790, 2616, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10791, 2616, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10792, 2617, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10793, 2617, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10794, 2617, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10795, 2617, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10796, 2617, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10797, 2617, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10798, 2618, 'В статическом блоке инициализации не могут быть брошены исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10799, 2618, 'java.lang.ExceptionInInitializerError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10800, 2618, 'java.lang.InstantiationException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10801, 2618, 'Ни один ответ не является правильным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10802, 2619, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10803, 2619, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10804, 2619, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10805, 2619, 'ListIterator может быть использован только для перебора элементов коллекции List', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10806, 2619, 'ListIterator расширяет интерфейс Iterable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10807, 2619, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11549, 2784, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10808, 2620, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10809, 2620, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10810, 2620, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10811, 2620, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10812, 2620, 'Никак', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10813, 2621, '<=', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10814, 2621, '&', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10815, 2621, '&=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10816, 2621, '|=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10817, 2621, '>>>=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10819, 2622, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10820, 2622, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10821, 2622, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10822, 2622, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10823, 2622, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10824, 2623, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10825, 2623, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10826, 2623, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10827, 2623, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10828, 2623, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10829, 2624, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10830, 2624, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10831, 2624, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10832, 2624, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10833, 2624, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10834, 2625, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10835, 2625, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10836, 2625, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10837, 2625, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10838, 2626, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10839, 2626, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10840, 2626, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10841, 2626, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10842, 2627, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10843, 2627, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10844, 2627, '[13, 11, 29]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10845, 2627, '[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10846, 2627, 'Хеш объекта вида [I@3d075dc0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10847, 2628, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10848, 2628, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10849, 2628, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10850, 2628, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10851, 2628, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10617, 2579, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10621, 2580, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10852, 2629, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10853, 2629, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10854, 2629, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10856, 2630, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10858, 2630, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10860, 2630, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10862, 2631, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10863, 2631, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10864, 2631, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10865, 2632, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10866, 2632, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10868, 2632, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10869, 2632, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10870, 2632, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10871, 2633, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10873, 2633, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10875, 2633, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10876, 2634, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10877, 2634, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10878, 2634, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10881, 2635, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11554, 2785, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11017, 2668, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10857, 2630, 'И те и другие могут содержать статические методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10861, 2631, 'Нельзя определить аргумент метода как private переменную.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10867, 2632, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10872, 2633, 'Строка 2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10874, 2633, 'Строка 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10879, 2634, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10880, 2635, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15471, 3677, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15469, 3677, 'SessionFactory', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15468, 3677, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15470, 3677, 'Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10882, 2635, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10883, 2635, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10884, 2636, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10886, 2636, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10887, 2636, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10888, 2636, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10889, 2637, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10892, 2637, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10894, 2638, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10896, 2638, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10897, 2639, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10898, 2639, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10899, 2639, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10901, 2640, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10903, 2640, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10904, 2640, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10906, 2641, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10907, 2641, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10908, 2641, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10910, 2642, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10911, 2642, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10912, 2642, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10914, 2643, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10915, 2643, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10916, 2643, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10917, 2644, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10918, 2644, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10920, 2644, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10921, 2645, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10923, 2645, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10924, 2645, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10925, 2646, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10927, 2646, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10928, 2646, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10929, 2647, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10931, 2647, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10932, 2647, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10933, 2648, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10934, 2648, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10935, 2648, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10937, 2649, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10938, 2649, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10939, 2649, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10941, 2650, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10942, 2650, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10943, 2650, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10945, 2651, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10947, 2651, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10890, 2637, 'static public void main (String[] array)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10895, 2638, 'Оба класса Student и Course определены в пакете com.examplejava', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10900, 2639, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10902, 2640, 'try, catch, finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10905, 2641, 'Каждая строка блока finally гарантированно будет выполнена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10909, 2642, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10913, 2643, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10919, 2644, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10922, 2645, 'Первый совпадающий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10930, 2647, 'ноль или один, ноль или больше', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10936, 2648, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10940, 2649, 'Никакой из перечисленных', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10944, 2650, 'Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10946, 2651, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10948, 2651, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10949, 2652, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10951, 2652, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10952, 2652, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10953, 2652, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10954, 2652, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10955, 2653, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10956, 2653, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10957, 2653, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10960, 2654, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10961, 2654, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10962, 2654, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10963, 2655, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10965, 2655, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10966, 2655, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10968, 2656, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10969, 2656, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10970, 2656, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10971, 2657, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10973, 2657, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10974, 2657, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10976, 2658, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10977, 2658, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10978, 2658, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10979, 2659, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10981, 2659, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10982, 2659, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10984, 2660, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10985, 2660, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10986, 2660, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10987, 2661, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10988, 2661, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10990, 2661, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10991, 2662, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10992, 2662, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10993, 2662, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10995, 2663, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10996, 2663, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10998, 2663, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11000, 2664, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11001, 2664, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11002, 2664, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11003, 2665, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11004, 2665, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11005, 2665, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11007, 2666, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11008, 2666, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11009, 2666, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11011, 2667, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11013, 2667, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11014, 2667, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11016, 2668, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10958, 2653, 'Неизменяемость переменной', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10959, 2654, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10964, 2655, 'Синглтон класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10972, 2657, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10975, 2658, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10980, 2659, 'Перегружаемые, переопределяемые', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10983, 2660, 'Java не поддерживает множественное наследование', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10989, 2661, 'public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10994, 2662, 'Дать интерфейсу возможность создавать конкретные методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10997, 2663, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11550, 2784, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11551, 2784, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10999, 2664, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11006, 2665, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11010, 2666, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11012, 2667, 'final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11015, 2668, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11020, 2669, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11021, 2669, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11022, 2669, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11023, 2670, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11024, 2670, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11026, 2670, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11028, 2671, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11029, 2671, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11030, 2672, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11032, 2672, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11033, 2672, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11034, 2673, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11035, 2673, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11037, 2673, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11039, 2674, 'super() и super', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11040, 2674, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11041, 2674, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11042, 2675, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11043, 2675, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11045, 2675, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11046, 2675, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11047, 2676, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11049, 2676, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11050, 2676, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11051, 2676, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11052, 2677, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11054, 2677, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11055, 2677, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11056, 2678, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11058, 2678, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11059, 2678, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10855, 2629, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10859, 2630, 'И те и другие могут содержать public static final переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10885, 2636, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10891, 2637, 'public static void main (String args[])', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10893, 2638, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10950, 2652, 'Ошибка компиляции на строке:new Mammal(5);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (10967, 2656, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11019, 2669, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11025, 2670, 'Статическая переменная', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11027, 2671, 'Передача по значению', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11031, 2672, 'super()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11036, 2673, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11038, 2674, 'super() и this', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11044, 2675, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11048, 2676, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11053, 2677, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11057, 2678, 'import com.examplejava.Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11060, 2678, 'import com.examplejava.*', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11061, 2679, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11062, 2679, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11063, 2679, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11064, 2679, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11065, 2680, 'Ошибка компиляции на строке:abstract int getNumberOfSections();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11066, 2680, 'Ошибка компиляции на строке:abstract class Insect implements HasExoskeleton {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11067, 2680, 'Ошибка компиляции на строке:public class Beetle extends Insect {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11068, 2680, 'Скомпилируется и запустится без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11539, 2782, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11540, 2782, 'LiveLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11541, 2782, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11542, 2782, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11543, 2783, '-Xms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11544, 2783, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11545, 2783, '-Xmx', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11546, 2783, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11547, 2784, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11548, 2784, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11555, 2785, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11069, 2680, 'Скомпилируется, но выбросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11070, 2681, 'Ошибка компиляции на строке:public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11071, 2681, '6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11072, 2681, 'Ошибка компиляции на строке:System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11073, 2681, 'Ошибка компиляции на строке:public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11074, 2681, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11075, 2682, 'Reptile laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11076, 2682, 'Lizard laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11077, 2682, 'Ошибка компиляции на строке:Reptile reptile = new Lizard();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11078, 2682, 'Ошибка компиляции на строке:reptile.layEggs();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11079, 2682, 'Ошибка компиляции на строке:public void layEggs() { System.out.println("Lizard laying eggs"); }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11080, 2683, 'Public методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11081, 2683, 'Protected методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11082, 2683, 'Private методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11083, 2683, 'Static методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11084, 2683, 'Private переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11085, 2683, 'Public переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11086, 2684, 'NoClassDefFoundError, StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11087, 2684, 'StackOverflowError, NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11088, 2684, 'StackOverflowError, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11089, 2684, 'ClassCastException, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11090, 2685, 'Блок catch для Exception должен идти перед блоком catch для IOException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11091, 2685, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11092, 2685, 'Блоки catch для этих двух исключений могут идти в любом порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11093, 2685, 'Блок catch для IOException должен идти перед блоком catch для Exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11094, 2686, 'непроверяемые исключения, java.lang.Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11095, 2686, 'java.lang.Error, непроверяемые исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11096, 2686, 'java.lang.Throwable, java.lang.Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11097, 2686, 'проверяемые исключения, java.lang.Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11098, 2687, 'int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11099, 2687, 'public static void eatGrass();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11100, 2687, 'public int chew() { return 13; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11101, 2687, 'Ошибок нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11102, 2688, 'И те и другие могут содержать статические методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11103, 2688, 'И те и другие могут содержать статические переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11104, 2688, 'И те и другие могут содержать дефолтные методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11105, 2688, 'И те и другие могут содержать абстрактные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11106, 2689, 'Они позволяют наследовать несколько классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11107, 2689, 'Они позволяют писать код с отложенным выполнением', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11108, 2689, 'Они позволяют изменять байткод приложения во время его исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11109, 2689, 'Они позволяют конвертировать примитивы в классы-обертки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11110, 2690, 'Класс может содержать больше одного конструктора без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11111, 2690, 'В случае если класс вызывает super() в одном из своих конструкторов, его класс-предок должен явно реализовать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11112, 2690, 'Если класс-наследник наследует класс-предок, у которого только один конструктор, и он с аргументом, тогда класс-наследник должен явно объявить как минимум один конструктор', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11113, 2690, 'Компилятор Java всегда вставляет дефолтный конструктор без аргументов если вы не объявляете конструктор без аргументов в вашем классе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11114, 2691, 'public void sing(int note, String... sound, int music)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11115, 2691, 'public void sing(String... keys, String... pitches)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11116, 2691, 'public void sing(String... notes, String melodies)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11117, 2691, 'public void sing(String key, String... harmonies)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11118, 2692, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11119, 2692, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11120, 2692, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11121, 2692, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11122, 2693, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11123, 2693, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11124, 2693, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11125, 2693, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11126, 2694, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11556, 2785, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11127, 2694, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11128, 2694, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11129, 2694, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11130, 2695, 'boolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11131, 2695, 'int[]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11132, 2695, 'long', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11133, 2695, 'String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11134, 2696, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11135, 2696, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11136, 2696, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11137, 2696, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11138, 2696, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11139, 2696, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11140, 2697, '8', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11141, 2697, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11142, 2697, 'Код выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11143, 2697, '02', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11144, 2697, '08', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11145, 2697, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11146, 2698, 'value2 = "h"; вместо //ПРОПУСК_2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11147, 2698, 'value3="i"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11148, 2698, 'value1="d"; вместо //ПРОПУСК_1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11149, 2698, 'value3="f"; вместо //ПРОПУСК_1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11150, 2698, 'value2="e"; вместо //ПРОПУСК_1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11151, 2698, 'value1="g"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11152, 2699, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11153, 2699, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11154, 2699, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11155, 2699, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11156, 2699, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11157, 2699, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11158, 2700, 'Все утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11159, 2700, '1 и 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11160, 2700, '1 и 2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11161, 2700, '2 и 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11162, 2700, 'Только 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11163, 2701, 'Объявить класс final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11164, 2701, 'Сделать конструктор private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11165, 2701, 'Не создавать методы, модифицирующие поля или объекты на которые ссылаются поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11166, 2701, 'Не позволять подклассам переопределять методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11167, 2701, 'Объявить все поля final и private', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11168, 2702, 'ExecutorService es = Executors.newSingleThreadExecutor(2);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11169, 2702, 'ExecutorService es = Executors.newFixedThreadPool(2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11170, 2702, 'ExecutorService es = Executors.newScheduledThreadPool(2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11171, 2702, 'ExecutorService es = Executors.newScheduledThreadPool();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11172, 2702, 'ExecutorService es = Executors.newSingleThreadScheduledExecutor();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11173, 2703, 'System.out.println(IntStream.rangeClosed(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11174, 2703, 'System.out.println(IntStream.range(2,6).sum());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11175, 2703, 'System.out.println(IntStream.range(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11176, 2703, 'System.out.println(IntStream.rangeClosed(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11177, 2703, 'System.out.println(IntStream.range(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11178, 2704, 'int[] array = new int[5];', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11179, 2704, 'int[] array = 1,2,3,4,5;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11180, 2704, 'int[] array = new int[]{1,2,3,4,5};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11181, 2704, 'int[] array = int[]{};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11182, 2704, 'int[] array = new int[];', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11183, 2704, 'int[] array = {1,2,3,4,5};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11184, 2705, 'StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11185, 2705, 'NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11186, 2705, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11187, 2705, 'Программа успешно скомпилируется и выведет в консоль 0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11188, 2705, 'Программа успешно скомпилируется и выведет в консоль 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11189, 2706, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11190, 2706, 'import aquarium.*;
import aquarium.jellies.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11191, 2706, 'import aquarium.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11192, 2706, 'import aquarium.*;
import aquarium.jellies.Water;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11193, 2706, 'import aquarium.Water;
import aquarium.jellies.Water;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11194, 2706, 'import aquarium.Water;
import aquarium.jellies.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11195, 2707, 'Скомпилируется без ошибки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11196, 2707, 'Не скомпилируется, потому что типы возвращаемых значений не ковариантны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11197, 2707, 'Не скомпилируется, потому что метод protected в классе-предке и public в классе-наследнике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11198, 2707, 'Не скомпилируется, потому что метод выбрасывает исключение, которое является наследником выбрасываемого классом-предком исключения.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11199, 2707, 'Не скомпилируется, потому что static метод нельзя наследовать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11200, 2708, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11557, 2786, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11201, 2708, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11202, 2708, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11203, 2708, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11204, 2709, 'Черный ящик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11205, 2709, 'Белый ящик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11206, 2709, 'Прозрачный ящик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11207, 2709, 'Тестирование на основе опыта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11208, 2710, 'Поиск дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11209, 2710, 'Получение уверенности в уровне качества и предоставлении информации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11210, 2710, 'Предупреждение дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11211, 2710, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11212, 2711, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11213, 2711, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11214, 2711, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11215, 2711, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11216, 2712, 'Дефекты удобства использования, найденные пользователями', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11217, 2712, 'Дефекты в редко используемых функциональностях', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11218, 2712, 'Дефекты, обнаруженные на ранней стадии', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11219, 2712, 'Минорные дефекты, найденные пользователями', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11220, 2713, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11221, 2713, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11222, 2713, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11223, 2713, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11224, 2714, 'Не требует знакомства с кодом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11225, 2714, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11226, 2714, 'Это позволяет избежать предвзятости автора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11227, 2714, 'Тестировщики лучше находят дефекты, чем разработчики', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11228, 2715, '0, 1, 2, 99', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11229, 2715, '1, 99, 100, 98', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11230, 2715, '0, 1, 99, 100', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11231, 2715, '-1, 0, 1, 99', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11232, 2716, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11233, 2716, 'Регрессионные тесты запускаются после каждого исправления', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11234, 2716, 'Регрессионные тесты часто автоматизируют', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11235, 2716, 'Регрессионные тесты не нуждаются в поддержке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11236, 2717, 'А. Найти дефекты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11237, 2717, 'B. Исправить дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11238, 2717, 'Вариант А и В', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11239, 2717, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11240, 2718, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11241, 2718, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11242, 2718, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11243, 2718, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11244, 2719, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11245, 2719, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11246, 2719, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11247, 2719, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11248, 2720, 'Раннее тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11249, 2720, 'Кластеризация дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11250, 2720, 'Парадокс пестицида', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11251, 2720, 'Исчерпывающее тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11252, 2721, 'Повысить безопасность системы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11253, 2721, 'Предотвратить бесконечные циклы в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11254, 2721, 'Использовать их как план Б', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11255, 2721, 'Определить, когда завершить тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11256, 2722, 'Тестирование производительности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11257, 2722, 'Модульное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11258, 2722, 'Регрессионное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11259, 2722, 'Тест на работоспособность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11260, 2723, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11261, 2723, 'Это помогает предотвратить появление дефектов в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11456, 2764, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11262, 2723, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11263, 2723, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11264, 2724, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11265, 2724, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11266, 2724, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11267, 2724, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11268, 2725, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11269, 2725, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11270, 2725, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11271, 2725, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11272, 2726, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11273, 2726, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11274, 2726, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11275, 2726, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11276, 2727, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11277, 2727, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11278, 2727, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11279, 2727, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11280, 2727, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11281, 2728, 'AtomicLong', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11282, 2728, 'AtomicBoolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11283, 2728, 'AtomicInteger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11284, 2728, 'AtomicDouble', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11285, 2729, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11286, 2729, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11287, 2729, 'Позволяет обмениваться объектами между двумя потоками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11288, 2729, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11289, 2730, 'Exchanger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11290, 2730, 'ReentrantLock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11291, 2730, 'ThreadLocal', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11292, 2730, 'RecursiveTask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11293, 2731, 'TERMINATED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11294, 2731, 'RUNNABLE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11295, 2731, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11296, 2731, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11297, 2731, 'NEW', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11298, 2731, 'STARTED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11299, 2732, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11300, 2732, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11301, 2732, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11302, 2732, 'LiveLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11303, 2732, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11304, 2732, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11305, 2733, '-Xms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11306, 2733, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11307, 2733, '-Xmx', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11308, 2733, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11309, 2734, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11310, 2734, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11311, 2734, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11312, 2734, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11313, 2734, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11314, 2735, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11315, 2735, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11316, 2735, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11317, 2735, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11318, 2735, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11319, 2736, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11320, 2736, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11321, 2736, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11322, 2736, 'BiConsumer<T,U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11323, 2737, 'public', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11324, 2737, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11325, 2737, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11326, 2737, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11327, 2737, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11328, 2738, 'new Duration(start, end).getMillis();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11329, 2738, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11330, 2738, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11331, 2738, 'Duration.between(start, end).toMillis();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11332, 2739, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11333, 2739, 'Optional.null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11334, 2739, 'null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11335, 2739, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11336, 2739, 'Optional.empty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11337, 2740, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11338, 2740, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11339, 2740, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11631, 2801, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11340, 2740, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15472, 3677, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11341, 2740, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11342, 2741, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11343, 2741, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11344, 2741, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11345, 2741, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11346, 2741, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11347, 2742, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11348, 2742, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11349, 2742, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11350, 2742, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11351, 2743, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11352, 2743, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11353, 2743, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11354, 2743, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11355, 2743, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11356, 2743, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11357, 2744, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11358, 2744, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11359, 2744, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11360, 2744, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11361, 2744, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11362, 2745, 'SubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11363, 2745, 'SuperClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11364, 2745, 'SuperClassSubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11365, 2745, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11366, 2745, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11367, 2746, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11368, 2746, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11369, 2746, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11370, 2746, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11371, 2747, 'Permanent Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11372, 2747, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11373, 2747, 'Old Generation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11374, 2747, 'Eden Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11375, 2747, 'Survivor Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11376, 2748, 'await()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11377, 2748, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11378, 2748, 'sleep()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11379, 2748, 'wait()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11380, 2749, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11381, 2749, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11382, 2749, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11383, 2749, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11384, 2749, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11385, 2750, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11386, 2750, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11387, 2750, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11388, 2750, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11389, 2750, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11390, 2751, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11391, 2751, '13', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11392, 2751, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11393, 2751, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11394, 2752, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11395, 2752, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11396, 2752, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11397, 2752, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11398, 2753, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11399, 2753, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11400, 2753, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11401, 2753, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11402, 2754, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11403, 2754, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11404, 2754, 'connection.createStatement("...");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11405, 2754, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11406, 2754, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11407, 2755, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11408, 2755, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11409, 2755, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11410, 2755, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11411, 2755, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11412, 2755, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11455, 2764, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11413, 2756, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11525, 2779, 'Позволяет обмениваться объектами между двумя потоками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11414, 2756, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11415, 2756, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11416, 2756, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11417, 2757, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11418, 2757, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11419, 2757, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11420, 2757, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11421, 2757, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11422, 2758, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11423, 2758, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11424, 2758, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11425, 2758, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11426, 2758, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11427, 2759, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11428, 2759, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11429, 2759, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11430, 2759, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11431, 2759, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11432, 2759, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11433, 2760, 'В статическом блоке инициализации не могут быть брошены исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11434, 2760, 'java.lang.ExceptionInInitializerError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11435, 2760, 'java.lang.InstantiationException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11436, 2760, 'Ни один ответ не является правильным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11437, 2761, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11438, 2761, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11439, 2761, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11440, 2761, 'ListIterator может быть использован только для перебора элементов коллекции List', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11441, 2761, 'ListIterator расширяет интерфейс Iterable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11442, 2761, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11443, 2762, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11444, 2762, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11445, 2762, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11446, 2762, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11447, 2762, 'Никак', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11448, 2763, '<=', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11449, 2763, '&', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11450, 2763, '&=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11451, 2763, '|=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11452, 2763, '>>>=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11453, 2763, '~', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11454, 2764, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14772, 3528, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11526, 2779, 'Позволяет синхронизовать заданное кол-во потоков в определенной точке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11457, 2764, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11458, 2764, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11459, 2765, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11460, 2765, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11461, 2765, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11462, 2765, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11463, 2765, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11464, 2766, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11465, 2766, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11466, 2766, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11467, 2766, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11468, 2766, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11469, 2767, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11470, 2767, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11471, 2767, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11472, 2767, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11473, 2767, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11474, 2767, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11475, 2768, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11476, 2768, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11477, 2768, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11478, 2768, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11479, 2769, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11480, 2769, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11481, 2769, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11482, 2769, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11483, 2770, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11484, 2770, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11485, 2770, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11486, 2770, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11487, 2770, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11488, 2771, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11489, 2771, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11490, 2771, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11491, 2771, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11492, 2771, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11493, 2772, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11494, 2772, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11495, 2772, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11496, 2772, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11497, 2773, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11498, 2773, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11499, 2773, '[13, 11, 29]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11500, 2773, '[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11501, 2773, 'Хеш объекта вида [I@3d075dc0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11502, 2774, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылокт.
Не позволяет получить StrongReference на объект', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11503, 2774, 'Объект будет удален GC при следующих сборках, если на него нет любых других типов ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11504, 2774, 'Объект будет удален GC, когда JVM будет сильно нуждаться в памяти', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11505, 2774, 'Объект будет удален GC при следующей сборке, если на него нет других StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11506, 2775, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11507, 2775, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11508, 2775, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11509, 2775, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11510, 2776, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11511, 2776, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11512, 2776, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11513, 2776, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11514, 2777, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11515, 2777, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11516, 2777, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11517, 2777, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11518, 2777, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11519, 2778, 'AtomicLong', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11520, 2778, 'AtomicBoolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11521, 2778, 'AtomicInteger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11522, 2778, 'AtomicDouble', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11523, 2779, 'Позволяет потокам ожидать завершения определенного кол-ва операций, выполняющихся в других потоках', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11632, 2802, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11633, 2802, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11634, 2802, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11524, 2779, 'Управляет доступом к общему ресурсу с помощью счетчика. При значении счетчика равным нулю, текущий поток блокируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11527, 2780, 'Exchanger', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11528, 2780, 'ReentrantLock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11558, 2786, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11559, 2786, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11560, 2786, 'BiConsumer<T,U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11561, 2787, 'public', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11562, 2787, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11563, 2787, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11564, 2787, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11565, 2787, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11566, 2788, 'new Duration(start, end).getMillis();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11567, 2788, 'end - start;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11568, 2788, 'Duration.between(start, end);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11569, 2788, 'Duration.between(start, end).toMillis();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11570, 2789, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11571, 2789, 'Optional.null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11572, 2789, 'null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11573, 2789, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11574, 2789, 'Optional.empty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11575, 2790, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11576, 2790, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11577, 2790, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11578, 2790, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11579, 2790, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11580, 2791, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11581, 2791, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11582, 2791, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11583, 2791, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11584, 2791, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11585, 2792, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11586, 2792, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11587, 2792, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11588, 2792, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11589, 2793, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11590, 2793, 'OptionalDouble[3.0]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11591, 2793, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11592, 2793, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11593, 2793, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11594, 2793, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11595, 2794, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11596, 2794, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11597, 2794, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11598, 2794, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11599, 2794, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11600, 2795, 'SubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11601, 2795, 'SuperClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11602, 2795, 'SuperClassSubClass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11603, 2795, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11604, 2795, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11605, 2796, 'Выделяет каждому потоку свою копию переменной, чтобы избежать race condition', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11606, 2796, 'Блокирует настоящий поток, если в данный момент другой поток проводит операции с данной переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11607, 2796, 'Обеспечивает запись/чтение перменной из памяти приложения, игнорируя локальный кеш потока', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11608, 2796, 'Синхронизирует значение переменной после изменений между стеками потоков, которые к ней обращались', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11609, 2797, 'Permanent Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11610, 2797, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11611, 2797, 'Old Generation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11612, 2797, 'Eden Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11613, 2797, 'Survivor Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11614, 2798, 'await()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11615, 2798, 'synchronize()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11616, 2798, 'sleep()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11617, 2798, 'wait()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11618, 2799, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11619, 2799, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11620, 2799, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11621, 2799, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11622, 2799, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11623, 2800, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11624, 2800, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11625, 2800, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11626, 2800, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11627, 2800, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11628, 2801, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11629, 2801, '13', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11630, 2801, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11635, 2802, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15473, 3677, 'Criteria', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11636, 2803, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11637, 2803, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11638, 2803, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11639, 2803, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11640, 2804, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11641, 2804, 'connection.prepareStatement("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11642, 2804, 'connection.createStatement("...");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11643, 2804, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11644, 2804, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11645, 2805, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11646, 2805, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11647, 2805, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11648, 2805, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11649, 2805, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11650, 2805, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11651, 2806, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11652, 2806, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11653, 2806, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11654, 2806, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11655, 2807, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11656, 2807, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11657, 2807, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11658, 2807, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11659, 2807, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11660, 2808, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11661, 2808, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11662, 2808, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11663, 2808, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11664, 2808, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11665, 2809, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11666, 2809, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11667, 2809, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11668, 2809, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11669, 2809, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11670, 2809, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11671, 2810, 'В статическом блоке инициализации не могут быть брошены исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11672, 2810, 'java.lang.ExceptionInInitializerError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11673, 2810, 'java.lang.InstantiationException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11674, 2810, 'Ни один ответ не является правильным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11675, 2811, 'Возвращает следующий элемент списка с помощью метода next(). Если указатель на последнем элементе, вернет первый элемент и переместит указатель на него', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11676, 2811, 'При помощи ListIterator вы можете модифицировать список, добавляя/удаляя элементы с помощью методов add() и remove()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11677, 2811, 'ListIterator, в отличие от Iterator, позволяет перебирать список в обоих направлениях, при помощи методов next() и previous()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11746, 2825, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11678, 2811, 'ListIterator может быть использован только для перебора элементов коллекции List', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11884, 2858, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11679, 2811, 'ListIterator расширяет интерфейс Iterable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11680, 2811, 'ListIterator расширяет интерфейс Iterator', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11681, 2812, 'Обращаться к ресурсам в определенном порядке и освобождать их в обратном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11682, 2812, 'Обращаться к ресурсам в определенном порядке и освобождать их в том же порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11683, 2812, 'Обращаться к ресурсам в определенном порядке и не освобождать их', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11684, 2812, 'Обращаться к ресурсам в определенном порядке и освобождать их одновременно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11685, 2812, 'Никак', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11686, 2813, '<=', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11687, 2813, '&', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11688, 2813, '&=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11689, 2813, '|=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11690, 2813, '>>>=', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11691, 2813, '~', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11692, 2814, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11693, 2814, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11694, 2814, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11695, 2814, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11696, 2814, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11697, 2815, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11698, 2815, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11699, 2815, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11700, 2815, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11701, 2815, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11702, 2816, 'В string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11703, 2816, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11704, 2816, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11705, 2816, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11706, 2816, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11707, 2817, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11708, 2817, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11709, 2817, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11710, 2817, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11711, 2817, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11712, 2817, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11713, 2818, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11714, 2818, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11715, 2818, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11716, 2818, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11717, 2819, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11718, 2819, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11719, 2819, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11720, 2819, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11721, 2820, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11722, 2820, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11723, 2820, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11724, 2820, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11725, 2820, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11726, 2821, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11727, 2821, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11728, 2821, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11729, 2821, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11730, 2821, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11731, 2822, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11732, 2822, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11733, 2822, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11734, 2822, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11735, 2823, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11736, 2823, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11737, 2823, '[13, 11, 29]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11738, 2823, '[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11739, 2823, 'Хеш объекта вида [I@3d075dc0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11740, 2824, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11741, 2824, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11742, 2824, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11743, 2824, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11744, 2825, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11745, 2825, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12219, 2937, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11747, 2825, 'И те и другие могут содержать public static final переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15442, 3670, 'abstract', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11748, 2825, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11749, 2826, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11750, 2826, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11751, 2826, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11752, 2826, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11753, 2827, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11754, 2827, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11755, 2827, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11756, 2827, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11757, 2827, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11758, 2827, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11759, 2828, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11760, 2828, 'Строка 2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11761, 2828, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11762, 2828, 'Строка 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11763, 2828, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11764, 2829, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11765, 2829, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11766, 2829, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11767, 2829, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11768, 2830, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11769, 2830, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11770, 2830, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11771, 2830, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11772, 2831, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11773, 2831, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11774, 2831, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11775, 2831, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11776, 2831, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11777, 2832, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11778, 2832, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11779, 2832, 'public static void main (String args[])', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11780, 2832, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11781, 2833, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11782, 2833, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11783, 2833, 'Оба класса Student и Course определены в пакете com.examplejava', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11784, 2833, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11785, 2834, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11786, 2834, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11787, 2834, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11788, 2834, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11789, 2835, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11790, 2835, 'try, catch, finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11791, 2835, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11792, 2835, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11793, 2836, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11794, 2836, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11795, 2836, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11796, 2836, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11797, 2837, 'throws, throw', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11798, 2837, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11799, 2837, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11800, 2837, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11801, 2838, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11802, 2838, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11803, 2838, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11804, 2838, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11805, 2839, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11806, 2839, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11807, 2839, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11808, 2839, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11809, 2840, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11810, 2840, 'Первый совпадающий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11811, 2840, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11812, 2840, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11813, 2841, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11814, 2841, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11815, 2841, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11816, 2841, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12220, 2937, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11817, 2842, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11818, 2842, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15774, 3739, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11819, 2842, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11820, 2842, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11821, 2843, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11822, 2843, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11823, 2843, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11824, 2843, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11825, 2844, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11826, 2844, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11827, 2844, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11828, 2844, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11829, 2845, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11830, 2845, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11831, 2845, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11832, 2845, 'Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11833, 2846, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11834, 2846, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11835, 2846, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11836, 2846, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11837, 2847, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11838, 2847, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11839, 2847, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11840, 2847, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11841, 2847, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11842, 2847, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11843, 2848, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11844, 2848, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11845, 2848, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11846, 2848, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11847, 2849, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11848, 2849, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11849, 2849, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11850, 2849, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11851, 2850, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11852, 2850, 'Синглтон класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11853, 2850, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11854, 2850, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11855, 2851, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11856, 2851, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11857, 2851, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11858, 2851, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11859, 2852, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11860, 2852, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11861, 2852, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11862, 2852, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11863, 2853, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11864, 2853, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11865, 2853, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11866, 2853, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11867, 2854, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11868, 2854, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11869, 2854, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11870, 2854, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11871, 2855, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11872, 2855, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11873, 2855, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11874, 2855, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11875, 2856, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11876, 2856, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11877, 2856, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11878, 2856, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11879, 2857, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11880, 2857, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11881, 2857, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11882, 2857, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11883, 2858, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19202, 4496, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11885, 2858, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11886, 2858, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11887, 2859, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11888, 2859, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11889, 2859, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11890, 2859, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11891, 2860, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11892, 2860, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11893, 2860, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11894, 2860, 'Одинаковое название метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11895, 2861, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11896, 2861, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11897, 2861, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11898, 2861, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11899, 2862, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11900, 2862, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11901, 2862, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11902, 2862, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11903, 2863, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11904, 2863, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11905, 2863, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11906, 2863, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11907, 2864, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11908, 2864, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11909, 2864, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11910, 2864, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11911, 2865, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11912, 2865, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11913, 2865, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11914, 2865, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11915, 2866, 'Передача по значению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11916, 2866, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11917, 2866, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11918, 2867, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11919, 2867, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11920, 2867, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11921, 2867, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11922, 2868, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11923, 2868, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11924, 2868, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11925, 2868, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11926, 2869, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11927, 2869, 'super() и super', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11928, 2869, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11929, 2869, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11930, 2870, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11931, 2870, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11932, 2870, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11933, 2870, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11934, 2870, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11935, 2871, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11936, 2871, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11937, 2871, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11938, 2871, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11939, 2871, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11940, 2872, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11941, 2872, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11942, 2872, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11943, 2872, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11944, 2873, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11945, 2873, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11946, 2873, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11947, 2873, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11948, 2873, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11949, 2874, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11951, 2874, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11952, 2874, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11953, 2875, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16380, 3869, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11954, 2875, 'И те и другие могут содержать статические методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11957, 2875, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11958, 2876, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11959, 2876, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11960, 2876, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11962, 2877, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11963, 2877, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11964, 2877, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11966, 2877, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11967, 2877, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11968, 2878, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11970, 2878, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11971, 2878, 'Строка 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11973, 2879, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11975, 2879, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11976, 2879, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11978, 2880, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11979, 2880, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11980, 2880, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11981, 2881, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11983, 2881, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11984, 2881, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11985, 2881, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11988, 2882, 'public static void main (String args[])', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11989, 2882, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11991, 2883, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11992, 2883, 'Оба класса Student и Course определены в пакете com.examplejava', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11993, 2883, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11995, 2884, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11996, 2884, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11997, 2884, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11998, 2885, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12000, 2885, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12001, 2885, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12002, 2886, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12004, 2886, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12005, 2886, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12007, 2887, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12008, 2887, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12009, 2887, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12010, 2888, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12012, 2888, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12013, 2888, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12015, 2889, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12016, 2889, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12017, 2889, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12018, 2890, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12020, 2890, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12021, 2890, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12023, 2891, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12024, 2891, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12025, 2891, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11961, 2876, 'Ничего из указанного.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11965, 2877, '195 20', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11969, 2878, 'Строка 2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11972, 2878, 'Строка 5', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11974, 2879, '641', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11977, 2880, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11982, 2881, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11986, 2882, 'public void main (String[] args)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11987, 2882, 'static public void main (String[] array)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11990, 2883, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11994, 2884, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11999, 2885, 'try, catch, finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12003, 2886, 'Блок finally не может выбрасывать исключений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12006, 2887, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12011, 2888, 'Исключения зачастую используются когда что-то пошло не так', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12014, 2889, 'Error', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12019, 2890, 'Первый совпадающий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12022, 2891, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12026, 2892, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12028, 2892, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12029, 2892, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12030, 2893, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12031, 2893, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12033, 2893, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12035, 2894, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12036, 2894, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12037, 2894, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12038, 2895, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12040, 2895, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12041, 2895, 'Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12042, 2896, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12043, 2896, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12045, 2896, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12046, 2897, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12047, 2897, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12049, 2897, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12050, 2897, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12051, 2897, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12053, 2898, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12054, 2898, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12055, 2898, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12057, 2899, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12058, 2899, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12059, 2899, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12060, 2900, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12062, 2900, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12063, 2900, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12064, 2901, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12066, 2901, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12067, 2901, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12069, 2902, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12070, 2902, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12071, 2902, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12072, 2903, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12074, 2903, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12075, 2903, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12077, 2904, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12078, 2904, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12079, 2904, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12080, 2905, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12082, 2905, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12083, 2905, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12084, 2906, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12085, 2906, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12087, 2906, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12089, 2907, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12090, 2907, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12032, 2893, 'Пользователь неверно ввел свой пароль', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12034, 2894, 'import java.exception.*;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12039, 2895, 'Exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12048, 2897, 'Platypus', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12052, 2898, 'Инкапсуляция переменной', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12056, 2899, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12061, 2900, 'Синглтон класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12065, 2901, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12068, 2902, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12073, 2903, 'Класса-потомка, внешнего класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12076, 2904, 'Наследуемые, переопределяемые', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12081, 2905, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12086, 2906, 'public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12088, 2907, 'Позволить интерфейсу определить метод на уровне класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12333, 2960, 'W1, X3, Y4, Z2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12334, 2960, 'W2, X3, Y1, Z4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12335, 2960, 'W1, X4, Y2, Z3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12336, 2961, 'Блокирующий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12091, 2907, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12092, 2908, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12093, 2908, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12094, 2908, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12096, 2909, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12098, 2909, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12099, 2909, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12101, 2910, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12102, 2910, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12103, 2910, 'Одинаковое название метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12104, 2911, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12106, 2911, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12107, 2911, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12109, 2912, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12110, 2912, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12111, 2912, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12112, 2913, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12113, 2913, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12115, 2913, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12116, 2914, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12118, 2914, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12119, 2914, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12120, 2915, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12122, 2915, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12123, 2915, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12124, 2916, 'Передача по значению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12125, 2916, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12128, 2917, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12129, 2917, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12130, 2917, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12131, 2918, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12133, 2918, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12134, 2918, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12136, 2919, 'super() и super', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12137, 2919, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12138, 2919, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12139, 2920, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12141, 2920, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12142, 2920, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12143, 2920, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12145, 2921, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12146, 2921, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12147, 2921, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12148, 2921, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12149, 2922, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12150, 2922, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12151, 2922, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12154, 2923, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12155, 2923, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12156, 2923, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12157, 2923, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11950, 2874, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11955, 2875, 'И те и другие наследуют java.lang.Object', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (11956, 2875, 'И те и другие могут содержать public static final переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12027, 2892, 'ноль или один, ноль или больше', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12095, 2908, 'Абстракция', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12097, 2909, 'Класс может реализовывать два интерфейса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12100, 2910, 'Одинаковый список параметров', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12105, 2911, 'Модификатор доступа', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12108, 2912, 'default', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12117, 2914, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12121, 2915, 'Публичная переменная', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12126, 2916, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12127, 2917, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12132, 2918, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12135, 2919, 'super() и this', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12140, 2920, 'Класс, реализующий CanBark, наследует только метод bark()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12144, 2921, 'Ошибка компиляции на строке:class Orca extends Whale {', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12152, 2922, 'Класс ExampleJava напечатает null', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12153, 2923, 'import mycode.com.examplejava.Course', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12337, 2961, 'Критический', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12338, 2961, 'Высокий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12339, 2961, 'Низкий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12044, 2896, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16381, 3869, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12114, 2913, 'String может быть использован повторно через пул строк', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12158, 2924, 'Они позволяют наследовать несколько классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12159, 2924, 'Они позволяют писать код с отложенным выполнением', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12161, 2924, 'Они позволяют конвертировать примитивы в классы-обертки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12162, 2925, 'Thread r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12164, 2925, 'Run r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12165, 2925, 'Executable r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12166, 2925, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12167, 2926, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12169, 2926, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12170, 2926, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12171, 2927, 'Блок catch для Exception должен идти перед блоком catch для IOException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12172, 2927, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12174, 2927, 'Блок catch для IOException должен идти перед блоком catch для Exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12175, 2928, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12176, 2928, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12178, 2928, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12180, 2929, 'import aquarium.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12181, 2929, 'import aquarium.*.Jelly;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12182, 2929, 'import aquarium.jellies.Jelly.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12183, 2929, 'import aquarium.jellies.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12184, 2929, 'import aquarium.jellies.Jelly;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12185, 2930, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12186, 2930, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12188, 2930, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12189, 2931, 'непроверяемые исключения, java.lang.Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12190, 2931, 'java.lang.Error, непроверяемые исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12192, 2931, 'проверяемые исключения, java.lang.Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12193, 2932, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12194, 2932, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12196, 2932, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12197, 2933, 'Код скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12199, 2933, 'Ровно три выражения .add используют автоупаковку из примитивов в классы-обертки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12200, 2933, 'Ровно два выражения .add используют автоупаковку из примитивов в классы-обертки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12201, 2933, 'Ровно одно выражение .add использует автоупаковку из примитивов в классы-обертки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12202, 2934, 'Для stateless приложений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12204, 2934, 'Два варианта одинаково хорошо могут быть использованы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12205, 2934, 'Нет верного ответа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12206, 2935, 'Встраиваемый класс может содержать в себе другой встраиваемый класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12207, 2935, 'Встраиваемый класс может быть общим для нескольких сущностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12208, 2935, 'Встраиваемый класс должен быть помечен аннотацией @Entity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12209, 2935, 'Встраиваемый класс может быть использован в качестве первичного ключа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12210, 2935, 'Встраиваемый класс может быть описан в XML файле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12163, 2925, 'Runnable r = () -> System.out.println("Run!");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12168, 2926, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12173, 2927, 'Блоки catch для этих двух исключений могут идти в любом порядке', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12177, 2928, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12179, 2929, 'Никакой из перечисленных', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12187, 2930, 'StringBuilder поддерживает многопоточность', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12191, 2931, 'java.lang.Throwable, java.lang.Error', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12195, 2932, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12198, 2933, 'Код выбросит runtime exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12211, 2935, 'Встраиваемый класс может быть описан только через класс с аннотацией @Embeddable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12212, 2936, 'NORMAL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12214, 2936, 'GET', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12215, 2936, 'PUT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12216, 2936, 'REFRESH', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12217, 2936, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12221, 2937, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12222, 2938, 'NORMAL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12224, 2938, 'GET', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12225, 2938, 'PUT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12226, 2938, 'REFRESH', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12227, 2938, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12229, 2939, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12230, 2939, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12231, 2939, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12232, 2939, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12233, 2939, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12234, 2940, 'String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12236, 2940, 'Object', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12237, 2940, 'Object[]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12238, 2940, 'Object[][]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12239, 2940, 'List<Object[]>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12240, 2941, 'HashTable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12242, 2941, 'Infinispan', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12243, 2941, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12244, 2942, 'Возвращает null при отсутствии экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12246, 2942, 'Возвращает экземпляр-прокси при ленивой инициализации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12247, 2942, 'Кидает Exception при ленивой инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12248, 2942, 'Возвращает экземпляр, доступный только для чтения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12249, 2943, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12250, 2943, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12252, 2943, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12253, 2943, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12203, 2934, 'Для stateful приложений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12213, 2936, 'IGNORE', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12218, 2937, 'SELECT', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12223, 2938, 'IGNORE', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12254, 2944, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12256, 2944, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12257, 2944, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12260, 2945, 'BLOCKED', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12261, 2945, 'WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12262, 2945, 'NEW', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12265, 2946, '-Xss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12267, 2946, 'Ни один из вариантов не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12268, 2947, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12270, 2947, '3.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12271, 2947, 'OptionalDouble[3.5]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12272, 2947, '3.5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12273, 2947, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12276, 2948, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12277, 2948, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12278, 2948, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12279, 2949, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12280, 2949, '2015-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12282, 2949, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12283, 2949, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12284, 2950, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12286, 2950, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12287, 2950, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12288, 2950, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12228, 2939, 'Примитивные классы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12235, 2940, 'ResultSet', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12241, 2941, 'EHCache', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12245, 2942, 'Кидает Exception при отсутствии экземпляра', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12251, 2943, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12255, 2944, 'WeakReference', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12259, 2945, 'RUNNABLE', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12263, 2945, 'STARTED', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12258, 2945, 'TERMINATED', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12264, 2946, '-Xms', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12266, 2946, '-Xmx', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12269, 2947, 'OptionalDouble[3.0]', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12274, 2948, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12281, 2949, '2015-01-04', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12285, 2950, 'BLOCKED', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19203, 4496, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19204, 4496, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19205, 4496, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19271, 4511, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12290, 2951, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12291, 2951, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12292, 2951, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12293, 2952, 'connection.prepareCall("...");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12296, 2952, 'connection.createStatement();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12297, 2952, 'connection.prepareStatement();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12299, 2953, 'Из объекта статического вложенного класса нельзя обращаться к не статическим членам обрамляющего класса напрямую, а только через ссылку на экземпляр внешнего класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12300, 2953, 'Для создания объекта статического вложенного класса объект внешнего класса не требуется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12301, 2953, 'Вложенные классы могут обращаться ко всем членам обрамляющего класса, в том числе и приватным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12302, 2953, 'В объекте обычного и статического вложенного класса хранится ссылка на объект внешнего класса, доступ к которой можно получить вызвав Outer.this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12304, 2954, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12305, 2954, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12306, 2954, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12307, 2954, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12308, 2954, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12310, 2955, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12311, 2955, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12312, 2955, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12313, 2955, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12315, 2956, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12316, 2956, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12317, 2956, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12318, 2956, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12320, 2957, 'В heap, но не добавляется в string pool', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12321, 2957, 'В heap и так же добавляется в string pool', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12322, 2957, 'Такие объекта хранятся только в stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12323, 2957, 'Ни один ответ не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12325, 2958, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12326, 2958, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12327, 2958, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12160, 2924, 'Они позволяют изменять байткод приложения во время его исполнения', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12275, 2948, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12289, 2951, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12294, 2952, 'connection.prepareStatement("...");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12295, 2952, 'connection.createStatement("...");', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12298, 2953, 'Обычные вложенные классы и статические вложенные классы не могут содержать статических методов, блоков инициализации и классов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12303, 2954, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12309, 2955, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12314, 2956, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12319, 2957, 'В string pool', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12324, 2958, 'В анонимном классе можно объявить только один конструктор', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12328, 2959, 'Статическое тестирование требует выполнения кода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12329, 2959, 'Статическое тестирование включает ручную имитацию программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12330, 2959, 'Статическое тестирование включает в себя такие техники, как рецензирование и инспекция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12340, 2962, 'Исчерпывающее тестирование невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12341, 2962, 'Кластеризация дефектов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12342, 2962, 'Парадокс пестицида', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12343, 2962, 'Заблуждение об отсутствии ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12344, 2963, 'Критический', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12345, 2963, 'Высокий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12346, 2963, 'Низкий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12347, 2963, 'Незначительный', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12348, 2964, 'План тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12349, 2964, 'Спецификация процедуры тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12350, 2964, 'Тестовый сценарий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12351, 2964, 'Тестовые данные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12352, 2965, '5, 4, 2, 1, 3, 7, 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12353, 2965, '4, 2, 5,1, 6, 7, 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12354, 2965, '5, 4, 2, 1, 7, 3, 6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12355, 2965, '5, 1, 2, 3, 4, 7, 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12356, 2966, 'Это приемлемый риск многопользовательской системы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12357, 2966, 'Проведено недостаточное функциональное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12358, 2966, 'Это означает, что важное нефункциональное требование не было определено и протестировано', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12359, 2966, 'Это невозможно было протестировать до релиза', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12360, 2967, 'Сообщить о проблеме менеджеру и попытаться договориться с разработчиком', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12361, 2967, 'Повторно протестировать модуль и подтвердите ошибку', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12362, 2967, 'Назначить ту же ошибку другому разработчику', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12363, 2967, 'Отправить подробную информацию об обнаруженном баге и проверить воспроизводимость', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12364, 2968, 'Автоматизация, вероятно, потерпит неудачу из-за частых изменений и отсутствия опыта', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12365, 2968, 'Автоматизация, вероятно, потерпит неудачу из-за автоматизации GUI, не является правильным способом автоматизации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12366, 2968, 'Автоматизация, скорее всего, будет успешной, потому что автоматизация очень полезна для частых изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12367, 2968, 'Автоматизация, скорее всего, удастся, потому что команда была обучена инструменту', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12368, 2969, 'Измерение времени отклика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12369, 2969, 'Измерение скорости транзакций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12370, 2969, 'Тестирование восстанавливаемости', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12371, 2969, 'Моделирование многих пользователей в системе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12372, 2969, 'Создание многих транзакций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12373, 2970, 'Остальные 15 дефектов должны быть проверены до выпуска.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12374, 2970, 'Оставшиеся 10% тест-кейсов должны быть выполнены до выпуска.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12375, 2970, 'Система теперь готова к выпуску без каких-либо дополнительных усилий по тестированию или разработке.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12376, 2970, 'Программисты должны сосредоточить свое внимание на устранении оставшихся известных дефектов до выпуска.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12377, 2971, 'Разбиение на классы эквивалентности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12378, 2971, 'Метод белого ящика
', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12379, 2971, 'Метод черного ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12380, 2971, 'Граничная стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12381, 2972, 'Скажете команде разработчиков, чтобы они доставили систему вовремя, чтобы тестовая деятельность была завершена вовремя.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12382, 2972, 'Расширите план тестирования, таким образом компенсируя промашку', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12383, 2972, 'Ранжируете функциональность в соответствии с риском и сосредоточитесь больше на тестировании критичной функциональности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12384, 2972, 'Добавите больше ресурсов, чтобы избежать промашки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12385, 2973, 'Тестирование - это то же самое, что и обеспечение качества', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12386, 2973, 'Тестирование является частью обеспечения качества', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12387, 2973, 'Тестирование не является частью обеспечения качества', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12388, 2973, 'Тестирование - это то же самое, что и отладка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12389, 2974, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12390, 2974, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12391, 2974, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12393, 2975, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12394, 2975, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12395, 2975, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12396, 2975, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12397, 2975, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12398, 2975, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12399, 2976, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12400, 2976, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12401, 2976, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12402, 2976, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12403, 2976, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12404, 2977, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12405, 2977, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12406, 2977, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12407, 2977, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12408, 2977, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12409, 2977, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12410, 2978, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12411, 2978, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12412, 2978, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12413, 2978, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12414, 2978, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12415, 2978, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12416, 2979, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12417, 2979, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12418, 2979, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12419, 2979, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12420, 2979, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12421, 2979, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12422, 2980, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12423, 2980, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12424, 2980, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12425, 2980, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12426, 2980, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12427, 2980, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12331, 2959, 'Статическое тестирование может включать в себя такие измерения, как цикломатическая сложность', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12332, 2960, 'W1, X2, Y3, Z4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12392, 2974, 'Не вернет ни одной строки', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12428, 2981, 'Проводить сравнение с NULL нужно при помощи оператора ==', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12430, 2981, 'Проводить сравнение с NULL нужно при помощи оператора IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12431, 2981, 'Проводить сравнение с NULL нужно при помощи оператора ON', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12432, 2981, 'Оператор выбран верно, нужно выделить "NULL" кавычками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12433, 2981, 'Оператор выбран верно, нужно выделить ''NULL'' апострофами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12435, 2982, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12436, 2982, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12437, 2982, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12439, 2983, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12440, 2983, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12441, 2983, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12442, 2983, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12443, 2984, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12444, 2984, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12445, 2984, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12447, 2984, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12448, 2984, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12449, 2985, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12450, 2985, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12451, 2985, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12454, 2985, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12456, 2986, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12457, 2986, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12434, 2982, 'Ошибка: не указана таблица', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12438, 2983, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12452, 2985, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12453, 2985, 'Select * from users order by user_id, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12455, 2986, 'Select * from users where name = "Ivan";', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12460, 2986, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12462, 2987, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12463, 2987, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12464, 2987, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12465, 2987, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12466, 2987, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12467, 2988, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12469, 2988, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12470, 2988, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12471, 2988, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12472, 2988, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12473, 2989, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12474, 2989, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12475, 2989, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12477, 2989, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12478, 2989, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12481, 2990, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12482, 2990, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12483, 2990, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12484, 2990, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12485, 2991, 'Select Имя, Фамилия from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12486, 2991, 'Select first_name, last_name from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12488, 2991, 'Select Имя as first_name, Фамилия as last_name from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12490, 2991, 'Select first_name Имя, last_name Фамилия from users;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12491, 2992, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12492, 2992, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12493, 2992, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12494, 2992, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12496, 2992, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12497, 2993, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12498, 2993, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12500, 2993, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12501, 2993, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12502, 2993, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12503, 2994, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12505, 2994, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12506, 2994, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12507, 2994, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12508, 2995, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12509, 2995, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12510, 2995, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12511, 2995, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12513, 2995, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12429, 2981, 'Проводить сравнение с NULL нужно при помощи оператора IS', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12446, 2984, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12458, 2986, 'Select * from users where name = "%Ivan%";', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12459, 2986, 'Select * from users where name = %Ivan%;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12461, 2987, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12468, 2988, 'AND и OR > NOT > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12476, 2989, 'Select * from users order by user_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12479, 2990, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12480, 2990, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12487, 2991, 'Select first_name as Имя, last_name as Фамилия from users;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12489, 2991, 'Select first_name, last_name from users as Имя, Фамилия;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12495, 2992, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12499, 2993, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12504, 2994, 'Все заказы, за 2020 год кроме 1.01', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12512, 2995, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12514, 2996, 'Имя и/или должность лица, обнаружившего проблему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12515, 2996, 'Версия тестируемого ПО', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12517, 2996, 'Фактический и ожидаемый результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12518, 2997, 'Повысить безопасность системы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12516, 2996, 'Предложение как пофиксить баг', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13041, 3124, 'Тестирование операторов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12519, 2997, 'Предотвратить бесконечные циклы в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12520, 2997, 'Использовать их как план Б', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12522, 2998, 'Тестирование потенциальными клиентами, проводимое на территории разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12524, 2998, 'Тестирование разработчиками продукта на территории клиентов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12525, 2998, 'Тестирование разработчиками продукта на своей стороне', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12527, 2999, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12528, 2999, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12600, 3017, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12601, 3017, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12529, 2999, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12531, 3000, 'Это помогает предотвратить появление дефектов в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12532, 3000, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12533, 3000, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12534, 3001, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12536, 3001, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12537, 3001, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12538, 3002, 'Поиск дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12539, 3002, 'Получение уверенности в уровне качества и предоставлении информации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12541, 3002, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12542, 3003, '0, 1, 2, 99', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12543, 3003, '1, 99, 100, 98', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12545, 3003, '-1, 0, 1, 99', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12546, 3004, 'Тестирование операторов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12547, 3004, 'Тестирование решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12548, 3004, 'Покрытие условий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12554, 3006, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12555, 3006, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12557, 3006, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12558, 3007, 'Регрессионным тестированием', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12559, 3007, 'Тестированием в период сопровождения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12561, 3007, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12563, 3008, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12564, 3008, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12565, 3008, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12566, 3009, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12568, 3009, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12570, 3010, 'Системное, интеграционное, модульное, приемочное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12571, 3010, 'Модульное, интеграционное, приемочное, системное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12572, 3010, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12573, 3011, 'Стресс-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12574, 3011, 'Тестирование черного ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12575, 3011, 'Структурное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12523, 2998, 'Тестирование потенциальными клиентами на своей стороне', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12530, 3000, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12535, 3001, 'Независимое тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12540, 3002, 'Предупреждение дефектов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12544, 3003, '0, 1, 99, 100', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12549, 3004, 'Анализ граничных значений', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12550, 3005, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12551, 3005, 'Подготовка и получение тестовых данных', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12556, 3006, 'Отладка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12560, 3007, 'Повторным тестированием', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12562, 3008, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12567, 3009, 'Инструменты записи/воспроизведения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12569, 3010, 'Модульное, интеграционное, системное, приемочное', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12577, 3012, 'Компонентное тестирование тестирует взаимодействия, интеграционное ищет дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12579, 3012, 'Разработчики выполняют тестирование компонентов, тестировщики - интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12580, 3012, 'Тестировщики выполняют компонентное испытание, пользователи – интеграционное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12581, 3013, '0, 1900, 2004, 2005', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12582, 3013, '1900, 2004', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12583, 3013, '1899, 1900, 2004, 2005', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12585, 3014, 'Каждую неделю', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12587, 3014, 'Как можно чаще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12588, 3014, 'Когда среда изменилась', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12589, 3014, 'Когда менеджер проекта говорит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12590, 3015, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12591, 3015, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12593, 3015, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12594, 3016, 'Всегда будет автоматизирован', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12596, 3016, 'Поможет понять, что измененные области программного обеспечения не были затронуты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12597, 3016, 'Может выполняться только во время приемочного тестирования пользователя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12598, 3017, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12602, 3017, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12603, 3018, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12605, 3018, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12607, 3019, 'Процесс определения ожидаемых результатов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12608, 3019, 'Способ измерения качества программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12609, 3019, 'Способ измерить в плане тестирования, что необходимо сделать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12611, 3020, 'Отрицательные числа, от 1 до 15, больше 15', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12612, 3020, 'Меньше 1, 1 до 14, больше чем 15', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12613, 3020, 'Меньше 0, 1 до 14, 15 и более', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12614, 3021, 'Тестирование на одиночном модуле или единице кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12615, 3021, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12617, 3021, 'Тестирование приложения пользователями в среде разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12619, 3022, 'Облегчает своевременную настройку тестовой среды', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12620, 3022, 'Уменьшает умножение дефектов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12621, 3022, 'Позволяет тестировщикам принять участие в начале проекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12622, 3023, '$1500', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12623, 3023, '$32001', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12625, 3023, '$28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12626, 3024, '17, 18, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12627, 3024, '29, 30, 31', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12628, 3024, '18, 29, 30', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12630, 3025, 'Измерение времени отклика в системе онлайн-бронирования.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12631, 3025, 'Проверка влияния больших объемов трафика в системе call-центра.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12633, 3025, 'Проверка, насколько легко пользоваться системой.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12521, 2997, 'Определить, когда завершить тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12576, 3011, 'Регрессионное тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12584, 3013, '1899, 1900, 1901, 2003, 2004, 2005', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12586, 3014, 'После изменения программного обеспечения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12592, 3015, 'Может быть трудно определить, прошел ли тест или не прошел', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12595, 3016, 'Поможет понять, что неизмененные области программного обеспечения не были затронуты', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12599, 3017, '9999, 50000, 100000', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12604, 3018, 'При соблюдении критериев завершения тестирования', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12606, 3019, 'Процесс выбора тестовых сценариев', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12610, 3020, 'Меньше чем 1, 1 до 15, больше чем 15', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12616, 3021, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12618, 3022, 'Позволяет выявить изменения в пользовательских требованиях', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12624, 3023, '$33501', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12629, 3024, '17, 29, 31', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12632, 3025, 'Проверка информации на экране онлайн бронирования и содержимого базы данных в соответствии с информацией, указанной в письме для клиентов.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12684, 3038, 'После утверждения требований к программному обеспечению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12685, 3038, 'Когда первый модуль готов к модульному тестированию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12526, 2999, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12552, 3005, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12553, 3005, 'Создание тестовых спецификаций', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12578, 3012, 'Тестирование компонентов выполняет поиск дефектов, интеграционное тестирует взаимодействия', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12634, 3026, 'Имя и/или должность лица, обнаружившего проблему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12635, 3026, 'Версия тестируемого ПО', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12636, 3026, 'Предложение как пофиксить баг', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12637, 3026, 'Фактический и ожидаемый результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12638, 3027, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12639, 3027, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12640, 3027, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12701, 3042, 'Когда среда изменилась', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12641, 3027, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12642, 3028, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12643, 3028, 'Регрессионные тесты запускаются после каждого исправления', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12644, 3028, 'Регрессионные тесты часто автоматизируют', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12645, 3028, 'Регрессионные тесты не нуждаются в поддержке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12646, 3029, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12647, 3029, 'Это помогает предотвратить появление дефектов в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12648, 3029, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12649, 3029, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12650, 3030, 'Не требует знакомства с кодом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12651, 3030, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12652, 3030, 'Это позволяет избежать предвзятости автора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12653, 3030, 'Тестировщики лучше находят дефекты, чем разработчики', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12654, 3031, 'Тестирование производительности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12655, 3031, 'Модульное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12656, 3031, 'Регрессионное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12657, 3031, 'Тест на работоспособность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12658, 3032, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12659, 3032, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12660, 3032, 'Тестирование практичности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12661, 3032, 'Нагрузочное тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12662, 3033, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12663, 3033, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12664, 3033, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12665, 3033, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12666, 3034, 'Тестирование операторов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12667, 3034, 'Тестирование решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12668, 3034, 'Покрытие условий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12669, 3034, 'Анализ граничных значений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12670, 3035, 'Регрессионным тестированием', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12671, 3035, 'Тестированием в период сопровождения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12672, 3035, 'Повторным тестированием', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12673, 3035, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12674, 3036, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12675, 3036, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12676, 3036, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12677, 3036, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12678, 3037, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12679, 3037, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12680, 3037, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12681, 3037, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12682, 3038, 'Когда код готов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12683, 3038, 'Когда проектирование завершено', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12686, 3039, 'Компонентное тестирование тестирует взаимодействия, интеграционное ищет дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12687, 3039, 'Тестирование компонентов выполняет поиск дефектов, интеграционное тестирует взаимодействия', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12688, 3039, 'Разработчики выполняют тестирование компонентов, тестировщики - интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12689, 3039, 'Тестировщики выполняют компонентное испытание, пользователи – интеграционное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12690, 3040, 'Отсутствие технической документации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12691, 3040, 'Отсутствие тестовых инструментов на рынке для разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12692, 3040, 'Отсутствие обучения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12693, 3040, 'Отсутствие объективности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12694, 3041, 'Это то же самое, что и тесты на разбиение эквивалентности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12695, 3041, 'Тестовые граничные условия - это значения, которые выше и ниже границы класса эквивалентности для входа и выхода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12696, 3041, 'Проверяет комбинации входных обстоятельств', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12697, 3041, 'Используется в стратегии тестирования белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12698, 3042, 'Каждую неделю', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12699, 3042, 'После изменения программного обеспечения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12700, 3042, 'Как можно чаще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12702, 3042, 'Когда менеджер проекта говорит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12703, 3043, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12704, 3043, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12705, 3043, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12706, 3043, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12707, 3044, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12708, 3044, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12709, 3044, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12710, 3044, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12711, 3044, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12712, 3045, 'Как исправить неисправность', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12713, 3045, 'Как воспроизвести неисправность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12714, 3045, 'Сведения о тестовой среде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12715, 3045, 'Серьезность, приоритет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12716, 3045, 'Фактические и ожидаемые результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12717, 3046, 'Тестирование, чтобы увидеть, где система не работает должным образом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12718, 3046, 'Тестирование качественных атрибутов системы, включая производительность и удобство использования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12719, 3046, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этого действия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12720, 3046, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этой функции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12721, 3046, 'Тестирование функций, которые не должны существовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12722, 3047, 'CLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12723, 3047, 'cLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12724, 3047, 'CLass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12725, 3047, 'CLa01ss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12726, 3048, '$5800; $28000; $32000', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12727, 3048, '$0; $200; $4200', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12728, 3048, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12729, 3048, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12730, 3049, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12731, 3049, 'При соблюдении критериев завершения тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12732, 3049, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12733, 3050, 'Быть как можно вежливее, конструктивнее и полезнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12734, 3050, 'Настаивать на том, что ошибка не является "фичей", если она должна быть исправлена', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12735, 3050, 'Быть дипломатичным, не критиковать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12736, 3050, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12737, 3051, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12738, 3051, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12739, 3051, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12740, 3051, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12741, 3052, 'Авторизация в приложении', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12742, 3052, 'Удаление вложения в черновике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12743, 3052, 'Получение письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12744, 3052, 'Отправка письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12745, 3052, 'Отправка письма на несуществующий адрес', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12746, 3052, 'Пометить письмо непрочитанным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12747, 3053, 'Тестирование на одиночном модуле или единице кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12748, 3053, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12749, 3053, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12750, 3053, 'Тестирование приложения пользователями в среде разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12751, 3054, 'Найти как можно больше ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12752, 3054, 'Тестировать зоны высокого риска', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12753, 3054, 'Получить хорошее тестовое покрытие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12754, 3054, 'Тестировать то, что проще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12755, 3055, '$1500', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12756, 3055, '$32001', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12757, 3055, '$33501', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12758, 3055, '$28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12759, 3056, 'Имя и/или должность лица, обнаружившего проблему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12760, 3056, 'Версия тестируемого ПО', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12761, 3056, 'Предложение как пофиксить баг', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12762, 3056, 'Фактический и ожидаемый результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12763, 3057, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12819, 3071, 'Это то же самое, что и тесты на разбиение эквивалентности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12885, 3086, 'Версия тестируемого ПО', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12764, 3057, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12765, 3057, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12766, 3057, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12767, 3058, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12768, 3058, 'Регрессионные тесты запускаются после каждого исправления', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12769, 3058, 'Регрессионные тесты часто автоматизируют', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12770, 3058, 'Регрессионные тесты не нуждаются в поддержке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12771, 3059, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12772, 3059, 'Это помогает предотвратить появление дефектов в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12773, 3059, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12774, 3059, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12775, 3060, 'Не требует знакомства с кодом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12776, 3060, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12777, 3060, 'Это позволяет избежать предвзятости автора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12778, 3060, 'Тестировщики лучше находят дефекты, чем разработчики', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12779, 3061, 'Тестирование производительности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12780, 3061, 'Модульное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12781, 3061, 'Регрессионное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12782, 3061, 'Тест на работоспособность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12783, 3062, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12784, 3062, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12785, 3062, 'Тестирование практичности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12786, 3062, 'Нагрузочное тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12787, 3063, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12788, 3063, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12789, 3063, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12790, 3063, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12791, 3064, 'Тестирование операторов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12792, 3064, 'Тестирование решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12793, 3064, 'Покрытие условий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12794, 3064, 'Анализ граничных значений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12795, 3065, 'Регрессионным тестированием', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12796, 3065, 'Тестированием в период сопровождения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12797, 3065, 'Повторным тестированием', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12798, 3065, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12799, 3066, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12800, 3066, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12801, 3066, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12802, 3066, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12803, 3067, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19305, 4519, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12804, 3067, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12805, 3067, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12806, 3067, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12807, 3068, 'Когда код готов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12808, 3068, 'Когда проектирование завершено', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12809, 3068, 'После утверждения требований к программному обеспечению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12810, 3068, 'Когда первый модуль готов к модульному тестированию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12811, 3069, 'Компонентное тестирование тестирует взаимодействия, интеграционное ищет дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12812, 3069, 'Тестирование компонентов выполняет поиск дефектов, интеграционное тестирует взаимодействия', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12813, 3069, 'Разработчики выполняют тестирование компонентов, тестировщики - интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12814, 3069, 'Тестировщики выполняют компонентное испытание, пользователи – интеграционное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12815, 3070, 'Отсутствие технической документации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12816, 3070, 'Отсутствие тестовых инструментов на рынке для разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12817, 3070, 'Отсутствие обучения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12818, 3070, 'Отсутствие объективности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12820, 3071, 'Тестовые граничные условия - это значения, которые выше и ниже границы класса эквивалентности для входа и выхода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12821, 3071, 'Проверяет комбинации входных обстоятельств', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12822, 3071, 'Используется в стратегии тестирования белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12823, 3072, 'Каждую неделю', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12824, 3072, 'После изменения программного обеспечения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12825, 3072, 'Как можно чаще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12826, 3072, 'Когда среда изменилась', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12827, 3072, 'Когда менеджер проекта говорит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12828, 3073, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12829, 3073, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12830, 3073, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12831, 3073, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12832, 3074, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12833, 3074, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12834, 3074, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12835, 3074, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12836, 3074, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12837, 3075, 'Как исправить неисправность', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12838, 3075, 'Как воспроизвести неисправность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12839, 3075, 'Сведения о тестовой среде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12840, 3075, 'Серьезность, приоритет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12841, 3075, 'Фактические и ожидаемые результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12842, 3076, 'Тестирование, чтобы увидеть, где система не работает должным образом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12843, 3076, 'Тестирование качественных атрибутов системы, включая производительность и удобство использования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12844, 3076, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этого действия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12845, 3076, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этой функции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12846, 3076, 'Тестирование функций, которые не должны существовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12847, 3077, 'CLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12848, 3077, 'cLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12849, 3077, 'CLass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12850, 3077, 'CLa01ss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12851, 3078, '$5800; $28000; $32000', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12852, 3078, '$0; $200; $4200', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12853, 3078, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12854, 3078, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12855, 3079, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12856, 3079, 'При соблюдении критериев завершения тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12857, 3079, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12858, 3080, 'Быть как можно вежливее, конструктивнее и полезнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12859, 3080, 'Настаивать на том, что ошибка не является "фичей", если она должна быть исправлена', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12860, 3080, 'Быть дипломатичным, не критиковать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12861, 3080, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12862, 3081, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12863, 3081, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12864, 3081, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12865, 3081, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12866, 3082, 'Авторизация в приложении', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12867, 3082, 'Удаление вложения в черновике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12868, 3082, 'Получение письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12869, 3082, 'Отправка письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12870, 3082, 'Отправка письма на несуществующий адрес', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12871, 3082, 'Пометить письмо непрочитанным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12872, 3083, 'Тестирование на одиночном модуле или единице кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12873, 3083, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12874, 3083, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12875, 3083, 'Тестирование приложения пользователями в среде разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12876, 3084, 'Найти как можно больше ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12877, 3084, 'Тестировать зоны высокого риска', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12878, 3084, 'Получить хорошее тестовое покрытие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12879, 3084, 'Тестировать то, что проще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12880, 3085, '$1500', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12881, 3085, '$32001', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12882, 3085, '$33501', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12883, 3085, '$28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12884, 3086, 'Имя и/или должность лица, обнаружившего проблему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12886, 3086, 'Предложение как пофиксить баг', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12887, 3086, 'Фактический и ожидаемый результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12888, 3087, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12889, 3087, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12890, 3087, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12891, 3087, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12892, 3088, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12893, 3088, 'Регрессионные тесты запускаются после каждого исправления', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12894, 3088, 'Регрессионные тесты часто автоматизируют', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12895, 3088, 'Регрессионные тесты не нуждаются в поддержке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12896, 3089, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12897, 3089, 'Это помогает предотвратить появление дефектов в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12898, 3089, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12899, 3089, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12900, 3090, 'Не требует знакомства с кодом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12901, 3090, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12902, 3090, 'Это позволяет избежать предвзятости автора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12903, 3090, 'Тестировщики лучше находят дефекты, чем разработчики', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12904, 3091, 'Тестирование производительности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12905, 3091, 'Модульное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12906, 3091, 'Регрессионное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12907, 3091, 'Тест на работоспособность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12908, 3092, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12909, 3092, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12910, 3092, 'Тестирование практичности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12911, 3092, 'Нагрузочное тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12912, 3093, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12913, 3093, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12914, 3093, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12915, 3093, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12916, 3094, 'Тестирование операторов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12917, 3094, 'Тестирование решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12918, 3094, 'Покрытие условий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12919, 3094, 'Анализ граничных значений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12920, 3095, 'Регрессионным тестированием', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12921, 3095, 'Тестированием в период сопровождения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12922, 3095, 'Повторным тестированием', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12923, 3095, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12924, 3096, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12925, 3096, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12926, 3096, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12927, 3096, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12928, 3097, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12929, 3097, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12930, 3097, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12931, 3097, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12932, 3098, 'Когда код готов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12933, 3098, 'Когда проектирование завершено', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12934, 3098, 'После утверждения требований к программному обеспечению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12935, 3098, 'Когда первый модуль готов к модульному тестированию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12936, 3099, 'Компонентное тестирование тестирует взаимодействия, интеграционное ищет дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12937, 3099, 'Тестирование компонентов выполняет поиск дефектов, интеграционное тестирует взаимодействия', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12938, 3099, 'Разработчики выполняют тестирование компонентов, тестировщики - интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13060, 3128, 'Когда первый модуль готов к модульному тестированию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12939, 3099, 'Тестировщики выполняют компонентное испытание, пользователи – интеграционное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12940, 3100, 'Отсутствие технической документации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12941, 3100, 'Отсутствие тестовых инструментов на рынке для разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12942, 3100, 'Отсутствие обучения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12943, 3100, 'Отсутствие объективности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12944, 3101, 'Это то же самое, что и тесты на разбиение эквивалентности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12945, 3101, 'Тестовые граничные условия - это значения, которые выше и ниже границы класса эквивалентности для входа и выхода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12946, 3101, 'Проверяет комбинации входных обстоятельств', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12947, 3101, 'Используется в стратегии тестирования белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12948, 3102, 'Каждую неделю', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12949, 3102, 'После изменения программного обеспечения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12950, 3102, 'Как можно чаще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12951, 3102, 'Когда среда изменилась', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12952, 3102, 'Когда менеджер проекта говорит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12953, 3103, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12954, 3103, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12955, 3103, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12956, 3103, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12957, 3104, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12958, 3104, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12959, 3104, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12960, 3104, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12961, 3104, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12962, 3105, 'Как исправить неисправность', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12963, 3105, 'Как воспроизвести неисправность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12964, 3105, 'Сведения о тестовой среде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12965, 3105, 'Серьезность, приоритет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12966, 3105, 'Фактические и ожидаемые результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12967, 3106, 'Тестирование, чтобы увидеть, где система не работает должным образом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12968, 3106, 'Тестирование качественных атрибутов системы, включая производительность и удобство использования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12969, 3106, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этого действия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12970, 3106, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этой функции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12971, 3106, 'Тестирование функций, которые не должны существовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12972, 3107, 'CLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12973, 3107, 'cLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12974, 3107, 'CLass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12975, 3107, 'CLa01ss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12976, 3108, '$5800; $28000; $32000', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12977, 3108, '$0; $200; $4200', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12978, 3108, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12979, 3108, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12980, 3109, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12981, 3109, 'При соблюдении критериев завершения тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12982, 3109, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13040, 3123, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12983, 3110, 'Быть как можно вежливее, конструктивнее и полезнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12984, 3110, 'Настаивать на том, что ошибка не является "фичей", если она должна быть исправлена', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12985, 3110, 'Быть дипломатичным, не критиковать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12986, 3110, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12987, 3111, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12988, 3111, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12989, 3111, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12990, 3111, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12991, 3112, 'Авторизация в приложении', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12992, 3112, 'Удаление вложения в черновике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12993, 3112, 'Получение письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12994, 3112, 'Отправка письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12995, 3112, 'Отправка письма на несуществующий адрес', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12996, 3112, 'Пометить письмо непрочитанным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12997, 3113, 'Тестирование на одиночном модуле или единице кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12998, 3113, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (12999, 3113, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17475, 4110, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13000, 3113, 'Тестирование приложения пользователями в среде разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13001, 3114, 'Найти как можно больше ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13002, 3114, 'Тестировать зоны высокого риска', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13003, 3114, 'Получить хорошее тестовое покрытие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13004, 3114, 'Тестировать то, что проще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13005, 3115, '$1500', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13006, 3115, '$32001', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13007, 3115, '$33501', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13008, 3115, '$28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13009, 3116, 'Имя и/или должность лица, обнаружившего проблему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13010, 3116, 'Версия тестируемого ПО', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13011, 3116, 'Предложение как пофиксить баг', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13012, 3116, 'Фактический и ожидаемый результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13013, 3117, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13014, 3117, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13015, 3117, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13016, 3117, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13017, 3118, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13018, 3118, 'Регрессионные тесты запускаются после каждого исправления', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13019, 3118, 'Регрессионные тесты часто автоматизируют', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13020, 3118, 'Регрессионные тесты не нуждаются в поддержке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13021, 3119, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13022, 3119, 'Это помогает предотвратить появление дефектов в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13023, 3119, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13024, 3119, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13025, 3120, 'Не требует знакомства с кодом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13026, 3120, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13027, 3120, 'Это позволяет избежать предвзятости автора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13028, 3120, 'Тестировщики лучше находят дефекты, чем разработчики', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13029, 3121, 'Тестирование производительности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13030, 3121, 'Модульное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13031, 3121, 'Регрессионное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13032, 3121, 'Тест на работоспособность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13033, 3122, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13034, 3122, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13035, 3122, 'Тестирование практичности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13036, 3122, 'Нагрузочное тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13037, 3123, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13038, 3123, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13039, 3123, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13042, 3124, 'Тестирование решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13043, 3124, 'Покрытие условий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13044, 3124, 'Анализ граничных значений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13045, 3125, 'Регрессионным тестированием', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13046, 3125, 'Тестированием в период сопровождения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13047, 3125, 'Повторным тестированием', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13048, 3125, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13049, 3126, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13050, 3126, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13051, 3126, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13052, 3126, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13053, 3127, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13054, 3127, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13055, 3127, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13056, 3127, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13057, 3128, 'Когда код готов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13058, 3128, 'Когда проектирование завершено', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13059, 3128, 'После утверждения требований к программному обеспечению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17784, 4179, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13061, 3129, 'Компонентное тестирование тестирует взаимодействия, интеграционное ищет дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13062, 3129, 'Тестирование компонентов выполняет поиск дефектов, интеграционное тестирует взаимодействия', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13063, 3129, 'Разработчики выполняют тестирование компонентов, тестировщики - интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13064, 3129, 'Тестировщики выполняют компонентное испытание, пользователи – интеграционное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13065, 3130, 'Отсутствие технической документации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13066, 3130, 'Отсутствие тестовых инструментов на рынке для разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13067, 3130, 'Отсутствие обучения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13068, 3130, 'Отсутствие объективности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13069, 3131, 'Это то же самое, что и тесты на разбиение эквивалентности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13070, 3131, 'Тестовые граничные условия - это значения, которые выше и ниже границы класса эквивалентности для входа и выхода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13071, 3131, 'Проверяет комбинации входных обстоятельств', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13072, 3131, 'Используется в стратегии тестирования белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13073, 3132, 'Каждую неделю', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13074, 3132, 'После изменения программного обеспечения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13075, 3132, 'Как можно чаще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13076, 3132, 'Когда среда изменилась', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13077, 3132, 'Когда менеджер проекта говорит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13078, 3133, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13079, 3133, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13080, 3133, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13081, 3133, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13082, 3134, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13083, 3134, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13084, 3134, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13085, 3134, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13086, 3134, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13087, 3135, 'Как исправить неисправность', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13088, 3135, 'Как воспроизвести неисправность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13089, 3135, 'Сведения о тестовой среде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13090, 3135, 'Серьезность, приоритет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13091, 3135, 'Фактические и ожидаемые результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13092, 3136, 'Тестирование, чтобы увидеть, где система не работает должным образом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13093, 3136, 'Тестирование качественных атрибутов системы, включая производительность и удобство использования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13094, 3136, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этого действия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13095, 3136, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этой функции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13096, 3136, 'Тестирование функций, которые не должны существовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13097, 3137, 'CLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13098, 3137, 'cLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13099, 3137, 'CLass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13100, 3137, 'CLa01ss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13101, 3138, '$5800; $28000; $32000', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13102, 3138, '$0; $200; $4200', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13103, 3138, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13104, 3138, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13105, 3139, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13106, 3139, 'При соблюдении критериев завершения тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13107, 3139, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13108, 3140, 'Быть как можно вежливее, конструктивнее и полезнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13109, 3140, 'Настаивать на том, что ошибка не является "фичей", если она должна быть исправлена', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13110, 3140, 'Быть дипломатичным, не критиковать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13111, 3140, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13112, 3141, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13113, 3141, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13114, 3141, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13115, 3141, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13116, 3142, 'Авторизация в приложении', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13117, 3142, 'Удаление вложения в черновике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13118, 3142, 'Получение письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13119, 3142, 'Отправка письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13120, 3142, 'Отправка письма на несуществующий адрес', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13121, 3142, 'Пометить письмо непрочитанным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13122, 3143, 'Тестирование на одиночном модуле или единице кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13123, 3143, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13124, 3143, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13125, 3143, 'Тестирование приложения пользователями в среде разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13126, 3144, 'Найти как можно больше ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13127, 3144, 'Тестировать зоны высокого риска', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13128, 3144, 'Получить хорошее тестовое покрытие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13129, 3144, 'Тестировать то, что проще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13130, 3145, '$1500', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13131, 3145, '$32001', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13132, 3145, '$33501', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13133, 3145, '$28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13134, 3146, 'Имя и/или должность лица, обнаружившего проблему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13135, 3146, 'Версия тестируемого ПО', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13137, 3146, 'Фактический и ожидаемый результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13139, 3147, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13140, 3147, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13141, 3147, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13142, 3148, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13145, 3148, 'Регрессионные тесты не нуждаются в поддержке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13146, 3149, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13148, 3149, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13149, 3149, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13150, 3150, 'Не требует знакомства с кодом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13151, 3150, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13153, 3150, 'Тестировщики лучше находят дефекты, чем разработчики', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13155, 3151, 'Модульное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13156, 3151, 'Регрессионное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13157, 3151, 'Тест на работоспособность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13158, 3152, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13144, 3148, 'Регрессионные тесты часто автоматизируют', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13143, 3148, 'Регрессионные тесты запускаются после каждого исправления', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13147, 3149, 'Это помогает предотвратить появление дефектов в коде', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13152, 3150, 'Это позволяет избежать предвзятости автора', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13154, 3151, 'Тестирование производительности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19306, 4519, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19307, 4519, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19308, 4519, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19309, 4519, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13159, 3152, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13160, 3152, 'Тестирование практичности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13162, 3153, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13163, 3153, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13165, 3153, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13166, 3154, 'Тестирование операторов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13167, 3154, 'Тестирование решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13168, 3154, 'Покрытие условий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13170, 3155, 'Регрессионным тестированием', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13171, 3155, 'Тестированием в период сопровождения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13173, 3155, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13174, 3156, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13175, 3156, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13176, 3156, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13179, 3157, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13180, 3157, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13181, 3157, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13182, 3158, 'Когда код готов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13183, 3158, 'Когда проектирование завершено', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13185, 3158, 'Когда первый модуль готов к модульному тестированию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13186, 3159, 'Компонентное тестирование тестирует взаимодействия, интеграционное ищет дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13188, 3159, 'Разработчики выполняют тестирование компонентов, тестировщики - интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13189, 3159, 'Тестировщики выполняют компонентное испытание, пользователи – интеграционное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13190, 3160, 'Отсутствие технической документации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13191, 3160, 'Отсутствие тестовых инструментов на рынке для разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13192, 3160, 'Отсутствие обучения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13194, 3161, 'Это то же самое, что и тесты на разбиение эквивалентности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13196, 3161, 'Проверяет комбинации входных обстоятельств', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13197, 3161, 'Используется в стратегии тестирования белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13198, 3162, 'Каждую неделю', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13200, 3162, 'Как можно чаще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13201, 3162, 'Когда среда изменилась', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13202, 3162, 'Когда менеджер проекта говорит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13203, 3163, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13204, 3163, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13206, 3163, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13207, 3164, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13208, 3164, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13210, 3164, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13211, 3164, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13213, 3165, 'Как воспроизвести неисправность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13214, 3165, 'Сведения о тестовой среде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13215, 3165, 'Серьезность, приоритет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13216, 3165, 'Фактические и ожидаемые результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13217, 3166, 'Тестирование, чтобы увидеть, где система не работает должным образом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13161, 3152, 'Нагрузочное тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13164, 3153, 'Модульный уровень тестирования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13169, 3154, 'Анализ граничных значений', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13172, 3155, 'Повторным тестированием', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13177, 3156, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13178, 3157, 'Бета-тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13184, 3158, 'После утверждения требований к программному обеспечению', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13193, 3160, 'Отсутствие объективности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13195, 3161, 'Тестовые граничные условия - это значения, которые выше и ниже границы класса эквивалентности для входа и выхода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13199, 3162, 'После изменения программного обеспечения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13205, 3163, 'Может быть трудно определить, прошел ли тест или не прошел', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13209, 3164, '10000, 50000, 99999', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13212, 3165, 'Как исправить неисправность', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13218, 3166, 'Тестирование качественных атрибутов системы, включая производительность и удобство использования', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13270, 3178, 'Регрессионные тесты не нуждаются в поддержке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13271, 3179, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13635, 3266, 'Версия тестируемого ПО', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13219, 3166, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этого действия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13220, 3166, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этой функции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13221, 3166, 'Тестирование функций, которые не должны существовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13222, 3167, 'CLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13223, 3167, 'cLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13224, 3167, 'CLass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13227, 3168, '$0; $200; $4200', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13228, 3168, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13229, 3168, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13230, 3169, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13232, 3169, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13234, 3170, 'Настаивать на том, что ошибка не является "фичей", если она должна быть исправлена', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13236, 3170, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13237, 3171, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13239, 3171, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13240, 3171, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13242, 3172, 'Удаление вложения в черновике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13245, 3172, 'Отправка письма на несуществующий адрес', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13246, 3172, 'Пометить письмо непрочитанным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13247, 3173, 'Тестирование на одиночном модуле или единице кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13295, 3185, 'Регрессионным тестированием', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13248, 3173, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13250, 3173, 'Тестирование приложения пользователями в среде разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13252, 3174, 'Тестировать зоны высокого риска', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13253, 3174, 'Получить хорошее тестовое покрытие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13254, 3174, 'Тестировать то, что проще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13255, 3175, '$1500', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13256, 3175, '$32001', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13258, 3175, '$28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13136, 3146, 'Предложение как пофиксить баг', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13138, 3147, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13187, 3159, 'Тестирование компонентов выполняет поиск дефектов, интеграционное тестирует взаимодействия', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13225, 3167, 'CLa01ss', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13226, 3168, '$5800; $28000; $32000', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13259, 3176, 'Имя и/или должность лица, обнаружившего проблему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13260, 3176, 'Версия тестируемого ПО', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13261, 3176, 'Предложение как пофиксить баг', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13262, 3176, 'Фактический и ожидаемый результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13263, 3177, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13264, 3177, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13265, 3177, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13266, 3177, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13267, 3178, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13268, 3178, 'Регрессионные тесты запускаются после каждого исправления', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13269, 3178, 'Регрессионные тесты часто автоматизируют', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13231, 3169, 'При соблюдении критериев завершения тестирования', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13448, 3222, 'Каждую неделю', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13449, 3222, 'После изменения программного обеспечения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13238, 3171, '0, 1, емкость, емкость + 1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13241, 3172, 'Авторизация в приложении', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13243, 3172, 'Получение письма', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13244, 3172, 'Отправка письма', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13249, 3173, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13251, 3174, 'Найти как можно больше ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13257, 3175, '$33501', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13272, 3179, 'Это помогает предотвратить появление дефектов в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13273, 3179, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13274, 3179, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13275, 3180, 'Не требует знакомства с кодом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13276, 3180, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13277, 3180, 'Это позволяет избежать предвзятости автора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13278, 3180, 'Тестировщики лучше находят дефекты, чем разработчики', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13279, 3181, 'Тестирование производительности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13280, 3181, 'Модульное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13281, 3181, 'Регрессионное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13282, 3181, 'Тест на работоспособность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13283, 3182, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13284, 3182, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13285, 3182, 'Тестирование практичности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13286, 3182, 'Нагрузочное тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13287, 3183, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13288, 3183, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13289, 3183, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13290, 3183, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13291, 3184, 'Тестирование операторов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13292, 3184, 'Тестирование решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13293, 3184, 'Покрытие условий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13294, 3184, 'Анализ граничных значений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13474, 3227, 'CLass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13296, 3185, 'Тестированием в период сопровождения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13297, 3185, 'Повторным тестированием', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13298, 3185, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13299, 3186, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13300, 3186, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13301, 3186, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13302, 3186, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13303, 3187, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13304, 3187, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13305, 3187, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13306, 3187, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13307, 3188, 'Когда код готов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13308, 3188, 'Когда проектирование завершено', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13309, 3188, 'После утверждения требований к программному обеспечению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13310, 3188, 'Когда первый модуль готов к модульному тестированию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13311, 3189, 'Компонентное тестирование тестирует взаимодействия, интеграционное ищет дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13312, 3189, 'Тестирование компонентов выполняет поиск дефектов, интеграционное тестирует взаимодействия', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13313, 3189, 'Разработчики выполняют тестирование компонентов, тестировщики - интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13314, 3189, 'Тестировщики выполняют компонентное испытание, пользователи – интеграционное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13315, 3190, 'Отсутствие технической документации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13316, 3190, 'Отсутствие тестовых инструментов на рынке для разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13317, 3190, 'Отсутствие обучения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13318, 3190, 'Отсутствие объективности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13319, 3191, 'Это то же самое, что и тесты на разбиение эквивалентности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13320, 3191, 'Тестовые граничные условия - это значения, которые выше и ниже границы класса эквивалентности для входа и выхода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13321, 3191, 'Проверяет комбинации входных обстоятельств', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13322, 3191, 'Используется в стратегии тестирования белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13323, 3192, 'Каждую неделю', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13324, 3192, 'После изменения программного обеспечения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13325, 3192, 'Как можно чаще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13326, 3192, 'Когда среда изменилась', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13327, 3192, 'Когда менеджер проекта говорит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13328, 3193, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13329, 3193, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13330, 3193, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13450, 3222, 'Как можно чаще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13331, 3193, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13332, 3194, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13333, 3194, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13334, 3194, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13335, 3194, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13336, 3194, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13337, 3195, 'Как исправить неисправность', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13338, 3195, 'Как воспроизвести неисправность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13339, 3195, 'Сведения о тестовой среде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13340, 3195, 'Серьезность, приоритет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13341, 3195, 'Фактические и ожидаемые результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13342, 3196, 'Тестирование, чтобы увидеть, где система не работает должным образом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13343, 3196, 'Тестирование качественных атрибутов системы, включая производительность и удобство использования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13344, 3196, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этого действия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13345, 3196, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этой функции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13346, 3196, 'Тестирование функций, которые не должны существовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13347, 3197, 'CLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13348, 3197, 'cLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13349, 3197, 'CLass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13350, 3197, 'CLa01ss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13351, 3198, '$5800; $28000; $32000', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13352, 3198, '$0; $200; $4200', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13353, 3198, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13354, 3198, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13355, 3199, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13356, 3199, 'При соблюдении критериев завершения тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13357, 3199, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13358, 3200, 'Быть как можно вежливее, конструктивнее и полезнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13359, 3200, 'Настаивать на том, что ошибка не является "фичей", если она должна быть исправлена', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13360, 3200, 'Быть дипломатичным, не критиковать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13361, 3200, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13362, 3201, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13363, 3201, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13364, 3201, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13365, 3201, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13366, 3202, 'Авторизация в приложении', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13367, 3202, 'Удаление вложения в черновике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13368, 3202, 'Получение письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13369, 3202, 'Отправка письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13370, 3202, 'Отправка письма на несуществующий адрес', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13371, 3202, 'Пометить письмо непрочитанным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13372, 3203, 'Тестирование на одиночном модуле или единице кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13373, 3203, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13374, 3203, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13375, 3203, 'Тестирование приложения пользователями в среде разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13376, 3204, 'Найти как можно больше ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13377, 3204, 'Тестировать зоны высокого риска', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13378, 3204, 'Получить хорошее тестовое покрытие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13379, 3204, 'Тестировать то, что проще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13380, 3205, '$1500', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13381, 3205, '$32001', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13382, 3205, '$33501', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13383, 3205, '$28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13384, 3206, 'Имя и/или должность лица, обнаружившего проблему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13385, 3206, 'Версия тестируемого ПО', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13386, 3206, 'Предложение как пофиксить баг', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13387, 3206, 'Фактический и ожидаемый результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13388, 3207, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13389, 3207, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13390, 3207, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13451, 3222, 'Когда среда изменилась', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13391, 3207, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13392, 3208, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13393, 3208, 'Регрессионные тесты запускаются после каждого исправления', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13394, 3208, 'Регрессионные тесты часто автоматизируют', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13395, 3208, 'Регрессионные тесты не нуждаются в поддержке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13396, 3209, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13397, 3209, 'Это помогает предотвратить появление дефектов в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13398, 3209, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13399, 3209, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13400, 3210, 'Не требует знакомства с кодом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13401, 3210, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13402, 3210, 'Это позволяет избежать предвзятости автора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13403, 3210, 'Тестировщики лучше находят дефекты, чем разработчики', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13404, 3211, 'Тестирование производительности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13405, 3211, 'Модульное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13406, 3211, 'Регрессионное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13407, 3211, 'Тест на работоспособность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13408, 3212, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13409, 3212, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13410, 3212, 'Тестирование практичности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13475, 3227, 'CLa01ss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13411, 3212, 'Нагрузочное тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13412, 3213, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13413, 3213, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13414, 3213, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13415, 3213, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13416, 3214, 'Тестирование операторов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13417, 3214, 'Тестирование решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13418, 3214, 'Покрытие условий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13419, 3214, 'Анализ граничных значений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13420, 3215, 'Регрессионным тестированием', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13421, 3215, 'Тестированием в период сопровождения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13422, 3215, 'Повторным тестированием', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13423, 3215, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13424, 3216, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13425, 3216, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13426, 3216, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13427, 3216, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13428, 3217, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13429, 3217, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13430, 3217, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13431, 3217, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13432, 3218, 'Когда код готов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13433, 3218, 'Когда проектирование завершено', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13434, 3218, 'После утверждения требований к программному обеспечению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13435, 3218, 'Когда первый модуль готов к модульному тестированию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13436, 3219, 'Компонентное тестирование тестирует взаимодействия, интеграционное ищет дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13437, 3219, 'Тестирование компонентов выполняет поиск дефектов, интеграционное тестирует взаимодействия', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13438, 3219, 'Разработчики выполняют тестирование компонентов, тестировщики - интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13439, 3219, 'Тестировщики выполняют компонентное испытание, пользователи – интеграционное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13440, 3220, 'Отсутствие технической документации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13441, 3220, 'Отсутствие тестовых инструментов на рынке для разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13442, 3220, 'Отсутствие обучения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13443, 3220, 'Отсутствие объективности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13444, 3221, 'Это то же самое, что и тесты на разбиение эквивалентности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13445, 3221, 'Тестовые граничные условия - это значения, которые выше и ниже границы класса эквивалентности для входа и выхода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13446, 3221, 'Проверяет комбинации входных обстоятельств', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13447, 3221, 'Используется в стратегии тестирования белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13452, 3222, 'Когда менеджер проекта говорит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13453, 3223, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13454, 3223, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13455, 3223, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13456, 3223, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13457, 3224, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13458, 3224, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13459, 3224, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13460, 3224, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13461, 3224, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13462, 3225, 'Как исправить неисправность', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13463, 3225, 'Как воспроизвести неисправность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13464, 3225, 'Сведения о тестовой среде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13465, 3225, 'Серьезность, приоритет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13466, 3225, 'Фактические и ожидаемые результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13467, 3226, 'Тестирование, чтобы увидеть, где система не работает должным образом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13468, 3226, 'Тестирование качественных атрибутов системы, включая производительность и удобство использования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13469, 3226, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этого действия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13470, 3226, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этой функции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13471, 3226, 'Тестирование функций, которые не должны существовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13472, 3227, 'CLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13473, 3227, 'cLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13476, 3228, '$5800; $28000; $32000', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13477, 3228, '$0; $200; $4200', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13478, 3228, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13479, 3228, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13480, 3229, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13481, 3229, 'При соблюдении критериев завершения тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13482, 3229, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13483, 3230, 'Быть как можно вежливее, конструктивнее и полезнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13484, 3230, 'Настаивать на том, что ошибка не является "фичей", если она должна быть исправлена', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13485, 3230, 'Быть дипломатичным, не критиковать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13486, 3230, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13487, 3231, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13488, 3231, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13489, 3231, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13490, 3231, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13491, 3232, 'Авторизация в приложении', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13492, 3232, 'Удаление вложения в черновике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13493, 3232, 'Получение письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13494, 3232, 'Отправка письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13495, 3232, 'Отправка письма на несуществующий адрес', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13496, 3232, 'Пометить письмо непрочитанным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13497, 3233, 'Тестирование на одиночном модуле или единице кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13498, 3233, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13499, 3233, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13500, 3233, 'Тестирование приложения пользователями в среде разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13501, 3234, 'Найти как можно больше ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13502, 3234, 'Тестировать зоны высокого риска', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13503, 3234, 'Получить хорошее тестовое покрытие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13504, 3234, 'Тестировать то, что проще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13505, 3235, '$1500', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13506, 3235, '$32001', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13507, 3235, '$33501', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13508, 3235, '$28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13509, 3236, 'Имя и/или должность лица, обнаружившего проблему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13510, 3236, 'Версия тестируемого ПО', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13512, 3236, 'Фактический и ожидаемый результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13513, 3237, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13569, 3251, 'Это то же самое, что и тесты на разбиение эквивалентности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13511, 3236, 'Предложение как пофиксить баг', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14860, 3547, 'Только 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13514, 3237, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13515, 3237, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13517, 3238, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13518, 3238, 'Регрессионные тесты запускаются после каждого исправления', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13520, 3238, 'Регрессионные тесты не нуждаются в поддержке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13521, 3239, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13522, 3239, 'Это помогает предотвратить появление дефектов в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13523, 3239, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13525, 3240, 'Не требует знакомства с кодом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13526, 3240, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13528, 3240, 'Тестировщики лучше находят дефекты, чем разработчики', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13530, 3241, 'Модульное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13531, 3241, 'Регрессионное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13532, 3241, 'Тест на работоспособность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13533, 3242, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13534, 3242, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13535, 3242, 'Тестирование практичности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13537, 3243, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13538, 3243, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17788, 4179, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13539, 3243, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13541, 3244, 'Тестирование операторов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13543, 3244, 'Покрытие условий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13544, 3244, 'Анализ граничных значений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13546, 3245, 'Тестированием в период сопровождения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13547, 3245, 'Повторным тестированием', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13548, 3245, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13550, 3246, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13551, 3246, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13552, 3246, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13554, 3247, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13555, 3247, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13556, 3247, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13557, 3248, 'Когда код готов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13558, 3248, 'Когда проектирование завершено', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13560, 3248, 'Когда первый модуль готов к модульному тестированию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13561, 3249, 'Компонентное тестирование тестирует взаимодействия, интеграционное ищет дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13563, 3249, 'Разработчики выполняют тестирование компонентов, тестировщики - интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13564, 3249, 'Тестировщики выполняют компонентное испытание, пользователи – интеграционное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13565, 3250, 'Отсутствие технической документации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13566, 3250, 'Отсутствие тестовых инструментов на рынке для разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13567, 3250, 'Отсутствие обучения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13519, 3238, 'Регрессионные тесты часто автоматизируют', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13524, 3239, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13527, 3240, 'Это позволяет избежать предвзятости автора', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13529, 3241, 'Тестирование производительности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13536, 3242, 'Нагрузочное тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13540, 3243, 'Компонентное тестирование', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13542, 3244, 'Тестирование решений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13545, 3245, 'Регрессионным тестированием', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13549, 3246, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13553, 3247, 'Бета-тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13559, 3248, 'После утверждения требований к программному обеспечению', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13562, 3249, 'Тестирование компонентов выполняет поиск дефектов, интеграционное тестирует взаимодействия', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13568, 3250, 'Отсутствие объективности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19512, 4565, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19513, 4565, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13571, 3251, 'Проверяет комбинации входных обстоятельств', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13572, 3251, 'Используется в стратегии тестирования белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13573, 3252, 'Каждую неделю', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13574, 3252, 'После изменения программного обеспечения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13576, 3252, 'Когда среда изменилась', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13577, 3252, 'Когда менеджер проекта говорит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13578, 3253, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13579, 3253, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13581, 3253, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13582, 3254, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13583, 3254, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13584, 3254, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13586, 3254, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13587, 3255, 'Как исправить неисправность', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13589, 3255, 'Сведения о тестовой среде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13590, 3255, 'Серьезность, приоритет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13591, 3255, 'Фактические и ожидаемые результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13592, 3256, 'Тестирование, чтобы увидеть, где система не работает должным образом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13594, 3256, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этого действия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13595, 3256, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этой функции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13596, 3256, 'Тестирование функций, которые не должны существовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13597, 3257, 'CLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13598, 3257, 'cLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13599, 3257, 'CLass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13601, 3258, '$5800; $28000; $32000', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13603, 3258, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13604, 3258, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13605, 3259, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13607, 3259, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13609, 3260, 'Настаивать на том, что ошибка не является "фичей", если она должна быть исправлена', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13610, 3260, 'Быть дипломатичным, не критиковать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13611, 3260, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13612, 3261, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13614, 3261, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13615, 3261, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13617, 3262, 'Удаление вложения в черновике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13621, 3262, 'Пометить письмо непрочитанным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13622, 3263, 'Тестирование на одиночном модуле или единице кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13623, 3263, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13625, 3263, 'Тестирование приложения пользователями в среде разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13626, 3264, 'Найти как можно больше ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13627, 3264, 'Тестировать зоны высокого риска', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13629, 3264, 'Тестировать то, что проще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13631, 3265, '$32001', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13632, 3265, '$33501', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13633, 3265, '$28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13634, 3266, 'Имя и/или должность лица, обнаружившего проблему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13575, 3252, 'Как можно чаще', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13580, 3253, 'Может быть трудно определить, прошел ли тест или не прошел', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13585, 3254, '1000, 99999', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13588, 3255, 'Как воспроизвести неисправность', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13593, 3256, 'Тестирование качественных атрибутов системы, включая производительность и удобство использования', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13600, 3257, 'CLa01ss', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13602, 3258, '$0; $200; $4200', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13606, 3259, 'При соблюдении критериев завершения тестирования', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13608, 3260, 'Быть как можно вежливее, конструктивнее и полезнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13613, 3261, '0, 1, емкость, емкость + 1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13616, 3262, 'Авторизация в приложении', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13618, 3262, 'Получение письма', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13624, 3263, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13628, 3264, 'Получить хорошее тестовое покрытие', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13630, 3265, '$1500', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13636, 3266, 'Предложение как пофиксить баг', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13637, 3266, 'Фактический и ожидаемый результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13638, 3267, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13639, 3267, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13640, 3267, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13641, 3267, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13642, 3268, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13643, 3268, 'Регрессионные тесты запускаются после каждого исправления', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13644, 3268, 'Регрессионные тесты часто автоматизируют', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13645, 3268, 'Регрессионные тесты не нуждаются в поддержке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13646, 3269, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13647, 3269, 'Это помогает предотвратить появление дефектов в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13648, 3269, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13649, 3269, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13650, 3270, 'Не требует знакомства с кодом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13651, 3270, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13652, 3270, 'Это позволяет избежать предвзятости автора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13653, 3270, 'Тестировщики лучше находят дефекты, чем разработчики', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13654, 3271, 'Тестирование производительности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17982, 4223, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13655, 3271, 'Модульное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13656, 3271, 'Регрессионное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13657, 3271, 'Тест на работоспособность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13658, 3272, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13659, 3272, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13660, 3272, 'Тестирование практичности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13661, 3272, 'Нагрузочное тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13662, 3273, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13663, 3273, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13664, 3273, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13665, 3273, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13666, 3274, 'Тестирование операторов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13667, 3274, 'Тестирование решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13668, 3274, 'Покрытие условий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13669, 3274, 'Анализ граничных значений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13670, 3275, 'Регрессионным тестированием', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13671, 3275, 'Тестированием в период сопровождения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13672, 3275, 'Повторным тестированием', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13673, 3275, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13674, 3276, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13675, 3276, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13676, 3276, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13677, 3276, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13678, 3277, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13679, 3277, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13680, 3277, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13681, 3277, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13682, 3278, 'Когда код готов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13683, 3278, 'Когда проектирование завершено', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13684, 3278, 'После утверждения требований к программному обеспечению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13685, 3278, 'Когда первый модуль готов к модульному тестированию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13686, 3279, 'Компонентное тестирование тестирует взаимодействия, интеграционное ищет дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13687, 3279, 'Тестирование компонентов выполняет поиск дефектов, интеграционное тестирует взаимодействия', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13688, 3279, 'Разработчики выполняют тестирование компонентов, тестировщики - интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13751, 3294, 'Найти как можно больше ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13689, 3279, 'Тестировщики выполняют компонентное испытание, пользователи – интеграционное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13690, 3280, 'Отсутствие технической документации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13691, 3280, 'Отсутствие тестовых инструментов на рынке для разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13692, 3280, 'Отсутствие обучения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13693, 3280, 'Отсутствие объективности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13694, 3281, 'Это то же самое, что и тесты на разбиение эквивалентности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13695, 3281, 'Тестовые граничные условия - это значения, которые выше и ниже границы класса эквивалентности для входа и выхода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13696, 3281, 'Проверяет комбинации входных обстоятельств', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13697, 3281, 'Используется в стратегии тестирования белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13698, 3282, 'Каждую неделю', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13699, 3282, 'После изменения программного обеспечения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13700, 3282, 'Как можно чаще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13701, 3282, 'Когда среда изменилась', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13702, 3282, 'Когда менеджер проекта говорит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13703, 3283, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13704, 3283, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13705, 3283, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13706, 3283, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13707, 3284, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13708, 3284, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13709, 3284, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13710, 3284, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13711, 3284, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13712, 3285, 'Как исправить неисправность', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13713, 3285, 'Как воспроизвести неисправность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13714, 3285, 'Сведения о тестовой среде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13715, 3285, 'Серьезность, приоритет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13716, 3285, 'Фактические и ожидаемые результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13964, 3345, 'Сведения о тестовой среде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13717, 3286, 'Тестирование, чтобы увидеть, где система не работает должным образом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13718, 3286, 'Тестирование качественных атрибутов системы, включая производительность и удобство использования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13719, 3286, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этого действия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13720, 3286, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этой функции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13721, 3286, 'Тестирование функций, которые не должны существовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13722, 3287, 'CLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13723, 3287, 'cLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13724, 3287, 'CLass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13725, 3287, 'CLa01ss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13726, 3288, '$5800; $28000; $32000', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13727, 3288, '$0; $200; $4200', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13728, 3288, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13729, 3288, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13730, 3289, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13731, 3289, 'При соблюдении критериев завершения тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13732, 3289, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13733, 3290, 'Быть как можно вежливее, конструктивнее и полезнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13734, 3290, 'Настаивать на том, что ошибка не является "фичей", если она должна быть исправлена', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13735, 3290, 'Быть дипломатичным, не критиковать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13736, 3290, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13737, 3291, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13738, 3291, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13739, 3291, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13740, 3291, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13741, 3292, 'Авторизация в приложении', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13742, 3292, 'Удаление вложения в черновике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13743, 3292, 'Получение письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13744, 3292, 'Отправка письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13745, 3292, 'Отправка письма на несуществующий адрес', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13746, 3292, 'Пометить письмо непрочитанным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13747, 3293, 'Тестирование на одиночном модуле или единице кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13748, 3293, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13749, 3293, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13750, 3293, 'Тестирование приложения пользователями в среде разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13752, 3294, 'Тестировать зоны высокого риска', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13753, 3294, 'Получить хорошее тестовое покрытие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13754, 3294, 'Тестировать то, что проще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13755, 3295, '$1500', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13756, 3295, '$32001', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13757, 3295, '$33501', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13758, 3295, '$28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13235, 3170, 'Быть дипломатичным, не критиковать', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13233, 3170, 'Быть как можно вежливее, конструктивнее и полезнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13759, 3296, 'Имя и/или должность лица, обнаружившего проблему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13760, 3296, 'Версия тестируемого ПО', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13761, 3296, 'Предложение как пофиксить баг', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13762, 3296, 'Фактический и ожидаемый результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13763, 3297, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13764, 3297, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13765, 3297, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13766, 3297, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13767, 3298, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13768, 3298, 'Регрессионные тесты запускаются после каждого исправления', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13769, 3298, 'Регрессионные тесты часто автоматизируют', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13770, 3298, 'Регрессионные тесты не нуждаются в поддержке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13771, 3299, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17983, 4223, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13772, 3299, 'Это помогает предотвратить появление дефектов в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13773, 3299, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13774, 3299, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13775, 3300, 'Не требует знакомства с кодом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13776, 3300, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13777, 3300, 'Это позволяет избежать предвзятости автора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13778, 3300, 'Тестировщики лучше находят дефекты, чем разработчики', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13779, 3301, 'Тестирование производительности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13780, 3301, 'Модульное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13781, 3301, 'Регрессионное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13782, 3301, 'Тест на работоспособность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13783, 3302, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13784, 3302, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13785, 3302, 'Тестирование практичности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13786, 3302, 'Нагрузочное тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13787, 3303, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13788, 3303, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13789, 3303, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13790, 3303, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13791, 3304, 'Тестирование операторов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13792, 3304, 'Тестирование решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13793, 3304, 'Покрытие условий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13794, 3304, 'Анализ граничных значений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13795, 3305, 'Регрессионным тестированием', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13796, 3305, 'Тестированием в период сопровождения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13797, 3305, 'Повторным тестированием', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13798, 3305, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13799, 3306, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13800, 3306, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13801, 3306, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13802, 3306, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13803, 3307, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13804, 3307, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13805, 3307, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13806, 3307, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13807, 3308, 'Когда код готов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13808, 3308, 'Когда проектирование завершено', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13809, 3308, 'После утверждения требований к программному обеспечению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13810, 3308, 'Когда первый модуль готов к модульному тестированию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13811, 3309, 'Компонентное тестирование тестирует взаимодействия, интеграционное ищет дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13812, 3309, 'Тестирование компонентов выполняет поиск дефектов, интеграционное тестирует взаимодействия', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13813, 3309, 'Разработчики выполняют тестирование компонентов, тестировщики - интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13814, 3309, 'Тестировщики выполняют компонентное испытание, пользователи – интеграционное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13815, 3310, 'Отсутствие технической документации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13816, 3310, 'Отсутствие тестовых инструментов на рынке для разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13817, 3310, 'Отсутствие обучения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13818, 3310, 'Отсутствие объективности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13819, 3311, 'Это то же самое, что и тесты на разбиение эквивалентности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13820, 3311, 'Тестовые граничные условия - это значения, которые выше и ниже границы класса эквивалентности для входа и выхода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13821, 3311, 'Проверяет комбинации входных обстоятельств', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13822, 3311, 'Используется в стратегии тестирования белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13823, 3312, 'Каждую неделю', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13824, 3312, 'После изменения программного обеспечения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13825, 3312, 'Как можно чаще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13826, 3312, 'Когда среда изменилась', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13827, 3312, 'Когда менеджер проекта говорит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13828, 3313, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13829, 3313, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13830, 3313, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13965, 3345, 'Серьезность, приоритет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13831, 3313, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13832, 3314, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13833, 3314, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13834, 3314, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13835, 3314, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13836, 3314, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13837, 3315, 'Как исправить неисправность', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13838, 3315, 'Как воспроизвести неисправность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13839, 3315, 'Сведения о тестовой среде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13840, 3315, 'Серьезность, приоритет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13841, 3315, 'Фактические и ожидаемые результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13842, 3316, 'Тестирование, чтобы увидеть, где система не работает должным образом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13843, 3316, 'Тестирование качественных атрибутов системы, включая производительность и удобство использования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13844, 3316, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этого действия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13845, 3316, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этой функции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13846, 3316, 'Тестирование функций, которые не должны существовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13847, 3317, 'CLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13848, 3317, 'cLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13849, 3317, 'CLass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13850, 3317, 'CLa01ss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13851, 3318, '$5800; $28000; $32000', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13852, 3318, '$0; $200; $4200', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13853, 3318, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13854, 3318, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13855, 3319, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13856, 3319, 'При соблюдении критериев завершения тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13857, 3319, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13858, 3320, 'Быть как можно вежливее, конструктивнее и полезнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13859, 3320, 'Настаивать на том, что ошибка не является "фичей", если она должна быть исправлена', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13860, 3320, 'Быть дипломатичным, не критиковать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13861, 3320, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13862, 3321, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13863, 3321, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13864, 3321, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13865, 3321, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13866, 3322, 'Авторизация в приложении', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13867, 3322, 'Удаление вложения в черновике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13868, 3322, 'Получение письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13869, 3322, 'Отправка письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14861, 3548, 'Объявить класс final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13870, 3322, 'Отправка письма на несуществующий адрес', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13871, 3322, 'Пометить письмо непрочитанным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13872, 3323, 'Тестирование на одиночном модуле или единице кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13873, 3323, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13874, 3323, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13875, 3323, 'Тестирование приложения пользователями в среде разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13876, 3324, 'Найти как можно больше ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13877, 3324, 'Тестировать зоны высокого риска', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13878, 3324, 'Получить хорошее тестовое покрытие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13879, 3324, 'Тестировать то, что проще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13880, 3325, '$1500', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13881, 3325, '$32001', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13882, 3325, '$33501', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13883, 3325, '$28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13884, 3326, 'Имя и/или должность лица, обнаружившего проблему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13885, 3326, 'Версия тестируемого ПО', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13887, 3326, 'Фактический и ожидаемый результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13889, 3327, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13890, 3327, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13891, 3327, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13892, 3328, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14382, 3442, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13895, 3328, 'Регрессионные тесты не нуждаются в поддержке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13896, 3329, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13898, 3329, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13899, 3329, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13900, 3330, 'Не требует знакомства с кодом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13901, 3330, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13902, 3330, 'Это позволяет избежать предвзятости автора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13905, 3331, 'Модульное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13906, 3331, 'Регрессионное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13907, 3331, 'Тест на работоспособность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13908, 3332, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13909, 3332, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13910, 3332, 'Тестирование практичности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13912, 3333, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13913, 3333, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13914, 3333, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13916, 3334, 'Тестирование операторов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13918, 3334, 'Покрытие условий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13919, 3334, 'Анализ граничных значений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13920, 3335, 'Регрессионным тестированием', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13921, 3335, 'Тестированием в период сопровождения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13923, 3335, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13924, 3336, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13925, 3336, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13986, 3350, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13894, 3328, 'Регрессионные тесты часто автоматизируют', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13893, 3328, 'Регрессионные тесты запускаются после каждого исправления', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13897, 3329, 'Это помогает предотвратить появление дефектов в коде', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13903, 3330, 'Тестировщики лучше находят дефекты, чем разработчики', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13904, 3331, 'Тестирование производительности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13911, 3332, 'Нагрузочное тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13915, 3333, 'Компонентное тестирование', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13917, 3334, 'Тестирование решений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13922, 3335, 'Повторным тестированием', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13926, 3336, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13929, 3337, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13930, 3337, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13931, 3337, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13932, 3338, 'Когда код готов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13933, 3338, 'Когда проектирование завершено', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13935, 3338, 'Когда первый модуль готов к модульному тестированию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13937, 3339, 'Тестирование компонентов выполняет поиск дефектов, интеграционное тестирует взаимодействия', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13938, 3339, 'Разработчики выполняют тестирование компонентов, тестировщики - интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13939, 3339, 'Тестировщики выполняют компонентное испытание, пользователи – интеграционное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13940, 3340, 'Отсутствие технической документации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13941, 3340, 'Отсутствие тестовых инструментов на рынке для разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13942, 3340, 'Отсутствие обучения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13944, 3341, 'Это то же самое, что и тесты на разбиение эквивалентности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13946, 3341, 'Проверяет комбинации входных обстоятельств', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13947, 3341, 'Используется в стратегии тестирования белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13948, 3342, 'Каждую неделю', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13950, 3342, 'Как можно чаще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13951, 3342, 'Когда среда изменилась', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13952, 3342, 'Когда менеджер проекта говорит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13954, 3343, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13955, 3343, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13956, 3343, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13957, 3344, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13958, 3344, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13959, 3344, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13960, 3344, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13963, 3345, 'Как воспроизвести неисправность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13966, 3345, 'Фактические и ожидаемые результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13967, 3346, 'Тестирование, чтобы увидеть, где система не работает должным образом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13969, 3346, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этого действия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13970, 3346, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этой функции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13971, 3346, 'Тестирование функций, которые не должны существовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13972, 3347, 'CLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13973, 3347, 'cLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13974, 3347, 'CLass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13977, 3348, '$0; $200; $4200', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13978, 3348, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13979, 3348, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13980, 3349, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13982, 3349, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13928, 3337, 'Бета-тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13934, 3338, 'После утверждения требований к программному обеспечению', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13936, 3339, 'Компонентное тестирование тестирует взаимодействия, интеграционное ищет дефекты', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13943, 3340, 'Отсутствие объективности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13949, 3342, 'После изменения программного обеспечения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13953, 3343, 'Мы не сможем запустить тест', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13961, 3344, '9999, 10000, 50000, 99999, 10000', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13962, 3345, 'Как исправить неисправность', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13968, 3346, 'Тестирование качественных атрибутов системы, включая производительность и удобство использования', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13975, 3347, 'CLa01ss', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13976, 3348, '$5800; $28000; $32000', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13981, 3349, 'При соблюдении критериев завершения тестирования', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13983, 3350, 'Быть как можно вежливее, конструктивнее и полезнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13984, 3350, 'Настаивать на том, что ошибка не является "фичей", если она должна быть исправлена', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13987, 3351, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13988, 3351, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13989, 3351, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13991, 3352, 'Авторизация в приложении', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13997, 3353, 'Тестирование на одиночном модуле или единице кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13998, 3353, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14000, 3353, 'Тестирование приложения пользователями в среде разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14001, 3354, 'Найти как можно больше ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14002, 3354, 'Тестировать зоны высокого риска', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14004, 3354, 'Тестировать то, что проще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14005, 3355, '$1500', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14006, 3355, '$32001', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14008, 3355, '$28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14009, 3356, 'Имя и/или должность лица, обнаружившего проблему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14010, 3356, 'Версия тестируемого ПО', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14011, 3356, 'Предложение как пофиксить баг', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14012, 3356, 'Фактический и ожидаемый результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14013, 3357, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14014, 3357, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14015, 3357, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14016, 3357, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14017, 3358, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14018, 3358, 'Регрессионные тесты запускаются после каждого исправления', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14019, 3358, 'Регрессионные тесты часто автоматизируют', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14020, 3358, 'Регрессионные тесты не нуждаются в поддержке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14021, 3359, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14022, 3359, 'Это помогает предотвратить появление дефектов в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14023, 3359, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17984, 4223, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14024, 3359, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14025, 3360, 'Не требует знакомства с кодом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14026, 3360, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14027, 3360, 'Это позволяет избежать предвзятости автора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14028, 3360, 'Тестировщики лучше находят дефекты, чем разработчики', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14029, 3361, 'Тестирование производительности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14030, 3361, 'Модульное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14031, 3361, 'Регрессионное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14032, 3361, 'Тест на работоспособность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14033, 3362, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14034, 3362, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14035, 3362, 'Тестирование практичности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14036, 3362, 'Нагрузочное тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14037, 3363, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14038, 3363, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14039, 3363, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14040, 3363, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14041, 3364, 'Тестирование операторов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14042, 3364, 'Тестирование решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14043, 3364, 'Покрытие условий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14044, 3364, 'Анализ граничных значений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14045, 3365, 'Регрессионным тестированием', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13992, 3352, 'Удаление вложения в черновике', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13999, 3353, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14003, 3354, 'Получить хорошее тестовое покрытие', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14007, 3355, '$33501', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14046, 3365, 'Тестированием в период сопровождения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14047, 3365, 'Повторным тестированием', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14048, 3365, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14049, 3366, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14050, 3366, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14051, 3366, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14052, 3366, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14053, 3367, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14054, 3367, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14055, 3367, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14056, 3367, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14057, 3368, 'Когда код готов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14058, 3368, 'Когда проектирование завершено', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14059, 3368, 'После утверждения требований к программному обеспечению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14060, 3368, 'Когда первый модуль готов к модульному тестированию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14061, 3369, 'Компонентное тестирование тестирует взаимодействия, интеграционное ищет дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14062, 3369, 'Тестирование компонентов выполняет поиск дефектов, интеграционное тестирует взаимодействия', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14063, 3369, 'Разработчики выполняют тестирование компонентов, тестировщики - интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14064, 3369, 'Тестировщики выполняют компонентное испытание, пользователи – интеграционное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14065, 3370, 'Отсутствие технической документации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14066, 3370, 'Отсутствие тестовых инструментов на рынке для разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14067, 3370, 'Отсутствие обучения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14068, 3370, 'Отсутствие объективности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14069, 3371, 'Это то же самое, что и тесты на разбиение эквивалентности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14070, 3371, 'Тестовые граничные условия - это значения, которые выше и ниже границы класса эквивалентности для входа и выхода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14071, 3371, 'Проверяет комбинации входных обстоятельств', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14072, 3371, 'Используется в стратегии тестирования белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14073, 3372, 'Каждую неделю', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14074, 3372, 'После изменения программного обеспечения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14075, 3372, 'Как можно чаще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14076, 3372, 'Когда среда изменилась', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14077, 3372, 'Когда менеджер проекта говорит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14078, 3373, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14079, 3373, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14080, 3373, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14081, 3373, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14082, 3374, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14083, 3374, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14084, 3374, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14085, 3374, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14086, 3374, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14087, 3375, 'Как исправить неисправность', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14088, 3375, 'Как воспроизвести неисправность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14089, 3375, 'Сведения о тестовой среде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14090, 3375, 'Серьезность, приоритет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14091, 3375, 'Фактические и ожидаемые результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14092, 3376, 'Тестирование, чтобы увидеть, где система не работает должным образом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14093, 3376, 'Тестирование качественных атрибутов системы, включая производительность и удобство использования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14094, 3376, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этого действия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14095, 3376, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этой функции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14096, 3376, 'Тестирование функций, которые не должны существовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14097, 3377, 'CLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14098, 3377, 'cLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14099, 3377, 'CLass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14100, 3377, 'CLa01ss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14101, 3378, '$5800; $28000; $32000', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14102, 3378, '$0; $200; $4200', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14103, 3378, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14104, 3378, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14105, 3379, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14149, 3389, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14106, 3379, 'При соблюдении критериев завершения тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14107, 3379, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14108, 3380, 'Быть как можно вежливее, конструктивнее и полезнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14109, 3380, 'Настаивать на том, что ошибка не является "фичей", если она должна быть исправлена', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14110, 3380, 'Быть дипломатичным, не критиковать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14111, 3380, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14112, 3381, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14113, 3381, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14114, 3381, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14115, 3381, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14116, 3382, 'Авторизация в приложении', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14117, 3382, 'Удаление вложения в черновике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14118, 3382, 'Получение письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14119, 3382, 'Отправка письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14120, 3382, 'Отправка письма на несуществующий адрес', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14121, 3382, 'Пометить письмо непрочитанным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14122, 3383, 'Тестирование на одиночном модуле или единице кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14123, 3383, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14124, 3383, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14125, 3383, 'Тестирование приложения пользователями в среде разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14126, 3384, 'Найти как можно больше ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14127, 3384, 'Тестировать зоны высокого риска', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14128, 3384, 'Получить хорошее тестовое покрытие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14129, 3384, 'Тестировать то, что проще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14130, 3385, '$1500', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14131, 3385, '$32001', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14132, 3385, '$33501', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14133, 3385, '$28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13516, 3237, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13570, 3251, 'Тестовые граничные условия - это значения, которые выше и ниже границы класса эквивалентности для входа и выхода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13619, 3262, 'Отправка письма', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13620, 3262, 'Отправка письма на несуществующий адрес', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13886, 3326, 'Предложение как пофиксить баг', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13888, 3327, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13927, 3336, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13945, 3341, 'Тестовые граничные условия - это значения, которые выше и ниже границы класса эквивалентности для входа и выхода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13985, 3350, 'Быть дипломатичным, не критиковать', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13990, 3351, '0, 1, 10, 100, емкость, емкость + 1', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13996, 3352, 'Пометить письмо непрочитанным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13994, 3352, 'Отправка письма', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13993, 3352, 'Получение письма', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (13995, 3352, 'Отправка письма на несуществующий адрес', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14134, 3386, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14135, 3386, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14137, 3386, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14138, 3387, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14139, 3387, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14141, 3387, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14142, 3388, '0, 1, 2, 99', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14143, 3388, '1, 99, 100, 98', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14145, 3388, '-1, 0, 1, 99', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14146, 3389, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14148, 3389, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14140, 3387, 'Интеграционное тестирование', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14144, 3388, '0, 1, 99, 100', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14147, 3389, 'Тестирование', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19515, 4565, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19516, 4565, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19517, 4565, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19577, 4579, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14150, 3390, 'Как исправить неисправность', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14151, 3390, 'Как воспроизвести неисправность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14153, 3390, 'Серьезность, приоритет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14154, 3390, 'Фактические и ожидаемые результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14155, 3391, '$5800; $28000; $32000', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14156, 3391, '$0; $200; $4200', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14158, 3391, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14159, 3392, 'Тестирование на одиночном модуле или единице кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14160, 3392, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14162, 3392, 'Тестирование приложения пользователями в среде разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14163, 3393, '$1500', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14164, 3393, '$32001', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14166, 3393, '$28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14168, 3394, 'Проводить сравнение с NULL нужно при помощи оператора IS', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14169, 3394, 'Проводить сравнение с NULL нужно при помощи оператора IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14170, 3394, 'Проводить сравнение с NULL нужно при помощи оператора ON', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14171, 3394, 'Оператор выбран верно, нужно выделить "NULL" кавычками', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14172, 3394, 'Оператор выбран верно, нужно выделить ''NULL'' апострофами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14173, 3395, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14175, 3395, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14176, 3395, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14177, 3395, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14178, 3395, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14179, 3396, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14180, 3396, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14182, 3396, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14183, 3396, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14184, 3396, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14185, 3397, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14186, 3397, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14187, 3397, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14188, 3397, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14190, 3397, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14191, 3398, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14192, 3398, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14194, 3398, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14195, 3398, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14196, 3398, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14197, 3399, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14198, 3399, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14200, 3399, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14201, 3399, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14202, 3399, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14203, 3400, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14205, 3400, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14206, 3400, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14208, 3400, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14167, 3394, 'Проводить сравнение с NULL нужно при помощи оператора ==', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14174, 3395, 'AND и OR > NOT > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14181, 3396, 'Select * from users order by user_id;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14189, 3397, 'Select address from offices except Select address from departments except Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14193, 3398, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14199, 3399, 'Select address from offices union Select address from stations except all select address from departments;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14204, 3400, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14207, 3400, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14136, 3386, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14152, 3390, 'Сведения о тестовой среде', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14157, 3391, '$5200; $5500; $28000', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14165, 3393, '$33501', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14862, 3548, 'Сделать конструктор private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14863, 3548, 'Не создавать методы, модифицирующие поля или объекты на которые ссылаются поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14161, 3392, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14209, 3401, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14210, 3401, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14211, 3401, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14212, 3401, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14213, 3402, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14214, 3402, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14215, 3402, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14216, 3402, 'И те и другие могут содержать public static final переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14217, 3402, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14218, 3403, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14219, 3403, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14220, 3403, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14221, 3403, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14222, 3404, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14223, 3404, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14224, 3404, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14225, 3404, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14226, 3404, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14227, 3404, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14228, 3405, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14229, 3405, 'Строка 2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14230, 3405, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14231, 3405, 'Строка 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14232, 3405, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14233, 3406, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14234, 3406, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14235, 3406, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14236, 3406, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14237, 3407, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14238, 3407, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14239, 3407, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14240, 3407, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14241, 3408, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14242, 3408, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14243, 3408, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14244, 3408, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14245, 3408, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14246, 3409, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14247, 3409, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14248, 3409, 'public static void main (String args[])', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14249, 3409, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14250, 3410, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14251, 3410, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14252, 3410, 'Оба класса Student и Course определены в пакете com.examplejava', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14253, 3410, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14254, 3411, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14255, 3411, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14256, 3411, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14257, 3411, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14258, 3412, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14259, 3412, 'try, catch, finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14260, 3412, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14261, 3412, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14262, 3413, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14263, 3413, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14264, 3413, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14265, 3413, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14266, 3414, 'throws, throw', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14267, 3414, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14268, 3414, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14269, 3414, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14270, 3415, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14271, 3415, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14272, 3415, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19616, 4588, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14273, 3415, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14274, 3416, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14275, 3416, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14276, 3416, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14277, 3416, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14278, 3417, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14279, 3417, 'Первый совпадающий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14280, 3417, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14281, 3417, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14282, 3418, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14283, 3418, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14284, 3418, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14285, 3418, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14286, 3419, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14287, 3419, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14288, 3419, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14289, 3419, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14290, 3420, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14291, 3420, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14292, 3420, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14293, 3420, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14294, 3421, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14295, 3421, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14296, 3421, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14297, 3421, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14298, 3422, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14299, 3422, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14300, 3422, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14301, 3422, 'Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14302, 3423, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14303, 3423, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14304, 3423, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14305, 3423, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14306, 3424, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14307, 3424, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14308, 3424, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14309, 3424, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14310, 3424, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14311, 3424, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14312, 3425, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14313, 3425, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14314, 3425, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14315, 3425, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14316, 3426, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22890, 5314, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14317, 3426, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14318, 3426, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14319, 3426, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14320, 3427, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14321, 3427, 'Синглтон класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14322, 3427, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14323, 3427, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14324, 3428, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14325, 3428, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14326, 3428, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14327, 3428, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14328, 3429, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14329, 3429, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14330, 3429, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14331, 3429, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14332, 3430, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14333, 3430, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14334, 3430, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14335, 3430, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14336, 3431, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14337, 3431, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14338, 3431, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14339, 3431, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14340, 3432, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15714, 3727, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14341, 3432, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14342, 3432, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14343, 3432, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14344, 3433, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14345, 3433, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14346, 3433, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14347, 3433, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14348, 3434, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14349, 3434, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14350, 3434, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14351, 3434, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14352, 3435, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14353, 3435, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14354, 3435, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14355, 3435, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14356, 3436, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14357, 3436, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14358, 3436, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14359, 3436, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14360, 3437, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14361, 3437, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14362, 3437, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14363, 3437, 'Одинаковое название метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14364, 3438, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14365, 3438, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14366, 3438, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14367, 3438, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14368, 3439, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14369, 3439, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14370, 3439, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14371, 3439, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14372, 3440, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14373, 3440, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14374, 3440, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14375, 3440, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14376, 3441, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14377, 3441, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14378, 3441, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14379, 3441, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14380, 3442, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14381, 3442, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22892, 5314, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14383, 3442, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14384, 3443, 'Передача по значению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14385, 3443, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14386, 3443, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14387, 3444, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14388, 3444, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14389, 3444, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14390, 3444, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14391, 3445, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14392, 3445, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14393, 3445, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14394, 3445, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14395, 3446, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14396, 3446, 'super() и super', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14397, 3446, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14398, 3446, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14399, 3447, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14400, 3447, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14401, 3447, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14402, 3447, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14403, 3447, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14404, 3448, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14405, 3448, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14406, 3448, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14407, 3448, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14408, 3448, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14409, 3449, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14410, 3449, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14411, 3449, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14412, 3449, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14413, 3450, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14414, 3450, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14415, 3450, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14416, 3450, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14417, 3450, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14418, 3451, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14419, 3451, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14420, 3451, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14422, 3452, 'Ошибка компиляции на строке:abstract int getNumberOfSections();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14423, 3452, 'Ошибка компиляции на строке:abstract class Insect implements HasExoskeleton {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14424, 3452, 'Ошибка компиляции на строке:public class Beetle extends Insect {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14425, 3452, 'Скомпилируется и запустится без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14427, 3453, 'Ошибка компиляции на строке:public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14428, 3453, '6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14429, 3453, 'Ошибка компиляции на строке:System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14430, 3453, 'Ошибка компиляции на строке:public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14432, 3454, 'Reptile laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14433, 3454, 'Lizard laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14434, 3454, 'Ошибка компиляции на строке:Reptile reptile = new Lizard();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14435, 3454, 'Ошибка компиляции на строке:reptile.layEggs();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14437, 3455, 'Public методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14438, 3455, 'Protected методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14439, 3455, 'Private методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14440, 3455, 'Static методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14441, 3455, 'Private переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14443, 3456, 'NoClassDefFoundError, StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14444, 3456, 'StackOverflowError, NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14445, 3456, 'StackOverflowError, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14447, 3457, 'Блок catch для Exception должен идти перед блоком catch для IOException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14448, 3457, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14449, 3457, 'Блоки catch для этих двух исключений могут идти в любом порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14451, 3458, 'непроверяемые исключения, java.lang.Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14452, 3458, 'java.lang.Error, непроверяемые исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14453, 3458, 'java.lang.Throwable, java.lang.Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14455, 3459, 'int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14456, 3459, 'public static void eatGrass();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14457, 3459, 'public int chew() { return 13; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14459, 3460, 'И те и другие могут содержать статические методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14460, 3460, 'И те и другие могут содержать статические переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14461, 3460, 'И те и другие могут содержать дефолтные методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14582, 3486, 'Модульное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14463, 3461, 'Они позволяют наследовать несколько классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14464, 3461, 'Они позволяют писать код с отложенным выполнением', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14465, 3461, 'Они позволяют изменять байткод приложения во время его исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14467, 3462, 'Класс может содержать больше одного конструктора без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14468, 3462, 'В случае если класс вызывает super() в одном из своих конструкторов, его класс-предок должен явно реализовать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14469, 3462, 'Если класс-наследник наследует класс-предок, у которого только один конструктор, и он с аргументом, тогда класс-наследник должен явно объявить как минимум один конструктор', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14426, 3452, 'Скомпилируется, но выбросит исключение во время выполнения', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14431, 3453, '2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14436, 3454, 'Ошибка компиляции на строке:public void layEggs() { System.out.println("Lizard laying eggs"); }', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14442, 3455, 'Public переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14446, 3456, 'ClassCastException, IllegalArgumentException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14450, 3457, 'Блок catch для IOException должен идти перед блоком catch для Exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14454, 3458, 'проверяемые исключения, java.lang.Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14458, 3459, 'Ошибок нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14462, 3460, 'И те и другие могут содержать абстрактные методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14466, 3461, 'Они позволяют конвертировать примитивы в классы-обертки', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14472, 3463, 'public void sing(String... keys, String... pitches)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14473, 3463, 'public void sing(String... notes, String melodies)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14474, 3463, 'public void sing(String key, String... harmonies)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14475, 3464, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14476, 3464, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14477, 3464, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14479, 3465, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14480, 3465, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14481, 3465, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14483, 3466, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14484, 3466, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14485, 3466, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14487, 3467, 'boolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14488, 3467, 'int[]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14489, 3467, 'long', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14491, 3468, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14492, 3468, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14493, 3468, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14494, 3468, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14495, 3468, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14497, 3469, '8', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14498, 3469, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14499, 3469, 'Код выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14500, 3469, '02', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14501, 3469, '08', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14503, 3470, 'value2 = "h"; вместо //ПРОПУСК_2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14504, 3470, 'value3="i"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14505, 3470, 'value1="d"; вместо //ПРОПУСК_1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14506, 3470, 'value3="f"; вместо //ПРОПУСК_1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14507, 3470, 'value2="e"; вместо //ПРОПУСК_1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14509, 3471, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14510, 3471, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14511, 3471, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14512, 3471, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14513, 3471, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14514, 3471, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14515, 3472, 'Все утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14516, 3472, '1 и 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14517, 3472, '1 и 2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14518, 3472, '2 и 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14519, 3472, 'Только 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14520, 3473, 'Объявить класс final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14521, 3473, 'Сделать конструктор private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14522, 3473, 'Не создавать методы, модифицирующие поля или объекты на которые ссылаются поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14523, 3473, 'Не позволять подклассам переопределять методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14524, 3473, 'Объявить все поля final и private', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14525, 3474, 'ExecutorService es = Executors.newSingleThreadExecutor(2);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14526, 3474, 'ExecutorService es = Executors.newFixedThreadPool(2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14527, 3474, 'ExecutorService es = Executors.newScheduledThreadPool(2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14528, 3474, 'ExecutorService es = Executors.newScheduledThreadPool();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14529, 3474, 'ExecutorService es = Executors.newSingleThreadScheduledExecutor();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14530, 3475, 'System.out.println(IntStream.rangeClosed(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14531, 3475, 'System.out.println(IntStream.range(2,6).sum());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14532, 3475, 'System.out.println(IntStream.range(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14533, 3475, 'System.out.println(IntStream.rangeClosed(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14534, 3475, 'System.out.println(IntStream.range(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14535, 3476, 'int[] array = new int[5];', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14536, 3476, 'int[] array = 1,2,3,4,5;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14537, 3476, 'int[] array = new int[]{1,2,3,4,5};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14538, 3476, 'int[] array = int[]{};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14539, 3476, 'int[] array = new int[];', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14540, 3476, 'int[] array = {1,2,3,4,5};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14541, 3477, 'StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14542, 3477, 'NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14543, 3477, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14544, 3477, 'Программа успешно скомпилируется и выведет в консоль 0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14545, 3477, 'Программа успешно скомпилируется и выведет в консоль 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14478, 3464, 'walk#()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14486, 3466, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14490, 3467, 'String', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14496, 3468, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14502, 3469, '2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14508, 3470, 'value1="g"; вместо //ПРОПУСК_2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14546, 3478, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14547, 3478, 'import aquarium.*;
import aquarium.jellies.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14548, 3478, 'import aquarium.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14549, 3478, 'import aquarium.*;
import aquarium.jellies.Water;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14550, 3478, 'import aquarium.Water;
import aquarium.jellies.Water;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14551, 3478, 'import aquarium.Water;
import aquarium.jellies.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14552, 3479, 'Скомпилируется без ошибки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14553, 3479, 'Не скомпилируется, потому что типы возвращаемых значений не ковариантны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14554, 3479, 'Не скомпилируется, потому что метод protected в классе-предке и public в классе-наследнике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14555, 3479, 'Не скомпилируется, потому что метод выбрасывает исключение, которое является наследником выбрасываемого классом-предком исключения.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14556, 3479, 'Не скомпилируется, потому что static метод нельзя наследовать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14557, 3480, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14558, 3480, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14559, 3480, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14560, 3480, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14561, 3481, 'Имя и/или должность лица, обнаружившего проблему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14562, 3481, 'Версия тестируемого ПО', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14563, 3481, 'Предложение как пофиксить баг', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14564, 3481, 'Фактический и ожидаемый результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14565, 3482, 'Повторное тестирование - это проверка исправленных дефектов, регрессионное тестирование - это проверка не появились ли новые дефекты после внесения изменений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14566, 3482, 'Повторное тестирование - это проверка не появились ли новые дефекты после внесения изменений, регрессионное тестирование - это проверка исправленных дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14567, 3482, 'Повторное и регрессионное тестирование - оба типа тестирования проверяют не появились ли новые дефекты в результате внесения изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14568, 3482, 'Повторное и регрессионное тестирование - оба вида тестирования проверяют исправленные дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14569, 3483, 'Регрессионные тесты запускаются ТОЛЬКО один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14570, 3483, 'Регрессионные тесты запускаются после каждого исправления', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14571, 3483, 'Регрессионные тесты часто автоматизируют', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14572, 3483, 'Регрессионные тесты не нуждаются в поддержке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14573, 3484, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14574, 3484, 'Это помогает предотвратить появление дефектов в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14575, 3484, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14576, 3484, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14577, 3485, 'Не требует знакомства с кодом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14578, 3485, 'Это дешевле, чем разработчики будут сами тестировать свой код', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14579, 3485, 'Это позволяет избежать предвзятости автора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14580, 3485, 'Тестировщики лучше находят дефекты, чем разработчики', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14581, 3486, 'Тестирование производительности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14583, 3486, 'Регрессионное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14584, 3486, 'Тест на работоспособность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14585, 3487, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14586, 3487, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14587, 3487, 'Тестирование практичности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14588, 3487, 'Нагрузочное тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14589, 3488, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14590, 3488, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14591, 3488, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14592, 3488, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14593, 3489, 'Тестирование операторов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14594, 3489, 'Тестирование решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14595, 3489, 'Покрытие условий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14596, 3489, 'Анализ граничных значений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14597, 3490, 'Регрессионным тестированием', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14598, 3490, 'Тестированием в период сопровождения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14599, 3490, 'Повторным тестированием', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14600, 3490, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14601, 3491, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14602, 3491, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14603, 3491, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14604, 3491, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14605, 3492, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14606, 3492, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14607, 3492, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14608, 3492, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14609, 3493, 'Когда код готов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14610, 3493, 'Когда проектирование завершено', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14611, 3493, 'После утверждения требований к программному обеспечению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14612, 3493, 'Когда первый модуль готов к модульному тестированию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14613, 3494, 'Компонентное тестирование тестирует взаимодействия, интеграционное ищет дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14614, 3494, 'Тестирование компонентов выполняет поиск дефектов, интеграционное тестирует взаимодействия', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14615, 3494, 'Разработчики выполняют тестирование компонентов, тестировщики - интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14616, 3494, 'Тестировщики выполняют компонентное испытание, пользователи – интеграционное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14617, 3495, 'Отсутствие технической документации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14618, 3495, 'Отсутствие тестовых инструментов на рынке для разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14619, 3495, 'Отсутствие обучения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14620, 3495, 'Отсутствие объективности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14621, 3496, 'Это то же самое, что и тесты на разбиение эквивалентности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14622, 3496, 'Тестовые граничные условия - это значения, которые выше и ниже границы класса эквивалентности для входа и выхода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14623, 3496, 'Проверяет комбинации входных обстоятельств', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14624, 3496, 'Используется в стратегии тестирования белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14625, 3497, 'Каждую неделю', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14626, 3497, 'После изменения программного обеспечения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14627, 3497, 'Как можно чаще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14628, 3497, 'Когда среда изменилась', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14629, 3497, 'Когда менеджер проекта говорит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14630, 3498, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14631, 3498, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14632, 3498, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14633, 3498, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14634, 3499, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14635, 3499, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14636, 3499, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14637, 3499, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14638, 3499, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14639, 3500, 'Как исправить неисправность', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14640, 3500, 'Как воспроизвести неисправность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14641, 3500, 'Сведения о тестовой среде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14642, 3500, 'Серьезность, приоритет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14643, 3500, 'Фактические и ожидаемые результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14644, 3501, 'Тестирование, чтобы увидеть, где система не работает должным образом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14706, 3515, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14645, 3501, 'Тестирование качественных атрибутов системы, включая производительность и удобство использования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14646, 3501, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этого действия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14647, 3501, 'Тестирование функции системы с использованием только программного обеспечения, необходимого для этой функции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14648, 3501, 'Тестирование функций, которые не должны существовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14649, 3502, 'CLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14650, 3502, 'cLASS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14651, 3502, 'CLass', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14652, 3502, 'CLa01ss', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14653, 3503, '$5800; $28000; $32000', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14654, 3503, '$0; $200; $4200', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14655, 3503, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14656, 3503, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14657, 3504, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14658, 3504, 'При соблюдении критериев завершения тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14659, 3504, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14660, 3505, 'Быть как можно вежливее, конструктивнее и полезнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14791, 3532, 'Блок catch для IOException должен идти перед блоком catch для Exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14661, 3505, 'Настаивать на том, что ошибка не является "фичей", если она должна быть исправлена', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14662, 3505, 'Быть дипломатичным, не критиковать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14663, 3505, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14664, 3506, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14665, 3506, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14666, 3506, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14667, 3506, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14668, 3507, 'Авторизация в приложении', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14669, 3507, 'Удаление вложения в черновике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14670, 3507, 'Получение письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14671, 3507, 'Отправка письма', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14672, 3507, 'Отправка письма на несуществующий адрес', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14673, 3507, 'Пометить письмо непрочитанным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14674, 3508, 'Тестирование на одиночном модуле или единице кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14675, 3508, 'Тестирование после внесения изменений, чтобы гарантировать, что никакие нежелательные изменения не были допущены', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14676, 3508, 'Тестирование для обеспечения соответствия системы потребностям организации и конечного пользователя', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14677, 3508, 'Тестирование приложения пользователями в среде разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14678, 3509, 'Найти как можно больше ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14679, 3509, 'Тестировать зоны высокого риска', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14680, 3509, 'Получить хорошее тестовое покрытие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14681, 3509, 'Тестировать то, что проще', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14682, 3510, '$1500', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14683, 3510, '$32001', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14684, 3510, '$33501', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14685, 3510, '$28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14421, 3451, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14470, 3462, 'Компилятор Java всегда вставляет дефолтный конструктор без аргументов если вы не объявляете конструктор без аргументов в вашем классе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14471, 3463, 'public void sing(int note, String... sound, int music)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14482, 3465, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14686, 3511, 'Method reference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14687, 3511, 'var type-inference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14688, 3511, 'List.of(), Set.of(), Map.of(), Map.ofEntries()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14689, 3511, 'HTTP Client', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14690, 3512, 'Stack', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14691, 3512, 'Survivor Space', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14692, 3512, 'Virtual Space', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14693, 3512, 'Young Generation', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14694, 3512, 'Metaspace', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14695, 3513, 'Function<T,R>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14696, 3513, 'Consumer<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14697, 3513, 'Supplier<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14698, 3513, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14699, 3513, 'UnaryOperator<T>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14700, 3514, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14701, 3514, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14702, 3514, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14703, 3514, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14704, 3515, 'Ошибка компиляции на строчке static void method()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14705, 3515, 'Ошибка компиляции на строчке I i = new I(){};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14707, 3515, 'defaultstatic', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14708, 3515, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14709, 3516, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14710, 3516, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14711, 3516, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14712, 3516, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14713, 3516, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14714, 3517, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14715, 3517, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14716, 3517, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14717, 3517, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14718, 3518, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14719, 3518, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14720, 3518, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14721, 3518, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14722, 3518, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14723, 3518, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14724, 3519, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14725, 3519, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14726, 3519, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14727, 3519, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14728, 3519, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14856, 3547, 'Все утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14729, 3520, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14730, 3520, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14731, 3520, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14732, 3520, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14733, 3520, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14734, 3520, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14735, 3521, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14736, 3521, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14737, 3521, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14738, 3521, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14739, 3521, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14740, 3522, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14741, 3522, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14742, 3522, '222', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14743, 3522, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14744, 3522, 'Программа бросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14745, 3522, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14746, 3523, 'StrongReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14747, 3523, 'WeakReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14748, 3523, 'SoftReference', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14749, 3523, 'PhantomReference', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14750, 3524, 'Код выполнится успешно и выведет 3 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14751, 3524, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14752, 3524, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14753, 3524, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14754, 3524, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14755, 3525, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14756, 3525, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14757, 3525, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14758, 3525, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14759, 3526, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14760, 3526, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14761, 3526, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14762, 3526, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14763, 3527, 'Ошибка компиляции на строке:abstract int getNumberOfSections();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14764, 3527, 'Ошибка компиляции на строке:abstract class Insect implements HasExoskeleton {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14765, 3527, 'Ошибка компиляции на строке:public class Beetle extends Insect {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14766, 3527, 'Скомпилируется и запустится без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14767, 3527, 'Скомпилируется, но выбросит исключение во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14768, 3528, 'Ошибка компиляции на строке:public String getNumberOfGills() { return "4"; }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14769, 3528, '6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14770, 3528, 'Ошибка компиляции на строке:System.out.println(new ClownFish().getNumberOfGills(-1));', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14771, 3528, 'Ошибка компиляции на строке:public String getNumberOfGills(int input) { return "6"; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14773, 3529, 'Reptile laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14774, 3529, 'Lizard laying eggs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14775, 3529, 'Ошибка компиляции на строке:Reptile reptile = new Lizard();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14776, 3529, 'Ошибка компиляции на строке:reptile.layEggs();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14777, 3529, 'Ошибка компиляции на строке:public void layEggs() { System.out.println("Lizard laying eggs"); }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14778, 3530, 'Public методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14779, 3530, 'Protected методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14780, 3530, 'Private методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14781, 3530, 'Static методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14782, 3530, 'Private переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14783, 3530, 'Public переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14784, 3531, 'NoClassDefFoundError, StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14785, 3531, 'StackOverflowError, NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14786, 3531, 'StackOverflowError, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14787, 3531, 'ClassCastException, IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14788, 3532, 'Блок catch для Exception должен идти перед блоком catch для IOException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14789, 3532, 'Выражение try не может быть определено с двумя блоками catch для данных исключений, так как они несовместимы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14790, 3532, 'Блоки catch для этих двух исключений могут идти в любом порядке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14792, 3533, 'непроверяемые исключения, java.lang.Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14793, 3533, 'java.lang.Error, непроверяемые исключения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14794, 3533, 'java.lang.Throwable, java.lang.Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14795, 3533, 'проверяемые исключения, java.lang.Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14796, 3534, 'int amount = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14797, 3534, 'public static void eatGrass();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14798, 3534, 'public int chew() { return 13; }', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14799, 3534, 'Ошибок нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14800, 3535, 'И те и другие могут содержать статические методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14801, 3535, 'И те и другие могут содержать статические переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14802, 3535, 'И те и другие могут содержать дефолтные методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14803, 3535, 'И те и другие могут содержать абстрактные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14804, 3536, 'Они позволяют наследовать несколько классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14805, 3536, 'Они позволяют писать код с отложенным выполнением', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14806, 3536, 'Они позволяют изменять байткод приложения во время его исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14807, 3536, 'Они позволяют конвертировать примитивы в классы-обертки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14808, 3537, 'Класс может содержать больше одного конструктора без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14809, 3537, 'В случае если класс вызывает super() в одном из своих конструкторов, его класс-предок должен явно реализовать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14810, 3537, 'Если класс-наследник наследует класс-предок, у которого только один конструктор, и он с аргументом, тогда класс-наследник должен явно объявить как минимум один конструктор', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14811, 3537, 'Компилятор Java всегда вставляет дефолтный конструктор без аргументов если вы не объявляете конструктор без аргументов в вашем классе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14812, 3538, 'public void sing(int note, String... sound, int music)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14813, 3538, 'public void sing(String... keys, String... pitches)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14814, 3538, 'public void sing(String... notes, String melodies)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14815, 3538, 'public void sing(String key, String... harmonies)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14816, 3539, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14817, 3539, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14818, 3539, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14819, 3539, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14820, 3540, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14821, 3540, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14822, 3540, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14823, 3540, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14824, 3541, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14825, 3541, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14826, 3541, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14827, 3541, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14828, 3542, 'boolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14829, 3542, 'int[]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14830, 3542, 'long', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14831, 3542, 'String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14832, 3543, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14833, 3543, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14834, 3543, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14835, 3543, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14836, 3543, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14837, 3543, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14838, 3544, '8', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14839, 3544, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14840, 3544, 'Код выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14841, 3544, '02', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14842, 3544, '08', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14843, 3544, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14844, 3545, 'value2 = "h"; вместо //ПРОПУСК_2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14845, 3545, 'value3="i"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14846, 3545, 'value1="d"; вместо //ПРОПУСК_1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14847, 3545, 'value3="f"; вместо //ПРОПУСК_1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14848, 3545, 'value2="e"; вместо //ПРОПУСК_1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14849, 3545, 'value1="g"; вместо //ПРОПУСК_2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14850, 3546, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14851, 3546, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14852, 3546, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14853, 3546, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14854, 3546, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14855, 3546, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14864, 3548, 'Не позволять подклассам переопределять методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14865, 3548, 'Объявить все поля final и private', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14866, 3549, 'ExecutorService es = Executors.newSingleThreadExecutor(2);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14867, 3549, 'ExecutorService es = Executors.newFixedThreadPool(2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14868, 3549, 'ExecutorService es = Executors.newScheduledThreadPool(2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14869, 3549, 'ExecutorService es = Executors.newScheduledThreadPool();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14870, 3549, 'ExecutorService es = Executors.newSingleThreadScheduledExecutor();', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14871, 3550, 'System.out.println(IntStream.rangeClosed(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14872, 3550, 'System.out.println(IntStream.range(2,6).sum());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14873, 3550, 'System.out.println(IntStream.range(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14874, 3550, 'System.out.println(IntStream.rangeClosed(1,5).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14875, 3550, 'System.out.println(IntStream.range(1,6).sum());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14876, 3551, 'int[] array = new int[5];', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14877, 3551, 'int[] array = 1,2,3,4,5;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14878, 3551, 'int[] array = new int[]{1,2,3,4,5};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14879, 3551, 'int[] array = int[]{};', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14880, 3551, 'int[] array = new int[];', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14881, 3551, 'int[] array = {1,2,3,4,5};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14882, 3552, 'StackOverflowError', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14883, 3552, 'NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14884, 3552, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14885, 3552, 'Программа успешно скомпилируется и выведет в консоль 0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14886, 3552, 'Программа успешно скомпилируется и выведет в консоль 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14887, 3553, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14888, 3553, 'import aquarium.*;
import aquarium.jellies.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14889, 3553, 'import aquarium.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14890, 3553, 'import aquarium.*;
import aquarium.jellies.Water;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14891, 3553, 'import aquarium.Water;
import aquarium.jellies.Water;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14892, 3553, 'import aquarium.Water;
import aquarium.jellies.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14893, 3554, 'Скомпилируется без ошибки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14894, 3554, 'Не скомпилируется, потому что типы возвращаемых значений не ковариантны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14895, 3554, 'Не скомпилируется, потому что метод protected в классе-предке и public в классе-наследнике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14896, 3554, 'Не скомпилируется, потому что метод выбрасывает исключение, которое является наследником выбрасываемого классом-предком исключения.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14897, 3554, 'Не скомпилируется, потому что static метод нельзя наследовать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14898, 3555, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14899, 3555, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14900, 3555, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14901, 3555, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14903, 3556, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14904, 3556, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14905, 3556, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14908, 3557, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14909, 3557, 'И те и другие могут содержать public static final переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14910, 3557, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14911, 3558, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14912, 3558, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14989, 3576, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14990, 3576, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14913, 3558, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14916, 3559, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14917, 3559, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14918, 3559, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14919, 3559, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14920, 3559, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14921, 3560, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14923, 3560, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14924, 3560, 'Строка 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14925, 3560, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14926, 3561, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14927, 3561, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14928, 3561, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14931, 3562, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15067, 3595, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14914, 3558, 'Ничего из указанного.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14915, 3559, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14922, 3560, 'Строка 2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14929, 3561, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14930, 3562, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14932, 3562, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14933, 3562, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14934, 3563, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14935, 3563, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14936, 3563, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14937, 3563, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14939, 3564, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14941, 3564, 'public static void main (String args[])', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14942, 3564, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14944, 3565, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14946, 3565, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14947, 3566, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14948, 3566, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14949, 3566, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14950, 3566, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14951, 3567, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14952, 3567, 'try, catch, finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14953, 3567, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14954, 3567, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14955, 3568, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14956, 3568, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14957, 3568, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14958, 3568, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14959, 3569, 'throws, throw', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14960, 3569, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14961, 3569, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14962, 3569, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14963, 3570, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14964, 3570, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14965, 3570, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14966, 3570, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14967, 3571, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14968, 3571, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14969, 3571, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14970, 3571, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14971, 3572, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14972, 3572, 'Первый совпадающий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14973, 3572, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14974, 3572, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14975, 3573, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14976, 3573, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14977, 3573, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14978, 3573, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14979, 3574, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14980, 3574, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14981, 3574, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14982, 3574, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14983, 3575, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14984, 3575, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14985, 3575, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14986, 3575, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14987, 3576, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14988, 3576, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14991, 3577, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14992, 3577, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14993, 3577, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14994, 3577, 'Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14995, 3578, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14996, 3578, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14997, 3578, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14940, 3564, 'static public void main (String[] array)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14943, 3565, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14998, 3578, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14999, 3579, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15000, 3579, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15001, 3579, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15002, 3579, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15003, 3579, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15004, 3579, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15005, 3580, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15006, 3580, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15007, 3580, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15008, 3580, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15009, 3581, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15010, 3581, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15011, 3581, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15012, 3581, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15013, 3582, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15014, 3582, 'Синглтон класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15015, 3582, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15016, 3582, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15017, 3583, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15018, 3583, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15019, 3583, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15020, 3583, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15021, 3584, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15022, 3584, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15023, 3584, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15024, 3584, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15025, 3585, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15026, 3585, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15027, 3585, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15028, 3585, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15029, 3586, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15030, 3586, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15031, 3586, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15032, 3586, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15033, 3587, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15034, 3587, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15035, 3587, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15036, 3587, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15037, 3588, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15038, 3588, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15039, 3588, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15040, 3588, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15041, 3589, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15042, 3589, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15043, 3589, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15044, 3589, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15045, 3590, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15046, 3590, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15047, 3590, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15048, 3590, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15049, 3591, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15050, 3591, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15051, 3591, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15148, 3613, 'Код не скомпилируется по другой причине', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15052, 3591, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15053, 3592, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15054, 3592, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15055, 3592, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15056, 3592, 'Одинаковое название метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15057, 3593, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15058, 3593, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15059, 3593, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15060, 3593, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15061, 3594, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15062, 3594, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15063, 3594, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15064, 3594, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15065, 3595, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15066, 3595, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15068, 3595, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15069, 3596, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15070, 3596, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15071, 3596, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15072, 3596, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15073, 3597, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15074, 3597, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15075, 3597, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15076, 3597, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15077, 3598, 'Передача по значению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15078, 3598, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15079, 3598, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15080, 3599, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15081, 3599, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15082, 3599, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15083, 3599, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15084, 3600, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15085, 3600, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15086, 3600, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15087, 3600, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15088, 3601, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15089, 3601, 'super() и super', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15090, 3601, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15091, 3601, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15092, 3602, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15093, 3602, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15094, 3602, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15095, 3602, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15096, 3602, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15097, 3603, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15098, 3603, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15099, 3603, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15100, 3603, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15101, 3603, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15102, 3604, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15103, 3604, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15104, 3604, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15105, 3604, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15106, 3605, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15107, 3605, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15108, 3605, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15109, 3605, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15110, 3605, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14902, 3556, 'class Template {
public String font;
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14906, 3557, 'Предполагается что все методы в них абстрактные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14907, 3557, 'И те и другие могут содержать статические методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14938, 3563, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (14945, 3565, 'Оба класса Student и Course определены в пакете com.examplejava', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15111, 3606, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15113, 3606, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15114, 3606, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15115, 3606, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15116, 3607, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15117, 3607, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15118, 3607, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15119, 3607, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15121, 3608, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15122, 3608, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15152, 3614, 'Результат не определен', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15123, 3608, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15125, 3609, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15126, 3609, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15127, 3609, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15128, 3609, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15112, 3606, '1one2two3three', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15120, 3607, 'Ни одно из вышеперечисленных', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15124, 3608, 'Для вызова хранимых процедур', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15195, 3622, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15196, 3622, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15197, 3622, 'TIMED_WAITING', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15198, 3622, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19617, 4588, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15130, 3610, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15131, 3610, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15132, 3610, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15133, 3610, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15134, 3610, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15136, 3611, '(a,b) -> (a-b)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15137, 3611, '(a,b) -> 5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15139, 3611, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15140, 3612, 'scheduleAtFixedDelay()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15141, 3612, 'scheduleAtFixedRate()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15142, 3612, 'scheduleWithFixedDelay()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15144, 3613, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15145, 3613, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15146, 3613, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15147, 3613, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15149, 3614, 'Код выведет 0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15150, 3614, 'Код выведет 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15151, 3614, 'Код не скомпилируеся', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15153, 3615, 'Good', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15154, 3615, 'Bad', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15155, 3615, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15156, 3615, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15157, 3615, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15159, 3616, 'Код выведет "Complete"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15160, 3616, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15161, 3616, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15162, 3616, 'Ошибка компиляции на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15163, 3616, 'Ошибка компиляции на строках A, C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15165, 3617, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15166, 3617, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15167, 3617, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15168, 3617, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15169, 3617, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15171, 3618, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15172, 3618, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15173, 3618, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15174, 3618, 'Ошибка компиляции на строке D', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15175, 3618, 'Код скомпилируется и выведет "1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15177, 3619, 'Он может удалить только директории, содержащие файлы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15178, 3619, 'Он может удалить дерево директорий любой глубины', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15179, 3619, 'Он может удалить единственный файл', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15180, 3619, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15181, 3619, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15183, 3620, 'Изменить "new ReentrantLock()" на "new ReentrantLock(true)"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15184, 3620, 'Поставить вызов lock.lock() перед блоком try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15185, 3620, 'Добавить перед объявлением lock модификаторы private и final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15186, 3620, 'Добавить перед объявлением lock модификаторы private, final и static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15187, 3620, 'Добавить перед объявлением lock модификатор static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15129, 3609, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15135, 3610, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15138, 3611, '(a,b) -> i++', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15143, 3612, 'Такого метода нет в ScheduledExecutorService', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15158, 3615, 'Код скомпилируется, но выкинет исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15164, 3616, 'Ошибка компиляции на строках A, B, C', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15170, 3617, 'Ничего из перечисленного. Строка A выбросит исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15176, 3618, 'Код скомпилируется, но выкинет исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15182, 3619, 'Код компилируется, но кидает исключение', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15188, 3620, 'Изменения не требуются, код потокобезопасен', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15190, 3621, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15191, 3621, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15192, 3621, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15193, 3621, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15194, 3622, 'READY', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15199, 3623, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15200, 3623, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15202, 3623, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15203, 3624, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15204, 3624, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15206, 3624, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15207, 3624, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15208, 3625, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15209, 3625, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15210, 3625, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15211, 3625, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15212, 3625, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15213, 3625, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15214, 3626, '(a,b) -> (a-b)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15215, 3626, '(a,b) -> 5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15216, 3626, '(a,b) -> i++', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15217, 3626, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15218, 3627, 'scheduleAtFixedDelay()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15219, 3627, 'scheduleAtFixedRate()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15220, 3627, 'scheduleWithFixedDelay()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15221, 3627, 'Такого метода нет в ScheduledExecutorService', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15222, 3628, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15223, 3628, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15224, 3628, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15225, 3628, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15226, 3628, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15227, 3629, 'Код выведет 0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15228, 3629, 'Код выведет 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15229, 3629, 'Код не скомпилируеся', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15230, 3629, 'Результат не определен', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15231, 3630, 'Good', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15232, 3630, 'Bad', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15233, 3630, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15234, 3630, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15235, 3630, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15236, 3630, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15237, 3631, 'Код выведет "Complete"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15238, 3631, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15239, 3631, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15240, 3631, 'Ошибка компиляции на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15241, 3631, 'Ошибка компиляции на строках A, C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15242, 3631, 'Ошибка компиляции на строках A, B, C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15243, 3632, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15244, 3632, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15245, 3632, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15246, 3632, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15247, 3632, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15248, 3632, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15249, 3633, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15250, 3633, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15251, 3633, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15252, 3633, 'Ошибка компиляции на строке D', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15253, 3633, 'Код скомпилируется и выведет "1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15309, 3645, 'Good', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15254, 3633, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15255, 3634, 'Он может удалить только директории, содержащие файлы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15256, 3634, 'Он может удалить дерево директорий любой глубины', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15257, 3634, 'Он может удалить единственный файл', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15258, 3634, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15259, 3634, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15205, 3624, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15260, 3634, 'Код компилируется, но кидает исключение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15261, 3635, 'Изменить "new ReentrantLock()" на "new ReentrantLock(true)"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15262, 3635, 'Поставить вызов lock.lock() перед блоком try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15263, 3635, 'Добавить перед объявлением lock модификаторы private и final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15264, 3635, 'Добавить перед объявлением lock модификаторы private, final и static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15265, 3635, 'Добавить перед объявлением lock модификатор static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15266, 3635, 'Изменения не требуются, код потокобезопасен', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15189, 3621, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15201, 3623, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15268, 3636, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15269, 3636, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15270, 3636, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15271, 3636, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15272, 3637, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15273, 3637, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15274, 3637, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15276, 3637, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15277, 3638, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15278, 3638, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15282, 3639, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15283, 3639, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15284, 3639, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15286, 3640, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15287, 3640, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15290, 3640, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15292, 3641, '(a,b) -> (a-b)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15294, 3641, '(a,b) -> i++', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15295, 3641, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15296, 3642, 'scheduleAtFixedDelay()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15298, 3642, 'scheduleWithFixedDelay()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15299, 3642, 'Такого метода нет в ScheduledExecutorService', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15301, 3643, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15302, 3643, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15303, 3643, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15304, 3643, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15305, 3644, 'Код выведет 0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15306, 3644, 'Код выведет 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15307, 3644, 'Код не скомпилируеся', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15310, 3645, 'Bad', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15311, 3645, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15312, 3645, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15313, 3645, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15314, 3645, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15315, 3646, 'Код выведет "Complete"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15316, 3646, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15317, 3646, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15319, 3646, 'Ошибка компиляции на строках A, C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15275, 3637, 'TIMED_WAITING', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15280, 3638, 'Для вызова хранимых процедур', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15281, 3639, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15285, 3639, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15291, 3640, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15288, 3640, 'При переопределении метода возможно расширить уровень доступа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15293, 3641, '(a,b) -> 5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15297, 3642, 'scheduleAtFixedRate()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15300, 3643, 'Код выведет aFlipaFlop FlopFlip', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15308, 3644, 'Результат не определен', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15318, 3646, 'Ошибка компиляции на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15440, 3670, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15441, 3670, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15443, 3671, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15445, 3671, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15446, 3671, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15447, 3672, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15449, 3672, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15444, 3671, 'final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15448, 3672, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15320, 3646, 'Ошибка компиляции на строках A, B, C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15321, 3647, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15323, 3647, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15325, 3647, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15326, 3647, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15327, 3648, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15328, 3648, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15329, 3648, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15331, 3648, 'Код скомпилируется и выведет "1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15332, 3648, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15333, 3649, 'Он может удалить только директории, содержащие файлы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15334, 3649, 'Он может удалить дерево директорий любой глубины', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15336, 3649, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15337, 3649, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15339, 3650, 'Изменить "new ReentrantLock()" на "new ReentrantLock(true)"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15340, 3650, 'Поставить вызов lock.lock() перед блоком try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15342, 3650, 'Добавить перед объявлением lock модификаторы private, final и static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15343, 3650, 'Добавить перед объявлением lock модификатор static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15344, 3650, 'Изменения не требуются, код потокобезопасен', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15267, 3636, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15279, 3638, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15289, 3640, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15322, 3647, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15324, 3647, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15330, 3648, 'Ошибка компиляции на строке D', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15335, 3649, 'Он может удалить единственный файл', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15338, 3649, 'Код компилируется, но кидает исключение', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15341, 3650, 'Добавить перед объявлением lock модификаторы private и final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15345, 3651, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15346, 3651, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15347, 3651, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15348, 3651, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15350, 3652, 'READY', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15351, 3652, 'BLOCKED', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15352, 3652, 'WAITING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15354, 3652, 'Ни одно из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15355, 3653, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15356, 3653, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15357, 3653, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15359, 3654, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15360, 3654, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15361, 3654, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15362, 3654, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15363, 3654, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15364, 3655, 'Статический метод может быть переопределен на равне с метод экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15365, 3655, 'При переопределении метода возможно сузить уровень доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15366, 3655, 'При переопределении метода возможно расширить уровень доступа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15367, 3655, 'При переопределении метода возможно изменить тип возвращаемого значения на класс-наследник возвращаемого типа переопределяемого метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15349, 3651, 'Ошибка во время выполнения', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15353, 3652, 'TIMED_WAITING', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15358, 3653, 'Для вызова хранимых процедур', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15450, 3672, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15434, 3668, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22893, 5314, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15451, 3673, 'Значение финальной статической переменной может быть присвоено в конструкторе класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15452, 3673, 'Из статического метода можно обратиться к переменной экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15453, 3673, 'Из статического блока инициализации можно обратиться к переменной экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15715, 3727, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15716, 3727, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15368, 3655, 'При переопределении метода возможно изменить тип бросаемого исключения на исключение, которое является предком бросаемого переопределяемым методом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15369, 3655, 'Переопределенный метод может бросать любое Runtime исключение независимо от того, что бросает переопределяемый метод', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15370, 3656, '(a,b) -> (a-b)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15371, 3656, '(a,b) -> 5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15372, 3656, '(a,b) -> i++', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15373, 3656, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15374, 3657, 'scheduleAtFixedDelay()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15375, 3657, 'scheduleAtFixedRate()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15376, 3657, 'scheduleWithFixedDelay()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15377, 3657, 'Такого метода нет в ScheduledExecutorService', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15378, 3658, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15379, 3658, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15380, 3658, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15381, 3658, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15382, 3658, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15383, 3659, 'Код выведет 0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15384, 3659, 'Код выведет 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15385, 3659, 'Код не скомпилируеся', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15386, 3659, 'Результат не определен', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15387, 3660, 'Good', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15388, 3660, 'Bad', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15389, 3660, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15390, 3660, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15391, 3660, 'Ошибка компиляции на другой строке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15392, 3660, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15393, 3661, 'Код выведет "Complete"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15394, 3661, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15395, 3661, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15396, 3661, 'Ошибка компиляции на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15397, 3661, 'Ошибка компиляции на строках A, C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15398, 3661, 'Ошибка компиляции на строках A, B, C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15399, 3662, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15400, 3662, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15401, 3662, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15402, 3662, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15403, 3662, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15404, 3662, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15405, 3663, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15406, 3663, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15407, 3663, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15408, 3663, 'Ошибка компиляции на строке D', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15409, 3663, 'Код скомпилируется и выведет "1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15410, 3663, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15411, 3664, 'Он может удалить только директории, содержащие файлы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15412, 3664, 'Он может удалить дерево директорий любой глубины', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15413, 3664, 'Он может удалить единственный файл', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15414, 3664, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15415, 3664, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15416, 3664, 'Код компилируется, но кидает исключение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15417, 3665, 'Изменить "new ReentrantLock()" на "new ReentrantLock(true)"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15418, 3665, 'Поставить вызов lock.lock() перед блоком try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15419, 3665, 'Добавить перед объявлением lock модификаторы private и final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15420, 3665, 'Добавить перед объявлением lock модификаторы private, final и static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15421, 3665, 'Добавить перед объявлением lock модификатор static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15422, 3665, 'Изменения не требуются, код потокобезопасен', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15423, 3666, '#connect java compiler;
#connect java virtual machine;
class ExampleJava{}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15424, 3666, 'package java compiler;
import java virtual machine;
class ExampleJava{}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15426, 3666, 'package javacompiler;
import javavirtualmachine;
Class ExampleJava{}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15427, 3667, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15428, 3667, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15429, 3667, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15431, 3668, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15433, 3668, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24544, 5682, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15435, 3669, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15437, 3669, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15438, 3669, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15439, 3670, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15430, 3667, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15432, 3668, 'Первый совпадающий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15436, 3669, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15455, 3674, 'Spring Data', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15456, 3674, 'Spring Security', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15458, 3674, 'Spring AOP', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15459, 3674, 'Spring WS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15461, 3675, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15462, 3675, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15463, 3675, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15465, 3676, 'Да, можно, но будет прочитан только первый параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15466, 3676, 'Да, можно, но будет прочитан только один случайны параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15467, 3676, 'Нельзя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15474, 3678, 'hibernate.config.xml', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15476, 3678, 'hibernate-config.xml', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15477, 3678, 'hibernate-cfg.xml', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15478, 3678, 'Никакое из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15479, 3679, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15480, 3679, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15482, 3679, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15483, 3679, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15484, 3680, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15485, 3680, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15486, 3680, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15488, 3680, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15489, 3680, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15491, 3681, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15493, 3681, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15494, 3682, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15495, 3682, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15496, 3682, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15498, 3683, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15499, 3683, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15500, 3683, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15501, 3683, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15504, 3684, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15505, 3684, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15506, 3684, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15508, 3685, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15509, 3685, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15510, 3685, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15511, 3686, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15513, 3686, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15514, 3686, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15516, 3687, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15517, 3687, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15518, 3687, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15519, 3688, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15521, 3688, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15522, 3688, 'Абстрактный класс, интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15523, 3689, 'Указвыает Spring, что данное поле класса является бином', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15524, 3689, 'Указывается над классом, который хранит конфигурацию контектса Spring', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15475, 3678, 'hibernate.cfg.xml', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15481, 3679, 'Через метод buildSessionFactory() класса Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15487, 3680, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15454, 3673, 'Из метода экземпляра класса можно обратиться к статической переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15457, 3674, 'Spring MVP', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15460, 3675, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15464, 3676, 'Да, это можно сделать используя массив в методе контроллера', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15492, 3681, 'public static void main (String args[])', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15490, 3681, 'public void main (String[] args)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15497, 3682, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15502, 3683, 'Данных недостаточно для определения результата исполнения', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15503, 3684, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15507, 3685, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15512, 3686, 'Первый совпадающий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15515, 3687, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15520, 3688, 'Интерфейс, абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15526, 3689, 'Обяъвляет класс компонентом Spring', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15527, 3690, 'Не можем. Контроллер всегда возвращает представление', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15528, 3690, 'Да, можем, по умолчанию методы обработчика контроллера возвращают объект, который после сериализации помещается в тело ответа.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15530, 3690, 'Да, можем если заменим аннотацию @Controller на @Component', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15531, 3691, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15533, 3691, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15534, 3691, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15536, 3692, 'Можно, но будет упущена часть функицонала @Service', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15537, 3692, 'Нельзя, эти аннотации имеют разный функионал', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15538, 3692, 'Эти аннотации можно использовать только вместе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15540, 3693, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15542, 3693, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15543, 3694, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15544, 3694, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15545, 3694, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15546, 3694, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15551, 3695, 'Entity класс может быть final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15552, 3695, 'Entity класс может быть enum', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15425, 3666, 'package javacompiler;
import javavirtualmachine.*;
class ExampleJava{}', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15539, 3693, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15541, 3693, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15547, 3694, 'Все перечисленные утверждения верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15549, 3695, 'Entity класс обязан иметь public или protected конструктор без аргументов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15548, 3695, 'Entity можно описать только с помощью java-класса, отмеченного аннотацией @Entity', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15550, 3695, 'Entity класс может содержать в сеюе любое количество конструкторов с аргументами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15553, 3695, 'Entity класс может содержать final поля и методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15525, 3689, 'В классах конфигурации для опредления бинов с кастомной логикой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15529, 3690, 'Да, можем. Для этого используется аннотация @ResponseBody', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15532, 3691, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15535, 3692, 'Да, можно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15554, 3696, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15555, 3696, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15556, 3696, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15557, 3696, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15558, 3696, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15559, 3697, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15560, 3697, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15561, 3697, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15562, 3697, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15563, 3698, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15564, 3698, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15565, 3698, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15566, 3698, 'И те и другие могут содержать public static final переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15567, 3698, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15568, 3699, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15569, 3699, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15570, 3699, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15571, 3699, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15572, 3699, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15573, 3700, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15574, 3700, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15575, 3700, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15576, 3700, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15577, 3701, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15578, 3701, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15579, 3701, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15580, 3701, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15581, 3701, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15582, 3701, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15583, 3702, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15584, 3702, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15585, 3702, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15586, 3702, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15587, 3702, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15588, 3702, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15589, 3703, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15590, 3703, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15591, 3703, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15592, 3703, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15593, 3703, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15594, 3703, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15595, 3704, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15596, 3704, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15597, 3704, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15598, 3704, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15599, 3704, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15600, 3704, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15601, 3705, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15602, 3705, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15603, 3705, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15604, 3705, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15605, 3705, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15606, 3705, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15607, 3706, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15608, 3706, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15609, 3706, 'Действие, которое будет выполняться для выбранных нами методов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15610, 3706, 'Точка в программе, где структура AOP будет инициализирована', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15611, 3707, 'Указвыает Spring, что данное поле класса является бином', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15612, 3707, 'Указывается над классом, который хранит конфигурацию контектса Spring', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15613, 3707, 'В классах конфигурации для опредления бинов с кастомной логикой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15614, 3707, 'Обяъвляет класс компонентом Spring', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15615, 3708, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15616, 3708, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15617, 3708, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15618, 3708, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15619, 3709, 'singlton', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15620, 3709, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15621, 3709, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15622, 3709, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15623, 3710, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15624, 3710, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15625, 3710, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15626, 3710, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15627, 3711, 'Создается согласно паттерну Singleton', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15628, 3711, 'Создается согласно паттерну Prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15629, 3711, 'Жизненный цикл SessionFactory привязан к транзакции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15630, 3711, 'Жизненный цикл SessionFactory привязан к базе данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15631, 3711, 'SessionFactory является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15632, 3711, 'Создается через конструктор класса SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15633, 3712, 'Да', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15634, 3712, 'Нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15635, 3712, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15773, 3739, 'Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15636, 3713, 'Создается согласно паттерну Singleton', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15637, 3713, 'Создается согласно паттерну Prototype', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15638, 3713, 'Жизненный цикл Session привязан к транзакции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15639, 3713, 'Жизненный цикл Session привязан к базе данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15640, 3713, 'Session является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15641, 3713, 'Создается через конструктор класса Session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15642, 3714, 'Закрытие PersistentContext не влияет на сущности и их состояния', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15643, 3714, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15644, 3714, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15645, 3714, 'Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15646, 3714, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15860, 3755, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15647, 3715, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15648, 3715, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15649, 3715, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15650, 3715, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15651, 3715, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15652, 3715, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15653, 3716, 'git refresh', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15654, 3716, 'git add remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15655, 3716, 'git pull', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15656, 3716, 'git reset', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15657, 3716, 'git push', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15658, 3716, 'git merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15659, 3717, 'Первая команда делает merge, вторая нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15660, 3717, 'Вторая команда делает merge, первая нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15661, 3717, 'Первая команда делает merge, вторая rebase', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15662, 3717, 'Первая команда делает rebase, вторая merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15663, 3717, 'Первая команда делает rebase, вторая нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15664, 3717, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15665, 3718, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15666, 3718, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15667, 3718, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15668, 3718, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15669, 3718, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15670, 3718, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15671, 3719, 'git status', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15672, 3719, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15673, 3719, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15674, 3719, 'git show', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15675, 3719, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15676, 3719, 'git commit --details', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15677, 3720, 'Файл только начал отслеживаться git и не имеет истории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15678, 3720, 'Файл был создан только что и не отслеживается git', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15679, 3720, 'Файл изменен и отслеживается для коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15680, 3720, 'Такого статуса нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15681, 3720, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15682, 3721, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15683, 3721, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15684, 3721, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15685, 3721, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15686, 3721, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15687, 3722, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15688, 3722, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15689, 3722, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15690, 3722, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15691, 3723, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15692, 3723, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15693, 3723, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15694, 3723, 'И те и другие могут содержать public static final переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15695, 3723, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15696, 3724, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15697, 3724, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15698, 3724, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15699, 3724, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15700, 3724, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15701, 3725, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15702, 3725, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15703, 3725, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15704, 3725, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15705, 3726, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15706, 3726, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15707, 3726, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15708, 3726, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15709, 3726, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15710, 3726, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15711, 3727, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15712, 3727, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15713, 3727, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15717, 3728, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15718, 3728, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15719, 3728, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15720, 3728, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15721, 3728, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15722, 3728, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15723, 3729, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15724, 3729, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15862, 3755, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15725, 3729, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15726, 3729, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15727, 3729, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15728, 3729, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15729, 3730, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15730, 3730, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15731, 3730, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15732, 3730, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15733, 3730, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15734, 3730, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15735, 3731, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15736, 3731, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15737, 3731, 'Действие, которое будет выполняться для выбранных нами методов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15738, 3731, 'Точка в программе, где структура AOP будет инициализирована', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15739, 3732, 'Указвыает Spring, что данное поле класса является бином', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15740, 3732, 'Указывается над классом, который хранит конфигурацию контектса Spring', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15741, 3732, 'В классах конфигурации для опредления бинов с кастомной логикой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15742, 3732, 'Обяъвляет класс компонентом Spring', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15743, 3733, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15744, 3733, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15745, 3733, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15746, 3733, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15747, 3734, 'singlton', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15748, 3734, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15749, 3734, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15750, 3734, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15751, 3735, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15752, 3735, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15753, 3735, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15754, 3735, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15755, 3736, 'Создается согласно паттерну Singleton', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15756, 3736, 'Создается согласно паттерну Prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15757, 3736, 'Жизненный цикл SessionFactory привязан к транзакции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15758, 3736, 'Жизненный цикл SessionFactory привязан к базе данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15759, 3736, 'SessionFactory является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15760, 3736, 'Создается через конструктор класса SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15761, 3737, 'Да', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15762, 3737, 'Нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15763, 3737, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15764, 3738, 'Создается согласно паттерну Singleton', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15765, 3738, 'Создается согласно паттерну Prototype', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15766, 3738, 'Жизненный цикл Session привязан к транзакции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15767, 3738, 'Жизненный цикл Session привязан к базе данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15768, 3738, 'Session является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15769, 3738, 'Создается через конструктор класса Session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15770, 3739, 'Закрытие PersistentContext не влияет на сущности и их состояния', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15771, 3739, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15772, 3739, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15775, 3740, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15776, 3740, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15777, 3740, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15778, 3740, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15863, 3756, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15779, 3740, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15780, 3740, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15781, 3741, 'git refresh', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15782, 3741, 'git add remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15783, 3741, 'git pull', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15784, 3741, 'git reset', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15785, 3741, 'git push', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15786, 3741, 'git merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15787, 3742, 'Первая команда делает merge, вторая нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15788, 3742, 'Вторая команда делает merge, первая нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15789, 3742, 'Первая команда делает merge, вторая rebase', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15790, 3742, 'Первая команда делает rebase, вторая merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15791, 3742, 'Первая команда делает rebase, вторая нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15792, 3742, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15793, 3743, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15794, 3743, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15795, 3743, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15796, 3743, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15797, 3743, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15798, 3743, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15799, 3744, 'git status', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15800, 3744, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15801, 3744, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15802, 3744, 'git show', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15803, 3744, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15804, 3744, 'git commit --details', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15805, 3745, 'Файл только начал отслеживаться git и не имеет истории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15806, 3745, 'Файл был создан только что и не отслеживается git', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15807, 3745, 'Файл изменен и отслеживается для коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15808, 3745, 'Такого статуса нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15809, 3745, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15810, 3746, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15812, 3746, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15813, 3746, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15814, 3746, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15815, 3747, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15817, 3747, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15818, 3747, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15819, 3748, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15821, 3748, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15823, 3748, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15824, 3749, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15825, 3749, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15827, 3749, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15828, 3749, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15829, 3750, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15831, 3750, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15832, 3750, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15833, 3751, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15834, 3751, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15835, 3751, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15836, 3751, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15838, 3751, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15840, 3752, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15841, 3752, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15842, 3752, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15843, 3752, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15844, 3752, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15845, 3753, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15846, 3753, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15848, 3753, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15849, 3753, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15851, 3754, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15811, 3746, 'import com.examplejava.Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15816, 3747, '641', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15826, 3749, 'Pelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15830, 3750, 'ноль или один, ноль или больше', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15837, 3751, 'NOT > AND и OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15839, 3752, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15847, 3753, 'Select * from users where name = ''Ivan'';', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15850, 3753, 'Select * from users where name = ''%Ivan%'';', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19618, 4588, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19619, 4588, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19620, 4588, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19621, 4588, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15853, 3754, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15854, 3754, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15856, 3754, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15857, 3755, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15858, 3755, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15865, 3756, 'Действие, которое будет выполняться для выбранных нами методов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15866, 3756, 'Точка в программе, где структура AOP будет инициализирована', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15868, 3757, 'Указывается над классом, который хранит конфигурацию контектса Spring', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15869, 3757, 'В классах конфигурации для опредления бинов с кастомной логикой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15870, 3757, 'Обяъвляет класс компонентом Spring', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15871, 3758, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15872, 3758, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15874, 3758, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15876, 3759, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15877, 3759, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15878, 3759, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15879, 3760, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15881, 3760, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15882, 3760, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15884, 3761, 'Создается согласно паттерну Prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15885, 3761, 'Жизненный цикл SessionFactory привязан к транзакции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15888, 3761, 'Создается через конструктор класса SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15889, 3762, 'Да', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15891, 3762, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15892, 3763, 'Создается согласно паттерну Singleton', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15895, 3763, 'Жизненный цикл Session привязан к базе данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15896, 3763, 'Session является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15897, 3763, 'Создается через конструктор класса Session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15898, 3764, 'Закрытие PersistentContext не влияет на сущности и их состояния', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15899, 3764, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15900, 3764, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15901, 3764, 'Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15903, 3765, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15905, 3765, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15883, 3761, 'Создается согласно паттерну Singleton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15890, 3762, 'Нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15894, 3763, 'Жизненный цикл Session привязан к транзакции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15893, 3763, 'Создается согласно паттерну Prototype', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15902, 3764, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15904, 3765, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15864, 3756, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15867, 3757, 'Указвыает Spring, что данное поле класса является бином', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15873, 3758, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15875, 3759, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15880, 3760, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15852, 3754, 'Количество столбцов должно быть равно у каждого запроса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15859, 3755, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15861, 3755, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15968, 3778, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15969, 3778, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15970, 3778, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19721, 4611, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19722, 4611, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15906, 3765, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15907, 3765, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15908, 3765, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15909, 3766, 'git refresh', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15910, 3766, 'git add remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15912, 3766, 'git reset', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15913, 3766, 'git push', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15914, 3766, 'git merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15916, 3767, 'Вторая команда делает merge, первая нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15917, 3767, 'Первая команда делает merge, вторая rebase', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15918, 3767, 'Первая команда делает rebase, вторая merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15919, 3767, 'Первая команда делает rebase, вторая нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25271, 5843, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15920, 3767, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15921, 3768, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15922, 3768, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15923, 3768, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15924, 3768, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15926, 3768, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15927, 3769, 'git status', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15928, 3769, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15929, 3769, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15931, 3769, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15932, 3769, 'git commit --details', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15933, 3770, 'Файл только начал отслеживаться git и не имеет истории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15935, 3770, 'Файл изменен и отслеживается для коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15936, 3770, 'Такого статуса нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15937, 3770, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15911, 3766, 'git pull', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15915, 3767, 'Первая команда делает merge, вторая нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15925, 3768, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15930, 3769, 'git show', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15934, 3770, 'Файл был создан только что и не отслеживается git', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15886, 3761, 'Жизненный цикл SessionFactory привязан к базе данных', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15887, 3761, 'SessionFactory является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15822, 3748, 'И те и другие могут содержать public static final переменные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15820, 3748, 'И те и другие могут содержать статические методы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15855, 3754, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15938, 3771, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15939, 3771, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15940, 3771, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15941, 3771, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15943, 3772, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15947, 3773, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15949, 3773, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15950, 3773, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15951, 3774, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15952, 3774, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15953, 3774, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15956, 3775, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15957, 3775, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15958, 3775, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15959, 3776, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15960, 3776, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15962, 3776, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15964, 3777, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15965, 3777, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15966, 3777, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15942, 3771, 'Код компилируется, но кидает исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15944, 3772, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15945, 3772, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15948, 3773, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15954, 3774, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15955, 3775, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15961, 3776, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15963, 3777, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15967, 3778, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15971, 3779, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15972, 3779, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15974, 3779, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15975, 3780, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15977, 3780, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15978, 3780, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15981, 3781, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15982, 3781, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15983, 3781, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15984, 3781, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15985, 3782, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15986, 3782, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15987, 3782, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15989, 3782, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15990, 3783, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15991, 3783, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15992, 3783, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15994, 3784, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15995, 3784, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15996, 3784, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15997, 3784, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15998, 3784, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16000, 3785, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16002, 3785, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16004, 3785, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16005, 3785, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16006, 3786, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16007, 3786, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16009, 3786, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16010, 3786, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16011, 3786, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16012, 3787, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16014, 3787, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16015, 3787, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16018, 3788, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16021, 3789, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16022, 3789, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16023, 3789, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16025, 3790, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16027, 3791, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16028, 3791, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16029, 3791, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16030, 3791, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16031, 3791, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15976, 3780, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15980, 3781, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15988, 3782, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15993, 3783, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15999, 3784, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16001, 3785, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16003, 3785, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16008, 3786, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16013, 3787, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16017, 3788, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16019, 3788, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16020, 3788, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16016, 3788, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16024, 3789, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16026, 3790, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16033, 3792, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16034, 3792, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16035, 3792, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16038, 3793, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16041, 3793, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16042, 3794, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16044, 3794, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16045, 3794, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16046, 3794, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16051, 3796, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16053, 3796, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16054, 3796, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16055, 3797, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16056, 3797, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16057, 3797, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16059, 3798, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16060, 3798, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16061, 3798, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16063, 3799, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16064, 3799, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16065, 3799, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16068, 3800, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16069, 3800, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16070, 3800, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16072, 3801, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16073, 3801, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16074, 3801, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16075, 3802, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16076, 3802, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16078, 3802, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16079, 3803, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16081, 3803, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16082, 3803, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16084, 3804, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16085, 3804, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16086, 3804, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16087, 3804, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16036, 3792, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16043, 3794, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16048, 3795, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16047, 3795, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16050, 3795, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16052, 3796, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16058, 3797, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16062, 3798, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16066, 3799, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16067, 3800, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16071, 3801, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16077, 3802, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16080, 3803, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16083, 3803, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19723, 4611, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19724, 4611, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19725, 4611, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19728, 4612, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16089, 3805, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16090, 3805, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16091, 3805, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16093, 3805, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16094, 3806, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16095, 3806, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16096, 3806, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16098, 3807, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16099, 3807, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16100, 3807, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16101, 3807, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16102, 3807, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16106, 3808, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16108, 3808, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16109, 3808, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16110, 3809, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16111, 3809, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16113, 3809, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16114, 3809, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16115, 3809, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16116, 3810, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16118, 3810, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16119, 3810, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16121, 3811, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16122, 3811, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16125, 3812, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16126, 3812, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16127, 3812, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16129, 3813, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16131, 3814, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16132, 3814, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16133, 3814, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16134, 3814, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16135, 3814, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16137, 3815, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16138, 3815, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16140, 3815, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16141, 3816, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16142, 3816, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16145, 3816, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16146, 3817, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16147, 3817, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16148, 3817, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16150, 3817, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16151, 3818, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16152, 3818, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16153, 3818, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16136, 3814, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16143, 3816, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16088, 3804, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16092, 3805, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16097, 3806, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16103, 3807, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16104, 3808, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16105, 3808, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16107, 3808, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16112, 3809, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16117, 3810, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16124, 3811, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16120, 3811, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16123, 3811, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16128, 3812, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16130, 3813, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16156, 3819, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16157, 3819, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16158, 3819, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16159, 3820, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16160, 3820, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16161, 3820, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16163, 3821, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16165, 3821, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16166, 3821, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16168, 3822, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16169, 3822, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16170, 3822, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16171, 3823, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16172, 3823, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16173, 3823, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16176, 3824, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16177, 3824, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16178, 3824, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16179, 3825, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16180, 3825, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16181, 3825, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16183, 3826, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16185, 3826, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16186, 3826, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16189, 3827, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16304, 3852, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16192, 3827, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16194, 3828, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16195, 3828, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16196, 3828, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16197, 3828, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16198, 3829, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16199, 3829, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16200, 3829, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16203, 3830, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16204, 3830, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16205, 3830, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16206, 3830, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16207, 3830, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16208, 3831, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16210, 3831, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16212, 3831, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16155, 3819, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16162, 3820, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16164, 3821, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16167, 3822, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16174, 3823, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16175, 3824, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16182, 3825, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16184, 3826, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16188, 3827, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16190, 3827, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16193, 3828, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16201, 3829, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16202, 3830, 'Код выведет: true false', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16211, 3831, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16209, 3831, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16259, 3842, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16261, 3842, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16262, 3842, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16263, 3843, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16635, 3924, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19824, 4634, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19825, 4634, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16213, 3831, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16215, 3832, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16216, 3832, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16217, 3832, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16218, 3832, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16219, 3832, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16220, 3833, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16221, 3833, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16222, 3833, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16226, 3834, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16229, 3835, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16230, 3835, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16231, 3835, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16233, 3836, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16235, 3837, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16236, 3837, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16237, 3837, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16238, 3837, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16239, 3837, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16241, 3838, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16242, 3838, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16243, 3838, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16247, 3839, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16248, 3839, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16249, 3839, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16240, 3837, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16244, 3838, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16245, 3839, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16379, 3869, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16246, 3839, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16149, 3817, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16154, 3818, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16187, 3826, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16191, 3827, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16214, 3832, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16223, 3833, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16225, 3834, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16227, 3834, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16224, 3834, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16228, 3834, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16232, 3835, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16234, 3836, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16032, 3791, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16040, 3793, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16039, 3793, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16037, 3793, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15946, 3772, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15973, 3779, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (15979, 3780, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16250, 3840, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16251, 3840, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16253, 3840, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16254, 3840, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16257, 3841, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16264, 3843, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16265, 3843, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16267, 3844, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16268, 3844, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16269, 3844, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16271, 3845, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16272, 3845, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16274, 3845, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16275, 3846, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16276, 3846, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16277, 3846, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16280, 3847, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16281, 3847, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16282, 3847, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16283, 3848, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16285, 3848, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16286, 3848, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16287, 3849, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16289, 3849, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16290, 3849, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16292, 3850, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16293, 3850, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16294, 3850, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16295, 3850, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16297, 3851, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16298, 3851, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16299, 3851, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16301, 3851, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16302, 3852, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16305, 3852, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16306, 3853, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16307, 3853, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16308, 3853, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16309, 3853, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16310, 3853, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16312, 3854, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16313, 3854, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16314, 3854, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16316, 3854, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16317, 3854, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16318, 3855, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16319, 3855, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16321, 3855, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16322, 3855, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16323, 3855, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16324, 3856, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16270, 3844, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16273, 3845, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16278, 3846, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16279, 3847, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16288, 3849, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16296, 3850, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16300, 3851, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16303, 3852, 'Первым напечатается "test2"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16311, 3853, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16315, 3854, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16320, 3855, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16325, 3856, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16326, 3856, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16327, 3856, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16329, 3857, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16330, 3857, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16331, 3857, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16333, 3858, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16335, 3858, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16336, 3858, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16337, 3859, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16338, 3859, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16339, 3860, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16340, 3860, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16341, 3860, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16342, 3860, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16343, 3860, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16345, 3861, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16346, 3861, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16348, 3861, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16349, 3862, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16352, 3862, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16353, 3862, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16354, 3863, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16355, 3863, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16356, 3863, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16358, 3863, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16359, 3864, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16360, 3864, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16363, 3865, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16364, 3865, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16366, 3865, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16367, 3866, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16368, 3866, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16369, 3866, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16371, 3867, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16373, 3867, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16374, 3867, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16375, 3868, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16376, 3868, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16378, 3868, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16384, 3870, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16385, 3870, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16386, 3870, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16387, 3871, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16388, 3871, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16629, 3923, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16361, 3864, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16365, 3865, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16370, 3866, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16372, 3867, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16377, 3868, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16382, 3869, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16383, 3870, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16344, 3860, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16347, 3861, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16351, 3862, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16328, 3857, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16332, 3857, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16334, 3858, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16390, 3871, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16391, 3872, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16392, 3872, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16394, 3872, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16395, 3872, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16398, 3873, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16400, 3873, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16402, 3874, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16403, 3874, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16404, 3874, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16405, 3874, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16406, 3875, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16407, 3875, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16408, 3875, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16411, 3876, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16412, 3876, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16413, 3876, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16414, 3876, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16415, 3876, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16418, 3877, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16420, 3877, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16421, 3877, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16423, 3878, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16424, 3878, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16425, 3878, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16426, 3878, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16427, 3878, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16428, 3879, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16430, 3879, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16431, 3879, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16433, 3880, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16434, 3880, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16435, 3880, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16437, 3881, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16438, 3881, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16439, 3881, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16441, 3882, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16443, 3883, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16444, 3883, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16445, 3883, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16446, 3883, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16448, 3883, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16449, 3884, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25642, 5925, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16450, 3884, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16393, 3872, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16396, 3873, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16397, 3873, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16401, 3874, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16409, 3875, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16410, 3876, 'Код выведет: true false', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16416, 3877, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16417, 3877, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16419, 3877, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16422, 3878, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16429, 3879, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16436, 3880, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16432, 3880, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16440, 3881, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16442, 3882, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16452, 3884, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16453, 3885, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16454, 3885, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16457, 3885, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16458, 3886, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16459, 3886, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16460, 3886, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16461, 3886, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16462, 3886, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16463, 3887, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16464, 3887, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16465, 3887, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16466, 3887, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16467, 3888, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16468, 3888, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16469, 3888, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16470, 3888, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16471, 3889, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16472, 3889, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16473, 3889, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16474, 3889, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16475, 3890, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16476, 3890, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16477, 3890, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16478, 3890, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16479, 3891, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16480, 3891, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16481, 3891, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16482, 3891, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16483, 3892, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16484, 3892, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16485, 3892, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16486, 3892, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16487, 3893, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16488, 3893, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16489, 3893, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16490, 3893, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16491, 3894, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16492, 3894, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16493, 3894, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16494, 3894, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16495, 3895, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16496, 3895, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16497, 3895, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16585, 3914, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16498, 3895, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16499, 3895, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16500, 3896, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16501, 3896, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16502, 3896, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16503, 3896, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16504, 3896, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16505, 3897, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16630, 3924, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16631, 3924, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16455, 3885, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16506, 3897, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16507, 3897, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16508, 3897, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16509, 3897, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16510, 3898, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16511, 3898, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16512, 3898, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16513, 3898, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16514, 3899, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16515, 3899, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16516, 3899, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16517, 3899, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16518, 3899, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16519, 3899, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16520, 3900, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16521, 3900, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16522, 3900, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16523, 3900, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16524, 3900, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16525, 3900, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16526, 3901, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16527, 3901, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16528, 3901, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16529, 3901, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16530, 3901, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16531, 3901, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16532, 3902, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16533, 3902, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16534, 3902, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16535, 3902, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16536, 3903, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16537, 3903, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16538, 3903, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16539, 3903, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16540, 3903, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16541, 3904, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16542, 3904, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16543, 3904, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16544, 3904, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16545, 3905, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16546, 3905, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16547, 3906, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16548, 3906, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16549, 3906, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16550, 3906, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16551, 3906, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16552, 3906, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16553, 3907, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16554, 3907, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16555, 3907, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16556, 3907, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16557, 3908, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16558, 3908, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16587, 3915, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16591, 3916, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16559, 3908, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16560, 3908, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16561, 3908, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16562, 3909, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16563, 3909, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16564, 3909, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16566, 3909, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16567, 3910, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16569, 3910, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16633, 3924, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16568, 3910, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16632, 3924, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16957, 3996, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16571, 3911, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16573, 3911, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16574, 3911, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16575, 3912, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16576, 3912, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16577, 3912, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16579, 3913, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16580, 3913, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16582, 3913, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16583, 3914, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16584, 3914, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16586, 3914, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16588, 3915, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16589, 3915, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16590, 3915, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16592, 3916, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16593, 3916, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16594, 3916, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16595, 3917, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16596, 3917, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16597, 3917, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16599, 3918, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16601, 3918, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16602, 3918, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16604, 3919, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16607, 3919, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16608, 3919, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16609, 3920, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16610, 3920, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16611, 3920, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16613, 3920, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16614, 3921, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16615, 3921, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16617, 3921, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16618, 3922, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16619, 3922, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16620, 3922, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16621, 3922, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16622, 3922, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16624, 3923, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16625, 3923, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16626, 3923, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16628, 3923, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16634, 3924, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16572, 3911, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16578, 3912, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16581, 3913, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26365, 6089, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16598, 3917, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16600, 3918, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16605, 3919, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16606, 3919, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16612, 3920, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16616, 3921, 'Код не скомпилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16623, 3922, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16627, 3923, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16636, 3925, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16638, 3925, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16639, 3925, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16642, 3926, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16645, 3927, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16646, 3927, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16647, 3927, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16649, 3928, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16651, 3929, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16652, 3929, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16653, 3929, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16654, 3929, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16655, 3929, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16657, 3930, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16658, 3930, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16659, 3930, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16661, 3931, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16662, 3931, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16665, 3931, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16666, 3932, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16667, 3932, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16668, 3932, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16670, 3932, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16671, 3933, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16672, 3933, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16675, 3934, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16677, 3934, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16678, 3934, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16679, 3935, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16680, 3935, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16681, 3935, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16683, 3936, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16684, 3936, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16686, 3936, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16688, 3937, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16689, 3937, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16690, 3937, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16691, 3938, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16693, 3938, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16694, 3938, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16696, 3939, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16697, 3939, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16698, 3939, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16699, 3940, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16660, 3930, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16637, 3925, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16644, 3926, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16643, 3926, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16641, 3926, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16640, 3926, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16648, 3927, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16650, 3928, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16669, 3932, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16674, 3933, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16673, 3933, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16676, 3934, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16682, 3935, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16685, 3936, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16687, 3937, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16692, 3938, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16695, 3939, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16700, 3940, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16701, 3940, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16703, 3941, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16705, 3941, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16706, 3941, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16708, 3942, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16709, 3942, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16710, 3942, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16712, 3942, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16713, 3943, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16715, 3943, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16716, 3943, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16717, 3943, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16719, 3944, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16720, 3944, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16721, 3944, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16722, 3945, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16723, 3945, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16724, 3945, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16725, 3945, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16726, 3945, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16729, 3946, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16730, 3946, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16731, 3946, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16732, 3946, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16733, 3946, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16734, 3947, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16735, 3947, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16736, 3947, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16737, 3947, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16738, 3947, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16739, 3947, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16740, 3948, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16741, 3948, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16742, 3948, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16743, 3948, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16744, 3949, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16745, 3949, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16746, 3949, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16747, 3949, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16748, 3949, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16749, 3950, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16750, 3950, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16751, 3950, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16752, 3950, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16753, 3951, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16754, 3951, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16755, 3952, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16756, 3952, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16757, 3952, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16758, 3952, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16759, 3952, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16761, 3953, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16704, 3941, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16711, 3942, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16714, 3943, 'Скорость выполнения операции сравнения в первом случае выше', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16718, 3944, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16727, 3945, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16728, 3946, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16762, 3953, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16763, 3953, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16765, 3954, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16766, 3954, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16769, 3954, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16656, 3929, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16664, 3931, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16663, 3931, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16565, 3909, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16570, 3910, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16603, 3918, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16447, 3883, 'Любой POJO класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16451, 3884, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16456, 3885, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16357, 3863, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16362, 3864, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16389, 3871, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16399, 3873, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16770, 3955, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16771, 3955, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16772, 3955, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16774, 3955, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16776, 3956, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16777, 3956, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16779, 3957, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16781, 3957, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16782, 3957, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16783, 3958, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16784, 3958, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16785, 3958, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16787, 3959, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16788, 3959, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16790, 3959, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16791, 3960, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16792, 3960, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16794, 3960, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16796, 3961, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16797, 3961, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16798, 3961, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16800, 3962, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16801, 3962, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16802, 3962, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16803, 3963, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16764, 3953, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16773, 3955, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16778, 3956, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16775, 3956, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16780, 3957, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16786, 3958, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16789, 3959, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16793, 3960, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16795, 3961, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16799, 3962, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16956, 3995, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18714, 4384, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18715, 4384, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18716, 4385, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16804, 3963, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16805, 3963, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16807, 3964, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16809, 3964, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16810, 3964, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16812, 3965, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16815, 3965, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16816, 3965, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16817, 3966, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16818, 3966, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16819, 3966, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16821, 3966, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16822, 3967, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16823, 3967, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16824, 3967, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16826, 3968, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16827, 3968, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16828, 3968, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16829, 3968, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16830, 3968, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16834, 3969, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16836, 3969, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16837, 3969, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16838, 3970, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16839, 3970, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16841, 3970, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16842, 3970, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16843, 3970, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16844, 3971, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16846, 3971, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16847, 3971, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16850, 3972, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16853, 3973, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16854, 3973, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16855, 3973, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16857, 3974, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16859, 3975, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16860, 3975, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16861, 3975, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16862, 3975, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16864, 3975, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16865, 3976, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16808, 3964, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16813, 3965, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16814, 3965, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16820, 3966, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16825, 3967, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16831, 3968, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16832, 3969, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16833, 3969, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16835, 3969, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16840, 3970, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16845, 3971, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16849, 3972, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16852, 3972, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16848, 3972, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16851, 3972, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16856, 3973, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16858, 3974, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16866, 3976, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16868, 3976, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16869, 3977, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29779, 6830, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16870, 3977, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16873, 3977, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16760, 3952, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16767, 3954, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16768, 3954, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16702, 3940, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16707, 3941, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16863, 3975, 'Любой POJO класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16867, 3976, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16871, 3977, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16872, 3977, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16806, 3963, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16811, 3964, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16139, 3815, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16144, 3816, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16049, 3795, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16350, 3862, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16252, 3840, 'Код не компилируется из за ошибки на строке B', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16256, 3841, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16255, 3841, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16258, 3841, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16260, 3842, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16266, 3843, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16284, 3848, 'Невозможно сослаться на статические методы используя статические импорты', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16291, 3849, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16874, 3978, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16875, 3978, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16877, 3978, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16878, 3978, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16880, 3979, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16884, 3980, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16885, 3980, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16886, 3980, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16887, 3981, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16888, 3981, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16889, 3981, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16891, 3982, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16892, 3982, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16893, 3982, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16876, 3978, 'Код не компилируется из за ошибки на строке B', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16879, 3979, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16881, 3979, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16882, 3979, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16883, 3980, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16890, 3981, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18837, 4412, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18838, 4412, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18839, 4412, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18841, 4413, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18842, 4413, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16896, 3983, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16897, 3983, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16898, 3983, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16899, 3984, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16900, 3984, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16901, 3984, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16904, 3985, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16905, 3985, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16906, 3985, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16907, 3986, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16908, 3986, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16910, 3986, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16911, 3987, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16914, 3987, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16916, 3988, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16918, 3988, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16919, 3988, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16921, 3989, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16922, 3989, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16923, 3989, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16924, 3989, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16926, 3990, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16927, 3990, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16928, 3990, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16931, 3991, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16933, 3991, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16939, 3992, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16940, 3992, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16941, 3992, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16943, 3993, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16944, 3993, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16945, 3993, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16946, 3993, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16947, 3993, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16948, 3994, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16949, 3994, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16950, 3994, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16953, 3995, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16954, 3995, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16902, 3984, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16903, 3985, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16912, 3987, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16913, 3987, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16917, 3988, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16920, 3988, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16925, 3989, 'Второе выражение безопасно для NullPointerException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16929, 3990, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16932, 3991, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16936, 3992, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16937, 3992, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16935, 3991, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16938, 3992, 'optional.ifPresent(System.out.println)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16942, 3993, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16951, 3994, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16952, 3995, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16955, 3995, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16958, 3996, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16959, 3996, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16962, 3997, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16963, 3998, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16964, 3998, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16965, 3998, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16966, 3998, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16967, 3998, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16969, 3999, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16971, 3999, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16972, 3999, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16977, 4000, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17147, 4038, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16968, 3998, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16970, 3999, 'Возможно, любое количество стратегий наследования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16975, 4000, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16974, 4000, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16976, 4000, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16973, 4000, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16894, 3982, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16895, 3983, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16909, 3986, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16915, 3987, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16982, 4001, 'Код компилируется, но кидает исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16986, 4002, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16934, 3991, 'Код скомпилируется, но выкинет исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16930, 3991, 'Код выведет: true false', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16960, 3996, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16961, 3997, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16978, 4001, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16979, 4001, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16980, 4001, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16981, 4001, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16984, 4002, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16985, 4002, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16988, 4003, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16989, 4003, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16990, 4003, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16991, 4004, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16992, 4004, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16993, 4004, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16995, 4005, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16996, 4005, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16997, 4005, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16983, 4002, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16987, 4003, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16994, 4004, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16998, 4005, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18771, 4398, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19265, 4510, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19266, 4510, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19267, 4510, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19268, 4510, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19269, 4511, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19270, 4511, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19827, 4634, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19828, 4634, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19829, 4634, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19830, 4635, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19831, 4635, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19892, 4648, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (16999, 4006, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17000, 4006, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17002, 4006, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17003, 4007, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17005, 4007, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17006, 4007, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17007, 4008, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17009, 4008, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17010, 4008, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17011, 4009, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17012, 4009, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17081, 4023, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17082, 4024, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17013, 4009, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17015, 4010, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17017, 4010, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17018, 4010, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17022, 4011, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17023, 4011, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17024, 4011, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17026, 4012, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17027, 4012, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17028, 4012, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17029, 4012, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17030, 4013, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17032, 4013, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17033, 4013, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17034, 4014, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17035, 4014, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17036, 4014, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17038, 4014, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17039, 4014, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17040, 4015, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17042, 4015, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17044, 4015, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17045, 4015, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17046, 4016, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17047, 4016, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17048, 4016, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17050, 4016, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17051, 4016, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17052, 4017, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17054, 4017, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17055, 4017, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17057, 4018, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17060, 4018, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17004, 4007, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17008, 4008, 'String не изменяем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17016, 4010, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17021, 4011, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17020, 4011, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17025, 4012, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17031, 4013, 'Первым напечатается "test2"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17037, 4014, 'Ошибка компиляции', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17043, 4015, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17041, 4015, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17049, 4016, '195 20', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17053, 4017, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17056, 4018, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17058, 4018, 'factoryMethod', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17059, 4018, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17062, 4019, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17063, 4019, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17064, 4019, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17066, 4020, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17068, 4021, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17069, 4021, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17070, 4021, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17071, 4021, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17072, 4021, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17073, 4022, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17074, 4022, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17075, 4022, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17077, 4023, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17080, 4023, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17083, 4024, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17085, 4024, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17086, 4024, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17087, 4025, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17088, 4025, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17091, 4026, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17093, 4026, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17094, 4026, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17095, 4027, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17096, 4027, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17097, 4027, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17099, 4028, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17100, 4028, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17101, 4028, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17103, 4029, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17105, 4029, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17106, 4029, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17108, 4030, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17109, 4030, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17110, 4030, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17111, 4031, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17113, 4031, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17114, 4031, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17115, 4032, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17116, 4032, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17118, 4032, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17120, 4033, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17090, 4025, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17092, 4026, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17098, 4027, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17102, 4028, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17104, 4029, 'Класса-потомка, внешнего класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17107, 4030, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17112, 4031, 'String не изменяем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17117, 4032, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17119, 4033, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17067, 4021, 'Примитивные классы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17076, 4022, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17078, 4023, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17061, 4019, 'Набор всех правил и выполняемых действий', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17065, 4020, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18994, 4448, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18995, 4449, 'Docker Client ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18996, 4449, 'Docker Host', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18998, 4449, 'Docker Daemon', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18993, 4448, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18997, 4449, 'Docker Compose', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17121, 4033, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17125, 4034, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17128, 4034, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17129, 4035, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17130, 4035, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17131, 4035, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17132, 4035, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17134, 4036, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17136, 4036, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17137, 4036, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17138, 4037, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17139, 4037, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17140, 4037, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17141, 4037, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17142, 4037, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17144, 4038, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17145, 4038, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17146, 4038, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17148, 4038, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17150, 4039, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17151, 4039, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17153, 4039, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17154, 4039, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17155, 4039, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17156, 4040, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17157, 4040, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17158, 4040, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17161, 4041, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17162, 4041, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17165, 4042, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17166, 4042, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17167, 4042, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17169, 4043, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17172, 4044, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17173, 4044, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17174, 4044, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17175, 4044, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17176, 4044, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17177, 4045, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17178, 4045, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17179, 4045, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17181, 4046, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17182, 4046, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17171, 4044, 'Примитивные классы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17180, 4045, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17122, 4033, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17124, 4034, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17126, 4034, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17133, 4035, 'Второе выражение безопасно для NullPointerException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17135, 4036, 'Первым напечатается "test2"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17143, 4037, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17149, 4038, 'Ничего из перечисленного. Строка A выбросит исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17152, 4039, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17159, 4040, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17160, 4041, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17163, 4041, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17164, 4041, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17168, 4042, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17170, 4043, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19084, 4470, 'to', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19085, 4470, 'Syntax Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19086, 4471, 'Syntax Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19087, 4471, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19089, 4471, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19090, 4471, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19092, 4472, 'Ошибку, так как i не присвоена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19088, 4471, '5', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17185, 4046, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17184, 4046, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17183, 4046, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17084, 4024, 'Код не компилируется из за ошибки на строке B', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17089, 4025, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17123, 4033, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17127, 4034, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17187, 4047, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17188, 4047, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17189, 4047, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17190, 4047, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17192, 4048, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17193, 4048, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17195, 4049, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17197, 4049, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17198, 4049, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17199, 4050, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17200, 4050, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17201, 4050, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17203, 4051, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17204, 4051, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17205, 4051, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17207, 4052, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17209, 4052, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17210, 4052, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17212, 4053, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17213, 4053, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17214, 4053, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17216, 4054, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17217, 4054, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17218, 4054, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17219, 4055, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17220, 4055, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17222, 4055, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17223, 4056, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17225, 4056, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17226, 4056, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17228, 4057, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17231, 4057, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17186, 4047, 'Код компилируется без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17191, 4048, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17196, 4049, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17202, 4050, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17206, 4051, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17208, 4052, 'Класса-потомка, внешнего класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17211, 4053, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17215, 4054, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17221, 4055, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17224, 4056, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17227, 4056, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17230, 4057, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17229, 4057, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19093, 4472, '1, 3, 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19094, 4472, 'Ошибку из-за неверного вывода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19095, 4472, '0, 2, 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19931, 4657, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19932, 4657, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17233, 4058, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17234, 4058, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17235, 4058, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17237, 4058, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17238, 4059, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17239, 4059, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17240, 4059, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17242, 4060, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17243, 4060, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17244, 4060, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17245, 4060, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17246, 4060, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17248, 4061, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17250, 4061, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17252, 4061, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17253, 4061, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17254, 4062, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17255, 4062, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17257, 4062, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17258, 4062, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17259, 4062, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17260, 4063, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17261, 4063, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17263, 4063, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17266, 4064, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17269, 4065, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17271, 4065, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17272, 4065, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17274, 4066, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17275, 4067, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17276, 4067, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17277, 4067, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17278, 4067, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17279, 4067, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17281, 4068, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17282, 4068, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17283, 4068, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17285, 4069, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17286, 4069, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17288, 4069, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17289, 4069, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17290, 4070, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17291, 4070, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17292, 4070, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17294, 4070, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17295, 4071, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17284, 4068, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17232, 4057, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17236, 4058, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17241, 4059, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17247, 4060, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17249, 4061, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17251, 4061, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17256, 4062, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17262, 4063, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17267, 4064, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17264, 4064, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17265, 4064, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17268, 4064, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17270, 4065, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17273, 4066, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17293, 4070, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17296, 4071, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17297, 4071, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17299, 4072, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17300, 4072, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17302, 4072, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17303, 4073, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17304, 4073, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17305, 4073, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17307, 4074, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17308, 4074, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17310, 4074, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17311, 4075, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17312, 4075, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17314, 4075, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17316, 4076, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17317, 4076, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17318, 4076, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17320, 4077, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17321, 4077, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17322, 4077, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17323, 4078, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17324, 4078, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17325, 4078, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17327, 4079, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17329, 4079, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17330, 4079, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17331, 4079, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17336, 4080, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17338, 4081, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17339, 4081, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17340, 4081, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17341, 4081, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17343, 4082, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17344, 4082, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17345, 4082, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17346, 4083, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17347, 4083, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17348, 4083, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17349, 4083, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17350, 4083, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17352, 4084, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17354, 4084, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17356, 4084, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17301, 4072, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17306, 4073, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17309, 4074, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17313, 4075, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17315, 4076, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17319, 4077, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17326, 4078, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17328, 4079, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17332, 4080, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17337, 4081, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17342, 4082, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17351, 4083, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17353, 4084, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17355, 4084, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17357, 4084, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17358, 4085, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17359, 4085, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17361, 4085, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17362, 4085, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17363, 4085, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17364, 4086, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17366, 4086, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17367, 4086, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17368, 4087, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17372, 4087, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17373, 4088, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17374, 4088, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17375, 4088, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17378, 4089, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17379, 4090, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17380, 4090, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17381, 4090, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17382, 4090, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17383, 4090, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17385, 4091, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17386, 4091, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17388, 4091, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17393, 4092, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17079, 4023, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17001, 4006, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17014, 4009, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17019, 4010, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17280, 4067, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17287, 4069, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17194, 4048, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17394, 4093, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17396, 4093, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17397, 4093, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17398, 4093, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17400, 4094, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17404, 4095, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17405, 4095, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17406, 4095, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17407, 4096, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17408, 4096, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17409, 4096, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17399, 4094, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17403, 4095, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17384, 4090, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17387, 4091, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17389, 4092, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17390, 4092, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17391, 4092, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17360, 4085, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17365, 4086, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17370, 4087, 'factoryMethod', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17369, 4087, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17371, 4087, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17376, 4088, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17377, 4089, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19083, 4470, 'sto', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20032, 4680, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20033, 4680, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20035, 4680, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20036, 4680, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20037, 4680, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20038, 4681, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17411, 4097, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17412, 4097, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17414, 4097, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17415, 4098, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17416, 4098, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17418, 4098, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17420, 4099, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17421, 4099, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17422, 4099, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17424, 4100, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17425, 4100, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17426, 4100, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17427, 4101, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17428, 4101, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17429, 4101, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17431, 4102, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17433, 4102, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17434, 4102, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17436, 4103, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17439, 4103, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17440, 4103, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17442, 4104, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17443, 4104, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17444, 4104, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17445, 4104, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17446, 4105, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17447, 4105, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17448, 4105, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17450, 4106, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17451, 4106, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17452, 4106, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17453, 4106, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17454, 4106, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17458, 4107, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17460, 4107, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17461, 4107, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17463, 4108, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17464, 4108, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17465, 4108, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17466, 4108, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17467, 4108, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17468, 4109, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17469, 4109, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17470, 4109, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17413, 4097, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17417, 4098, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17419, 4099, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17423, 4100, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17430, 4101, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17437, 4103, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17438, 4103, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17441, 4104, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17449, 4105, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17455, 4106, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17459, 4107, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17457, 4107, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17456, 4107, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17462, 4108, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17515, 4120, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17517, 4120, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17518, 4120, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17516, 4120, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19091, 4472, '1, 3', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17473, 4110, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17474, 4110, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17477, 4111, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17479, 4111, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17480, 4111, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17482, 4112, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17483, 4113, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17484, 4113, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17485, 4113, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17486, 4113, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17487, 4113, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17489, 4114, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17490, 4114, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17491, 4114, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17496, 4115, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17497, 4115, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17488, 4113, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17492, 4114, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17494, 4115, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17493, 4115, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17495, 4115, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17395, 4093, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17402, 4094, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17401, 4094, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17410, 4096, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17432, 4102, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17435, 4102, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17471, 4109, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17472, 4110, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17476, 4110, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17478, 4111, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17481, 4112, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17498, 4116, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17499, 4116, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17500, 4116, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17502, 4116, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17503, 4117, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17504, 4117, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17507, 4118, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17509, 4118, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17510, 4118, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17511, 4119, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17512, 4119, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17513, 4119, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17501, 4116, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17506, 4117, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17505, 4117, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17508, 4118, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17514, 4119, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17519, 4121, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17520, 4121, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17522, 4121, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17524, 4122, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17525, 4122, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17526, 4122, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17528, 4123, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17529, 4123, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17530, 4123, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17531, 4124, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17532, 4124, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17533, 4124, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17535, 4125, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17537, 4125, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17538, 4125, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17541, 4126, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17542, 4126, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17544, 4126, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17545, 4127, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17546, 4127, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17547, 4127, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17549, 4127, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17550, 4128, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17551, 4128, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17552, 4128, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17554, 4129, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17556, 4129, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17557, 4129, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17558, 4129, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17559, 4129, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17560, 4130, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17561, 4130, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17562, 4130, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17564, 4130, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17565, 4130, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17566, 4131, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17567, 4131, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17569, 4131, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17570, 4131, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17571, 4131, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17573, 4132, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17574, 4132, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17575, 4132, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17577, 4133, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17578, 4133, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17579, 4133, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17523, 4122, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17527, 4123, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17539, 4125, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17543, 4126, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17540, 4126, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17548, 4127, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17553, 4128, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17555, 4129, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17563, 4130, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17568, 4131, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17572, 4132, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17580, 4133, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17576, 4133, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17581, 4134, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17583, 4134, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17584, 4134, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17586, 4135, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17587, 4136, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17588, 4136, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17589, 4136, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17590, 4136, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17591, 4136, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17593, 4137, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17594, 4137, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17595, 4137, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17597, 4138, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17598, 4138, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17601, 4138, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17592, 4136, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17596, 4137, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17600, 4138, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17599, 4138, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17521, 4121, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17534, 4124, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17536, 4125, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17582, 4134, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17585, 4135, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17392, 4092, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17298, 4071, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17333, 4080, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17334, 4080, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17335, 4080, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17602, 4139, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17603, 4139, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17604, 4139, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17606, 4139, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17607, 4140, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17608, 4140, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17611, 4141, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17613, 4141, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17614, 4141, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17615, 4142, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17616, 4142, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17617, 4142, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17619, 4143, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17620, 4143, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17621, 4143, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17623, 4144, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17624, 4144, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17605, 4139, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17609, 4140, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17610, 4140, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17612, 4141, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17618, 4142, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17622, 4143, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19096, 4473, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19097, 4473, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19099, 4473, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19100, 4473, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19101, 4473, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19103, 4474, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19370, 4533, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17626, 4144, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17628, 4145, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17629, 4145, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17630, 4145, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17632, 4146, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17633, 4146, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17634, 4146, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17635, 4147, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17636, 4147, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17637, 4147, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17639, 4148, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17641, 4148, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17642, 4148, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17647, 4149, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17649, 4150, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17650, 4150, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17651, 4150, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17653, 4150, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17654, 4151, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17655, 4151, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17656, 4151, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17658, 4152, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17659, 4152, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17660, 4152, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17661, 4152, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17662, 4152, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17666, 4153, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17668, 4153, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17669, 4153, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17671, 4154, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17672, 4154, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17673, 4154, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17674, 4154, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17675, 4154, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17676, 4155, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17677, 4155, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17678, 4155, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17681, 4156, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17682, 4156, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17685, 4157, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17627, 4145, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17631, 4146, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17640, 4148, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17646, 4149, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17645, 4149, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17648, 4149, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17652, 4150, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17657, 4151, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17663, 4152, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17664, 4153, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17665, 4153, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17667, 4153, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17670, 4154, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17679, 4155, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17683, 4156, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17684, 4156, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17680, 4156, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17686, 4157, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17687, 4157, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17688, 4157, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17689, 4158, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17691, 4159, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17692, 4159, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17693, 4159, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17694, 4159, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17695, 4159, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17697, 4160, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17698, 4160, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17699, 4160, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17701, 4161, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17703, 4161, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17704, 4161, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17705, 4161, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17706, 4162, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17707, 4162, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17708, 4162, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17709, 4162, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17712, 4163, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17715, 4164, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17716, 4164, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17718, 4164, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17719, 4165, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17720, 4165, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17721, 4165, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17723, 4166, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17724, 4166, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17726, 4166, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17727, 4167, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17728, 4167, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17730, 4167, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17732, 4168, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17733, 4168, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17734, 4168, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17736, 4169, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17737, 4169, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17738, 4169, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17739, 4170, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17740, 4170, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17741, 4170, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17743, 4171, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17745, 4171, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17700, 4160, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17702, 4161, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17710, 4162, 'Код компилируется, но кидает исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17711, 4163, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17717, 4164, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17722, 4165, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17725, 4166, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17729, 4167, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17731, 4168, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17735, 4169, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17742, 4170, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17744, 4171, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17690, 4158, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17854, 4195, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17855, 4195, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17857, 4196, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17746, 4171, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17748, 4172, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17749, 4172, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17752, 4172, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17753, 4173, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17754, 4173, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17755, 4173, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17757, 4173, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17758, 4174, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17759, 4174, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17760, 4174, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17762, 4175, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17763, 4175, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17764, 4175, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17765, 4175, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17767, 4175, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17768, 4176, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17770, 4176, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17772, 4176, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17773, 4176, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17774, 4177, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17775, 4177, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17777, 4177, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17778, 4177, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17779, 4177, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17780, 4178, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17781, 4178, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17782, 4178, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17786, 4179, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17789, 4180, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17791, 4180, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17792, 4180, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17794, 4181, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17795, 4182, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17796, 4182, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17797, 4182, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17798, 4182, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17799, 4182, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17801, 4183, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17802, 4183, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17804, 4183, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17805, 4184, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17806, 4184, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17807, 4184, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17809, 4184, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17808, 4184, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17747, 4171, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17750, 4172, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17756, 4173, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17761, 4174, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17766, 4175, 'Код скомпилируется, но выкинет исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17769, 4176, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17771, 4176, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17776, 4177, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17783, 4178, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17787, 4179, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17785, 4179, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17790, 4180, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17793, 4181, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17696, 4159, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17800, 4182, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17803, 4183, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17625, 4144, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17713, 4163, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17714, 4163, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17638, 4147, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17643, 4148, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17644, 4149, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17751, 4172, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17810, 4185, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17811, 4185, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17812, 4185, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17814, 4185, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17817, 4186, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17818, 4186, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17819, 4187, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17821, 4187, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17822, 4187, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17824, 4188, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17825, 4188, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17826, 4188, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17827, 4189, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17829, 4189, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17830, 4189, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17831, 4190, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17832, 4190, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17834, 4190, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17835, 4191, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17836, 4191, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17837, 4191, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17840, 4192, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17841, 4192, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17842, 4192, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17843, 4193, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17844, 4193, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17845, 4193, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17847, 4194, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17849, 4194, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17850, 4194, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17852, 4195, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17816, 4186, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17820, 4187, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17823, 4188, 'Приложение временно потеряло соединение с интернетом', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17828, 4189, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17833, 4190, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17838, 4191, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17839, 4192, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17846, 4193, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17848, 4194, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17853, 4195, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19098, 4473, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20136, 4703, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20137, 4703, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20138, 4703, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20139, 4703, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20140, 4703, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20141, 4703, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17858, 4196, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17859, 4196, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17860, 4196, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17861, 4196, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17862, 4197, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17863, 4197, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17865, 4197, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17867, 4198, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17868, 4198, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17869, 4198, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17870, 4198, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17871, 4198, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17872, 4199, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17873, 4199, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17874, 4199, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17875, 4199, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17877, 4199, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17879, 4200, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17880, 4200, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17881, 4200, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17882, 4200, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17883, 4200, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17884, 4201, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17885, 4201, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17886, 4201, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17890, 4202, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17893, 4203, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17894, 4203, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17895, 4203, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17897, 4204, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17899, 4205, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17900, 4205, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17901, 4205, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17903, 4205, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17904, 4205, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17905, 4206, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17907, 4206, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17908, 4206, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17912, 4207, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17913, 4207, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17902, 4205, 'Перечисления (Enum)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17906, 4206, 'Возможно, любое количество стратегий наследования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17909, 4207, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17910, 4207, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17911, 4207, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17813, 4185, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17815, 4186, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17851, 4194, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17856, 4195, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17864, 4197, 'Код не скомпилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17866, 4198, 'Код выведет: true false', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17876, 4199, 'Ничего из перечисленного. Код не скомпилируется.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17878, 4200, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17887, 4201, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17892, 4202, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17891, 4202, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17889, 4202, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17888, 4202, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17896, 4203, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17898, 4204, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17914, 4208, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17915, 4208, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17917, 4208, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19409, 4542, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19410, 4542, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17918, 4208, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17919, 4209, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17923, 4210, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17925, 4210, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17926, 4210, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17927, 4211, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17928, 4211, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17929, 4211, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17931, 4212, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17933, 4212, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17934, 4212, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17935, 4213, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17936, 4213, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17938, 4213, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17939, 4214, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17940, 4214, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17941, 4214, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17944, 4215, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17945, 4215, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17946, 4215, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17947, 4216, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17948, 4216, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17949, 4216, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17951, 4217, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17953, 4217, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17954, 4217, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17955, 4217, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17956, 4218, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17957, 4218, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17958, 4218, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17961, 4219, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17962, 4219, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17963, 4219, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17964, 4219, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17966, 4220, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17967, 4220, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17969, 4220, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17970, 4221, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17971, 4221, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17972, 4221, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17973, 4221, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17974, 4221, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17924, 4210, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17930, 4211, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17932, 4212, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17937, 4213, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17942, 4214, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17943, 4215, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17950, 4216, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17952, 4217, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17959, 4218, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17960, 4218, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17965, 4219, 'Второе выражение безопасно для NullPointerException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17968, 4220, 'Код не скомпилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17975, 4221, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17976, 4222, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17978, 4222, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17979, 4222, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17980, 4222, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17981, 4222, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17986, 4223, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17987, 4223, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17988, 4224, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17990, 4224, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17991, 4224, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17993, 4225, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17994, 4225, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17997, 4226, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17998, 4226, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17999, 4226, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18001, 4227, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18003, 4228, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18004, 4228, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18005, 4228, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18006, 4228, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18007, 4228, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18009, 4229, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18010, 4229, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18011, 4229, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18014, 4230, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18015, 4230, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18016, 4230, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18017, 4230, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18018, 4231, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18019, 4231, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18020, 4231, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18022, 4231, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18025, 4232, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18027, 4233, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18029, 4233, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18030, 4233, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18031, 4234, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18032, 4234, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18033, 4234, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18035, 4235, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18036, 4235, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18038, 4235, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18039, 4236, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18040, 4236, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18012, 4229, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18013, 4230, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17977, 4222, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17985, 4223, '195 20', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17992, 4225, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17995, 4225, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17996, 4225, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18000, 4226, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18002, 4227, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18021, 4231, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18026, 4232, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18028, 4233, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18034, 4234, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18037, 4235, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18041, 4236, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18042, 4236, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18044, 4237, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18045, 4237, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18046, 4237, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18048, 4238, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18049, 4238, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18050, 4238, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18051, 4239, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18052, 4239, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18122, 4254, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18123, 4254, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18053, 4239, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18055, 4240, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18057, 4240, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18058, 4240, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18060, 4241, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18063, 4241, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18065, 4242, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18066, 4242, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18067, 4242, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18069, 4242, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18070, 4243, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18071, 4243, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18072, 4243, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18074, 4244, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18075, 4244, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18076, 4244, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18077, 4244, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18078, 4244, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18080, 4245, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18082, 4245, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18084, 4245, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18085, 4245, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18086, 4246, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18087, 4246, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18089, 4246, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18090, 4246, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18091, 4246, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18092, 4247, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18094, 4247, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18095, 4247, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18098, 4248, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18101, 4249, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18102, 4249, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18043, 4237, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18047, 4238, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18059, 4240, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18062, 4241, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18061, 4241, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18064, 4241, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18068, 4242, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18073, 4243, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18079, 4244, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18083, 4245, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18081, 4245, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18088, 4246, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18093, 4247, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18097, 4248, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18099, 4248, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18100, 4248, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18096, 4248, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18103, 4249, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18105, 4250, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18107, 4251, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18108, 4251, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18109, 4251, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18110, 4251, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18111, 4251, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18113, 4252, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18114, 4252, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18115, 4252, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18117, 4253, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18118, 4253, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18121, 4253, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18124, 4254, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18126, 4254, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18127, 4255, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18128, 4255, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18131, 4256, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18132, 4256, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18134, 4256, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18135, 4257, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18136, 4257, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18137, 4257, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18139, 4258, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18140, 4258, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18141, 4258, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18143, 4259, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18144, 4259, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18146, 4259, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18148, 4260, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18149, 4260, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18150, 4260, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18152, 4261, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18153, 4261, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18154, 4261, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18155, 4262, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18156, 4262, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18157, 4262, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18159, 4263, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18161, 4263, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18129, 4255, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18133, 4256, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18138, 4257, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18142, 4258, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18145, 4259, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18147, 4260, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18151, 4261, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18158, 4262, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18160, 4263, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18772, 4398, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18773, 4398, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18774, 4398, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18775, 4399, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18776, 4399, 'String не изменяем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18116, 4252, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18120, 4253, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18104, 4249, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18106, 4250, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18162, 4263, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18164, 4264, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18165, 4264, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18167, 4264, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18169, 4265, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18170, 4265, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18171, 4265, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18172, 4265, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18175, 4266, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18176, 4266, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18177, 4266, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18178, 4267, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18179, 4267, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18180, 4267, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18181, 4267, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18182, 4267, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18184, 4268, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18186, 4268, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18188, 4268, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18189, 4268, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18190, 4269, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18191, 4269, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18193, 4269, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18194, 4269, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18195, 4269, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18196, 4270, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18198, 4270, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18199, 4270, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18202, 4271, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18205, 4272, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18207, 4272, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18208, 4272, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18210, 4273, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18211, 4274, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18212, 4274, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18213, 4274, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18214, 4274, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18215, 4274, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18217, 4275, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18218, 4275, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18220, 4275, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18221, 4276, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18223, 4276, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18224, 4276, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18225, 4276, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18222, 4276, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18163, 4263, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18166, 4264, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18168, 4264, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18173, 4265, 'Второе выражение безопасно для NullPointerException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18174, 4266, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18183, 4267, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18185, 4268, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18187, 4268, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18192, 4269, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18197, 4270, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18204, 4271, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18200, 4271, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18201, 4271, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18203, 4271, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18206, 4272, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18209, 4273, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18216, 4274, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18219, 4275, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18125, 4254, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18130, 4255, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18226, 4277, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18227, 4277, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18228, 4277, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18229, 4277, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18230, 4277, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18231, 4278, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18232, 4278, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18233, 4278, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18234, 4278, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18235, 4279, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18236, 4279, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18237, 4279, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18238, 4279, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18239, 4280, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18240, 4280, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18241, 4280, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18242, 4280, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18243, 4281, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18244, 4281, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18245, 4281, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18246, 4281, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18247, 4282, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18248, 4282, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18249, 4282, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18250, 4282, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18251, 4283, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18252, 4283, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18253, 4283, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18254, 4283, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18255, 4284, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18256, 4284, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18257, 4284, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18258, 4284, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18259, 4285, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18260, 4285, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18261, 4285, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18262, 4285, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18263, 4286, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18264, 4286, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18265, 4286, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18266, 4286, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18267, 4286, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18268, 4287, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18269, 4287, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18270, 4287, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18271, 4287, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18272, 4287, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18273, 4288, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18274, 4288, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18275, 4288, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18276, 4288, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19411, 4542, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18277, 4288, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18278, 4289, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18279, 4289, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18280, 4289, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18281, 4289, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18282, 4290, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18283, 4290, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18284, 4290, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18285, 4290, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18286, 4290, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18287, 4290, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18288, 4291, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18289, 4291, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18290, 4291, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18291, 4291, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18292, 4291, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18293, 4291, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18294, 4292, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18295, 4292, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18296, 4292, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18297, 4292, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18298, 4292, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18299, 4292, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18300, 4293, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18507, 4338, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18301, 4293, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18302, 4293, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18303, 4293, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18304, 4294, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18305, 4294, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18306, 4294, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18307, 4294, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18308, 4294, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18309, 4295, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18310, 4295, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18311, 4295, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18312, 4295, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18313, 4296, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18314, 4296, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18315, 4297, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18316, 4297, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18317, 4297, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18318, 4297, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18319, 4297, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18320, 4297, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18321, 4298, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18322, 4298, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18323, 4298, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18324, 4298, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18325, 4299, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18326, 4299, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18327, 4299, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18328, 4299, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18329, 4299, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18330, 4300, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18331, 4300, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18332, 4300, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18334, 4300, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18336, 4301, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18337, 4301, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18339, 4302, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18341, 4302, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18342, 4302, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18335, 4301, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18340, 4302, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18343, 4303, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18344, 4303, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18345, 4303, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18348, 4304, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18349, 4304, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18350, 4304, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18351, 4305, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18352, 4305, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18354, 4305, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18356, 4306, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18357, 4306, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18358, 4306, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18360, 4307, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18361, 4307, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18362, 4307, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18363, 4308, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18364, 4308, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18365, 4308, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18367, 4309, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18369, 4309, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18689, 4380, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18370, 4309, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18372, 4310, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18373, 4310, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18375, 4310, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18377, 4311, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18378, 4311, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18379, 4311, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18381, 4311, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18382, 4312, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18383, 4312, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18384, 4312, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18386, 4313, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18387, 4313, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18388, 4313, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18389, 4313, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18390, 4313, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18392, 4314, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18394, 4314, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18396, 4314, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18397, 4314, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18398, 4315, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18399, 4315, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18401, 4315, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18402, 4315, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18403, 4315, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18404, 4316, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18347, 4304, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18353, 4305, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18355, 4306, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18359, 4307, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18368, 4309, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18374, 4310, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18376, 4310, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18380, 4311, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18385, 4312, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18391, 4313, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18393, 4314, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18395, 4314, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18400, 4315, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18405, 4316, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18406, 4316, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18410, 4317, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18413, 4318, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18414, 4318, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18415, 4318, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18418, 4319, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18419, 4320, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18420, 4320, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18421, 4320, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18422, 4320, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18423, 4320, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18425, 4321, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18426, 4321, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18428, 4321, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18429, 4322, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18432, 4322, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18433, 4322, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18435, 4323, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18436, 4323, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18437, 4323, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18438, 4323, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18440, 4324, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18443, 4325, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18445, 4325, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18446, 4325, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30223, 6922, 'findAny', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18447, 4326, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18448, 4326, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18450, 4326, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18451, 4327, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18452, 4327, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18453, 4327, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18455, 4328, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18456, 4328, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18458, 4328, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18460, 4329, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18461, 4329, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18462, 4329, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18464, 4330, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18465, 4330, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18466, 4330, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18467, 4331, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18530, 4344, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18430, 4322, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18431, 4322, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18407, 4316, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18409, 4317, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18408, 4317, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18412, 4317, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18411, 4317, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18416, 4318, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18417, 4319, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18434, 4323, 'Код компилируется без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18442, 4324, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18441, 4324, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18444, 4325, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18449, 4326, 'Пользователь неверно ввел свой пароль', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18454, 4327, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18457, 4328, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18459, 4329, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18463, 4330, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18468, 4331, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18470, 4331, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18471, 4332, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18473, 4332, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18474, 4332, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18478, 4333, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18479, 4333, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18480, 4333, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18481, 4334, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18482, 4334, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18483, 4334, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18485, 4334, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18487, 4335, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18488, 4335, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18489, 4335, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18490, 4336, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18491, 4336, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18492, 4336, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18493, 4336, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18494, 4336, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18496, 4337, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18498, 4337, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18499, 4337, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18500, 4337, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18501, 4337, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18503, 4338, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18504, 4338, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18505, 4338, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18506, 4338, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18508, 4339, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18509, 4339, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18510, 4339, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18512, 4340, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18514, 4340, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18516, 4340, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18517, 4341, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18519, 4341, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18520, 4341, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18521, 4342, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18523, 4343, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18524, 4343, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18525, 4343, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18526, 4343, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18527, 4343, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18529, 4344, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18472, 4332, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18475, 4332, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18476, 4333, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18477, 4333, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18484, 4334, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18486, 4335, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18495, 4336, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18497, 4337, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18502, 4338, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18511, 4339, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18513, 4340, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18515, 4340, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18518, 4341, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18522, 4342, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18531, 4344, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18533, 4345, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18536, 4345, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18537, 4345, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18538, 4346, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18539, 4346, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18540, 4346, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18542, 4346, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18544, 4347, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18547, 4348, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18548, 4348, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18550, 4348, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18551, 4349, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18552, 4349, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18553, 4349, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18556, 4350, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18557, 4350, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18558, 4350, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18559, 4351, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18560, 4351, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18561, 4351, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18563, 4352, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18564, 4352, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18565, 4352, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18568, 4353, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18569, 4353, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18570, 4353, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18571, 4354, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18572, 4354, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18573, 4354, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18575, 4355, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30224, 6922, 'findFirst', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18577, 4355, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18578, 4355, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18580, 4356, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18581, 4356, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18584, 4356, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18585, 4357, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18709, 4383, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18541, 4346, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18546, 4347, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18543, 4347, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18549, 4348, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18554, 4349, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18555, 4350, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18562, 4351, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18566, 4352, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18567, 4353, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18574, 4354, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18579, 4355, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18576, 4355, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18582, 4356, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18583, 4356, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18586, 4357, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18587, 4357, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18588, 4357, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18590, 4358, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18591, 4358, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18592, 4358, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18594, 4359, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18595, 4359, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18596, 4359, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18597, 4359, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18598, 4359, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18600, 4360, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18604, 4360, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18605, 4360, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18606, 4361, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18607, 4361, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18609, 4361, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18610, 4361, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18611, 4361, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18612, 4362, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18614, 4362, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18615, 4362, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18618, 4363, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18621, 4364, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18622, 4364, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18623, 4364, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18626, 4365, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18627, 4366, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18628, 4366, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18629, 4366, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18630, 4366, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18632, 4366, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18633, 4367, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18634, 4367, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18635, 4367, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18641, 4368, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18642, 4369, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18643, 4369, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18644, 4369, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18645, 4369, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18646, 4369, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18647, 4370, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18648, 4370, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18649, 4370, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18710, 4384, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18711, 4384, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18712, 4384, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18636, 4367, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18589, 4357, 'Второе выражение безопасно для NullPointerException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18593, 4358, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18599, 4359, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18601, 4360, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18602, 4360, 'optional.ifPresent(System.out.println)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18603, 4360, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18608, 4361, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18613, 4362, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18616, 4363, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18617, 4363, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18619, 4363, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18620, 4363, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18624, 4364, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18625, 4365, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18650, 4370, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18651, 4371, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18652, 4371, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18653, 4371, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18654, 4371, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18655, 4372, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18656, 4372, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18657, 4372, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18658, 4372, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18659, 4373, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18660, 4373, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18661, 4373, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18662, 4373, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18663, 4374, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18664, 4374, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18665, 4374, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18666, 4374, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18667, 4375, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18668, 4375, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18669, 4375, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18670, 4375, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18671, 4376, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18672, 4376, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18673, 4376, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18674, 4376, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18675, 4377, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18676, 4377, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18677, 4377, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18678, 4377, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18679, 4378, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18680, 4378, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18681, 4378, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18682, 4378, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18683, 4378, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18684, 4379, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18685, 4379, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18686, 4379, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18687, 4379, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18688, 4379, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18690, 4380, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18691, 4380, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18692, 4380, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18693, 4380, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18694, 4381, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18695, 4381, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18696, 4381, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18697, 4381, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18698, 4382, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18699, 4382, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18700, 4382, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18701, 4382, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18702, 4382, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18703, 4382, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18704, 4383, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18705, 4383, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18706, 4383, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18707, 4383, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18708, 4383, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18713, 4384, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18717, 4385, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18718, 4385, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18719, 4385, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18720, 4386, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18721, 4386, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18722, 4386, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18723, 4386, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18724, 4386, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18725, 4387, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18726, 4387, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18727, 4387, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18728, 4387, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18729, 4388, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18730, 4388, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18731, 4389, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18732, 4389, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18733, 4389, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18735, 4389, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18736, 4389, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18737, 4390, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18738, 4390, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18739, 4390, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18740, 4390, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18741, 4391, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18742, 4391, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18743, 4391, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18744, 4391, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18745, 4391, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18424, 4320, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18427, 4321, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18333, 4300, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18338, 4301, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18346, 4303, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18366, 4308, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18371, 4309, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18747, 4392, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18748, 4392, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18749, 4392, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18750, 4392, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18752, 4393, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18753, 4393, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18754, 4393, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18755, 4394, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18756, 4394, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18758, 4394, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18759, 4395, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18760, 4395, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18761, 4395, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18763, 4396, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18764, 4396, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18765, 4396, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18767, 4397, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18768, 4397, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18769, 4397, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18746, 4392, 'Код компилируется без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18757, 4394, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18762, 4395, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18766, 4396, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18777, 4399, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18778, 4399, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18779, 4400, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18780, 4400, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18782, 4400, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18783, 4401, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18785, 4401, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18786, 4401, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18791, 4402, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18792, 4402, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18793, 4403, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18794, 4403, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18795, 4403, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18797, 4403, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18798, 4404, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18799, 4404, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18800, 4404, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18803, 4405, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18804, 4405, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18805, 4405, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18806, 4405, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18807, 4405, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18809, 4406, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18810, 4406, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18811, 4406, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18812, 4406, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18813, 4406, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18815, 4407, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18816, 4407, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18817, 4407, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18818, 4407, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18819, 4407, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18820, 4408, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18822, 4408, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18823, 4408, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18824, 4409, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18828, 4409, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18829, 4410, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18830, 4410, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18831, 4410, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18834, 4411, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18835, 4412, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18836, 4412, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18860, 4417, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19162, 4487, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18787, 4401, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18788, 4402, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18789, 4402, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18790, 4402, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18796, 4403, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18801, 4404, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18802, 4405, 'Код выведет: true false', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18808, 4406, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18814, 4407, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18821, 4408, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18827, 4409, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18825, 4409, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18826, 4409, 'factoryMethod', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18832, 4410, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18833, 4411, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18843, 4413, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18845, 4414, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18847, 4414, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18848, 4414, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18849, 4414, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18008, 4228, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17916, 4208, 'Код не компилируется из за ошибки на строке B', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17922, 4209, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17920, 4209, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17921, 4209, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (17989, 4224, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18850, 4415, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18851, 4415, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18852, 4415, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18854, 4415, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18856, 4416, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18857, 4416, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18859, 4417, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18861, 4417, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18862, 4417, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18863, 4418, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18864, 4418, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18865, 4418, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18867, 4419, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18869, 4419, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18870, 4419, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18871, 4420, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18872, 4420, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18873, 4420, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18875, 4421, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18876, 4421, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18877, 4421, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18880, 4422, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18881, 4422, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18882, 4422, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18883, 4423, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18884, 4423, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18885, 4423, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18887, 4424, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18889, 4424, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18890, 4424, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18855, 4416, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19437, 4548, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18866, 4418, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18868, 4419, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18874, 4420, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18878, 4421, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18879, 4422, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18886, 4423, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18891, 4424, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18888, 4424, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18844, 4413, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18846, 4414, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19412, 4542, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19413, 4542, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20240, 4726, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20241, 4726, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18892, 4425, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18894, 4425, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18895, 4425, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18896, 4425, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18898, 4426, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18899, 4426, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18900, 4426, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18901, 4426, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18902, 4427, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18903, 4427, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18904, 4427, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18906, 4428, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18907, 4428, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18908, 4428, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18909, 4428, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18910, 4428, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18912, 4429, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18913, 4429, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18914, 4429, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18916, 4429, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18917, 4429, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18919, 4430, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18920, 4430, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18921, 4430, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18922, 4430, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18923, 4430, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18924, 4431, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18925, 4431, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18926, 4431, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18933, 4433, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18935, 4433, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18936, 4433, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18937, 4434, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18939, 4435, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18940, 4435, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18941, 4435, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18942, 4435, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18943, 4435, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18945, 4436, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18946, 4436, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18947, 4436, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18949, 4437, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18950, 4437, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18951, 4437, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18952, 4437, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18944, 4435, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18948, 4436, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18953, 4437, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18853, 4415, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30225, 6922, 'noneMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18858, 4416, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18897, 4426, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18905, 4427, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18911, 4428, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18915, 4429, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18918, 4430, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18928, 4432, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18932, 4432, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18931, 4432, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18929, 4432, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18930, 4432, 'factoryMethod', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18934, 4433, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18938, 4434, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18893, 4425, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18927, 4431, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18734, 4389, 'Перечисления (Enum)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18840, 4412, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18751, 4393, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18770, 4397, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18781, 4400, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18784, 4401, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18112, 4251, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18119, 4253, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18023, 4232, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18024, 4232, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18054, 4239, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18056, 4240, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18528, 4343, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18532, 4344, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18534, 4345, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18535, 4345, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18439, 4324, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18469, 4331, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18631, 4366, 'Любой POJO класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18640, 4368, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18637, 4368, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18639, 4368, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18638, 4368, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18545, 4347, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18954, 4438, 'Docker Client ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18956, 4438, 'Docker Compose', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18957, 4438, 'Docker Daemon', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18959, 4439, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18960, 4439, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18961, 4439, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18962, 4440, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18963, 4440, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18965, 4440, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18967, 4441, 'docker rm', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18968, 4441, 'docker stop', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18969, 4441, 'docker delete', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18971, 4442, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18972, 4443, 'Для создания глобального класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18974, 4443, 'Для создания любого класса в Python (базовый класс)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18975, 4443, 'Для создания Singleton-классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18976, 4444, 'Оператор-заглушка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18977, 4444, 'Синоним оператора "continue" (пропустить)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18980, 4445, 'pip i flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18981, 4445, 'pip freeze flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18982, 4445, 'pip install flask', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18983, 4446, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18984, 4446, '12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18985, 4446, '24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18987, 4446, '48', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18988, 4447, '1, 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31369, 7147, '3 6 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18989, 4447, 'Ошибку, так как i не присвоена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18991, 4447, 'Ошибку из-за неверного вывода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18992, 4447, '0, 2, 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18955, 4438, 'Docker Host', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18964, 4440, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18966, 4441, 'docker kill', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18970, 4442, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18973, 4443, 'Для создания абстрактного класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18978, 4444, 'Данная оператор не используется в новых версиях Python', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18979, 4445, 'pip setup flask', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18986, 4446, '36', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18990, 4447, '1, 3, 5', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19104, 4474, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18958, 4439, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19000, 4450, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19001, 4450, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19002, 4450, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19003, 4451, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19004, 4451, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19006, 4451, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19007, 4452, 'docker kill', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19009, 4452, 'docker stop', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19010, 4452, 'docker delete', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19011, 4453, 'pip setup flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19012, 4453, 'pip i flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19013, 4453, 'pip freeze flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19015, 4454, 'Для создания глобального класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19017, 4454, 'Для создания любого класса в Python (базовый класс)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19018, 4454, 'Для создания Singleton-классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19020, 4455, 'Синоним оператора "continue" (пропустить)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19021, 4455, 'Данная оператор не используется в новых версиях Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19022, 4456, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19023, 4456, '12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19025, 4456, '36', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19026, 4456, '48', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19028, 4457, 'Ошибку, так как i не присвоена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19029, 4457, '1, 3, 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19030, 4457, 'Ошибку из-за неверного вывода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19031, 4457, '0, 2, 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (18999, 4450, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19005, 4451, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19008, 4452, 'docker rm', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19014, 4453, 'pip install flask', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19016, 4454, 'Для создания абстрактного класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19019, 4455, 'Оператор-заглушка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19024, 4456, '24', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19027, 4457, '1, 3', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19032, 4458, 'Тrun python file.py', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19034, 4458, 'python file.py exec', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19035, 4458, 'python file.py', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19036, 4459, 'list_object.delete(index)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19038, 4459, 'delete list_object[index]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19039, 4459, 'list_object[index] = None', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19040, 4460, 'list(filter(None, list_object))', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19041, 4460, 'for element in a:
if not element:
delete element', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19043, 4460, 'list_object = [element for element in list_object if not element]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19044, 4461, 'Глобальная и локальная переменная создаются один раз.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19045, 4461, 'Глобальная переменная неизменяема.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19046, 4461, 'Локальную переменную нельзя сделать глобальной.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19048, 4462, 'Свод правил ООП для разработки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19050, 4462, 'Рекомендации по стилю кода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19051, 4462, 'Рекомендации по оптимизации кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19052, 4463, 'Для исправления ошибок в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19053, 4463, 'Для оптимизации в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19054, 4463, 'Для создания ошибок в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19056, 4464, '0 // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19057, 4464, 'True // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19058, 4464, 'False // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19060, 4465, 'Список (list)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19061, 4465, 'Множество (set)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19062, 4465, 'Кортеж (tuple)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19064, 4466, 'pip setup flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19065, 4466, 'pip i flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19066, 4466, 'pip freeze flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19068, 4467, 'form = request.form', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19070, 4467, 'form = getattr(request, ''post_body'')', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19071, 4467, 'form = response.args', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19073, 4468, 'GORM', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19074, 4468, 'SQLALchemy', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19075, 4468, 'ODB', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19077, 4469, 'array', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19078, 4469, 'list', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19081, 4469, 'frozenset', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19082, 4470, 'st', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19033, 4458, 'python exec file.py', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19037, 4459, 'list_object.remove(index)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19042, 4460, 'list_object.remove(None)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19047, 4461, 'Глобальная переменная изменяемая.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19049, 4462, 'Свод паттерном проектирования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19055, 4463, 'Для обработки ошибок в коде', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19059, 4464, '1 // False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19063, 4465, 'Словарь (dict)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19067, 4466, 'pip install flask', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19069, 4467, 'form = response.form()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19072, 4468, 'Django ORM', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19076, 4469, 'set', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19079, 4469, 'bytes', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19080, 4469, 'map', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19106, 4475, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19108, 4475, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19109, 4475, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19110, 4476, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19111, 4476, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19112, 4476, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19115, 4477, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19116, 4477, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19117, 4477, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19118, 4478, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19119, 4478, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19120, 4478, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19123, 4479, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19124, 4479, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19125, 4479, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19127, 4480, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19128, 4480, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19129, 4480, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19130, 4481, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19131, 4481, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19132, 4481, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19134, 4482, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19136, 4482, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19137, 4482, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19139, 4483, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19140, 4483, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19141, 4483, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19143, 4483, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19144, 4484, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19145, 4484, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19146, 4484, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19148, 4484, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19149, 4485, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19150, 4485, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19151, 4485, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19153, 4486, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19154, 4486, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19155, 4486, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19156, 4486, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19157, 4486, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19160, 4487, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19161, 4487, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19163, 4487, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19200, 4496, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19201, 4496, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19107, 4475, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19113, 4476, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19114, 4477, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19121, 4478, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19122, 4479, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19126, 4480, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19133, 4481, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19142, 4483, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19147, 4484, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19152, 4485, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19158, 4486, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19159, 4487, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31370, 7147, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19164, 4487, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19165, 4488, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19166, 4488, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19167, 4488, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19169, 4488, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19170, 4489, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19171, 4489, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19172, 4489, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19174, 4490, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19175, 4490, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19179, 4491, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19181, 4491, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19182, 4491, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19184, 4492, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19185, 4493, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19186, 4493, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19189, 4493, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19190, 4494, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19191, 4494, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19192, 4494, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19193, 4494, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19194, 4494, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19196, 4495, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19198, 4495, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19199, 4495, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19188, 4493, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19187, 4493, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19195, 4494, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19197, 4495, 'Возможно, любое количество стратегий наследования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19168, 4488, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19173, 4489, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19177, 4490, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19176, 4490, 'factoryMethod', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19178, 4490, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19180, 4491, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19183, 4492, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19206, 4497, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19207, 4497, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19208, 4497, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19209, 4497, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19210, 4498, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19211, 4498, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19212, 4498, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19213, 4498, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19214, 4499, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19215, 4499, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19216, 4499, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19217, 4499, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19218, 4500, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19219, 4500, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19220, 4500, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19221, 4500, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19222, 4501, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19223, 4501, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19224, 4501, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19225, 4501, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19226, 4502, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19227, 4502, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19228, 4502, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19229, 4502, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19230, 4503, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19231, 4503, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19232, 4503, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19233, 4503, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31371, 7147, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19234, 4504, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19235, 4504, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19236, 4504, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19237, 4504, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19238, 4505, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19239, 4505, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19240, 4505, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19241, 4505, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19242, 4505, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19243, 4506, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19244, 4506, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19245, 4506, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19246, 4506, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19247, 4506, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19248, 4507, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19249, 4507, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19250, 4507, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19251, 4507, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19252, 4507, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19253, 4508, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19254, 4508, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19255, 4508, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19256, 4508, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19257, 4509, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19258, 4509, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19259, 4509, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19260, 4509, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19261, 4509, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19262, 4509, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19263, 4510, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19264, 4510, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19272, 4511, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19273, 4511, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19274, 4512, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19275, 4512, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19276, 4512, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19277, 4512, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19278, 4513, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19279, 4513, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19280, 4513, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19281, 4513, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19282, 4513, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19283, 4514, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19284, 4514, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19285, 4514, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19286, 4514, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19287, 4515, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19288, 4515, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19289, 4516, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19290, 4516, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19291, 4516, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19292, 4516, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19293, 4516, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19294, 4517, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19295, 4517, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19296, 4517, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19297, 4517, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19298, 4517, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19299, 4517, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19300, 4518, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19301, 4518, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19302, 4518, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19303, 4518, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19311, 4520, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19312, 4520, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19314, 4521, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19315, 4521, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19317, 4521, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19318, 4522, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19319, 4522, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19321, 4522, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19322, 4523, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19323, 4523, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19324, 4523, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19326, 4524, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19327, 4524, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19328, 4524, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19330, 4525, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19332, 4525, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19333, 4525, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19335, 4526, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19336, 4526, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19337, 4526, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19338, 4527, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19339, 4527, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19341, 4527, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19342, 4528, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19344, 4528, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19345, 4528, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19348, 4529, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19350, 4529, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19352, 4530, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19353, 4530, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19354, 4530, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19356, 4530, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19357, 4531, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19358, 4531, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19359, 4531, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19361, 4532, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19363, 4532, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19364, 4532, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19365, 4532, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19366, 4532, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19367, 4533, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19369, 4533, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19408, 4542, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19316, 4521, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19320, 4522, 'Пользователь неверно ввел свой пароль', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19325, 4523, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19329, 4524, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19331, 4525, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19334, 4526, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19343, 4528, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19346, 4528, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19349, 4529, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19351, 4529, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19347, 4529, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19438, 4549, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19355, 4530, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19360, 4531, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19362, 4532, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19368, 4533, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20243, 4726, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20244, 4726, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20245, 4726, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20246, 4727, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19371, 4533, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19372, 4533, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19373, 4534, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19374, 4534, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19375, 4534, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19377, 4534, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19378, 4535, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19379, 4535, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19380, 4535, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19382, 4536, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19383, 4536, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19384, 4536, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19386, 4536, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19387, 4537, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19389, 4537, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19390, 4537, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19391, 4538, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19393, 4539, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19395, 4539, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19396, 4539, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19397, 4539, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19398, 4540, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19399, 4540, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19400, 4540, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19401, 4540, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19402, 4540, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19404, 4541, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19405, 4541, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19406, 4541, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19105, 4474, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19102, 4474, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19394, 4539, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19403, 4540, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19407, 4541, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19376, 4534, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19381, 4535, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19385, 4536, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19388, 4537, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19392, 4538, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19415, 4543, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19417, 4543, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19418, 4544, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19419, 4544, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19421, 4544, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19422, 4545, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19423, 4545, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19424, 4545, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19426, 4546, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19428, 4546, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19429, 4546, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19431, 4547, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19432, 4547, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19433, 4547, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19434, 4548, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19435, 4548, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19440, 4549, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19441, 4549, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19442, 4550, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19443, 4550, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19444, 4550, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19446, 4551, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19447, 4551, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19449, 4551, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19450, 4551, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19451, 4552, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19452, 4552, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19453, 4552, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19454, 4552, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19456, 4553, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19457, 4553, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19458, 4553, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19460, 4553, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19461, 4554, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19463, 4554, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19464, 4554, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19465, 4555, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19467, 4555, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19468, 4555, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19469, 4555, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19470, 4555, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19471, 4556, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19472, 4556, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19473, 4556, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19420, 4544, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19425, 4545, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19427, 4546, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19430, 4547, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19436, 4548, 'final', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19439, 4549, 'String не изменяем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19445, 4550, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19455, 4552, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19459, 4553, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19462, 4554, 'Первым напечатается "test2"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19466, 4555, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19304, 4519, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20344, 4749, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20345, 4749, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20347, 4749, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20552, 4795, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19475, 4556, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19476, 4556, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19478, 4557, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19479, 4557, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19480, 4557, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19481, 4557, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19482, 4558, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19484, 4558, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19485, 4558, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19487, 4559, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19488, 4559, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19490, 4559, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19491, 4560, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19493, 4560, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19494, 4560, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19496, 4561, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19497, 4562, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19499, 4562, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19500, 4562, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19501, 4562, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19502, 4563, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19503, 4563, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19504, 4563, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19505, 4563, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19506, 4563, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19508, 4564, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19509, 4564, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19511, 4564, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19135, 4482, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19138, 4482, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19498, 4562, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19507, 4563, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19510, 4564, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19416, 4543, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19414, 4543, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19448, 4551, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19474, 4556, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19477, 4557, 'Код компилируется без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19483, 4558, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19486, 4559, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19489, 4559, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19492, 4560, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19495, 4561, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19313, 4520, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19310, 4520, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19340, 4527, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19519, 4566, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19522, 4567, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19523, 4567, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19525, 4567, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19526, 4568, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19527, 4568, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19528, 4568, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19531, 4569, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19532, 4569, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19533, 4569, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19534, 4570, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19535, 4570, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19537, 4570, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19539, 4571, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19540, 4571, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19541, 4571, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19543, 4572, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19544, 4572, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19545, 4572, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19546, 4573, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19547, 4573, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19548, 4573, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19550, 4574, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19552, 4574, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19553, 4574, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19671, 4600, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31450, 7162, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19555, 4575, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19556, 4575, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19558, 4575, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19560, 4576, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19561, 4576, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19562, 4576, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19564, 4576, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19566, 4577, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19567, 4577, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19568, 4577, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19569, 4578, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19570, 4578, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19571, 4578, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19572, 4578, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19573, 4578, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19575, 4579, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19524, 4567, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19529, 4568, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19530, 4569, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19536, 4570, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19538, 4571, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19542, 4572, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19549, 4573, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19551, 4574, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19554, 4574, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19557, 4575, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19559, 4575, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19563, 4576, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19565, 4577, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19574, 4578, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19576, 4579, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19579, 4579, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19580, 4579, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19581, 4580, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19582, 4580, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19583, 4580, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19584, 4580, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19586, 4581, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19588, 4581, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19589, 4581, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19592, 4582, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19595, 4583, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19597, 4583, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19598, 4583, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19600, 4584, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19601, 4585, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19602, 4585, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19605, 4585, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19606, 4586, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19607, 4586, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19608, 4586, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19609, 4586, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19610, 4586, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19612, 4587, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19613, 4587, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19615, 4587, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19603, 4585, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19604, 4585, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19611, 4586, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19672, 4600, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19614, 4587, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19578, 4579, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19585, 4580, 'Код компилируется, но кидает исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19587, 4581, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19591, 4582, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19593, 4582, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19590, 4582, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19594, 4582, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19596, 4583, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19599, 4584, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19622, 4589, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19623, 4589, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19624, 4589, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19625, 4589, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19626, 4590, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19627, 4590, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19628, 4590, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19629, 4590, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19630, 4591, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19631, 4591, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19632, 4591, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19633, 4591, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19634, 4592, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19635, 4592, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19636, 4592, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19637, 4592, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19638, 4593, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19639, 4593, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19640, 4593, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19641, 4593, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19642, 4594, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19643, 4594, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19644, 4594, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19645, 4594, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19646, 4595, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19647, 4595, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19648, 4595, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19649, 4595, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19650, 4596, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19651, 4596, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19652, 4596, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19653, 4596, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19654, 4597, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19655, 4597, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19656, 4597, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19657, 4597, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19658, 4597, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19659, 4598, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19660, 4598, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19661, 4598, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19662, 4598, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19663, 4598, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19664, 4599, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19665, 4599, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19666, 4599, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19667, 4599, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19668, 4599, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19669, 4600, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19670, 4600, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19956, 4663, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19673, 4601, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19674, 4601, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19675, 4601, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19676, 4601, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19677, 4601, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19678, 4601, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19679, 4602, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19680, 4602, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19681, 4602, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19682, 4602, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19683, 4602, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19684, 4602, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19685, 4603, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19686, 4603, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19687, 4603, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19688, 4603, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19689, 4603, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19690, 4604, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19691, 4604, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19692, 4604, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19693, 4604, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19694, 4605, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19695, 4605, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19696, 4605, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19697, 4605, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19698, 4605, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19699, 4606, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19700, 4606, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19701, 4606, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19702, 4606, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19703, 4607, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19704, 4607, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19705, 4608, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19706, 4608, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19707, 4608, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19708, 4608, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19709, 4608, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19710, 4609, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19711, 4609, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19712, 4609, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19713, 4609, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19714, 4609, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19715, 4609, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19716, 4610, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19717, 4610, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19718, 4610, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19719, 4610, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19730, 4613, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19732, 4613, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19733, 4613, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19734, 4614, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19735, 4614, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19736, 4614, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19738, 4615, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19739, 4615, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19741, 4615, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19742, 4616, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19744, 4616, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19745, 4616, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19747, 4617, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19748, 4617, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19749, 4617, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19751, 4618, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19752, 4618, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19753, 4618, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19959, 4664, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19754, 4619, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19755, 4619, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19757, 4619, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19758, 4620, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19760, 4620, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19761, 4620, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19763, 4621, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19767, 4621, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19768, 4622, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19769, 4622, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19770, 4622, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19771, 4622, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19774, 4623, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19775, 4623, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19776, 4623, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19777, 4624, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19779, 4624, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19780, 4624, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19781, 4624, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19782, 4624, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19783, 4625, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19784, 4625, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19785, 4625, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19786, 4625, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19787, 4625, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19893, 4649, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19731, 4613, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19737, 4614, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19740, 4615, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19743, 4616, 'Класса-потомка, внешнего класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19746, 4617, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19750, 4618, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19759, 4620, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19762, 4620, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19765, 4621, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19766, 4621, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19772, 4622, 'Второе выражение безопасно для NullPointerException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19773, 4623, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19778, 4624, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19789, 4626, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19790, 4626, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19791, 4626, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19793, 4626, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19794, 4627, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19796, 4627, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19797, 4627, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19798, 4628, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19800, 4628, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19802, 4628, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19803, 4629, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19804, 4629, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19805, 4629, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19807, 4630, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19809, 4631, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19811, 4631, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19812, 4631, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19813, 4631, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19814, 4632, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31451, 7162, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19815, 4632, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19816, 4632, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19817, 4632, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19818, 4632, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19820, 4633, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19821, 4633, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19822, 4633, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19810, 4631, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19819, 4632, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19823, 4633, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19788, 4625, 'Ничего из перечисленного. Строка A выбросит исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19792, 4626, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19795, 4627, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19799, 4628, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19801, 4628, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19806, 4629, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19808, 4630, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19834, 4636, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19835, 4636, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19837, 4636, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19839, 4637, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19840, 4637, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19841, 4637, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19842, 4638, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19843, 4638, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19844, 4638, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19846, 4639, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19848, 4639, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19849, 4639, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19851, 4640, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19852, 4640, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19853, 4640, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19855, 4641, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19856, 4641, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19857, 4641, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19858, 4642, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19859, 4642, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19861, 4642, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19862, 4643, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19864, 4643, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19865, 4643, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19869, 4644, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19870, 4644, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19871, 4644, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19873, 4645, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19874, 4645, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19875, 4645, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19876, 4645, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19878, 4646, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19879, 4646, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19880, 4646, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19881, 4647, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19882, 4647, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19883, 4647, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19884, 4647, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19885, 4647, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19887, 4648, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19889, 4648, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19890, 4648, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19891, 4648, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19928, 4657, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19929, 4657, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19836, 4636, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20043, 4682, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19838, 4637, 'Приложение временно потеряло соединение с интернетом', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19845, 4638, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19847, 4639, 'Класса-потомка, внешнего класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19850, 4640, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19854, 4641, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19866, 4643, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19863, 4643, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19868, 4644, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19867, 4644, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19872, 4645, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19877, 4646, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19886, 4647, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19888, 4648, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19894, 4649, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19895, 4649, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19897, 4649, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19898, 4650, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19900, 4650, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19901, 4650, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19904, 4651, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19907, 4652, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19908, 4652, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19909, 4652, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19912, 4653, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19913, 4654, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19917, 4654, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19918, 4655, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19919, 4655, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19920, 4655, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19922, 4655, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19923, 4655, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19924, 4656, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19926, 4656, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19927, 4656, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19916, 4654, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19914, 4654, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19915, 4654, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19921, 4655, 'Перечисления (Enum)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19925, 4656, 'Возможно, любое количество стратегий наследования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19896, 4649, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19899, 4650, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19903, 4651, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19905, 4651, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19906, 4651, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19902, 4651, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19910, 4652, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19911, 4653, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19933, 4657, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19934, 4658, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19936, 4658, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19938, 4659, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19939, 4659, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19941, 4659, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19942, 4660, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19943, 4660, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19944, 4660, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19946, 4661, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19948, 4661, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19949, 4661, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19950, 4662, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19951, 4662, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19953, 4662, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19954, 4663, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19955, 4663, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19960, 4664, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19961, 4664, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19962, 4665, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19963, 4665, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19965, 4665, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19966, 4666, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19968, 4666, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19969, 4666, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19971, 4667, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19973, 4667, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19976, 4668, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19977, 4668, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19978, 4668, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19980, 4668, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19982, 4669, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19983, 4669, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19984, 4669, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19985, 4670, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19986, 4670, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19987, 4670, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19988, 4670, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19989, 4670, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19991, 4671, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19940, 4659, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19945, 4660, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19947, 4661, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19952, 4662, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19957, 4663, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19958, 4664, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19964, 4665, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19967, 4666, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19972, 4667, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19974, 4667, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19975, 4667, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19979, 4668, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19981, 4669, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19990, 4670, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20448, 4772, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19993, 4671, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19995, 4671, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19996, 4671, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19997, 4672, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19998, 4672, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19999, 4672, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20001, 4672, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20002, 4673, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20003, 4673, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20005, 4673, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20006, 4674, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20007, 4674, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20008, 4674, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20010, 4674, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20011, 4675, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20012, 4675, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20013, 4675, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20015, 4676, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20019, 4677, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20021, 4677, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20022, 4678, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20023, 4678, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20024, 4678, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20025, 4678, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20027, 4678, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20028, 4679, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20029, 4679, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20030, 4679, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20017, 4677, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20018, 4677, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20020, 4677, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20026, 4678, 'Любой POJO класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20031, 4679, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19994, 4671, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19992, 4671, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20000, 4672, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20004, 4673, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20009, 4674, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20014, 4675, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20016, 4676, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20039, 4681, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20042, 4682, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20044, 4682, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20045, 4682, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20046, 4683, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20047, 4683, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20048, 4683, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20050, 4684, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20052, 4684, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20053, 4684, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20055, 4685, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20056, 4685, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20057, 4685, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20059, 4686, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20060, 4686, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20061, 4686, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20063, 4687, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20064, 4687, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20065, 4687, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20066, 4688, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20067, 4688, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20069, 4688, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20070, 4689, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20072, 4689, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20073, 4689, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20076, 4690, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20077, 4690, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20079, 4690, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20080, 4691, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20081, 4691, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20082, 4691, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20084, 4691, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20085, 4692, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20086, 4692, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20087, 4692, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20089, 4693, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20091, 4693, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20092, 4693, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20093, 4693, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20094, 4693, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20096, 4694, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20097, 4694, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20449, 4772, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31453, 7162, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20049, 4683, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20051, 4684, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20054, 4685, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20058, 4686, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20062, 4687, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20068, 4688, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20071, 4689, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20075, 4690, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20078, 4690, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20083, 4691, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20088, 4692, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20090, 4693, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20095, 4694, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20099, 4694, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20100, 4694, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20101, 4695, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20102, 4695, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20103, 4695, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20104, 4695, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20106, 4696, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20107, 4696, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20108, 4696, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20110, 4697, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20111, 4697, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20112, 4697, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20115, 4698, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20117, 4698, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20118, 4698, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20119, 4699, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20121, 4700, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20122, 4700, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20125, 4700, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20126, 4701, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20127, 4701, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20128, 4701, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20129, 4701, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20130, 4701, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20132, 4702, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20133, 4702, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20134, 4702, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20123, 4700, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20124, 4700, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20131, 4701, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20135, 4702, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20098, 4694, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20105, 4695, 'Код компилируется, но кидает исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20109, 4696, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20113, 4697, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20114, 4697, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20116, 4698, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20120, 4699, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20142, 4704, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20143, 4704, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20144, 4704, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20145, 4704, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20146, 4705, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20147, 4705, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20148, 4705, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20149, 4705, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20209, 4718, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20150, 4706, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20151, 4706, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20152, 4706, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20153, 4706, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20154, 4707, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20155, 4707, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20156, 4707, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20157, 4707, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20158, 4708, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20159, 4708, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20160, 4708, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20161, 4708, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20162, 4709, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20163, 4709, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20164, 4709, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20165, 4709, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20166, 4710, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20167, 4710, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20168, 4710, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20169, 4710, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20170, 4711, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20171, 4711, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20172, 4711, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20173, 4711, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20174, 4712, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20175, 4712, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20176, 4712, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20177, 4712, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20178, 4712, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20179, 4713, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20180, 4713, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20181, 4713, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20182, 4713, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20183, 4713, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20184, 4714, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20185, 4714, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20186, 4714, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20187, 4714, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20188, 4714, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20189, 4715, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20190, 4715, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20191, 4715, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20192, 4715, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20193, 4716, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20194, 4716, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20195, 4716, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20196, 4716, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20197, 4716, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20198, 4716, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20199, 4717, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20200, 4717, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20201, 4717, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20202, 4717, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20203, 4717, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20204, 4717, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20205, 4718, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20206, 4718, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20207, 4718, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20208, 4718, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20288, 4737, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20210, 4719, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20211, 4719, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20212, 4719, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20213, 4719, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20214, 4720, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20215, 4720, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20216, 4720, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20217, 4720, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20218, 4720, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20219, 4721, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20220, 4721, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20221, 4721, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20222, 4721, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20223, 4722, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20224, 4722, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20225, 4723, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20226, 4723, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20227, 4723, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20228, 4723, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20229, 4723, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20230, 4724, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20231, 4724, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20232, 4724, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20233, 4724, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20234, 4724, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20235, 4724, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20236, 4725, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20237, 4725, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20238, 4725, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20239, 4725, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20247, 4727, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20248, 4727, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20251, 4728, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20252, 4728, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20253, 4728, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20254, 4729, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20255, 4729, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20256, 4729, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20258, 4730, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20259, 4730, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20261, 4730, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20263, 4731, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20264, 4731, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20265, 4731, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20267, 4732, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20268, 4732, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20269, 4732, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20271, 4733, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20272, 4733, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20273, 4733, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20274, 4734, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20275, 4734, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20276, 4734, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20278, 4735, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20280, 4735, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20281, 4735, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20283, 4736, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20284, 4736, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20285, 4736, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20289, 4737, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20290, 4737, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20292, 4737, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20293, 4738, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20294, 4738, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20295, 4738, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20297, 4739, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20298, 4739, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20299, 4739, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20300, 4739, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20301, 4739, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20303, 4740, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20305, 4740, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20450, 4772, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20250, 4728, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20257, 4729, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20260, 4730, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20262, 4731, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20266, 4732, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20270, 4733, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20277, 4734, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20279, 4735, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20286, 4736, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20287, 4736, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20291, 4737, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20296, 4738, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20302, 4739, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20304, 4740, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20307, 4740, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20308, 4740, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20309, 4741, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20310, 4741, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20311, 4741, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20313, 4741, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20314, 4742, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20316, 4742, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20317, 4742, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20320, 4743, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20323, 4744, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20324, 4744, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20325, 4744, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20326, 4744, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20327, 4745, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20328, 4745, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20329, 4746, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20330, 4746, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20331, 4746, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20333, 4746, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20334, 4747, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20335, 4747, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20336, 4747, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20337, 4747, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20338, 4747, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20340, 4748, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20341, 4748, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20342, 4748, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20332, 4746, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20339, 4747, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20343, 4748, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20306, 4740, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20312, 4741, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20571, 4799, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20315, 4742, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20318, 4743, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20322, 4743, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20321, 4743, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20319, 4743, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20348, 4749, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20349, 4749, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20350, 4750, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20353, 4750, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20354, 4751, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20355, 4751, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20357, 4751, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20358, 4752, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20359, 4752, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20360, 4752, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20362, 4753, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20364, 4753, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20365, 4753, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20366, 4754, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20367, 4754, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20368, 4754, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20371, 4755, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20372, 4755, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20373, 4755, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20374, 4756, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20376, 4756, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20377, 4756, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20378, 4757, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20379, 4757, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20380, 4757, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20382, 4758, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20384, 4758, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20385, 4758, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20387, 4759, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20388, 4759, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20392, 4760, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20393, 4760, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20394, 4760, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20396, 4760, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20397, 4761, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20398, 4761, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20400, 4761, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20402, 4762, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20403, 4762, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20404, 4762, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20405, 4762, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20406, 4762, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20451, 4772, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20356, 4751, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20361, 4752, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20363, 4753, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20369, 4754, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20370, 4755, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20375, 4756, 'String не изменяем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20381, 4757, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20383, 4758, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20390, 4759, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20391, 4759, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20395, 4760, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20399, 4761, 'Код не скомпилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20401, 4762, 'Код выведет: true false', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20407, 4763, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20409, 4763, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20411, 4763, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20412, 4763, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20413, 4764, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20414, 4764, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20415, 4764, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20416, 4764, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20418, 4765, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20419, 4765, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20420, 4765, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20423, 4766, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20424, 4766, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20425, 4766, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20427, 4767, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20428, 4767, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20429, 4767, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20432, 4768, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20433, 4769, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20436, 4769, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20437, 4769, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20438, 4770, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20439, 4770, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20440, 4770, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20441, 4770, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20442, 4770, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20444, 4771, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20445, 4771, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20447, 4771, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20434, 4769, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20435, 4769, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20443, 4770, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20446, 4771, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20408, 4763, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20410, 4763, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20417, 4764, 'Код компилируется, но кидает исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20421, 4765, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20426, 4766, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20422, 4766, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20430, 4767, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20431, 4768, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20452, 4772, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20453, 4772, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20458, 4774, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20459, 4774, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20461, 4774, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20462, 4775, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20463, 4775, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20464, 4775, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20466, 4776, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20468, 4776, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20469, 4776, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20470, 4777, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20472, 4777, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20473, 4777, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20475, 4778, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20476, 4778, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20477, 4778, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20479, 4779, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20480, 4779, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20481, 4779, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20482, 4780, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20483, 4780, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20484, 4780, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20576, 4800, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20486, 4781, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20487, 4781, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20489, 4781, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20490, 4781, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20492, 4782, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20495, 4782, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20496, 4783, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20497, 4783, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20498, 4783, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20500, 4783, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20501, 4784, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20502, 4784, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20503, 4784, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20505, 4785, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20506, 4785, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20507, 4785, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20509, 4785, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20510, 4785, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20242, 4726, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20460, 4774, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20465, 4775, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20467, 4776, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20471, 4777, 'Класса-потомка, внешнего класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20474, 4778, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20478, 4779, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20485, 4780, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20488, 4781, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20494, 4782, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20493, 4782, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20491, 4782, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20499, 4783, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20504, 4784, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20508, 4785, 'Ошибка компиляции', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20511, 4786, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20513, 4786, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20514, 4786, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20515, 4786, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20516, 4786, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20517, 4787, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20518, 4787, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20519, 4787, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20521, 4787, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20522, 4788, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20523, 4788, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20524, 4788, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20526, 4789, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20530, 4789, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20531, 4790, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20532, 4790, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20533, 4790, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20534, 4790, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20535, 4791, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20536, 4791, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20537, 4792, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20538, 4792, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20541, 4792, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20542, 4793, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20543, 4793, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20544, 4793, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20545, 4793, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20546, 4793, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20581, 4801, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20548, 4794, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20549, 4794, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20551, 4794, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20249, 4727, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20282, 4735, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20540, 4792, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20539, 4792, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20547, 4793, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20550, 4794, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20512, 4786, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20520, 4787, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20525, 4788, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20528, 4789, 'factoryMethod', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20529, 4789, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20527, 4789, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20553, 4795, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20555, 4795, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20556, 4795, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20557, 4795, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20559, 4796, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20560, 4796, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20562, 4797, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20564, 4797, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20565, 4797, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20566, 4798, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20567, 4798, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20568, 4798, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20570, 4799, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20572, 4799, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20573, 4799, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20574, 4800, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20575, 4800, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20577, 4800, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20578, 4801, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20579, 4801, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20580, 4801, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20583, 4802, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20584, 4802, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20585, 4802, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20586, 4803, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20587, 4803, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20588, 4803, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20590, 4804, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20592, 4804, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20593, 4804, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20596, 4805, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20597, 4805, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20600, 4806, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20601, 4806, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20602, 4806, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20604, 4806, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20605, 4807, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20606, 4807, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20607, 4807, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20609, 4808, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20610, 4808, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20611, 4808, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20612, 4808, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20613, 4808, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20563, 4797, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20569, 4798, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20582, 4802, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20589, 4803, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20591, 4804, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20594, 4804, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20595, 4805, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20599, 4805, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20603, 4806, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20608, 4807, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20615, 4809, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20617, 4809, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20618, 4809, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20619, 4809, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20620, 4809, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20621, 4810, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20623, 4810, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20624, 4810, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20625, 4810, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20626, 4811, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20628, 4811, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20629, 4811, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20631, 4812, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20632, 4812, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20633, 4812, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20635, 4813, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20637, 4813, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20638, 4813, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20639, 4814, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20641, 4815, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20642, 4815, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20643, 4815, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20645, 4815, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20646, 4816, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20647, 4816, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20648, 4816, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20649, 4816, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20650, 4816, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20652, 4817, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20653, 4817, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20654, 4817, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20657, 4818, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20658, 4818, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20659, 4818, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20660, 4818, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20661, 4818, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20663, 4819, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20664, 4819, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20666, 4820, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20668, 4820, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20669, 4820, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20671, 4821, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20672, 4821, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20673, 4821, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20674, 4822, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20675, 4822, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20676, 4822, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20667, 4820, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20670, 4821, 'Приложение временно потеряло соединение с интернетом', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20677, 4822, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20678, 4823, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20644, 4815, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20651, 4816, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20655, 4817, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20764, 4841, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20614, 4808, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20616, 4809, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20622, 4810, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20627, 4811, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20634, 4812, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20630, 4812, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20636, 4813, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20640, 4814, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20679, 4823, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20680, 4823, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20681, 4823, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20683, 4824, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20684, 4824, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20685, 4824, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20687, 4825, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20688, 4825, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20689, 4825, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20690, 4826, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20691, 4826, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20693, 4826, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20695, 4827, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20696, 4827, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20697, 4827, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20705, 4829, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20706, 4829, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20707, 4829, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20708, 4829, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20710, 4830, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20711, 4830, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20712, 4830, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20713, 4831, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20714, 4831, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20715, 4831, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20716, 4831, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20717, 4831, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20719, 4832, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20722, 4832, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20723, 4832, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20724, 4832, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20725, 4833, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20726, 4833, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20727, 4833, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20729, 4833, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20730, 4834, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20731, 4834, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20733, 4834, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20735, 4835, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20736, 4835, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20737, 4835, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20686, 4825, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20698, 4827, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20699, 4828, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20701, 4828, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20700, 4828, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20704, 4829, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20709, 4830, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20718, 4831, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20720, 4832, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20721, 4832, 'optional.ifPresent(System.out.println)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20728, 4833, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20732, 4834, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20734, 4835, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20739, 4836, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20740, 4836, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20742, 4836, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20743, 4837, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20745, 4838, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20747, 4838, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20748, 4838, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20749, 4838, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20750, 4839, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20751, 4839, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20752, 4839, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20754, 4839, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20755, 4839, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20756, 4840, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20757, 4840, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20758, 4840, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20746, 4838, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20753, 4839, 'Перечисления (Enum)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20759, 4840, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20656, 4818, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20665, 4819, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20662, 4819, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20682, 4824, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20692, 4826, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20694, 4827, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20702, 4828, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20703, 4828, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19514, 4565, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19521, 4566, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19518, 4566, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19520, 4566, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20738, 4835, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20741, 4836, 'Действие, которое будет выполняться для выбранных нами методов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20744, 4837, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20554, 4795, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20561, 4796, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20558, 4796, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20598, 4805, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19720, 4611, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19726, 4612, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19727, 4612, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19729, 4612, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19756, 4619, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19764, 4621, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19930, 4657, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19937, 4658, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19935, 4658, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19970, 4666, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20346, 4749, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20351, 4750, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20352, 4750, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20386, 4758, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20389, 4759, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20760, 4841, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20761, 4841, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20763, 4841, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20765, 4841, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20768, 4842, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20769, 4842, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20770, 4843, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20772, 4843, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20773, 4843, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20774, 4844, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20775, 4844, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20776, 4844, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20778, 4845, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20780, 4845, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20781, 4845, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20782, 4846, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20783, 4846, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20785, 4846, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20786, 4847, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20787, 4847, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20788, 4847, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20791, 4848, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20792, 4848, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20793, 4848, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20794, 4849, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20795, 4849, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20797, 4849, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20798, 4850, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20800, 4850, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20801, 4850, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20803, 4851, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20804, 4851, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20807, 4851, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20808, 4852, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20809, 4852, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20810, 4852, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20812, 4852, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20814, 4853, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20815, 4853, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20816, 4853, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20817, 4854, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20818, 4854, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20819, 4854, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20820, 4854, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20821, 4854, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20771, 4843, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20777, 4844, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20779, 4845, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20784, 4846, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20789, 4847, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20790, 4848, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20796, 4849, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20799, 4850, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20805, 4851, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20806, 4851, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20811, 4852, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20813, 4853, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20822, 4854, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20823, 4855, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20825, 4855, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20827, 4855, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20828, 4855, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20829, 4856, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31454, 7163, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20830, 4856, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20831, 4856, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20833, 4856, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20834, 4857, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20835, 4857, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20836, 4857, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20840, 4858, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20843, 4859, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20845, 4859, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20846, 4859, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20847, 4860, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20849, 4861, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20850, 4861, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20853, 4861, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20854, 4862, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20855, 4862, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20856, 4862, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20857, 4862, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20858, 4862, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20861, 4863, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20862, 4863, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20863, 4863, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20864, 4864, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20865, 4864, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20866, 4864, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20867, 4864, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20868, 4864, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20869, 4864, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20870, 4865, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20871, 4865, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20872, 4865, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20873, 4865, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20874, 4866, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20875, 4866, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20876, 4866, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20877, 4866, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20878, 4867, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20879, 4867, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20880, 4867, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20881, 4867, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20882, 4868, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20883, 4868, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20884, 4868, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20885, 4868, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20886, 4869, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20887, 4869, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20859, 4862, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20860, 4863, 'Возможно, две любых стратегии наследования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20824, 4855, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20826, 4855, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20832, 4856, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20837, 4857, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20839, 4858, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20841, 4858, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20842, 4858, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20838, 4858, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20844, 4859, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20848, 4860, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20888, 4869, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20889, 4869, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20890, 4870, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20891, 4870, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20892, 4870, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20893, 4870, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20894, 4871, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20895, 4871, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20896, 4871, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20897, 4871, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21082, 4912, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20898, 4872, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20899, 4872, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20900, 4872, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20901, 4872, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20902, 4873, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20903, 4873, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20904, 4873, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20905, 4873, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20906, 4873, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20907, 4874, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20908, 4874, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20909, 4874, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20910, 4874, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20911, 4874, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20912, 4875, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20913, 4875, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20914, 4875, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20915, 4875, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20916, 4875, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20917, 4876, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20918, 4876, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20919, 4876, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20920, 4876, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20921, 4877, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20922, 4877, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20923, 4877, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20924, 4877, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20925, 4877, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20926, 4877, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20927, 4878, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20928, 4878, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20929, 4878, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20930, 4878, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20931, 4878, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20932, 4878, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20933, 4879, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20934, 4879, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20935, 4879, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20936, 4879, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20937, 4879, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20938, 4880, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20939, 4880, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20940, 4880, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20941, 4880, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20942, 4881, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20943, 4881, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20944, 4881, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20945, 4881, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20946, 4881, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22090, 5134, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20947, 4882, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20948, 4882, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20949, 4882, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20950, 4882, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20951, 4883, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20952, 4883, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20953, 4884, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31455, 7163, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20954, 4884, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20955, 4884, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20956, 4884, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20957, 4884, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20958, 4885, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20959, 4885, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20960, 4885, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20961, 4885, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20962, 4885, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20963, 4885, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20964, 4886, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20965, 4886, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20966, 4886, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20967, 4886, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20968, 4887, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20969, 4887, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20971, 4887, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20972, 4887, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20973, 4887, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20975, 4888, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20976, 4888, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20978, 4889, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20980, 4889, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20981, 4889, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20982, 4890, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20983, 4890, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20984, 4890, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20986, 4891, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20988, 4891, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20989, 4891, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20990, 4892, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20991, 4892, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20992, 4892, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20995, 4893, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20996, 4893, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20997, 4893, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20999, 4894, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21000, 4894, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21001, 4894, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21002, 4895, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21003, 4895, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21005, 4895, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21006, 4896, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20970, 4887, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20979, 4889, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20985, 4890, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20987, 4891, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20993, 4892, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20994, 4893, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20998, 4894, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21004, 4895, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21007, 4896, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21008, 4896, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22426, 5210, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22427, 5211, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22428, 5211, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22553, 5239, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21009, 4896, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21012, 4897, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21014, 4897, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21015, 4897, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21016, 4898, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21017, 4898, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21018, 4898, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21019, 4898, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21022, 4899, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21023, 4899, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21024, 4899, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21025, 4900, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21027, 4900, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21028, 4900, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21029, 4900, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21030, 4900, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21031, 4901, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21033, 4901, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21035, 4901, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21036, 4901, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21037, 4902, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21038, 4902, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21039, 4902, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21041, 4902, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21042, 4903, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21044, 4903, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21045, 4903, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21048, 4904, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21051, 4905, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21053, 4905, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21054, 4905, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21056, 4906, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21057, 4907, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21061, 4907, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21062, 4908, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21063, 4908, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21064, 4908, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21066, 4908, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21067, 4908, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21068, 4909, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21069, 4909, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21065, 4908, 'Перечисления (Enum)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21010, 4896, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21011, 4897, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21013, 4897, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21020, 4898, 'Второе выражение безопасно для NullPointerException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21021, 4899, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21026, 4900, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21032, 4901, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21034, 4901, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21040, 4902, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21043, 4903, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21046, 4904, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21050, 4904, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21047, 4904, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21049, 4904, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21052, 4905, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21055, 4906, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22554, 5239, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22555, 5239, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22556, 5239, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22558, 5240, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21071, 4909, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21072, 4910, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21073, 4910, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21074, 4910, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21075, 4910, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21076, 4910, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21077, 4910, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21078, 4911, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21079, 4911, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21080, 4911, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21081, 4911, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21083, 4912, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21084, 4912, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21085, 4912, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21086, 4913, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21087, 4913, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21088, 4913, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21089, 4913, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21090, 4914, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21091, 4914, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21092, 4914, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21093, 4914, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21094, 4915, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21095, 4915, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21096, 4915, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21097, 4915, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21098, 4916, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21099, 4916, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21100, 4916, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21101, 4916, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21102, 4917, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21103, 4917, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21104, 4917, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21105, 4917, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21106, 4918, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21107, 4918, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21108, 4918, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21109, 4918, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21110, 4919, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21111, 4919, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21112, 4919, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21113, 4919, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21114, 4919, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21115, 4920, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21116, 4920, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21117, 4920, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21118, 4920, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21119, 4920, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21120, 4921, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21121, 4921, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21122, 4921, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21123, 4921, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21124, 4921, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21125, 4922, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21126, 4922, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21127, 4922, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21128, 4922, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21129, 4923, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22685, 5268, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22687, 5269, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26726, 6168, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26727, 6168, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21130, 4923, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21131, 4923, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21132, 4923, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21133, 4923, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21134, 4923, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21135, 4924, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21136, 4924, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21137, 4924, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21138, 4924, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21139, 4924, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21140, 4924, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21141, 4925, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21142, 4925, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21143, 4925, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21144, 4925, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21145, 4925, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21146, 4926, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21147, 4926, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21148, 4926, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21149, 4926, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21150, 4927, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21151, 4927, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21152, 4927, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21153, 4927, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21154, 4927, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21155, 4928, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21156, 4928, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21157, 4928, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21158, 4928, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21159, 4929, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21160, 4929, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21161, 4930, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21162, 4930, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21163, 4930, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21164, 4930, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21165, 4930, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21166, 4931, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21167, 4931, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21168, 4931, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21169, 4931, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21170, 4931, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21171, 4931, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21172, 4932, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21173, 4932, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21174, 4932, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21175, 4932, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21176, 4933, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21177, 4933, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21179, 4933, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21180, 4933, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21181, 4933, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21182, 4934, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21183, 4934, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21186, 4935, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21188, 4935, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21189, 4935, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21190, 4936, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21191, 4936, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21192, 4936, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21194, 4937, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21187, 4935, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21193, 4936, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21196, 4937, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21197, 4937, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21198, 4938, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21199, 4938, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21201, 4938, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21203, 4939, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21204, 4939, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21205, 4939, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21207, 4940, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21208, 4940, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21209, 4940, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21210, 4941, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21211, 4941, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21213, 4941, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21214, 4942, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21216, 4942, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21217, 4942, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21219, 4943, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21221, 4943, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21222, 4943, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21224, 4944, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21225, 4944, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21226, 4944, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21228, 4944, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21229, 4945, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21230, 4945, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21231, 4945, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21233, 4946, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21234, 4946, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21235, 4946, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21236, 4946, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21237, 4946, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21239, 4947, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21243, 4947, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21244, 4947, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21245, 4948, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21247, 4948, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21248, 4948, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21249, 4948, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21250, 4949, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21252, 4949, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21200, 4938, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21202, 4939, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21206, 4940, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21215, 4942, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21218, 4942, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21223, 4943, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21220, 4943, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21227, 4944, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21232, 4945, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21238, 4946, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21240, 4947, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21241, 4947, 'optional.ifPresent(System.out.println)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21242, 4947, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21246, 4948, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21251, 4949, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23142, 5372, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23141, 5371, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28157, 6482, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28158, 6482, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21253, 4949, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21256, 4950, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21259, 4951, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21260, 4951, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21261, 4951, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21263, 4952, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21265, 4953, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21267, 4953, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21268, 4953, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21269, 4953, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21270, 4954, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21271, 4954, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21272, 4954, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21273, 4954, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21274, 4954, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21276, 4955, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21277, 4955, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21278, 4955, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21280, 4956, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21281, 4956, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21282, 4956, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21283, 4956, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21284, 4956, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21285, 4956, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21286, 4957, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21287, 4957, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21288, 4957, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21289, 4957, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21290, 4958, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21291, 4958, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21292, 4958, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21293, 4958, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21294, 4959, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21295, 4959, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21296, 4959, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21297, 4959, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21298, 4960, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21299, 4960, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21300, 4960, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21301, 4960, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21302, 4961, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21303, 4961, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21304, 4961, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21305, 4961, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21306, 4962, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21307, 4962, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21308, 4962, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21309, 4962, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21310, 4963, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21311, 4963, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21312, 4963, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21313, 4963, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21314, 4964, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21315, 4964, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21316, 4964, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21317, 4964, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21377, 4977, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21275, 4954, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21279, 4955, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21255, 4950, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21258, 4950, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21257, 4950, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21262, 4951, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21264, 4952, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28635, 6584, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28636, 6584, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28638, 6584, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21318, 4965, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21319, 4965, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21320, 4965, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21321, 4965, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21322, 4965, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21323, 4966, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21324, 4966, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21325, 4966, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21326, 4966, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21327, 4966, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21328, 4967, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21329, 4967, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21330, 4967, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21331, 4967, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21332, 4967, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21333, 4968, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21334, 4968, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21335, 4968, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21336, 4968, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21337, 4969, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21338, 4969, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21339, 4969, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21340, 4969, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21341, 4969, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21342, 4969, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21343, 4970, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21344, 4970, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21345, 4970, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21346, 4970, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21347, 4970, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21348, 4970, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21349, 4971, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21350, 4971, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21351, 4971, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21352, 4971, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21353, 4971, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21354, 4972, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21355, 4972, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21356, 4972, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21357, 4972, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21358, 4973, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21359, 4973, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21360, 4973, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21361, 4973, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21362, 4973, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21363, 4974, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21364, 4974, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21365, 4974, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21366, 4974, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21367, 4975, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21368, 4975, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21369, 4976, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21370, 4976, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21371, 4976, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21372, 4976, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21373, 4976, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21374, 4977, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21375, 4977, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21376, 4977, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21378, 4977, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21379, 4977, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21380, 4978, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21381, 4978, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21382, 4978, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21383, 4978, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21385, 4979, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21386, 4979, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21387, 4979, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21388, 4979, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21389, 4979, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21391, 4980, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21392, 4980, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21394, 4981, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21396, 4981, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21397, 4981, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21398, 4982, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21399, 4982, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21400, 4982, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21402, 4983, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21403, 4983, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21405, 4983, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21406, 4984, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21407, 4984, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21409, 4984, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21411, 4985, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21412, 4985, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21413, 4985, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21415, 4986, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21416, 4986, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21417, 4986, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21418, 4987, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21419, 4987, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21420, 4987, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21422, 4988, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21424, 4988, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21425, 4988, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21427, 4989, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21430, 4989, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21431, 4989, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21432, 4990, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21433, 4990, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21434, 4990, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21436, 4990, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21437, 4991, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21395, 4981, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21401, 4982, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21404, 4983, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21408, 4984, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21410, 4985, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21414, 4986, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21421, 4987, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21423, 4988, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21426, 4988, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21428, 4989, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21429, 4989, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21435, 4990, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21438, 4991, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21439, 4991, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21441, 4992, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21442, 4992, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21443, 4992, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21444, 4992, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21445, 4992, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21447, 4993, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21449, 4993, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21451, 4993, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21452, 4993, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21453, 4994, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21454, 4994, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21455, 4994, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21457, 4994, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21458, 4995, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21460, 4995, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21526, 5011, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21461, 4995, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21464, 4996, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21467, 4997, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21469, 4997, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21470, 4997, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21472, 4998, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21473, 4999, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21476, 4999, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21477, 4999, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21479, 5000, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21480, 5000, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21481, 5000, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21482, 5000, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21483, 5000, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21484, 5001, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21485, 5001, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21486, 5001, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21488, 5002, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21489, 5002, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21491, 5002, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21492, 5002, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21493, 5002, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21494, 5003, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21495, 5003, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21497, 5003, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21498, 5004, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21500, 5004, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21501, 5004, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21502, 5005, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21490, 5002, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21496, 5003, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21499, 5004, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21478, 5000, 'Примитивные классы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21487, 5001, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21602, 5027, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21604, 5027, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21605, 5027, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21446, 4992, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21448, 4993, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21456, 4994, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21459, 4995, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21463, 4996, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21465, 4996, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21466, 4996, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21462, 4996, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21468, 4997, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21471, 4998, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21603, 5027, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28855, 6631, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28856, 6631, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30196, 6916, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21503, 5005, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21504, 5005, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21506, 5006, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21507, 5006, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21508, 5006, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21510, 5007, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21511, 5007, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21512, 5007, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21515, 5008, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21516, 5008, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21517, 5008, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21519, 5009, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21520, 5009, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21521, 5009, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21523, 5010, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21524, 5010, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21525, 5010, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21528, 5011, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21529, 5011, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21530, 5011, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21531, 5012, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21532, 5012, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21534, 5012, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21535, 5012, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21537, 5013, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21538, 5013, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21539, 5013, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21540, 5013, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21541, 5014, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21543, 5014, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21544, 5014, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21545, 5015, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21546, 5015, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21547, 5015, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21548, 5015, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21549, 5015, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21551, 5016, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21553, 5016, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21555, 5016, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21556, 5016, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21557, 5017, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21558, 5017, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21559, 5017, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21561, 5017, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21505, 5005, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21509, 5006, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21513, 5007, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21514, 5008, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21518, 5009, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21527, 5011, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21533, 5012, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21536, 5013, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21542, 5014, 'Первым напечатается "test2"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21550, 5015, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21552, 5016, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21554, 5016, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21560, 5017, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21848, 5082, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21849, 5082, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21562, 5018, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21563, 5018, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21564, 5018, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21566, 5019, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21568, 5019, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21570, 5019, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21571, 5020, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21573, 5020, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21574, 5020, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21575, 5021, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21577, 5022, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21578, 5022, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21581, 5022, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21582, 5023, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21583, 5023, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21584, 5023, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21585, 5023, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21586, 5023, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21588, 5024, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21643, 5036, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21590, 5024, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21591, 5024, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21580, 5022, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21579, 5022, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21587, 5023, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21589, 5024, 'Возможно, любое количество стратегий наследования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21522, 5010, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21565, 5018, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21569, 5019, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21567, 5019, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21572, 5020, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21576, 5021, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20454, 4773, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20455, 4773, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20456, 4773, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20457, 4773, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21475, 4999, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21474, 4999, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21384, 4979, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21393, 4980, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21390, 4980, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21592, 5025, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21593, 5025, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21595, 5025, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21596, 5025, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21597, 5025, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21594, 5025, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21598, 5026, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21599, 5026, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21600, 5026, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21601, 5026, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21607, 5028, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21608, 5028, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21609, 5028, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21610, 5029, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21611, 5029, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21612, 5029, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21614, 5030, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21615, 5030, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21617, 5030, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21619, 5031, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21620, 5031, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21621, 5031, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21623, 5032, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21624, 5032, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21625, 5032, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21626, 5033, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21627, 5033, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21628, 5033, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21630, 5034, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21632, 5034, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21636, 5035, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21638, 5035, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21640, 5036, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21641, 5036, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21642, 5036, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21645, 5037, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21646, 5037, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21647, 5037, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21649, 5038, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21650, 5038, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21651, 5038, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21652, 5038, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21653, 5038, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21655, 5039, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21657, 5039, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21659, 5039, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21660, 5039, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21661, 5040, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21663, 5040, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21664, 5040, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21914, 5096, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21613, 5029, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21616, 5030, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21618, 5031, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21622, 5032, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21631, 5034, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21635, 5035, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21637, 5035, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21639, 5035, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21644, 5036, 'Второе выражение безопасно для NullPointerException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21648, 5037, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21654, 5038, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21658, 5039, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21656, 5039, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21662, 5040, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21665, 5040, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21667, 5041, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21668, 5041, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21669, 5041, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21670, 5042, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21672, 5042, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21674, 5042, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21675, 5043, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21676, 5043, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21677, 5043, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21680, 5044, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21681, 5045, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21683, 5045, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21684, 5045, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21685, 5045, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21686, 5046, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21687, 5046, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21688, 5046, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21689, 5046, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21690, 5046, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21692, 5047, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21693, 5047, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21695, 5047, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21697, 5048, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21698, 5048, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21699, 5048, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21700, 5048, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21701, 5048, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21702, 5049, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21703, 5049, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21706, 5050, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21707, 5050, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21709, 5050, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21710, 5051, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21711, 5051, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21713, 5051, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21715, 5052, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21716, 5052, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21717, 5052, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21718, 5053, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21719, 5053, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21721, 5053, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21722, 5054, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21724, 5054, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21725, 5054, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21726, 5055, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21728, 5055, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21729, 5055, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21730, 5056, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21915, 5096, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21691, 5046, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21666, 5041, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21673, 5042, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21671, 5042, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21678, 5043, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21679, 5044, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21696, 5048, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21704, 5049, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21705, 5049, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21708, 5050, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21712, 5051, 'Пользователь неверно ввел свой пароль', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21714, 5052, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21720, 5053, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21723, 5054, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21727, 5055, 'String не изменяем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21731, 5056, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21732, 5056, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21734, 5057, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21736, 5057, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21737, 5057, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21738, 5057, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21739, 5058, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21740, 5058, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21741, 5058, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21742, 5058, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21744, 5059, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21745, 5059, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21746, 5059, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21748, 5059, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21749, 5060, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21751, 5060, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21752, 5060, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21753, 5061, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21755, 5061, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21756, 5061, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21757, 5061, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21758, 5061, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21759, 5062, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21760, 5062, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21761, 5062, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21762, 5062, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21763, 5062, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21765, 5063, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21766, 5063, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21767, 5063, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21769, 5063, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21770, 5064, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22114, 5140, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21772, 5064, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21773, 5064, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21774, 5065, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21778, 5065, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21779, 5066, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21780, 5066, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21781, 5066, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21784, 5067, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21785, 5068, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21786, 5068, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21733, 5056, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21743, 5058, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21747, 5059, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21750, 5060, 'Первым напечатается "test2"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21754, 5061, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21764, 5062, 'Ничего из перечисленного. Строка A выбросит исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21768, 5063, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21771, 5064, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21775, 5065, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21776, 5065, 'factoryMethod', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21777, 5065, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21782, 5066, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21783, 5067, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21789, 5068, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21790, 5069, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21791, 5069, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21792, 5069, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21793, 5069, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21794, 5069, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21796, 5070, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21797, 5070, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21799, 5070, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21801, 5071, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21802, 5071, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21803, 5071, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21804, 5071, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21805, 5071, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21807, 5072, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21808, 5072, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21810, 5073, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21811, 5073, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21813, 5073, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21814, 5074, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21815, 5074, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21816, 5074, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21818, 5075, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21820, 5075, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21821, 5075, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21822, 5076, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21823, 5076, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21825, 5076, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21826, 5077, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21827, 5077, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21828, 5077, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21831, 5078, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21832, 5078, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21833, 5078, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21834, 5079, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21835, 5079, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21836, 5079, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21838, 5080, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21840, 5080, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21841, 5080, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21843, 5081, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21844, 5081, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21845, 5081, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21812, 5073, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21817, 5074, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21819, 5075, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21824, 5076, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21829, 5077, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21830, 5078, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21837, 5079, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21842, 5080, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21839, 5080, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21846, 5081, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21787, 5068, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21788, 5068, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21795, 5069, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21798, 5070, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21850, 5082, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21852, 5082, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21853, 5083, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21854, 5083, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21855, 5083, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21857, 5084, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21859, 5084, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21860, 5084, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21861, 5084, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21862, 5084, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21864, 5085, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21865, 5085, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21866, 5085, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21867, 5085, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21868, 5085, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21869, 5086, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21870, 5086, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21871, 5086, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21873, 5086, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21874, 5087, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21875, 5087, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21876, 5087, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21879, 5088, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21880, 5088, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21883, 5089, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21885, 5089, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21886, 5089, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21888, 5090, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21889, 5091, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21891, 5091, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21892, 5091, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21893, 5091, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21894, 5092, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21895, 5092, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21896, 5092, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21898, 5092, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21899, 5092, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21900, 5093, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21901, 5093, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21902, 5093, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21440, 4991, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21904, 5094, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21905, 5094, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21906, 5094, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21907, 5094, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21908, 5094, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21909, 5094, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21910, 5095, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21911, 5095, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21912, 5095, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21913, 5095, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21897, 5092, 'Перечисления (Enum)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21903, 5093, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21851, 5082, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21856, 5083, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21858, 5084, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21863, 5085, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21872, 5086, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21882, 5088, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21881, 5088, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21878, 5088, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21884, 5089, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21887, 5090, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21916, 5096, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21917, 5096, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21918, 5097, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21919, 5097, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21920, 5097, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21921, 5097, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21922, 5098, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21923, 5098, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21924, 5098, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21925, 5098, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21926, 5099, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21927, 5099, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21928, 5099, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21929, 5099, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21930, 5100, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21931, 5100, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21932, 5100, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21933, 5100, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21934, 5101, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21935, 5101, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21936, 5101, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21937, 5101, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21938, 5102, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21939, 5102, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21940, 5102, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21941, 5102, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21942, 5103, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21943, 5103, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21944, 5103, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21945, 5103, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21946, 5103, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21947, 5104, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21948, 5104, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21949, 5104, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21950, 5104, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21951, 5104, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21952, 5105, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21953, 5105, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21954, 5105, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21955, 5105, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21956, 5105, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21957, 5106, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22115, 5140, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21958, 5106, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21959, 5106, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21960, 5106, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21961, 5107, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21962, 5107, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21963, 5107, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21964, 5107, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21965, 5107, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21966, 5107, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21967, 5108, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21968, 5108, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21969, 5108, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21970, 5108, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21971, 5108, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21972, 5108, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21973, 5109, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21974, 5109, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21975, 5109, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21976, 5109, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21977, 5109, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21978, 5110, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21979, 5110, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21980, 5110, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21981, 5110, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21982, 5111, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21983, 5111, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21984, 5111, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21985, 5111, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21986, 5111, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21987, 5112, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21988, 5112, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21989, 5112, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21990, 5112, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21991, 5113, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21992, 5113, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21993, 5114, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21994, 5114, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21995, 5114, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21996, 5114, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21997, 5114, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21998, 5115, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21999, 5115, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22000, 5115, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22001, 5115, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22002, 5115, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22003, 5115, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22004, 5116, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22005, 5116, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22006, 5116, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22007, 5116, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21450, 4993, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21682, 5045, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21694, 5047, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21606, 5028, 'Приложение временно потеряло соединение с интернетом', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21629, 5033, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21633, 5034, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21634, 5034, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22008, 5117, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22009, 5117, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22011, 5117, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22012, 5117, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22013, 5117, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22015, 5118, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31456, 7163, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22018, 5119, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22020, 5119, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22021, 5119, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22023, 5120, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22024, 5120, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22025, 5120, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22027, 5121, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22028, 5121, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22029, 5121, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22030, 5122, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22019, 5119, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22022, 5120, 'Приложение временно потеряло соединение с интернетом', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22026, 5121, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22031, 5122, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22033, 5122, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22034, 5123, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22035, 5123, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22037, 5123, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22039, 5124, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22040, 5124, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22041, 5124, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22042, 5125, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22043, 5125, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22045, 5125, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22046, 5126, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22048, 5126, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22049, 5126, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22051, 5127, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22054, 5127, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22055, 5127, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22056, 5128, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22057, 5128, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22058, 5128, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22060, 5128, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22061, 5129, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22062, 5129, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22063, 5129, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22065, 5130, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22067, 5130, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22068, 5130, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22069, 5130, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22070, 5130, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22071, 5131, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22072, 5131, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22073, 5131, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22074, 5131, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22077, 5132, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22078, 5132, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22079, 5132, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22080, 5132, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22082, 5133, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22084, 5133, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22085, 5133, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22086, 5134, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22088, 5134, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22036, 5123, 'final', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22038, 5124, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22047, 5126, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22052, 5127, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22053, 5127, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22059, 5128, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22064, 5129, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22066, 5130, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22075, 5131, 'Ничего из перечисленного. Код не скомпилируется.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22076, 5131, 'Ничего из перечисленного. Строка A выбросит исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22081, 5132, 'Код компилируется, но кидает исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22083, 5133, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22087, 5134, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22089, 5134, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22091, 5135, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22093, 5135, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22094, 5135, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22095, 5136, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22098, 5137, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22101, 5137, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22102, 5138, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22103, 5138, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22104, 5138, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22105, 5138, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22107, 5138, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22108, 5139, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22110, 5139, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22111, 5139, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20852, 4861, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20851, 4861, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20762, 4841, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20766, 4842, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20767, 4842, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20802, 4850, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22097, 5137, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22100, 5137, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22099, 5137, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22106, 5138, 'Любой POJO класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22109, 5139, 'Возможно, любое количество стратегий наследования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22010, 5117, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22016, 5118, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22014, 5118, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22017, 5118, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22032, 5122, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22044, 5125, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22050, 5126, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22092, 5135, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22096, 5136, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21890, 5091, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21800, 5071, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21809, 5072, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21806, 5072, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21847, 5081, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21877, 5087, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21266, 4953, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21178, 4933, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21184, 4934, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21185, 4934, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21195, 4937, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21212, 4941, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21254, 4950, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22113, 5140, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22116, 5140, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22117, 5140, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22118, 5141, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22119, 5141, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22112, 5140, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22120, 5141, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22362, 5197, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22123, 5142, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22124, 5142, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22125, 5142, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22126, 5143, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22127, 5143, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22128, 5143, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22130, 5144, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22132, 5144, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22133, 5144, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22134, 5145, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22135, 5145, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22137, 5145, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22139, 5146, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22140, 5146, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22141, 5146, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22143, 5147, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22144, 5147, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22145, 5147, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22146, 5148, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22147, 5148, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22148, 5148, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22150, 5149, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22152, 5149, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22153, 5149, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22155, 5150, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22158, 5150, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22159, 5150, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22160, 5151, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22161, 5151, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22162, 5151, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22164, 5151, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22165, 5152, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22166, 5152, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22167, 5152, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22169, 5153, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22170, 5153, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22171, 5153, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22172, 5153, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22173, 5153, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22177, 5154, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22179, 5154, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22122, 5142, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22129, 5143, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22131, 5144, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22136, 5145, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22138, 5146, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22142, 5147, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22149, 5148, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22151, 5149, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22157, 5150, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22156, 5150, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22163, 5151, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22168, 5152, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22174, 5153, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22178, 5154, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22175, 5154, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22176, 5154, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22363, 5197, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22364, 5197, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22365, 5197, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22366, 5198, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22180, 5154, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22182, 5155, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22183, 5155, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22184, 5155, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22185, 5155, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22186, 5156, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22187, 5156, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22188, 5156, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22190, 5157, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22191, 5157, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22192, 5157, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22195, 5158, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22196, 5158, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22198, 5158, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22200, 5159, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22201, 5160, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22203, 5160, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22204, 5160, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22205, 5160, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22206, 5161, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22207, 5161, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22208, 5161, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22209, 5161, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22210, 5161, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22212, 5162, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22213, 5162, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22214, 5162, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22202, 5160, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22211, 5161, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22215, 5162, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22121, 5141, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22154, 5149, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22181, 5155, 'Код компилируется без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22189, 5156, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22193, 5157, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22194, 5157, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22197, 5158, 'Действие, которое будет выполняться для выбранных нами методов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22199, 5159, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20034, 4680, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20041, 4681, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20040, 4681, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20074, 4689, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21735, 5057, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21058, 4907, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21060, 4907, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21059, 4907, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (21070, 4909, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20974, 4888, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (20977, 4888, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19826, 4634, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22562, 5241, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31457, 7163, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19833, 4635, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19832, 4635, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (19860, 4642, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22216, 5163, 'Содержимое Docker Volume удаляется если контейнер удаляется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22217, 5163, 'Данные из Docker Volume могут быть использованы между разными контейнерами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22218, 5163, 'Docker volume привязан к жизненному циклу контейнера и не может существовать без него', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22220, 5164, 'Для настройки взаимодействия между Docker Containers', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22221, 5164, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22222, 5164, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22224, 5165, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22225, 5165, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22227, 5166, 'Оператор-заглушка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22228, 5166, 'Синоним оператора "continue" (пропустить)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22230, 5167, 'Чтобы экономить время разработки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22231, 5167, 'Чтобы экономить ресурсы системы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22232, 5167, 'Чтобы оптимизировать скорость выполнения python-кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22233, 5167, 'Чтобы кешировать исполняемый код и удалять его, если тот не используется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22235, 5168, 'Набор сетевых библиотек для парсинга', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22236, 5168, 'Набор библиотек для создания мультипоточной обработки данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22237, 5168, 'Конструктор сайтов на Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22239, 5169, 'Компилятор программ на Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22240, 5169, 'Шаблонизатор', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22241, 5169, 'Модуль для организации чат сервер/клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22243, 5170, 'Для создания сессии с базой данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22244, 5170, 'Для создания сессии между серверами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22245, 5170, 'Для создания и хранения данных в сессии клиента', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22247, 5171, 'setdefault(), popitem(), pop(), fromkeys()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22248, 5171, 'update(), remove(), values(), copy()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22249, 5171, 'clear(), get(), push(), index()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22251, 5172, 'set', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22252, 5172, 'array', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22253, 5172, 'list', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22254, 5172, 'bytes', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22255, 5172, 'map', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22257, 5173, '`<class ''float''>`', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22258, 5173, '`<class ''int''>`', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22259, 5173, '`<class ''double''>`', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22261, 5174, 'Определяет список и инициализирует его.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22262, 5174, 'Определяет функцию, которая ничего не делает.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22263, 5174, 'Определяет функцию, которая передает параметры.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22265, 5175, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22266, 5175, '12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22267, 5175, '24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22268, 5175, '36', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22270, 5176, '1, 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22271, 5176, 'Ошибку, так как i не присвоена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22272, 5176, '1, 3, 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22273, 5176, 'Ошибку из-за неверного вывода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22275, 5177, 'Не более 23', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22276, 5177, 'Не более 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22277, 5177, 'Не более 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22278, 5177, 'Неограниченное количество', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22219, 5163, 'Приложение, запущенное внутри контейнера, может обмениваться данными с Docker Volume', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22223, 5164, 'Для настройки взаимодействия между Docker Repository', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22226, 5165, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22229, 5166, 'Данная оператор не используется в новых версиях Python', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22234, 5167, 'Чтобы удалять неиспользуемые объекты в памяти', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22238, 5168, 'Набор готовых модулей/функций для ускорения создания веб-сайта', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22242, 5169, 'Инструмент отладки кода', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22246, 5170, 'Для создания сессии на время соединения с сервером', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22250, 5171, 'get(), set(), keys(), items()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22256, 5172, 'frozenset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22260, 5173, '`<class ''number''>`', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22264, 5174, 'Определяет пустой класс.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22269, 5175, '48', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22274, 5176, '0, 2, 4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22279, 5177, 'Не более 10', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22280, 5178, 'Содержимое Docker Volume удаляется если контейнер удаляется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22281, 5178, 'Данные из Docker Volume могут быть использованы между разными контейнерами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22282, 5178, 'Docker volume привязан к жизненному циклу контейнера и не может существовать без него', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32032, 7271, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22283, 5178, 'Приложение, запущенное внутри контейнера, может обмениваться данными с Docker Volume', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22284, 5179, 'Для настройки взаимодействия между Docker Containers', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22285, 5179, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22286, 5179, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22287, 5179, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22288, 5180, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22289, 5180, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22290, 5180, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22291, 5181, 'Оператор-заглушка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22292, 5181, 'Синоним оператора "continue" (пропустить)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22293, 5181, 'Данная оператор не используется в новых версиях Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22294, 5182, 'Чтобы экономить время разработки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22295, 5182, 'Чтобы экономить ресурсы системы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22296, 5182, 'Чтобы оптимизировать скорость выполнения python-кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22297, 5182, 'Чтобы кешировать исполняемый код и удалять его, если тот не используется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22298, 5182, 'Чтобы удалять неиспользуемые объекты в памяти', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22299, 5183, 'Набор сетевых библиотек для парсинга', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22300, 5183, 'Набор библиотек для создания мультипоточной обработки данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22301, 5183, 'Конструктор сайтов на Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22302, 5183, 'Набор готовых модулей/функций для ускорения создания веб-сайта', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22303, 5184, 'Компилятор программ на Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22304, 5184, 'Шаблонизатор', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22305, 5184, 'Модуль для организации чат сервер/клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22306, 5184, 'Инструмент отладки кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22307, 5185, 'Для создания сессии с базой данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22308, 5185, 'Для создания сессии между серверами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22309, 5185, 'Для создания и хранения данных в сессии клиента', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22310, 5185, 'Для создания сессии на время соединения с сервером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22311, 5186, 'setdefault(), popitem(), pop(), fromkeys()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22312, 5186, 'update(), remove(), values(), copy()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22313, 5186, 'clear(), get(), push(), index()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22314, 5186, 'get(), set(), keys(), items()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22315, 5187, 'set', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22316, 5187, 'array', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22317, 5187, 'list', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22318, 5187, 'bytes', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22319, 5187, 'map', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22320, 5187, 'frozenset', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22321, 5188, '`<class ''float''>`', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22322, 5188, '`<class ''int''>`', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22323, 5188, '`<class ''double''>`', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22324, 5188, '`<class ''number''>`', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22325, 5189, 'Определяет список и инициализирует его.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22326, 5189, 'Определяет функцию, которая ничего не делает.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22327, 5189, 'Определяет функцию, которая передает параметры.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22328, 5189, 'Определяет пустой класс.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22329, 5190, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22330, 5190, '12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22331, 5190, '24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22332, 5190, '36', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22333, 5190, '48', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22334, 5191, '1, 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22335, 5191, 'Ошибку, так как i не присвоена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22336, 5191, '1, 3, 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22337, 5191, 'Ошибку из-за неверного вывода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22338, 5191, '0, 2, 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22339, 5192, 'Не более 23', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22340, 5192, 'Не более 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22341, 5192, 'Не более 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22342, 5192, 'Неограниченное количество', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22343, 5192, 'Не более 10', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22344, 5193, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22345, 5193, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22346, 5193, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22347, 5193, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22348, 5193, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22349, 5193, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22350, 5194, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22351, 5194, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22352, 5194, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22353, 5194, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22354, 5195, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22355, 5195, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22356, 5195, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22357, 5195, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22358, 5196, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22563, 5241, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22359, 5196, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22360, 5196, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22361, 5196, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22367, 5198, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22368, 5198, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22369, 5198, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22370, 5199, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22371, 5199, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22372, 5199, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22373, 5199, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22374, 5200, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22375, 5200, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22376, 5200, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22377, 5200, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22378, 5201, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22379, 5201, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22380, 5201, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22381, 5201, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22382, 5202, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22383, 5202, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22384, 5202, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22385, 5202, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22386, 5202, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22387, 5203, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22388, 5203, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22389, 5203, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22390, 5203, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22391, 5203, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22392, 5204, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22393, 5204, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22394, 5204, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22395, 5204, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22396, 5204, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22397, 5205, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22398, 5205, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22399, 5205, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22400, 5205, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22401, 5206, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22402, 5206, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22403, 5206, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22404, 5206, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22405, 5206, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22406, 5206, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22407, 5207, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22408, 5207, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22409, 5207, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22410, 5207, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22411, 5207, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22412, 5207, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22413, 5208, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22414, 5208, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22415, 5208, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22416, 5208, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22417, 5208, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22418, 5209, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22419, 5209, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22420, 5209, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22763, 5285, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22421, 5209, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22422, 5210, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22423, 5210, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22424, 5210, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22425, 5210, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22429, 5211, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22430, 5211, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22431, 5212, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22432, 5212, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22433, 5213, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22434, 5213, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22435, 5213, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22436, 5213, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22437, 5213, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22438, 5214, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22439, 5214, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22440, 5214, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22441, 5214, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22442, 5214, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22443, 5214, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22444, 5215, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22445, 5215, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22446, 5215, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22447, 5215, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22448, 5216, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22449, 5216, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22451, 5216, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22452, 5216, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22453, 5216, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22454, 5217, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22458, 5218, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22460, 5218, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22461, 5218, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22462, 5219, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22463, 5219, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22464, 5219, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22466, 5220, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22467, 5220, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22468, 5220, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22470, 5221, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22471, 5221, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22473, 5221, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22475, 5222, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22476, 5222, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22477, 5222, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22479, 5223, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22480, 5223, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22481, 5223, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22482, 5224, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22483, 5224, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22484, 5224, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22486, 5225, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22488, 5225, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22489, 5225, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22551, 5238, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22450, 5216, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22459, 5218, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22465, 5219, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22469, 5220, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22472, 5221, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22474, 5222, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22478, 5223, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22485, 5224, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22487, 5225, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30197, 6916, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30199, 6917, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22491, 5226, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22493, 5226, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22495, 5226, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22496, 5227, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22497, 5227, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22498, 5227, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22500, 5227, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22501, 5228, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22502, 5228, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22503, 5228, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22505, 5229, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22506, 5229, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22507, 5229, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22508, 5229, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22509, 5229, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22511, 5230, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22515, 5230, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22516, 5230, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22517, 5231, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22519, 5231, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22520, 5231, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22521, 5231, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22523, 5232, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22524, 5232, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22525, 5232, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22526, 5233, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22528, 5233, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22530, 5233, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22531, 5234, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22532, 5234, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22533, 5234, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22535, 5235, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22537, 5236, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22538, 5236, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22541, 5236, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22542, 5237, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22543, 5237, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22544, 5237, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22545, 5237, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22546, 5237, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22548, 5238, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22549, 5238, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22552, 5239, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22547, 5237, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22550, 5238, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22490, 5225, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22494, 5226, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22492, 5226, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22499, 5227, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22504, 5228, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22510, 5229, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22512, 5230, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22513, 5230, 'optional.ifPresent(System.out.println)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22514, 5230, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22518, 5231, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22522, 5232, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22529, 5233, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22527, 5233, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22534, 5234, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22536, 5235, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22559, 5240, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32033, 7271, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22565, 5241, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22566, 5242, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22568, 5242, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22569, 5242, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22570, 5243, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22571, 5243, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22572, 5243, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22575, 5244, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22576, 5244, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22577, 5244, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22579, 5245, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22580, 5245, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22581, 5245, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22582, 5246, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22583, 5246, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22585, 5246, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22586, 5247, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22587, 5247, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22589, 5247, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22590, 5248, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22591, 5248, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22593, 5248, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22594, 5248, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22595, 5249, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22597, 5249, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22598, 5249, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22600, 5250, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22601, 5250, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22602, 5250, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22603, 5250, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22605, 5251, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22606, 5251, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22607, 5251, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22609, 5252, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22610, 5252, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22612, 5252, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22613, 5252, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22614, 5252, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22615, 5253, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22616, 5253, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22617, 5253, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22564, 5241, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22567, 5242, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22573, 5243, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22574, 5244, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22578, 5245, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22584, 5246, 'String может быть использован повторно через пул строк', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22588, 5247, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22592, 5248, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22596, 5249, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22599, 5249, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22604, 5250, 'Второе выражение безопасно для NullPointerException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22608, 5251, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22611, 5252, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30904, 7059, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30905, 7060, 'allMatch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30906, 7060, 'anyMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30908, 7060, 'findFirst', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22619, 5253, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22620, 5253, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22621, 5254, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22764, 5285, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22622, 5254, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22624, 5254, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22625, 5254, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22626, 5255, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22627, 5255, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22629, 5255, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22630, 5256, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22632, 5256, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22635, 5257, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22636, 5257, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22637, 5257, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22640, 5258, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22641, 5259, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22642, 5259, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22643, 5259, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22645, 5259, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22646, 5260, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22647, 5260, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22648, 5260, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22649, 5260, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22650, 5260, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22652, 5261, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22653, 5261, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22655, 5261, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22656, 5262, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22657, 5262, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22659, 5262, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22660, 5262, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22661, 5262, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22666, 5264, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22668, 5264, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22669, 5264, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22670, 5265, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22671, 5265, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22672, 5265, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22674, 5266, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22676, 5266, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22677, 5266, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22678, 5267, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22679, 5267, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22681, 5267, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22683, 5268, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22684, 5268, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22667, 5264, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22673, 5265, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22675, 5266, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22680, 5267, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22682, 5268, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22644, 5259, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22651, 5260, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22654, 5261, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22623, 5254, 'Код не компилируется из за ошибки на строке B', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22628, 5255, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22633, 5256, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22631, 5256, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22634, 5256, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22638, 5257, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22639, 5258, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22688, 5269, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22689, 5269, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22691, 5270, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22692, 5270, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22693, 5270, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22694, 5271, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22696, 5271, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22697, 5271, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22699, 5272, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22700, 5272, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22702, 5272, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22704, 5273, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22705, 5273, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22706, 5273, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22708, 5273, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22709, 5274, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22710, 5274, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22711, 5274, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22713, 5275, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22714, 5275, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22715, 5275, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22716, 5275, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22717, 5275, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22719, 5276, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22721, 5276, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22722, 5276, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22723, 5276, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22724, 5276, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22725, 5277, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22727, 5277, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22728, 5277, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22729, 5277, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22730, 5278, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22731, 5278, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22733, 5278, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22734, 5279, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22735, 5279, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22736, 5279, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22737, 5279, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22739, 5280, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22740, 5280, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22741, 5280, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22742, 5280, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22743, 5281, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22695, 5271, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22703, 5272, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22701, 5272, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22707, 5273, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22712, 5274, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22718, 5275, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22720, 5276, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22726, 5277, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22732, 5278, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22738, 5279, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22744, 5281, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22745, 5282, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22746, 5282, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22749, 5282, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22750, 5283, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22751, 5283, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22752, 5283, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22753, 5283, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22754, 5283, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22756, 5284, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22757, 5284, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22758, 5284, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22761, 5285, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22762, 5285, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22765, 5285, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22767, 5286, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22771, 5287, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22772, 5287, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22773, 5287, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22774, 5288, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22775, 5288, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22776, 5288, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22778, 5289, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22780, 5289, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22781, 5289, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22783, 5290, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22784, 5290, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22785, 5290, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22787, 5291, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22788, 5291, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22789, 5291, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22791, 5292, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22792, 5292, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22793, 5292, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22794, 5293, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22795, 5293, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22796, 5293, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22798, 5294, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22800, 5294, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22801, 5294, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22770, 5287, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22777, 5288, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22779, 5289, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22782, 5290, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22786, 5291, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22790, 5292, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22797, 5293, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22799, 5294, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22802, 5294, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22804, 5295, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22803, 5295, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22747, 5282, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22748, 5282, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22755, 5283, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22759, 5284, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22806, 5295, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22807, 5295, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22808, 5296, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22809, 5296, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22810, 5296, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22812, 5296, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22813, 5297, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22815, 5297, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22816, 5297, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22817, 5298, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22819, 5298, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22820, 5298, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22821, 5298, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22822, 5298, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22823, 5299, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22824, 5299, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22825, 5299, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22827, 5299, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22828, 5299, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22829, 5300, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22830, 5300, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22831, 5300, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22833, 5300, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22834, 5301, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22835, 5301, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22836, 5301, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22840, 5302, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22843, 5303, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22844, 5303, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22845, 5303, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22847, 5304, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22849, 5305, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22850, 5305, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22852, 5305, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22853, 5305, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22854, 5306, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22855, 5306, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22856, 5306, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22857, 5306, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22858, 5306, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22860, 5307, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22861, 5307, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22863, 5307, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22539, 5236, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22540, 5236, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22859, 5306, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22862, 5307, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22805, 5295, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22811, 5296, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22814, 5297, 'Первым напечатается "test2"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22818, 5298, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22826, 5299, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22832, 5300, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22837, 5301, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22838, 5302, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22842, 5302, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22839, 5302, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22841, 5302, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22846, 5303, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22848, 5304, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23266, 5399, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25093, 5804, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22457, 5217, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22456, 5217, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22455, 5217, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22864, 5308, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22865, 5308, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22867, 5308, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22868, 5308, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22869, 5308, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22871, 5309, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22874, 5310, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22875, 5310, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22877, 5310, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22878, 5311, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22879, 5311, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22880, 5311, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22882, 5312, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22883, 5312, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22884, 5312, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22887, 5313, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22888, 5313, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22889, 5313, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22894, 5315, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22895, 5315, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22896, 5315, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22898, 5316, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22899, 5316, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22900, 5316, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22902, 5317, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22903, 5317, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22905, 5317, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22906, 5317, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22907, 5318, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22912, 5319, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22913, 5319, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22914, 5319, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22916, 5319, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22917, 5320, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22918, 5320, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22919, 5320, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22866, 5308, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22876, 5310, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22881, 5311, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22885, 5312, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22886, 5313, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22891, 5314, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22897, 5315, 'String может быть создан без вызова конструктора', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22901, 5316, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22904, 5317, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22911, 5318, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22910, 5318, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22909, 5318, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22915, 5319, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23268, 5400, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23270, 5400, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23271, 5400, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23272, 5400, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23274, 5401, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22921, 5321, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22922, 5321, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22924, 5321, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22925, 5321, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22926, 5321, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22928, 5322, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22929, 5322, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22930, 5322, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22931, 5322, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22932, 5322, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22933, 5323, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22934, 5323, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22935, 5323, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22936, 5323, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22938, 5324, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22940, 5324, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22941, 5324, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22943, 5325, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22944, 5325, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22945, 5325, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22946, 5325, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22947, 5326, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22948, 5326, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23112, 5366, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22950, 5326, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22952, 5327, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22953, 5328, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22954, 5328, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22956, 5328, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22957, 5328, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22958, 5329, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22959, 5329, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22960, 5329, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22961, 5329, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22962, 5329, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22964, 5330, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22966, 5330, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22967, 5330, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22968, 5331, 'Повысить безопасность системы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22969, 5331, 'Предотвратить бесконечные циклы в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22970, 5331, 'Использовать их как план Б', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22972, 5332, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22974, 5332, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22975, 5332, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22976, 5333, 'А. Найти дефекты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22977, 5333, 'B. Исправить дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22979, 5333, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22980, 5334, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22982, 5334, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22983, 5334, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22963, 5329, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22965, 5330, 'Возможно, любое количество стратегий наследования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22920, 5320, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22923, 5321, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22927, 5322, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22937, 5323, 'Код компилируется, но кидает исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22939, 5324, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22942, 5325, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22949, 5326, 'Действие, которое будет выполняться для выбранных нами методов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22951, 5327, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22971, 5331, 'Определить, когда завершить тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22973, 5332, 'Это помогает предотвратить появление дефектов в коде', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22978, 5333, 'Вариант А и В', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22981, 5334, 'Тестирование в условиях эксплуатации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22984, 5335, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22985, 5335, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22986, 5335, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22989, 5336, 'Проектирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22990, 5336, 'Код', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22991, 5336, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22992, 5337, 'Техника белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22993, 5337, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22995, 5337, 'Тестирование управления данными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22996, 5338, '$5800; $28000; $32000', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22997, 5338, '$0; $200; $4200', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22998, 5338, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23000, 5339, 'Функциональное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23002, 5339, 'Ни одно из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23003, 5340, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23004, 5340, 'Стресс-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23005, 5340, 'Тестирование надежности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23007, 5341, 'Позволяет выявить изменения в пользовательских требованиях', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23008, 5341, 'Облегчает своевременную настройку тестовой среды', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23010, 5341, 'Позволяет тестировщикам принять участие в начале проекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23011, 5342, 'Раз в месяц
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23012, 5342, 'Когда дефект исправлен', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23014, 5342, 'При изменении ПО', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23015, 5343, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23017, 5343, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23018, 5343, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23113, 5366, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23019, 5344, 'Скажете команде разработчиков, чтобы они доставили систему вовремя, чтобы тестовая деятельность была завершена вовремя.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23020, 5344, 'Расширите план тестирования, таким образом компенсируя промашку', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23022, 5344, 'Добавите больше ресурсов, чтобы избежать промашки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23023, 5345, 'Техники тестирования на основе структуры и на основе опыта', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23025, 5345, 'Техники на основе структуры и на основе спецификации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23026, 5345, 'Техника на основе структуры и исчерпывающее тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23027, 5346, 'План тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23028, 5346, 'Спецификация процедуры тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23030, 5346, 'Тестовые данные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23032, 5347, 'Статическое тестирование включает ручную имитацию программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23033, 5347, 'Статическое тестирование включает в себя такие техники, как рецензирование и инспекция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23034, 5347, 'Статическое тестирование может включать в себя такие измерения, как цикломатическая сложность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23036, 5348, 'Автоматизация, вероятно, потерпит неудачу из-за автоматизации GUI, не является правильным способом автоматизации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23037, 5348, 'Автоматизация, скорее всего, будет успешной, потому что автоматизация очень полезна для частых изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23038, 5348, 'Автоматизация, скорее всего, удастся, потому что команда была обучена инструменту', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23039, 5349, 'Критический', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23041, 5349, 'Низкий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23042, 5349, 'Незначительный', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23043, 5350, 'Сообщить о проблеме менеджеру и попытаться договориться с разработчиком', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22988, 5336, 'Требования', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22994, 5337, 'Техника черного ящика', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22999, 5338, '$28001; $32000; $35000', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23001, 5339, 'Структурное тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23006, 5340, 'Регрессионное тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23009, 5341, 'Уменьшает умножение дефектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23013, 5342, 'При изменении тестовой среды', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23016, 5343, 'Анализ граничных значений
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23024, 5345, 'Техника черного ящика и техника на основе спецификации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23029, 5346, 'Тестовый сценарий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23031, 5347, 'Статическое тестирование требует выполнения кода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23035, 5348, 'Автоматизация, вероятно, потерпит неудачу из-за частых изменений и отсутствия опыта', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23040, 5349, 'Высокий', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30909, 7060, 'noneMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30910, 7060, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30911, 7061, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30912, 7061, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23044, 5350, 'Повторно протестировать модуль и подтвердите ошибку', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23045, 5350, 'Назначить ту же ошибку другому разработчику', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23047, 5351, 'W1, X2, Y3, Z4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23049, 5351, 'W2, X3, Y1, Z4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23050, 5351, 'W1, X4, Y2, Z3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23052, 5352, 'Кластеризация дефектов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23053, 5352, 'Парадокс пестицида', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23054, 5352, 'Заблуждение об отсутствии ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23056, 5353, '-40, 37.78, и 100', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23057, 5353, '-1, 0, 1 и 37.78', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23058, 5353, '-40, 0, 32 и 100', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22955, 5328, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22873, 5309, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22870, 5309, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22872, 5309, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22908, 5318, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22987, 5335, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23021, 5344, 'Ранжируете функциональность в соответствии с риском и сосредоточитесь больше на тестировании критичной функциональности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23046, 5350, 'Отправить подробную информацию об обнаруженном баге и проверить воспроизводимость', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23048, 5351, 'W1, X3, Y4, Z2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23051, 5352, 'Исчерпывающее тестирование невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23055, 5353, '-1, 0, 89.6 и 212', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23183, 5381, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22851, 5305, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22760, 5285, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22768, 5286, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22769, 5286, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22766, 5286, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22658, 5262, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22664, 5263, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22665, 5263, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22663, 5263, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22662, 5263, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22686, 5269, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22690, 5270, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22698, 5271, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23060, 5354, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23061, 5354, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23062, 5354, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23063, 5354, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23064, 5354, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23066, 5355, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23067, 5355, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23069, 5356, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23071, 5356, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23072, 5356, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23074, 5357, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23075, 5357, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23076, 5357, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23078, 5358, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23079, 5358, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23080, 5358, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23081, 5359, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23059, 5354, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23068, 5355, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23065, 5355, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23070, 5356, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23073, 5357, 'Приложение временно потеряло соединение с интернетом', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23077, 5358, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23082, 5359, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23084, 5359, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23086, 5360, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23087, 5360, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23088, 5360, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23089, 5361, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23091, 5361, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23092, 5361, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23093, 5362, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23094, 5362, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23095, 5362, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23097, 5363, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23099, 5363, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23100, 5363, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23102, 5364, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23104, 5364, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23105, 5364, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23106, 5364, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23107, 5365, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23108, 5365, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23110, 5365, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23111, 5365, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23115, 5366, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23116, 5367, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23117, 5367, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23118, 5367, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23119, 5367, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23120, 5367, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23122, 5368, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23123, 5368, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23125, 5368, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23126, 5368, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23127, 5368, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23128, 5369, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23130, 5369, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23131, 5369, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23132, 5369, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23133, 5370, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23135, 5370, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23136, 5370, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23085, 5360, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23090, 5361, 'String не изменяем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23098, 5363, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23103, 5364, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23109, 5365, 'Скорость выполнения операции сравнения во втором случае выше', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23114, 5366, 'Код не скомпилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23121, 5367, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23124, 5368, 'optional.ifPresent(System.out.println)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23129, 5369, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23134, 5370, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23138, 5371, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23139, 5371, 'factoryMethod', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23137, 5371, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23140, 5371, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23144, 5372, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23145, 5372, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23146, 5373, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23148, 5374, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23151, 5374, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23152, 5374, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23153, 5375, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23154, 5375, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23155, 5375, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23156, 5375, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23157, 5375, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23159, 5376, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23160, 5376, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23162, 5376, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23163, 5377, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23164, 5377, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23165, 5377, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23166, 5377, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23167, 5377, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23168, 5377, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23169, 5378, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23170, 5378, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23171, 5378, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23172, 5378, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23173, 5379, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23174, 5379, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23175, 5379, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23176, 5379, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23177, 5380, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23178, 5380, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23179, 5380, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23180, 5380, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23181, 5381, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23182, 5381, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23269, 5400, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23184, 5381, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23185, 5382, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23186, 5382, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23187, 5382, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23188, 5382, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23189, 5383, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23190, 5383, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23191, 5383, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23192, 5383, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23193, 5384, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23194, 5384, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23195, 5384, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23196, 5384, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23197, 5385, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23198, 5385, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23199, 5385, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23200, 5385, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23201, 5386, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23202, 5386, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23203, 5386, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23204, 5386, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23275, 5401, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23158, 5375, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23161, 5376, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23147, 5373, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23205, 5386, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23206, 5387, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23207, 5387, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23208, 5387, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23209, 5387, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23210, 5387, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23211, 5388, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23212, 5388, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23213, 5388, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23214, 5388, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23215, 5388, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23216, 5389, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23217, 5389, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23218, 5389, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23219, 5389, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23220, 5390, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23221, 5390, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23222, 5390, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23223, 5390, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23224, 5390, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23225, 5390, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23226, 5391, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23227, 5391, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23228, 5391, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23229, 5391, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23230, 5391, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23231, 5391, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23232, 5392, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23233, 5392, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23234, 5392, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23235, 5392, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23236, 5392, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23237, 5393, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23425, 5435, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23238, 5393, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23239, 5393, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23240, 5393, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23241, 5394, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23242, 5394, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23243, 5394, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23244, 5394, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23245, 5394, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23246, 5395, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23247, 5395, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23248, 5395, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23249, 5395, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23250, 5396, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23251, 5396, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23252, 5397, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23253, 5397, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23254, 5397, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23255, 5397, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23256, 5397, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23257, 5398, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23258, 5398, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23259, 5398, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23260, 5398, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23261, 5398, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23262, 5398, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23263, 5399, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23264, 5399, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23265, 5399, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23267, 5400, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23277, 5402, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23278, 5402, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23280, 5402, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23281, 5403, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23282, 5403, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23283, 5403, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23285, 5404, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23286, 5404, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23288, 5404, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23289, 5405, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23290, 5405, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23291, 5405, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23293, 5406, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23294, 5406, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23295, 5406, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23298, 5407, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23299, 5407, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23300, 5407, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23301, 5408, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23302, 5408, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23303, 5408, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23305, 5409, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23307, 5409, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23308, 5409, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23309, 5409, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23310, 5410, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23311, 5410, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23316, 5411, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23317, 5411, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23426, 5435, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23318, 5411, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23319, 5411, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23320, 5412, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23322, 5412, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23323, 5412, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23324, 5413, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23325, 5413, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23326, 5413, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23327, 5413, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23328, 5413, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23330, 5414, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23332, 5414, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23334, 5414, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23279, 5402, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23284, 5403, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23287, 5404, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23292, 5405, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23296, 5406, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23297, 5407, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23304, 5408, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23306, 5409, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23313, 5410, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23315, 5411, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23321, 5412, 'Первым напечатается "test2"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23329, 5413, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23331, 5414, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23333, 5414, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23506, 5453, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23507, 5453, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23508, 5453, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23690, 5493, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23335, 5414, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23336, 5415, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23337, 5415, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23338, 5415, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23340, 5415, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23342, 5416, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23343, 5416, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23344, 5416, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23345, 5417, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23347, 5417, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23348, 5417, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23349, 5417, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23350, 5418, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23351, 5418, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23352, 5418, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23353, 5418, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23354, 5419, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23355, 5419, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23357, 5420, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23360, 5420, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23361, 5421, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23362, 5421, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23363, 5421, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23364, 5421, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23365, 5421, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23367, 5422, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23368, 5422, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23369, 5422, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23356, 5420, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23358, 5420, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23359, 5420, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23366, 5421, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23370, 5422, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23276, 5401, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23273, 5401, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23314, 5410, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23312, 5410, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23339, 5415, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23341, 5416, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23346, 5417, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22557, 5239, 'Runtime exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22560, 5240, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22561, 5240, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (22618, 5253, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23372, 5423, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23373, 5423, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23374, 5423, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23375, 5423, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23376, 5423, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23377, 5424, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23378, 5424, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23371, 5423, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23379, 5424, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31158, 7107, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31159, 7107, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31160, 7108, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31161, 7108, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31162, 7108, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31163, 7108, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31165, 7108, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31166, 7109, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31168, 7109, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31169, 7109, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31170, 7109, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31157, 7107, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31164, 7108, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31167, 7109, 'git reflog', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23381, 5425, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23383, 5425, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23384, 5425, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23385, 5426, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23386, 5426, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23388, 5426, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23389, 5427, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23390, 5427, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23391, 5427, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23393, 5428, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23394, 5428, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23396, 5428, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23397, 5429, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23398, 5429, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23399, 5429, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23402, 5430, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23403, 5430, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23404, 5430, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23405, 5431, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23406, 5431, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23408, 5431, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23409, 5432, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23410, 5432, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23412, 5432, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23413, 5432, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23416, 5433, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23417, 5433, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23418, 5433, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23419, 5434, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23420, 5434, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23421, 5434, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23422, 5434, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23424, 5435, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32034, 7271, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23428, 5436, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23430, 5436, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23431, 5436, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23432, 5436, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23433, 5436, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23435, 5437, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23436, 5437, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23437, 5437, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23438, 5437, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23691, 5493, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23382, 5425, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23387, 5426, 'Пользователь неверно ввел свой пароль', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23392, 5427, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23395, 5428, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23400, 5429, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23401, 5430, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23411, 5432, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23414, 5433, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23415, 5433, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23423, 5434, 'Второе выражение безопасно для NullPointerException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23427, 5435, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23429, 5436, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23434, 5437, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23439, 5437, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23440, 5438, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23442, 5438, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23443, 5438, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23444, 5438, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23445, 5439, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23447, 5439, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23448, 5439, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23449, 5440, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23451, 5440, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23454, 5441, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23456, 5441, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23457, 5441, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23458, 5442, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23460, 5443, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23461, 5443, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23462, 5443, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23464, 5443, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23465, 5444, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23466, 5444, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23467, 5444, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23469, 5444, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23470, 5444, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23471, 5445, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23472, 5445, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23473, 5445, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23475, 5446, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23476, 5446, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23478, 5446, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23479, 5446, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23480, 5446, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23481, 5447, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23482, 5447, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23483, 5447, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23484, 5447, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23485, 5448, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23486, 5448, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23487, 5448, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23488, 5448, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23489, 5449, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23490, 5449, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23491, 5449, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23492, 5449, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23493, 5450, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23494, 5450, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23495, 5450, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23496, 5450, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23497, 5451, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23498, 5451, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23499, 5451, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23500, 5451, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23501, 5452, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23502, 5452, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23503, 5452, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23504, 5452, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23505, 5453, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23468, 5444, 'Перечисления (Enum)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23474, 5445, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23441, 5438, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23446, 5439, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23453, 5440, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23452, 5440, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23450, 5440, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23455, 5441, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23459, 5442, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23477, 5446, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23509, 5454, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23510, 5454, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23511, 5454, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23512, 5454, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23513, 5455, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23514, 5455, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23515, 5455, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23516, 5455, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23517, 5455, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23518, 5456, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23519, 5456, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23520, 5456, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23521, 5456, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23522, 5456, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23523, 5457, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23524, 5457, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23525, 5457, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23526, 5457, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23527, 5457, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23528, 5458, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23529, 5458, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23530, 5458, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23531, 5458, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23532, 5459, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23533, 5459, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23534, 5459, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23535, 5459, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23536, 5459, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23537, 5459, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23538, 5460, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23539, 5460, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23540, 5460, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23541, 5460, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23542, 5460, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23543, 5460, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23544, 5461, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23845, 5528, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23545, 5461, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23546, 5461, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23547, 5461, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23548, 5461, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23549, 5462, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23550, 5462, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23551, 5462, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23552, 5462, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23553, 5463, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23554, 5463, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23555, 5463, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23556, 5463, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23557, 5463, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23558, 5464, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23559, 5464, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23560, 5464, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23561, 5464, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23562, 5465, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23563, 5465, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23564, 5466, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23818, 5522, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23565, 5466, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23566, 5466, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23567, 5466, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23569, 5467, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23570, 5467, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23571, 5467, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23572, 5467, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23573, 5467, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23575, 5468, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23577, 5468, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23578, 5468, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23579, 5469, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23580, 5469, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23581, 5469, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23582, 5469, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23583, 5469, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23584, 5469, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23585, 5470, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23586, 5470, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23587, 5470, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23588, 5470, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23589, 5471, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23590, 5471, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23591, 5471, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23592, 5471, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23593, 5472, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23594, 5472, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23595, 5472, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23596, 5472, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23597, 5473, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23598, 5473, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23599, 5473, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23600, 5473, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23601, 5474, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23602, 5474, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23603, 5474, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23604, 5474, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23605, 5475, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23606, 5475, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23607, 5475, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23608, 5475, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23609, 5476, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23610, 5476, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23611, 5476, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23612, 5476, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23613, 5477, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23614, 5477, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23615, 5477, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23616, 5477, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23617, 5478, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23618, 5478, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23619, 5478, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23620, 5478, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23621, 5478, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23622, 5479, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23623, 5479, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23624, 5479, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23574, 5467, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23576, 5468, 'Возможно, любое количество стратегий наследования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31359, 7145, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31360, 7145, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23625, 5479, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23626, 5479, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23627, 5480, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23628, 5480, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23629, 5480, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23630, 5480, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23631, 5480, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23632, 5481, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23633, 5481, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23634, 5481, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23635, 5481, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23636, 5482, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23637, 5482, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23638, 5482, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23639, 5482, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23640, 5482, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23641, 5482, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23642, 5483, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23643, 5483, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23644, 5483, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23645, 5483, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23646, 5483, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23647, 5483, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23648, 5484, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23649, 5484, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23650, 5484, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23651, 5484, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23652, 5484, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23653, 5485, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23654, 5485, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23655, 5485, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23656, 5485, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23657, 5486, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23658, 5486, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23659, 5486, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23660, 5486, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23661, 5486, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23662, 5487, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23663, 5487, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23664, 5487, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23665, 5487, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23666, 5488, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23667, 5488, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32182, 7312, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23668, 5489, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23669, 5489, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23670, 5489, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23671, 5489, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23672, 5489, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23673, 5490, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23674, 5490, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23675, 5490, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23676, 5490, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23677, 5490, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23678, 5490, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23679, 5491, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23680, 5491, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23681, 5491, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23682, 5491, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23683, 5492, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23684, 5492, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23686, 5492, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23687, 5492, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23688, 5492, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23685, 5492, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31361, 7145, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31362, 7145, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31839, 7235, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23693, 5494, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23695, 5494, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23696, 5494, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23697, 5495, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23698, 5495, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23699, 5495, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23701, 5496, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23702, 5496, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23704, 5496, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23705, 5497, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23706, 5497, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23708, 5497, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23710, 5498, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23711, 5498, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23712, 5498, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23714, 5499, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23715, 5499, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23716, 5499, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23717, 5500, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23718, 5500, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23719, 5500, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23721, 5501, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23723, 5501, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23724, 5501, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23727, 5502, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23728, 5502, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23730, 5502, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23731, 5503, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23732, 5503, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23733, 5503, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23735, 5503, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23736, 5504, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23737, 5504, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23738, 5504, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23740, 5505, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23742, 5505, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23743, 5505, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23744, 5505, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23745, 5505, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23746, 5506, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23748, 5506, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23750, 5506, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23694, 5494, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23700, 5495, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23703, 5496, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23707, 5497, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23709, 5498, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23713, 5499, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23720, 5500, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23722, 5501, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23726, 5502, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23729, 5502, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23734, 5503, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23739, 5504, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23741, 5505, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23747, 5506, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23749, 5506, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23875, 5534, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23751, 5506, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23752, 5507, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23753, 5507, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23754, 5507, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23756, 5507, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23757, 5508, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23759, 5508, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23760, 5508, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23763, 5509, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23766, 5510, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23768, 5510, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23769, 5510, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23770, 5511, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23772, 5512, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23773, 5512, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23776, 5512, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23777, 5513, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23778, 5513, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23779, 5513, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23780, 5513, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23781, 5513, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23783, 5514, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23784, 5514, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23785, 5514, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23788, 5515, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23789, 5515, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23790, 5515, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23791, 5515, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23792, 5515, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23793, 5516, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23794, 5516, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23797, 5517, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23798, 5517, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23800, 5517, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23801, 5518, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23802, 5518, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23803, 5518, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23805, 5519, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23806, 5519, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23807, 5519, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23809, 5520, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23810, 5520, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23812, 5520, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23814, 5521, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23815, 5521, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23816, 5521, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23782, 5513, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23786, 5514, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23755, 5507, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23758, 5508, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23762, 5509, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23764, 5509, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23765, 5509, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23761, 5509, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23767, 5510, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23771, 5511, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23787, 5515, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23795, 5516, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23796, 5516, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23799, 5517, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23804, 5518, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23808, 5519, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23811, 5520, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23813, 5521, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23817, 5522, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23819, 5522, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23820, 5522, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23821, 5523, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23822, 5523, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23823, 5523, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23825, 5524, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23827, 5524, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23828, 5524, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23834, 5525, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23835, 5526, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23836, 5526, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23837, 5526, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23839, 5526, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23840, 5527, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23841, 5527, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23842, 5527, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23844, 5528, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23846, 5528, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23847, 5528, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23848, 5528, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23849, 5528, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23852, 5529, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23853, 5529, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23854, 5529, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23855, 5529, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23857, 5530, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23858, 5530, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23859, 5530, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23860, 5530, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23861, 5531, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23863, 5531, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23864, 5531, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23867, 5532, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23870, 5533, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23872, 5533, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23873, 5533, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23874, 5534, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23826, 5524, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23830, 5525, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23832, 5525, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23838, 5526, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23843, 5527, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23850, 5529, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23851, 5529, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23856, 5530, 'Код компилируется без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23862, 5531, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23866, 5532, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23868, 5532, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23869, 5532, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23865, 5532, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23871, 5533, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23876, 5535, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23880, 5535, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23881, 5536, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23882, 5536, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23883, 5536, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23884, 5536, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23885, 5536, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23887, 5537, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23888, 5537, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23889, 5537, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23463, 5443, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23380, 5424, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23407, 5431, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23568, 5466, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23775, 5512, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23774, 5512, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23689, 5493, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23692, 5493, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23725, 5501, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23149, 5374, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23150, 5374, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23083, 5359, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23096, 5362, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23101, 5363, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23143, 5372, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23877, 5535, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23878, 5535, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23879, 5535, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23886, 5536, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23890, 5537, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23824, 5523, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23829, 5524, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23833, 5525, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23831, 5525, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23892, 5538, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23893, 5538, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23894, 5538, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23895, 5538, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23896, 5538, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23898, 5539, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23901, 5540, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23902, 5540, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23904, 5540, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23964, 5553, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23891, 5538, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23897, 5539, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23899, 5539, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23900, 5539, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23903, 5540, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23905, 5541, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23906, 5541, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23907, 5541, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23909, 5542, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23911, 5542, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23912, 5542, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23913, 5543, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23914, 5543, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23915, 5543, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23918, 5544, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23919, 5544, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23920, 5544, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23922, 5545, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23923, 5545, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23924, 5545, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23925, 5546, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23926, 5546, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23928, 5546, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23929, 5547, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23930, 5547, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23932, 5547, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23933, 5547, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23934, 5548, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23935, 5548, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23936, 5548, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23938, 5548, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23939, 5549, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23940, 5549, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23941, 5549, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23943, 5549, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23944, 5550, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23946, 5550, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23947, 5550, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23948, 5551, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23950, 5551, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23951, 5551, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23952, 5551, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23953, 5551, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23954, 5552, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23955, 5552, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23956, 5552, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23957, 5552, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23959, 5552, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23960, 5553, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23961, 5553, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23963, 5553, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23910, 5542, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23916, 5543, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23917, 5544, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23921, 5545, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23931, 5547, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23937, 5548, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23942, 5549, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23945, 5550, 'Первым напечатается "test2"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23949, 5551, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23958, 5552, 'Ничего из перечисленного. Код не скомпилируется.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23962, 5553, 'Код не компилируется из за ошибки на строке B', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25274, 5844, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25275, 5844, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25276, 5844, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23965, 5554, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23967, 5554, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23968, 5554, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23971, 5555, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23974, 5556, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23975, 5556, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23976, 5556, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23978, 5557, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23980, 5558, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23983, 5558, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23984, 5558, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23985, 5559, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23986, 5559, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23987, 5559, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23988, 5559, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23989, 5559, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23991, 5560, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23992, 5560, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23994, 5560, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23996, 5561, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23997, 5561, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23998, 5561, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23999, 5561, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24000, 5561, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24002, 5562, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24004, 5562, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24005, 5563, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24006, 5563, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24008, 5563, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24009, 5564, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24010, 5564, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24011, 5564, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24014, 5565, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24015, 5565, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24016, 5565, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24017, 5566, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24018, 5566, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24019, 5566, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24022, 5567, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24023, 5567, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24024, 5567, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24026, 5568, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24027, 5568, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24028, 5568, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24030, 5569, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24007, 5563, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24012, 5564, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24013, 5565, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24020, 5566, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24021, 5567, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24025, 5568, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24029, 5569, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23982, 5558, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23990, 5559, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23993, 5560, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23966, 5554, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23969, 5555, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23970, 5555, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23972, 5555, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23973, 5555, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23977, 5556, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23979, 5557, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24031, 5569, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24032, 5569, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24160, 5597, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24033, 5570, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24034, 5570, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24036, 5570, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24037, 5570, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24038, 5571, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24039, 5571, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24042, 5571, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24044, 5572, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24045, 5572, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24046, 5572, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24047, 5572, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24048, 5573, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24049, 5573, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24050, 5573, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24052, 5574, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24054, 5574, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24055, 5574, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24056, 5574, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24057, 5574, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24059, 5575, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24060, 5575, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24062, 5575, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24063, 5575, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24065, 5576, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24066, 5576, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24067, 5576, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24068, 5576, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24069, 5577, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24070, 5577, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24071, 5577, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24075, 5578, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24078, 5579, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24079, 5579, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24080, 5579, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24083, 5580, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24085, 5581, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24086, 5581, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24271, 5621, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24040, 5571, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24041, 5571, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24043, 5572, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24051, 5573, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24053, 5574, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24061, 5575, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24058, 5575, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24064, 5576, 'Код компилируется без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24072, 5577, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24074, 5578, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24073, 5578, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24076, 5578, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24077, 5578, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24081, 5579, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24082, 5580, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24087, 5581, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24088, 5581, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24089, 5582, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24090, 5582, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24091, 5582, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24092, 5582, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24093, 5582, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32184, 7312, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24095, 5583, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24096, 5583, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24097, 5583, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24100, 5584, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24101, 5584, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24102, 5584, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24103, 5584, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24104, 5584, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24105, 5585, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24107, 5585, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24108, 5585, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24109, 5586, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24110, 5586, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24112, 5586, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24113, 5587, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24114, 5587, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24115, 5587, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24117, 5588, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24118, 5588, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24119, 5588, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24121, 5589, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24122, 5589, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24123, 5589, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24125, 5590, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24126, 5590, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24127, 5590, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24130, 5591, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24131, 5591, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24132, 5591, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24133, 5592, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24134, 5592, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24135, 5592, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24138, 5593, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24139, 5593, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24140, 5593, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24141, 5593, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24142, 5594, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24144, 5594, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24145, 5594, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24147, 5595, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24098, 5583, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24099, 5584, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24106, 5585, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24111, 5586, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24116, 5587, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24120, 5588, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24124, 5589, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24128, 5590, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24129, 5591, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24137, 5593, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24146, 5594, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24143, 5594, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24148, 5595, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24149, 5595, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24151, 5595, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24152, 5596, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24154, 5596, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24155, 5596, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24156, 5597, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24158, 5597, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24159, 5597, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24161, 5597, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24162, 5598, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24164, 5598, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24165, 5598, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24166, 5598, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24167, 5598, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24168, 5599, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24169, 5599, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24170, 5599, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24172, 5599, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24173, 5600, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24175, 5600, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24176, 5600, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24177, 5601, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24179, 5601, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24181, 5601, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24182, 5602, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24183, 5602, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24184, 5602, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24186, 5603, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24189, 5604, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24190, 5604, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24191, 5604, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24192, 5604, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24193, 5605, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24194, 5605, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24195, 5605, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24197, 5605, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24198, 5605, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24199, 5606, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24200, 5606, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24201, 5606, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24203, 5607, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24204, 5607, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24205, 5607, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24206, 5607, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24207, 5607, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24208, 5607, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24209, 5608, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24210, 5608, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24211, 5608, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24272, 5622, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24196, 5605, 'Перечисления (Enum)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24202, 5606, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24150, 5595, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24153, 5596, 'Первым напечатается "test2"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24157, 5597, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24163, 5598, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24171, 5599, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24174, 5600, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24180, 5601, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24178, 5601, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24185, 5602, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24187, 5603, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25517, 5897, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24212, 5608, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24213, 5609, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24214, 5609, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24215, 5609, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24216, 5609, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24217, 5610, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24218, 5610, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24219, 5610, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24220, 5610, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24221, 5611, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32249, 7330, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24222, 5611, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24223, 5611, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24224, 5611, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24225, 5612, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24226, 5612, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24227, 5612, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24228, 5612, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24229, 5613, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24230, 5613, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24231, 5613, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24232, 5613, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24233, 5614, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24234, 5614, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24235, 5614, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24236, 5614, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24237, 5615, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24238, 5615, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24239, 5615, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24240, 5615, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24241, 5616, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24242, 5616, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24243, 5616, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24244, 5616, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24245, 5616, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24246, 5617, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24247, 5617, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24248, 5617, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24249, 5617, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24250, 5617, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24251, 5618, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24252, 5618, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24253, 5618, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24254, 5618, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24255, 5618, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24256, 5619, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24257, 5619, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24258, 5619, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24259, 5619, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24260, 5620, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24261, 5620, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24262, 5620, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24263, 5620, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24264, 5620, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24265, 5620, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24266, 5621, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24267, 5621, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24268, 5621, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24269, 5621, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24270, 5621, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24456, 5663, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24273, 5622, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24274, 5622, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24275, 5622, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24276, 5622, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24277, 5623, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24278, 5623, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24279, 5623, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24404, 5651, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24405, 5651, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24280, 5623, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24281, 5624, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24282, 5624, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24283, 5624, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24284, 5624, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24285, 5624, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24286, 5625, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24287, 5625, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24288, 5625, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24289, 5625, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24290, 5626, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24291, 5626, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24292, 5627, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24293, 5627, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24294, 5627, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24295, 5627, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24296, 5627, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24297, 5628, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24298, 5628, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24299, 5628, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24300, 5628, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24301, 5628, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24302, 5628, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24303, 5629, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24304, 5629, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24305, 5629, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24306, 5629, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24307, 5630, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24308, 5630, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24309, 5630, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24310, 5630, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24311, 5630, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24312, 5630, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24313, 5631, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24314, 5631, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24315, 5631, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24316, 5631, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24317, 5632, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24318, 5632, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24319, 5632, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24320, 5632, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24321, 5633, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24322, 5633, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24323, 5633, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24324, 5633, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24325, 5634, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24326, 5634, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24327, 5634, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24328, 5634, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24329, 5635, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24330, 5635, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24331, 5635, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24332, 5635, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24333, 5636, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24334, 5636, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24335, 5636, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24336, 5636, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24337, 5637, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24338, 5637, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24339, 5637, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24340, 5637, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24341, 5638, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24342, 5638, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24343, 5638, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24344, 5638, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24406, 5651, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24345, 5639, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24346, 5639, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24347, 5639, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24348, 5639, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24349, 5639, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24350, 5640, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24351, 5640, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24352, 5640, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24353, 5640, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24354, 5640, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24355, 5641, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24356, 5641, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24357, 5641, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24358, 5641, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24359, 5641, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24360, 5642, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24361, 5642, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24362, 5642, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24363, 5642, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24364, 5643, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24365, 5643, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24366, 5643, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24367, 5643, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24368, 5643, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24369, 5643, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24370, 5644, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24371, 5644, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24372, 5644, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24373, 5644, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24374, 5644, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24375, 5644, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24376, 5645, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24377, 5645, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24378, 5645, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24379, 5645, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24380, 5645, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24381, 5646, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24382, 5646, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24383, 5646, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24384, 5646, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24385, 5647, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24386, 5647, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24387, 5647, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24388, 5647, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24389, 5647, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24390, 5648, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24391, 5648, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24392, 5648, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24393, 5648, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24394, 5649, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24395, 5649, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24396, 5650, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24397, 5650, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24398, 5650, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24399, 5650, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24400, 5650, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24401, 5651, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24402, 5651, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24403, 5651, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24407, 5652, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24408, 5652, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24409, 5652, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24410, 5652, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24411, 5653, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24412, 5653, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24414, 5653, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24415, 5653, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24416, 5653, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24419, 5654, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24420, 5654, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24422, 5655, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24423, 5655, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24424, 5655, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24425, 5656, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24426, 5656, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24427, 5656, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24430, 5657, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24431, 5657, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24432, 5657, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24433, 5658, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24434, 5658, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24436, 5658, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24437, 5659, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24438, 5659, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24439, 5659, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24442, 5660, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24443, 5660, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24444, 5660, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24445, 5661, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24446, 5661, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24447, 5661, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24449, 5662, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24451, 5662, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24454, 5663, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24455, 5663, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24413, 5653, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24421, 5655, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24428, 5656, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24429, 5657, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24435, 5658, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24440, 5659, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24441, 5660, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24448, 5661, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24450, 5662, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25585, 5913, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25587, 5913, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25588, 5913, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25589, 5914, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24458, 5663, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24459, 5664, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24460, 5664, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24461, 5664, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24463, 5664, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24464, 5665, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24465, 5665, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24466, 5665, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24468, 5666, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24469, 5666, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24470, 5666, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24471, 5666, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24472, 5666, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24474, 5667, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24476, 5667, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24478, 5667, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24479, 5667, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24480, 5668, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24481, 5668, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24482, 5668, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24484, 5668, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24485, 5669, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24486, 5669, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24487, 5669, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24490, 5670, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24494, 5671, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24496, 5671, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24497, 5671, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24498, 5672, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24500, 5673, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24504, 5673, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24505, 5674, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24506, 5674, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24507, 5674, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24508, 5674, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24509, 5674, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24511, 5675, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24512, 5675, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24513, 5675, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24516, 5676, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24517, 5676, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24518, 5676, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24519, 5676, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24520, 5676, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24510, 5674, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24514, 5675, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24457, 5663, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24462, 5664, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24467, 5665, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24473, 5666, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24475, 5667, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24477, 5667, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24483, 5668, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24488, 5669, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24489, 5670, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24493, 5670, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24492, 5670, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24491, 5670, 'factoryMethod', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24495, 5671, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24499, 5672, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24515, 5676, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24521, 5677, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26000, 6004, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26002, 6005, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26003, 6005, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26004, 6005, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24524, 5677, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24525, 5678, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24526, 5678, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24528, 5678, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24529, 5679, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24530, 5679, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24531, 5679, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24533, 5680, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24535, 5680, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24536, 5680, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24538, 5681, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24539, 5681, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24540, 5681, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24541, 5682, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24543, 5682, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24546, 5683, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24547, 5683, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24548, 5683, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24549, 5684, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24550, 5684, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24551, 5684, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24553, 5685, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24555, 5685, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24556, 5685, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24557, 5685, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24559, 5686, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24560, 5686, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24561, 5686, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24563, 5687, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24564, 5687, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24565, 5687, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24567, 5687, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24568, 5688, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24569, 5688, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24570, 5688, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24572, 5689, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24573, 5689, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24574, 5689, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24575, 5689, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24576, 5689, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24578, 5690, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24580, 5690, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24527, 5678, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24532, 5679, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24534, 5680, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24537, 5681, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24542, 5682, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24545, 5683, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24552, 5684, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24554, 5685, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24558, 5686, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24562, 5686, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24566, 5687, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24571, 5688, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24577, 5689, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24579, 5690, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26110, 6029, 'list', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26111, 6029, 'bytes', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26112, 6029, 'map', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26113, 6029, 'frozenset', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26114, 6030, '0 // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24582, 5690, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24583, 5690, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24584, 5691, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24585, 5691, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24586, 5691, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24588, 5691, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24589, 5692, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24590, 5692, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24591, 5692, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24595, 5693, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24598, 5694, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24600, 5694, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24717, 5720, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24601, 5694, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24602, 5695, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24605, 5696, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24606, 5696, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24608, 5696, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24609, 5697, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24610, 5697, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24611, 5697, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24612, 5697, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24614, 5697, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24615, 5698, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24616, 5698, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24618, 5698, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24501, 5673, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24502, 5673, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24503, 5673, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24417, 5654, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24418, 5654, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24452, 5662, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24453, 5662, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24604, 5696, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24607, 5696, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24613, 5697, 'Любой POJO класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24617, 5698, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24523, 5677, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24522, 5677, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24581, 5690, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24587, 5691, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24592, 5692, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24593, 5693, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24597, 5693, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24596, 5693, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24594, 5693, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24599, 5694, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24603, 5695, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24620, 5699, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24621, 5699, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24622, 5699, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24623, 5699, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24624, 5699, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24627, 5700, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24628, 5700, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24630, 5701, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24631, 5701, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24629, 5701, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24632, 5701, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24633, 5702, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24634, 5702, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24635, 5702, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24637, 5703, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24638, 5703, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24640, 5703, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24641, 5704, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24642, 5704, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24644, 5704, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24646, 5705, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24647, 5705, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24648, 5705, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24650, 5706, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24651, 5706, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24652, 5706, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24653, 5707, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24654, 5707, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24655, 5707, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24657, 5708, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24659, 5708, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24660, 5708, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24663, 5709, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24664, 5709, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24667, 5710, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24668, 5710, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24669, 5710, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24671, 5710, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24672, 5711, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24673, 5711, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24674, 5711, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24676, 5712, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24677, 5712, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24678, 5712, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24679, 5712, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24680, 5712, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24682, 5713, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24683, 5713, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24684, 5713, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24685, 5713, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24687, 5713, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24688, 5714, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24689, 5714, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24690, 5714, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24636, 5702, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24639, 5703, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24643, 5704, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24645, 5705, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24649, 5706, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24658, 5708, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24662, 5709, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24666, 5709, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24670, 5710, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24675, 5711, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24681, 5712, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24686, 5713, 'Ничего из перечисленного. Код не скомпилируется.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24853, 5751, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24854, 5751, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24855, 5751, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24858, 5752, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24976, 5778, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24856, 5751, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24857, 5752, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24692, 5714, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24693, 5715, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24695, 5715, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24696, 5715, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24699, 5716, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24702, 5717, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24704, 5717, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24705, 5717, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24706, 5718, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24708, 5719, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24710, 5719, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24711, 5719, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24712, 5719, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24713, 5720, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24714, 5720, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24715, 5720, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24716, 5720, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24719, 5721, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24720, 5721, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24722, 5721, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24723, 5722, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24724, 5722, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24726, 5722, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24727, 5722, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24728, 5722, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24729, 5723, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24730, 5723, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24731, 5723, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24733, 5724, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24735, 5724, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24736, 5724, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24737, 5725, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24738, 5725, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24739, 5725, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24741, 5726, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24743, 5726, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24744, 5726, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24745, 5727, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24746, 5727, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24747, 5727, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24749, 5728, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24750, 5728, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24751, 5728, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24754, 5729, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24755, 5729, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24756, 5729, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24725, 5722, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24734, 5724, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24740, 5725, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24742, 5726, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24748, 5727, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24752, 5728, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24753, 5729, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24709, 5719, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24718, 5720, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24721, 5721, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24691, 5714, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24694, 5715, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24701, 5716, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24697, 5716, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24698, 5716, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24700, 5716, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24703, 5717, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24707, 5718, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24757, 5730, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24758, 5730, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24760, 5730, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24761, 5731, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24762, 5731, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24763, 5731, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24764, 5731, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24766, 5732, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24767, 5732, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24770, 5732, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24772, 5733, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24773, 5733, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24774, 5733, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24775, 5733, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24777, 5734, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24778, 5734, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24779, 5734, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24780, 5735, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24781, 5735, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24782, 5735, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24783, 5735, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24785, 5735, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24786, 5736, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24787, 5736, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24788, 5736, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24789, 5736, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24791, 5736, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24792, 5737, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24793, 5737, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24794, 5737, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24795, 5737, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24797, 5738, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24798, 5738, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24800, 5738, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24802, 5739, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24803, 5739, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24804, 5739, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24806, 5740, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24808, 5740, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24809, 5740, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24810, 5741, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24765, 5731, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24768, 5732, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24769, 5732, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24771, 5733, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24776, 5734, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24784, 5735, 'Код скомпилируется, но выкинет исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24790, 5736, 'Ничего из перечисленного. Код не скомпилируется.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24796, 5737, 'Код компилируется, но кидает исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24799, 5738, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24805, 5739, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24801, 5739, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24807, 5740, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24811, 5741, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24849, 5750, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24850, 5750, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24851, 5750, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24814, 5742, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24815, 5742, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24816, 5742, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24817, 5743, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24818, 5743, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24819, 5743, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24820, 5743, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24821, 5743, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24823, 5744, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24825, 5744, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24826, 5744, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24812, 5742, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24813, 5742, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24822, 5743, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24824, 5744, 'Возможно, любое количество стратегий наследования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24732, 5723, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24759, 5730, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24084, 5581, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24094, 5582, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23995, 5561, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24001, 5562, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24003, 5562, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24035, 5570, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23981, 5558, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23908, 5541, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (23927, 5546, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24619, 5699, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24625, 5700, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24626, 5700, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24656, 5707, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24661, 5708, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24665, 5709, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24188, 5604, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24136, 5592, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24827, 5745, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24828, 5745, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24830, 5745, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24831, 5745, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24832, 5745, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24833, 5746, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24834, 5746, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24835, 5746, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24838, 5747, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24839, 5747, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24840, 5747, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24841, 5748, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24842, 5748, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24843, 5748, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24845, 5749, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24846, 5749, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24847, 5749, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24829, 5745, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24836, 5746, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24837, 5747, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24844, 5748, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24859, 5752, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24860, 5752, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24861, 5753, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24862, 5753, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24863, 5753, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24865, 5754, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24866, 5754, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24868, 5754, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24869, 5754, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24872, 5755, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24873, 5755, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24874, 5755, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24875, 5756, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24876, 5756, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24877, 5756, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24878, 5756, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24881, 5757, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24882, 5757, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24883, 5757, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24884, 5758, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24885, 5758, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24886, 5758, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24887, 5758, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24888, 5758, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24890, 5759, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24891, 5759, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24892, 5759, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24894, 5759, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24895, 5759, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24896, 5760, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24897, 5760, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24898, 5760, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24900, 5760, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24901, 5761, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24903, 5761, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24904, 5761, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24905, 5762, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24907, 5762, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24909, 5762, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24910, 5763, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24911, 5763, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24912, 5763, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24914, 5764, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24867, 5754, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24871, 5755, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24879, 5756, 'Второе выражение безопасно для NullPointerException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24880, 5757, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24889, 5758, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24893, 5759, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24899, 5760, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24902, 5761, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24908, 5762, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24906, 5762, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24913, 5763, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24917, 5765, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24918, 5765, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24919, 5765, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24920, 5765, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24921, 5766, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24922, 5766, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24924, 5766, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24925, 5766, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24926, 5766, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24927, 5767, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24928, 5767, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24930, 5767, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24931, 5768, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24932, 5768, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24934, 5768, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24935, 5768, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24936, 5768, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24938, 5769, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24939, 5769, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24941, 5770, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24943, 5770, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24944, 5770, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24945, 5771, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24947, 5771, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24948, 5771, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24949, 5772, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24950, 5772, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24952, 5772, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24953, 5773, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24954, 5773, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24956, 5773, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24958, 5774, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24959, 5774, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24960, 5774, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24962, 5775, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24963, 5775, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24964, 5775, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24966, 5776, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24967, 5776, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24968, 5776, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24969, 5777, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24971, 5777, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24972, 5777, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24974, 5778, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24923, 5766, 'Класс String', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24929, 5767, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24933, 5768, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24937, 5769, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24942, 5770, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24946, 5771, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24951, 5772, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24955, 5773, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24957, 5774, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24961, 5775, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24965, 5776, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24970, 5777, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24975, 5778, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26115, 6030, 'True // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26116, 6030, 'False // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26117, 6030, '1 // False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26118, 6031, 'Список (list)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26119, 6031, 'Множество (set)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26120, 6031, 'Кортеж (tuple)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26121, 6031, 'Словарь (dict)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26122, 6032, 'st', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24977, 5778, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24978, 5778, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24979, 5779, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24980, 5779, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24981, 5779, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24983, 5779, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24984, 5780, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24985, 5780, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24986, 5780, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24988, 5781, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24989, 5781, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24990, 5781, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24991, 5781, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24992, 5781, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24994, 5782, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24996, 5782, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24997, 5782, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24998, 5782, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24999, 5782, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25000, 5783, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25002, 5783, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25003, 5783, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25004, 5783, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25005, 5784, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25007, 5784, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25008, 5784, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25011, 5785, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25014, 5786, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25016, 5786, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25017, 5786, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25019, 5787, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25020, 5788, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25022, 5788, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25023, 5788, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25024, 5788, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25025, 5789, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25026, 5789, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25027, 5789, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25028, 5789, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25029, 5789, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25031, 5790, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25032, 5790, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25033, 5790, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24916, 5765, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24848, 5749, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24852, 5750, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25021, 5788, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25030, 5789, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24864, 5753, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25034, 5790, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24987, 5780, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24993, 5781, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24995, 5782, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25001, 5783, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25009, 5785, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25012, 5785, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25013, 5785, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25010, 5785, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25015, 5786, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25018, 5787, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25092, 5804, 'Код выведет: true false', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24870, 5755, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24940, 5769, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25036, 5791, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25037, 5791, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25038, 5791, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25039, 5791, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25040, 5791, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25042, 5792, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25045, 5793, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25047, 5793, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25048, 5793, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25049, 5794, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25050, 5794, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25052, 5794, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25053, 5795, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25054, 5795, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25055, 5795, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25057, 5796, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25059, 5796, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25060, 5796, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25061, 5797, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25063, 5797, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25064, 5797, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25066, 5798, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25067, 5798, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25068, 5798, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25069, 5799, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25070, 5799, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25072, 5799, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25073, 5800, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25074, 5800, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25076, 5800, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25077, 5800, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25084, 5802, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25085, 5802, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25086, 5802, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25087, 5802, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25089, 5803, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25090, 5803, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25091, 5803, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25046, 5793, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25051, 5794, 'Пользователь неверно ввел свой пароль', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25056, 5795, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25058, 5796, 'Класса-потомка, внешнего класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25062, 5797, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25065, 5798, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25071, 5799, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25075, 5800, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25078, 5801, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25079, 5801, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25080, 5801, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25083, 5802, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25088, 5803, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25094, 5804, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25095, 5804, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25096, 5804, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25097, 5804, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25098, 5805, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25100, 5805, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25101, 5805, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25102, 5805, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25103, 5805, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25105, 5806, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25106, 5806, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25107, 5806, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25108, 5806, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25109, 5807, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25110, 5807, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25112, 5807, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25113, 5808, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25115, 5808, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25117, 5808, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25118, 5809, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25119, 5809, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25120, 5809, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25123, 5810, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25124, 5811, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25126, 5811, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25127, 5811, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25128, 5811, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25129, 5812, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25130, 5812, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25131, 5812, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25133, 5812, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25134, 5812, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25135, 5813, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25136, 5813, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25137, 5813, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24915, 5764, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24973, 5777, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (24982, 5779, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25006, 5784, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25125, 5811, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25132, 5812, 'Перечисления (Enum)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25138, 5813, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25035, 5791, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25043, 5792, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25044, 5792, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25041, 5792, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25081, 5801, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25082, 5801, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25099, 5805, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25104, 5806, 'Код компилируется без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25111, 5807, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25116, 5808, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25114, 5808, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25121, 5809, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25122, 5810, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25139, 5814, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25140, 5814, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25142, 5814, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25143, 5814, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25144, 5814, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25145, 5815, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25146, 5815, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25150, 5816, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25151, 5816, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25152, 5816, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25153, 5817, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25154, 5817, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25156, 5817, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25158, 5818, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25159, 5818, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25160, 5818, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25162, 5819, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25163, 5819, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25164, 5819, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25165, 5820, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25166, 5820, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25168, 5820, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25169, 5821, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25170, 5821, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25171, 5821, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25173, 5822, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25174, 5822, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25176, 5822, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25177, 5823, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25178, 5823, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25179, 5823, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25182, 5824, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25183, 5824, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25187, 5825, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25188, 5825, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25189, 5825, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25190, 5825, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25193, 5826, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25194, 5826, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25195, 5826, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25196, 5827, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25197, 5827, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25199, 5827, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25200, 5827, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25201, 5827, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25203, 5828, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25205, 5828, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25270, 5843, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25206, 5828, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25149, 5816, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25155, 5817, 'Пользователь неверно ввел свой пароль', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25157, 5818, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25161, 5819, 'Абстрактного класса, конкретного класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25167, 5820, 'final', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25172, 5821, 'String может быть создан без вызова конструктора', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25175, 5822, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25180, 5823, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25185, 5824, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25184, 5824, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25186, 5824, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25191, 5825, 'Второе выражение безопасно для NullPointerException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25192, 5826, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25198, 5827, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25202, 5828, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25204, 5828, 'optional.ifPresent(System.out.println)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25207, 5828, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25208, 5829, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25209, 5829, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25210, 5829, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25211, 5829, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25213, 5830, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25214, 5830, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25216, 5830, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25217, 5831, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25219, 5831, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25220, 5831, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25221, 5831, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25222, 5832, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25224, 5832, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25225, 5832, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25226, 5833, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25228, 5834, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25229, 5834, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25232, 5834, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25233, 5835, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25234, 5835, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25235, 5835, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25236, 5835, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25237, 5835, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25239, 5836, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25240, 5836, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25242, 5836, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25244, 5837, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25245, 5837, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25246, 5837, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25247, 5837, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25248, 5837, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25249, 5838, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25251, 5838, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25252, 5838, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25253, 5839, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25254, 5839, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25256, 5839, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25257, 5840, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25258, 5840, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25259, 5840, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25262, 5841, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25263, 5841, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25264, 5841, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25265, 5842, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25266, 5842, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25267, 5842, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25269, 5843, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25238, 5835, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25241, 5836, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25212, 5829, 'Код компилируется, но кидает исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25215, 5830, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25218, 5831, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25223, 5832, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25227, 5833, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25243, 5837, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25250, 5838, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25255, 5839, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25260, 5840, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25261, 5841, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25268, 5842, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25272, 5843, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25273, 5844, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25277, 5845, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25278, 5845, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25280, 5845, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25281, 5846, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25282, 5846, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25284, 5846, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25285, 5846, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25286, 5847, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25289, 5847, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25290, 5847, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25291, 5848, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25292, 5848, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25293, 5848, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25295, 5848, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25297, 5849, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25298, 5849, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25299, 5849, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25300, 5850, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25302, 5850, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25303, 5850, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25304, 5850, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25305, 5850, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25306, 5851, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25308, 5851, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25309, 5851, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25310, 5851, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25311, 5851, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25312, 5852, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25314, 5852, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25315, 5852, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25316, 5852, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25317, 5853, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25319, 5853, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25320, 5853, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25323, 5854, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25326, 5855, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25328, 5855, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25329, 5855, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25331, 5856, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25332, 5857, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25810, 5962, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25392, 5870, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25283, 5846, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25287, 5847, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25288, 5847, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25294, 5848, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25296, 5849, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25301, 5850, 'Код выведет: true true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25313, 5852, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25307, 5851, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25318, 5853, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25325, 5854, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25324, 5854, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25321, 5854, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25327, 5855, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25330, 5856, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25334, 5857, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25336, 5857, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25337, 5858, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25338, 5858, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25339, 5858, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25340, 5858, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25341, 5858, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25343, 5859, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25344, 5859, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25346, 5859, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25347, 5860, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25348, 5860, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25350, 5860, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25351, 5860, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25352, 5860, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25355, 5861, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25357, 5862, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25359, 5862, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25360, 5862, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25361, 5863, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25362, 5863, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25363, 5863, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25365, 5864, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25367, 5864, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25368, 5864, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25369, 5865, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25370, 5865, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25372, 5865, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25373, 5866, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25374, 5866, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25375, 5866, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25378, 5867, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25379, 5867, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25380, 5867, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25381, 5868, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25382, 5868, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25383, 5868, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25385, 5869, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25387, 5869, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25388, 5869, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25391, 5870, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25349, 5860, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25358, 5862, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25364, 5863, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25366, 5864, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25371, 5865, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25376, 5866, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25377, 5867, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25384, 5868, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25386, 5869, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25389, 5869, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32250, 7330, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25390, 5870, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25335, 5857, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25333, 5857, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25342, 5858, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25345, 5859, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26123, 6032, 'sto', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26124, 6032, 'to', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26125, 6032, 'Syntax Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26126, 6033, 'Syntax Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26127, 6033, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26128, 6033, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26129, 6033, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26130, 6033, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26131, 6034, 'pip setup flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25393, 5870, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25394, 5870, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25395, 5871, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25396, 5871, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25397, 5871, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25399, 5871, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25400, 5872, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25401, 5872, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25402, 5872, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25404, 5873, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25405, 5873, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25406, 5873, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25407, 5873, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25408, 5873, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25410, 5874, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25411, 5874, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25412, 5874, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25413, 5874, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25415, 5874, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25416, 5875, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25417, 5875, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25418, 5875, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25420, 5875, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25421, 5876, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25423, 5876, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25424, 5876, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25426, 5877, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25427, 5877, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25428, 5877, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25430, 5878, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25431, 5878, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25432, 5878, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25435, 5879, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25436, 5880, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25438, 5880, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25439, 5880, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25440, 5880, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25441, 5881, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25442, 5881, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25443, 5881, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25444, 5881, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25445, 5881, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25447, 5882, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25448, 5882, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25449, 5882, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25451, 5883, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25452, 5883, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25454, 5883, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25455, 5883, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25456, 5883, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25453, 5883, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25437, 5880, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25446, 5881, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25450, 5882, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25398, 5871, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25403, 5872, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25409, 5873, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25414, 5874, 'Ничего из перечисленного. Код не скомпилируется.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25419, 5875, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25422, 5876, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25429, 5877, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25425, 5877, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25433, 5878, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25434, 5879, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26132, 6034, 'pip i flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26133, 6034, 'pip freeze flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25459, 5884, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25461, 5885, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25463, 5885, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25464, 5885, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25465, 5886, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25466, 5886, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25467, 5886, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25470, 5887, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25471, 5887, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25472, 5887, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25473, 5888, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25474, 5888, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25476, 5888, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25477, 5889, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25478, 5889, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25479, 5889, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25482, 5890, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25483, 5890, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25484, 5890, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25485, 5891, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25486, 5891, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25487, 5891, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25489, 5892, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25491, 5892, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25492, 5892, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25493, 5892, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25494, 5893, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25495, 5893, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25496, 5893, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25498, 5893, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25499, 5894, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25500, 5894, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25501, 5894, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25503, 5894, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25504, 5895, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25505, 5895, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25506, 5895, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25508, 5896, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25509, 5896, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25510, 5896, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25511, 5896, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25512, 5896, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25514, 5897, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25516, 5897, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25462, 5885, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25468, 5886, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25469, 5887, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25475, 5888, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25480, 5889, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25481, 5890, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25562, 5907, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25488, 5891, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25490, 5892, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25497, 5893, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25502, 5894, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25507, 5895, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25513, 5896, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25515, 5897, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31562, 7183, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31563, 7183, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31564, 7183, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25518, 5897, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25519, 5897, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25520, 5898, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25521, 5898, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25522, 5898, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25524, 5898, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25525, 5899, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25526, 5899, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25527, 5899, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25530, 5900, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25531, 5900, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25534, 5901, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25536, 5901, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25537, 5901, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25538, 5902, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25540, 5903, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25541, 5903, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25544, 5903, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25545, 5904, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25546, 5904, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25547, 5904, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25548, 5904, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25550, 5904, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25551, 5905, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25552, 5905, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25553, 5905, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25555, 5906, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25556, 5906, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25558, 5906, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25559, 5906, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25560, 5906, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25565, 5908, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25567, 5908, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25568, 5908, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25569, 5909, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25570, 5909, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25571, 5909, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25574, 5910, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25575, 5910, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25576, 5910, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25577, 5911, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25578, 5911, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25579, 5911, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25581, 5912, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25582, 5912, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25583, 5912, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25549, 5904, 'Любой POJO класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25554, 5905, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25523, 5898, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25528, 5899, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25529, 5900, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25533, 5900, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25532, 5900, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25535, 5901, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25539, 5902, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25557, 5906, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25561, 5907, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25566, 5908, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25572, 5909, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25573, 5910, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25580, 5911, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25590, 5914, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25591, 5914, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25593, 5915, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25595, 5915, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25596, 5915, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25597, 5915, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25599, 5916, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25600, 5916, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25601, 5916, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25602, 5916, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25603, 5917, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25604, 5917, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25605, 5917, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25606, 5917, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25608, 5918, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25609, 5918, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25610, 5918, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25612, 5919, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25613, 5919, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25614, 5919, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25615, 5919, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25616, 5919, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25618, 5920, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25619, 5920, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25620, 5920, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25622, 5920, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25623, 5920, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25624, 5921, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25625, 5921, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25626, 5921, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25628, 5921, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25629, 5922, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25630, 5922, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25631, 5922, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25633, 5923, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25634, 5923, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25635, 5923, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25636, 5923, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25638, 5924, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25639, 5924, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25640, 5924, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25643, 5925, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25644, 5926, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25645, 5926, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25592, 5914, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25598, 5916, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25607, 5917, 'Второе выражение безопасно для NullPointerException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25611, 5918, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25617, 5919, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25621, 5920, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25627, 5921, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25632, 5922, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25637, 5923, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25641, 5924, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25811, 5963, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25812, 5963, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31840, 7235, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25648, 5926, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25649, 5927, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25650, 5927, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25651, 5927, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25652, 5927, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25653, 5927, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25655, 5928, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25656, 5928, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25657, 5928, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25543, 5903, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25542, 5903, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25457, 5884, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25458, 5884, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25460, 5884, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25647, 5926, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25646, 5926, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25654, 5927, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25658, 5928, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25563, 5907, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25564, 5907, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25584, 5912, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25586, 5913, 'String не изменяем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25594, 5915, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25659, 5929, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25660, 5929, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25661, 5929, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25662, 5929, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25663, 5929, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25664, 5929, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25665, 5930, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25666, 5930, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25667, 5930, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25668, 5930, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25669, 5931, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25670, 5931, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25671, 5931, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25672, 5931, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25673, 5932, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25674, 5932, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25675, 5932, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25676, 5932, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25677, 5933, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25678, 5933, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25679, 5933, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25680, 5933, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25681, 5934, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25682, 5934, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25683, 5934, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25684, 5934, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25685, 5935, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25686, 5935, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25687, 5935, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25688, 5935, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25689, 5936, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25690, 5936, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25691, 5936, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25692, 5936, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25693, 5937, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25924, 5988, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25925, 5988, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25926, 5988, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25927, 5988, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32256, 7332, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25928, 5988, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25930, 5989, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25694, 5937, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25695, 5937, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25696, 5937, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25697, 5938, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25698, 5938, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25699, 5938, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25700, 5938, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25701, 5938, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25702, 5939, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25703, 5939, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25704, 5939, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25705, 5939, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25706, 5939, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25707, 5940, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25708, 5940, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25709, 5940, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25710, 5940, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25711, 5940, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25712, 5941, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25713, 5941, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25714, 5941, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25715, 5941, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25716, 5942, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25717, 5942, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25718, 5942, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25719, 5942, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25720, 5942, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25721, 5942, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25722, 5943, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25723, 5943, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25724, 5943, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25725, 5943, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25726, 5943, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25727, 5943, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25728, 5944, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25729, 5944, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25730, 5944, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25731, 5944, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25732, 5944, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25733, 5945, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25734, 5945, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25735, 5945, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25736, 5945, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25737, 5946, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25738, 5946, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25739, 5946, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25740, 5946, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25741, 5946, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25742, 5947, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25743, 5947, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25744, 5947, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25745, 5947, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25746, 5948, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25747, 5948, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25748, 5949, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26366, 6089, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25749, 5949, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25750, 5949, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25751, 5949, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25752, 5949, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25753, 5950, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25754, 5950, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25755, 5950, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25756, 5950, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25757, 5950, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25758, 5950, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25759, 5951, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25760, 5951, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25761, 5951, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25762, 5951, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25763, 5952, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25764, 5952, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25765, 5952, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25766, 5952, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25767, 5952, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25768, 5952, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25769, 5953, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25770, 5953, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25771, 5953, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25772, 5953, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25773, 5954, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25774, 5954, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25775, 5954, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25776, 5954, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25777, 5955, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25778, 5955, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25779, 5955, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25780, 5955, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25781, 5956, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25782, 5956, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25783, 5956, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25784, 5956, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25785, 5957, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25786, 5957, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25787, 5957, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25788, 5957, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25789, 5958, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25790, 5958, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25791, 5958, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25792, 5958, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25793, 5959, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25794, 5959, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25795, 5959, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25796, 5959, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25797, 5960, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25798, 5960, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25799, 5960, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25800, 5960, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25801, 5961, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25802, 5961, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25803, 5961, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25804, 5961, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25805, 5961, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25806, 5962, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25807, 5962, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25808, 5962, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32257, 7332, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25809, 5962, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25813, 5963, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25814, 5963, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25815, 5963, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25816, 5964, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25817, 5964, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25818, 5964, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25819, 5964, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25820, 5965, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25821, 5965, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25822, 5965, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25823, 5965, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25824, 5965, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25825, 5965, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25826, 5966, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25827, 5966, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25828, 5966, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25829, 5966, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25830, 5966, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25831, 5966, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25832, 5967, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25833, 5967, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25834, 5967, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25835, 5967, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25836, 5967, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25837, 5968, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25838, 5968, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25839, 5968, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25840, 5968, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25841, 5969, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25842, 5969, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25843, 5969, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25844, 5969, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25845, 5969, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25846, 5970, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25847, 5970, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25848, 5970, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25849, 5970, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25850, 5971, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25851, 5971, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25852, 5972, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25853, 5972, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25854, 5972, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25855, 5972, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25856, 5972, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25857, 5973, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25858, 5973, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25859, 5973, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25860, 5973, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25861, 5973, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25862, 5973, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25863, 5974, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25864, 5974, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25865, 5974, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25866, 5974, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25354, 5861, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25356, 5861, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25353, 5861, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25230, 5834, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25231, 5834, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25141, 5814, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25147, 5815, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25932, 5989, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25148, 5815, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25181, 5823, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25868, 5975, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25869, 5975, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25870, 5975, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25871, 5975, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25872, 5975, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25873, 5976, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25874, 5976, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25875, 5976, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25877, 5977, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25878, 5977, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25880, 5977, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25881, 5978, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25882, 5978, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25883, 5978, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25885, 5979, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25886, 5979, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25888, 5979, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25889, 5980, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25890, 5980, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25892, 5980, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25894, 5981, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25895, 5981, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25896, 5981, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25898, 5982, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25899, 5982, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25900, 5982, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25901, 5983, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25902, 5983, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25903, 5983, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25905, 5984, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25907, 5984, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25908, 5984, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25911, 5985, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25912, 5985, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25914, 5985, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25915, 5986, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25916, 5986, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25917, 5986, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25919, 5986, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25921, 5987, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25922, 5987, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25923, 5987, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25879, 5977, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25884, 5978, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25887, 5979, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25891, 5980, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25893, 5981, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25897, 5982, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25904, 5983, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25906, 5984, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25913, 5985, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25910, 5985, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25918, 5986, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25920, 5987, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25934, 5989, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25935, 5989, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25936, 5990, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25937, 5990, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25938, 5990, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25940, 5990, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25941, 5991, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25943, 5991, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25944, 5991, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25947, 5992, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25950, 5993, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25952, 5993, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25953, 5993, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25954, 5994, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25957, 5995, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25958, 5995, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25960, 5995, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25962, 5996, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25963, 5996, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25964, 5996, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25965, 5996, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25966, 5996, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25967, 5997, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25968, 5997, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25970, 5997, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25972, 5998, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25973, 5998, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25974, 5998, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25975, 5998, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25976, 5998, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25978, 5999, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25979, 5999, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25981, 6000, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25982, 6000, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25984, 6000, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25985, 6001, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25986, 6001, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25987, 6001, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25989, 6002, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25990, 6002, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25991, 6002, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25993, 6003, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25994, 6003, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25995, 6003, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25998, 6004, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25999, 6004, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25961, 5996, 'Примитивные классы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25969, 5997, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25939, 5990, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25942, 5991, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25949, 5992, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25948, 5992, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25946, 5992, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25945, 5992, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25951, 5993, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25955, 5994, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25971, 5998, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25977, 5999, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25983, 6000, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25988, 6001, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25992, 6002, 'заменяет, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25996, 6003, 'Класса-потомка, класса предка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25997, 6004, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26005, 6006, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26006, 6006, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26008, 6006, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26009, 6007, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26367, 6090, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26011, 6007, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26012, 6007, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26015, 6008, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26018, 6008, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26019, 6009, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26020, 6009, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26021, 6009, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26023, 6009, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26024, 6010, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26025, 6010, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26026, 6010, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26029, 6011, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26030, 6011, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26031, 6011, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26032, 6011, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26033, 6011, 'Код зависнет и будет ждать вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26035, 6012, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26036, 6012, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26038, 6012, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26039, 6012, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26040, 6013, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26041, 6013, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26042, 6013, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26044, 6013, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26045, 6014, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26047, 6014, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26048, 6014, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26050, 6015, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26051, 6015, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26054, 6016, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26056, 6016, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26057, 6016, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26058, 6017, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26060, 6018, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26010, 6007, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26013, 6007, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26016, 6008, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26017, 6008, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26022, 6009, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26027, 6010, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26028, 6011, 'Код выведет: true false', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26034, 6012, 'if (optional.isPresent()) System.out.println(optional.get());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26037, 6012, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26043, 6013, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26046, 6014, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26049, 6015, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26053, 6015, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26052, 6015, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26055, 6016, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26059, 6017, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26134, 6034, 'pip install flask', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26135, 6035, 'form = request.form', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26136, 6035, 'form = response.form()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26137, 6035, 'form = getattr(request, ''post_body'')', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26138, 6035, 'form = response.args', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26139, 6036, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26062, 6018, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26064, 6018, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26065, 6019, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26066, 6019, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26067, 6019, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26068, 6019, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26069, 6019, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26071, 6020, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26072, 6020, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26073, 6020, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25956, 5995, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25959, 5995, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25867, 5975, 'ab 20.0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25876, 5976, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25909, 5984, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25929, 5988, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25279, 5845, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25933, 5989, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25931, 5989, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25322, 5854, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26061, 6018, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26063, 6018, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26070, 6019, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26074, 6020, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (25980, 5999, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26001, 6005, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26007, 6006, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26014, 6008, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26075, 6021, 'Тrun python file.py', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26076, 6021, 'python exec file.py', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26077, 6021, 'python file.py exec', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26079, 6022, '1, 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26080, 6022, 'Ошибку, так как i не присвоена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26082, 6022, 'Ошибку из-за неверного вывода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26083, 6022, '0, 2, 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26084, 6023, 'Django ORM', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26085, 6023, 'GORM', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26086, 6023, 'SQLALchemy', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26087, 6023, 'ODB', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26088, 6024, 'list_object.delete(index)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26089, 6024, 'list_object.remove(index)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26090, 6024, 'delete list_object[index]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26091, 6024, 'list_object[index] = None', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26092, 6025, 'list(filter(None, list_object))', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26093, 6025, 'for element in a:
if not element:
delete element', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26094, 6025, 'list_object.remove(None)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26095, 6025, 'list_object = [element for element in list_object if not element]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26096, 6026, 'Глобальная и локальная переменная создаются один раз.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26097, 6026, 'Глобальная переменная неизменяема.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26098, 6026, 'Локальную переменную нельзя сделать глобальной.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26099, 6026, 'Глобальная переменная изменяемая.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26100, 6027, 'Свод правил ООП для разработки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26101, 6027, 'Свод паттерном проектирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26102, 6027, 'Рекомендации по стилю кода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26103, 6027, 'Рекомендации по оптимизации кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26104, 6028, 'Для исправления ошибок в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26105, 6028, 'Для оптимизации в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26106, 6028, 'Для создания ошибок в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26107, 6028, 'Для обработки ошибок в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26108, 6029, 'set', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26109, 6029, 'array', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26078, 6021, 'python file.py', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26081, 6022, '1, 3, 5', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26140, 6036, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26141, 6036, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26142, 6036, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26143, 6037, 'Предполагается что все методы в них абстрактные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26144, 6037, 'И те и другие могут содержать статические методы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26145, 6037, 'И те и другие наследуют java.lang.Object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26146, 6037, 'И те и другие могут содержать public static final переменные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26147, 6037, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26148, 6038, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32258, 7332, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26149, 6038, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26150, 6038, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26151, 6038, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26152, 6039, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26153, 6039, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26154, 6039, '195 20.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26155, 6039, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26156, 6039, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26157, 6039, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26158, 6040, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26159, 6040, 'Строка 2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26160, 6040, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26161, 6040, 'Строка 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26162, 6040, 'Строка 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26163, 6041, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26164, 6041, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26165, 6041, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26166, 6041, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26167, 6042, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26168, 6042, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26169, 6042, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26170, 6042, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26171, 6043, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26172, 6043, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26173, 6043, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26174, 6043, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26175, 6043, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26176, 6044, 'public void main (String[] args)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26177, 6044, 'static public void main (String[] array)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26178, 6044, 'public static void main (String args[])', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26179, 6044, 'static public main (String args[])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26180, 6045, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26181, 6045, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26182, 6045, 'Оба класса Student и Course определены в пакете com.examplejava', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26183, 6045, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26184, 6046, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26185, 6046, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26186, 6046, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26187, 6046, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26188, 6047, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26189, 6047, 'try, catch, finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26190, 6047, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26191, 6047, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26192, 6048, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26193, 6048, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26194, 6048, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26195, 6048, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26196, 6049, 'throws, throw', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26197, 6049, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26198, 6049, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26199, 6049, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26200, 6050, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26201, 6050, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26202, 6050, 'Некоторые исключения можно избежать программно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26203, 6050, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26204, 6051, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26205, 6051, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26206, 6051, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26207, 6051, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26208, 6052, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26209, 6052, 'Первый совпадающий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26210, 6052, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26211, 6052, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26212, 6053, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26213, 6053, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26214, 6053, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26215, 6053, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26216, 6054, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26217, 6054, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26218, 6054, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26219, 6054, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26220, 6055, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26221, 6055, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26222, 6055, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26223, 6055, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26224, 6056, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26225, 6056, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26226, 6056, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26227, 6056, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26228, 6057, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26229, 6057, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26230, 6057, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26231, 6057, 'Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26232, 6058, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26233, 6058, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26234, 6058, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26235, 6058, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26236, 6059, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26237, 6059, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26238, 6059, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26239, 6059, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26240, 6059, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26241, 6059, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26242, 6060, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26243, 6060, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26244, 6060, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26245, 6060, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26246, 6061, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26247, 6061, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26248, 6061, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26249, 6061, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26250, 6062, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26251, 6062, 'Синглтон класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26252, 6062, 'Immutable класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26253, 6062, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26254, 6063, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26255, 6063, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26256, 6063, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26257, 6063, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26258, 6064, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26259, 6064, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26260, 6064, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26261, 6064, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26262, 6065, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26263, 6065, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26264, 6065, 'Класса-предка, класса-потомка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26265, 6065, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26266, 6066, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26267, 6066, 'Перегружаемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26268, 6066, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26269, 6066, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26270, 6067, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26271, 6067, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26272, 6067, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26345, 6085, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26273, 6067, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26274, 6068, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26275, 6068, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26276, 6068, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26277, 6068, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26278, 6069, 'Позволить интерфейсу определить метод на уровне класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26279, 6069, 'Позволить методам интерфейса быть унаследованными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26280, 6069, 'Обеспечить обратную совместимость для существующих интерфейсов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26281, 6069, 'Дать интерфейсу возможность создавать конкретные методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26282, 6070, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26283, 6070, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26284, 6070, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26285, 6070, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26369, 6090, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26286, 6071, 'Для наследования интерфейса интерфейсом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26287, 6071, 'Класс может реализовывать два интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26288, 6071, 'Для наследования класса классом используется ключевое слово extends', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26289, 6071, 'Для наследования интерфейса интерфейсом используется ключевое слово implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26290, 6072, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26291, 6072, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26292, 6072, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26293, 6072, 'Одинаковое название метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26294, 6073, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26295, 6073, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26296, 6073, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26297, 6073, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26298, 6074, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26299, 6074, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26300, 6074, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26301, 6074, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26302, 6075, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26303, 6075, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26304, 6075, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26305, 6075, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26306, 6076, 'Если s.startsWith("abc") возвращает true, то s.contains("abc") так же вернет true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26307, 6076, 'Если s.startsWith("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26308, 6076, 'Если s.contains("abc") возвращает true, то s.equals("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26309, 6076, 'Если s.contains("abc") возвращает true, то s.startsWith("abc") так же вернет true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26310, 6077, 'Локальная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26311, 6077, 'Публичная переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26312, 6077, 'Статическая переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26313, 6077, 'Переменная экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26314, 6078, 'Передача по значению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26315, 6078, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26316, 6078, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26317, 6079, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26318, 6079, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26319, 6079, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26320, 6079, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26321, 6080, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26322, 6080, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26323, 6080, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26324, 6080, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26325, 6081, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26326, 6081, 'super() и super', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26327, 6081, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26328, 6081, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26329, 6082, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26330, 6082, 'Класс, реализующий CanBark, наследует только метод bark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26331, 6082, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26332, 6082, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26333, 6082, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26334, 6083, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26335, 6083, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26336, 6083, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26337, 6083, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26338, 6083, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26339, 6084, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26340, 6084, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26341, 6084, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26342, 6084, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26343, 6085, 'import mycode.com.examplejava.Course', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26344, 6085, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26346, 6085, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26347, 6085, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26348, 6086, 'Строка 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26350, 6086, 'Строка 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26353, 6087, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26354, 6087, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26356, 6087, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26357, 6087, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26358, 6087, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26359, 6088, 'Исполнение приложения, выбросившего исключение, будет прекращено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26360, 6088, 'Исключения зачастую используются когда что-то пошло не так', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26362, 6088, 'Приложение, правильно обрабатывающее свои исключения, может избежать непредвиденных проблем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26363, 6089, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26370, 6090, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26371, 6091, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26372, 6091, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26374, 6091, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26375, 6092, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26377, 6092, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26378, 6092, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26379, 6093, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26380, 6093, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26382, 6093, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26383, 6094, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26384, 6094, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26386, 6094, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26387, 6095, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26389, 6095, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26390, 6095, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26391, 6095, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26392, 6096, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26393, 6096, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26395, 6096, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26396, 6096, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26397, 6097, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26398, 6097, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26399, 6097, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26401, 6097, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26402, 6097, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26403, 6098, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26404, 6098, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26407, 6098, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26408, 6098, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26409, 6099, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26410, 6099, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26413, 6099, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26414, 6099, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26415, 6100, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26349, 6086, 'Строка 2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26355, 6087, 'Platypus', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26361, 6088, 'Некоторые исключения можно избежать программно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26364, 6089, 'Exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26368, 6090, 'Первый совпадающий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26373, 6091, 'import java.lang.*', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26376, 6092, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26381, 6093, 'abstract', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26385, 6094, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26388, 6095, 'Сортирует по первичному ключу по убыванию', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26394, 6096, 'Все заказы, за 2020 год', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26400, 6097, 'Select * from users order by user_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26405, 6098, 'Select * from users order by user_id desc, user_type_id asc;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26406, 6098, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26412, 6099, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26477, 6112, 'Spring AOP', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26478, 6112, 'Spring WS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26480, 6113, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26481, 6113, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31841, 7235, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31842, 7235, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26416, 6100, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26417, 6100, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26418, 6100, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26420, 6100, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26351, 6086, 'Строка 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26352, 6086, 'Строка 5', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26411, 6099, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26419, 6100, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26421, 6101, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26423, 6101, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26424, 6101, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26425, 6102, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26427, 6102, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26428, 6102, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26429, 6103, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26431, 6103, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26432, 6103, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26433, 6104, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26434, 6104, 'import java.util.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26436, 6104, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26437, 6105, 'Наследуемые, переопределяемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26439, 6105, 'Переопределяемые, перегружаемые', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26440, 6105, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26441, 6106, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26442, 6106, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26444, 6106, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26445, 6107, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26446, 6107, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26447, 6107, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26448, 6107, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26450, 6107, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26451, 6108, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26452, 6108, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26454, 6108, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26455, 6108, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26456, 6109, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26458, 6109, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26459, 6109, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26460, 6109, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26461, 6109, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26462, 6110, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26463, 6110, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26464, 6110, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26465, 6110, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26467, 6110, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26468, 6111, '@Before', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26469, 6111, '@After', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26471, 6111, '@AfterExecution', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26472, 6111, '@AfterThrowing', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26473, 6111, '@Around', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26474, 6112, 'Spring Data', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26476, 6112, 'Spring MVP', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26422, 6101, 'try, catch, finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26426, 6102, 'Блок finally не может выбрасывать исключений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26430, 6103, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26435, 6104, 'import java.lang.*', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26438, 6105, 'Перегружаемые, переопределяемые', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26443, 6106, 'String может быть использован повторно через пул строк', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26470, 6111, '@AfterReturing', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26475, 6112, 'Spring Security', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26449, 6107, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26453, 6108, 'Все заказы, за 2020 год', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26457, 6109, 'Select address from offices union all Select address from departments union all Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26466, 6110, 'Select address from offices except Select address from departments except Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26482, 6114, 'Да, это можно сделать используя массив в методе контроллера', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26484, 6114, 'Да, можно, но будет прочитан только один случайны параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26485, 6114, 'Нельзя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26486, 6115, 'Используя свойство scanBasePackages (scanBasePackageClasses) аннотации @SpringBootApplication', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26488, 6115, 'Необходимо пометить класс @ComponentScan для сканирования пакета где он находится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26489, 6115, '@SpringBootApplication определяет автоматическое сканирование пакета, где находится класс помеченный аннотацией', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26479, 6113, 'Является', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26483, 6114, 'Да, можно, но будет прочитан только первый параметр', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26487, 6115, 'Приложение Spring Boot автоматически сканирует все пакеты проекта', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26490, 6116, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26491, 6116, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26493, 6116, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26494, 6116, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26495, 6116, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26497, 6117, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32259, 7332, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26500, 6118, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26502, 6118, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26503, 6118, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26504, 6119, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26505, 6119, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26506, 6119, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26508, 6120, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26510, 6120, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26511, 6120, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26512, 6121, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26513, 6121, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26515, 6121, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26517, 6122, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26518, 6122, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26519, 6122, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26521, 6123, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26522, 6123, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26523, 6123, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26524, 6124, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26526, 6124, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26527, 6124, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26528, 6125, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26530, 6125, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26531, 6125, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26533, 6126, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26536, 6126, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26492, 6116, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26499, 6117, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26501, 6118, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26507, 6119, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26509, 6120, 'Переопределяет, скрывает', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26514, 6121, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26516, 6122, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26520, 6123, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26525, 6124, 'Невозможно сослаться на статические методы используя статические импорты', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26529, 6125, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26532, 6125, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26534, 6126, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26535, 6126, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26537, 6126, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26539, 6127, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26540, 6127, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26541, 6127, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26542, 6127, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26543, 6128, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26544, 6128, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26545, 6128, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26547, 6129, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26548, 6129, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26549, 6129, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26550, 6129, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26551, 6129, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26553, 6130, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26555, 6130, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26557, 6130, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26558, 6130, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26559, 6131, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26560, 6131, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26561, 6131, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32260, 7332, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26563, 6131, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26564, 6132, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26566, 6132, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26567, 6132, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26570, 6133, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26573, 6134, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26574, 6134, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26575, 6134, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26577, 6135, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26579, 6136, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26580, 6136, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26583, 6136, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26584, 6137, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26585, 6137, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26586, 6137, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26587, 6137, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26588, 6137, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26590, 6138, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26591, 6138, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26592, 6138, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26581, 6136, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26582, 6136, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26589, 6137, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26593, 6138, 'Невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26498, 6117, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26496, 6117, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26538, 6127, 'Разницы нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26546, 6128, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26552, 6129, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26554, 6130, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26556, 6130, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26562, 6131, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26565, 6132, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26569, 6133, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26571, 6133, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26568, 6133, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26572, 6133, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26576, 6134, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26578, 6135, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26594, 6139, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26595, 6139, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26597, 6139, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26598, 6139, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26599, 6139, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26659, 6153, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26602, 6140, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26604, 6141, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26606, 6141, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26607, 6141, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26608, 6142, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26609, 6142, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26610, 6142, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26613, 6143, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26614, 6143, 'Скрывает, Скрывает', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26615, 6143, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26616, 6144, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26617, 6144, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26619, 6144, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26621, 6145, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26622, 6145, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26623, 6145, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26625, 6146, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26626, 6146, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26627, 6146, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26628, 6147, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26629, 6147, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26630, 6147, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26632, 6148, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26634, 6148, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26635, 6148, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26637, 6149, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26640, 6149, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26642, 6150, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26643, 6150, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26644, 6150, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26646, 6150, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26647, 6151, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26648, 6151, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26649, 6151, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26651, 6152, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26652, 6152, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26653, 6152, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26654, 6152, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26655, 6152, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26657, 6153, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26605, 6141, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26611, 6142, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26612, 6143, 'Скрывает, переопределяет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26618, 6144, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26620, 6145, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26624, 6146, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26631, 6147, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26633, 6148, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26636, 6148, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26638, 6149, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26639, 6149, 'Метод finalize() может быть не вызван вовсе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26641, 6149, 'Метод finalize() может быть объявлен как protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26645, 6150, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26650, 6151, 'Результат неизвестен до запуска программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26656, 6152, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26658, 6153, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26661, 6153, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26662, 6153, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26663, 6154, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26664, 6154, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26665, 6154, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26667, 6154, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26668, 6155, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26670, 6155, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26671, 6155, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26674, 6156, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26677, 6157, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26678, 6157, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26680, 6157, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26681, 6158, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26684, 6159, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26685, 6159, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26687, 6159, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26688, 6160, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26689, 6160, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26690, 6160, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26691, 6160, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26692, 6160, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26694, 6161, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26695, 6161, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26697, 6161, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26698, 6162, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26699, 6162, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26701, 6162, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26702, 6162, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26703, 6162, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26705, 6163, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26706, 6163, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26708, 6164, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26709, 6164, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26711, 6164, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26713, 6165, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26714, 6165, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26715, 6165, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26716, 6166, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26717, 6166, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26719, 6166, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26720, 6167, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26721, 6167, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26723, 6167, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26725, 6168, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26710, 6164, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26712, 6165, 'Приложение временно потеряло соединение с интернетом', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26718, 6166, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26722, 6167, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26724, 6168, 'static', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26683, 6159, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26686, 6159, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26693, 6160, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26696, 6161, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26660, 6153, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26666, 6154, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26669, 6155, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26672, 6156, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26676, 6156, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26673, 6156, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26675, 6156, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26679, 6157, 'Действие, которое будет выполняться для выбранных нами методов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26682, 6158, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26729, 6169, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26730, 6169, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26731, 6169, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26732, 6170, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26733, 6170, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26734, 6170, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26736, 6171, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26738, 6171, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26739, 6171, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26741, 6172, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26743, 6172, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26744, 6172, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26745, 6172, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26746, 6173, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26747, 6173, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26748, 6173, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26750, 6173, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26752, 6174, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26753, 6174, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26754, 6174, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26755, 6175, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26756, 6175, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32293, 7342, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26757, 6175, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26758, 6175, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26759, 6175, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26761, 6176, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26763, 6176, 'optional.ifPresent(System.out.println)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26765, 6176, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26766, 6176, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26767, 6177, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26768, 6177, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26769, 6177, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26771, 6177, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26772, 6178, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26773, 6178, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26775, 6178, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26778, 6179, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26781, 6180, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26782, 6180, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26783, 6180, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26728, 6169, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26737, 6171, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26742, 6172, 'Метод finalize() может быть вызван только один раз', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26749, 6173, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26751, 6174, 'Первым напечатается "test1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26760, 6175, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26764, 6176, 'optional.ifPresent(System.out::println)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26762, 6176, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26770, 6177, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26774, 6178, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26776, 6179, 'destroyMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26780, 6179, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26779, 6179, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26777, 6179, 'value', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26826, 6190, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26827, 6190, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26828, 6190, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26785, 6181, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26787, 6182, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26789, 6182, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26790, 6182, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26791, 6182, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26792, 6183, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26793, 6183, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26794, 6183, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26795, 6183, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26796, 6183, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26798, 6184, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26799, 6184, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26801, 6184, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26788, 6182, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26797, 6183, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26800, 6184, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26700, 6162, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26704, 6163, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26707, 6163, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26735, 6170, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26740, 6171, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26784, 6180, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26786, 6181, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26596, 6139, '195 20.0', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26600, 6140, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26601, 6140, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26603, 6140, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26802, 6185, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26803, 6185, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26805, 6185, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26806, 6185, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26807, 6186, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26808, 6186, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26810, 6186, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26811, 6187, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26812, 6187, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26813, 6187, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26815, 6188, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26817, 6188, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26818, 6188, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26819, 6189, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26820, 6189, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26821, 6189, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26823, 6189, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26824, 6190, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26804, 6185, 'Pelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26809, 6186, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26814, 6187, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26816, 6188, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26822, 6189, 'onetwothree', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26825, 6190, 'Код выведет FlipFlop FlopFlip', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26830, 6191, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26831, 6191, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26832, 6191, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26833, 6191, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26834, 6191, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26836, 6192, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26837, 6192, 'docker ps', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26838, 6192, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26839, 6193, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26842, 6194, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26843, 6194, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26844, 6194, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26845, 6195, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26846, 6195, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26847, 6195, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26849, 6195, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26850, 6195, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26851, 6196, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26853, 6196, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26854, 6196, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26855, 6197, 'Метод проверяет привязан ли объект к кэшу сессии', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26857, 6197, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26858, 6197, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26859, 6198, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26860, 6198, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26861, 6198, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26862, 6198, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26968, 6220, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26864, 6198, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26865, 6199, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26867, 6199, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26868, 6199, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26869, 6199, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26870, 6199, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26871, 6200, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26872, 6200, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26874, 6200, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26875, 6200, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26876, 6200, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26877, 6201, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26878, 6201, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26880, 6201, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26881, 6201, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26835, 6192, 'docker cs', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26873, 6200, 'git info', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26848, 6195, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26852, 6196, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26856, 6197, 'Метод проверяет привязан ли объект к БД', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26863, 6198, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26866, 6199, 'Обертки примитивных классов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26840, 6193, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26841, 6194, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26829, 6191, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26935, 6214, 'Метод проверяет привязан ли объект к кэшу сессии', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26936, 6214, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26937, 6214, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26879, 6201, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26882, 6202, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26883, 6202, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26884, 6202, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26885, 6202, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26886, 6202, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26887, 6203, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26888, 6203, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26889, 6203, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26890, 6203, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26891, 6204, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26892, 6204, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26893, 6204, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26894, 6204, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26895, 6205, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26896, 6205, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26897, 6205, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26898, 6205, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26899, 6206, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26900, 6206, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26901, 6206, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26902, 6206, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26903, 6206, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26904, 6207, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26905, 6207, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26906, 6207, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26907, 6207, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26908, 6207, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26909, 6208, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27142, 6257, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26910, 6208, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26911, 6208, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26912, 6208, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26913, 6208, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26914, 6208, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26915, 6209, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26916, 6209, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26917, 6209, 'docker ps', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26918, 6209, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26919, 6210, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26920, 6210, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26921, 6211, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26922, 6211, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26923, 6211, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26924, 6211, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26925, 6212, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26926, 6212, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26927, 6212, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26928, 6212, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26929, 6212, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26930, 6212, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26931, 6213, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26932, 6213, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26933, 6213, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26934, 6213, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26938, 6214, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26939, 6215, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26940, 6215, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26941, 6215, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26942, 6215, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26943, 6215, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26944, 6215, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26945, 6216, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26946, 6216, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26947, 6216, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26948, 6216, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26949, 6216, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26950, 6216, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26951, 6217, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26952, 6217, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26953, 6217, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26954, 6217, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26955, 6217, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26956, 6217, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26957, 6218, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26958, 6218, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26959, 6218, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26960, 6218, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26961, 6218, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26962, 6219, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26963, 6219, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26964, 6219, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26965, 6219, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26966, 6219, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26967, 6220, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32818, 7477, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26969, 6220, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26970, 6220, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26971, 6221, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26972, 6221, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26973, 6221, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26974, 6221, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26975, 6222, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26976, 6222, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26977, 6222, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26978, 6222, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26979, 6223, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26980, 6223, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26981, 6223, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26982, 6223, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26983, 6223, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26984, 6224, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26985, 6224, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26986, 6224, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26987, 6224, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26988, 6224, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26989, 6225, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26990, 6225, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26991, 6225, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26992, 6225, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26993, 6225, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26994, 6225, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26995, 6226, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26996, 6226, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26997, 6226, 'docker ps', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26998, 6226, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (26999, 6227, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27000, 6227, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27001, 6228, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27002, 6228, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27003, 6228, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27004, 6228, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27005, 6229, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27006, 6229, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27007, 6229, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27008, 6229, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27009, 6229, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27010, 6229, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27011, 6230, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27012, 6230, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27013, 6230, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27014, 6230, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27015, 6231, 'Метод проверяет привязан ли объект к кэшу сессии', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27016, 6231, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27017, 6231, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27018, 6231, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27019, 6232, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27020, 6232, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27143, 6257, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27021, 6232, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27022, 6232, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27023, 6232, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27024, 6232, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27025, 6233, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27026, 6233, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27027, 6233, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27028, 6233, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27029, 6233, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27030, 6233, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27031, 6234, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27032, 6234, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27033, 6234, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27034, 6234, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27035, 6234, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27036, 6234, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27037, 6235, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27038, 6235, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27039, 6235, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27040, 6235, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27041, 6235, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27042, 6236, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27044, 6236, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27045, 6236, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27046, 6236, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27047, 6237, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27048, 6237, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27049, 6237, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27050, 6237, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27051, 6238, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27053, 6238, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27054, 6238, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27055, 6239, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27056, 6239, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27058, 6239, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27060, 6240, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27061, 6240, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27062, 6240, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27063, 6240, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27065, 6241, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27066, 6241, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27067, 6241, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27068, 6241, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27069, 6242, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27070, 6242, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27075, 6243, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27076, 6243, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27078, 6243, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27079, 6244, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27082, 6245, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27083, 6245, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27084, 6245, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27085, 6246, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27086, 6246, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32819, 7477, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27087, 6246, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27089, 6246, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27090, 6246, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27092, 6247, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27093, 6247, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27094, 6247, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27096, 6248, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27097, 6248, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27098, 6248, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27100, 6249, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27160, 6261, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27077, 6243, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27091, 6247, 'SELECT', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27095, 6248, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27099, 6249, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27052, 6238, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27057, 6239, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27059, 6240, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27064, 6241, 'Код выведет aFlipaFlop FlopFlip', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27080, 6244, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27071, 6242, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27072, 6242, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27073, 6242, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31912, 7249, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31909, 7248, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31910, 7248, 'Criteria', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31911, 7249, 'Transient', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31915, 7249, 'Attached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31981, 7261, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31982, 7261, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27101, 6249, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27103, 6249, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27105, 6250, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27106, 6250, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27107, 6250, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27108, 6250, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27109, 6250, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27111, 6251, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27112, 6251, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27113, 6251, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27114, 6251, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27116, 6251, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27117, 6252, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27118, 6252, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27119, 6252, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27121, 6252, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27122, 6253, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27124, 6253, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27125, 6253, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27126, 6253, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27128, 6254, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27129, 6254, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27130, 6254, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27132, 6255, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27133, 6255, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27134, 6255, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27135, 6256, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27137, 6256, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27138, 6256, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27140, 6257, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27141, 6257, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27145, 6258, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27146, 6258, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27147, 6258, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27148, 6258, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27151, 6259, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27152, 6259, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27153, 6259, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27154, 6259, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27155, 6260, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27156, 6260, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27158, 6260, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27102, 6249, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27110, 6250, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27157, 6260, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27123, 6253, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27127, 6254, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27131, 6255, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27136, 6256, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27139, 6257, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27144, 6258, 'Код выведет aFlipaFlop FlopFlip', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27149, 6259, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27150, 6259, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27161, 6262, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27162, 6262, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27163, 6262, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27165, 6263, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27166, 6263, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27167, 6263, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27169, 6263, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27170, 6263, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27172, 6264, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27173, 6264, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27174, 6264, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27176, 6265, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27177, 6265, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27178, 6265, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27180, 6266, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27181, 6266, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27183, 6266, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27185, 6267, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27186, 6267, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27187, 6267, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27188, 6267, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27189, 6267, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27191, 6268, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27192, 6268, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27193, 6268, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27194, 6268, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27196, 6268, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27197, 6269, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27198, 6269, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27200, 6269, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27201, 6269, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27202, 6270, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27203, 6270, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27204, 6270, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27205, 6270, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27207, 6271, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27208, 6271, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27210, 6271, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27211, 6272, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27209, 6271, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31975, 7260, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31976, 7260, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31977, 7261, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31978, 7261, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31979, 7261, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27168, 6263, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27171, 6264, 'SELECT', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27175, 6265, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27179, 6266, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27190, 6267, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27164, 6262, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27213, 6272, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27214, 6272, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27215, 6273, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27217, 6273, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27218, 6273, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27220, 6274, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27221, 6274, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27222, 6274, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27223, 6274, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27225, 6275, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27226, 6275, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27227, 6275, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27228, 6275, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27229, 6276, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27230, 6276, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27233, 6276, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27234, 6276, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27235, 6277, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27236, 6277, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27238, 6277, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27239, 6278, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27241, 6279, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27242, 6279, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27243, 6279, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27245, 6280, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27246, 6280, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27247, 6280, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27249, 6280, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27250, 6280, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27251, 6281, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27252, 6281, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27253, 6281, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27256, 6282, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27257, 6282, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27258, 6282, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27259, 6283, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27260, 6283, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27261, 6283, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27262, 6283, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27436, 6319, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27263, 6283, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27427, 6318, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27428, 6318, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27254, 6281, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27255, 6282, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27216, 6273, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27219, 6274, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27224, 6275, 'Код выведет aFlipaFlop FlopFlip', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27240, 6278, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27232, 6276, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27231, 6276, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27265, 6284, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27266, 6284, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27267, 6284, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27268, 6284, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27269, 6284, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27271, 6285, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27272, 6285, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27273, 6285, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27274, 6285, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27276, 6285, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27277, 6286, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27278, 6286, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27280, 6286, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27281, 6286, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27282, 6287, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27284, 6287, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27285, 6287, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27286, 6287, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27287, 6288, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27289, 6288, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27290, 6288, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27291, 6289, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27292, 6289, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27293, 6289, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27296, 6290, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27297, 6290, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27298, 6290, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27300, 6291, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27301, 6291, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27302, 6291, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27303, 6291, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27305, 6292, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27306, 6292, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27307, 6292, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27308, 6292, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27310, 6293, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27313, 6293, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27314, 6293, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27315, 6294, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27316, 6294, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27318, 6294, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27319, 6295, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27321, 6296, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27429, 6318, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27705, 6377, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27264, 6283, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27270, 6284, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27317, 6294, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27283, 6287, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27288, 6288, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27548, 6343, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27294, 6289, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27295, 6290, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27299, 6291, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27304, 6292, 'Код выведет aFlipaFlop FlopFlip', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27320, 6295, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27309, 6293, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27311, 6293, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27323, 6296, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27324, 6296, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27325, 6297, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27326, 6297, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27327, 6297, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27329, 6297, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27330, 6297, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27332, 6298, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27333, 6298, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27334, 6298, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27335, 6299, 'Метод проверяет привязан ли объект к кэшу сессии', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27337, 6299, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27338, 6299, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27340, 6300, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27341, 6300, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27343, 6300, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27345, 6301, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27346, 6301, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27347, 6301, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27348, 6301, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27349, 6301, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27351, 6302, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27352, 6302, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27353, 6302, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27354, 6302, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27356, 6302, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27357, 6303, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27358, 6303, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27359, 6303, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27360, 6303, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27362, 6304, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27363, 6304, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27365, 6304, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27366, 6304, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27367, 6305, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27369, 6305, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27370, 6305, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27371, 6306, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27373, 6306, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27706, 6377, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27368, 6305, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27355, 6302, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27361, 6303, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27328, 6297, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27331, 6298, 'SELECT', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27336, 6299, 'Метод проверяет привязан ли объект к БД', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27344, 6300, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27350, 6301, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27322, 6296, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27374, 6306, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27375, 6307, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27377, 6307, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27378, 6307, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27380, 6308, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27381, 6308, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27382, 6308, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27383, 6308, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27384, 6309, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27385, 6309, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27387, 6309, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27388, 6309, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27389, 6310, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27390, 6310, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27391, 6310, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27393, 6310, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27395, 6311, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27396, 6311, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27398, 6311, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27400, 6312, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27401, 6313, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27402, 6313, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27403, 6313, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27405, 6314, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27406, 6314, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27407, 6314, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27408, 6314, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27409, 6314, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27411, 6315, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27413, 6315, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27414, 6315, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27416, 6316, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27417, 6316, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27418, 6316, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27421, 6317, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27422, 6317, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27423, 6317, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27424, 6317, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27425, 6318, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27426, 6318, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27412, 6315, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27415, 6316, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27376, 6307, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27379, 6308, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27386, 6309, 'Код выведет aFlipFlop FlopFlip', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27399, 6312, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27404, 6313, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27394, 6310, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27392, 6310, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27432, 6319, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27433, 6319, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27434, 6319, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27435, 6319, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27437, 6320, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27439, 6320, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27440, 6320, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27441, 6320, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27442, 6321, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27443, 6321, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27444, 6321, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27445, 6321, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27447, 6322, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27449, 6322, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27450, 6322, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27451, 6323, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27453, 6323, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27454, 6323, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27456, 6324, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27457, 6324, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27458, 6324, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27459, 6325, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27461, 6325, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27462, 6325, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27463, 6325, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27465, 6326, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27466, 6326, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27467, 6326, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27468, 6326, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27469, 6327, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27470, 6327, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27473, 6327, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27474, 6327, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27475, 6328, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27476, 6328, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27478, 6328, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27479, 6329, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27481, 6330, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27482, 6330, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27483, 6330, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27536, 6341, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27431, 6319, 'git status --author', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27430, 6318, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27477, 6328, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27446, 6321, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27448, 6322, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27452, 6323, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27455, 6324, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27460, 6325, '1one2two3three', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27464, 6326, 'Код выведет aFlipaFlop FlopFlip', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27480, 6329, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27471, 6327, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27472, 6327, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27864, 6411, 'Код', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27865, 6411, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27866, 6412, 'Техника белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32045, 7274, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27485, 6331, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27486, 6331, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27673, 6370, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27487, 6331, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27488, 6331, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27489, 6331, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27491, 6332, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27493, 6332, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27494, 6332, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27496, 6333, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27497, 6333, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27498, 6333, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27500, 6334, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27501, 6334, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27502, 6334, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27503, 6334, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27505, 6335, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27506, 6335, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27507, 6335, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27508, 6335, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27509, 6335, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27511, 6336, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27512, 6336, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27513, 6336, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27514, 6336, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27516, 6336, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27517, 6337, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27518, 6337, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27519, 6337, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27520, 6337, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27522, 6338, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27523, 6338, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27524, 6338, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27525, 6338, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27527, 6339, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27529, 6339, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27530, 6339, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27531, 6340, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27532, 6340, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27533, 6340, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27535, 6341, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27528, 6339, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27537, 6341, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27515, 6336, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27521, 6337, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27490, 6331, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27492, 6332, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27495, 6333, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27499, 6334, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27510, 6335, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27484, 6330, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27538, 6341, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27539, 6342, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27541, 6342, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27542, 6342, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27543, 6342, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27544, 6343, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27546, 6343, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27547, 6343, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27733, 6383, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27549, 6344, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27550, 6344, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27551, 6344, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27553, 6344, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27554, 6344, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27555, 6345, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27556, 6345, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27558, 6345, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27559, 6346, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27561, 6347, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27562, 6347, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27563, 6347, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27565, 6348, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27566, 6348, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27567, 6348, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27569, 6348, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27570, 6348, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27571, 6349, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27572, 6349, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27573, 6349, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27575, 6350, 'Метод проверяет привязан ли объект к кэшу сессии', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27576, 6350, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27577, 6350, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27580, 6351, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27581, 6351, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27583, 6351, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27584, 6351, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27585, 6352, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27586, 6352, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27587, 6352, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27588, 6352, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27589, 6352, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27591, 6353, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27592, 6353, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27593, 6353, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27594, 6353, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27596, 6353, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27595, 6353, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27574, 6349, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27578, 6350, 'Оба варианта неверны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27579, 6351, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27590, 6352, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27540, 6342, '1one2two3three', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27545, 6343, 'Код выведет FlipFlop FlopFlip', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27560, 6346, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27564, 6347, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27552, 6344, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27704, 6377, 'Код выведет aFlipaFlop FlopFlip', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27597, 6354, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27598, 6354, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27600, 6354, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27601, 6354, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27602, 6355, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27604, 6355, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27605, 6355, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27606, 6355, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27607, 6356, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27609, 6356, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27610, 6356, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27611, 6357, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27612, 6357, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27613, 6357, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27616, 6358, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27617, 6358, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27618, 6358, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27620, 6359, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27621, 6359, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27622, 6359, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27623, 6359, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27625, 6360, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27626, 6360, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27627, 6360, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27628, 6360, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27630, 6361, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27633, 6361, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27634, 6361, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27635, 6362, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27636, 6362, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27638, 6362, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27640, 6363, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27641, 6364, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27642, 6364, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27643, 6364, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27645, 6365, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27646, 6365, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27647, 6365, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27637, 6362, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27603, 6355, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27608, 6356, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27614, 6357, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27615, 6358, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27619, 6359, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27624, 6360, 'Код выведет aFlipaFlop FlopFlip', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27639, 6363, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27629, 6361, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27631, 6361, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27632, 6361, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27649, 6365, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27650, 6365, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27652, 6366, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27653, 6366, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27654, 6366, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27656, 6367, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27657, 6367, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27658, 6367, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27660, 6368, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27661, 6368, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27663, 6368, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27665, 6369, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27666, 6369, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27667, 6369, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27668, 6369, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27669, 6369, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27671, 6370, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27672, 6370, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27674, 6370, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27676, 6370, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27677, 6371, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27678, 6371, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27679, 6371, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27680, 6371, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27682, 6372, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27683, 6372, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27684, 6372, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27686, 6372, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27688, 6373, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27689, 6373, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27690, 6373, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27691, 6374, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27693, 6374, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27694, 6374, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27695, 6375, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27697, 6375, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27698, 6375, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27700, 6376, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27701, 6376, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27702, 6376, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27703, 6376, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27651, 6366, 'SELECT', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27655, 6367, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27659, 6368, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27670, 6369, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27685, 6372, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27687, 6373, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27692, 6374, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27696, 6375, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27699, 6376, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27707, 6377, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27708, 6377, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27709, 6378, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27710, 6378, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27711, 6378, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27713, 6378, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27715, 6379, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27716, 6379, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27718, 6379, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27719, 6380, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27721, 6381, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27723, 6381, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27724, 6381, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27725, 6382, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27726, 6382, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27727, 6382, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27729, 6382, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27730, 6382, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27732, 6383, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27734, 6383, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27735, 6384, 'Метод проверяет привязан ли объект к кэшу сессии', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27737, 6384, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27738, 6384, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27740, 6385, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27741, 6385, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27743, 6385, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27745, 6386, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27746, 6386, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27747, 6386, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27748, 6386, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27750, 6386, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27751, 6387, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27752, 6387, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27753, 6387, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27754, 6387, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27756, 6387, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27757, 6388, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27758, 6388, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27759, 6388, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27755, 6387, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27728, 6382, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27731, 6383, 'SELECT', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27736, 6384, 'Метод проверяет привязан ли объект к БД', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27739, 6385, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27749, 6386, 'Любой POJO класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27720, 6380, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27722, 6381, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27712, 6378, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27714, 6378, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27761, 6388, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27762, 6389, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27764, 6389, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27765, 6389, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27766, 6389, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27768, 6390, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27769, 6390, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27770, 6390, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27771, 6391, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27773, 6391, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27774, 6391, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27775, 6392, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27777, 6392, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27778, 6392, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27780, 6393, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27781, 6393, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27782, 6393, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27783, 6393, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27784, 6394, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27785, 6394, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27787, 6394, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27788, 6394, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27790, 6395, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27793, 6395, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27795, 6396, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27796, 6396, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27798, 6396, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27799, 6397, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27662, 6368, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33367, 7627, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27801, 6398, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27802, 6398, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27804, 6398, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27805, 6399, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27806, 6399, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27807, 6399, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27808, 6399, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27810, 6399, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27812, 6400, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27813, 6400, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27814, 6400, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27811, 6400, 'SELECT', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27815, 6401, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27763, 6389, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27767, 6390, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27772, 6391, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27776, 6392, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27779, 6393, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27786, 6394, 'Код выведет aFlipFlop FlopFlip', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27800, 6397, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27803, 6398, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27789, 6395, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27791, 6395, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27816, 6401, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27817, 6401, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27818, 6401, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27820, 6402, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27821, 6402, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27823, 6402, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27825, 6403, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27826, 6403, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27827, 6403, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27829, 6403, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27830, 6403, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27831, 6404, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27833, 6404, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27834, 6404, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27835, 6404, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27836, 6404, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27837, 6405, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27838, 6405, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27839, 6405, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27841, 6405, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27557, 6345, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27599, 6354, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27568, 6348, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27582, 6351, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27675, 6370, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27526, 6338, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27534, 6340, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27681, 6371, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27648, 6365, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27983, 6441, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27664, 6368, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27644, 6364, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27397, 6311, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27438, 6320, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27410, 6314, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27419, 6317, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27420, 6317, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27364, 6304, 'Pelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27372, 6306, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27237, 6277, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27275, 6285, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27279, 6286, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27504, 6334, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27832, 6404, 'git log --author', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27822, 6402, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27828, 6403, 'Перечисления (Enum)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32047, 7274, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32048, 7275, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32050, 7276, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32051, 7276, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32053, 7277, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32055, 7277, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32056, 7277, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32057, 7278, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32049, 7275, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32052, 7276, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27248, 6280, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27206, 6270, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27212, 6272, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27244, 6279, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27717, 6379, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27760, 6388, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27742, 6385, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27744, 6385, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27115, 6251, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27120, 6252, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27088, 6246, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27104, 6249, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27043, 6236, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27081, 6245, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27074, 6242, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27797, 6396, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27840, 6405, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27809, 6399, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27824, 6402, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27819, 6402, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27792, 6395, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27794, 6395, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27342, 6300, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27339, 6300, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27312, 6293, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27842, 6406, 'Повысить безопасность системы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27843, 6406, 'Предотвратить бесконечные циклы в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27844, 6406, 'Использовать их как план Б', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27847, 6407, 'Это помогает предотвратить появление дефектов в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27848, 6407, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27849, 6407, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27850, 6408, 'А. Найти дефекты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27851, 6408, 'B. Исправить дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27853, 6408, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27854, 6409, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27856, 6409, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27857, 6409, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27859, 6410, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27860, 6410, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27861, 6410, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27863, 6411, 'Проектирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27852, 6408, 'Вариант А и В', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27855, 6409, 'Тестирование в условиях эксплуатации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27858, 6410, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27862, 6411, 'Требования', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27867, 6412, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27869, 6412, 'Тестирование управления данными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27870, 6413, '$5800; $28000; $32000', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27872, 6413, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27873, 6413, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27874, 6414, 'Функциональное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27875, 6414, 'Структурное тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27877, 6415, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27878, 6415, 'Стресс-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27879, 6415, 'Тестирование надежности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27881, 6416, 'Позволяет выявить изменения в пользовательских требованиях', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27882, 6416, 'Облегчает своевременную настройку тестовой среды', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27884, 6416, 'Позволяет тестировщикам принять участие в начале проекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27885, 6417, 'Раз в месяц
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27887, 6417, 'При изменении тестовой среды', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27889, 6418, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27891, 6418, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27892, 6418, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27893, 6419, 'Скажете команде разработчиков, чтобы они доставили систему вовремя, чтобы тестовая деятельность была завершена вовремя.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27894, 6419, 'Расширите план тестирования, таким образом компенсируя промашку', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27896, 6419, 'Добавите больше ресурсов, чтобы избежать промашки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27898, 6420, 'Техника черного ящика и техника на основе спецификации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27899, 6420, 'Техники на основе структуры и на основе спецификации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27900, 6420, 'Техника на основе структуры и исчерпывающее тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27901, 6421, 'План тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27903, 6421, 'Тестовый сценарий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27904, 6421, 'Тестовые данные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27905, 6422, 'Статическое тестирование требует выполнения кода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27906, 6422, 'Статическое тестирование включает ручную имитацию программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27908, 6422, 'Статическое тестирование может включать в себя такие измерения, как цикломатическая сложность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27909, 6423, 'Автоматизация, вероятно, потерпит неудачу из-за частых изменений и отсутствия опыта', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27910, 6423, 'Автоматизация, вероятно, потерпит неудачу из-за автоматизации GUI, не является правильным способом автоматизации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27912, 6423, 'Автоматизация, скорее всего, удастся, потому что команда была обучена инструменту', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27913, 6424, 'Критический', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27914, 6424, 'Высокий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27916, 6424, 'Незначительный', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27918, 6425, 'Повторно протестировать модуль и подтвердите ошибку', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27919, 6425, 'Назначить ту же ошибку другому разработчику', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27920, 6425, 'Отправить подробную информацию об обнаруженном баге и проверить воспроизводимость', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27921, 6426, 'W1, X2, Y3, Z4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27923, 6426, 'W2, X3, Y1, Z4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27924, 6426, 'W1, X4, Y2, Z3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27926, 6427, 'Кластеризация дефектов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27927, 6427, 'Парадокс пестицида', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27928, 6427, 'Заблуждение об отсутствии ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27871, 6413, '$0; $200; $4200', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27880, 6415, 'Регрессионное тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27883, 6416, 'Уменьшает умножение дефектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27888, 6417, 'При изменении ПО', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27886, 6417, 'Когда дефект исправлен', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27890, 6418, 'Анализ граничных значений
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27897, 6420, 'Техники тестирования на основе структуры и на основе опыта', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27902, 6421, 'Спецификация процедуры тестирования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27907, 6422, 'Статическое тестирование включает в себя такие техники, как рецензирование и инспекция', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27911, 6423, 'Автоматизация, скорее всего, будет успешной, потому что автоматизация очень полезна для частых изменений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27915, 6424, 'Низкий', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27917, 6425, 'Сообщить о проблеме менеджеру и попытаться договориться с разработчиком', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27922, 6426, 'W1, X3, Y4, Z2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27925, 6427, 'Исчерпывающее тестирование невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27929, 6428, '-1, 0, 89.6 и 212', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27930, 6428, '-40, 37.78, и 100', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27932, 6428, '-40, 0, 32 и 100', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27845, 6406, 'Определить, когда завершить тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27846, 6407, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27868, 6412, 'Техника черного ящика', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27876, 6414, 'Ни одно из вышеперечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27895, 6419, 'Ранжируете функциональность в соответствии с риском и сосредоточитесь больше на тестировании критичной функциональности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27931, 6428, '-1, 0, 1 и 37.78', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27933, 6429, 'Повысить безопасность системы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27934, 6429, 'Предотвратить бесконечные циклы в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27935, 6429, 'Использовать их как план Б', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27938, 6430, 'Это помогает предотвратить появление дефектов в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27939, 6430, 'Тесты, разработанные на раннем этапе, эффективнее тестов, написанных позже', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27940, 6430, 'Это экономит время во время фазы тестирования, когда все тестировщики заняты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27942, 6431, 'B. Исправить дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27943, 6431, 'Вариант А и В', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27944, 6431, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27945, 6432, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27947, 6432, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27948, 6432, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27950, 6433, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27951, 6433, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27952, 6433, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27954, 6434, 'Проектирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27955, 6434, 'Код', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27956, 6434, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27957, 6435, 'Техника белого ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27958, 6435, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27960, 6435, 'Тестирование управления данными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27962, 6436, '$0; $200; $4200', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27963, 6436, '$5200; $5500; $28000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27964, 6436, '$28001; $32000; $35000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27965, 6437, 'Функциональное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27966, 6437, 'Структурное тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27968, 6438, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27969, 6438, 'Стресс-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27970, 6438, 'Тестирование надежности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27972, 6439, 'Позволяет выявить изменения в пользовательских требованиях', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27973, 6439, 'Облегчает своевременную настройку тестовой среды', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27975, 6439, 'Позволяет тестировщикам принять участие в начале проекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27976, 6440, 'Раз в месяц
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27978, 6440, 'При изменении тестовой среды', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27980, 6441, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27982, 6441, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33433, 7645, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27984, 6442, 'Скажете команде разработчиков, чтобы они доставили систему вовремя, чтобы тестовая деятельность была завершена вовремя.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27985, 6442, 'Расширите план тестирования, таким образом компенсируя промашку', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27987, 6442, 'Добавите больше ресурсов, чтобы избежать промашки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27936, 6429, 'Определить, когда завершить тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27937, 6430, 'Это дешевле, чем разрабатывать тесты во время фазы тестирования', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27941, 6431, 'А. Найти дефекты', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27946, 6432, 'Тестирование в условиях эксплуатации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27949, 6433, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27953, 6434, 'Требования', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27959, 6435, 'Техника черного ящика', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27961, 6436, '$5800; $28000; $32000', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27967, 6437, 'Ни одно из вышеперечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27971, 6438, 'Регрессионное тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27974, 6439, 'Уменьшает умножение дефектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27977, 6440, 'Когда дефект исправлен', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27981, 6441, 'Анализ граничных значений
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28037, 6455, 'Спецификация процедуры тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28039, 6455, 'Тестовые данные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28040, 6456, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28038, 6455, 'Тестовый сценарий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28266, 6506, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27989, 6443, 'Техника черного ящика и техника на основе спецификации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27990, 6443, 'Техники на основе структуры и на основе спецификации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27991, 6443, 'Техника на основе структуры и исчерпывающее тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27992, 6444, 'План тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27993, 6444, 'Спецификация процедуры тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27995, 6444, 'Тестовые данные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27997, 6445, 'Статическое тестирование включает ручную имитацию программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27998, 6445, 'Статическое тестирование включает в себя такие техники, как рецензирование и инспекция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27999, 6445, 'Статическое тестирование может включать в себя такие измерения, как цикломатическая сложность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28001, 6446, 'Автоматизация, вероятно, потерпит неудачу из-за автоматизации GUI, не является правильным способом автоматизации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28002, 6446, 'Автоматизация, скорее всего, будет успешной, потому что автоматизация очень полезна для частых изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28003, 6446, 'Автоматизация, скорее всего, удастся, потому что команда была обучена инструменту', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28004, 6447, 'Критический', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28005, 6447, 'Высокий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28006, 6447, 'Низкий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28008, 6448, 'Сообщить о проблеме менеджеру и попытаться договориться с разработчиком', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28009, 6448, 'Повторно протестировать модуль и подтвердите ошибку', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28010, 6448, 'Назначить ту же ошибку другому разработчику', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28012, 6449, 'W1, X2, Y3, Z4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28014, 6449, 'W2, X3, Y1, Z4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28015, 6449, 'W1, X4, Y2, Z3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28017, 6450, 'Кластеризация дефектов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28018, 6450, 'Парадокс пестицида', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28019, 6450, 'Заблуждение об отсутствии ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28020, 6451, '-1, 0, 89.6 и 212', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28021, 6451, '-40, 37.78, и 100', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28022, 6451, '-1, 0, 1 и 37.78', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27979, 6440, 'При изменении ПО', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27986, 6442, 'Ранжируете функциональность в соответствии с риском и сосредоточитесь больше на тестировании критичной функциональности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27988, 6443, 'Техники тестирования на основе структуры и на основе опыта', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27994, 6444, 'Тестовый сценарий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27996, 6445, 'Статическое тестирование требует выполнения кода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28000, 6446, 'Автоматизация, вероятно, потерпит неудачу из-за частых изменений и отсутствия опыта', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28007, 6447, 'Незначительный', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28011, 6448, 'Отправить подробную информацию об обнаруженном баге и проверить воспроизводимость', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28013, 6449, 'W1, X3, Y4, Z2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28016, 6450, 'Исчерпывающее тестирование невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28023, 6451, '-40, 0, 32 и 100', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28024, 6452, 'Тестирование потенциальными клиентами, проводимое на территории разработчиков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28507, 6557, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28025, 6452, 'Тестирование потенциальными клиентами на своей стороне', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28027, 6452, 'Тестирование разработчиками продукта на своей стороне', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28028, 6453, 'Дефекты удобства использования, найденные пользователями', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28029, 6453, 'Дефекты в редко используемых функциональностях', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28031, 6453, 'Минорные дефекты, найденные пользователями', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28032, 6454, 'Раннее тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28034, 6454, 'Парадокс пестицида', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28035, 6454, 'Исчерпывающее тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28036, 6455, 'План тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28026, 6452, 'Тестирование разработчиками продукта на территории клиентов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28030, 6453, 'Дефекты, обнаруженные на ранней стадии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28033, 6454, 'Кластеризация дефектов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28041, 6456, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28044, 6457, 'Системное, интеграционное, модульное, приемочное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28045, 6457, 'Модульное, интеграционное, приемочное, системное', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28046, 6457, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28047, 6458, 'Всегда будет автоматизирован', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28049, 6458, 'Поможет понять, что измененные области программного обеспечения не были затронуты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28050, 6458, 'Может выполняться только во время приемочного тестирования пользователя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28051, 6459, 'Не важна', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28053, 6459, 'Уменьшается по мере продвижения продукта к релизу', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28054, 6459, 'Дороже если найден в требованиях, нежели чем при проектировании функциональности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28055, 6459, 'Никогда не может быть определена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28056, 6460, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28058, 6460, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28059, 6461, 'Это приемлемый риск многопользовательской системы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28060, 6461, 'Проведено недостаточное функциональное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28062, 6461, 'Это невозможно было протестировать до релиза', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28063, 6462, 'Блокирующий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28064, 6462, 'Критический', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28066, 6462, 'Низкий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28067, 6463, 'Критический', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28068, 6463, 'Высокий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28069, 6463, 'Низкий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28071, 6464, 'Система должна быть способна выполнять свои функции в среднем 23 часа 50 минут в сутки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28072, 6464, 'Система должна работать адекватно до 30 пользователей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28074, 6464, 'Система должна позволять увеличиваться на 12 000 новых клиентов в год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28075, 6465, 'Первые две буквы месяца, например МА может представлять Март или Май', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28077, 6465, 'Високосный год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28079, 6465, 'Трехзначные дни и месяцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28080, 6466, 'W1, X2, Y3, Z4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28082, 6466, 'W2, X3, Y1, Z4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28083, 6466, 'W1, X4, Y2, Z3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28042, 6456, 'Ни один из перечисленных', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28043, 6457, 'Модульное, интеграционное, системное, приемочное', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28048, 6458, 'Поможет понять, что неизмененные области программного обеспечения не были затронуты', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28052, 6459, 'Увеличивается по мере продвижения продукта к релизу', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28057, 6460, 'При соблюдении критериев завершения тестирования', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28061, 6461, 'Это означает, что важное нефункциональное требование не было определено и протестировано', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28065, 6462, 'Высокий', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28070, 6463, 'Незначительный', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28073, 6464, 'Система должна позволить пользователю изменить адрес клиента', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28078, 6465, 'Количество дней в месяце', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28076, 6465, 'Первая буква дня, например П может означать Понедельник или Пятница', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28081, 6466, 'W1, X3, Y4, Z2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28084, 6467, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28086, 6467, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28087, 6467, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28088, 6467, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28090, 6468, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28091, 6468, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28092, 6468, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28508, 6557, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28093, 6469, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28095, 6469, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28096, 6469, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28097, 6470, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28098, 6470, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28099, 6470, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28102, 6471, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28103, 6471, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28104, 6471, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28105, 6471, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28106, 6472, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28107, 6472, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28108, 6472, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28110, 6472, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28111, 6473, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28112, 6473, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28113, 6473, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28115, 6473, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28116, 6473, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28117, 6474, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28118, 6474, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28120, 6474, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28121, 6475, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28123, 6476, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28124, 6476, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28125, 6476, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28127, 6477, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28128, 6477, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28129, 6477, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28130, 6477, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28132, 6477, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28134, 6478, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28135, 6478, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28136, 6478, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28138, 6479, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28139, 6479, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28140, 6479, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28142, 6480, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28143, 6480, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28145, 6480, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28147, 6481, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28148, 6481, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28149, 6481, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28150, 6481, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28151, 6481, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28153, 6482, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28155, 6482, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28156, 6482, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28154, 6482, 'git log --author', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28133, 6478, 'SELECT', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28137, 6479, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28144, 6480, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28152, 6481, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28100, 6470, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28101, 6471, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28109, 6472, 'Код не скомпилируется, так как concat1() возвращает Optional', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28122, 6475, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28273, 6507, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28126, 6476, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28114, 6473, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28159, 6483, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28160, 6483, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28161, 6483, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28162, 6483, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28164, 6484, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28165, 6484, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28167, 6484, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28168, 6484, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28169, 6485, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28171, 6485, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28172, 6485, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28174, 6486, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28175, 6486, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28176, 6486, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28177, 6487, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28179, 6487, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28180, 6487, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28181, 6488, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28182, 6488, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28183, 6488, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28184, 6488, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28187, 6489, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28188, 6489, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28189, 6489, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28190, 6489, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28191, 6490, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28192, 6490, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28193, 6490, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28194, 6490, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28195, 6490, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28197, 6491, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28198, 6491, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28200, 6491, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28202, 6492, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28203, 6493, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28204, 6493, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28205, 6493, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28207, 6494, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28208, 6494, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28199, 6491, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28166, 6484, 'Pelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28170, 6485, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28173, 6486, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28178, 6487, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28185, 6488, 'Ошибка во время выполнения', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28186, 6489, 'Код выведет aFlipaFlop FlopFlip', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28201, 6492, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28196, 6490, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28274, 6507, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28210, 6494, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28211, 6494, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28212, 6494, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28214, 6495, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28215, 6495, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28216, 6495, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28218, 6496, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28219, 6496, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28220, 6496, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28221, 6497, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28223, 6497, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28225, 6497, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28226, 6497, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28227, 6498, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28228, 6498, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28229, 6498, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28230, 6498, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28231, 6498, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28233, 6499, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28234, 6499, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28235, 6499, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28236, 6499, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28238, 6499, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28239, 6500, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28241, 6500, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28242, 6500, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28243, 6500, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28244, 6501, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28245, 6501, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28246, 6501, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28247, 6501, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28249, 6502, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28251, 6502, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28252, 6502, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28253, 6503, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28255, 6503, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28256, 6503, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28257, 6504, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28258, 6504, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28259, 6504, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28261, 6505, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28263, 6505, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28264, 6505, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28265, 6505, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28213, 6495, 'SELECT', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28217, 6496, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28224, 6497, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28232, 6498, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28248, 6501, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28250, 6502, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28254, 6503, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28260, 6504, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28262, 6505, '1one2two3three', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28268, 6506, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28269, 6506, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28270, 6506, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28271, 6507, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28275, 6507, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28276, 6507, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28277, 6508, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28278, 6508, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28280, 6508, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28281, 6509, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28283, 6510, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28284, 6510, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28285, 6510, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28287, 6511, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28288, 6511, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28289, 6511, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28291, 6511, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28292, 6511, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28293, 6512, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28294, 6512, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28295, 6512, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28298, 6513, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28299, 6513, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28300, 6513, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28302, 6514, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28303, 6514, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28305, 6514, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28307, 6515, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28308, 6515, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28309, 6515, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28310, 6515, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28311, 6515, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28313, 6516, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28315, 6516, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28316, 6516, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28317, 6516, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28318, 6516, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28320, 6517, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28321, 6517, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28375, 6529, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32058, 7278, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28314, 6516, 'git log --author', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28290, 6511, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28296, 6512, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28297, 6513, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28301, 6514, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28312, 6515, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28267, 6506, 'Код выведет FlipFlop FlopFlip', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28282, 6509, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28286, 6510, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28272, 6507, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28322, 6517, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28323, 6517, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28324, 6518, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28325, 6518, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28326, 6518, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28327, 6518, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28328, 6518, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28329, 6519, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28330, 6519, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28331, 6519, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28332, 6519, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28505, 6556, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33435, 7645, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28333, 6520, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28334, 6520, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28335, 6520, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28336, 6520, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28337, 6521, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28338, 6521, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28339, 6521, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28340, 6521, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28341, 6522, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28342, 6522, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28343, 6522, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28344, 6522, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28345, 6522, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28346, 6523, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28347, 6523, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28348, 6523, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28349, 6523, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28350, 6523, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28351, 6524, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28352, 6524, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28353, 6524, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28354, 6524, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28355, 6524, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28356, 6524, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28357, 6525, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28358, 6525, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28359, 6525, 'docker ps', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28360, 6525, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28361, 6526, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28362, 6526, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28363, 6527, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28364, 6527, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28365, 6527, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28366, 6527, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28367, 6528, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28368, 6528, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28369, 6528, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28370, 6528, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28371, 6528, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28372, 6528, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28373, 6529, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28374, 6529, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28376, 6529, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28377, 6530, 'Метод проверяет привязан ли объект к кэшу сессии', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28378, 6530, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28379, 6530, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28380, 6530, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28381, 6531, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28382, 6531, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28383, 6531, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28384, 6531, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28385, 6531, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28386, 6531, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28387, 6532, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28388, 6532, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28389, 6532, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28390, 6532, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28391, 6532, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28392, 6532, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28393, 6533, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28394, 6533, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28395, 6533, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28396, 6533, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28397, 6533, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28398, 6533, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28399, 6534, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28400, 6534, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28401, 6534, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28402, 6534, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28403, 6534, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28404, 6535, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28405, 6535, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28406, 6535, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28407, 6535, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28409, 6536, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28411, 6536, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28412, 6536, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28414, 6537, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28415, 6537, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28416, 6537, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28417, 6538, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28419, 6538, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28420, 6538, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28422, 6539, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28423, 6539, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28424, 6539, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28425, 6539, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28427, 6540, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28428, 6540, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28429, 6540, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28430, 6540, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28431, 6541, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28410, 6536, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28413, 6537, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28418, 6538, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28421, 6539, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28426, 6540, 'Код выведет aFlipaFlop FlopFlip', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32059, 7278, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32061, 7279, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28432, 6541, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28433, 6541, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28435, 6541, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28437, 6542, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28438, 6542, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28440, 6542, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28442, 6543, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28443, 6544, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28444, 6544, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28506, 6557, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28445, 6544, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28447, 6545, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28448, 6545, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28449, 6545, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28450, 6545, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28451, 6545, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28454, 6546, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28455, 6546, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28456, 6546, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28458, 6547, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28459, 6547, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28460, 6547, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28462, 6548, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28463, 6548, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28465, 6548, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28467, 6549, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28468, 6549, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28469, 6549, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28470, 6549, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28471, 6549, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28473, 6550, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28474, 6550, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28475, 6550, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28476, 6550, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28478, 6550, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28479, 6551, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28480, 6551, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28481, 6551, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28483, 6551, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28484, 6552, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28485, 6552, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28486, 6552, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28634, 6584, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28477, 6550, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28452, 6545, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28453, 6546, 'SELECT', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28457, 6547, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28464, 6548, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28472, 6549, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28441, 6543, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28446, 6544, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28434, 6541, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28436, 6541, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28488, 6552, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28489, 6553, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28491, 6553, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28492, 6553, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28493, 6554, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28495, 6554, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28496, 6554, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28498, 6555, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28499, 6555, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28500, 6555, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28501, 6556, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28502, 6556, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28503, 6556, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33581, 7674, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28509, 6557, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28511, 6558, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28512, 6558, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28514, 6558, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28516, 6558, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28517, 6559, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28518, 6559, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28520, 6559, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28521, 6560, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28523, 6561, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28524, 6561, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28525, 6561, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28527, 6562, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28528, 6562, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28529, 6562, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28531, 6562, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28532, 6562, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28533, 6563, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28535, 6563, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28536, 6563, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28537, 6564, 'Метод проверяет привязан ли объект к кэшу сессии', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28539, 6564, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28540, 6564, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28534, 6563, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28538, 6564, 'Метод проверяет привязан ли объект к БД', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28487, 6552, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28490, 6553, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28494, 6554, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28497, 6555, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28504, 6556, 'onetwothree', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28510, 6557, 'Код не скомпилируется по другой причине', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28522, 6560, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28513, 6558, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28515, 6558, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28541, 6565, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28542, 6565, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28543, 6565, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28545, 6565, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28547, 6566, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28548, 6566, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28549, 6566, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28550, 6566, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28551, 6566, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28553, 6567, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28554, 6567, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28555, 6567, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28557, 6567, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28558, 6567, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28560, 6568, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28561, 6568, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28562, 6568, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28563, 6568, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28119, 6474, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28163, 6483, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28131, 6477, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28237, 6499, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33582, 7674, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28240, 6500, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28141, 6480, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28146, 6480, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28209, 6494, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28222, 6497, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28085, 6467, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28089, 6468, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28094, 6469, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28206, 6493, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28564, 6569, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28565, 6569, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28567, 6569, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28568, 6569, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28569, 6570, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28571, 6570, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28572, 6570, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28573, 6571, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28575, 6571, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28576, 6571, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28632, 6583, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28633, 6584, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28556, 6567, 'git show --author', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28559, 6568, 'Нет, так как они удаляются без возможности восстановления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28546, 6565, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28552, 6566, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28577, 6572, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28579, 6572, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28580, 6572, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28582, 6573, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28583, 6573, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28584, 6573, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28585, 6573, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28586, 6574, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28587, 6574, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28589, 6574, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28590, 6574, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28591, 6575, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28592, 6575, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28595, 6575, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28596, 6575, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28597, 6576, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28598, 6576, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28600, 6576, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28602, 6577, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28603, 6578, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28604, 6578, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28605, 6578, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28607, 6579, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28608, 6579, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28609, 6579, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33583, 7674, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28611, 6579, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28612, 6579, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28613, 6580, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28614, 6580, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28615, 6580, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28618, 6581, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28619, 6581, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28620, 6581, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28622, 6582, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28623, 6582, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28625, 6582, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28627, 6583, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28628, 6583, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28629, 6583, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28630, 6583, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28616, 6580, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28617, 6581, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28624, 6582, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28631, 6583, 'Любой POJO класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28578, 6572, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28581, 6573, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28588, 6574, 'Код выведет aFlipFlop FlopFlip', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28601, 6577, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28606, 6578, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28593, 6575, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28594, 6575, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28639, 6585, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28640, 6585, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28641, 6585, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28642, 6585, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28644, 6586, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28645, 6586, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28646, 6586, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28647, 6586, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28648, 6586, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28649, 6587, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28650, 6587, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28651, 6587, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28652, 6587, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28653, 6588, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28654, 6588, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28655, 6588, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28656, 6588, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28657, 6589, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28658, 6589, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28659, 6589, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28660, 6589, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28661, 6590, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28662, 6590, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28663, 6590, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28664, 6590, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28665, 6590, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28666, 6591, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28667, 6591, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28668, 6591, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28669, 6591, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28670, 6591, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28671, 6592, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28672, 6592, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28673, 6592, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28674, 6592, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28675, 6592, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28676, 6592, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28677, 6593, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28678, 6593, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28679, 6593, 'docker ps', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28680, 6593, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28681, 6594, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28682, 6594, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28683, 6595, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28684, 6595, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28685, 6595, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28686, 6595, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28687, 6596, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28688, 6596, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28689, 6596, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28690, 6596, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28691, 6596, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28692, 6596, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28693, 6597, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28694, 6597, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28695, 6597, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28696, 6597, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28697, 6598, 'Метод проверяет привязан ли объект к кэшу сессии', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28698, 6598, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28699, 6598, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28700, 6598, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28701, 6599, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28702, 6599, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28703, 6599, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28704, 6599, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28705, 6599, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28706, 6599, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28707, 6600, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28708, 6600, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28709, 6600, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28710, 6600, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28711, 6600, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28712, 6600, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28713, 6601, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28714, 6601, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28715, 6601, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28716, 6601, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28717, 6601, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28718, 6601, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28719, 6602, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28720, 6602, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28721, 6602, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28972, 6655, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28722, 6602, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28723, 6602, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28724, 6603, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28725, 6603, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28727, 6603, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28728, 6603, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28729, 6604, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28730, 6604, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28732, 6604, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28733, 6605, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28735, 6605, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28736, 6605, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28737, 6606, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28738, 6606, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28739, 6606, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28742, 6607, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28743, 6607, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28744, 6607, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28745, 6607, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28740, 6606, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28741, 6607, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28746, 6608, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28747, 6608, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28748, 6608, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28749, 6608, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28751, 6609, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28752, 6609, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28754, 6609, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28756, 6609, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28757, 6610, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28758, 6610, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28760, 6610, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28762, 6611, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28763, 6612, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28764, 6612, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28765, 6612, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28767, 6613, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28768, 6613, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28769, 6613, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28770, 6613, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28771, 6613, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28774, 6614, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28775, 6614, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28776, 6614, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28777, 6615, 'Метод проверяет привязан ли объект к кэшу сессии', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28778, 6615, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28780, 6615, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28782, 6616, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28783, 6616, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28786, 6616, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28787, 6617, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28788, 6617, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28789, 6617, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28791, 6617, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29056, 6674, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28792, 6617, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28793, 6618, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28794, 6618, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28795, 6618, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28796, 6618, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28798, 6618, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28799, 6619, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28801, 6619, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28797, 6618, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28772, 6613, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28773, 6614, 'SELECT', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28779, 6615, 'Оба варианта верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28781, 6616, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28790, 6617, 'Перечисления (Enum)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28750, 6608, 'Код не скомпилируется по другой причине', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28761, 6611, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28766, 6612, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28753, 6609, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28755, 6609, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28802, 6619, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28803, 6619, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28804, 6620, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28805, 6620, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28806, 6620, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28807, 6620, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28809, 6621, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28810, 6621, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28812, 6621, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28813, 6622, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28815, 6622, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28816, 6622, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28817, 6623, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28819, 6623, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28820, 6623, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28822, 6624, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28823, 6624, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28824, 6624, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28825, 6624, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28827, 6625, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28828, 6625, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28829, 6625, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28830, 6625, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28831, 6626, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28832, 6626, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28835, 6626, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28836, 6626, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28837, 6627, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28838, 6627, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28840, 6627, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28842, 6628, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28843, 6629, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28844, 6629, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28845, 6629, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28847, 6630, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28848, 6630, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28849, 6630, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29057, 6674, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28851, 6630, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28852, 6630, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28854, 6631, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28853, 6631, 'SELECT', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28808, 6620, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28811, 6621, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28814, 6622, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28818, 6623, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28821, 6624, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28826, 6625, 'Код выведет aFlipaFlop FlopFlip', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28841, 6628, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28833, 6626, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28834, 6626, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28857, 6632, 'Метод проверяет привязан ли объект к кэшу сессии', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28858, 6632, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28859, 6632, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28862, 6633, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28863, 6633, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28865, 6633, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28867, 6634, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28868, 6634, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28869, 6634, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28870, 6634, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28871, 6634, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28873, 6635, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28874, 6635, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28875, 6635, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28876, 6635, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28878, 6635, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28879, 6636, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28880, 6636, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28881, 6636, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28882, 6636, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28839, 6627, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28877, 6635, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28883, 6636, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28850, 6630, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28860, 6632, 'Оба варианта неверны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28864, 6633, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28866, 6633, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28861, 6633, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28872, 6634, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28846, 6629, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28599, 6576, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28637, 6584, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28643, 6585, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28610, 6579, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28626, 6582, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28621, 6582, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28566, 6569, 'Pelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28570, 6570, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28574, 6571, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28884, 6637, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28885, 6637, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28886, 6637, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29059, 6674, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28887, 6637, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28889, 6638, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28891, 6638, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28892, 6638, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28888, 6637, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28890, 6638, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28982, 6658, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28983, 6658, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28984, 6658, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28985, 6658, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28986, 6659, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28987, 6659, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28988, 6659, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28989, 6659, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29119, 6689, 'Метод черного ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28981, 6658, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28893, 6639, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28895, 6639, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28896, 6639, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28897, 6640, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28899, 6640, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28900, 6640, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28902, 6641, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28903, 6641, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28904, 6641, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28905, 6641, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28906, 6642, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28907, 6642, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28908, 6642, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28909, 6642, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28911, 6643, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28912, 6643, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28917, 6644, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28918, 6644, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28920, 6644, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28922, 6645, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28923, 6646, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28924, 6646, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28925, 6646, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28927, 6647, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28928, 6647, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28929, 6647, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28930, 6647, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28931, 6647, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28933, 6648, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28934, 6648, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28935, 6648, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28938, 6649, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28939, 6649, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28940, 6649, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28942, 6650, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28943, 6650, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28919, 6644, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28932, 6647, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28936, 6648, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28937, 6649, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28894, 6639, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28967, 6654, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29174, 6702, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28898, 6640, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28901, 6641, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28910, 6642, 'Код не скомпилируется по другой причине', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28921, 6645, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28915, 6643, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28914, 6643, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28913, 6643, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28916, 6643, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28991, 6660, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28992, 6660, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29120, 6689, 'Граничная стратегия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28945, 6650, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28947, 6651, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28948, 6651, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28949, 6651, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28950, 6651, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28951, 6651, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28953, 6652, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28954, 6652, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28955, 6652, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28956, 6652, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28958, 6652, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28959, 6653, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28960, 6653, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28961, 6653, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28962, 6653, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28439, 6542, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28482, 6551, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28466, 6548, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28461, 6548, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28408, 6535, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28957, 6652, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28963, 6653, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28941, 6650, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28946, 6650, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28944, 6650, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28952, 6651, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28926, 6646, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28964, 6654, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28965, 6654, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28966, 6654, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28968, 6654, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28969, 6655, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28970, 6655, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28971, 6655, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28973, 6656, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28975, 6656, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28976, 6656, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28977, 6657, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28978, 6657, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28980, 6657, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28974, 6656, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28979, 6657, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28995, 6660, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28996, 6660, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28997, 6661, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28998, 6661, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29000, 6661, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29002, 6662, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29003, 6663, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29004, 6663, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29005, 6663, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29007, 6664, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29008, 6664, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29009, 6664, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29011, 6664, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29012, 6664, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29014, 6665, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29015, 6665, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29016, 6665, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29017, 6666, 'Метод проверяет привязан ли объект к кэшу сессии', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29018, 6666, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29020, 6666, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29021, 6667, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29024, 6667, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29025, 6667, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29027, 6668, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29028, 6668, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29029, 6668, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29030, 6668, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29031, 6668, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29033, 6669, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29035, 6669, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29036, 6669, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29037, 6669, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29038, 6669, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29039, 6670, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29041, 6670, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29042, 6670, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29043, 6670, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29045, 6671, 'B. Исправить дефекты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29046, 6671, 'Вариант А и В', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29047, 6671, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29048, 6672, 'Раннее тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29049, 6672, 'Кластеризация дефектов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29050, 6672, 'Парадокс пестицида', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28999, 6661, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29034, 6669, 'git log --author', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29010, 6664, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29013, 6665, 'SELECT', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29019, 6666, 'Оба варианта верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29026, 6667, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29032, 6668, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29001, 6662, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29006, 6663, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28994, 6660, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29052, 6673, 'План тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29053, 6673, 'Спецификация процедуры тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29055, 6673, 'Тестовые данные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29061, 6675, 'Статическое тестирование включает ручную имитацию программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29062, 6675, 'Статическое тестирование включает в себя такие техники, как рецензирование и инспекция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29063, 6675, 'Статическое тестирование может включать в себя такие измерения, как цикломатическая сложность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29064, 6676, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29065, 6676, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29067, 6676, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29068, 6677, 'Доказать, что оставшиеся дефекты не вызовут никаких дополнительных сбоев', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29069, 6677, 'Запустить все тесты, которые определены для тестового объекта как можно быстрее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29070, 6677, 'Доказать, что все ошибки были выявлены путем тщательного тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29072, 6678, 'Стресс-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29073, 6678, 'Тестирование черного ящика', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29074, 6678, 'Структурное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29076, 6679, 'Всегда будет автоматизирован', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29078, 6679, 'Поможет понять, что измененные области программного обеспечения не были затронуты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29079, 6679, 'Может выполняться только во время приемочного тестирования пользователя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29080, 6680, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29081, 6680, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29083, 6680, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29084, 6680, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29086, 6681, 'Как воспроизвести неисправность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29087, 6681, 'Сведения о тестовой среде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29088, 6681, 'Серьезность, приоритет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29089, 6681, 'Фактические и ожидаемые результаты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29090, 6682, 'При обнаружении указанного количества неисправностей', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29092, 6682, 'По завершении всех тестов с высоким и средним приоритетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29093, 6683, 'Это приемлемый риск многопользовательской системы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29095, 6683, 'Это означает, что важное нефункциональное требование не было определено и протестировано', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29096, 6683, 'Это невозможно было протестировать до релиза', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29098, 6684, '13, 19 и 25 лет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29099, 6684, '13, 16 и 19 лет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29100, 6684, '12, 13 и 20 лет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29101, 6685, 'Тестирование - это то же самое, что и обеспечение качества', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29103, 6685, 'Тестирование не является частью обеспечения качества', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29104, 6685, 'Тестирование - это то же самое, что и отладка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29105, 6686, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29106, 6686, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29107, 6686, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29109, 6687, 'Блокирующий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29111, 6687, 'Высокий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29112, 6687, 'Низкий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29113, 6688, 'W1, X2, Y3, Z4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29115, 6688, 'W2, X3, Y1, Z4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29116, 6688, 'W1, X4, Y2, Z3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29117, 6689, 'Разбиение на классы эквивалентности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29054, 6673, 'Тестовый сценарий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29058, 6674, '22, 23, 24', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29060, 6675, 'Статическое тестирование требует выполнения кода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29066, 6676, 'Отладка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29075, 6678, 'Регрессионное тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29077, 6679, 'Поможет понять, что неизмененные области программного обеспечения не были затронуты', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29082, 6680, '10000, 50000, 99999', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29085, 6681, 'Как исправить неисправность', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29091, 6682, 'При соблюдении критериев завершения тестирования', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29094, 6683, 'Проведено недостаточное функциональное тестирование', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29097, 6684, '10, 15 и 19 лет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29102, 6685, 'Тестирование является частью обеспечения качества', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29108, 6686, '0, 1, 10, 100, емкость, емкость + 1', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29110, 6687, 'Критический', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29114, 6688, 'W1, X3, Y4, Z2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29118, 6689, 'Метод белого ящика
', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29122, 6690, 'Кластеризация дефектов
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29123, 6690, 'Парадокс пестицида', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29124, 6690, 'Заблуждение об отсутствии ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29125, 6691, '-1, 0, 89.6 и 212', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29126, 6691, '-40, 37.78, и 100', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29127, 6691, '-1, 0, 1 и 37.78', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29130, 6692, 'Компиляция не является формой статического анализа.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29341, 6738, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29131, 6692, 'При правильном выполнении статический анализ делает функциональное тестирование избыточным.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29132, 6692, 'Статический анализ находит все недочеты.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29133, 6693, 'Остальные 15 дефектов должны быть проверены до выпуска.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29135, 6693, 'Система теперь готова к выпуску без каких-либо дополнительных усилий по тестированию или разработке.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29136, 6693, 'Программисты должны сосредоточить свое внимание на устранении оставшихся известных дефектов до выпуска.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29044, 6671, 'А. Найти дефекты', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29051, 6672, 'Исчерпывающее тестирование', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29071, 6677, 'Вызвать как можно больше сбоев, чтобы выявить и исправить ошибки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29121, 6690, 'Исчерпывающее тестирование невозможно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29128, 6691, '-40, 0, 32 и 100', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29129, 6692, 'При статическом анализе можно найти дефекты, которые трудно найти при динамическом тестировании.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29134, 6693, 'Оставшиеся 10% тест-кейсов должны быть выполнены до выпуска.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29040, 6670, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29023, 6667, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29022, 6667, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28990, 6659, 'Код не скомпилируется по другой причине', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28993, 6660, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28519, 6559, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28530, 6562, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28544, 6565, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28526, 6561, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29137, 6694, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29139, 6694, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29140, 6694, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29141, 6694, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29142, 6695, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29144, 6695, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29145, 6695, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29146, 6696, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29148, 6696, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29149, 6696, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29150, 6697, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29152, 6697, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29153, 6697, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29154, 6698, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29138, 6694, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29143, 6695, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29147, 6696, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29151, 6697, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29155, 6698, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29157, 6698, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29158, 6698, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29159, 6699, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29160, 6699, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29162, 6699, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29163, 6699, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29168, 6700, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29169, 6700, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29170, 6701, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29171, 6701, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29173, 6701, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29176, 6703, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29177, 6703, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29178, 6703, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29180, 6704, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29181, 6704, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29182, 6704, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29184, 6704, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29185, 6704, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29186, 6705, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29187, 6705, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29188, 6705, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29191, 6706, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29192, 6706, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29193, 6706, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29195, 6707, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29196, 6707, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29198, 6707, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29200, 6708, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29201, 6708, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29202, 6708, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29203, 6708, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29204, 6708, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29206, 6709, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29207, 6709, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29208, 6709, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29209, 6709, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29211, 6709, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29212, 6710, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29210, 6709, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29183, 6704, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29189, 6705, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29190, 6706, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29197, 6707, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29205, 6708, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29156, 6698, '123', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29161, 6699, 'Код выведет aFlipFlop FlopFlip', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29175, 6702, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29179, 6703, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29166, 6700, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29164, 6700, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29165, 6700, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29167, 6700, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29214, 6710, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29215, 6710, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29216, 6710, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29217, 6711, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29219, 6711, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29220, 6711, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29221, 6711, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29223, 6712, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29224, 6712, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29225, 6712, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29226, 6713, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29228, 6713, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29787, 6832, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29229, 6713, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29230, 6714, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29231, 6714, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29232, 6714, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29235, 6715, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29236, 6715, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29237, 6715, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29238, 6715, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29239, 6716, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29240, 6716, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29241, 6716, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29243, 6716, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29245, 6717, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29246, 6717, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29248, 6717, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29249, 6717, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29250, 6718, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29251, 6718, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29253, 6718, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29254, 6719, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29255, 6719, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29256, 6719, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29258, 6720, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29260, 6721, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29261, 6721, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29262, 6721, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29263, 6721, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29218, 6711, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29222, 6712, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29227, 6713, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29233, 6714, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29234, 6715, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29242, 6716, 'Код не скомпилируется, так как concat1() возвращает Optional', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29259, 6720, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29244, 6717, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29247, 6717, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29265, 6721, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29267, 6722, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29268, 6722, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29269, 6722, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29271, 6723, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29272, 6723, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29274, 6723, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29276, 6724, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29277, 6724, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29278, 6724, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29279, 6724, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29280, 6724, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29282, 6725, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29284, 6725, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29285, 6725, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29286, 6726, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29287, 6726, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29288, 6726, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29289, 6726, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29291, 6726, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29292, 6727, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29293, 6727, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29788, 6832, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29294, 6727, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29296, 6727, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29252, 6718, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29290, 6726, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29295, 6727, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29264, 6721, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29266, 6722, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29270, 6723, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29273, 6723, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29275, 6723, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29281, 6724, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29283, 6725, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29257, 6719, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29297, 6728, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29299, 6728, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29300, 6728, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29301, 6728, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29302, 6729, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29304, 6729, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29305, 6729, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29306, 6730, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29359, 6741, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29360, 6741, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29298, 6728, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29303, 6729, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29307, 6730, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29308, 6730, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29309, 6730, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29310, 6731, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29312, 6731, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29313, 6731, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29315, 6732, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29316, 6732, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29317, 6732, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29318, 6732, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29320, 6733, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29321, 6733, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29322, 6733, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29323, 6733, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29324, 6734, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29325, 6734, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29326, 6734, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29329, 6734, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29330, 6735, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29331, 6735, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29333, 6735, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29334, 6736, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29335, 6736, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29336, 6736, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29339, 6737, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29340, 6738, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33584, 7674, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29342, 6738, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29343, 6738, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29345, 6738, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29347, 6739, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29348, 6739, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29349, 6739, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29350, 6740, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29351, 6740, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29352, 6740, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29355, 6740, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29356, 6741, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29357, 6741, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29358, 6741, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29346, 6739, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29353, 6740, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29311, 6731, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29314, 6732, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29319, 6733, 'Код выведет aFlipaFlop FlopFlip', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29337, 6736, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29338, 6737, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29328, 6734, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29327, 6734, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29363, 6742, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29364, 6742, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29365, 6742, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29366, 6743, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29367, 6743, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29368, 6743, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29370, 6743, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29371, 6743, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29372, 6744, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29374, 6744, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29375, 6744, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29376, 6744, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29377, 6745, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29378, 6745, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29379, 6745, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29381, 6745, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29382, 6746, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29384, 6746, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29385, 6746, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29386, 6747, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29388, 6747, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29389, 6747, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29390, 6748, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29392, 6748, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29393, 6748, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29394, 6749, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29396, 6749, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29397, 6749, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29398, 6749, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29399, 6750, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29400, 6750, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29402, 6750, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29403, 6750, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29405, 6751, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33882, 7740, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29406, 6751, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29408, 6751, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29409, 6751, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29410, 6752, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29411, 6752, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29413, 6752, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29414, 6753, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29415, 6753, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29416, 6753, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29527, 6777, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29528, 6777, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29361, 6741, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29362, 6742, 'SELECT', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29412, 6752, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29380, 6745, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29383, 6746, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29387, 6747, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29391, 6748, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29395, 6749, '1one2two3three', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29401, 6750, 'Код выведет aFlipFlop FlopFlip', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29407, 6751, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29404, 6751, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29419, 6754, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29420, 6755, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29421, 6755, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29422, 6755, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29423, 6755, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29424, 6755, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29426, 6756, 'Метод проверяет привязан ли объект к кэшу сессии', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29427, 6756, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29428, 6756, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29431, 6757, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29432, 6757, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29434, 6757, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29436, 6758, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29437, 6758, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29438, 6758, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29439, 6758, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29440, 6758, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29442, 6759, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29443, 6759, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29444, 6759, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29446, 6760, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29447, 6760, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29448, 6760, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29449, 6760, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29451, 6760, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29452, 6761, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29453, 6761, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29454, 6761, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29455, 6761, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29457, 6762, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29459, 6762, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29460, 6762, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29461, 6762, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29462, 6763, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29464, 6763, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29465, 6763, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29466, 6764, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29467, 6764, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29468, 6764, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29470, 6765, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29463, 6763, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29450, 6760, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29456, 6761, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29425, 6755, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29429, 6756, 'Оба варианта неверны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29430, 6757, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29441, 6758, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29445, 6759, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29417, 6753, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29418, 6754, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29471, 6765, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29473, 6765, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29474, 6766, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29476, 6766, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29477, 6766, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29478, 6766, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29480, 6767, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29481, 6767, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29482, 6767, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29483, 6767, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29485, 6768, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29486, 6768, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29488, 6768, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29490, 6769, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29491, 6769, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29493, 6769, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29494, 6770, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29495, 6770, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29496, 6770, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29499, 6771, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29500, 6772, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29501, 6772, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29502, 6772, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29504, 6772, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29505, 6772, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29507, 6773, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29508, 6773, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29509, 6773, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29510, 6774, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29511, 6774, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29513, 6774, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29514, 6774, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29516, 6775, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29517, 6775, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29518, 6775, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29519, 6775, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29520, 6775, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29522, 6776, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29524, 6776, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29525, 6776, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29526, 6777, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29506, 6773, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29512, 6774, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29521, 6775, 'Все перечисленные типы данных можно использовать', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29523, 6776, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29472, 6765, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29475, 6766, '1one2two3three', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29479, 6767, 'Код выведет aFlipaFlop FlopFlip', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29497, 6770, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29498, 6771, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29487, 6768, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29484, 6768, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29489, 6768, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29529, 6777, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29531, 6777, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29533, 6778, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29534, 6778, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29535, 6778, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29536, 6778, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29492, 6769, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29530, 6777, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29532, 6778, 'Нет, так как они удаляются без возможности восстановления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29503, 6772, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29515, 6774, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29458, 6762, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29537, 6779, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29538, 6779, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29540, 6779, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29541, 6779, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29542, 6780, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29543, 6780, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29545, 6780, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29546, 6781, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29548, 6781, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29549, 6781, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29550, 6782, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29552, 6782, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29553, 6782, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29555, 6783, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29556, 6783, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29557, 6783, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29558, 6783, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29559, 6784, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29560, 6784, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29561, 6784, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29562, 6784, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29565, 6785, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29566, 6785, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29568, 6785, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29571, 6786, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29572, 6786, 'docker ps', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29573, 6786, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29574, 6787, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29575, 6787, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32251, 7331, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29576, 6787, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29570, 6786, 'docker cs', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29539, 6779, 'Pelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29544, 6780, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29551, 6782, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29554, 6783, 'Ошибка компиляции', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29563, 6784, 'Код не скомпилируется по другой причине', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29564, 6785, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29569, 6785, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29567, 6785, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29579, 6788, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29580, 6789, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29582, 6789, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29583, 6789, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29584, 6789, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29585, 6789, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29587, 6790, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29588, 6790, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29589, 6790, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29591, 6791, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29592, 6791, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29594, 6791, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29597, 6792, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29598, 6792, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29599, 6792, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29600, 6792, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29601, 6792, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29602, 6793, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29603, 6793, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29604, 6793, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29606, 6794, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29607, 6794, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29608, 6794, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29609, 6794, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29610, 6794, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29612, 6795, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29614, 6795, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29615, 6795, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29616, 6795, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29469, 6764, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29617, 6796, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29618, 6796, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29619, 6796, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29621, 6796, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29622, 6797, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29623, 6797, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29625, 6797, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29626, 6798, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29628, 6798, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29620, 6796, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29624, 6797, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29627, 6798, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29611, 6794, 'git commit --author', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29613, 6795, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29581, 6789, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29586, 6790, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29728, 6819, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29593, 6791, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29596, 6792, 'Примитивные классы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29605, 6793, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29577, 6787, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29578, 6788, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29629, 6798, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29630, 6799, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29631, 6799, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29632, 6799, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29634, 6800, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29635, 6800, '1one2two3three', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29637, 6800, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29638, 6800, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29639, 6801, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29641, 6801, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29642, 6801, 'Код не скомпилируется, так как concat1() возвращает Optional', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29643, 6801, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29644, 6802, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29646, 6802, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29647, 6802, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29648, 6802, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29649, 6802, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29650, 6803, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29651, 6803, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29653, 6803, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29654, 6804, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29655, 6804, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29656, 6804, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29659, 6805, 'Не верно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29660, 6806, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29662, 6806, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29663, 6806, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29664, 6806, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29665, 6806, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29667, 6807, 'Метод проверяет привязан ли объект к БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29668, 6807, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29669, 6807, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29670, 6808, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29671, 6808, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29672, 6808, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29674, 6808, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29675, 6808, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29676, 6809, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29677, 6809, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29678, 6809, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29679, 6809, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29652, 6803, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29666, 6807, 'Метод проверяет привязан ли объект к кэшу сессии', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29680, 6809, 'Любой POJO класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29633, 6799, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29636, 6800, '123', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29640, 6801, 'Код выведет FlipFlop FlopFlip', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29729, 6819, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29657, 6804, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29658, 6805, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29645, 6802, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32062, 7279, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32063, 7279, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32130, 7298, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29681, 6809, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29682, 6810, 'SELECT', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29683, 6810, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29684, 6810, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29686, 6811, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29688, 6811, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29689, 6811, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29690, 6811, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29691, 6811, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29692, 6812, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29693, 6812, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29694, 6812, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29696, 6812, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29687, 6811, 'git log --author', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29695, 6812, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29661, 6806, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29673, 6808, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29685, 6810, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29697, 6813, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29699, 6813, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29700, 6813, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29701, 6813, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29703, 6814, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29704, 6814, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29705, 6814, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29706, 6815, 'Техника, которая может быть использована в синглтоне для экономии памяти при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29707, 6815, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29709, 6815, 'Техника, которая может быть использована в immutable классе, чтобы создавать объект во время первого обращения к нему', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29711, 6816, 'Если и super() и this() оба использованы в одном конструкторе, super() должен стоять сразу после this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29712, 6816, 'Если использован this(), он должен стоять первой строкой в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29713, 6816, 'Если вызывается this() с аргументами, то в классе должен быть конструктор, способный принять эти аргументы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29714, 6817, 'Ошибка компиляции', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29716, 6817, '123', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29717, 6817, 'onetwothree', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29718, 6817, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29719, 6818, 'Код выведет aFlipaFlop FlopFlip', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29720, 6818, 'Код выведет FlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29721, 6818, 'Код выведет aFlipFlop FlopFlip', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29723, 6818, 'Код не скомпилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29724, 6819, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29725, 6819, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29726, 6819, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29730, 6820, 'docker cs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29731, 6820, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29733, 6820, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29732, 6820, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29698, 6813, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29702, 6814, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29708, 6815, 'Техника, которая может быть использована в immutable классе для экономии памяти для создания объекта', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29710, 6816, 'Если вызван this() без аргументов, тогда класс должен явно реализовывать конструктор без аргументов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29715, 6817, '1one2two3three', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29722, 6818, 'Код не скомпилируется, так как concat1() возвращает Optional', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29727, 6819, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29845, 6844, 'Ничего из перечисленного. Строка A выбросит исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29846, 6845, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29847, 6845, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32280, 7338, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32281, 7339, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29734, 6821, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29735, 6821, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29737, 6821, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29738, 6822, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29740, 6823, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29741, 6823, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29742, 6823, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29743, 6823, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29744, 6823, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29746, 6824, 'Метод проверяет привязан ли объект к кэшу сессии', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29748, 6824, 'Оба варианта верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29749, 6824, 'Оба варианта неверны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29750, 6825, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29751, 6825, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29752, 6825, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29756, 6826, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29757, 6826, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29758, 6826, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29759, 6826, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29761, 6826, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29763, 6827, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29764, 6827, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29765, 6827, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29766, 6828, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29767, 6828, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29768, 6828, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29769, 6828, 'git show --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29771, 6828, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29772, 6829, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29773, 6829, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29775, 6829, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29776, 6829, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29770, 6828, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29774, 6829, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29745, 6823, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29747, 6824, 'Метод проверяет привязан ли объект к БД', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29753, 6825, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29754, 6825, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29755, 6825, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29760, 6826, 'Любой POJO класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29762, 6827, 'SELECT', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29736, 6821, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29739, 6822, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29777, 6830, 'ab 20.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29778, 6830, 'ab 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29780, 6830, '195 20', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29781, 6830, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29782, 6830, 'Runtime exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29783, 6831, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29784, 6831, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29785, 6831, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29789, 6832, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29791, 6833, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29792, 6833, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29793, 6833, 'Пользователь неверно ввел свой пароль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29795, 6834, 'Скрывает, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29796, 6834, 'Переопределяет, скрывает', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29798, 6834, 'заменяет, переопределяет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29799, 6835, 'Абстрактного класса, конкретного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29800, 6835, 'Класса-потомка, внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29802, 6835, 'Класса-потомка, класса предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29803, 6836, 'static', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29805, 6836, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29806, 6836, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29808, 6837, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29809, 6837, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29810, 6837, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29812, 6838, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29813, 6838, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29814, 6838, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29815, 6839, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29816, 6839, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29818, 6839, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29819, 6839, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29820, 6840, 'Метод finalize() вызывается, как только на объект больше не остается ни одной ссылки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29821, 6840, 'Метод finalize() может быть вызван только один раз', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29822, 6840, 'Метод finalize() может быть не вызван вовсе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29824, 6840, 'Метод finalize() может быть объявлен как protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29825, 6841, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29826, 6841, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29828, 6841, 'Первое выражение безопасно для NullPointerException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29829, 6841, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29830, 6842, 'Первым напечатается "test1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29831, 6842, 'Первым напечатается "test2"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29833, 6842, 'Результат неизвестен до запуска программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29834, 6843, 'Код выведет: true false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29835, 6843, 'Код выведет: true true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29836, 6843, 'Код выведет: java.util.stream.ReferencePipeline$3@4517d9a3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29837, 6843, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29838, 6843, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29840, 6844, 'if (optional.isPresent()) System.out.println(optional.get());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29841, 6844, 'if (optional.isPresent()) System.out.println(optional.getAsLong());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29843, 6844, 'optional.ifPresent(System.out::println)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29844, 6844, 'Ничего из перечисленного. Код не скомпилируется.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29790, 6832, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29794, 6833, 'У приложения кончилась память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29797, 6834, 'Скрывает, Скрывает', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29801, 6835, 'Класса-предка, класса-потомка', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29804, 6836, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29807, 6837, 'String изменяем', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29811, 6838, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29817, 6839, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29823, 6840, 'Метод finalize() увеличивает производительность т.к. помогает сборщику мусора освобождать память', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29827, 6841, 'Скорость выполнения операции сравнения во втором случае выше', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29832, 6842, 'Код не скомпилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29839, 6843, 'Код зависнет и будет ждать вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29842, 6844, 'optional.ifPresent(System.out.println)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29966, 6869, 'Абстрактный класс, интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29967, 6870, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29849, 6845, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29850, 6845, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32252, 7331, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29851, 6846, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29852, 6846, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29853, 6846, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29855, 6847, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29856, 6847, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29857, 6847, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29858, 6847, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29860, 6848, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29861, 6848, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29863, 6848, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29864, 6849, 'Верно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29866, 6850, 'Конфигурацию можно провести только через XML файл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29867, 6850, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29869, 6850, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29870, 6850, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29871, 6851, 'Примитивные классы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29872, 6851, 'Обертки примитивных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29874, 6851, 'Перечисления (Enum)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29875, 6851, 'Любой POJO класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29876, 6851, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29877, 6852, 'Возможно, две любых стратегии наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29878, 6852, 'Возможно, любое количество стратегий наследования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29880, 6852, 'Невозможно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29868, 6850, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29873, 6851, 'Класс String', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29879, 6852, 'Возможно, но только JOINED вместе с TABLE_PER_CLASS, в остальных доступна только одна стратегия', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29786, 6831, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29848, 6845, 'Код не компилируется из за ошибки на строке B', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29854, 6846, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29859, 6847, 'initMethod', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29862, 6848, 'Действие, которое будет выполняться для выбранных нами методов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29865, 6849, 'Не верно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29172, 6701, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29213, 6710, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29199, 6707, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29194, 6707, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29332, 6735, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29369, 6743, 'git show --author', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29373, 6744, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29344, 6738, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29354, 6740, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29882, 6853, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29883, 6853, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29884, 6853, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29885, 6854, 'a -> {return 1;}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29888, 6854, '(-) () -> {return null}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29890, 6854, '(-) (int count) -> count+1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29892, 6855, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29893, 6855, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29894, 6855, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29896, 6856, 'Ошибка компиляции на строке static class Inner {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29889, 6854, '(+) () -> "The" + "Test"', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29887, 6854, '() -> 5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29891, 6855, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29895, 6856, 'Код выполнится успешно и выведет 3 3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29969, 6870, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29970, 6870, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29897, 6856, 'Ошибка компиляции на строке public static void main(String args[]) {', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29898, 6856, 'Ошибка компиляции на строке System.out.println(obj.x + " " + obj.y);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33885, 7740, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29899, 6856, 'Во время выполнения будет брошено исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29900, 6857, 'Testers.properties и Testers.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29901, 6857, 'Testers.properties и Testers_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29902, 6857, 'Testers_en.properties и Testers_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29904, 6857, 'Testers_fr.properties и Testers_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29905, 6857, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29907, 6858, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29908, 6858, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29909, 6858, 'Ошибка компиляции на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29910, 6858, 'Ошибка компиляции на строках A, C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29911, 6858, 'Ошибка компиляции на строках A, B, C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29912, 6859, 'throws, throw', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29913, 6859, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29914, 6859, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29917, 6860, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29918, 6860, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29919, 6860, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29920, 6861, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29921, 6861, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29925, 6861, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29926, 6862, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29927, 6862, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29929, 6862, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29930, 6862, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29935, 6863, 'Конфигурация на основе groovy файлов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29937, 6864, '@RestController помечается класс используемый как REST клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29938, 6864, '@RestController = @Controller + @RequestBody + @ResponseBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29939, 6864, '@RestController = @Controller + @RequestBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29942, 6865, 'Singleton', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29943, 6865, 'Session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29944, 6865, 'Request', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29945, 6865, 'Prototype или Singleton', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29946, 6865, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29947, 6866, 'Во время добавления удаленного репозитория:
git remote add -m ''Первый коммит''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29948, 6866, 'Во время инициализации репозитория:
git init -m ''Первый коммит''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29950, 6866, 'Во время коммита:
git commit -m ''Первый коммит''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29951, 6866, 'Во время пуша:
git push -m ''Первый коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29952, 6866, 'Во время другой операции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29953, 6867, 'Ошибка, такой команды не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29954, 6867, 'Ошибка, у команды нет ключа d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29955, 6867, 'Ошибка, у команды нет ключа f', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29956, 6867, 'Удалит все untracked файлы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29957, 6867, 'Удалит все untracked файлы и папки', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29949, 6866, 'Во время подготовки коммита:
git add -m ''Первый коммит''', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29958, 6867, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29941, 6865, 'Prototype', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29881, 6853, 'Код выведет 1000', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29886, 6854, '() -> {String string = "";}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29903, 6857, 'Testers_fr.properties и Testers.properties', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29906, 6858, 'Код выведет "Complete"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29915, 6859, 'throw, catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29916, 6860, '960', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29934, 6863, 'Java based конфиуграция', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29932, 6863, 'XML конфиуграция', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29933, 6863, 'JSON конфигурация', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29936, 6863, 'Annotation based конфиуграция', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29940, 6864, '@RestController = @Controller + @ResponseBody', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29590, 6791, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29595, 6791, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29923, 6861, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29922, 6861, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29924, 6861, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29928, 6862, 'Select * from users where name = ''Ivan'';', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29931, 6862, 'Select * from users where name = ''%Ivan%'';', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29959, 6868, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29960, 6868, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29962, 6868, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29963, 6869, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29965, 6869, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29964, 6869, 'Интерфейс, абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29971, 6871, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29973, 6871, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29974, 6871, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29975, 6872, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29976, 6872, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29978, 6872, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29979, 6873, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29980, 6873, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29981, 6873, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29984, 6874, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29985, 6874, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29986, 6874, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29987, 6874, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29988, 6874, 'Код компилируется и ждет вечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29989, 6875, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29990, 6875, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29991, 6875, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29993, 6876, 'allMatch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29994, 6876, 'anyMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29995, 6876, 'findAny', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29996, 6876, 'findFirst', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29997, 6876, 'noneMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29999, 6877, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30000, 6877, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30001, 6877, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30002, 6877, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30004, 6877, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30005, 6878, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30006, 6878, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30007, 6878, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30008, 6878, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30010, 6878, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30011, 6879, 'DEFINE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30013, 6879, 'COMPOSE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30014, 6879, 'OPEN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30015, 6880, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30016, 6880, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30017, 6880, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30019, 6881, '@RestController помечается класс используемый как REST клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30020, 6881, '@RestController = @Controller + @RequestBody + @ResponseBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30022, 6881, '@RestController = @Controller + @ResponseBody', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30023, 6882, 'Возвращает null при отсутствии экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30025, 6882, 'Возвращает экземпляр-прокси при ленивой инициализации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30026, 6882, 'Кидает Exception при ленивой инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30027, 6882, 'Возвращает экземпляр, доступный только для чтения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30028, 6883, 'hibernate.cache.use_second_level_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29972, 6871, 'Интерфейс, который содержит в себе только один абстрактный метод', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29977, 6872, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29983, 6874, 'Код скомпилируется и выведет 2 числа, а затем Test', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29992, 6875, '3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29998, 6876, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30003, 6877, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30009, 6878, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30018, 6880, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30021, 6881, '@RestController = @Controller + @RequestBody', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30029, 6883, 'hibernate.cache.use_cache_query=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30031, 6883, 'hibernate.cache.use_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30032, 6883, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30033, 6884, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30034, 6884, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30216, 6920, 'Код компилируется и ждет вечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30217, 6921, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30036, 6884, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30037, 6884, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30038, 6884, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30039, 6885, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30040, 6885, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30041, 6885, 'Через метод buildSessionFactory() класса Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30043, 6885, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30044, 6886, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30045, 6886, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30046, 6886, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30048, 6886, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30049, 6887, 'Управляет взаимодействием между сессией и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30050, 6887, 'Управляет взаимодействием между сессией и кэшем первого уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30051, 6887, 'Управляет взаимодействием между сессией и кэшем второго уровня', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30053, 6887, 'Управляет взаимодействием между кэшем первого уровня и кэшем второго уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30054, 6887, 'Управляет взаимодействием между кэшем второго уровня и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30055, 6888, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30057, 6888, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30058, 6888, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30059, 6888, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30060, 6888, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30061, 6889, 'Ветку, содержащую хотя бы один коммит, нельзя удалить', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30062, 6889, 'git delete --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30063, 6889, 'git branch --delete somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30064, 6889, 'git branch --d somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30066, 6889, 'git remove --b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30067, 6890, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30068, 6890, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30070, 6890, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30071, 6890, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30072, 6890, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30012, 6879, 'EXPOSE', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30056, 6888, 'Указатель на самый последний коммит в ветке', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30065, 6889, 'git reset --branch somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30069, 6890, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30024, 6882, 'Кидает Exception при отсутствии экземпляра', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30030, 6883, 'hibernate.cache.use_query_cache=true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30035, 6884, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30042, 6885, 'Через метод buildSessionFactory() класса Connection', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30047, 6886, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30052, 6887, 'Управляет взаимодействием между сессией и кэшем запросов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29961, 6868, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29968, 6870, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29982, 6873, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29547, 6781, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30073, 6891, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30075, 6891, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30076, 6891, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30077, 6892, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30195, 6916, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30078, 6892, 'Интерфейс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30079, 6892, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30081, 6893, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30082, 6893, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30084, 6893, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30085, 6894, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30149, 6907, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30087, 6894, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30088, 6894, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30089, 6895, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30091, 6895, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30092, 6895, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30093, 6896, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30094, 6896, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30098, 6897, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30099, 6897, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30100, 6897, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30101, 6897, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30102, 6897, 'Код компилируется и ждет вечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30103, 6898, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30104, 6898, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30106, 6898, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30107, 6899, 'allMatch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30108, 6899, 'anyMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30109, 6899, 'findAny', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30110, 6899, 'findFirst', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30112, 6899, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30113, 6900, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30114, 6900, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30115, 6900, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30116, 6900, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30117, 6900, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30119, 6901, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30120, 6901, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30121, 6901, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30122, 6901, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30124, 6901, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30125, 6902, 'DEFINE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30127, 6902, 'COMPOSE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30128, 6902, 'OPEN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30129, 6903, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30130, 6903, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30131, 6903, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30133, 6904, '@RestController помечается класс используемый как REST клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30134, 6904, '@RestController = @Controller + @RequestBody + @ResponseBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30135, 6904, '@RestController = @Controller + @RequestBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30137, 6905, 'Возвращает null при отсутствии экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30083, 6893, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30086, 6894, 'Интерфейс, который содержит в себе только один абстрактный метод', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30090, 6895, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30097, 6897, 'Код скомпилируется и выведет 2 числа, а затем Test', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30105, 6898, '2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30111, 6899, 'noneMatch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30118, 6900, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30123, 6901, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30132, 6903, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30136, 6904, '@RestController = @Controller + @ResponseBody', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30138, 6905, 'Кидает Exception при отсутствии экземпляра', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30140, 6905, 'Кидает Exception при ленивой инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30141, 6905, 'Возвращает экземпляр, доступный только для чтения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30143, 6906, 'hibernate.cache.use_cache_query=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30144, 6906, 'hibernate.cache.use_query_cache=true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30145, 6906, 'hibernate.cache.use_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30146, 6906, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30147, 6907, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30148, 6907, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30218, 6921, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30220, 6921, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30151, 6907, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30152, 6907, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30153, 6908, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30154, 6908, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30156, 6908, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30157, 6908, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30158, 6909, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30159, 6909, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30161, 6909, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30162, 6909, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30163, 6910, 'Управляет взаимодействием между сессией и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30164, 6910, 'Управляет взаимодействием между сессией и кэшем первого уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30165, 6910, 'Управляет взаимодействием между сессией и кэшем второго уровня', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30166, 6910, 'Управляет взаимодействием между сессией и кэшем запросов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30168, 6910, 'Управляет взаимодействием между кэшем второго уровня и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30169, 6911, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30171, 6911, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30172, 6911, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30173, 6911, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30174, 6911, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30175, 6912, 'Ветку, содержащую хотя бы один коммит, нельзя удалить', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30176, 6912, 'git delete --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30177, 6912, 'git branch --delete somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30179, 6912, 'git reset --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30180, 6912, 'git remove --b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30182, 6913, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30183, 6913, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30186, 6913, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30187, 6914, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30189, 6914, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30190, 6914, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30191, 6915, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30192, 6915, 'Интерфейс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30193, 6915, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30178, 6912, 'git branch --d somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30181, 6913, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30139, 6905, 'Возвращает экземпляр-прокси при ленивой инициализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30142, 6906, 'hibernate.cache.use_second_level_cache=true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30150, 6907, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30155, 6908, 'Через метод buildSessionFactory() класса Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30160, 6909, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30167, 6910, 'Управляет взаимодействием между кэшем первого уровня и кэшем второго уровня', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30188, 6914, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30194, 6915, 'Абстрактный класс, интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30201, 6917, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30202, 6917, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30203, 6918, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30205, 6918, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30206, 6918, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30207, 6919, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30208, 6919, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30212, 6920, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30213, 6920, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30214, 6920, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30215, 6920, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30222, 6922, 'anyMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30226, 6922, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30227, 6923, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30228, 6923, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30229, 6923, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30230, 6923, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30231, 6923, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30233, 6924, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30234, 6924, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30236, 6924, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30237, 6924, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30238, 6924, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30239, 6925, 'DEFINE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30241, 6925, 'COMPOSE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30242, 6925, 'OPEN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30243, 6926, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30244, 6926, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30245, 6926, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30247, 6927, '@RestController помечается класс используемый как REST клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30248, 6927, '@RestController = @Controller + @RequestBody + @ResponseBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30250, 6927, '@RestController = @Controller + @ResponseBody', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30251, 6928, 'Возвращает null при отсутствии экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30252, 6928, 'Кидает Exception при отсутствии экземпляра', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30254, 6928, 'Кидает Exception при ленивой инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30255, 6928, 'Возвращает экземпляр, доступный только для чтения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30257, 6929, 'hibernate.cache.use_cache_query=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30258, 6929, 'hibernate.cache.use_query_cache=true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30259, 6929, 'hibernate.cache.use_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30240, 6925, 'EXPOSE', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30256, 6929, 'hibernate.cache.use_second_level_cache=true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30204, 6918, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30209, 6919, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30211, 6920, 'Код скомпилируется и выведет 2 числа, а затем Test', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30219, 6921, '2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30221, 6922, 'allMatch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30232, 6923, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30235, 6924, 'Код скомпилируется и ничего не выведет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30246, 6926, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30249, 6927, '@RestController = @Controller + @RequestBody', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30522, 6981, 'git remove --b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30523, 6982, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30636, 7004, 'git remove --b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30637, 7005, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30260, 6929, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30261, 6930, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30262, 6930, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30263, 6930, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30265, 6930, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30266, 6930, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30267, 6931, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30268, 6931, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30270, 6931, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30271, 6931, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30272, 6932, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30273, 6932, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30275, 6932, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30276, 6932, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30340, 6945, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30278, 6933, 'Управляет взаимодействием между сессией и кэшем первого уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30279, 6933, 'Управляет взаимодействием между сессией и кэшем второго уровня', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30280, 6933, 'Управляет взаимодействием между сессией и кэшем запросов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30281, 6933, 'Управляет взаимодействием между кэшем первого уровня и кэшем второго уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30282, 6933, 'Управляет взаимодействием между кэшем второго уровня и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30283, 6934, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30284, 6934, 'Указатель на самый последний коммит в ветке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30285, 6934, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30286, 6934, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30288, 6934, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30289, 6935, 'Ветку, содержащую хотя бы один коммит, нельзя удалить', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30290, 6935, 'git delete --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30292, 6935, 'git branch --d somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30293, 6935, 'git reset --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30294, 6935, 'git remove --b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30296, 6936, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30297, 6936, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30298, 6936, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30299, 6936, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30300, 6936, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30126, 6902, 'EXPOSE', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30170, 6911, 'Указатель на самый последний коммит в ветке', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30184, 6913, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30185, 6913, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30074, 6891, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30080, 6892, 'Абстрактный класс, интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30095, 6896, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30096, 6896, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30301, 6937, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30303, 6937, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30304, 6937, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30305, 6938, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30287, 6934, 'Указатель на текущий коммит', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30291, 6935, 'git branch --delete somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30269, 6931, 'Через метод buildSessionFactory() класса Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30274, 6932, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30277, 6933, 'Управляет взаимодействием между сессией и БД', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30307, 6938, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30308, 6938, 'Абстрактный класс, интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30309, 6939, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30310, 6939, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30311, 6939, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30313, 6940, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30315, 6940, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30316, 6940, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30317, 6941, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30319, 6941, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30320, 6941, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30322, 6942, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30325, 6943, 'Код скомпилируется и выведет 2 числа, а затем Test', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30326, 6943, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30327, 6943, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30328, 6943, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30329, 6943, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30331, 6944, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30332, 6944, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30334, 6944, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30335, 6945, 'allMatch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30336, 6945, 'anyMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30337, 6945, 'findAny', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30338, 6945, 'findFirst', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33886, 7740, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30341, 6946, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30342, 6946, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30343, 6946, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30344, 6946, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30345, 6946, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30347, 6947, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30349, 6947, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30350, 6947, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30351, 6947, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30352, 6947, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30353, 6948, 'DEFINE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30355, 6948, 'COMPOSE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30356, 6948, 'OPEN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30357, 6949, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30358, 6949, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30359, 6949, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30361, 6950, '@RestController помечается класс используемый как REST клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30362, 6950, '@RestController = @Controller + @RequestBody + @ResponseBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30363, 6950, '@RestController = @Controller + @RequestBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30365, 6951, 'Возвращает null при отсутствии экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30312, 6939, 'Никакие из перечисленных', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30314, 6940, 'Интерфейс, который содержит в себе только один абстрактный метод', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30318, 6941, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30330, 6943, 'Код компилируется и ждет вечно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30333, 6944, '2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30339, 6945, 'noneMatch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30346, 6946, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30348, 6947, 'Код скомпилируется и выведет: 234567', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30360, 6949, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30364, 6950, '@RestController = @Controller + @ResponseBody', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30368, 6951, 'Кидает Exception при ленивой инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30369, 6951, 'Возвращает экземпляр, доступный только для чтения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30371, 6952, 'hibernate.cache.use_cache_query=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30372, 6952, 'hibernate.cache.use_query_cache=true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30373, 6952, 'hibernate.cache.use_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30374, 6952, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30375, 6953, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30376, 6953, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30377, 6953, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30379, 6953, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30380, 6953, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30381, 6954, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30382, 6954, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30384, 6954, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30385, 6954, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30386, 6955, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30387, 6955, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30388, 6955, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30389, 6955, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30391, 6956, 'Управляет взаимодействием между сессией и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30392, 6956, 'Управляет взаимодействием между сессией и кэшем первого уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30395, 6956, 'Управляет взаимодействием между кэшем первого уровня и кэшем второго уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30396, 6956, 'Управляет взаимодействием между кэшем второго уровня и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30397, 6957, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30399, 6957, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30400, 6957, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30401, 6957, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30402, 6957, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30403, 6958, 'Ветку, содержащую хотя бы один коммит, нельзя удалить', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30404, 6958, 'git delete --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30405, 6958, 'git branch --delete somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30407, 6958, 'git reset --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30408, 6958, 'git remove --b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30409, 6959, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30410, 6959, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30412, 6959, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30413, 6959, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30354, 6948, 'EXPOSE', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30398, 6957, 'Указатель на самый последний коммит в ветке', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30406, 6958, 'git branch --d somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30411, 6959, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30414, 6959, 'Ошибка не исправляется командой git push -u somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30367, 6951, 'Возвращает экземпляр-прокси при ленивой инициализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30366, 6951, 'Кидает Exception при отсутствии экземпляра', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30370, 6952, 'hibernate.cache.use_second_level_cache=true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30378, 6953, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30383, 6954, 'Через метод buildSessionFactory() класса Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30390, 6955, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30393, 6956, 'Управляет взаимодействием между сессией и кэшем второго уровня', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30394, 6956, 'Управляет взаимодействием между сессией и кэшем запросов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30302, 6937, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30306, 6938, 'Интерфейс, абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30323, 6942, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30324, 6942, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30321, 6942, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30295, 6936, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30253, 6928, 'Возвращает экземпляр-прокси при ленивой инициализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30264, 6930, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30198, 6916, 'Никакие из перечисленных', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30200, 6917, 'Интерфейс, который содержит в себе только один абстрактный метод', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30210, 6919, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30415, 6960, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30416, 6960, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30417, 6960, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30418, 6960, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30419, 6961, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30420, 6961, 'Интерфейс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30421, 6961, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30422, 6961, 'Абстрактный класс, интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30423, 6962, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30424, 6962, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30425, 6962, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30426, 6962, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30427, 6963, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30428, 6963, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30429, 6963, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30430, 6963, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30431, 6964, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30432, 6964, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30433, 6964, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30434, 6964, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30435, 6965, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30436, 6965, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30437, 6965, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30438, 6965, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30439, 6966, 'Код скомпилируется и выведет 2 числа, а затем Test', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30440, 6966, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30441, 6966, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30442, 6966, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30443, 6966, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30444, 6966, 'Код компилируется и ждет вечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30445, 6967, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30446, 6967, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30447, 6967, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30448, 6967, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30449, 6968, 'allMatch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30450, 6968, 'anyMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30451, 6968, 'findAny', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30452, 6968, 'findFirst', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30453, 6968, 'noneMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30454, 6968, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30455, 6969, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30456, 6969, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30457, 6969, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30458, 6969, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30459, 6969, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30460, 6969, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30461, 6970, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30462, 6970, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30463, 6970, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30464, 6970, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30465, 6970, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30466, 6970, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30467, 6971, 'DEFINE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30469, 6971, 'COMPOSE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30470, 6971, 'OPEN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30471, 6972, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30472, 6972, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30473, 6972, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30474, 6972, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30475, 6973, '@RestController помечается класс используемый как REST клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30476, 6973, '@RestController = @Controller + @RequestBody + @ResponseBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30477, 6973, '@RestController = @Controller + @RequestBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30478, 6973, '@RestController = @Controller + @ResponseBody', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30479, 6974, 'Возвращает null при отсутствии экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30482, 6974, 'Кидает Exception при ленивой инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30483, 6974, 'Возвращает экземпляр, доступный только для чтения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30485, 6975, 'hibernate.cache.use_cache_query=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30486, 6975, 'hibernate.cache.use_query_cache=true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30487, 6975, 'hibernate.cache.use_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30488, 6975, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30489, 6976, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30490, 6976, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30491, 6976, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30492, 6976, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30493, 6976, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30494, 6976, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30495, 6977, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30496, 6977, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30497, 6977, 'Через метод buildSessionFactory() класса Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30498, 6977, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30499, 6977, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30500, 6978, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30501, 6978, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30502, 6978, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30503, 6978, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30504, 6978, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30505, 6979, 'Управляет взаимодействием между сессией и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30506, 6979, 'Управляет взаимодействием между сессией и кэшем первого уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30507, 6979, 'Управляет взаимодействием между сессией и кэшем второго уровня', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30508, 6979, 'Управляет взаимодействием между сессией и кэшем запросов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30509, 6979, 'Управляет взаимодействием между кэшем первого уровня и кэшем второго уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30510, 6979, 'Управляет взаимодействием между кэшем второго уровня и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30511, 6980, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30513, 6980, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30514, 6980, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30515, 6980, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30516, 6980, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30517, 6981, 'Ветку, содержащую хотя бы один коммит, нельзя удалить', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30518, 6981, 'git delete --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30519, 6981, 'git branch --delete somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30521, 6981, 'git reset --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30520, 6981, 'git branch --d somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30480, 6974, 'Кидает Exception при отсутствии экземпляра', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30484, 6975, 'hibernate.cache.use_second_level_cache=true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30584, 6994, 'OPEN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30638, 7005, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31019, 7081, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30526, 6982, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30527, 6982, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30528, 6982, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30468, 6971, 'EXPOSE', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30512, 6980, 'Указатель на самый последний коммит в ветке', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30524, 6982, 'Ветка существует удаленно, но не локально', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30525, 6982, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30481, 6974, 'Возвращает экземпляр-прокси при ленивой инициализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30529, 6983, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30530, 6983, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30531, 6983, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30532, 6983, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30533, 6984, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30534, 6984, 'Интерфейс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30535, 6984, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30536, 6984, 'Абстрактный класс, интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30537, 6985, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30538, 6985, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30539, 6985, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30540, 6985, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30541, 6986, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30542, 6986, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30543, 6986, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30544, 6986, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30545, 6987, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30546, 6987, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30547, 6987, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30548, 6987, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30607, 6999, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34026, 7767, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30549, 6988, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30550, 6988, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30551, 6988, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30552, 6988, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30553, 6989, 'Код скомпилируется и выведет 2 числа, а затем Test', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30554, 6989, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30555, 6989, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30556, 6989, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30557, 6989, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30558, 6989, 'Код компилируется и ждет вечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30559, 6990, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30560, 6990, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30561, 6990, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30562, 6990, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30563, 6991, 'allMatch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30564, 6991, 'anyMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30565, 6991, 'findAny', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30566, 6991, 'findFirst', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30567, 6991, 'noneMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30568, 6991, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30569, 6992, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30570, 6992, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30571, 6992, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30572, 6992, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30573, 6992, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30574, 6992, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30575, 6993, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30576, 6993, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30577, 6993, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30578, 6993, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30579, 6993, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30580, 6993, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30581, 6994, 'DEFINE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30582, 6994, 'EXPOSE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30583, 6994, 'COMPOSE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30585, 6995, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30586, 6995, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30587, 6995, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30588, 6995, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30589, 6996, '@RestController помечается класс используемый как REST клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30590, 6996, '@RestController = @Controller + @RequestBody + @ResponseBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30591, 6996, '@RestController = @Controller + @RequestBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30592, 6996, '@RestController = @Controller + @ResponseBody', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30593, 6997, 'Возвращает null при отсутствии экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30594, 6997, 'Кидает Exception при отсутствии экземпляра', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30595, 6997, 'Возвращает экземпляр-прокси при ленивой инициализации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30596, 6997, 'Кидает Exception при ленивой инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30597, 6997, 'Возвращает экземпляр, доступный только для чтения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30598, 6998, 'hibernate.cache.use_second_level_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30599, 6998, 'hibernate.cache.use_cache_query=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30600, 6998, 'hibernate.cache.use_query_cache=true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30601, 6998, 'hibernate.cache.use_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30602, 6998, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30603, 6999, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30604, 6999, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30605, 6999, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30606, 6999, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30608, 6999, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30609, 7000, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30610, 7000, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30611, 7000, 'Через метод buildSessionFactory() класса Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30612, 7000, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30613, 7000, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30614, 7001, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30615, 7001, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30616, 7001, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30617, 7001, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30618, 7001, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30619, 7002, 'Управляет взаимодействием между сессией и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30620, 7002, 'Управляет взаимодействием между сессией и кэшем первого уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30621, 7002, 'Управляет взаимодействием между сессией и кэшем второго уровня', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30622, 7002, 'Управляет взаимодействием между сессией и кэшем запросов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30623, 7002, 'Управляет взаимодействием между кэшем первого уровня и кэшем второго уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30624, 7002, 'Управляет взаимодействием между кэшем второго уровня и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30625, 7003, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30626, 7003, 'Указатель на самый последний коммит в ветке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30627, 7003, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30628, 7003, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30629, 7003, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30630, 7003, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30631, 7004, 'Ветку, содержащую хотя бы один коммит, нельзя удалить', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30632, 7004, 'git delete --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30633, 7004, 'git branch --delete somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30634, 7004, 'git branch --d somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30635, 7004, 'git reset --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32282, 7339, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30639, 7005, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30640, 7005, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30641, 7005, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30642, 7005, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30643, 7006, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30645, 7006, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30646, 7006, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30647, 7007, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30648, 7007, 'Интерфейс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30649, 7007, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30651, 7008, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30652, 7008, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30654, 7008, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30655, 7009, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30657, 7009, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30658, 7009, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30659, 7010, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30661, 7010, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30662, 7010, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30663, 7011, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30667, 7012, 'Код скомпилируется и выведет 2 числа, а затем Test', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30668, 7012, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30669, 7012, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30670, 7012, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30672, 7012, 'Код компилируется и ждет вечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30673, 7013, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30674, 7013, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30676, 7013, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30678, 7014, 'anyMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30679, 7014, 'findAny', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30680, 7014, 'findFirst', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30681, 7014, 'noneMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30682, 7014, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34028, 7767, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30683, 7015, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30684, 7015, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30685, 7015, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30686, 7015, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30687, 7015, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30689, 7016, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30690, 7016, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30691, 7016, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30692, 7016, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30694, 7016, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30695, 7017, 'DEFINE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30697, 7017, 'COMPOSE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30698, 7017, 'OPEN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30699, 7018, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30700, 7018, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30644, 7006, 'Исключение из блока finally', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30653, 7008, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30656, 7009, 'Интерфейс, который содержит в себе только один абстрактный метод', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30660, 7010, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30671, 7012, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30675, 7013, '2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30677, 7014, 'allMatch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30688, 7015, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30693, 7016, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30701, 7018, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30703, 7019, '@RestController помечается класс используемый как REST клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30704, 7019, '@RestController = @Controller + @RequestBody + @ResponseBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30705, 7019, '@RestController = @Controller + @RequestBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30707, 7020, 'Возвращает null при отсутствии экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30710, 7020, 'Кидает Exception при ленивой инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30711, 7020, 'Возвращает экземпляр, доступный только для чтения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30712, 7021, 'hibernate.cache.use_second_level_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30713, 7021, 'hibernate.cache.use_cache_query=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30715, 7021, 'hibernate.cache.use_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30716, 7021, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30717, 7022, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30718, 7022, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30719, 7022, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30721, 7022, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30722, 7022, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30723, 7023, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30724, 7023, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30726, 7023, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30727, 7023, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30728, 7024, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30729, 7024, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30731, 7024, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30732, 7024, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30733, 7025, 'Управляет взаимодействием между сессией и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30734, 7025, 'Управляет взаимодействием между сессией и кэшем первого уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30736, 7025, 'Управляет взаимодействием между сессией и кэшем запросов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30737, 7025, 'Управляет взаимодействием между кэшем первого уровня и кэшем второго уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30738, 7025, 'Управляет взаимодействием между кэшем второго уровня и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30739, 7026, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30741, 7026, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30742, 7026, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30743, 7026, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30744, 7026, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30745, 7027, 'Ветку, содержащую хотя бы один коммит, нельзя удалить', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30746, 7027, 'git delete --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30747, 7027, 'git branch --delete somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30749, 7027, 'git reset --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30750, 7027, 'git remove --b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30752, 7028, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30753, 7028, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30748, 7027, 'git branch --d somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30751, 7028, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30709, 7020, 'Возвращает экземпляр-прокси при ленивой инициализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30714, 7021, 'hibernate.cache.use_query_cache=true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30720, 7022, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30725, 7023, 'Через метод buildSessionFactory() класса Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30730, 7024, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30735, 7025, 'Управляет взаимодействием между сессией и кэшем второго уровня', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30706, 7019, '@RestController = @Controller + @ResponseBody', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30897, 7058, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30898, 7058, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30899, 7058, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30900, 7058, 'Код компилируется и ждет вечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30902, 7059, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30901, 7059, '0', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30756, 7028, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30758, 7029, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30759, 7029, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30760, 7029, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30761, 7030, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30762, 7030, 'Интерфейс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30763, 7030, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30765, 7031, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30766, 7031, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30768, 7031, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30769, 7032, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30771, 7032, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30772, 7032, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30773, 7033, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30775, 7033, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30776, 7033, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30777, 7034, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30778, 7034, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30780, 7034, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30781, 7035, 'Код скомпилируется и выведет 2 числа, а затем Test', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30782, 7035, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30784, 7035, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30785, 7035, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30786, 7035, 'Код компилируется и ждет вечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30787, 7036, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30788, 7036, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30790, 7036, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30792, 7037, 'anyMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30793, 7037, 'findAny', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30794, 7037, 'findFirst', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30795, 7037, 'noneMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30796, 7037, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30797, 7038, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30798, 7038, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30799, 7038, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30800, 7038, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30801, 7038, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30803, 7039, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30804, 7039, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30805, 7039, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30806, 7039, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30808, 7039, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30809, 7040, 'DEFINE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30811, 7040, 'COMPOSE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30812, 7040, 'OPEN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30813, 7041, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30814, 7041, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30815, 7041, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30757, 7029, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30764, 7030, 'Абстрактный класс, интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30767, 7031, 'protected', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30770, 7032, 'Интерфейс, который содержит в себе только один абстрактный метод', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30774, 7033, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30779, 7034, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30783, 7035, 'Ошибка компиляции на строке B', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30789, 7036, '2', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30791, 7037, 'allMatch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30802, 7038, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30807, 7039, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30817, 7042, '@RestController помечается класс используемый как REST клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30818, 7042, '@RestController = @Controller + @RequestBody + @ResponseBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30819, 7042, '@RestController = @Controller + @RequestBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30821, 7043, 'Возвращает null при отсутствии экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30823, 7043, 'Возвращает экземпляр-прокси при ленивой инициализации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30824, 7043, 'Кидает Exception при ленивой инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30825, 7043, 'Возвращает экземпляр, доступный только для чтения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30826, 7044, 'hibernate.cache.use_second_level_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30827, 7044, 'hibernate.cache.use_cache_query=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30829, 7044, 'hibernate.cache.use_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30830, 7044, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30831, 7045, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30832, 7045, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30833, 7045, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30835, 7045, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30836, 7045, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30837, 7046, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30839, 7046, 'Через метод buildSessionFactory() класса Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30840, 7046, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30841, 7046, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30843, 7047, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30844, 7047, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30845, 7047, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30846, 7047, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30847, 7048, 'Управляет взаимодействием между сессией и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30848, 7048, 'Управляет взаимодействием между сессией и кэшем первого уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30851, 7048, 'Управляет взаимодействием между кэшем первого уровня и кэшем второго уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30852, 7048, 'Управляет взаимодействием между кэшем второго уровня и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30853, 7049, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30854, 7049, 'Указатель на самый последний коммит в ветке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30855, 7049, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30856, 7049, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30858, 7049, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30859, 7050, 'Ветку, содержащую хотя бы один коммит, нельзя удалить', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30860, 7050, 'git delete --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30861, 7050, 'git branch --delete somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30863, 7050, 'git reset --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30864, 7050, 'git remove --b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30866, 7051, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30869, 7051, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30862, 7050, 'git branch --d somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30865, 7051, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30822, 7043, 'Кидает Exception при отсутствии экземпляра', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30828, 7044, 'hibernate.cache.use_query_cache=true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30834, 7045, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30838, 7046, 'Через билдер SessionFactoryBuilder', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30842, 7047, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30849, 7048, 'Управляет взаимодействием между сессией и кэшем второго уровня', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30850, 7048, 'Управляет взаимодействием между сессией и кэшем запросов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30816, 7041, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30820, 7042, '@RestController = @Controller + @ResponseBody', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30870, 7051, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28759, 6610, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30810, 7040, 'EXPOSE', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30696, 7017, 'EXPOSE', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28800, 6619, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30740, 7026, 'Указатель на самый последний коммит в ветке', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30857, 7049, 'Указатель на текущий коммит', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30867, 7051, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30868, 7051, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30755, 7028, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30754, 7028, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30708, 7020, 'Кидает Exception при отсутствии экземпляра', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30650, 7007, 'Абстрактный класс, интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28784, 6616, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28785, 6616, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30666, 7011, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30664, 7011, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30665, 7011, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28726, 6603, 'Pelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28731, 6604, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28734, 6605, 'Техника, которая может быть использована в синглтоне, чтобы создавать объект во время первого обращения к нему', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30702, 7018, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29433, 6757, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (29435, 6757, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30871, 7052, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30872, 7052, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30874, 7052, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30876, 7053, 'Интерфейс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30877, 7053, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30878, 7053, 'Абстрактный класс, интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30879, 7054, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30881, 7054, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30882, 7054, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30883, 7055, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30885, 7055, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30886, 7055, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32253, 7331, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30887, 7056, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30889, 7056, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30890, 7056, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30891, 7057, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30893, 7057, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30895, 7058, 'Код скомпилируется и выведет 2 числа, а затем Test', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30903, 7059, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30875, 7053, 'Конкретный класс, интерфейс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30880, 7054, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30888, 7056, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30892, 7057, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30913, 7061, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30914, 7061, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30915, 7061, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30916, 7061, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30917, 7062, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30918, 7062, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30919, 7062, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30920, 7062, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30921, 7062, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30922, 7062, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30923, 7063, 'DEFINE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30925, 7063, 'COMPOSE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30926, 7063, 'OPEN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30927, 7064, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30928, 7064, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30929, 7064, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30930, 7064, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30931, 7065, '@RestController помечается класс используемый как REST клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30932, 7065, '@RestController = @Controller + @RequestBody + @ResponseBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30933, 7065, '@RestController = @Controller + @RequestBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30934, 7065, '@RestController = @Controller + @ResponseBody', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30935, 7066, 'Возвращает null при отсутствии экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30936, 7066, 'Кидает Exception при отсутствии экземпляра', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30938, 7066, 'Кидает Exception при ленивой инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30939, 7066, 'Возвращает экземпляр, доступный только для чтения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30940, 7067, 'hibernate.cache.use_second_level_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30941, 7067, 'hibernate.cache.use_cache_query=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30943, 7067, 'hibernate.cache.use_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30944, 7067, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30945, 7068, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30946, 7068, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30948, 7068, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30949, 7068, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30950, 7068, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30951, 7069, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30953, 7069, 'Через метод buildSessionFactory() класса Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30954, 7069, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30955, 7069, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30956, 7070, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30957, 7070, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30959, 7070, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30960, 7070, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30961, 7071, 'Управляет взаимодействием между сессией и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30963, 7071, 'Управляет взаимодействием между сессией и кэшем второго уровня', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30964, 7071, 'Управляет взаимодействием между сессией и кэшем запросов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30924, 7063, 'EXPOSE', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30937, 7066, 'Возвращает экземпляр-прокси при ленивой инициализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30942, 7067, 'hibernate.cache.use_query_cache=true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30952, 7069, 'Через билдер SessionFactoryBuilder', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30958, 7070, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30962, 7071, 'Управляет взаимодействием между сессией и кэшем первого уровня', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31021, 7081, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31022, 7081, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30965, 7071, 'Управляет взаимодействием между кэшем первого уровня и кэшем второго уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30966, 7071, 'Управляет взаимодействием между кэшем второго уровня и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30967, 7072, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30968, 7072, 'Указатель на самый последний коммит в ветке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30969, 7072, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30971, 7072, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30972, 7072, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30973, 7073, 'Ветку, содержащую хотя бы один коммит, нельзя удалить', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30974, 7073, 'git delete --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30975, 7073, 'git branch --delete somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30977, 7073, 'git reset --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30978, 7073, 'git remove --b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30980, 7074, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30981, 7074, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30984, 7074, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30970, 7072, 'Указатель на самый последний коммит в репозитории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30976, 7073, 'git branch --d somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30979, 7074, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30982, 7074, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30983, 7074, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30947, 7068, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30873, 7052, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30884, 7055, 'Интерфейс, который содержит в себе только один абстрактный метод', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30894, 7057, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30896, 7058, 'Ошибка компиляции на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30907, 7060, 'findAny', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30985, 7075, '3 6 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30986, 7075, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30987, 7075, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30988, 7075, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30990, 7075, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30991, 7076, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30992, 7076, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30993, 7076, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30995, 7077, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30997, 7077, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30998, 7077, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30999, 7077, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31000, 7077, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31002, 7078, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31003, 7078, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31004, 7078, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31005, 7078, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31006, 7078, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31008, 7079, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31009, 7079, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31010, 7079, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31012, 7080, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31013, 7080, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31014, 7080, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31015, 7080, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31016, 7080, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31017, 7081, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31018, 7081, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30989, 7075, 'Код компилируется, но кидает исключение на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30994, 7076, 'LinkedBlockingDeque', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (30996, 7077, 'IntStream.range(1, 10).forEach(System.out::println);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31001, 7078, 'Код всегда будет печатать "-flipflop"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31007, 7079, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31011, 7080, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31023, 7082, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31024, 7082, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31026, 7082, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31027, 7082, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31028, 7082, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31029, 7083, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31030, 7083, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31031, 7083, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31034, 7084, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31035, 7084, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31036, 7084, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31037, 7085, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31039, 7085, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31040, 7085, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31048, 7087, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31051, 7087, 'Attached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31052, 7087, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31053, 7088, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31054, 7088, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31055, 7088, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31056, 7088, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31058, 7089, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31059, 7089, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31060, 7089, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31062, 7089, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31063, 7089, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31064, 7090, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31065, 7090, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31066, 7090, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31067, 7090, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31069, 7090, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31070, 7091, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31072, 7091, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31073, 7091, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31074, 7091, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31075, 7091, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31076, 7092, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31078, 7092, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31079, 7092, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31080, 7092, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31033, 7084, 'Для настройки взаимодействия между Docker Containers', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31061, 7089, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31068, 7090, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31071, 7091, 'git reflog', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31077, 7092, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31038, 7085, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31041, 7086, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31042, 7086, 'SessionFactory', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31044, 7086, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31043, 7086, 'Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31045, 7086, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31046, 7086, 'Criteria', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31047, 7087, 'Transient', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31049, 7087, 'Persistent', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31050, 7087, 'Detached', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31057, 7088, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31020, 7081, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31025, 7082, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31032, 7083, 'Все запросы неверны', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31081, 7093, '3 6 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31082, 7093, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31083, 7093, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31085, 7093, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31086, 7093, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31088, 7094, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31089, 7094, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31087, 7094, 'BlockingDeque', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31090, 7094, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31091, 7095, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31093, 7095, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31094, 7095, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31095, 7095, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31096, 7095, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31098, 7096, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31099, 7096, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31100, 7096, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31101, 7096, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31102, 7096, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31104, 7097, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31105, 7097, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31106, 7097, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31108, 7098, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31111, 7098, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31112, 7098, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31113, 7099, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31115, 7099, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31116, 7099, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31118, 7099, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31119, 7100, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31120, 7100, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31122, 7100, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31123, 7100, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31124, 7100, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31125, 7101, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31126, 7101, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31127, 7101, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31129, 7102, 'Для настройки взаимодействия между Docker Containers', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31130, 7102, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31131, 7102, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31133, 7103, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31134, 7103, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31135, 7103, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31139, 7104, 'Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31140, 7104, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31145, 7105, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31146, 7105, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31148, 7105, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31149, 7106, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31150, 7106, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31152, 7106, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31153, 7106, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31154, 7107, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31155, 7107, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31156, 7107, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31136, 7103, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31137, 7104, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31138, 7104, 'SessionFactory', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31144, 7105, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31143, 7105, 'Transient', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31147, 7105, 'Attached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31151, 7106, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31092, 7095, 'IntStream.range(1, 10).forEach(System.out::println);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31097, 7096, 'Код всегда будет печатать "-flipflop"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31103, 7097, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31107, 7098, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31110, 7098, 'Delete', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31109, 7098, 'Update', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31114, 7099, 'Select * from users order in user_id, user_type_id desc;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31368, 7146, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31121, 7100, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31128, 7101, 'Все запросы неверны', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31171, 7109, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31172, 7110, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31174, 7110, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31175, 7110, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31176, 7110, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31132, 7102, 'Для настройки взаимодействия между Docker Repository', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31173, 7110, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31141, 7104, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31142, 7104, 'Criteria', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31084, 7093, 'Код компилируется, но входит в бесконечный цикл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31117, 7099, 'Select * from users order by user_id, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31178, 7111, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31179, 7111, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31180, 7111, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31181, 7111, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31182, 7111, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31183, 7112, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31185, 7112, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31186, 7112, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31187, 7113, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31188, 7113, 'IntStream.range(1, 10).forEach(System.out::println);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31189, 7113, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31190, 7113, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31192, 7113, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31193, 7114, 'Код всегда будет печатать "-flipflop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31194, 7114, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31195, 7114, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31196, 7114, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31198, 7114, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31199, 7115, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31201, 7115, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31202, 7115, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31204, 7116, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31207, 7116, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31208, 7116, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31209, 7117, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31210, 7117, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31211, 7117, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31214, 7117, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31215, 7118, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31216, 7118, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31218, 7118, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31219, 7118, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31220, 7118, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31221, 7119, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31222, 7119, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31224, 7119, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31177, 7111, '3 6 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31184, 7112, 'ConcurrentLinkedDeque', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31191, 7113, 'Никакой из перечисленных', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31197, 7114, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31200, 7115, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31203, 7116, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31206, 7116, 'Delete', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31205, 7116, 'Update', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31212, 7117, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31213, 7117, 'Select * from users order by user_id, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31217, 7118, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31223, 7119, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32283, 7339, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32350, 7358, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31226, 7120, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31227, 7120, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31228, 7120, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31229, 7121, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31231, 7121, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31232, 7121, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31238, 7122, 'Criteria', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31239, 7123, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31241, 7123, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31242, 7123, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31244, 7123, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31245, 7124, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31246, 7124, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31248, 7124, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31249, 7124, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31250, 7125, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31251, 7125, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31252, 7125, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31254, 7125, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31255, 7125, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31256, 7126, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31257, 7126, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31258, 7126, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31259, 7126, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31261, 7126, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31262, 7127, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31264, 7127, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31265, 7127, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31266, 7127, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31267, 7127, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31268, 7128, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31270, 7128, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31271, 7128, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31272, 7128, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31225, 7120, 'Для настройки взаимодействия между Docker Containers', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31253, 7125, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31260, 7126, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31263, 7127, 'git reflog', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31269, 7128, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31230, 7121, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31235, 7122, 'Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31233, 7122, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31236, 7122, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31237, 7122, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31234, 7122, 'SessionFactory', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31240, 7123, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31243, 7123, 'Attached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31247, 7124, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31273, 7129, '3 6 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31274, 7129, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31275, 7129, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31276, 7129, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31277, 7129, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31278, 7129, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31279, 7130, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31280, 7130, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31281, 7130, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31282, 7130, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31283, 7131, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31284, 7131, 'IntStream.range(1, 10).forEach(System.out::println);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31285, 7131, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31286, 7131, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31287, 7131, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31288, 7131, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31289, 7132, 'Код всегда будет печатать "-flipflop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31290, 7132, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31291, 7132, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31292, 7132, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31293, 7132, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31294, 7132, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31295, 7133, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31296, 7133, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31297, 7133, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31298, 7133, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31299, 7134, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31300, 7134, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31301, 7134, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31302, 7134, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31303, 7134, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31304, 7134, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31305, 7135, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31306, 7135, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31307, 7135, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31308, 7135, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31309, 7135, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31310, 7135, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31311, 7136, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31312, 7136, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31313, 7136, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31314, 7136, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31315, 7136, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31316, 7136, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31317, 7137, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31318, 7137, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31319, 7137, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31320, 7137, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31321, 7138, 'Для настройки взаимодействия между Docker Containers', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31322, 7138, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31323, 7138, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31324, 7138, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31325, 7139, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31326, 7139, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31327, 7139, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31328, 7139, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31329, 7140, 'Session', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31330, 7140, 'SessionFactory', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31331, 7140, 'Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31332, 7140, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31333, 7140, 'Query', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31334, 7140, 'Criteria', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31335, 7141, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31336, 7141, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31337, 7141, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31338, 7141, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31339, 7141, 'Attached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31340, 7141, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31341, 7142, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31342, 7142, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31343, 7142, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31344, 7142, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31345, 7142, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31346, 7143, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31347, 7143, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31348, 7143, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31349, 7143, 'git commit', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31350, 7143, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31351, 7143, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31352, 7144, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31353, 7144, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31354, 7144, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31355, 7144, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31356, 7144, 'git reset', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31357, 7144, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31358, 7145, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31363, 7145, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31364, 7146, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31365, 7146, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31366, 7146, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31367, 7146, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31372, 7147, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31374, 7147, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31375, 7148, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31376, 7148, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31377, 7148, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31379, 7149, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31381, 7149, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31382, 7149, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31383, 7149, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31384, 7149, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31386, 7150, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31387, 7150, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31388, 7150, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31389, 7150, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31390, 7150, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31391, 7151, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31392, 7151, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31394, 7151, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31396, 7152, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31397, 7152, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31398, 7152, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31399, 7152, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31400, 7152, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31401, 7153, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31402, 7153, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31403, 7153, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31406, 7153, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31408, 7154, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31409, 7154, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31410, 7154, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31411, 7154, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31412, 7154, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31414, 7155, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31415, 7155, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31416, 7155, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31418, 7156, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31419, 7156, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31420, 7156, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31421, 7157, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31422, 7157, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31423, 7157, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31424, 7157, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31373, 7147, 'Код компилируется, но кидает исключение на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31378, 7148, 'LinkedBlockingDeque', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31380, 7149, 'IntStream.range(1, 10).forEach(System.out::println);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31385, 7150, 'Код всегда будет печатать "-flipflop"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31395, 7152, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31404, 7153, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31405, 7153, 'Select * from users order by user_id, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31407, 7154, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31413, 7155, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31431, 7159, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31433, 7159, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31434, 7159, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31436, 7159, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31437, 7160, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31438, 7160, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31439, 7160, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31440, 7160, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31442, 7161, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31443, 7161, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31444, 7161, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31446, 7161, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31447, 7161, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31448, 7162, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31449, 7162, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31459, 7163, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31460, 7164, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31462, 7164, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31463, 7164, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31464, 7164, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31466, 7165, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31467, 7165, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31468, 7165, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31469, 7165, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31470, 7165, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31471, 7166, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31472, 7166, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31473, 7166, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31475, 7167, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31477, 7167, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31478, 7167, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31479, 7167, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31480, 7167, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31482, 7168, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31483, 7168, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31484, 7168, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31485, 7168, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31486, 7168, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31488, 7169, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31489, 7169, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31490, 7169, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31492, 7170, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31493, 7170, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31494, 7170, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31495, 7170, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31496, 7170, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31497, 7171, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31498, 7171, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31499, 7171, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31474, 7166, 'LinkedBlockingDeque', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31481, 7168, 'Код всегда будет печатать "-flipflop"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31487, 7169, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31491, 7170, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31445, 7161, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31452, 7162, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31458, 7163, 'git refs', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31428, 7158, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31429, 7158, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31427, 7158, 'Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31426, 7158, 'SessionFactory', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31430, 7158, 'Criteria', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31432, 7159, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31435, 7159, 'Attached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31441, 7160, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31502, 7171, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31503, 7172, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31504, 7172, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31506, 7172, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31507, 7172, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31508, 7172, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31509, 7173, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31510, 7173, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31512, 7173, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31514, 7174, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31515, 7174, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31516, 7174, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31517, 7175, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31519, 7175, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31520, 7175, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31527, 7177, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31528, 7177, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31529, 7177, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31533, 7178, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32254, 7331, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31534, 7178, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31536, 7178, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31537, 7178, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31538, 7179, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31539, 7179, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31540, 7179, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31542, 7179, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31543, 7179, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31544, 7180, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31545, 7180, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31546, 7180, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31547, 7180, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31549, 7180, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31551, 7181, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31552, 7181, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31553, 7181, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31554, 7181, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31555, 7181, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31556, 7182, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31558, 7182, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31559, 7182, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31560, 7182, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31513, 7174, 'Для настройки взаимодействия между Docker Containers', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31541, 7179, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31548, 7180, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31550, 7181, 'git log', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31557, 7182, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31518, 7175, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31521, 7176, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31522, 7176, 'SessionFactory', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31523, 7176, 'Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31524, 7176, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31526, 7176, 'Criteria', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31525, 7176, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31530, 7177, 'Detached', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31532, 7177, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31531, 7177, 'Attached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31535, 7178, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31465, 7165, '3 6 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31476, 7167, 'IntStream.range(1, 10).forEach(System.out::println);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31501, 7171, 'Select * from users order by user_id, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31500, 7171, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31505, 7172, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31511, 7173, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31417, 7156, 'Для настройки взаимодействия между Docker Containers', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31461, 7164, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31425, 7158, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31561, 7183, '3 6 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31566, 7183, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31568, 7184, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31569, 7184, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31570, 7184, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31571, 7185, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31573, 7185, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31574, 7185, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31575, 7185, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31576, 7185, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31577, 7186, 'Код всегда будет печатать "-flipflop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31578, 7186, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31579, 7186, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31580, 7186, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31581, 7186, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31584, 7187, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31585, 7187, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31586, 7187, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31588, 7188, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31591, 7188, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31592, 7188, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31593, 7189, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31594, 7189, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34155, 7793, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31595, 7189, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31597, 7189, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31598, 7189, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31599, 7190, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31600, 7190, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31601, 7190, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31602, 7190, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31604, 7190, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31605, 7191, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31606, 7191, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31607, 7191, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31610, 7192, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31611, 7192, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31612, 7192, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31614, 7193, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31615, 7193, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31616, 7193, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31623, 7195, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31625, 7195, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31626, 7195, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31628, 7195, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31629, 7196, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31631, 7196, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31609, 7192, 'Для настройки взаимодействия между Docker Containers', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31613, 7193, 'SELECT', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31617, 7194, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31618, 7194, 'SessionFactory', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31621, 7194, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31624, 7195, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31627, 7195, 'Attached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31630, 7196, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31567, 7184, 'BlockingDeque', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31572, 7185, 'IntStream.range(1, 10).forEach(System.out::println);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31582, 7186, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31583, 7187, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31587, 7188, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31590, 7188, 'Delete', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31589, 7188, 'Update', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31596, 7189, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31603, 7190, 'Select address from offices except Select address from departments except Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31608, 7191, 'Все запросы неверны', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31695, 7208, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31696, 7208, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31632, 7196, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31633, 7196, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31634, 7197, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31635, 7197, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31636, 7197, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31638, 7197, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31639, 7197, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31640, 7198, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31641, 7198, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31642, 7198, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31643, 7198, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31645, 7198, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31647, 7199, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31648, 7199, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31649, 7199, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31650, 7199, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31651, 7199, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31652, 7200, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31654, 7200, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31655, 7200, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31656, 7200, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31393, 7151, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31637, 7197, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31644, 7198, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31646, 7199, 'git log', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31653, 7200, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31620, 7194, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31619, 7194, 'Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31622, 7194, 'Criteria', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31565, 7183, 'Код компилируется, но кидает исключение на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31658, 7201, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31659, 7201, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31660, 7201, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31661, 7201, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31662, 7201, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31663, 7202, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31664, 7202, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31665, 7202, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31667, 7203, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31668, 7203, 'IntStream.range(1, 10).forEach(System.out::println);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31670, 7203, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31671, 7203, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31672, 7203, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31673, 7204, 'Код всегда будет печатать "-flipflop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31674, 7204, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31675, 7204, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31676, 7204, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31678, 7204, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31680, 7205, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31681, 7205, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31682, 7205, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31684, 7206, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31687, 7206, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31688, 7206, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31689, 7207, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31690, 7207, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31691, 7207, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31693, 7207, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31694, 7207, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31657, 7201, '3 6 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31666, 7202, 'LinkedBlockingDeque', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31669, 7203, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31677, 7204, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31679, 7205, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31683, 7206, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31686, 7206, 'Delete', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31685, 7206, 'Update', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31692, 7207, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31765, 7221, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31766, 7221, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31767, 7221, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31768, 7221, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31698, 7208, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31699, 7208, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31700, 7208, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31701, 7209, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31702, 7209, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31703, 7209, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31706, 7210, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31707, 7210, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31708, 7210, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31709, 7211, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31711, 7211, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31712, 7211, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31718, 7212, 'Criteria', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31719, 7213, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31721, 7213, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31722, 7213, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31725, 7214, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31726, 7214, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31793, 7226, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31727, 7214, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31728, 7214, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31730, 7215, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31731, 7215, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31732, 7215, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31734, 7215, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31735, 7215, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31736, 7216, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31737, 7216, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31738, 7216, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31739, 7216, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31741, 7216, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31742, 7217, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31744, 7217, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31745, 7217, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31746, 7217, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31747, 7217, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31748, 7218, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31750, 7218, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31751, 7218, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31752, 7218, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31705, 7210, 'Для настройки взаимодействия между Docker Containers', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31733, 7215, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31740, 7216, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31743, 7217, 'git reflog', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31749, 7218, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31710, 7211, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31715, 7212, 'Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31713, 7212, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31716, 7212, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31717, 7212, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31714, 7212, 'SessionFactory', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31720, 7213, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31723, 7213, 'Attached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31724, 7213, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31729, 7214, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31697, 7208, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31704, 7209, 'Все запросы неверны', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31753, 7219, '3 6 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31754, 7219, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31755, 7219, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31756, 7219, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31757, 7219, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31758, 7219, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31759, 7220, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31760, 7220, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31761, 7220, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31762, 7220, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31763, 7221, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31764, 7221, 'IntStream.range(1, 10).forEach(System.out::println);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31769, 7222, 'Код всегда будет печатать "-flipflop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31770, 7222, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31771, 7222, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31772, 7222, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31773, 7222, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31774, 7222, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31775, 7223, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31776, 7223, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31777, 7223, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31778, 7223, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31779, 7224, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31780, 7224, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31781, 7224, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31782, 7224, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31783, 7224, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31784, 7224, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31785, 7225, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31786, 7225, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31787, 7225, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31788, 7225, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31789, 7225, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31790, 7225, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31791, 7226, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31792, 7226, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32027, 7270, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31794, 7226, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31795, 7226, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31796, 7226, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31797, 7227, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31798, 7227, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31799, 7227, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31800, 7227, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31801, 7228, 'Для настройки взаимодействия между Docker Containers', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31802, 7228, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31803, 7228, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31804, 7228, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31805, 7229, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31806, 7229, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31807, 7229, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31808, 7229, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31809, 7230, 'Session', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31810, 7230, 'SessionFactory', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31811, 7230, 'Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31812, 7230, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31813, 7230, 'Query', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31814, 7230, 'Criteria', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31815, 7231, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31816, 7231, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31817, 7231, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31818, 7231, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31819, 7231, 'Attached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31820, 7231, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31821, 7232, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31822, 7232, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31823, 7232, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31824, 7232, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31825, 7232, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31826, 7233, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31827, 7233, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31828, 7233, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31829, 7233, 'git commit', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31830, 7233, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31831, 7233, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31832, 7234, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31833, 7234, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31834, 7234, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31835, 7234, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31836, 7234, 'git reset', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31837, 7234, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31838, 7235, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31843, 7235, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31844, 7236, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31845, 7236, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31846, 7236, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31847, 7236, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31848, 7236, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31850, 7237, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31851, 7237, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31852, 7237, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31853, 7237, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31854, 7237, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31855, 7238, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31856, 7238, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31857, 7238, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31859, 7239, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31861, 7239, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31862, 7239, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31863, 7239, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31864, 7239, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31865, 7240, 'Код всегда будет печатать "-flipflop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31867, 7240, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31868, 7240, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31869, 7240, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31870, 7240, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31871, 7241, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31873, 7241, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31874, 7241, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31876, 7242, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31877, 7242, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31878, 7242, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31879, 7242, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31880, 7242, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31881, 7243, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31882, 7243, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31883, 7243, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31886, 7243, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31887, 7244, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31888, 7244, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31890, 7244, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31891, 7244, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31892, 7244, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31894, 7245, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31895, 7245, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31896, 7245, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31898, 7246, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31899, 7246, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31900, 7246, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31901, 7247, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31902, 7247, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31903, 7247, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31904, 7247, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31849, 7237, '3 6 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31858, 7238, 'LinkedBlockingDeque', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31860, 7239, 'IntStream.range(1, 10).forEach(System.out::println);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31866, 7240, 'Код будет печатать или "-flipflop" или "-flopflip"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31875, 7242, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31884, 7243, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31885, 7243, 'Select * from users order by user_id, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31889, 7244, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31893, 7245, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31917, 7250, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31918, 7250, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31919, 7250, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31920, 7250, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31922, 7251, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31923, 7251, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31924, 7251, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31926, 7251, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31927, 7251, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31928, 7252, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31929, 7252, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31930, 7252, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31931, 7252, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31933, 7252, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31934, 7253, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31936, 7253, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31937, 7253, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31938, 7253, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31939, 7253, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31940, 7254, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31942, 7254, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31943, 7254, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31944, 7254, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31897, 7246, 'Для настройки взаимодействия между Docker Containers', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31925, 7251, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31932, 7252, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31935, 7253, 'git reflog', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32029, 7270, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32030, 7271, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31941, 7254, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31905, 7248, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31907, 7248, 'Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31908, 7248, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31906, 7248, 'SessionFactory', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31916, 7249, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31913, 7249, 'Persistent', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31914, 7249, 'Detached', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31921, 7250, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31946, 7255, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31947, 7255, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31948, 7255, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31949, 7255, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31950, 7255, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31951, 7256, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31952, 7256, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31953, 7256, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31955, 7257, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31957, 7257, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31958, 7257, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31959, 7257, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31960, 7257, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31961, 7258, 'Код всегда будет печатать "-flipflop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31962, 7258, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31963, 7258, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31964, 7258, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31965, 7258, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31968, 7259, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31969, 7259, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31970, 7259, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31972, 7260, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31945, 7255, '3 6 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31954, 7256, 'LinkedBlockingDeque', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31956, 7257, 'IntStream.range(1, 10).forEach(System.out::println);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31966, 7258, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31967, 7259, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31971, 7260, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31974, 7260, 'Delete', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31973, 7260, 'Update', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31983, 7262, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31984, 7262, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31986, 7262, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31987, 7262, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31988, 7262, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31990, 7263, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31991, 7263, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31992, 7263, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31994, 7264, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31995, 7264, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31996, 7264, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31997, 7265, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31999, 7265, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32000, 7265, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32006, 7266, 'Criteria', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32007, 7267, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32009, 7267, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32010, 7267, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32012, 7267, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32014, 7268, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32015, 7268, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32016, 7268, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32017, 7268, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32018, 7269, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32019, 7269, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32020, 7269, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32022, 7269, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32023, 7269, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32024, 7270, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32025, 7270, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32026, 7270, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32035, 7271, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32036, 7272, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32038, 7272, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32039, 7272, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32040, 7272, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31872, 7241, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31993, 7264, 'Для настройки взаимодействия между Docker Containers', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32021, 7269, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32028, 7270, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32031, 7271, 'git reflog', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32037, 7272, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31998, 7265, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32003, 7266, 'Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32001, 7266, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32004, 7266, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32005, 7266, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32002, 7266, 'SessionFactory', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32008, 7267, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32011, 7267, 'Attached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32013, 7268, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31980, 7261, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31985, 7262, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (31989, 7263, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32041, 7273, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32042, 7273, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32043, 7273, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32065, 7280, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32066, 7280, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32067, 7281, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32070, 7281, 'type может объединчть несколько других type внутри семя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32071, 7282, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32072, 7282, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32074, 7282, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32075, 7283, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32076, 7283, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32081, 7284, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32082, 7284, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32084, 7285, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32085, 7285, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32086, 7286, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32087, 7286, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32089, 7286, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32090, 7286, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32092, 7287, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32093, 7287, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32094, 7287, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32095, 7287, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32096, 7288, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32098, 7288, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32099, 7288, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32100, 7289, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32102, 7289, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32103, 7290, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32106, 7291, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32107, 7291, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32108, 7292, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32109, 7292, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32111, 7292, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32113, 7293, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32114, 7293, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32115, 7293, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32116, 7294, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32117, 7294, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32119, 7295, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32255, 7331, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32121, 7295, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32122, 7296, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32123, 7296, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32124, 7296, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32126, 7297, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32128, 7297, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32129, 7297, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32101, 7289, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32104, 7290, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32105, 7291, '3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32110, 7292, '1
3
4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32112, 7293, '1', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32118, 7294, 'red', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32125, 7296, 'type может объединчть несколько других type внутри семя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32127, 7297, 'a, b, d, c', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32192, 7314, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32193, 7315, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32195, 7315, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32196, 7316, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32197, 7316, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32198, 7316, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32069, 7281, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32068, 7281, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32073, 7282, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32077, 7283, 'Это способ определить функцию с несколькими вариантами реализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32079, 7284, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32078, 7284, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32080, 7284, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32083, 7285, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32088, 7286, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32091, 7287, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32132, 7298, 'Это способ определить функцию с несколькими вариантами реализации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32133, 7299, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32135, 7299, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32136, 7299, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32137, 7299, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32138, 7300, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32140, 7300, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32141, 7301, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32143, 7301, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32144, 7301, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32145, 7301, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32147, 7302, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32148, 7302, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32149, 7302, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32150, 7302, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32097, 7288, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32120, 7295, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32131, 7298, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32134, 7299, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32139, 7300, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32142, 7301, 'true
true
false', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32146, 7302, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32152, 7303, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32153, 7303, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32154, 7303, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32155, 7304, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32157, 7304, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32159, 7305, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32160, 7306, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32161, 7306, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32163, 7307, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32165, 7307, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32166, 7307, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32167, 7308, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32168, 7308, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32170, 7308, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32172, 7309, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32173, 7309, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32175, 7310, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32176, 7310, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32177, 7311, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32180, 7311, 'type может объединчть несколько других type внутри семя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32181, 7312, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32185, 7313, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32186, 7313, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32191, 7314, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32151, 7303, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32156, 7304, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32158, 7305, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32162, 7306, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32164, 7307, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32169, 7308, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32171, 7309, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32174, 7310, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32178, 7311, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32179, 7311, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32183, 7312, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32187, 7313, 'Это способ определить функцию с несколькими вариантами реализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32188, 7314, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32189, 7314, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32190, 7314, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32199, 7316, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32200, 7316, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32202, 7317, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32203, 7317, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32204, 7317, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32205, 7317, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32206, 7318, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32207, 7318, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32208, 7318, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32209, 7318, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32210, 7319, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32211, 7319, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32212, 7319, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32213, 7320, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32214, 7320, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32215, 7321, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32216, 7321, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32217, 7321, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32218, 7322, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32219, 7322, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32220, 7322, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32221, 7322, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32222, 7323, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32223, 7323, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32224, 7323, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32225, 7323, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32226, 7324, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32227, 7324, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32228, 7324, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32229, 7325, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32230, 7325, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32231, 7325, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32232, 7326, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32233, 7326, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32234, 7326, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32235, 7326, 'type может объединчть несколько других type внутри семя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32236, 7327, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32237, 7327, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32238, 7327, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32239, 7327, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32240, 7328, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32241, 7328, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32242, 7328, 'Это способ определить функцию с несколькими вариантами реализации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32243, 7329, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32244, 7329, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32245, 7329, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32246, 7329, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32247, 7329, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32248, 7330, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32262, 7333, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32263, 7333, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32264, 7333, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32265, 7334, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32267, 7334, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32268, 7335, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32270, 7336, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32271, 7336, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32273, 7337, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32275, 7337, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32276, 7337, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32277, 7338, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32278, 7338, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32266, 7334, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32269, 7335, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32272, 7336, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32274, 7337, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32201, 7317, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32284, 7340, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32285, 7340, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32287, 7341, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32290, 7341, 'type может объединчть несколько других type внутри семя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32291, 7342, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32292, 7342, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32294, 7342, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32295, 7343, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32297, 7343, 'Это способ определить функцию с несколькими вариантами реализации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32303, 7345, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32305, 7345, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32306, 7346, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32307, 7346, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32309, 7346, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32310, 7346, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32312, 7347, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32313, 7347, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32314, 7347, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32315, 7347, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32316, 7348, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32317, 7348, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32318, 7348, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32319, 7348, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32320, 7349, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32321, 7349, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32322, 7349, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32323, 7350, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32324, 7350, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32325, 7351, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32326, 7351, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32327, 7351, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32328, 7352, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32329, 7352, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32330, 7352, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32331, 7352, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32332, 7353, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32333, 7353, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32334, 7353, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32335, 7353, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32336, 7354, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32337, 7354, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32338, 7354, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32339, 7355, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32340, 7355, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32341, 7355, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32342, 7356, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32343, 7356, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32344, 7356, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32345, 7356, 'type может объединчть несколько других type внутри семя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32346, 7357, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32347, 7357, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32348, 7357, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32349, 7357, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32563, 7407, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32288, 7341, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32289, 7341, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32298, 7344, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32299, 7344, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32300, 7344, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32301, 7344, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32302, 7344, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32304, 7345, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32308, 7346, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32311, 7347, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32351, 7358, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32352, 7358, 'Это способ определить функцию с несколькими вариантами реализации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32353, 7359, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32354, 7359, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32355, 7359, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32356, 7359, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32357, 7359, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32358, 7360, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32359, 7360, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32360, 7360, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32361, 7361, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32362, 7361, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32363, 7361, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32364, 7361, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32365, 7361, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32366, 7362, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32367, 7362, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32368, 7362, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32369, 7362, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32370, 7362, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32372, 7363, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32373, 7363, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32374, 7363, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32375, 7363, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32376, 7363, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32377, 7364, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32378, 7364, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32379, 7364, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32381, 7365, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32383, 7365, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32384, 7365, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32385, 7365, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32386, 7365, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32387, 7366, 'Код всегда будет печатать "-flipflop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32389, 7366, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32390, 7366, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32391, 7366, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32392, 7366, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32394, 7367, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32395, 7367, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32396, 7367, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32398, 7368, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32399, 7368, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32401, 7368, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32402, 7368, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32403, 7369, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32404, 7369, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32405, 7369, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32407, 7369, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32408, 7369, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32410, 7370, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32411, 7370, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32412, 7370, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32413, 7370, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32414, 7370, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32415, 7371, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32416, 7371, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32418, 7371, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32419, 7372, 'Для настройки взаимодействия между Docker Containers', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32564, 7408, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32382, 7365, 'IntStream.range(1, 10).forEach(System.out::println);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32388, 7366, 'Код будет печатать или "-flipflop" или "-flopflip"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32397, 7368, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32400, 7368, 'Delete', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32406, 7369, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32409, 7370, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32417, 7371, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32421, 7372, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32422, 7372, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32423, 7373, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32424, 7373, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32425, 7373, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32427, 7374, 'Session', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32428, 7374, 'SessionFactory', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32429, 7374, 'Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32430, 7374, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32431, 7374, 'Query', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32434, 7375, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32435, 7375, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32436, 7375, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32437, 7375, 'Attached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32438, 7375, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32439, 7376, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32440, 7376, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32441, 7376, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32442, 7376, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32444, 7377, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32445, 7377, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32446, 7377, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32448, 7377, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32449, 7377, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32450, 7378, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32451, 7378, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32453, 7378, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32454, 7378, 'git reset', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32455, 7378, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32456, 7379, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32457, 7379, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32459, 7379, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32460, 7379, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32461, 7379, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32462, 7380, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32464, 7380, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32465, 7380, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32466, 7380, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32468, 7381, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32469, 7381, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32470, 7381, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32471, 7382, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32473, 7382, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32474, 7383, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32476, 7384, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32478, 7384, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32479, 7385, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32481, 7385, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32482, 7385, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32483, 7386, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32484, 7386, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32486, 7386, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32488, 7387, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32489, 7387, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32490, 7388, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32491, 7388, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32447, 7377, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32452, 7378, 'git unstage', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32458, 7379, 'git journal', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32426, 7373, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32432, 7374, 'Criteria', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32433, 7375, 'Transient', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32443, 7376, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32467, 7381, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32472, 7382, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32475, 7383, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32477, 7384, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32480, 7385, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32485, 7386, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32487, 7387, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32493, 7389, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32497, 7390, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32498, 7390, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32500, 7390, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33008, 7529, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33009, 7529, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32501, 7391, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32502, 7391, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32507, 7392, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32508, 7392, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32509, 7393, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32511, 7393, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32512, 7394, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32513, 7394, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32515, 7394, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32516, 7394, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32518, 7395, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32519, 7395, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32520, 7395, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32521, 7395, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32522, 7396, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32523, 7396, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32524, 7396, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32525, 7396, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32526, 7397, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32527, 7397, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32528, 7397, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32529, 7398, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32530, 7398, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32531, 7399, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32532, 7399, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32533, 7399, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32534, 7400, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32535, 7400, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32536, 7400, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32537, 7400, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32538, 7401, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32539, 7401, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32540, 7401, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32541, 7401, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32542, 7402, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32543, 7402, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32544, 7402, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32545, 7403, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32546, 7403, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32547, 7403, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32548, 7404, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32549, 7404, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32550, 7404, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32551, 7404, 'type может объединчть несколько других type внутри семя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32552, 7405, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32553, 7405, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32554, 7405, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32555, 7405, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32556, 7406, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32557, 7406, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32558, 7406, 'Это способ определить функцию с несколькими вариантами реализации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32559, 7407, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32560, 7407, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32561, 7407, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32562, 7407, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32565, 7408, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32499, 7390, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32503, 7391, 'Это способ определить функцию с несколькими вариантами реализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32505, 7392, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32504, 7392, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32506, 7392, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32510, 7393, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32514, 7394, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32517, 7395, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32566, 7408, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32567, 7409, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32568, 7409, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32569, 7409, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32570, 7409, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32571, 7409, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32572, 7410, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32573, 7410, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32574, 7410, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32575, 7410, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32576, 7410, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32578, 7411, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32579, 7411, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32580, 7411, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32581, 7412, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32583, 7412, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32585, 7413, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32586, 7414, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32588, 7414, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32589, 7415, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32590, 7415, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32592, 7415, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32593, 7416, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32594, 7416, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32596, 7416, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32598, 7417, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32599, 7417, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32600, 7418, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32601, 7418, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32607, 7420, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32608, 7420, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32610, 7420, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32611, 7421, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32612, 7421, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32619, 7423, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32621, 7423, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32622, 7424, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32623, 7424, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32625, 7424, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32626, 7424, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32628, 7425, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32629, 7425, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32630, 7425, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32631, 7425, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32632, 7426, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32633, 7426, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32634, 7426, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32636, 7427, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32638, 7427, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32640, 7428, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32641, 7429, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32643, 7429, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32644, 7430, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32582, 7412, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32584, 7413, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32587, 7414, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32591, 7415, '1
3
4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32595, 7416, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32597, 7417, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32604, 7419, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32606, 7419, 'type может объединчть несколько других type внутри семя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32605, 7419, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32609, 7420, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32613, 7421, 'Это способ определить функцию с несколькими вариантами реализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32616, 7422, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32615, 7422, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32617, 7422, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32618, 7422, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32614, 7422, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32620, 7423, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32624, 7424, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32627, 7425, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32635, 7426, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32637, 7427, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32639, 7428, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32642, 7429, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32646, 7430, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32647, 7430, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32648, 7431, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32649, 7431, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32651, 7431, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32652, 7432, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32653, 7432, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32655, 7433, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32656, 7433, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32660, 7434, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32662, 7435, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32663, 7435, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32665, 7435, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33010, 7529, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33013, 7530, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32666, 7436, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32668, 7436, 'Это способ определить функцию с несколькими вариантами реализации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32672, 7437, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32674, 7438, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32676, 7438, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32677, 7439, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32678, 7439, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32680, 7439, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32681, 7439, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32683, 7440, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32684, 7440, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32685, 7440, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32686, 7440, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32420, 7372, 'Для настройки взаимодействия между Docker Registry', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32261, 7333, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32463, 7380, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32279, 7338, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32687, 7441, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32688, 7441, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32689, 7441, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32690, 7441, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32691, 7442, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32692, 7442, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32693, 7442, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32694, 7443, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32695, 7443, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32696, 7444, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32697, 7444, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32698, 7444, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32699, 7445, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32700, 7445, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32701, 7445, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32702, 7445, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32703, 7446, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32704, 7446, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32705, 7446, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32706, 7446, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32707, 7447, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32708, 7447, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32709, 7447, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32710, 7448, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32711, 7448, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32645, 7430, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32650, 7431, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32654, 7432, 'red', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32658, 7434, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32659, 7434, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32661, 7434, 'type может объединчть несколько других type внутри семя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32664, 7435, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32667, 7436, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32670, 7437, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32671, 7437, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32673, 7437, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32669, 7437, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32675, 7438, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32679, 7439, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32682, 7440, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32712, 7448, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32713, 7449, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32714, 7449, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32715, 7449, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32716, 7449, 'type может объединчть несколько других type внутри семя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32717, 7450, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32718, 7450, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32719, 7450, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32720, 7450, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32721, 7451, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32722, 7451, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32723, 7451, 'Это способ определить функцию с несколькими вариантами реализации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32724, 7452, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32725, 7452, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32726, 7452, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32727, 7452, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32728, 7452, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32729, 7453, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32730, 7453, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32731, 7453, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32732, 7454, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32733, 7454, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32734, 7454, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32735, 7454, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32736, 7454, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32737, 7455, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32738, 7455, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32739, 7455, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32740, 7455, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32741, 7455, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32371, 7363, '3 6 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32286, 7340, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32743, 7456, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32744, 7456, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32745, 7456, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32746, 7457, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32748, 7457, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32749, 7458, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32751, 7459, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32752, 7459, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32754, 7460, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32756, 7460, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32757, 7460, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32758, 7461, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32759, 7461, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32761, 7461, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32763, 7462, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32764, 7462, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32765, 7463, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32766, 7463, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32769, 7464, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32770, 7464, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32771, 7464, 'type может объединчть несколько других type внутри семя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32772, 7465, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32773, 7465, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32775, 7465, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32776, 7466, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32747, 7457, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32750, 7458, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32753, 7459, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32755, 7460, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32760, 7461, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32762, 7462, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32768, 7464, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32774, 7465, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32777, 7466, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32782, 7467, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32783, 7467, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32784, 7468, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32786, 7468, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32787, 7469, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32788, 7469, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32790, 7469, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32791, 7469, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32793, 7470, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32794, 7470, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32795, 7470, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32796, 7470, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32380, 7364, 'LinkedBlockingDeque', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32798, 7471, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32799, 7471, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32800, 7471, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32801, 7472, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32803, 7472, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32804, 7473, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32806, 7474, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32808, 7474, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32809, 7475, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32811, 7475, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32812, 7475, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32813, 7476, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32814, 7476, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32816, 7476, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32820, 7478, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32821, 7478, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32823, 7479, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32826, 7479, 'type может объединчть несколько других type внутри семя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32827, 7480, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32828, 7480, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32830, 7480, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32831, 7481, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32832, 7481, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32834, 7482, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32837, 7482, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32838, 7482, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32839, 7483, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32841, 7483, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32842, 7484, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32843, 7484, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32844, 7484, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32845, 7484, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32848, 7485, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32849, 7485, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32850, 7485, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32851, 7485, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32802, 7472, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32805, 7473, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32807, 7474, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32810, 7475, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32815, 7476, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32817, 7477, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32824, 7479, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32825, 7479, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32829, 7480, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32833, 7481, 'Это способ определить функцию с несколькими вариантами реализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32835, 7482, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32836, 7482, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32840, 7483, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32846, 7484, 'true
true
true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32847, 7485, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32778, 7466, 'Это способ определить функцию с несколькими вариантами реализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32781, 7467, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32780, 7467, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32779, 7467, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32785, 7468, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32789, 7469, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32792, 7470, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33029, 7535, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33031, 7535, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33032, 7535, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33033, 7536, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33034, 7536, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33030, 7535, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33035, 7536, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32296, 7343, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32393, 7367, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32797, 7471, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32577, 7411, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32492, 7388, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32822, 7478, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32494, 7389, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32495, 7389, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32496, 7389, 'type может объединчть несколько других type внутри семя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32602, 7418, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32742, 7456, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33014, 7530, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33015, 7530, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33016, 7530, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32603, 7419, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32194, 7315, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32767, 7463, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32853, 7486, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32854, 7486, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32855, 7486, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32856, 7487, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32858, 7487, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32860, 7488, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32861, 7489, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32863, 7489, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32864, 7490, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32865, 7490, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32867, 7490, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32868, 7491, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32869, 7491, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32871, 7491, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32872, 7492, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32873, 7492, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32875, 7493, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32876, 7493, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32881, 7494, 'type может объединчть несколько других type внутри семя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32882, 7495, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32883, 7495, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32885, 7495, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32886, 7496, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32887, 7496, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32857, 7487, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32859, 7488, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32862, 7489, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32866, 7490, '1
3
4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32870, 7491, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32874, 7492, 'red', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32878, 7494, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32879, 7494, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32884, 7495, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32888, 7496, 'Это способ определить функцию с несколькими вариантами реализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32889, 7497, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32892, 7497, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32894, 7498, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32896, 7498, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32897, 7499, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32898, 7499, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32899, 7499, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32900, 7499, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32903, 7500, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32904, 7500, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32905, 7500, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32906, 7500, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32908, 7501, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32909, 7501, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32910, 7501, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32911, 7502, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32913, 7502, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32914, 7503, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32916, 7504, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32918, 7504, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32919, 7505, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32921, 7505, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32922, 7505, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32923, 7506, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32924, 7506, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32926, 7506, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32928, 7507, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32929, 7507, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32930, 7508, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32931, 7508, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32935, 7509, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32936, 7509, 'type может объединчть несколько других type внутри семя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32937, 7510, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32938, 7510, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32940, 7510, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33287, 7605, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33561, 7670, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32941, 7511, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32943, 7511, 'Это способ определить функцию с несколькими вариантами реализации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32947, 7512, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32948, 7512, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32949, 7513, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32951, 7513, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32952, 7514, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32953, 7514, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32955, 7514, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32956, 7514, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32958, 7515, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32959, 7515, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32960, 7515, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32961, 7515, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32044, 7273, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32046, 7274, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32054, 7277, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32060, 7278, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32064, 7280, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32852, 7486, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32895, 7498, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32901, 7499, 'true
true
true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32902, 7500, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33036, 7536, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33038, 7537, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32912, 7502, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32915, 7503, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32917, 7504, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32920, 7505, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32925, 7506, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32927, 7507, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32934, 7509, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32933, 7509, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32939, 7510, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32942, 7511, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32944, 7512, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32946, 7512, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32945, 7512, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32950, 7513, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32954, 7514, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32957, 7515, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32877, 7493, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32880, 7494, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32890, 7497, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32891, 7497, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32893, 7497, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32963, 7516, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32964, 7516, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32965, 7516, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32966, 7517, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32968, 7517, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32969, 7518, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32971, 7519, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32973, 7519, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32974, 7520, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32975, 7520, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32977, 7520, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32978, 7521, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32979, 7521, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32981, 7521, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32983, 7522, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32984, 7522, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32985, 7523, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32986, 7523, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32992, 7525, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32993, 7525, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32995, 7525, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32996, 7526, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32997, 7526, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33005, 7528, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33006, 7528, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33007, 7529, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33018, 7531, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33019, 7531, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33020, 7531, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33021, 7532, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33023, 7532, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33024, 7533, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33026, 7534, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33027, 7534, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33022, 7532, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33025, 7533, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32962, 7516, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32967, 7517, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32970, 7518, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32972, 7519, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32976, 7520, '1
3
4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32980, 7521, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32982, 7522, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32988, 7524, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32989, 7524, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32994, 7525, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32998, 7526, 'Это способ определить функцию с несколькими вариантами реализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32999, 7527, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33001, 7527, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33000, 7527, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33002, 7527, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33003, 7527, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33004, 7528, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33011, 7529, 'true
true
true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33012, 7530, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33039, 7537, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33040, 7538, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33041, 7538, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33046, 7539, 'type может объединчть несколько других type внутри семя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33047, 7540, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33048, 7540, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33050, 7540, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33051, 7541, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33052, 7541, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33056, 7542, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33059, 7543, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33061, 7543, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33062, 7544, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33063, 7544, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33065, 7544, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33066, 7544, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33067, 7545, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33068, 7545, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33069, 7545, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33070, 7545, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33017, 7531, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33028, 7534, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33037, 7537, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33042, 7538, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33043, 7539, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33045, 7539, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33044, 7539, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33049, 7540, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33053, 7541, 'Это способ определить функцию с несколькими вариантами реализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33054, 7542, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33055, 7542, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33057, 7542, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33058, 7542, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33060, 7543, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33064, 7544, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33071, 7545, '5', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32657, 7433, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33073, 7546, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33074, 7546, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33075, 7546, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33076, 7547, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33078, 7547, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33080, 7548, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33081, 7549, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33082, 7549, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33084, 7550, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33086, 7550, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33072, 7546, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33077, 7547, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33079, 7548, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33083, 7549, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33085, 7550, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33087, 7550, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33088, 7551, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33089, 7551, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33091, 7551, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33093, 7552, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33094, 7552, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33095, 7553, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33096, 7553, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33102, 7555, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33103, 7555, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33105, 7555, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33106, 7556, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33107, 7556, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33114, 7558, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33116, 7558, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33117, 7559, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33118, 7559, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33120, 7559, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33121, 7559, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33123, 7560, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33124, 7560, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33125, 7560, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33126, 7560, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32987, 7523, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32990, 7524, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32991, 7524, 'type может объединчть несколько других type внутри семя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33090, 7551, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33092, 7552, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33097, 7553, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33099, 7554, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33100, 7554, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33101, 7554, 'type может объединчть несколько других type внутри семя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33098, 7554, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33104, 7555, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33108, 7556, 'Это способ определить функцию с несколькими вариантами реализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33110, 7557, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33111, 7557, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33109, 7557, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33113, 7557, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33112, 7557, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33115, 7558, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33119, 7559, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33122, 7560, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33128, 7561, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33129, 7561, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33130, 7561, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33131, 7562, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33133, 7562, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33134, 7563, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33136, 7564, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33137, 7564, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33139, 7565, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33141, 7565, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33142, 7565, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33143, 7566, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33144, 7566, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33146, 7566, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33148, 7567, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33149, 7567, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33150, 7568, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33366, 7626, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33151, 7568, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33127, 7561, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33132, 7562, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33135, 7563, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33138, 7564, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33140, 7565, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33145, 7566, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33147, 7567, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33154, 7569, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33155, 7569, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33156, 7569, 'type может объединчть несколько других type внутри семя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33157, 7570, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33158, 7570, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33160, 7570, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33161, 7571, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33162, 7571, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33165, 7572, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33167, 7572, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33169, 7573, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33171, 7573, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33172, 7574, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33173, 7574, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33175, 7574, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33176, 7574, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33178, 7575, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33179, 7575, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33180, 7575, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33181, 7575, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33183, 7576, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33184, 7576, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33185, 7576, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33186, 7577, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33188, 7577, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33189, 7578, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33191, 7579, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33192, 7579, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33194, 7580, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33196, 7580, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33197, 7580, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33198, 7581, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33200, 7581, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33201, 7581, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33203, 7582, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33204, 7582, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33205, 7583, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33206, 7583, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33208, 7584, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33212, 7585, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33213, 7585, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33214, 7585, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33216, 7586, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33217, 7586, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33153, 7569, 'interface можно объявить тесколько раз с одним и тем же именем, одноименные интерфейсы объединяются.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33159, 7570, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33163, 7571, 'Это способ определить функцию с несколькими вариантами реализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33164, 7572, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33166, 7572, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33168, 7572, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33170, 7573, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33174, 7574, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33177, 7575, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33182, 7576, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33187, 7577, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33190, 7578, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33193, 7579, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33195, 7580, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33199, 7581, '2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33202, 7582, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33207, 7583, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33209, 7584, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33210, 7584, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33215, 7585, 'c, a, b, d', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33417, 7640, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33418, 7641, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33419, 7641, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33421, 7641, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33423, 7642, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33424, 7642, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33422, 7642, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33221, 7587, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33222, 7587, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33224, 7588, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33226, 7588, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33227, 7589, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33228, 7589, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33230, 7589, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33231, 7589, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33233, 7590, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33234, 7590, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33235, 7590, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33236, 7590, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33152, 7568, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33238, 7591, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33239, 7591, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33240, 7591, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33241, 7592, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33243, 7592, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33244, 7593, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33246, 7594, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33247, 7594, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33249, 7595, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33251, 7595, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33252, 7595, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33253, 7596, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33254, 7596, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33256, 7596, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33258, 7597, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33259, 7597, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33260, 7598, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33261, 7598, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33266, 7599, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33267, 7600, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33268, 7600, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33270, 7600, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33271, 7601, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33272, 7601, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33279, 7603, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33281, 7603, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33282, 7604, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33283, 7604, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33285, 7604, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33286, 7604, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33288, 7605, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33289, 7605, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33290, 7605, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33291, 7605, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33219, 7587, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33220, 7587, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33225, 7588, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33229, 7589, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33232, 7590, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33237, 7591, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33242, 7592, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33245, 7593, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33248, 7594, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33250, 7595, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33255, 7596, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33257, 7597, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33262, 7598, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33264, 7599, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33265, 7599, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33269, 7600, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33273, 7601, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33274, 7602, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33276, 7602, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33275, 7602, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33277, 7602, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33278, 7602, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33280, 7603, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33284, 7604, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33562, 7670, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33563, 7671, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33564, 7671, 'IntStream.range(1, 10).forEach(System.out::println);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33565, 7671, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33293, 7606, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33294, 7606, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33295, 7606, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33296, 7607, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33298, 7607, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33299, 7608, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33301, 7609, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33303, 7609, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33304, 7610, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33305, 7610, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33307, 7610, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33308, 7611, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33309, 7611, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33311, 7611, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33313, 7612, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33314, 7612, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33315, 7613, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33316, 7613, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33318, 7614, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33322, 7615, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33323, 7615, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33325, 7615, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33326, 7616, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33327, 7616, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33332, 7617, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33334, 7618, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33336, 7618, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33337, 7619, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33338, 7619, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33340, 7619, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33341, 7619, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33343, 7620, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33344, 7620, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33345, 7620, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33346, 7620, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33348, 7621, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33349, 7621, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33350, 7621, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33351, 7622, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33353, 7622, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33354, 7623, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33356, 7624, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33357, 7624, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33359, 7625, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33360, 7625, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33362, 7625, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33363, 7626, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33364, 7626, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33365, 7626, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33368, 7627, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33369, 7627, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33297, 7607, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33300, 7608, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33302, 7609, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33306, 7610, '1
3
4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33310, 7611, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33312, 7612, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33319, 7614, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33320, 7614, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33321, 7614, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33324, 7615, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33328, 7616, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33329, 7617, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33330, 7617, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33331, 7617, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33333, 7617, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33335, 7618, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33339, 7619, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33342, 7620, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33634, 7684, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33635, 7684, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33636, 7684, 'git reset', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33637, 7684, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33638, 7685, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33639, 7685, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33640, 7685, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33641, 7685, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33352, 7622, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33355, 7623, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33358, 7624, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33361, 7625, '1
3
4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33370, 7628, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33371, 7628, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33376, 7629, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33377, 7630, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33378, 7630, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33380, 7630, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33381, 7631, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33382, 7631, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33389, 7633, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33391, 7633, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33392, 7634, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33393, 7634, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33394, 7634, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33395, 7634, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33398, 7635, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33399, 7635, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33400, 7635, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33401, 7635, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33292, 7606, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33317, 7613, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33211, 7584, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33218, 7586, 'Это способ определить функцию с несколькими вариантами реализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33223, 7587, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32907, 7501, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (32932, 7508, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28279, 6508, 'docker ps', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28319, 6517, 'Нет, так как они удаляются без возможности восстановления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28304, 6514, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (28306, 6514, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33263, 7599, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33402, 7636, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33403, 7636, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33405, 7636, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33407, 7637, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33408, 7637, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33409, 7638, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33411, 7639, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33413, 7639, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33414, 7640, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33416, 7640, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33374, 7629, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33375, 7629, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33379, 7630, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33383, 7631, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33385, 7632, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33386, 7632, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33384, 7632, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33387, 7632, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33388, 7632, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33390, 7633, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33396, 7634, 'true
true
true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33397, 7635, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33404, 7636, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33406, 7637, 'True', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33410, 7638, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33412, 7639, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33415, 7640, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33425, 7643, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33426, 7643, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33432, 7645, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33436, 7646, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33437, 7646, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33444, 7648, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33446, 7648, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33447, 7649, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33448, 7649, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33450, 7649, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33451, 7649, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33453, 7650, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33454, 7650, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33455, 7650, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33456, 7650, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33458, 7651, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33459, 7651, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33460, 7651, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33461, 7651, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33462, 7651, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33463, 7652, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33464, 7652, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33465, 7652, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33467, 7653, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33469, 7653, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33470, 7653, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33471, 7653, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33472, 7653, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33473, 7654, 'Код всегда будет печатать "-flipflop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33474, 7654, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33475, 7654, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33476, 7654, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33477, 7654, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33480, 7655, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33481, 7655, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33482, 7655, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33484, 7656, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33487, 7656, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33488, 7656, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33489, 7657, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33490, 7657, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33491, 7657, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33642, 7685, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33466, 7652, 'LinkedBlockingDeque', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33478, 7654, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33479, 7655, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33483, 7656, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33485, 7656, 'Update', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33429, 7644, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33430, 7644, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33431, 7644, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33434, 7645, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33438, 7646, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33439, 7647, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33440, 7647, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33441, 7647, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33443, 7647, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33442, 7647, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33445, 7648, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33449, 7649, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33452, 7650, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33494, 7657, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33496, 7658, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33497, 7658, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33498, 7658, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33499, 7658, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33500, 7658, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33501, 7659, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33502, 7659, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33578, 7673, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33503, 7659, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33506, 7660, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33507, 7660, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33508, 7660, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33509, 7661, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33511, 7661, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33512, 7661, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33519, 7663, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33521, 7663, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33522, 7663, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33524, 7663, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33525, 7664, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33526, 7664, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33527, 7664, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33528, 7664, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33530, 7665, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33531, 7665, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33532, 7665, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33534, 7665, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33535, 7665, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33536, 7666, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33537, 7666, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33538, 7666, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33539, 7666, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33541, 7666, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33542, 7667, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33544, 7667, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33545, 7667, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33546, 7667, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33547, 7667, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33548, 7668, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33550, 7668, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33551, 7668, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33552, 7668, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33505, 7660, 'Для настройки взаимодействия между Docker Containers', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33533, 7665, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33540, 7666, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33543, 7667, 'git reflog', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33549, 7668, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33553, 7669, '3 6 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33554, 7669, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33555, 7669, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33556, 7669, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33557, 7669, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33558, 7669, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33559, 7670, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33560, 7670, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33513, 7662, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33520, 7663, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33523, 7663, 'Attached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33529, 7664, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33492, 7657, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33493, 7657, 'Select * from users order by user_id, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33495, 7658, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33504, 7659, 'Все запросы неверны', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33566, 7671, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33567, 7671, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33568, 7671, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33569, 7672, 'Код всегда будет печатать "-flipflop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33570, 7672, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33571, 7672, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33572, 7672, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33573, 7672, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33574, 7672, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33575, 7673, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33576, 7673, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33577, 7673, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33579, 7674, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33580, 7674, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33585, 7675, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33586, 7675, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33587, 7675, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33588, 7675, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33589, 7675, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33590, 7675, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33591, 7676, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33592, 7676, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33593, 7676, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33594, 7676, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33595, 7676, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33596, 7676, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33597, 7677, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33598, 7677, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33599, 7677, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33600, 7677, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33601, 7678, 'Для настройки взаимодействия между Docker Containers', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33602, 7678, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33603, 7678, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33604, 7678, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33605, 7679, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33606, 7679, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33607, 7679, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33608, 7679, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33609, 7680, 'Session', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33610, 7680, 'SessionFactory', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33611, 7680, 'Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33612, 7680, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33613, 7680, 'Query', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33614, 7680, 'Criteria', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33615, 7681, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33616, 7681, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33617, 7681, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33618, 7681, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33619, 7681, 'Attached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33620, 7681, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33621, 7682, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33622, 7682, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33623, 7682, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33624, 7682, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33625, 7682, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33626, 7683, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33627, 7683, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33628, 7683, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33629, 7683, 'git commit', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33630, 7683, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33631, 7683, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33632, 7684, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33633, 7684, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33643, 7685, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33644, 7686, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33645, 7686, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33646, 7686, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33647, 7686, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33648, 7686, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33510, 7661, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33514, 7662, 'SessionFactory', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33515, 7662, 'Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33516, 7662, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33517, 7662, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33518, 7662, 'Criteria', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33457, 7651, '3 6 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33468, 7653, 'IntStream.range(1, 10).forEach(System.out::println);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33486, 7656, 'Delete', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33650, 7687, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33651, 7687, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34157, 7793, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33652, 7687, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33653, 7688, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33655, 7688, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33657, 7689, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33658, 7690, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33659, 7690, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33661, 7691, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33663, 7691, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33664, 7691, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33665, 7692, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33666, 7692, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33668, 7692, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33670, 7693, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33671, 7693, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33672, 7694, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33673, 7694, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33675, 7695, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33677, 7695, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33678, 7695, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33679, 7696, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33680, 7696, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33682, 7696, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33683, 7697, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33685, 7697, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33691, 7699, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33693, 7699, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33694, 7700, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33695, 7700, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33697, 7700, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33698, 7700, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33700, 7701, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33701, 7701, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33702, 7701, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33703, 7701, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33778, 7720, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33654, 7688, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33656, 7689, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33660, 7690, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33662, 7691, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33667, 7692, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33669, 7693, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33676, 7695, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33681, 7696, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33684, 7697, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33686, 7698, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33687, 7698, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33688, 7698, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33689, 7698, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33690, 7698, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33692, 7699, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33696, 7700, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33699, 7701, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33704, 7702, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33705, 7702, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33706, 7702, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33707, 7702, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33708, 7703, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33709, 7703, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33710, 7703, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33711, 7704, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33712, 7704, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33713, 7705, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33714, 7705, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33715, 7705, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33716, 7706, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33717, 7706, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33718, 7706, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33719, 7706, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33720, 7707, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33721, 7707, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33722, 7707, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33723, 7707, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33724, 7708, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33725, 7708, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33726, 7708, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33727, 7709, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33728, 7709, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33806, 7725, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33808, 7726, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34158, 7793, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33729, 7709, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33730, 7710, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33731, 7710, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33732, 7710, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33733, 7710, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33734, 7711, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33735, 7711, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33736, 7711, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33737, 7711, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33738, 7712, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33739, 7712, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33740, 7712, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33741, 7713, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33742, 7713, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33743, 7713, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33744, 7713, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33745, 7713, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33746, 7714, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33747, 7714, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33748, 7714, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33749, 7715, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33750, 7715, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33751, 7715, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33752, 7715, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33753, 7715, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33754, 7716, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33755, 7716, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33756, 7716, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33757, 7716, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33758, 7716, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33760, 7717, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33761, 7717, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33762, 7717, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33763, 7717, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33764, 7717, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33765, 7718, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33767, 7718, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33768, 7718, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33769, 7719, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33771, 7719, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33772, 7719, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33773, 7719, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33774, 7719, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33775, 7720, 'Код всегда будет печатать "-flipflop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33776, 7720, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33777, 7720, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33766, 7718, 'ConcurrentLinkedDeque', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33915, 7746, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33779, 7720, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33781, 7721, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33782, 7721, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33783, 7721, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33786, 7722, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33789, 7722, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33790, 7722, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33791, 7723, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33793, 7723, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33795, 7723, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33796, 7723, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33797, 7724, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33798, 7724, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33800, 7724, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33801, 7724, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33802, 7724, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33803, 7725, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33804, 7725, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33809, 7726, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33810, 7726, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33811, 7727, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33813, 7727, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33814, 7727, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33817, 7728, 'Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33821, 7729, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33823, 7729, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33824, 7729, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33825, 7729, 'Attached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33826, 7729, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33827, 7730, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33828, 7730, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33830, 7730, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33831, 7730, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33832, 7731, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33833, 7731, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33834, 7731, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33836, 7731, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33837, 7731, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33838, 7732, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33839, 7732, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33840, 7732, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33841, 7732, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33843, 7732, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33844, 7733, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33846, 7733, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33847, 7733, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33848, 7733, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33849, 7733, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33850, 7734, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33835, 7731, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33842, 7732, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33845, 7733, 'git reflog', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33812, 7727, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33816, 7728, 'SessionFactory', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33822, 7729, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33829, 7730, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33780, 7720, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33784, 7721, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33785, 7722, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33787, 7722, 'Update', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33788, 7722, 'Delete', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33792, 7723, 'Select * from users order in user_id, user_type_id desc;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33794, 7723, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33799, 7724, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33805, 7725, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33852, 7734, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33853, 7734, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33854, 7734, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33856, 7735, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33857, 7735, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33858, 7735, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33859, 7735, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33860, 7735, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33862, 7736, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33863, 7736, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33864, 7736, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33865, 7737, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33867, 7737, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33868, 7737, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33869, 7737, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33870, 7737, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33871, 7738, 'Код всегда будет печатать "-flipflop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33872, 7738, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33873, 7738, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33874, 7738, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33875, 7738, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33877, 7739, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33878, 7739, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33879, 7739, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33887, 7741, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33888, 7741, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33889, 7741, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33892, 7741, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33893, 7742, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33894, 7742, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33896, 7742, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33897, 7742, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33898, 7742, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33900, 7743, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33901, 7743, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33902, 7743, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33904, 7744, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33905, 7744, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33906, 7744, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33907, 7745, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33909, 7745, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33910, 7745, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33913, 7746, 'Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33903, 7744, 'Для настройки взаимодействия между Docker Containers', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33908, 7745, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33911, 7746, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33914, 7746, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33912, 7746, 'SessionFactory', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33855, 7735, '3 6 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33861, 7736, 'BlockingDeque', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33866, 7737, 'IntStream.range(1, 10).forEach(System.out::println);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33876, 7738, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33880, 7739, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33881, 7740, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33883, 7740, 'Update', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33884, 7740, 'Delete', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33890, 7741, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33891, 7741, 'Select * from users order by user_id, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33895, 7742, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33899, 7743, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33917, 7747, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33919, 7747, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33920, 7747, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33923, 7748, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33924, 7748, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33925, 7748, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33926, 7748, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33928, 7749, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33929, 7749, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33930, 7749, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33932, 7749, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33933, 7749, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33934, 7750, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33935, 7750, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33936, 7750, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33937, 7750, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33939, 7750, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33940, 7751, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33942, 7751, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33943, 7751, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33944, 7751, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33945, 7751, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33946, 7752, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33948, 7752, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33949, 7752, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33950, 7752, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27195, 6268, 'git blame', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27199, 6269, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27182, 6266, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27184, 6266, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (27159, 6261, 'Верно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33952, 7753, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33953, 7753, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33954, 7753, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33955, 7753, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33956, 7753, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33957, 7754, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33959, 7754, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33960, 7754, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33961, 7755, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33962, 7755, 'IntStream.range(1, 10).forEach(System.out::println);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33963, 7755, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33964, 7755, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33966, 7755, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33967, 7756, 'Код всегда будет печатать "-flipflop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33968, 7756, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33969, 7756, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33970, 7756, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33971, 7756, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33974, 7757, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33975, 7757, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33976, 7757, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33978, 7758, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33938, 7750, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33941, 7751, 'git reflog', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33918, 7747, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33921, 7747, 'Attached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33922, 7747, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33927, 7748, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33951, 7753, '3 6 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33958, 7754, 'ConcurrentLinkedDeque', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33965, 7755, 'Никакой из перечисленных', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33972, 7756, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33973, 7757, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33977, 7758, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33979, 7758, 'Update', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33980, 7758, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33981, 7758, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33982, 7758, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33983, 7759, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33984, 7759, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33985, 7759, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33987, 7759, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33988, 7759, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33989, 7760, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33990, 7760, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33992, 7760, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33993, 7760, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33994, 7760, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33996, 7761, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33997, 7761, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33998, 7761, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34000, 7762, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34001, 7762, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34002, 7762, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34003, 7763, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34004, 7763, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34005, 7763, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34009, 7764, 'Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34014, 7765, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34017, 7765, 'Attached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34018, 7765, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34019, 7766, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34020, 7766, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34022, 7766, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34023, 7766, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34024, 7767, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34025, 7767, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34029, 7767, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34030, 7768, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34031, 7768, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34032, 7768, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34033, 7768, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34035, 7768, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34036, 7769, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34038, 7769, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34039, 7769, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34040, 7769, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34041, 7769, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34042, 7770, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34044, 7770, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34045, 7770, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34046, 7770, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34047, 7771, '3 6 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34048, 7771, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34049, 7771, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34027, 7767, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34034, 7768, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34037, 7769, 'git reflog', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34006, 7763, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34007, 7764, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34008, 7764, 'SessionFactory', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34010, 7764, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34011, 7764, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34012, 7764, 'Criteria', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34013, 7765, 'Transient', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34015, 7765, 'Persistent', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34016, 7765, 'Detached', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34021, 7766, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33986, 7759, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33991, 7760, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33995, 7761, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34050, 7771, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34051, 7771, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34052, 7771, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34053, 7772, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34054, 7772, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34055, 7772, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34056, 7772, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34057, 7773, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34058, 7773, 'IntStream.range(1, 10).forEach(System.out::println);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34059, 7773, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34060, 7773, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34061, 7773, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34062, 7773, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34063, 7774, 'Код всегда будет печатать "-flipflop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34064, 7774, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34065, 7774, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34066, 7774, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34067, 7774, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34068, 7774, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34069, 7775, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34070, 7775, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34071, 7775, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34072, 7775, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34073, 7776, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34074, 7776, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34075, 7776, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34076, 7776, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34077, 7776, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34078, 7776, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34079, 7777, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34080, 7777, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34081, 7777, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34082, 7777, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34083, 7777, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34084, 7777, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34085, 7778, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34086, 7778, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34087, 7778, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34088, 7778, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34089, 7778, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34090, 7778, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34091, 7779, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34092, 7779, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34093, 7779, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34094, 7779, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34096, 7780, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34097, 7780, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34098, 7780, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34099, 7781, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34101, 7781, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34102, 7781, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34103, 7782, 'Session', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34104, 7782, 'SessionFactory', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34105, 7782, 'Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34106, 7782, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34107, 7782, 'Query', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34109, 7783, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34110, 7783, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34111, 7783, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34112, 7783, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34115, 7784, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34116, 7784, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34095, 7780, 'Для настройки взаимодействия между Docker Containers', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34100, 7781, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34108, 7782, 'Criteria', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34114, 7783, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34113, 7783, 'Attached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34243, 7817, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34117, 7784, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34119, 7784, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34120, 7785, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34121, 7785, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34122, 7785, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34124, 7785, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34125, 7785, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34126, 7786, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34127, 7786, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34128, 7786, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34129, 7786, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34131, 7786, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34132, 7787, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34134, 7787, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34135, 7787, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34136, 7787, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34137, 7787, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34138, 7788, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34140, 7788, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34141, 7788, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34142, 7788, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33807, 7726, 'Для настройки взаимодействия между Docker Containers', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33851, 7734, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33815, 7728, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33818, 7728, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33819, 7728, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33820, 7728, 'Criteria', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33759, 7717, '3 6 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33770, 7719, 'IntStream.range(1, 10).forEach(System.out::println);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34123, 7785, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34130, 7786, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34133, 7787, 'git reflog', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34139, 7788, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34118, 7784, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34144, 7789, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34145, 7789, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34146, 7789, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34147, 7790, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34149, 7790, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34150, 7791, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34152, 7792, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34154, 7792, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34159, 7794, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34160, 7794, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34162, 7794, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34164, 7795, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34165, 7795, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34166, 7796, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34167, 7796, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34244, 7817, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34143, 7789, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34148, 7790, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34151, 7791, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34153, 7792, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34156, 7793, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34161, 7794, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34163, 7795, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34168, 7796, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34170, 7797, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34169, 7797, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34171, 7797, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34172, 7797, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34173, 7798, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34174, 7798, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34176, 7798, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34177, 7799, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34178, 7799, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34182, 7800, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34183, 7800, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34185, 7801, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34187, 7801, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34188, 7802, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34189, 7802, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34191, 7802, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34192, 7802, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34194, 7803, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34195, 7803, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34196, 7803, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34197, 7803, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34199, 7804, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34200, 7804, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34201, 7804, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34202, 7805, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34204, 7805, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34206, 7806, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34207, 7807, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34208, 7807, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34210, 7808, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34211, 7808, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34213, 7808, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34214, 7809, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34215, 7809, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34217, 7809, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34219, 7810, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34220, 7810, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34221, 7811, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34222, 7811, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34226, 7812, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34227, 7812, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34228, 7813, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34229, 7813, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34231, 7813, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34232, 7814, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34233, 7814, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34238, 7815, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34239, 7815, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34241, 7816, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34242, 7816, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34184, 7800, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34181, 7800, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34180, 7800, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34186, 7801, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34190, 7802, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34193, 7803, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34198, 7804, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34203, 7805, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34205, 7806, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34209, 7807, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34212, 7808, '1
3
4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34216, 7809, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34218, 7810, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34224, 7812, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34225, 7812, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34230, 7813, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34234, 7814, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34235, 7815, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34236, 7815, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34237, 7815, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34240, 7816, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34246, 7817, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34247, 7817, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34249, 7818, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34250, 7818, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34251, 7818, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34252, 7818, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34253, 7819, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34254, 7819, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34255, 7819, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34258, 7820, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34259, 7820, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34260, 7821, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34262, 7822, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34263, 7822, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34265, 7823, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34267, 7823, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34268, 7823, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34269, 7824, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34270, 7824, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34271, 7824, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34274, 7825, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34275, 7825, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34276, 7826, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34278, 7826, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34279, 7827, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34281, 7827, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34282, 7827, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34283, 7828, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34284, 7828, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34286, 7828, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34287, 7829, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34288, 7829, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34293, 7830, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34295, 7831, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34297, 7831, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34298, 7832, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34299, 7832, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34301, 7832, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34302, 7832, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34304, 7833, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34305, 7833, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34306, 7833, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34307, 7833, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33347, 7621, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33372, 7628, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33373, 7629, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34175, 7798, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34179, 7799, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34309, 7834, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34257, 7820, 'True', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34261, 7821, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34264, 7822, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34266, 7823, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34272, 7824, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34273, 7825, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34280, 7827, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34285, 7828, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34289, 7829, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34290, 7830, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34291, 7830, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34294, 7830, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34292, 7830, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34296, 7831, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34300, 7832, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34303, 7833, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34448, 7873, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34449, 7873, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34451, 7873, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34521, 7892, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34522, 7892, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34450, 7873, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34245, 7817, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34248, 7818, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34310, 7834, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34311, 7834, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34312, 7835, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34314, 7835, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34315, 7836, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34317, 7837, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34318, 7837, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34320, 7838, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34322, 7838, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34323, 7838, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34324, 7839, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34325, 7839, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34327, 7839, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34329, 7840, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34330, 7840, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34331, 7841, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34332, 7841, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34337, 7842, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34338, 7843, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34339, 7843, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34341, 7843, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34342, 7844, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34343, 7844, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34351, 7846, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34352, 7846, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34353, 7847, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34354, 7847, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34356, 7847, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34357, 7847, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34359, 7848, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34360, 7848, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34361, 7848, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34362, 7848, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34364, 7849, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34365, 7849, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34366, 7849, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34367, 7850, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34369, 7850, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34371, 7851, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34372, 7852, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34374, 7852, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34375, 7853, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34376, 7853, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34378, 7853, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34379, 7854, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34380, 7854, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34382, 7854, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34384, 7855, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34385, 7855, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34386, 7856, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34519, 7892, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34316, 7836, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34319, 7837, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34321, 7838, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34326, 7839, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34328, 7840, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34334, 7842, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34335, 7842, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34340, 7843, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34344, 7844, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34345, 7845, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34346, 7845, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34347, 7845, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34348, 7845, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34413, 7863, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34349, 7845, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34350, 7846, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34355, 7847, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34358, 7848, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34520, 7892, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34363, 7849, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34368, 7850, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34370, 7851, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34373, 7852, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34377, 7853, '1
3
4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34381, 7854, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34383, 7855, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34387, 7856, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34389, 7857, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34390, 7857, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34391, 7857, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34393, 7858, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34394, 7858, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34396, 7858, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34397, 7859, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34398, 7859, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34403, 7860, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34406, 7861, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34407, 7861, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34408, 7862, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34409, 7862, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34411, 7862, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34412, 7862, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34414, 7863, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34415, 7863, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34416, 7863, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34417, 7863, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34256, 7819, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34277, 7826, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33649, 7687, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34419, 7864, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34420, 7864, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34421, 7864, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34422, 7865, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34424, 7865, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34425, 7866, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34427, 7867, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34428, 7867, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34430, 7868, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34432, 7868, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34433, 7868, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34434, 7869, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34435, 7869, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34437, 7869, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34439, 7870, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34440, 7870, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34441, 7871, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34442, 7871, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34423, 7865, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34426, 7866, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34429, 7867, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34431, 7868, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34436, 7869, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34438, 7870, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34444, 7872, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34445, 7872, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34388, 7856, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34392, 7857, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34395, 7858, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34399, 7859, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34400, 7860, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34401, 7860, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34402, 7860, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34404, 7860, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34405, 7861, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34410, 7862, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34452, 7874, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34453, 7874, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34460, 7876, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34462, 7876, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34463, 7877, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34464, 7877, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34466, 7877, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34467, 7877, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34469, 7878, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34470, 7878, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34471, 7878, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34472, 7878, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33674, 7694, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34474, 7879, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34475, 7879, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34476, 7879, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34477, 7880, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34479, 7880, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34481, 7881, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34482, 7882, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34483, 7882, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34485, 7883, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34487, 7883, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34488, 7883, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34489, 7884, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34490, 7884, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34492, 7884, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34494, 7885, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34495, 7885, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34496, 7886, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34497, 7886, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34501, 7887, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34502, 7887, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34503, 7888, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34504, 7888, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34506, 7888, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34507, 7889, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34508, 7889, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34513, 7890, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34514, 7890, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34515, 7891, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34517, 7891, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34518, 7892, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34478, 7880, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34480, 7881, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34484, 7882, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34486, 7883, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34491, 7884, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34493, 7885, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34499, 7887, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34500, 7887, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34505, 7888, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34509, 7889, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34510, 7890, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34511, 7890, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34512, 7890, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34516, 7891, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34454, 7874, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34455, 7875, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34456, 7875, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34457, 7875, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34458, 7875, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34459, 7875, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34461, 7876, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34465, 7877, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34468, 7878, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34524, 7893, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34525, 7893, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34526, 7893, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34527, 7893, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34529, 7894, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34731, 7946, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34530, 7894, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34531, 7894, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34532, 7895, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34534, 7895, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34535, 7896, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34537, 7897, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34539, 7897, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34540, 7898, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34542, 7898, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34543, 7898, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34544, 7899, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34545, 7899, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34547, 7899, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34549, 7900, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34550, 7900, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34551, 7901, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34552, 7901, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34557, 7902, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34558, 7903, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34559, 7903, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34561, 7903, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34562, 7904, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34563, 7904, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34570, 7906, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34572, 7906, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34573, 7907, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34574, 7907, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34576, 7907, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34577, 7907, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34579, 7908, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34580, 7908, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34581, 7908, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34582, 7908, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34583, 7909, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34584, 7909, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34585, 7909, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34586, 7909, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34587, 7910, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34588, 7910, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34589, 7910, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34590, 7911, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34591, 7911, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34592, 7912, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34593, 7912, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34594, 7912, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34595, 7913, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34596, 7913, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34597, 7913, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34598, 7913, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34599, 7914, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34600, 7914, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34601, 7914, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34602, 7914, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34603, 7915, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34533, 7895, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34536, 7896, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34538, 7897, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34541, 7898, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34546, 7899, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34548, 7900, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34556, 7902, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34555, 7902, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34560, 7903, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34564, 7904, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34565, 7905, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34566, 7905, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34567, 7905, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34568, 7905, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34569, 7905, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34571, 7906, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34575, 7907, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34578, 7908, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34604, 7915, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34605, 7915, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34606, 7916, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34607, 7916, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34608, 7916, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35160, 8045, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34609, 7917, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34610, 7917, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34611, 7917, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34612, 7917, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34613, 7918, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34614, 7918, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34615, 7918, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34616, 7918, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34617, 7919, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34618, 7919, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34619, 7919, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34620, 7920, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34621, 7920, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34622, 7920, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34623, 7920, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34624, 7920, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34625, 7921, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34626, 7921, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34627, 7921, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34628, 7922, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34629, 7922, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34630, 7922, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34631, 7922, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34632, 7922, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34633, 7923, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34634, 7923, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34635, 7923, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34636, 7923, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34637, 7923, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34638, 7924, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34639, 7924, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34640, 7924, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34642, 7925, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34644, 7925, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34646, 7926, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34647, 7927, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34648, 7927, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34650, 7928, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34652, 7928, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34653, 7928, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34654, 7929, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34655, 7929, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34657, 7929, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34659, 7930, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34660, 7930, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34661, 7931, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34662, 7931, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34664, 7932, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34667, 7932, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34668, 7933, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34669, 7933, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34643, 7925, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34645, 7926, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34649, 7927, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34651, 7928, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34656, 7929, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34658, 7930, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34665, 7932, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34666, 7932, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34670, 7933, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34671, 7933, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34672, 7934, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34673, 7934, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34680, 7936, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34682, 7936, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34683, 7937, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34684, 7937, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34686, 7937, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34687, 7937, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34689, 7938, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34690, 7938, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34691, 7938, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34692, 7938, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34473, 7879, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33931, 7749, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33947, 7752, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34418, 7864, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34308, 7834, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34313, 7835, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33916, 7746, 'Criteria', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34498, 7886, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34333, 7841, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34336, 7842, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34443, 7871, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34446, 7872, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34447, 7872, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34523, 7893, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34223, 7811, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34641, 7924, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34663, 7931, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34674, 7934, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34677, 7935, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34676, 7935, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34678, 7935, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34675, 7935, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34679, 7935, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34681, 7936, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34685, 7937, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34688, 7938, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34693, 7939, '3 6 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34694, 7939, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34695, 7939, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34696, 7939, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34698, 7939, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34699, 7940, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34700, 7940, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34701, 7940, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34703, 7941, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34705, 7941, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34697, 7939, 'Код компилируется, но кидает исключение на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34702, 7940, 'LinkedBlockingDeque', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34704, 7941, 'IntStream.range(1, 10).forEach(System.out::println);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34706, 7941, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34707, 7941, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34708, 7941, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34710, 7942, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34711, 7942, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34712, 7942, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34713, 7942, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34714, 7942, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34715, 7943, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34717, 7943, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34718, 7943, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34720, 7944, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34721, 7944, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34722, 7944, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34723, 7944, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34724, 7944, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34725, 7945, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34726, 7945, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34727, 7945, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34729, 7945, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34730, 7945, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35168, 8047, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35169, 8047, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34732, 7946, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34734, 7946, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34735, 7946, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34736, 7946, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34738, 7947, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34739, 7947, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34740, 7947, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34741, 7948, 'Для настройки взаимодействия между Docker Containers', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34743, 7948, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34744, 7948, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34745, 7949, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34747, 7949, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34748, 7949, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34750, 7950, 'SessionFactory', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34751, 7950, 'Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34755, 7951, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34757, 7951, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34758, 7951, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34760, 7951, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34761, 7952, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34763, 7952, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34764, 7952, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34765, 7952, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34766, 7953, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34767, 7953, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34768, 7953, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34770, 7953, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34771, 7953, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34772, 7954, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34773, 7954, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34769, 7953, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34746, 7949, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34752, 7950, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34753, 7950, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34756, 7951, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34759, 7951, 'Attached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34762, 7952, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34709, 7942, 'Код всегда будет печатать "-flipflop"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34716, 7943, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34719, 7944, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34728, 7945, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34733, 7946, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34737, 7947, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34774, 7954, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34775, 7954, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34777, 7954, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34779, 7955, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34780, 7955, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34781, 7955, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34782, 7955, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34783, 7955, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34784, 7956, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34786, 7956, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34787, 7956, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34788, 7956, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34790, 7957, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34791, 7957, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34792, 7957, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34793, 7958, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34795, 7958, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34796, 7959, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34798, 7960, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34800, 7960, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34801, 7961, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34803, 7961, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34804, 7961, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34805, 7962, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34806, 7962, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34808, 7962, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34810, 7963, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34811, 7963, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35172, 8047, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34812, 7964, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34813, 7964, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34815, 7965, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34817, 7965, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34819, 7966, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34820, 7966, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34822, 7966, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34823, 7967, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34824, 7967, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34826, 7968, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34829, 7968, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34830, 7968, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34831, 7969, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34833, 7969, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34834, 7970, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34835, 7970, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34837, 7970, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34838, 7970, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34840, 7971, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34841, 7971, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34842, 7971, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34843, 7971, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34789, 7957, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34794, 7958, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34797, 7959, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34799, 7960, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34802, 7961, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34807, 7962, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34809, 7963, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34816, 7965, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34818, 7965, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34821, 7966, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34825, 7967, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34828, 7968, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34827, 7968, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34832, 7969, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34836, 7970, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34839, 7971, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34912, 7989, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34913, 7989, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34914, 7989, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34915, 7990, 'Код всегда будет печатать "-flipflop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34778, 7955, 'git log', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34814, 7964, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34844, 7972, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34846, 7972, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34847, 7972, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34848, 7973, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34850, 7973, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34851, 7974, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34853, 7975, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34855, 7975, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34856, 7976, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34858, 7976, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34859, 7976, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34860, 7977, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34861, 7977, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34863, 7977, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34865, 7978, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34866, 7978, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34868, 7979, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34869, 7979, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34870, 7980, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34871, 7980, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34872, 7980, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34874, 7981, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34875, 7981, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34877, 7981, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35343, 8083, 'modified', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34878, 7982, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34879, 7982, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34881, 7983, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34882, 7983, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34883, 7983, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34884, 7983, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34885, 7983, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34886, 7984, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34887, 7984, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34888, 7984, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34889, 7985, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34890, 7985, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34891, 7985, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34892, 7985, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34893, 7985, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34894, 7986, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34895, 7986, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34896, 7986, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34897, 7986, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34898, 7986, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34845, 7972, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34849, 7973, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34852, 7974, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34854, 7975, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34857, 7976, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34862, 7977, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34864, 7978, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34867, 7979, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34873, 7980, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34876, 7981, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34880, 7982, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34899, 7987, '3 6 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34900, 7987, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34901, 7987, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34902, 7987, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34903, 7987, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34904, 7987, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34905, 7988, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34906, 7988, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34907, 7988, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34908, 7988, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34909, 7989, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34910, 7989, 'IntStream.range(1, 10).forEach(System.out::println);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34911, 7989, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34987, 8003, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34916, 7990, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34917, 7990, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34918, 7990, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34919, 7990, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34920, 7990, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34921, 7991, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34922, 7991, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34923, 7991, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34924, 7991, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34925, 7992, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34926, 7992, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34927, 7992, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34928, 7992, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34929, 7992, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34930, 7992, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34931, 7993, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34932, 7993, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34933, 7993, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34934, 7993, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34935, 7993, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34936, 7993, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34937, 7994, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34938, 7994, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34939, 7994, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34940, 7994, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34941, 7994, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34942, 7994, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34943, 7995, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34944, 7995, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34945, 7995, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34946, 7995, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34947, 7996, 'Для настройки взаимодействия между Docker Containers', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34948, 7996, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34949, 7996, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34950, 7996, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34951, 7997, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34952, 7997, 'JOIN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34953, 7997, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34954, 7997, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34955, 7998, 'Session', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34956, 7998, 'SessionFactory', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34957, 7998, 'Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34958, 7998, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34959, 7998, 'Query', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34960, 7998, 'Criteria', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34961, 7999, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34962, 7999, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34963, 7999, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34964, 7999, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34965, 7999, 'Attached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34966, 7999, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34967, 8000, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34968, 8000, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34969, 8000, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34970, 8000, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34971, 8000, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34972, 8001, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34973, 8001, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34974, 8001, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34975, 8001, 'git commit', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34976, 8001, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34977, 8001, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34978, 8002, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34979, 8002, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34980, 8002, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34981, 8002, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34982, 8002, 'git reset', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34983, 8002, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34984, 8003, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34985, 8003, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34986, 8003, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34988, 8003, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34989, 8003, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34990, 8004, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34991, 8004, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34992, 8004, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34993, 8004, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34994, 8004, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34996, 8005, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34997, 8005, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34998, 8005, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34999, 8006, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35001, 8006, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35002, 8007, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35004, 8008, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35006, 8008, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35007, 8009, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35009, 8009, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35010, 8009, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35011, 8010, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35012, 8010, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35014, 8010, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35016, 8011, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35017, 8011, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35018, 8012, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35019, 8012, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35021, 8013, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35022, 8013, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35023, 8013, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35025, 8014, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35026, 8014, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35028, 8014, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35029, 8015, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35030, 8015, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35032, 8016, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35033, 8016, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35034, 8016, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35036, 8016, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35038, 8017, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35039, 8017, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35040, 8018, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35041, 8018, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35043, 8018, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35044, 8018, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35046, 8019, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35047, 8019, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35048, 8019, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35049, 8019, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34528, 7894, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35051, 8020, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35052, 8020, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35000, 8006, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35003, 8007, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35005, 8008, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35008, 8009, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35013, 8010, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35015, 8011, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35024, 8013, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35027, 8014, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35031, 8015, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35035, 8016, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35037, 8017, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35042, 8018, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35045, 8019, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35050, 8020, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35053, 8020, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35054, 8021, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35056, 8021, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35058, 8022, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35059, 8023, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35060, 8023, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35062, 8024, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35063, 8024, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35065, 8024, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35066, 8025, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35067, 8025, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35069, 8025, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35071, 8026, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35072, 8026, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35073, 8027, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35074, 8027, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35076, 8028, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35079, 8028, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35080, 8029, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35081, 8029, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35083, 8029, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35084, 8030, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35085, 8030, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35090, 8031, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35093, 8032, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35094, 8032, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35095, 8033, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35096, 8033, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35097, 8033, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35098, 8033, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35101, 8034, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35102, 8034, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35103, 8034, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35104, 8034, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34553, 7901, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35469, 8108, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34554, 7902, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33999, 7762, 'Для настройки взаимодействия между Docker Containers', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34043, 7770, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34742, 7948, 'Для настройки взаимодействия между Docker Registry', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34776, 7954, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34785, 7956, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34749, 7950, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34754, 7950, 'Criteria', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35106, 8035, '6 6 6', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35107, 8035, '6 3 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35108, 8035, 'Код компилируется, но входит в бесконечный цикл', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35109, 8035, 'Код компилируется, но кидает исключение на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35110, 8035, 'Код компилируется, но кидает исключение на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35111, 8036, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35112, 8036, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35113, 8036, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35114, 8036, 'LinkedBlockingDeque', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35055, 8021, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35057, 8022, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35061, 8023, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35064, 8024, '1
3
4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35068, 8025, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35070, 8026, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35077, 8028, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35078, 8028, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35082, 8029, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35086, 8030, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35088, 8031, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35089, 8031, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35087, 8031, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35092, 8032, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35099, 8033, 'true
true
true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35100, 8034, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35115, 8037, 'IntStream.range(1, 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35117, 8037, 'IntStream.range(1, 10).peek(i -> i).forEach(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35118, 8037, 'IntStream.range(1, 10).peek(System.out::println);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35119, 8037, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35120, 8037, 'Описанный пример не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35122, 8038, 'Код будет печатать или "-flipflop" или "-flopflip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35123, 8038, 'Код будет печатать или "-flipflop" или "-flip-flop"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35124, 8038, 'Код будет печатать или "-flipflop" или "-flip-flop"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35125, 8038, 'Код будет печатать или "-flip-flop" или "-flop-flip"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35126, 8038, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35128, 8039, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35129, 8039, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35130, 8039, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35132, 8040, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35135, 8040, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35136, 8040, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35137, 8041, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35138, 8041, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35139, 8041, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35142, 8041, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35144, 8042, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35145, 8042, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35146, 8042, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35147, 8042, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35148, 8042, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35150, 8043, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35151, 8043, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35152, 8043, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35154, 8044, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35155, 8044, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35156, 8044, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35157, 8045, 'SELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35159, 8045, 'SUBSELECT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35174, 8048, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35175, 8048, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35176, 8048, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35177, 8048, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35178, 8049, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35179, 8049, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35180, 8049, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35181, 8049, 'git commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35158, 8045, 'JOIN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35161, 8046, 'Session', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35162, 8046, 'SessionFactory', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35170, 8047, 'Detached', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35167, 8047, 'Transient', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35171, 8047, 'Attached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35173, 8048, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35116, 8037, 'IntStream.range(1, 10).forEach(System.out::println);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35121, 8038, 'Код всегда будет печатать "-flipflop"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35127, 8039, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35131, 8040, 'Select', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35133, 8040, 'Update', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35134, 8040, 'Delete', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35140, 8041, 'Select * from users order by user_id asc, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35141, 8041, 'Select * from users order by user_id, user_type_id desc;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35143, 8042, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35149, 8043, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35182, 8049, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35183, 8049, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35184, 8050, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35185, 8050, 'git undo', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35186, 8050, 'git unstage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35187, 8050, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35189, 8050, 'git cancel', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35190, 8051, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35192, 8051, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35193, 8051, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35194, 8051, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35195, 8051, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35196, 8052, 'Нет, так как они удаляются без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35198, 8052, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите навсегда без возможности удаления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35199, 8052, 'Эта команда не удаляет коммиты, а удаляет ссылку на них. Сами коммиты сохраняются в гите и удаляются сами через определенное время', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35200, 8052, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35201, 8053, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35202, 8053, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35204, 8053, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35205, 8054, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35207, 8054, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35208, 8054, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35210, 8055, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35211, 8055, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35212, 8056, 'Класс не обязан иметь явно объявленный конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35213, 8056, 'Если значение финальной переменной экземпляра класса не присвоено при объявлении переменной или в блоке инициализации, то оно должно быть присвоено в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35215, 8056, 'Конструктор может передавать аргументы в конструктор класса-предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35216, 8057, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35217, 8057, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35218, 8057, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35222, 8058, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35223, 8058, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35224, 8058, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35225, 8058, 'Код компилируется и ждет вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35226, 8058, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35227, 8059, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35229, 8059, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35230, 8059, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35231, 8060, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35232, 8060, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35236, 8060, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35237, 8061, 'Все транзакции, имя которых начинается с # и заканчивается любой строкой длиной больше одного символа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35206, 8054, 'Блок finally не может выбрасывать исключений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35209, 8055, 'Передача по значению', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35214, 8056, 'Первая строка любого конструктора это вызов конструктора класса-предка через super()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35220, 8057, 'DoubleConsumer', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35219, 8057, 'BooleanConsumer', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35221, 8058, 'Код выведет Complete', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35228, 8059, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35235, 8060, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35234, 8060, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35238, 8061, 'Все транзакции, имя которых начинается с _ и заканчивается любой строкой длиной больше одного символа', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35188, 8050, 'git reset', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35191, 8051, 'git reflog', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35197, 8052, 'Эта команда не удаляет коммиты, а создает новый коммит, содержащий отмену всех изменений указанного в команде коммита', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35352, 8085, 'git remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35354, 8085, 'git remote -all', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35355, 8085, 'git remote -a', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35356, 8085, 'git remote -list', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35357, 8085, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35239, 8061, 'Все транзакции, имя которых начинается с _ и заканчивается любой строкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35240, 8061, 'Ошибка, не существует оператора escape', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35241, 8061, 'Ошибка, не существует спецсимвола #', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35242, 8061, 'Другая ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35243, 8062, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35244, 8062, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35245, 8062, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35250, 8063, 'Нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35251, 8064, 'Контейнер, который был поставлен на паузу, может быть удален из Docker', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35252, 8064, 'Для того чтобы открыть порт Docker контейнера во внешний мир необходимо явно прописать такую настройку', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35255, 8065, 'Для поиска компонентов Spring в указанных пакетах', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35256, 8065, 'Обяъвляет класс компонентом Spring', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35258, 8065, 'Является аннотацией-родителем остальных стереотипных аннотаций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35259, 8066, 'new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35260, 8066, 'untracked', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35261, 8066, 'updated', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35262, 8066, 'modified', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35263, 8066, 'deleted', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35265, 8067, 'Создает копию удаленной ветки локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35266, 8067, 'Создает копию удаленного репозитория локально', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35267, 8067, 'Отменяет все изменения из последнего коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35269, 8067, 'Создает еще одну копию локального репозитория', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35270, 8067, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35272, 8068, 'git remote -v', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35273, 8068, 'git remote -all', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35274, 8068, 'git remote -a', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35275, 8068, 'git remote -list', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35276, 8068, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35277, 8069, 'Ничем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35278, 8069, 'master - локальный репозиторий, origin master - удаленный репозиторий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35279, 8069, 'master - удаленный репозиторий, origin master - локальный репозиторий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35281, 8069, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35249, 8063, 'Да', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35254, 8064, 'Для публикации образа может быть использована команда docker push', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35253, 8064, 'Для сборки образа Docker используется команда docker start image', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35264, 8066, 'tracked', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35268, 8067, 'Загружает все закомиченные изменения в удаленный репозиторий', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35271, 8068, 'git remote', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35280, 8069, 'origin master не существует, ее можно только создать вручную', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35203, 8053, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35257, 8065, 'Проверяет компонент на зависимость от других компонентов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35233, 8060, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35350, 8084, 'Создает еще одну копию локального репозитория', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35248, 8062, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35247, 8062, 'Charatcer varying имеет изменяемую длину', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35246, 8062, 'Charatcer имеет изменяемую длину', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35153, 8044, 'Для настройки взаимодействия между Docker Containers', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35163, 8046, 'Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35164, 8046, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35165, 8046, 'Query', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35166, 8046, 'Criteria', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35105, 8035, '3 6 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35283, 8070, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35284, 8070, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35285, 8070, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35286, 8071, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35287, 8071, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35288, 8071, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35291, 8072, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35292, 8072, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35293, 8073, 'Класс не обязан иметь явно объявленный конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35358, 8086, 'Ничем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35282, 8070, 'Нельзя определить аргумент метода как private переменную.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35289, 8071, 'Для блока finally обязательны фигурные скобки {}', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35290, 8072, 'Передача по значению', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35294, 8073, 'Если значение финальной переменной экземпляра класса не присвоено при объявлении переменной или в блоке инициализации, то оно должно быть присвоено в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35296, 8073, 'Конструктор может передавать аргументы в конструктор класса-предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35298, 8074, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35300, 8074, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35302, 8075, 'Код выведет Complete', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35303, 8075, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35304, 8075, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35305, 8075, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35307, 8075, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35308, 8076, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35309, 8076, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35311, 8076, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35312, 8077, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35313, 8077, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35316, 8077, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35317, 8077, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35319, 8078, 'Все транзакции, имя которых начинается с _ и заканчивается любой строкой длиной больше одного символа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35320, 8078, 'Все транзакции, имя которых начинается с _ и заканчивается любой строкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35321, 8078, 'Ошибка, не существует оператора escape', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35322, 8078, 'Ошибка, не существует спецсимвола #', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35323, 8078, 'Другая ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35324, 8079, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35325, 8079, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35327, 8079, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35329, 8079, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35331, 8080, 'Нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35334, 8081, 'Для сборки образа Docker используется команда docker start image', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35337, 8082, 'Обяъвляет класс компонентом Spring', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35338, 8082, 'Проверяет компонент на зависимость от других компонентов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35339, 8082, 'Является аннотацией-родителем остальных стереотипных аннотаций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35340, 8083, 'new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35341, 8083, 'untracked', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35342, 8083, 'updated', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35344, 8083, 'deleted', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35345, 8083, 'tracked', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35346, 8084, 'Создает копию удаленной ветки локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35347, 8084, 'Создает копию удаленного репозитория локально', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35348, 8084, 'Отменяет все изменения из последнего коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35349, 8084, 'Загружает все закомиченные изменения в удаленный репозиторий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35330, 8080, 'Да', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35351, 8084, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35295, 8073, 'Первая строка любого конструктора это вызов конструктора класса-предка через super()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35301, 8074, 'DoubleConsumer', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35299, 8074, 'LongConsumer', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35297, 8074, 'Consumer', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35306, 8075, 'Код компилируется и ждет вечно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35336, 8082, 'Для поиска компонентов Spring в указанных пакетах', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35310, 8076, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35315, 8077, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35314, 8077, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35318, 8078, 'Все транзакции, имя которых начинается с # и заканчивается любой строкой длиной больше одного символа', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35326, 8079, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35328, 8079, 'Charatcer varying имеет изменяемую длину', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35360, 8086, 'master - удаленный репозиторий, origin master - локальный репозиторий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35361, 8086, 'origin master не существует, ее можно только создать вручную', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35362, 8086, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35335, 8081, 'Для публикации образа может быть использована команда docker push', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35333, 8081, 'Для того чтобы открыть порт Docker контейнера во внешний мир необходимо явно прописать такую настройку', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35332, 8081, 'Контейнер, который был поставлен на паузу, может быть удален из Docker', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35353, 8085, 'git remote -v', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35359, 8086, 'master - локальный репозиторий, origin master - удаленный репозиторий', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35363, 8087, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35364, 8087, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35365, 8087, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35366, 8087, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35367, 8088, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35368, 8088, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35369, 8088, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35370, 8088, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35371, 8089, 'Передача по значению', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35372, 8089, 'Передача по ссылке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35373, 8089, 'Передача и по ссылке, и по значению - в зависимости от ситуации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35374, 8090, 'Класс не обязан иметь явно объявленный конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35375, 8090, 'Если значение финальной переменной экземпляра класса не присвоено при объявлении переменной или в блоке инициализации, то оно должно быть присвоено в конструкторе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35376, 8090, 'Первая строка любого конструктора это вызов конструктора класса-предка через super()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35377, 8090, 'Конструктор может передавать аргументы в конструктор класса-предка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35378, 8091, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35379, 8091, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35380, 8091, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35381, 8091, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35382, 8091, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35383, 8092, 'Код выведет Complete', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35384, 8092, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35385, 8092, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35386, 8092, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35387, 8092, 'Код компилируется и ждет вечно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35388, 8092, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35389, 8093, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35390, 8093, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35391, 8093, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35392, 8093, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35393, 8094, 'Select user_id, sum(amount) from transactions where user_id < 10 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35394, 8094, 'Select user_id, sum(amount) from transactions group by user_id having user_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35395, 8094, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1,2,3,4,5,6,7,8,9,10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36006, 8223, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35396, 8094, 'Select user_id, sum(amount) from transactions where user_id in (1,2,3,4,5,6,7,8,9,10) group by user_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35397, 8094, 'Select user_id, sum(amount) from transactions group by user_id having user_id in (1..10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35398, 8094, 'Select user_id, sum(amount) from transactions where user_id in (1..10) group by user_id;
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35399, 8095, 'Все транзакции, имя которых начинается с # и заканчивается любой строкой длиной больше одного символа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35400, 8095, 'Все транзакции, имя которых начинается с _ и заканчивается любой строкой длиной больше одного символа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35401, 8095, 'Все транзакции, имя которых начинается с _ и заканчивается любой строкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35402, 8095, 'Ошибка, не существует оператора escape', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35403, 8095, 'Ошибка, не существует спецсимвола #', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35404, 8095, 'Другая ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35405, 8096, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35406, 8096, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35407, 8096, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35408, 8096, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35409, 8096, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35410, 8096, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35411, 8097, 'Да', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35412, 8097, 'Нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35413, 8098, 'Контейнер, который был поставлен на паузу, может быть удален из Docker', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35414, 8098, 'Для того чтобы открыть порт Docker контейнера во внешний мир необходимо явно прописать такую настройку', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35415, 8098, 'Для сборки образа Docker используется команда docker start image', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35416, 8098, 'Для публикации образа может быть использована команда docker push', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35417, 8099, 'Для поиска компонентов Spring в указанных пакетах', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35418, 8099, 'Обяъвляет класс компонентом Spring', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35419, 8099, 'Проверяет компонент на зависимость от других компонентов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35420, 8099, 'Является аннотацией-родителем остальных стереотипных аннотаций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35421, 8100, 'new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35422, 8100, 'untracked', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35423, 8100, 'updated', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35424, 8100, 'modified', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35425, 8100, 'deleted', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35426, 8100, 'tracked', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35427, 8101, 'Создает копию удаленной ветки локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35428, 8101, 'Создает копию удаленного репозитория локально', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35429, 8101, 'Отменяет все изменения из последнего коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35430, 8101, 'Загружает все закомиченные изменения в удаленный репозиторий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35431, 8101, 'Создает еще одну копию локального репозитория', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35432, 8101, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35433, 8102, 'git remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35434, 8102, 'git remote -v', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35435, 8102, 'git remote -all', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35436, 8102, 'git remote -a', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35437, 8102, 'git remote -list', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35438, 8102, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35439, 8103, 'Ничем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35440, 8103, 'master - локальный репозиторий, origin master - удаленный репозиторий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35441, 8103, 'master - удаленный репозиторий, origin master - локальный репозиторий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35442, 8103, 'origin master не существует, ее можно только создать вручную', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35443, 8103, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (34995, 8005, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35444, 8104, 'Exception, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35445, 8104, 'Exception, Closeable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35446, 8104, 'IllegalStateException, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35447, 8104, 'IllegalStateException, Closeable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35449, 8104, 'IOException, Closeable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35450, 8105, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35454, 8105, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35455, 8105, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35457, 8106, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35458, 8106, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35459, 8106, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35460, 8106, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35461, 8107, 'java.sql.Connection', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35462, 8107, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35463, 8107, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35464, 8107, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35465, 8107, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35467, 8108, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35468, 8108, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36007, 8223, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35471, 8109, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35473, 8109, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35474, 8109, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35475, 8110, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35476, 8110, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35478, 8110, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35480, 8111, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35481, 8111, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35482, 8111, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35542, 8124, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35451, 8105, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35456, 8106, 'Код компилируется без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35466, 8107, 'java.sql.Statement', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35470, 8108, 'Абстракция', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35472, 8109, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35477, 8110, 'that()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35479, 8111, 'BlockingDeque', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35483, 8112, 'Параллельный стрим всегда выполняет все операции быстрее однопоточного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35484, 8112, 'Параллельный стрим всегда выполняет некоторые операции быстрее однопоточного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35486, 8112, 'Любой стрим может быть конвертирован в параллельный', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35488, 8113, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35489, 8114, 'Сервлет, который хранит созданные Spring бины и управляет зависимостями между ними', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35490, 8114, 'Класс, который определяет какое представление исользовать на основании полученного имени', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35491, 8114, 'Класс, отвечающй за приоритет обработки входящих запросов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35493, 8115, 'Да, это можно сделать используя массив в методе контроллера', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35494, 8115, 'Да, можно, но будет прочитан только первый параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35496, 8115, 'Нельзя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35497, 8116, '@Before', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35498, 8116, '@After', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35499, 8116, '@AfterReturing', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35501, 8116, '@AfterThrowing', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35502, 8116, '@Around', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35503, 8117, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35505, 8117, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35506, 8117, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35507, 8118, 'Переводит сущность из состояния Detached в состояние Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35508, 8118, 'Переводит сущность из состояния Persistent в состояние Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35509, 8118, 'Переводит сущность из состояния Transient в состояние Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35513, 8119, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35515, 8119, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35516, 8120, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35518, 8120, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35519, 8120, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35520, 8120, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35521, 8120, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35522, 8121, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35523, 8121, 'Указатель на самый последний коммит в ветке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35524, 8121, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35526, 8121, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35527, 8121, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35528, 8122, 'git log --tiny-commit', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35529, 8122, 'git log --short', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35530, 8122, 'git log --s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35532, 8122, 'git log --short-hash', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35533, 8122, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35536, 8123, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35537, 8123, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35538, 8123, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35539, 8123, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35540, 8124, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35541, 8124, 'Переносит HEAD на коммит abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35487, 8113, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35531, 8122, 'git log --abbrev-commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35534, 8123, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35567, 8129, 'LinkedBlockingDeque', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35510, 8118, 'Переводит сущность из состояния Removed в состояние Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35511, 8118, 'Бросает исключение, если изначальный статус сущности Detached', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35514, 8119, 'Нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35517, 8120, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35485, 8112, 'Параллельный стрим синхронизирует все свои операции, так что они атомарны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35492, 8114, 'Сервлет, который анализирует входящие запросы и перенаправляет их соответствующему контроллеру', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35495, 8115, 'Да, можно, но будет прочитан только один случайны параметр', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35500, 8116, '@AfterExecution', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35504, 8117, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35662, 8149, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35663, 8149, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35666, 8150, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35667, 8150, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35525, 8121, 'Указатель на самый последний коммит в репозитории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35535, 8123, 'Переносит HEAD на коммит abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35545, 8124, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35544, 8124, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35543, 8124, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35512, 8118, 'Бросает исключение, если изначальный статус сущности Transient', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35448, 8104, 'IOException, AutoCloseable', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35452, 8105, 'println', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35453, 8105, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35020, 8012, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35546, 8125, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35547, 8125, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35548, 8125, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35550, 8126, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35551, 8126, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35553, 8126, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35555, 8127, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35556, 8127, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35557, 8127, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35560, 8128, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35561, 8128, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35562, 8128, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35564, 8129, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35565, 8129, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35566, 8129, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35568, 8130, 'Параллельный стрим всегда выполняет все операции быстрее однопоточного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35570, 8130, 'Параллельный стрим синхронизирует все свои операции, так что они атомарны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35571, 8130, 'Любой стрим может быть конвертирован в параллельный', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35572, 8131, 'Exception, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35573, 8131, 'Exception, Closeable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35574, 8131, 'IllegalStateException, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35575, 8131, 'IllegalStateException, Closeable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35577, 8131, 'IOException, Closeable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35578, 8132, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35579, 8132, 'printf', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35580, 8132, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35581, 8132, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35583, 8132, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35584, 8133, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35585, 8133, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35586, 8133, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35587, 8133, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35590, 8134, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35591, 8135, '@Before', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35592, 8135, '@After', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35593, 8135, '@AfterReturing', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35594, 8135, '@AfterExecution', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35596, 8135, '@Around', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35597, 8136, 'Сервлет, который хранит созданные Spring бины и управляет зависимостями между ними', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35598, 8136, 'Класс, который определяет какое представление исользовать на основании полученного имени', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35599, 8136, 'Класс, отвечающй за приоритет обработки входящих запросов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35589, 8134, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35549, 8125, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35552, 8126, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35554, 8127, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35563, 8128, 'java.sql.Statement', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35558, 8128, 'java.sql.Connection', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35559, 8128, 'java.sql.DriverManager', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35569, 8130, 'Параллельный стрим всегда выполняет некоторые операции быстрее однопоточного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35576, 8131, 'IOException, AutoCloseable', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35582, 8132, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35588, 8133, 'Код компилируется, но кидает исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35595, 8135, '@AfterThrowing', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35600, 8136, 'Сервлет, который анализирует входящие запросы и перенаправляет их соответствующему контроллеру', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35601, 8137, 'Да, это можно сделать используя массив в методе контроллера', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35668, 8150, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35670, 8151, 'Параллельный стрим всегда выполняет все операции быстрее однопоточного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35671, 8151, 'Параллельный стрим всегда выполняет некоторые операции быстрее однопоточного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35602, 8137, 'Да, можно, но будет прочитан только первый параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35603, 8137, 'Да, можно, но будет прочитан только один случайны параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35604, 8137, 'Нельзя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35605, 8138, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35606, 8138, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35607, 8138, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35610, 8139, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35611, 8139, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35612, 8140, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35613, 8140, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35614, 8140, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35616, 8140, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35617, 8140, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35618, 8141, 'Переводит сущность из состояния Detached в состояние Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35620, 8141, 'Переводит сущность из состояния Transient в состояние Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35621, 8141, 'Переводит сущность из состояния Removed в состояние Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35622, 8141, 'Бросает исключение, если изначальный статус сущности Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35623, 8141, 'Бросает исключение, если изначальный статус сущности Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35624, 8142, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35626, 8142, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35627, 8142, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35628, 8142, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35629, 8142, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35631, 8143, 'Переносит HEAD на коммит abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35632, 8143, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35633, 8143, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35634, 8143, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35635, 8143, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35636, 8144, 'git log --tiny-commit', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35637, 8144, 'git log --short', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35638, 8144, 'git log --s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35639, 8144, 'git log --abbrev-commit', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35640, 8144, 'git log --short-hash', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35642, 8145, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35644, 8145, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35645, 8145, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35646, 8145, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35647, 8145, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35625, 8142, 'Переносит HEAD на коммит abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35630, 8143, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35641, 8144, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35643, 8145, 'Указатель на самый последний коммит в ветке', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35609, 8139, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35615, 8140, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35619, 8141, 'Переводит сущность из состояния Persistent в состояние Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35608, 8138, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35648, 8146, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35649, 8146, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35651, 8146, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35652, 8147, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35653, 8147, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35655, 8147, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35657, 8148, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35658, 8148, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35659, 8148, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35654, 8147, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35656, 8148, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35661, 8149, 'java.sql.DriverManager', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35660, 8149, 'java.sql.Connection', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35672, 8151, 'Параллельный стрим синхронизирует все свои операции, так что они атомарны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35674, 8152, 'Exception, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35675, 8152, 'Exception, Closeable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35676, 8152, 'IllegalStateException, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35678, 8152, 'IOException, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35679, 8152, 'IOException, Closeable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35680, 8153, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35682, 8153, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35684, 8153, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35685, 8153, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35686, 8154, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35688, 8154, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35689, 8154, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35690, 8154, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35692, 8155, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35693, 8156, '@Before', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35694, 8156, '@After', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35695, 8156, '@AfterReturing', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35697, 8156, '@AfterThrowing', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35698, 8156, '@Around', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35699, 8157, 'Сервлет, который хранит созданные Spring бины и управляет зависимостями между ними', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35700, 8157, 'Класс, который определяет какое представление исользовать на основании полученного имени', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35701, 8157, 'Класс, отвечающй за приоритет обработки входящих запросов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35704, 8158, 'Да, можно, но будет прочитан только первый параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35705, 8158, 'Да, можно, но будет прочитан только один случайны параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35706, 8158, 'Нельзя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35707, 8159, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35709, 8159, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35710, 8159, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35712, 8160, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35713, 8160, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35714, 8161, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35715, 8161, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35716, 8161, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35718, 8161, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35719, 8161, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35720, 8162, 'Переводит сущность из состояния Detached в состояние Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35722, 8162, 'Переводит сущность из состояния Transient в состояние Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35723, 8162, 'Переводит сущность из состояния Removed в состояние Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35724, 8162, 'Бросает исключение, если изначальный статус сущности Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35725, 8162, 'Бросает исключение, если изначальный статус сущности Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35726, 8163, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35728, 8163, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35729, 8163, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35730, 8163, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35731, 8163, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35732, 8164, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35734, 8164, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35691, 8155, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35733, 8164, 'Переносит HEAD на коммит abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35711, 8160, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35721, 8162, 'Переводит сущность из состояния Persistent в состояние Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35673, 8151, 'Любой стрим может быть конвертирован в параллельный', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35677, 8152, 'IllegalStateException, Closeable', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35681, 8153, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35683, 8153, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35687, 8154, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35696, 8156, '@AfterExecution', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35702, 8157, 'Сервлет, который анализирует входящие запросы и перенаправляет их соответствующему контроллеру', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35703, 8158, 'Да, это можно сделать используя массив в методе контроллера', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35708, 8159, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35735, 8164, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35736, 8164, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35738, 8165, 'git log --tiny-commit', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35739, 8165, 'git log --short', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35740, 8165, 'git log --s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35742, 8165, 'git log --short-hash', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35743, 8165, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35744, 8166, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35746, 8166, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35747, 8166, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35748, 8166, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35749, 8166, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35750, 8167, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35751, 8167, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35752, 8167, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35754, 8168, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35755, 8168, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35757, 8168, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35759, 8169, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35760, 8169, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35761, 8169, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35764, 8170, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35765, 8170, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35768, 8171, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35769, 8171, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35770, 8171, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35772, 8172, 'Параллельный стрим всегда выполняет все операции быстрее однопоточного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35773, 8172, 'Параллельный стрим всегда выполняет некоторые операции быстрее однопоточного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35774, 8172, 'Параллельный стрим синхронизирует все свои операции, так что они атомарны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35776, 8173, 'Exception, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35777, 8173, 'Exception, Closeable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35778, 8173, 'IllegalStateException, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35780, 8173, 'IOException, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35781, 8173, 'IOException, Closeable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35782, 8174, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35784, 8174, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35786, 8174, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35787, 8174, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35788, 8175, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35789, 8175, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35790, 8175, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35792, 8175, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35794, 8176, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35795, 8177, '@Before', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35796, 8177, '@After', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35797, 8177, '@AfterReturing', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35798, 8177, '@AfterExecution', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35799, 8177, '@AfterThrowing', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35801, 8178, 'Сервлет, который хранит созданные Spring бины и управляет зависимостями между ними', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35802, 8178, 'Класс, который определяет какое представление исользовать на основании полученного имени', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35803, 8178, 'Класс, отвечающй за приоритет обработки входящих запросов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35805, 8179, 'Да, это можно сделать используя массив в методе контроллера', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35807, 8179, 'Да, можно, но будет прочитан только один случайны параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35808, 8179, 'Нельзя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35756, 8168, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35758, 8169, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35766, 8170, 'java.sql.ResultSet', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35762, 8170, 'java.sql.Connection', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35771, 8171, 'LinkedBlockingDeque', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35775, 8172, 'Любой стрим может быть конвертирован в параллельный', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35779, 8173, 'IllegalStateException, Closeable', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35783, 8174, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35785, 8174, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35791, 8175, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35800, 8177, '@Around', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35804, 8178, 'Сервлет, который анализирует входящие запросы и перенаправляет их соответствующему контроллеру', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35806, 8179, 'Да, можно, но будет прочитан только первый параметр', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35737, 8164, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35741, 8165, 'git log --abbrev-commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35745, 8166, 'Указатель на самый последний коммит в ветке', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35809, 8180, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35811, 8180, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35812, 8180, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35814, 8181, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35815, 8181, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35816, 8182, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35817, 8182, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35818, 8182, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35820, 8182, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35821, 8182, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35822, 8183, 'Переводит сущность из состояния Detached в состояние Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35824, 8183, 'Переводит сущность из состояния Transient в состояние Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35825, 8183, 'Переводит сущность из состояния Removed в состояние Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35826, 8183, 'Бросает исключение, если изначальный статус сущности Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35828, 8184, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35830, 8184, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35831, 8184, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35832, 8184, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35833, 8184, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35834, 8185, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35836, 8185, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35838, 8185, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35839, 8185, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35840, 8186, 'git log --tiny-commit', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35841, 8186, 'git log --short', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35842, 8186, 'git log --s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35843, 8186, 'git log --abbrev-commit', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35844, 8186, 'git log --short-hash', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35846, 8187, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35847, 8187, 'Указатель на самый последний коммит в ветке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35848, 8187, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35850, 8187, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35851, 8187, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35852, 8188, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35853, 8188, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35854, 8188, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35856, 8189, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35857, 8189, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35859, 8189, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35861, 8190, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35862, 8190, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35863, 8190, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35866, 8191, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35867, 8191, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35870, 8192, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35872, 8192, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35873, 8192, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35835, 8185, 'Переносит HEAD на коммит abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35845, 8186, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35849, 8187, 'Указатель на самый последний коммит в репозитории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35813, 8181, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35819, 8182, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35823, 8183, 'Переводит сущность из состояния Persistent в состояние Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35810, 8180, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35855, 8188, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35858, 8189, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35860, 8190, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35865, 8191, 'java.sql.DriverManager', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35864, 8191, 'java.sql.Connection', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35869, 8191, 'java.sql.Statement', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35868, 8191, 'java.sql.ResultSet', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35871, 8192, 'ConcurrentLinkedDeque', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35874, 8193, 'Параллельный стрим всегда выполняет все операции быстрее однопоточного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35876, 8193, 'Параллельный стрим синхронизирует все свои операции, так что они атомарны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35877, 8193, 'Любой стрим может быть конвертирован в параллельный', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35878, 8194, 'Exception, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35879, 8194, 'Exception, Closeable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35880, 8194, 'IllegalStateException, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35881, 8194, 'IllegalStateException, Closeable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35883, 8194, 'IOException, Closeable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35884, 8195, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35886, 8195, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35889, 8195, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35890, 8196, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35891, 8196, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35892, 8196, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35894, 8196, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35896, 8197, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35897, 8198, '@Before', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35898, 8198, '@After', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35899, 8198, '@AfterReturing', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35901, 8198, '@AfterThrowing', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35902, 8198, '@Around', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35903, 8199, 'Сервлет, который хранит созданные Spring бины и управляет зависимостями между ними', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35904, 8199, 'Класс, который определяет какое представление исользовать на основании полученного имени', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35905, 8199, 'Класс, отвечающй за приоритет обработки входящих запросов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35908, 8200, 'Да, можно, но будет прочитан только первый параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35909, 8200, 'Да, можно, но будет прочитан только один случайны параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35910, 8200, 'Нельзя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35911, 8201, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35912, 8201, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35913, 8201, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35915, 8202, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35917, 8202, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35918, 8203, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35919, 8203, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35920, 8203, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35921, 8203, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35922, 8203, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35924, 8204, 'Переводит сущность из состояния Detached в состояние Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35926, 8204, 'Переводит сущность из состояния Transient в состояние Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35927, 8204, 'Переводит сущность из состояния Removed в состояние Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35928, 8204, 'Бросает исключение, если изначальный статус сущности Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35929, 8204, 'Бросает исключение, если изначальный статус сущности Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35930, 8205, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35932, 8205, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35933, 8205, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35934, 8205, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35935, 8205, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36073, 8242, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35916, 8202, 'Нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35923, 8203, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35925, 8204, 'Переводит сущность из состояния Persistent в состояние Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35882, 8194, 'IOException, AutoCloseable', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35885, 8195, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35887, 8195, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35888, 8195, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35893, 8196, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35900, 8198, '@AfterExecution', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35906, 8199, 'Сервлет, который анализирует входящие запросы и перенаправляет их соответствующему контроллеру', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35907, 8200, 'Да, это можно сделать используя массив в методе контроллера', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35914, 8201, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35936, 8206, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35938, 8206, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35940, 8206, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35941, 8206, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35942, 8207, 'git log --tiny-commit', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35943, 8207, 'git log --short', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35944, 8207, 'git log --s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35946, 8207, 'git log --short-hash', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35947, 8207, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35948, 8208, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35950, 8208, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35951, 8208, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35952, 8208, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35953, 8208, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35793, 8176, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35829, 8184, 'Переносит HEAD на коммит abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35837, 8185, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35827, 8183, 'Бросает исключение, если изначальный статус сущности Transient', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35753, 8167, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35767, 8170, 'java.sql.Statement', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35763, 8170, 'java.sql.DriverManager', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35954, 8209, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35955, 8209, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35956, 8209, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35957, 8209, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35958, 8210, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35959, 8210, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35960, 8210, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35961, 8211, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35962, 8211, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35963, 8212, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35964, 8212, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35965, 8212, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35966, 8213, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35967, 8213, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35968, 8213, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35969, 8213, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35970, 8214, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35971, 8214, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35972, 8214, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35973, 8214, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35974, 8215, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35975, 8215, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35976, 8215, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35977, 8216, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35978, 8216, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35979, 8216, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35980, 8217, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35981, 8217, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35982, 8217, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35983, 8217, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35984, 8218, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35985, 8218, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35986, 8218, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35987, 8218, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35988, 8219, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35989, 8219, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35990, 8219, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35991, 8220, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35992, 8220, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35993, 8220, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35994, 8220, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35945, 8207, 'git log --abbrev-commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35949, 8208, 'Указатель на самый последний коммит в ветке', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35995, 8220, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35996, 8221, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35997, 8221, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35998, 8221, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35999, 8222, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36000, 8222, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36001, 8222, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36002, 8222, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36003, 8222, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36004, 8223, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36005, 8223, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36008, 8223, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36010, 8224, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36011, 8224, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36012, 8224, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36013, 8225, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36015, 8225, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36016, 8226, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36018, 8227, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36019, 8227, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36021, 8228, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36023, 8228, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36024, 8228, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36026, 8229, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36027, 8229, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36028, 8229, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36030, 8230, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36031, 8230, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36032, 8231, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36033, 8231, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36036, 8232, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36037, 8232, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36038, 8232, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36039, 8233, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36040, 8233, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36042, 8233, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36043, 8234, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36045, 8234, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36048, 8235, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36051, 8236, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36053, 8236, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36054, 8237, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36055, 8237, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36057, 8237, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36058, 8237, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36060, 8238, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36061, 8238, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36062, 8238, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36063, 8238, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36065, 8239, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36066, 8239, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36067, 8239, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36068, 8240, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36070, 8240, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36071, 8241, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36014, 8225, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36017, 8226, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36020, 8227, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36022, 8228, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36025, 8229, '1', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36029, 8230, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36035, 8232, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36041, 8233, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36044, 8234, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36046, 8235, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36047, 8235, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36049, 8235, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36050, 8235, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36052, 8236, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36056, 8237, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36059, 8238, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36064, 8239, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36069, 8240, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36072, 8241, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36074, 8242, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36076, 8243, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36078, 8243, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36079, 8243, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36080, 8244, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36081, 8244, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36083, 8244, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36085, 8245, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36086, 8245, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36087, 8246, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36088, 8246, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36094, 8248, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36095, 8248, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36097, 8248, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36183, 8272, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36184, 8272, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36098, 8249, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36099, 8249, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36101, 8250, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36104, 8250, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36105, 8250, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36106, 8251, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36108, 8251, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36109, 8252, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36110, 8252, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36112, 8252, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36113, 8252, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36115, 8253, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36116, 8253, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36117, 8253, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36118, 8253, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36120, 8254, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36121, 8254, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36122, 8254, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36123, 8255, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36125, 8255, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36126, 8256, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36128, 8257, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36130, 8257, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36131, 8258, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36132, 8258, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36134, 8258, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36135, 8259, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36136, 8259, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36138, 8259, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36140, 8260, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36141, 8260, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36142, 8261, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36143, 8261, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36145, 8262, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36124, 8255, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36127, 8256, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36129, 8257, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36133, 8258, '1
3
4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36137, 8259, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36139, 8260, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36075, 8242, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36077, 8243, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36082, 8244, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36084, 8245, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36089, 8246, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36091, 8247, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36090, 8247, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36096, 8248, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36100, 8249, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36102, 8250, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36103, 8250, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36107, 8251, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36111, 8252, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36114, 8253, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36148, 8262, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36149, 8263, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36150, 8263, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36152, 8263, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36153, 8264, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36155, 8264, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36162, 8266, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36163, 8266, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36164, 8267, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36165, 8267, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36167, 8267, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36168, 8267, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36170, 8268, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36171, 8268, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36172, 8268, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36173, 8268, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36174, 8269, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36175, 8269, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36176, 8269, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36178, 8270, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36180, 8270, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36181, 8271, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36186, 8273, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36188, 8273, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36189, 8273, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36190, 8274, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36191, 8274, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36193, 8274, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36195, 8275, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36196, 8275, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36197, 8276, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36198, 8276, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36200, 8277, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36201, 8277, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36203, 8277, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36204, 8278, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36205, 8278, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36207, 8278, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36208, 8279, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36209, 8279, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36211, 8280, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36213, 8280, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36214, 8280, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36151, 8263, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36156, 8265, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36157, 8265, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36158, 8265, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36159, 8265, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36160, 8265, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36161, 8266, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36166, 8267, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36169, 8268, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36177, 8269, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36179, 8270, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36182, 8271, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36185, 8272, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36187, 8273, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36192, 8274, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36194, 8275, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36199, 8276, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36202, 8277, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36206, 8278, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36210, 8279, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36212, 8280, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36215, 8280, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36216, 8281, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36218, 8281, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36219, 8282, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36220, 8282, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36222, 8282, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36223, 8282, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36225, 8283, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36226, 8283, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36227, 8283, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36228, 8283, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36229, 8284, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36230, 8284, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36232, 8284, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36233, 8285, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36235, 8285, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36236, 8285, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36237, 8286, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36239, 8286, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36240, 8286, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36242, 8287, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36244, 8287, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36247, 8288, 'BlockingDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36249, 8288, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36250, 8288, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36251, 8289, 'Параллельный стрим всегда выполняет все операции быстрее однопоточного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36253, 8289, 'Параллельный стрим синхронизирует все свои операции, так что они атомарны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36254, 8289, 'Любой стрим может быть конвертирован в параллельный', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36256, 8290, 'Exception, Closeable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36257, 8290, 'IllegalStateException, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36258, 8290, 'IllegalStateException, Closeable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36259, 8290, 'IOException, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36260, 8290, 'IOException, Closeable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36261, 8291, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36263, 8291, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36265, 8291, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36266, 8291, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36267, 8292, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36268, 8292, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36269, 8292, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36271, 8292, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36273, 8293, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36274, 8294, '@Before', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36275, 8294, '@After', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36276, 8294, '@AfterReturing', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36277, 8294, '@AfterExecution', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36279, 8294, '@Around', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36280, 8295, 'Сервлет, который хранит созданные Spring бины и управляет зависимостями между ними', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36281, 8295, 'Класс, который определяет какое представление исользовать на основании полученного имени', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36282, 8295, 'Класс, отвечающй за приоритет обработки входящих запросов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36285, 8296, 'Да, можно, но будет прочитан только первый параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36286, 8296, 'Да, можно, но будет прочитан только один случайны параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36287, 8296, 'Нельзя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36288, 8297, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36289, 8297, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36291, 8297, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36293, 8298, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36217, 8281, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36221, 8282, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36224, 8283, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38701, 8820, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36292, 8298, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36234, 8285, 'Абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36238, 8286, 'super()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36246, 8287, 'java.sql.Statement', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36241, 8287, 'java.sql.Connection', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36245, 8287, 'java.sql.ResultSet', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36243, 8287, 'java.sql.Transaction', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36248, 8288, 'ConcurrentLinkedDeque', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36252, 8289, 'Параллельный стрим всегда выполняет некоторые операции быстрее однопоточного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36255, 8290, 'Exception, AutoCloseable', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36262, 8291, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36264, 8291, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36270, 8292, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36278, 8294, '@AfterThrowing', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36283, 8295, 'Сервлет, который анализирует входящие запросы и перенаправляет их соответствующему контроллеру', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36284, 8296, 'Да, это можно сделать используя массив в методе контроллера', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36290, 8297, 'Действие, которое будет выполняться для выбранных нами методов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36294, 8298, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36295, 8299, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36296, 8299, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36298, 8299, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36299, 8299, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36300, 8299, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36304, 8300, 'Переводит сущность из состояния Removed в состояние Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36305, 8300, 'Бросает исключение, если изначальный статус сущности Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36306, 8300, 'Бросает исключение, если изначальный статус сущности Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36308, 8301, 'Переносит HEAD на коммит abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36309, 8301, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36310, 8301, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36311, 8301, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36312, 8301, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36313, 8302, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36314, 8302, 'Переносит HEAD на коммит abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36315, 8302, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36317, 8302, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36318, 8302, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36319, 8303, 'git log --tiny-commit', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36320, 8303, 'git log --short', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36321, 8303, 'git log --s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36323, 8303, 'git log --short-hash', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36324, 8303, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36325, 8304, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36326, 8304, 'Указатель на самый последний коммит в ветке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36327, 8304, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36328, 8304, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36330, 8304, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36332, 8305, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36333, 8305, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36334, 8305, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36335, 8306, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36337, 8306, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36339, 8307, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36340, 8308, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36341, 8308, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36343, 8309, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36345, 8309, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36346, 8309, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36347, 8310, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36348, 8310, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36350, 8310, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36352, 8311, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36353, 8311, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36354, 8312, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36355, 8312, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36336, 8306, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36338, 8307, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36342, 8308, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36344, 8309, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36349, 8310, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36351, 8311, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36423, 8331, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36307, 8301, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36316, 8302, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36322, 8303, 'git log --abbrev-commit', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36329, 8304, 'Указатель на текущий коммит', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36297, 8299, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36303, 8300, 'Переводит сущность из состояния Transient в состояние Detached', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36302, 8300, 'Переводит сущность из состояния Persistent в состояние Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36361, 8314, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36362, 8314, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36364, 8314, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36365, 8315, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36366, 8315, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36373, 8317, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36375, 8317, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36376, 8318, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36377, 8318, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36379, 8318, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36380, 8318, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36382, 8319, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36383, 8319, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36384, 8319, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36385, 8319, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36387, 8320, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36388, 8320, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36389, 8320, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36390, 8321, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36392, 8321, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36394, 8322, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36395, 8323, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36397, 8323, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36398, 8324, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36400, 8324, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36401, 8324, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36402, 8325, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36403, 8325, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36405, 8325, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36406, 8326, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36408, 8326, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36409, 8327, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36410, 8327, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36413, 8328, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36414, 8328, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36416, 8329, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36417, 8329, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36419, 8329, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36420, 8330, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36421, 8330, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36391, 8321, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36393, 8322, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36396, 8323, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36399, 8324, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36404, 8325, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36407, 8326, 'blue', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36412, 8328, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36415, 8328, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36418, 8329, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36356, 8312, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36357, 8313, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36358, 8313, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36363, 8314, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36367, 8315, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36368, 8316, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36369, 8316, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36370, 8316, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36371, 8316, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36372, 8316, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36374, 8317, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36378, 8318, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36381, 8319, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36428, 8332, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36430, 8332, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36431, 8333, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36432, 8333, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36434, 8333, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36435, 8333, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36437, 8334, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36438, 8334, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36439, 8334, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36440, 8334, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36441, 8335, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36442, 8335, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36443, 8335, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36445, 8336, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36447, 8336, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36448, 8336, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36450, 8337, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36451, 8337, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36452, 8337, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36456, 8338, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36460, 8339, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36461, 8339, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36462, 8339, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36463, 8340, 'Параллельный стрим всегда выполняет все операции быстрее однопоточного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36465, 8340, 'Параллельный стрим синхронизирует все свои операции, так что они атомарны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36466, 8340, 'Любой стрим может быть конвертирован в параллельный', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36468, 8341, 'Exception, Closeable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36469, 8341, 'IllegalStateException, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36470, 8341, 'IllegalStateException, Closeable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36471, 8341, 'IOException, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36472, 8341, 'IOException, Closeable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36473, 8342, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36475, 8342, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36476, 8342, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36477, 8342, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36478, 8342, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36479, 8343, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36480, 8343, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36481, 8343, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36483, 8343, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36485, 8344, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36486, 8345, '@Before', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36487, 8345, '@After', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36488, 8345, '@AfterReturing', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36490, 8345, '@AfterThrowing', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36491, 8345, '@Around', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36492, 8346, 'Сервлет, который хранит созданные Spring бины и управляет зависимостями между ними', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36493, 8346, 'Класс, который определяет какое представление исользовать на основании полученного имени', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36494, 8346, 'Класс, отвечающй за приоритет обработки входящих запросов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36497, 8347, 'Да, можно, но будет прочитан только первый параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36498, 8347, 'Да, можно, но будет прочитан только один случайны параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36499, 8347, 'Нельзя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36500, 8348, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36502, 8348, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36426, 8331, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36429, 8332, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36433, 8333, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36436, 8334, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36484, 8344, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36444, 8335, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36446, 8336, 'Абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36449, 8337, 'this()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36453, 8338, 'java.sql.Connection', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36454, 8338, 'java.sql.DriverManager', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36455, 8338, 'java.sql.Transaction', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36457, 8338, 'java.sql.ResultSet', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36459, 8339, 'BlockingDeque', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36464, 8340, 'Параллельный стрим всегда выполняет некоторые операции быстрее однопоточного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36467, 8341, 'Exception, AutoCloseable', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36474, 8342, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36482, 8343, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36489, 8345, '@AfterExecution', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36495, 8346, 'Сервлет, который анализирует входящие запросы и перенаправляет их соответствующему контроллеру', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36496, 8347, 'Да, это можно сделать используя массив в методе контроллера', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36501, 8348, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38703, 8820, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38704, 8820, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38705, 8821, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36503, 8348, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36505, 8349, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36506, 8349, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36507, 8350, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36508, 8350, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36509, 8350, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36510, 8350, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36511, 8350, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36513, 8351, 'Переводит сущность из состояния Detached в состояние Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36515, 8351, 'Переводит сущность из состояния Transient в состояние Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36516, 8351, 'Переводит сущность из состояния Removed в состояние Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36518, 8351, 'Бросает исключение, если изначальный статус сущности Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36519, 8352, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36521, 8352, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36522, 8352, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36523, 8352, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36524, 8352, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36525, 8353, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36526, 8353, 'Переносит HEAD на коммит abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36527, 8353, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36529, 8353, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36530, 8353, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36531, 8354, 'git log --tiny-commit', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36532, 8354, 'git log --short', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36533, 8354, 'git log --s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36534, 8354, 'git log --abbrev-commit', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36536, 8354, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36537, 8355, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36539, 8355, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36540, 8355, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36541, 8355, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36542, 8355, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36331, 8305, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36386, 8320, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36543, 8356, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36545, 8356, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36546, 8356, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36547, 8357, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36549, 8357, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36550, 8357, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36551, 8358, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36553, 8358, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36554, 8358, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36556, 8359, 'java.sql.DriverManager', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36557, 8359, 'java.sql.Transaction', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36558, 8359, 'java.sql.DataTable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36559, 8359, 'java.sql.ResultSet', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36560, 8359, 'java.sql.Statement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36562, 8360, 'ConcurrentLinkedDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36563, 8360, 'ConcurrentSkipListSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36564, 8360, 'LinkedBlockingDeque', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36548, 8357, 'Абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36552, 8358, 'super()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36555, 8359, 'java.sql.Connection', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36561, 8360, 'BlockingDeque', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36520, 8352, 'Переносит HEAD на коммит abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36528, 8353, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36535, 8354, 'git log --short-hash', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36538, 8355, 'Указатель на самый последний коммит в ветке', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36504, 8349, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36512, 8350, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36514, 8351, 'Переводит сущность из состояния Persistent в состояние Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37513, 8576, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37514, 8576, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42174, 9588, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42176, 9588, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36565, 8361, 'Параллельный стрим всегда выполняет все операции быстрее однопоточного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36566, 8361, 'Параллельный стрим всегда выполняет некоторые операции быстрее однопоточного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36568, 8361, 'Любой стрим может быть конвертирован в параллельный', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36570, 8362, 'Exception, Closeable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36571, 8362, 'IllegalStateException, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36572, 8362, 'IllegalStateException, Closeable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36573, 8362, 'IOException, AutoCloseable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36574, 8362, 'IOException, Closeable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36576, 8363, 'printf', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36577, 8363, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36578, 8363, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36579, 8363, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36580, 8363, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36582, 8364, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36583, 8364, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36584, 8364, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36585, 8364, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36587, 8365, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36589, 8366, '@After', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36590, 8366, '@AfterReturing', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36591, 8366, '@AfterExecution', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36592, 8366, '@AfterThrowing', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36593, 8366, '@Around', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36594, 8367, 'Сервлет, который хранит созданные Spring бины и управляет зависимостями между ними', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36595, 8367, 'Класс, который определяет какое представление исользовать на основании полученного имени', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36597, 8367, 'Сервлет, который анализирует входящие запросы и перенаправляет их соответствующему контроллеру', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36598, 8368, 'Да, это можно сделать используя массив в методе контроллера', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36600, 8368, 'Да, можно, но будет прочитан только один случайны параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36601, 8368, 'Нельзя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36603, 8369, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36604, 8369, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36605, 8369, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36607, 8370, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36608, 8370, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36609, 8371, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36610, 8371, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36612, 8371, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36613, 8371, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36614, 8371, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36616, 8372, 'Переводит сущность из состояния Persistent в состояние Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36617, 8372, 'Переводит сущность из состояния Transient в состояние Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36618, 8372, 'Переводит сущность из состояния Removed в состояние Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36619, 8372, 'Бросает исключение, если изначальный статус сущности Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36620, 8372, 'Бросает исключение, если изначальный статус сущности Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36621, 8373, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36623, 8373, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36624, 8373, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36625, 8373, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36626, 8373, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36586, 8365, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36606, 8370, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36615, 8372, 'Переводит сущность из состояния Detached в состояние Persistent', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36567, 8361, 'Параллельный стрим синхронизирует все свои операции, так что они атомарны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36569, 8362, 'Exception, AutoCloseable', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36575, 8363, 'print', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36581, 8364, 'Код компилируется без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36588, 8366, '@Before', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36596, 8367, 'Класс, отвечающй за приоритет обработки входящих запросов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36599, 8368, 'Да, можно, но будет прочитан только первый параметр', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36602, 8369, 'Набор всех правил и выполняемых действий', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37771, 8628, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37772, 8628, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36627, 8374, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36628, 8374, 'Переносит HEAD на коммит abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36629, 8374, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36630, 8374, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36631, 8374, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36633, 8375, 'git log --tiny-commit', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36635, 8375, 'git log --s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36636, 8375, 'git log --abbrev-commit', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36637, 8375, 'git log --short-hash', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36638, 8375, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36639, 8376, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36641, 8376, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36642, 8376, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36643, 8376, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36644, 8376, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36411, 8327, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36622, 8373, 'Переносит HEAD на коммит abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36422, 8330, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36632, 8374, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36634, 8375, 'git log --short', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36424, 8331, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36425, 8331, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36427, 8331, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36640, 8376, 'Указатель на самый последний коммит в ветке', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36611, 8371, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36544, 8356, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36360, 8313, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36359, 8313, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35727, 8163, 'Переносит HEAD на коммит abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35717, 8161, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35650, 8146, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35665, 8149, 'java.sql.Statement', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35664, 8149, 'java.sql.ResultSet', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35669, 8150, 'LinkedBlockingDeque', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36119, 8254, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36144, 8261, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41534, 9432, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36146, 8262, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36147, 8262, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36154, 8264, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35895, 8197, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35931, 8205, 'Переносит HEAD на коммит abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35937, 8206, 'Переносит HEAD на коммит abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35939, 8206, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36517, 8351, 'Бросает исключение, если изначальный статус сущности Detached', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36458, 8338, 'java.sql.Statement', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35875, 8193, 'Параллельный стрим всегда выполняет некоторые операции быстрее однопоточного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36009, 8224, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36034, 8231, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36646, 8377, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36647, 8377, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36648, 8377, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36649, 8378, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36651, 8378, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36653, 8379, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36654, 8380, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36655, 8380, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36657, 8381, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36659, 8381, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36660, 8381, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36661, 8382, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36662, 8382, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36664, 8382, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36666, 8383, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36667, 8383, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36668, 8384, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36669, 8384, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36672, 8385, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36673, 8385, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36674, 8385, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36675, 8386, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36676, 8386, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36678, 8386, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36679, 8387, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36680, 8387, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36683, 8388, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36685, 8388, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36687, 8389, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36689, 8389, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36691, 8390, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36692, 8390, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36693, 8390, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36694, 8390, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36696, 8391, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36697, 8391, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36698, 8391, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36699, 8391, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36701, 8392, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36702, 8392, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36703, 8392, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36704, 8393, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36706, 8393, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36707, 8394, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36709, 8395, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36710, 8395, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36712, 8396, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36714, 8396, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36715, 8396, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36716, 8397, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36717, 8397, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36719, 8397, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36721, 8398, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36722, 8398, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36723, 8399, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36728, 8400, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36724, 8399, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36705, 8393, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36708, 8394, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36711, 8395, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36713, 8396, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36718, 8397, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36720, 8398, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42303, 9615, 'singlton', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42304, 9615, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42305, 9615, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36652, 8379, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36656, 8380, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36658, 8381, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36663, 8382, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36665, 8383, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36671, 8385, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36677, 8386, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36681, 8387, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36682, 8388, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36684, 8388, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36686, 8388, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36690, 8390, 'false
true
true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36695, 8391, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36729, 8400, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36730, 8401, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36731, 8401, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36733, 8401, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36734, 8402, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36735, 8402, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36742, 8404, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36744, 8404, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36745, 8405, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36746, 8405, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36748, 8405, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36749, 8405, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36751, 8406, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36752, 8406, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36753, 8406, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36754, 8406, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36756, 8407, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36757, 8407, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36758, 8407, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36759, 8408, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36761, 8408, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36762, 8409, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36764, 8410, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36765, 8410, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36767, 8411, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36768, 8411, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36770, 8411, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36771, 8412, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36772, 8412, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36774, 8412, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36776, 8413, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36777, 8413, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36778, 8414, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36779, 8414, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36783, 8415, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36785, 8416, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36786, 8416, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36788, 8416, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36789, 8417, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36760, 8408, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36763, 8409, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36766, 8410, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36769, 8411, '1
3
4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36773, 8412, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36775, 8413, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36782, 8415, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36784, 8415, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36787, 8416, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36790, 8417, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36725, 8399, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36727, 8400, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37533, 8580, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36726, 8400, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36732, 8401, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36736, 8402, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36737, 8403, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36738, 8403, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36739, 8403, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36740, 8403, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36741, 8403, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36743, 8404, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36747, 8405, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36750, 8406, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36791, 8417, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36798, 8419, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36799, 8419, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36800, 8420, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36801, 8420, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36803, 8420, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36804, 8420, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36806, 8421, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36807, 8421, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36808, 8421, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36809, 8421, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36811, 8422, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36812, 8422, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36813, 8422, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36814, 8423, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36816, 8423, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36818, 8424, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36819, 8425, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36821, 8425, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36822, 8426, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36824, 8426, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36825, 8426, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36826, 8427, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36827, 8427, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36829, 8427, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36831, 8428, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36832, 8428, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36833, 8429, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36834, 8429, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36839, 8430, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36840, 8431, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36841, 8431, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36843, 8431, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36844, 8432, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36845, 8432, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36849, 8433, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36850, 8433, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36851, 8433, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36852, 8434, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36854, 8434, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36855, 8435, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36856, 8435, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36858, 8435, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36859, 8435, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36861, 8436, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36862, 8436, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36863, 8436, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36864, 8436, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36866, 8437, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36810, 8422, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36815, 8423, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36817, 8424, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36820, 8425, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36823, 8426, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36828, 8427, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36830, 8428, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36836, 8430, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36837, 8430, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36842, 8431, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36846, 8432, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36847, 8433, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36848, 8433, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36853, 8434, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36857, 8435, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36860, 8436, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36792, 8418, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36793, 8418, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37535, 8580, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36794, 8418, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36795, 8418, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36796, 8418, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36797, 8419, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36802, 8420, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36805, 8421, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42306, 9615, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42307, 9616, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42308, 9616, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42309, 9616, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42310, 9617, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36867, 8437, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36868, 8437, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36869, 8438, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36871, 8438, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36872, 8439, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36874, 8440, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36875, 8440, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36877, 8441, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36879, 8441, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36880, 8441, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36881, 8442, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36882, 8442, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36884, 8442, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36886, 8443, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36887, 8443, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36888, 8444, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36889, 8444, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36895, 8446, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36896, 8446, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36898, 8446, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36899, 8447, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36900, 8447, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36907, 8449, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36909, 8449, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36910, 8450, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36911, 8450, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36913, 8450, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36914, 8450, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36916, 8451, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36917, 8451, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36918, 8451, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36919, 8451, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36865, 8437, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36870, 8438, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36873, 8439, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36876, 8440, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36878, 8441, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36883, 8442, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36885, 8443, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36890, 8444, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36891, 8445, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36892, 8445, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36893, 8445, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36894, 8445, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36897, 8446, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36901, 8447, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36902, 8448, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36903, 8448, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36904, 8448, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36905, 8448, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36906, 8448, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36908, 8449, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36912, 8450, 'false
false
true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36915, 8451, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36092, 8247, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36093, 8247, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36920, 8452, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36921, 8452, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36922, 8452, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36924, 8453, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36925, 8453, 'Интерфейс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36927, 8453, 'Абстрактный класс, интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36928, 8454, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36930, 8454, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36931, 8454, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36932, 8455, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36933, 8455, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36993, 8467, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36923, 8452, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36926, 8453, 'Конкретный класс, абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36929, 8454, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37045, 8476, 'Ошибка компиляции на строках A, B, C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36935, 8455, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36937, 8456, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36938, 8456, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36939, 8456, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36940, 8457, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36941, 8457, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36942, 8457, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36945, 8458, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36946, 8458, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36947, 8458, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36948, 8458, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36949, 8458, 'Код компилируется и ждет вечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36950, 8459, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36952, 8459, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36953, 8459, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36954, 8460, 'allMatch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36955, 8460, 'anyMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36956, 8460, 'findAny', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36957, 8460, 'findFirst', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36959, 8460, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36960, 8461, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36961, 8461, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36962, 8461, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36964, 8461, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36965, 8461, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36967, 8462, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36968, 8462, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36969, 8462, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36970, 8462, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36971, 8462, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36973, 8463, 'EXPOSE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36974, 8463, 'COMPOSE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36975, 8463, 'OPEN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36976, 8464, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36977, 8464, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36978, 8464, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36980, 8465, '@RestController помечается класс используемый как REST клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36981, 8465, '@RestController = @Controller + @RequestBody + @ResponseBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36982, 8465, '@RestController = @Controller + @RequestBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36984, 8466, 'Возвращает null при отсутствии экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36985, 8466, 'Кидает Exception при отсутствии экземпляра', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36986, 8466, 'Возвращает экземпляр-прокси при ленивой инициализации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36988, 8466, 'Возвращает экземпляр, доступный только для чтения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36989, 8467, 'hibernate.cache.use_second_level_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36990, 8467, 'hibernate.cache.use_cache_query=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36992, 8467, 'hibernate.cache.use_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36972, 8463, 'DEFINE', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36991, 8467, 'hibernate.cache.use_query_cache=true', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36936, 8456, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36943, 8457, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36944, 8458, 'Код скомпилируется и выведет 2 числа, а затем Test', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36951, 8459, '1', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36958, 8460, 'noneMatch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36963, 8461, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37536, 8580, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36966, 8462, 'Код скомпилируется и выведет: 123456', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36979, 8464, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36983, 8465, '@RestController = @Controller + @ResponseBody', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37113, 8491, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37115, 8491, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37116, 8491, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37117, 8491, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36994, 8468, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36996, 8468, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36997, 8468, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36998, 8468, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36999, 8468, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37000, 8469, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37001, 8469, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37003, 8469, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37004, 8469, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37005, 8470, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37007, 8470, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37008, 8470, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37009, 8470, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37010, 8471, 'Управляет взаимодействием между сессией и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37011, 8471, 'Управляет взаимодействием между сессией и кэшем первого уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37012, 8471, 'Управляет взаимодействием между сессией и кэшем второго уровня', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37013, 8471, 'Управляет взаимодействием между сессией и кэшем запросов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37014, 8471, 'Управляет взаимодействием между кэшем первого уровня и кэшем второго уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37016, 8472, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37018, 8472, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37019, 8472, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37020, 8472, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37021, 8472, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37022, 8473, 'Ветку, содержащую хотя бы один коммит, нельзя удалить', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37023, 8473, 'git delete --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37025, 8473, 'git branch --d somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37026, 8473, 'git reset --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37027, 8473, 'git remove --b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37028, 8474, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37029, 8474, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37031, 8474, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37032, 8474, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37033, 8474, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37017, 8472, 'Указатель на самый последний коммит в ветке', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37024, 8473, 'git branch --delete somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37030, 8474, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36987, 8466, 'Кидает Exception при ленивой инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36995, 8468, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37002, 8469, 'Через метод buildSessionFactory() класса Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37006, 8470, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37015, 8471, 'Управляет взаимодействием между кэшем второго уровня и БД', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36934, 8455, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37034, 8475, 'Код выведет первую строку текста', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37036, 8475, 'Код не компилируется, т.к. reader не закрыт', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37037, 8475, 'Код компилируется, но кидает исключение т.к. reader не закрыт', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37038, 8475, 'Код не компилируется по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37818, 8638, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37039, 8475, 'Код компилируется, но кидает исключение по другой причине', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37040, 8476, 'Код выведет "Complete"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37041, 8476, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37042, 8476, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37043, 8476, 'Ошибка компиляции на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37035, 8475, 'Код выведет все содержимое файла', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37044, 8476, 'Ошибка компиляции на строках A, C', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37046, 8477, 'Код компилируется и выполняется без проблем, выводит суммарную длину всех строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37047, 8477, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37048, 8477, 'Ошибка компиляции на строке B', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37049, 8477, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37051, 8478, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37052, 8478, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37053, 8478, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37055, 8479, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37056, 8479, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37057, 8479, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37059, 8480, 'Все утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37060, 8480, '1 и 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37061, 8480, '1 и 2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37063, 8480, 'Только 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37064, 8481, 'boolean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37065, 8481, 'int[]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37066, 8481, 'long', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37068, 8482, 'Никакой из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37069, 8482, 'import aquarium.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37070, 8482, 'import aquarium.*.Jelly;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37072, 8482, 'import aquarium.jellies.*;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37073, 8482, 'import aquarium.jellies.Jelly;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37074, 8483, 'Race conditions', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37075, 8483, 'DeadLock', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37076, 8483, 'Memory exchange', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37078, 8483, 'Lost resources', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37079, 8483, 'Starvation', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37080, 8484, 'Механизм позволяющий получить доступ из кода к метаинформации о классах', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37081, 8484, 'Механизм позволяющий методу вызывать самого себя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37082, 8484, 'Механизм позволяющий получить данные о состоянии памяти, используемой приложением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37084, 8485, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37085, 8485, 'Скорость выполнения операции сравнения в первом случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37086, 8485, 'Скорость выполнения операции сравнения во втором случае выше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37088, 8485, 'Второе выражение безопасно для NullPointerException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37089, 8486, 'Скомпилируется без ошибки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37091, 8486, 'Не скомпилируется, потому что метод protected в классе-предке и public в классе-наследнике', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37092, 8486, 'Не скомпилируется, потому что метод выбрасывает исключение, которое является наследником выбрасываемого классом-предком исключения.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37093, 8486, 'Не скомпилируется, потому что static метод нельзя наследовать', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37094, 8487, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37096, 8487, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37097, 8487, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37098, 8487, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37099, 8488, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37100, 8488, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37101, 8488, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37103, 8489, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37104, 8489, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37106, 8489, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37107, 8490, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37108, 8490, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37110, 8490, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37111, 8490, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37112, 8491, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37054, 8478, 'Они все допускают', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37058, 8479, 'static', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37062, 8480, '2 и 3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37067, 8481, 'String', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37071, 8482, 'import aquarium.jellies.Jelly.*;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37077, 8483, 'LiveLock', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37087, 8485, 'Первое выражение безопасно для NullPointerException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37090, 8486, 'Не скомпилируется, потому что типы возвращаемых значений не ковариантны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37095, 8487, 'Класс, реализующий CanBark, наследует только метод bark()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37102, 8488, 'Каким-либо способом, не перечисленным среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37105, 8489, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37109, 8490, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37118, 8492, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37120, 8492, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37121, 8492, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37122, 8492, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37123, 8492, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37124, 8493, 'Select user_id, round(amount/100, 0, 2) from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37125, 8493, 'Select user_id, round(amount::numeric/100, 2, 2) from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37127, 8493, 'Select user_id, round(amount::numeric/100, 0, 2) from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37128, 8493, 'Select user_id, round(amount/100, 2) from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37129, 8493, 'Select user_id, round(amount/100::numeric, 2) from users;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37131, 8494, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37132, 8495, '@GetMapping частный случай @RequestMapping для GET запросов, @RequestMapping может использоваться для других методов запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37133, 8495, '@RequestMapping, в отличие от @GetMapping, не может работать с @PathVariable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37135, 8495, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37136, 8496, 'autowire bySetter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37137, 8496, 'autowire byName', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37139, 8496, 'autowire by constructor', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37140, 8496, 'autowiring by @Autowired and @Qualifier annotations', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37141, 8497, 'Да, это можно сделать используя массив в методе контроллера', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37142, 8497, 'Да, можно, но будет прочитан только первый параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37144, 8497, 'Нельзя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37145, 8498, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37146, 8498, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37147, 8498, 'Действие, которое будет выполняться для выбранных нами методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37149, 8499, 'String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37150, 8499, 'ResultSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37151, 8499, 'Object', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37153, 8499, 'Object[][]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37154, 8499, 'List<Object[]>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37155, 8500, 'Ограничивает запрос условием, аналогично оператору WHERE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37156, 8500, 'Группирует запрос по столбцу, аналогично оператору HAVING', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37157, 8500, 'Ограничивает количество выдаваемых результатов, аналогично оператору LIMIT', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37159, 8500, 'Ограничивает запрос, позволяя определить, совпадает ли значение объекта со значением в списке, аналогично оператору IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37160, 8500, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37161, 8501, 'git remote origin add https://repo.com/somerepo/somerepo.git', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37162, 8501, 'git remote origin https://repo.com/somerepo/somerepo.git', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37163, 8501, 'git remote add origin https://repo.com/somerepo/somerepo.git', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37164, 8501, 'git remote add https://repo.com/somerepo/somerepo.git', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37165, 8501, 'git remote new origin https://repo.com/somerepo/somerepo.git', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37167, 8502, 'Файл только начал отслеживаться git и не имеет истории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37168, 8502, 'Файл был создан только что и не отслеживается git', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37170, 8502, 'Такого статуса нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37171, 8502, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37172, 8503, 'git status --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37173, 8503, 'git log --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37174, 8503, 'git info', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37176, 8503, 'git blame', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37177, 8503, 'git commit --author', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37178, 8504, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37179, 8504, 'Переносит HEAD на коммит abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37181, 8504, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37182, 8504, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37169, 8502, 'Файл изменен и отслеживается для коммита', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37175, 8503, 'git show --author', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37180, 8504, 'Удаляет все изменения в рабочей директории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37152, 8499, 'Object[]', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37134, 8495, '@GetMapping могут быть аннотированы только методы, тогда как @RequestMapping могут быть аннотированы и классы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37138, 8496, 'autowire byType', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37143, 8497, 'Да, можно, но будет прочитан только один случайны параметр', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37148, 8498, 'Точка в программе, где структура AOP будет инициализирована', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37538, 8581, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37119, 8492, 'Select address from offices union all Select address from departments union all Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37126, 8493, 'Select user_id, round(amount::numeric/100, 2) from users;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37183, 8504, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37130, 8494, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37166, 8501, 'git add remote https://repo.com/somerepo/somerepo.git', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37158, 8500, 'Позволяет получить конкретные столбцы при запросе, вместо всей сущности', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37050, 8477, 'Код компилируется, но кидает исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37083, 8484, 'Парадигма асинхронного программирования, связанная с потоками данных', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37114, 8491, 'AND > OR > NOT > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37184, 8505, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37185, 8505, 'Первый совпадающий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37187, 8505, 'Невозможно написать такое выражение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37188, 8506, 'Интерфейс CanBark не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37190, 8506, 'Класс, реализующий CanBark, наследует оба метода bark() и makeSound()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37191, 8506, 'Интерфейс не может расширять другой интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37192, 8506, 'Класс, реализующий HasVocalCords, должен переопределять метод makeSound()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37193, 8507, '2014-12-04', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37195, 8507, '2015-01-04', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37196, 8507, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37197, 8507, 'Ошибка во время выполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37198, 8508, 'Код компилируется и выполняется без проблем, выводит суммарную длину всех строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37199, 8508, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37200, 8508, 'Ошибка компиляции на строке B', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37201, 8508, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37203, 8509, 'Consumer<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37204, 8509, 'BiFunction<T,U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37205, 8509, 'Predicate<T>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37208, 8510, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37209, 8510, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37210, 8510, 'Ошибка компиляции на строке D', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37211, 8510, 'Код скомпилируется и выведет "1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37212, 8510, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37213, 8511, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37214, 8511, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37216, 8511, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37217, 8511, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37218, 8511, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37219, 8512, '(Integer a, Double b) -> {int c; return b;}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37220, 8512, '(h,i) -> (long)h', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37221, 8512, '(String u, Object v) -> u.length()+v.length()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37222, 8512, '(List u, Object v) -> u.size()+v.size()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37224, 8513, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37225, 8513, 'try, catch, finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37226, 8513, 'catch, try, finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37228, 8514, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37229, 8514, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37232, 8514, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37233, 8514, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37234, 8515, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37235, 8515, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37237, 8515, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37238, 8515, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37239, 8515, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37241, 8516, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37242, 8516, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37243, 8516, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37244, 8516, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37245, 8516, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37246, 8517, 'Select * from transactions t where t.department_id in (Select * from departments d where d.department_id = t.department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37186, 8505, 'Все совпадающие', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37189, 8506, 'Класс, реализующий CanBark, наследует только метод bark()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37194, 8507, '2015-12-04', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37202, 8508, 'Код компилируется, но кидает исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37206, 8509, 'BiConsumer<T,U>', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37207, 8510, 'Ошибка компиляции на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37215, 8511, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37223, 8512, '(x,y) -> {int z=2; return y/z;}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37227, 8513, 'finally, catch, try', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37230, 8514, 'Update', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37231, 8514, 'Delete', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37240, 8516, 'Select type_name, count(*), sum(amount) from offices;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38224, 8721, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37352, 8536, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37247, 8517, 'Select * from transactions t where t.department_id in (Select department_id from departments d where d.department_id = t.department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37248, 8517, 'Select * from transactions where department_id in (Select * from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37250, 8517, 'Select * from transactions t where exists (Select * from departments d);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37251, 8517, 'Select * from transactions t where exists (Select * from departments d where d.department_id = t.department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37252, 8518, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37253, 8518, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37254, 8518, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37256, 8518, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37257, 8519, 'Для этого используется @Transaction и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37258, 8519, 'Для этого используется @Transactional и настройка transactionManager для DataSource', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37259, 8519, 'Для этого используется @Transaction и параметр spring.transaction.enabled=true для DataSource(или метод transaction() DataSourceBuilder''а)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37261, 8520, '@RequestParam используется для добавления параметров к запросу, в то время как @PathVariable используется обозначения пути к представлению', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37262, 8520, '@RequestParam используется в работе с доступом к данным, в то время как @PathVariable используется для обработки web запросов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37263, 8520, '@RequestParam аннотируются параметры связанные с телом запроса, а @PathVariable получения полного Uniform Resource Locator', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37265, 8521, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37266, 8521, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37267, 8521, 'Аннотация ставится над классом, указывает что класс является сущностью БД', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37268, 8521, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37270, 8521, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37271, 8522, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37272, 8522, 'git add', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37273, 8522, 'git init', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37275, 8522, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37276, 8522, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37277, 8523, 'Создает копию удаленной ветки локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37278, 8523, 'Создает копию удаленного репозитория локально', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37279, 8523, 'Отменяет все изменения из последнего коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37280, 8523, 'Загружает все закомиченные изменения в удаленный репозиторий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37281, 8523, 'Создает еще одну копию локального репозитория', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37283, 8524, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37284, 8524, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37285, 8524, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37287, 8524, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37288, 8524, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37274, 8522, 'git commit', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37282, 8523, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37286, 8524, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37269, 8521, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37255, 8518, '@Bean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37260, 8519, 'Для этого используется @Transactional и параметр spring.transactional.enabled=true для DataSource(или метод transactional() DataSourceBuilder''а)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37264, 8520, '@RequestParam используется для определения query параметров, а @PathVariable для извлечения части URL', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37236, 8515, 'Select address from offices union Select address from stations except all select address from departments;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37249, 8517, 'Select * from transactions where department_id in (Select department_id from departments);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36835, 8429, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36838, 8430, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33420, 7641, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33427, 7643, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36755, 8407, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (33428, 7644, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36780, 8414, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36781, 8415, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37289, 8525, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37290, 8525, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37291, 8525, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37293, 8526, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37294, 8526, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37295, 8526, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37297, 8527, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37298, 8527, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37299, 8527, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37300, 8527, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37302, 8527, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37303, 8528, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37304, 8528, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37305, 8528, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37306, 8528, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37308, 8528, 'Код может войти в deadlock во время выполнения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37309, 8529, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37310, 8529, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37311, 8529, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37312, 8529, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37313, 8529, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37315, 8530, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37316, 8530, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37317, 8530, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37318, 8530, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37320, 8531, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37321, 8531, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37322, 8531, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37325, 8532, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37326, 8532, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37327, 8532, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37328, 8532, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37329, 8533, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37330, 8533, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37331, 8533, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37332, 8533, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37333, 8533, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37336, 8534, 'printf', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37337, 8534, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37338, 8534, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37339, 8534, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37340, 8534, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37342, 8535, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37343, 8535, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37344, 8535, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37345, 8535, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37346, 8535, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37347, 8536, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37348, 8536, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37349, 8536, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37350, 8536, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37296, 8526, 'Результат выполнения не известен по другой причине', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37301, 8527, 'Код компилируется, но кидает исключение при выполнении', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37307, 8528, 'Ошибка компиляции на строке B', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37314, 8529, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37319, 8530, 'Ни одно из вышеперечисленных определений не является верным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37323, 8531, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37324, 8532, 'Код компилируется без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37334, 8533, 'Недостаточно информации для определения результата', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37335, 8534, 'print', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37341, 8535, 'Код скомпилируется и выведет: 123456', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42841, 9756, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37353, 8537, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37354, 8537, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37355, 8537, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37357, 8538, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37358, 8538, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37359, 8538, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37361, 8539, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37362, 8539, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37363, 8539, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37365, 8540, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37366, 8540, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37367, 8540, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37369, 8541, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37370, 8541, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37372, 8541, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37373, 8542, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37374, 8542, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37375, 8542, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37376, 8542, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37378, 8542, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37380, 8543, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37381, 8543, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37382, 8543, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37383, 8544, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37384, 8544, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37385, 8544, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37387, 8544, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37388, 8544, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37389, 8545, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37390, 8545, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37391, 8545, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37392, 8545, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37393, 8545, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37396, 8546, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37397, 8546, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37398, 8546, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37399, 8547, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37400, 8547, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37401, 8547, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37403, 8548, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37404, 8548, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37406, 8549, 'singlton', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37407, 8549, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37409, 8549, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37410, 8550, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37411, 8550, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37413, 8550, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37414, 8551, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37415, 8551, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37416, 8551, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37356, 8537, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37360, 8538, 'RuntimeException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37364, 8539, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37368, 8540, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37371, 8541, 'TreeSet', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37402, 8547, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37405, 8548, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37408, 8549, 'prototype', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37412, 8550, 'AnnotationConfigApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37377, 8542, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37379, 8543, 'Ошибка: не указана таблица', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37386, 8544, 'Select % from table table;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37394, 8545, 'Select count(*), sum(amount) from offices group by type_name;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42843, 9756, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37418, 8551, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37537, 8581, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37419, 8552, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37421, 8552, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37422, 8552, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37423, 8552, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37424, 8552, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37425, 8553, 'Transient', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37426, 8553, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37428, 8553, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37430, 8554, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37431, 8554, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37432, 8554, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37433, 8554, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37434, 8554, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37395, 8546, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37429, 8554, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37417, 8551, 'Класс-сущность может быть абстрактным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37420, 8552, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37427, 8553, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37292, 8525, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37351, 8536, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37436, 8555, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37437, 8555, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37438, 8556, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37439, 8556, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37440, 8556, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37442, 8557, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37444, 8557, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37446, 8558, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37447, 8559, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37449, 8559, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37450, 8560, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37451, 8560, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37452, 8560, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37454, 8561, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37456, 8561, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37457, 8562, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37441, 8556, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37443, 8557, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37445, 8558, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37448, 8559, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37453, 8560, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37455, 8561, 'blue', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37458, 8562, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37503, 8573, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37504, 8573, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37505, 8574, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37506, 8574, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37507, 8574, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37510, 8575, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37511, 8575, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37512, 8575, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37508, 8574, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37509, 8575, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37459, 8562, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37460, 8563, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37461, 8563, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37463, 8564, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37464, 8564, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37466, 8564, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37467, 8565, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37469, 8565, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37470, 8565, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37472, 8566, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37473, 8566, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37474, 8567, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37476, 8567, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37477, 8567, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37478, 8567, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37479, 8568, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37481, 8568, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37483, 8569, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37484, 8569, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37485, 8569, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37486, 8569, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37435, 8555, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37462, 8563, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37465, 8564, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37468, 8565, 'a, b, d, c', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37471, 8566, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37475, 8567, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37480, 8568, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37482, 8569, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37487, 8570, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37489, 8570, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37490, 8570, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37491, 8570, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37492, 8571, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37493, 8571, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37495, 8571, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37496, 8572, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37497, 8572, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37498, 8572, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37500, 8573, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37501, 8573, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37488, 8570, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37494, 8571, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37499, 8572, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37516, 8576, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37517, 8576, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37518, 8576, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37519, 8577, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37521, 8577, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37522, 8577, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37523, 8577, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37525, 8578, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37526, 8578, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37528, 8578, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37529, 8579, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37530, 8579, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37531, 8579, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37539, 8581, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37540, 8581, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37541, 8581, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37543, 8582, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37544, 8582, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37545, 8582, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37546, 8582, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37548, 8582, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37549, 8583, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37551, 8583, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37554, 8583, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37556, 8584, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37557, 8584, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37558, 8584, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37559, 8584, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37560, 8584, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37561, 8585, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37562, 8585, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37563, 8585, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37565, 8586, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37566, 8586, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37568, 8586, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37569, 8586, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37571, 8587, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37572, 8587, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37575, 8587, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37576, 8587, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37578, 8588, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37579, 8588, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37580, 8588, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37527, 8578, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37532, 8579, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37534, 8580, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37542, 8581, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37547, 8582, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37550, 8583, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37552, 8583, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37553, 8583, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37555, 8584, 'Код вернет строку: XYZA.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37564, 8585, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37567, 8586, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37574, 8587, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37577, 8588, 'Ошибка: не указана таблица', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37583, 8589, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37584, 8589, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37585, 8589, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37587, 8590, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37588, 8590, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37590, 8590, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37592, 8590, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37594, 8591, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37595, 8591, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37596, 8591, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37598, 8592, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37599, 8592, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37600, 8592, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37601, 8593, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37602, 8593, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37605, 8594, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37606, 8594, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37607, 8594, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37609, 8595, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37610, 8595, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37611, 8595, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37675, 8609, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37612, 8596, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37613, 8596, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37614, 8596, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37615, 8596, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37616, 8596, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37618, 8597, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37619, 8597, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37620, 8597, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37621, 8597, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37624, 8598, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37626, 8598, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37627, 8599, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37630, 8599, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37632, 8599, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37633, 8600, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37634, 8600, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37635, 8600, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37637, 8600, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37638, 8601, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37639, 8601, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37641, 8601, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37642, 8602, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37643, 8602, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37640, 8601, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37593, 8591, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37628, 8599, 'Ветка существует удаленно, но не локально', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37617, 8596, 'Такой аннотации не существует в Hibernate', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37622, 8597, 'Все перечисленные утверждения верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37625, 8598, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37623, 8598, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37597, 8592, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37603, 8593, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37604, 8594, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37608, 8595, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37581, 8589, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37582, 8589, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37586, 8589, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37589, 8590, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37591, 8590, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37644, 8602, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37646, 8603, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37647, 8603, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37649, 8603, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37650, 8603, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37651, 8604, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37653, 8604, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37654, 8604, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37656, 8605, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37657, 8605, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37658, 8605, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37659, 8606, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37660, 8606, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37662, 8606, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37663, 8606, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37664, 8606, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37665, 8607, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37667, 8607, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37668, 8607, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37669, 8607, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37672, 8608, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37673, 8608, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37674, 8608, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37676, 8609, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37677, 8609, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37679, 8610, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37680, 8610, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37682, 8610, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37683, 8611, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37684, 8611, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37685, 8611, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37686, 8611, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37687, 8611, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37689, 8612, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37690, 8612, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37691, 8612, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37692, 8612, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37694, 8612, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37695, 8613, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37697, 8613, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37700, 8613, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37702, 8614, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37703, 8614, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37704, 8614, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37705, 8614, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37706, 8614, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37707, 8615, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37708, 8615, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37710, 8615, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37652, 8604, 'static поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37655, 8605, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37661, 8606, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37666, 8607, 'Код всегда выводит Test1 и потом Test2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37670, 8607, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37671, 8608, 'Код выведет 1000', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37678, 8609, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37681, 8610, 'TreeSet', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37688, 8611, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37693, 8612, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37696, 8613, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37698, 8613, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37699, 8613, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37701, 8614, 'Код вернет строку: XYZA.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37711, 8616, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37713, 8616, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37714, 8616, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37715, 8616, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37717, 8617, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37718, 8617, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37719, 8617, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37722, 8617, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37723, 8618, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37724, 8618, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37725, 8618, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37728, 8619, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37729, 8619, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37730, 8619, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37731, 8619, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37732, 8619, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37733, 8620, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37734, 8620, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37736, 8620, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37737, 8620, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37740, 8621, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37741, 8621, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37742, 8621, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37744, 8622, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37745, 8622, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37746, 8622, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37747, 8623, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37748, 8623, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37751, 8624, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37815, 8637, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41536, 9433, '1', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37752, 8624, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37753, 8624, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37754, 8625, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37756, 8625, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37757, 8625, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37758, 8626, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37759, 8626, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37760, 8626, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37761, 8626, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37762, 8626, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37765, 8627, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37766, 8627, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37767, 8627, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37768, 8627, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37770, 8628, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37763, 8626, 'Такой аннотации не существует в Hibernate', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37764, 8627, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37769, 8628, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37712, 8616, 'finalize() гарантированно не вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37743, 8622, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37749, 8623, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37750, 8624, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37755, 8625, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37720, 8617, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37726, 8618, 'Не вернет ни одной строки', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37727, 8619, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37735, 8620, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37738, 8620, 'Select count(*), sum(amount) from offices group by type_name;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37774, 8629, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37775, 8629, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37778, 8629, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37779, 8630, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37780, 8630, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37781, 8630, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37782, 8630, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37784, 8631, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37785, 8631, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37787, 8631, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37788, 8632, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37789, 8632, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37790, 8632, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37792, 8633, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37793, 8633, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37795, 8633, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37796, 8633, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37797, 8634, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37798, 8634, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37799, 8634, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37802, 8635, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37803, 8635, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37804, 8635, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37805, 8636, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37806, 8636, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37808, 8636, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37809, 8636, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37810, 8636, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37811, 8637, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37812, 8637, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37813, 8637, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37814, 8637, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37819, 8638, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37820, 8638, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37821, 8639, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37822, 8639, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37823, 8639, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37825, 8640, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37827, 8640, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37828, 8640, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37829, 8641, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37830, 8641, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37831, 8641, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37832, 8641, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37833, 8641, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37835, 8642, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37836, 8642, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37837, 8642, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37838, 8642, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37783, 8630, 'Код компилируется, но кидает исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37786, 8631, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37791, 8632, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37794, 8633, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37800, 8634, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37801, 8635, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37807, 8636, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37816, 8637, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37817, 8638, 'Код выведет 1000', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37824, 8639, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37826, 8640, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37834, 8641, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42845, 9757, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42846, 9757, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42847, 9757, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42848, 9757, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43196, 9858, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37840, 8642, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37841, 8643, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37843, 8643, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37846, 8643, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37847, 8644, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37848, 8644, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37850, 8644, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37851, 8644, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37852, 8644, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37853, 8645, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37854, 8645, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37856, 8645, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37857, 8646, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37858, 8646, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37860, 8646, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37861, 8646, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37863, 8647, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37864, 8647, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37865, 8647, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37867, 8647, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37868, 8647, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37869, 8648, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37870, 8648, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37872, 8648, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37875, 8649, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37876, 8649, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37877, 8649, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37879, 8650, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37880, 8650, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37882, 8650, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37883, 8650, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37884, 8650, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37886, 8651, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37887, 8651, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38339, 8745, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37888, 8651, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37890, 8652, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37891, 8652, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37892, 8652, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37893, 8653, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37895, 8653, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37897, 8654, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37898, 8654, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37899, 8654, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37901, 8655, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37902, 8655, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37903, 8655, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38900, 8859, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37839, 8642, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37844, 8643, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37842, 8643, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37849, 8644, 'Код вернет строку: XYZB.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37859, 8646, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37862, 8646, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37889, 8652, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37894, 8653, 'Не является', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37896, 8654, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37900, 8655, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37866, 8647, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37871, 8648, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37873, 8649, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37874, 8649, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37878, 8649, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37881, 8650, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37904, 8656, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37905, 8656, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37906, 8656, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37907, 8656, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37909, 8656, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37910, 8657, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37911, 8657, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37912, 8657, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37913, 8657, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37916, 8658, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37918, 8658, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37920, 8659, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37921, 8659, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37922, 8659, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37923, 8659, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37924, 8659, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37925, 8660, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37926, 8660, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37927, 8660, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37929, 8660, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37930, 8661, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37931, 8661, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37933, 8661, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37934, 8662, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37935, 8662, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37936, 8662, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37938, 8663, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37939, 8663, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37941, 8663, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37942, 8663, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37943, 8664, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37944, 8664, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37945, 8664, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38850, 8850, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37948, 8665, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37949, 8665, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37950, 8665, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37951, 8666, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37952, 8666, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37954, 8666, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37955, 8666, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37956, 8666, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37958, 8667, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37959, 8667, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37960, 8667, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37961, 8667, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37963, 8668, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37964, 8668, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37914, 8657, 'Все перечисленные утверждения верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37915, 8658, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37917, 8658, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39559, 9000, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37928, 8660, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37932, 8661, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37937, 8662, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37940, 8663, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37946, 8664, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37947, 8665, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37953, 8666, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37962, 8667, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37966, 8668, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37967, 8669, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37968, 8669, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37969, 8669, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37971, 8670, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37973, 8670, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37974, 8670, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37975, 8671, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37976, 8671, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37977, 8671, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37978, 8671, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37979, 8671, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37981, 8672, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37982, 8672, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37983, 8672, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37984, 8672, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37986, 8672, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37987, 8673, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37989, 8673, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37992, 8673, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37993, 8674, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37994, 8674, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37995, 8674, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37996, 8674, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37997, 8674, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38000, 8675, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38001, 8675, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38002, 8675, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38003, 8676, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38004, 8676, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38006, 8676, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38007, 8676, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38009, 8677, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38010, 8677, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38011, 8677, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38014, 8677, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38015, 8678, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38016, 8678, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38018, 8678, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38021, 8679, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38022, 8679, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38023, 8679, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38025, 8680, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41542, 9434, 'red', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38026, 8680, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38028, 8680, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38029, 8680, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38030, 8680, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37970, 8669, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37972, 8670, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37980, 8671, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37985, 8672, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37988, 8673, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37991, 8673, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37990, 8673, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37998, 8674, 'Недостаточно информации для определения результата', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37999, 8675, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38008, 8676, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38005, 8676, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38012, 8677, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38013, 8677, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38017, 8678, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38019, 8679, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38020, 8679, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38024, 8679, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38027, 8680, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38032, 8681, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38033, 8681, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38034, 8681, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38036, 8682, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38037, 8682, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38038, 8682, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38039, 8683, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38041, 8683, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38043, 8684, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38044, 8684, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38045, 8684, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38047, 8685, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38048, 8685, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38049, 8685, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38050, 8686, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38051, 8686, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38052, 8686, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38053, 8686, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38054, 8686, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38056, 8687, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38057, 8687, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38058, 8687, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38060, 8687, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38061, 8688, 'Transient', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38062, 8688, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38064, 8688, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38066, 8689, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38067, 8689, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38069, 8689, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38071, 8690, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38073, 8690, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38074, 8690, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38075, 8690, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38076, 8691, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38077, 8691, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38079, 8691, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38080, 8692, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38081, 8692, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38082, 8692, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38084, 8693, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38085, 8693, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38087, 8693, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38088, 8693, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38089, 8694, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38090, 8694, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38091, 8694, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38078, 8691, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38083, 8692, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38086, 8693, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38092, 8694, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38065, 8689, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38055, 8686, 'Такой аннотации не существует в Hibernate', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38059, 8687, 'Класс-сущность может быть абстрактным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38063, 8688, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38035, 8682, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38040, 8683, 'Не является', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38042, 8684, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38046, 8685, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38093, 8695, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38094, 8695, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38095, 8695, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38097, 8696, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38098, 8696, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38099, 8696, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38101, 8696, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38102, 8696, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38104, 8697, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38105, 8697, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38106, 8697, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38107, 8697, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38108, 8697, 'Код может войти в deadlock во время выполнения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38109, 8698, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38110, 8698, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38111, 8698, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38113, 8699, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38115, 8699, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38116, 8699, 'Никакой, все ответы правильные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38117, 8700, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38118, 8700, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38120, 8700, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38121, 8701, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38122, 8701, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38123, 8701, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38124, 8701, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38125, 8701, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38127, 8702, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38128, 8702, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38129, 8702, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38130, 8702, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38132, 8702, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38133, 8703, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38134, 8703, 'printf', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38135, 8703, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38136, 8703, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38138, 8703, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38139, 8704, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38140, 8704, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38141, 8704, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38142, 8704, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38144, 8704, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38146, 8705, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38147, 8705, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38148, 8705, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38149, 8706, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38150, 8706, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38152, 8706, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38153, 8706, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38155, 8707, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38156, 8707, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38157, 8707, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38100, 8696, 'Код не компилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38112, 8698, 'Результат выполнения не известен по другой причине', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38114, 8699, 'TestClass testClass = new TestClass<String>();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38119, 8700, 'TreeSet', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38126, 8701, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38131, 8702, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38137, 8703, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38143, 8704, 'Код не компилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38145, 8705, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38151, 8706, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38154, 8706, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38158, 8707, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38159, 8707, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38160, 8707, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38161, 8708, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38162, 8708, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38163, 8708, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38166, 8709, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38167, 8709, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38168, 8709, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38169, 8709, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38170, 8709, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38171, 8710, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38172, 8710, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38173, 8710, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38174, 8710, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38176, 8710, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38178, 8711, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38179, 8711, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38180, 8711, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38182, 8712, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38183, 8712, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38184, 8712, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38186, 8713, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38187, 8713, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38189, 8714, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38190, 8714, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38191, 8714, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38193, 8715, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38194, 8715, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38195, 8715, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38196, 8716, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38197, 8716, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38198, 8716, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38199, 8716, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38201, 8716, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38203, 8717, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38204, 8717, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38205, 8717, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38206, 8717, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38208, 8718, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38210, 8718, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38212, 8719, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38213, 8719, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38214, 8719, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38215, 8719, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38216, 8719, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38217, 8720, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38218, 8720, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38211, 8719, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38200, 8716, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38202, 8717, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38207, 8718, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38209, 8718, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38181, 8712, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38185, 8713, 'Является', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38192, 8715, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38164, 8708, 'Не вернет ни одной строки', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38165, 8709, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38175, 8710, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43401, 9918, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43402, 9918, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43404, 9918, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43403, 9918, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43714, 10008, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38219, 8720, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38221, 8720, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38222, 8721, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38223, 8721, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38225, 8721, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38226, 8722, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38227, 8722, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38228, 8722, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38230, 8723, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38231, 8723, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38233, 8723, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38234, 8723, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38235, 8724, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38236, 8724, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38237, 8724, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38239, 8725, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38241, 8725, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38242, 8725, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38243, 8726, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38244, 8726, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38246, 8726, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38247, 8726, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38248, 8726, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38249, 8727, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38251, 8727, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38252, 8727, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38253, 8727, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38254, 8727, 'Код может войти в deadlock во время выполнения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38256, 8728, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38257, 8728, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38258, 8728, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38259, 8729, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38261, 8729, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38262, 8729, 'Никакой, все ответы правильные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38263, 8730, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38265, 8730, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38266, 8730, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38267, 8731, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38268, 8731, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38269, 8731, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38270, 8731, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38271, 8731, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38273, 8732, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38274, 8732, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38275, 8732, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38276, 8732, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38278, 8732, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38279, 8733, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38281, 8733, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38282, 8733, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38283, 8733, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38284, 8733, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38286, 8734, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38287, 8734, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38288, 8734, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38289, 8734, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38229, 8722, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38232, 8723, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38238, 8724, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38240, 8725, 'Ошибка компиляции на строке:class Orca extends Whale {', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38250, 8727, 'Код всегда выводит Test1 и потом Test2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38255, 8728, 'Код выведет 1000', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38260, 8729, 'TestClass testClass = new TestClass<String>();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38264, 8730, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38272, 8731, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38277, 8732, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38280, 8733, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38285, 8734, 'Код вернет строку: XYZA.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38290, 8734, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38291, 8735, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38292, 8735, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38294, 8735, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38296, 8736, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38297, 8736, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38298, 8736, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38299, 8736, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38300, 8736, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38301, 8737, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38302, 8737, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38303, 8737, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38305, 8737, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38306, 8737, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38307, 8738, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38308, 8738, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38310, 8738, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38313, 8739, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38314, 8739, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38315, 8739, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38317, 8740, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38318, 8740, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38319, 8740, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38320, 8740, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38322, 8740, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38324, 8741, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38325, 8741, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38326, 8741, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38328, 8742, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38329, 8742, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38330, 8742, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38332, 8743, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38333, 8743, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38335, 8744, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38336, 8744, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38337, 8744, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38338, 8745, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38340, 8745, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38341, 8745, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38342, 8746, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38343, 8746, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38344, 8746, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38345, 8746, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38347, 8746, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38346, 8746, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38295, 8736, 'finalize() гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38327, 8742, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38331, 8743, 'Является', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38334, 8744, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38304, 8737, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38309, 8738, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38311, 8739, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38312, 8739, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38316, 8739, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38321, 8740, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38348, 8747, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38349, 8747, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38350, 8747, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38352, 8747, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38354, 8748, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38355, 8748, 'Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38356, 8748, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38358, 8749, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38359, 8749, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38360, 8749, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38362, 8749, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38177, 8711, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38072, 8690, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38096, 8695, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38103, 8697, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38188, 8714, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38363, 8750, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38364, 8750, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38365, 8750, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38367, 8750, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38368, 8751, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38369, 8751, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38371, 8751, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38372, 8752, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38373, 8752, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38374, 8752, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38376, 8753, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38377, 8753, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38379, 8753, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38380, 8753, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38381, 8754, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38382, 8754, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38383, 8754, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38386, 8755, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38387, 8755, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38388, 8755, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38389, 8756, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38390, 8756, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38392, 8756, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38393, 8756, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38394, 8756, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38395, 8757, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38397, 8757, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38398, 8757, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38399, 8757, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38401, 8758, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38402, 8758, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37773, 8629, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38351, 8747, 'Класс-сущность может быть абстрактным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38353, 8748, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38366, 8750, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38370, 8751, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38375, 8752, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38378, 8753, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38384, 8754, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38385, 8755, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38391, 8756, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38400, 8757, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38403, 8758, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38404, 8758, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38405, 8759, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38406, 8759, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38407, 8759, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38409, 8760, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38411, 8760, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38412, 8760, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38413, 8761, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38414, 8761, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38415, 8761, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38416, 8761, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38417, 8761, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38419, 8762, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38420, 8762, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38421, 8762, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38422, 8762, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38424, 8762, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38425, 8763, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38427, 8763, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38430, 8763, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38431, 8764, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38432, 8764, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38434, 8764, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38435, 8764, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38436, 8764, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38437, 8765, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38438, 8765, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38440, 8765, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38441, 8766, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38442, 8766, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38444, 8766, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38445, 8766, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38447, 8767, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38448, 8767, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38450, 8767, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38452, 8767, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38454, 8768, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38455, 8768, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38456, 8768, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38459, 8769, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38460, 8769, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38461, 8769, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38463, 8770, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38464, 8770, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38466, 8770, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38467, 8770, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38468, 8770, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38470, 8771, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38408, 8759, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38410, 8760, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38418, 8761, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38423, 8762, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38429, 8763, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38426, 8763, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38433, 8764, 'Код вернет строку: XYZB.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38443, 8766, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38446, 8766, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38449, 8767, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38451, 8767, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38453, 8768, 'Ошибка: не указана таблица', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38457, 8769, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38458, 8769, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38462, 8769, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38465, 8770, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38471, 8771, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38472, 8771, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38474, 8772, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38475, 8772, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38476, 8772, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38477, 8773, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38478, 8773, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38481, 8774, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38482, 8774, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38483, 8774, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38484, 8775, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38486, 8775, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38487, 8775, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38488, 8776, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38489, 8776, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38490, 8776, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38491, 8776, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38492, 8776, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38494, 8777, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38495, 8777, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38496, 8777, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38497, 8777, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38500, 8778, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38502, 8778, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38504, 8779, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38505, 8779, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38508, 8779, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38509, 8780, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38510, 8780, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38511, 8780, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38513, 8780, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38514, 8781, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38516, 8781, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38517, 8781, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38518, 8782, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38519, 8782, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38520, 8782, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38522, 8783, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38523, 8783, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38525, 8783, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38526, 8783, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38527, 8784, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38528, 8784, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38530, 8784, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38531, 8785, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38515, 8781, 'Exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38521, 8782, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38524, 8783, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38529, 8784, 'final поля', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38507, 8779, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38493, 8776, 'Такой аннотации не существует в Hibernate', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38498, 8777, 'Все перечисленные утверждения верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38499, 8778, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38501, 8778, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38473, 8772, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38479, 8773, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38480, 8774, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38485, 8775, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43716, 10008, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43717, 10009, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43790, 10029, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38532, 8785, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39172, 8921, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38534, 8785, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38536, 8786, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38537, 8786, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38538, 8786, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38539, 8786, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38540, 8786, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38541, 8787, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38542, 8787, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38543, 8787, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38544, 8787, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38545, 8787, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38547, 8788, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38549, 8788, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38550, 8788, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38551, 8789, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38552, 8789, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38553, 8789, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38556, 8790, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38557, 8790, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38558, 8790, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38560, 8791, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38561, 8791, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38562, 8791, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38563, 8791, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38564, 8791, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38565, 8792, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38566, 8792, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38567, 8792, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38568, 8792, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38570, 8792, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38571, 8793, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38572, 8793, 'printf', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38573, 8793, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38574, 8793, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38575, 8793, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38577, 8794, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38578, 8794, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38579, 8794, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38580, 8794, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38581, 8794, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38583, 8795, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38584, 8795, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38585, 8795, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38586, 8795, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38587, 8796, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38588, 8796, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38589, 8796, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38590, 8796, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38591, 8796, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38592, 8796, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38593, 8797, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38594, 8797, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38595, 8797, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38596, 8797, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38533, 8785, 'Orca diving', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38535, 8786, 'Он выведет 1000 1000', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38546, 8787, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38548, 8788, 'Код не скомпилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38554, 8789, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38555, 8790, 'ArrayDeque', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38569, 8792, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38576, 8793, 'out', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38582, 8794, 'Недостаточно информации для определения результата', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38699, 8819, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38597, 8797, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37777, 8629, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38598, 8797, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38599, 8798, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38600, 8798, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38601, 8798, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38602, 8798, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38603, 8799, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38604, 8799, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38605, 8799, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38606, 8799, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38607, 8799, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38608, 8799, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38609, 8800, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38610, 8800, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38611, 8800, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38612, 8800, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38613, 8800, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38614, 8800, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38616, 8801, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38617, 8801, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38618, 8801, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38619, 8802, 'singlton', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38620, 8802, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38621, 8802, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38622, 8802, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38623, 8803, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38624, 8803, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38625, 8803, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38626, 8804, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38627, 8804, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38628, 8804, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38629, 8804, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38630, 8805, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38631, 8805, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38632, 8805, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38633, 8805, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38634, 8806, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38635, 8806, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38636, 8806, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38637, 8806, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38639, 8806, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38640, 8807, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38641, 8807, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38642, 8807, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38644, 8807, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38645, 8808, 'Transient', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38646, 8808, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38647, 8808, 'Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38649, 8809, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38650, 8809, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38651, 8809, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38652, 8809, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38653, 8809, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38615, 8801, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38654, 8809, 'Ошибка не исправляется командой git push -u somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38638, 8806, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38643, 8807, 'Класс-сущность может быть абстрактным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38648, 8808, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37739, 8621, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38512, 8780, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37776, 8629, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37636, 8600, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37645, 8602, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37648, 8603, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37629, 8599, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37631, 8599, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37502, 8573, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37515, 8576, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37524, 8577, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37520, 8577, 'Код всегда выводит Test1 и потом Test2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37709, 8615, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37570, 8586, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37716, 8616, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38559, 8791, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37573, 8587, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37721, 8617, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38656, 8810, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38657, 8810, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38658, 8810, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38659, 8810, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38660, 8811, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38661, 8811, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38663, 8811, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38664, 8812, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38665, 8812, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38666, 8812, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38668, 8813, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38669, 8813, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38671, 8813, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38672, 8813, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38673, 8814, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38674, 8814, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38675, 8814, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38677, 8815, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38678, 8815, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38680, 8815, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38681, 8816, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38682, 8816, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38684, 8816, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38685, 8816, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38686, 8816, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38687, 8817, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38689, 8817, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38690, 8817, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38691, 8817, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38692, 8817, 'Код может войти в deadlock во время выполнения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38693, 8818, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38694, 8818, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38695, 8818, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38697, 8819, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38698, 8819, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38662, 8811, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38667, 8812, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38676, 8814, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38679, 8815, 'Orca diving', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38683, 8816, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38688, 8817, 'Код всегда выводит Test1 и потом Test2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38696, 8818, 'Результат выполнения не известен по другой причине', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38706, 8821, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38707, 8821, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38708, 8821, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38709, 8821, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38711, 8822, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38712, 8822, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38713, 8822, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38714, 8822, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38716, 8822, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38717, 8823, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38719, 8823, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38720, 8823, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38722, 8823, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38723, 8824, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38724, 8824, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38725, 8824, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38727, 8824, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38728, 8824, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38729, 8825, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38730, 8825, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38732, 8825, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38733, 8826, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38734, 8826, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38736, 8826, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38737, 8826, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38739, 8827, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38740, 8827, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38741, 8827, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38744, 8827, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38745, 8828, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38746, 8828, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38748, 8828, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38751, 8829, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38752, 8829, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38753, 8829, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38754, 8829, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38755, 8830, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38756, 8830, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38758, 8830, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38759, 8830, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38762, 8831, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38763, 8831, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38764, 8831, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38766, 8832, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38767, 8832, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38768, 8832, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38769, 8833, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38771, 8833, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38710, 8821, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38715, 8822, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38721, 8823, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38718, 8823, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38726, 8824, 'Код вернет строку: XYZY.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38735, 8826, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38738, 8826, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38765, 8832, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38770, 8833, 'Не является', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38772, 8834, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38742, 8827, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38743, 8827, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38747, 8828, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38749, 8829, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38750, 8829, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38757, 8830, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38760, 8830, 'Select count(*), sum(amount) from offices group by type_name;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38773, 8834, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38774, 8834, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38775, 8834, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38776, 8835, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38777, 8835, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38779, 8835, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42049, 9552, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38780, 8836, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38781, 8836, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38782, 8836, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38783, 8836, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38784, 8836, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38786, 8837, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38787, 8837, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38788, 8837, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38789, 8837, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38792, 8838, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38796, 8839, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38798, 8839, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38800, 8839, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38801, 8840, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38802, 8840, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38803, 8840, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38805, 8840, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38806, 8841, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38807, 8841, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38809, 8841, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38810, 8842, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38811, 8842, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38812, 8842, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38814, 8843, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38815, 8843, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38817, 8843, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38818, 8843, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38819, 8844, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38821, 8844, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38822, 8844, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38824, 8845, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38825, 8845, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38826, 8845, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38827, 8846, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38828, 8846, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38830, 8846, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38831, 8846, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38832, 8846, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38785, 8836, 'Такой аннотации не существует в Hibernate', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38790, 8837, 'Все перечисленные утверждения верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38793, 8838, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38794, 8838, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38791, 8838, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38778, 8835, 'AnnotationConfigApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38804, 8840, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38808, 8841, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38813, 8842, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38816, 8843, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38820, 8844, 'static поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38823, 8845, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38829, 8846, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38833, 8847, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38835, 8847, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38836, 8847, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38837, 8847, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38838, 8847, 'Код может войти в deadlock во время выполнения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38839, 8848, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38840, 8848, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38842, 8848, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38843, 8849, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38844, 8849, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38845, 8849, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38847, 8850, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38849, 8850, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38851, 8851, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38853, 8851, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38854, 8851, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38855, 8851, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38856, 8851, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38857, 8852, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38858, 8852, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38859, 8852, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38860, 8852, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38861, 8852, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38863, 8853, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38865, 8853, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38868, 8853, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38869, 8854, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38870, 8854, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38871, 8854, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38873, 8854, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38874, 8854, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38876, 8855, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38877, 8855, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38878, 8855, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38879, 8856, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38880, 8856, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38883, 8856, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38884, 8856, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38885, 8857, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38886, 8857, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38890, 8857, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38891, 8858, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38892, 8858, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38894, 8858, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38897, 8859, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38898, 8859, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38899, 8859, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38846, 8849, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38848, 8850, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38852, 8851, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38862, 8852, 'Код скомпилируется и выкинет исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38864, 8853, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38866, 8853, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38867, 8853, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38872, 8854, 'Код вернет строку: XYZY.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38875, 8855, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38882, 8856, 'Сборщик мусора гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38881, 8856, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38888, 8857, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38893, 8858, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38896, 8859, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38895, 8859, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38901, 8860, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38902, 8860, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38906, 8860, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38908, 8861, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38909, 8861, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38910, 8861, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38912, 8862, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38913, 8862, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38914, 8862, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38915, 8863, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38917, 8863, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38919, 8864, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38920, 8864, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38921, 8864, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38923, 8865, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38924, 8865, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38925, 8865, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42051, 9552, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38926, 8866, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38927, 8866, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38928, 8866, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38929, 8866, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38930, 8866, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38932, 8867, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38933, 8867, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38934, 8867, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38936, 8867, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38938, 8868, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38941, 8869, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38943, 8869, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38944, 8869, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38945, 8869, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38947, 8870, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38949, 8870, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38950, 8870, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38951, 8870, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38952, 8871, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38953, 8871, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38955, 8871, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38956, 8872, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38957, 8872, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38958, 8872, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38960, 8873, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39028, 8886, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38954, 8871, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38959, 8872, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38946, 8869, 'Ошибка не исправляется командой git push -u somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38942, 8869, 'Ветка существует удаленно, но не локально', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38931, 8866, 'Такой аннотации не существует в Hibernate', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38935, 8867, 'Класс-сущность может быть абстрактным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38939, 8868, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38940, 8868, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38937, 8868, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38911, 8862, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38916, 8863, 'Не является', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38918, 8864, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38922, 8865, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38905, 8860, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38961, 8873, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38962, 8873, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38963, 8873, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38965, 8874, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38967, 8874, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38968, 8874, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38970, 8875, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38971, 8875, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38972, 8875, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38973, 8876, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38974, 8876, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38976, 8876, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38977, 8876, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38978, 8876, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38979, 8877, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38981, 8877, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38982, 8877, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38983, 8877, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38985, 8878, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38986, 8878, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38988, 8878, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38989, 8879, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38990, 8879, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38991, 8879, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38993, 8880, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38995, 8880, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38996, 8880, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38997, 8881, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38998, 8881, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38999, 8881, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39000, 8881, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39001, 8881, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39003, 8882, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39004, 8882, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39005, 8882, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39006, 8882, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39008, 8882, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39009, 8883, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39011, 8883, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39014, 8883, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39015, 8884, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39016, 8884, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39017, 8884, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39019, 8884, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39020, 8884, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39021, 8885, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39022, 8885, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39024, 8885, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39025, 8886, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39026, 8886, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38966, 8874, 'static поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38969, 8875, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38975, 8876, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38984, 8877, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38987, 8878, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38992, 8879, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38994, 8880, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39002, 8881, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39007, 8882, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39010, 8883, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39012, 8883, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39013, 8883, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39018, 8884, 'Код вернет строку: XYZY.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39023, 8885, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39027, 8886, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39029, 8886, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39031, 8887, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39032, 8887, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39033, 8887, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39035, 8887, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39038, 8888, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39039, 8888, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39040, 8888, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39042, 8889, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39043, 8889, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39044, 8889, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39045, 8889, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39046, 8889, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39047, 8890, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39048, 8890, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39050, 8890, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39051, 8890, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39052, 8890, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39054, 8891, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39055, 8891, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39056, 8891, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39058, 8892, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39059, 8892, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39060, 8892, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39061, 8893, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39062, 8893, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39065, 8894, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39066, 8894, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39067, 8894, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39068, 8895, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39069, 8895, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39070, 8895, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39072, 8896, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39073, 8896, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39074, 8896, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39075, 8896, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39076, 8896, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39078, 8897, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39080, 8897, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39081, 8897, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39082, 8897, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39084, 8898, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39088, 8899, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39199, 8926, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39087, 8899, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39077, 8896, 'Такой аннотации не существует в Hibernate', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39079, 8897, 'Класс сущности может наследоваться от другого класса-сущности', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39083, 8898, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39085, 8898, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39030, 8886, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39057, 8892, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39063, 8893, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39071, 8895, 'ClassPathXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39034, 8887, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39036, 8887, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39037, 8888, 'Ошибка: не указана таблица', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39041, 8889, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39049, 8890, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39089, 8899, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39092, 8899, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39093, 8900, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39094, 8900, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39096, 8901, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39097, 8901, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39098, 8901, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39100, 8902, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39102, 8902, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39103, 8903, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39105, 8904, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39107, 8904, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39108, 8905, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39109, 8905, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39111, 8905, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39113, 8906, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39114, 8906, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39115, 8907, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39174, 8921, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39175, 8921, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39116, 8907, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39118, 8908, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39120, 8908, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39124, 8909, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39125, 8910, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39126, 8910, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39128, 8910, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39129, 8911, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39200, 8926, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39099, 8901, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39101, 8902, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39104, 8903, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39106, 8904, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39110, 8905, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39090, 8899, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39091, 8899, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39112, 8906, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39117, 8907, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39119, 8908, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39122, 8909, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39121, 8909, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39123, 8909, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39127, 8910, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39560, 9000, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39561, 9000, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39562, 9001, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39563, 9001, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39594, 9007, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39130, 8911, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39135, 8912, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39138, 8913, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39139, 8913, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39141, 8914, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39142, 8914, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39143, 8914, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39144, 8914, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39145, 8915, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39147, 8915, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39148, 8915, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39149, 8915, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39150, 8916, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39152, 8916, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39153, 8916, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39154, 8917, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39155, 8917, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39156, 8917, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39158, 8918, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39159, 8918, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39160, 8918, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39161, 8918, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39163, 8919, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39164, 8919, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39165, 8919, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39168, 8920, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39169, 8920, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39170, 8920, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39171, 8921, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39176, 8921, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39177, 8922, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39179, 8922, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39180, 8922, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39181, 8922, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39183, 8923, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39184, 8923, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39186, 8923, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39187, 8924, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39188, 8924, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39189, 8924, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39191, 8925, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39193, 8925, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39194, 8925, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39196, 8926, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39197, 8926, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39198, 8926, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39151, 8916, 'Exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39157, 8917, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39162, 8918, 'Ни одно из вышеперечисленных определений не является верным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39166, 8919, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39167, 8920, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39173, 8921, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39132, 8912, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39134, 8912, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39133, 8912, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39136, 8912, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39137, 8913, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39140, 8914, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39182, 8922, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39178, 8922, 'Код всегда выводит Test1 и потом Test2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39185, 8923, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39190, 8924, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39192, 8925, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39195, 8926, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39853, 9060, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39854, 9061, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44065, 10109, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39201, 8927, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39202, 8927, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39203, 8927, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39204, 8927, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39206, 8927, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39207, 8928, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39209, 8928, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39212, 8928, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39213, 8929, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39214, 8929, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39215, 8929, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39216, 8929, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39217, 8929, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39219, 8930, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39220, 8930, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39222, 8930, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39223, 8931, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39224, 8931, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39227, 8931, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39228, 8931, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39229, 8932, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39230, 8932, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39231, 8932, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39234, 8932, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39236, 8933, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39237, 8933, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39238, 8933, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39241, 8934, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39242, 8934, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39243, 8934, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42052, 9553, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39245, 8935, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39246, 8935, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39248, 8935, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39249, 8935, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39250, 8935, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39252, 8936, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39253, 8936, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39254, 8936, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39256, 8937, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39257, 8937, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39258, 8937, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39259, 8938, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39260, 8938, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39263, 8939, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39264, 8939, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39251, 8936, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39205, 8927, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39208, 8928, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39211, 8928, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39218, 8929, 'Недостаточно информации для определения результата', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39226, 8931, 'Сборщик мусора гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39225, 8931, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39255, 8937, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39261, 8938, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39262, 8939, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39233, 8932, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39232, 8932, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39235, 8933, 'Ошибка: не указана таблица', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39239, 8934, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39240, 8934, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39244, 8934, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39247, 8935, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39304, 8948, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39372, 8961, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39265, 8939, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39266, 8940, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39268, 8940, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39269, 8940, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39270, 8941, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39271, 8941, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39272, 8941, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39273, 8941, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39275, 8941, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39277, 8942, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39278, 8942, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39279, 8942, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39280, 8942, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39281, 8943, 'Transient', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39282, 8943, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39283, 8943, 'Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39285, 8944, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39286, 8944, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39287, 8944, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39289, 8944, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39290, 8944, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39288, 8944, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39274, 8941, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39276, 8942, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39284, 8943, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39473, 8982, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39095, 8900, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39053, 8891, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39146, 8915, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39086, 8898, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39131, 8911, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38948, 8870, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38964, 8873, 'Ни одно из вышеперечисленных определений не является верным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38980, 8877, 'Код всегда выводит Test1 и потом Test2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39210, 8928, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39221, 8930, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39267, 8940, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39064, 8894, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39291, 8945, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39292, 8945, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39293, 8945, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39295, 8945, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39296, 8946, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39297, 8946, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39299, 8946, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39300, 8947, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39301, 8947, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39302, 8947, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39294, 8945, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39298, 8946, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39305, 8948, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39307, 8948, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39308, 8948, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39309, 8949, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39310, 8949, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39311, 8949, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39314, 8950, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39315, 8950, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39316, 8950, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39317, 8951, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39318, 8951, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39320, 8951, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39321, 8951, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39322, 8951, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39323, 8952, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39324, 8952, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39325, 8952, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39326, 8952, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39327, 8952, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39329, 8953, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39330, 8953, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39331, 8953, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39334, 8954, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39335, 8954, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39336, 8954, 'Никакой, все ответы правильные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39337, 8955, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39339, 8955, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39340, 8955, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39341, 8956, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39342, 8956, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39343, 8956, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39344, 8956, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39345, 8956, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39347, 8957, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39348, 8957, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39349, 8957, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42053, 9553, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39350, 8957, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39352, 8957, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39353, 8958, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39355, 8958, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39357, 8958, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39358, 8958, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39359, 8959, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39360, 8959, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39361, 8959, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39363, 8959, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39364, 8959, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39365, 8960, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39366, 8960, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39368, 8960, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39369, 8961, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39370, 8961, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39312, 8949, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39313, 8950, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39319, 8951, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39328, 8952, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39332, 8953, 'Результат выполнения не известен по другой причине', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39333, 8954, 'TestClass testClass = new TestClass();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39338, 8955, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39346, 8956, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39351, 8957, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39354, 8958, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39356, 8958, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39362, 8959, 'Код вернет строку: XYZY.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39371, 8961, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39373, 8961, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39375, 8962, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39376, 8962, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39377, 8962, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39380, 8962, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39381, 8963, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39382, 8963, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39384, 8963, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39386, 8964, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39387, 8964, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39388, 8964, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39389, 8964, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39391, 8965, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39392, 8965, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39394, 8965, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39396, 8965, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39398, 8966, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39399, 8966, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39400, 8966, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39402, 8967, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39403, 8967, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39404, 8967, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39405, 8968, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39406, 8968, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39409, 8969, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39410, 8969, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39411, 8969, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39412, 8970, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39414, 8970, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39415, 8970, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39416, 8971, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39417, 8971, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39418, 8971, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39419, 8971, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39421, 8971, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42055, 9553, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39423, 8972, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39424, 8972, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39425, 8972, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39426, 8972, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39428, 8973, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39432, 8974, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39397, 8966, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39431, 8974, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39422, 8972, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39430, 8973, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39427, 8973, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39429, 8973, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39374, 8961, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39401, 8967, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39407, 8968, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39408, 8969, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39413, 8970, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39378, 8962, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39383, 8963, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39385, 8964, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39390, 8964, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39393, 8965, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39395, 8965, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39491, 8986, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39493, 8987, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39433, 8974, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39434, 8974, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39435, 8974, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39436, 8974, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39420, 8971, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39303, 8947, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39306, 8948, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39367, 8960, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39379, 8962, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39437, 8975, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39438, 8975, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39439, 8975, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39441, 8975, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39442, 8976, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39443, 8976, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39445, 8976, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39446, 8977, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39447, 8977, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39448, 8977, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39450, 8978, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39451, 8978, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39453, 8978, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39454, 8978, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39455, 8979, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39457, 8979, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39458, 8979, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39460, 8980, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39461, 8980, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39462, 8980, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39463, 8981, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39464, 8981, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39466, 8981, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39467, 8981, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39468, 8981, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39469, 8982, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39471, 8982, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39472, 8982, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39475, 8983, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39476, 8983, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39477, 8983, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39479, 8984, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39480, 8984, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39481, 8984, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39483, 8985, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39485, 8985, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39486, 8985, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39487, 8986, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39488, 8986, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39489, 8986, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39490, 8986, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39558, 9000, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39444, 8976, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39449, 8977, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39456, 8979, 'static поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39459, 8980, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39465, 8981, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39470, 8982, 'Код всегда выводит Test1 и потом Test2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39474, 8982, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39478, 8983, 'Результат выполнения не известен по другой причине', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39482, 8984, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39484, 8985, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39494, 8987, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39495, 8987, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39496, 8987, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39498, 8987, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39499, 8988, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39501, 8988, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39503, 8988, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39504, 8988, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39505, 8989, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39506, 8989, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39507, 8989, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39509, 8989, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39510, 8989, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39511, 8990, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39512, 8990, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39513, 8990, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39516, 8991, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39517, 8991, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39519, 8991, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39520, 8991, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39521, 8992, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39522, 8992, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39523, 8992, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39526, 8992, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39527, 8993, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39528, 8993, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39530, 8993, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39533, 8994, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39534, 8994, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39535, 8994, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39536, 8994, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39537, 8995, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39538, 8995, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39540, 8995, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39542, 8995, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39543, 8996, 'Файл содержащий список команд для построения образа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39545, 8996, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39546, 8996, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39548, 8997, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39549, 8997, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39550, 8997, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39551, 8998, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39552, 8998, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39555, 8999, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39657, 9020, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39556, 8999, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39557, 8999, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39497, 8987, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39502, 8988, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39500, 8988, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39508, 8989, 'Код вернет строку: XYZY.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39514, 8990, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39515, 8991, 'finalize() гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39518, 8991, 'Сборщик мусора гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39547, 8997, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39553, 8998, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39554, 8999, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39524, 8992, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39529, 8993, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39531, 8994, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39532, 8994, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39539, 8995, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39541, 8995, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44066, 10109, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44067, 10110, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39564, 9001, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39565, 9001, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39567, 9001, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39568, 9002, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39569, 9002, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39570, 9002, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39571, 9002, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39576, 9003, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39578, 9004, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39579, 9004, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39580, 9004, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39581, 9004, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38323, 8741, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38361, 8749, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38357, 8749, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38220, 8720, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38245, 8726, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38293, 8735, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38761, 8831, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38795, 8839, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38797, 8839, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38799, 8839, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38655, 8810, 'Код компилируется без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38670, 8813, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38700, 8819, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38702, 8820, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38731, 8825, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37885, 8651, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37919, 8659, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37908, 8656, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37845, 8643, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37855, 8645, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36700, 8392, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39544, 8996, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39577, 9004, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39582, 9004, 'Ошибка не исправляется командой git push -u somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39566, 9001, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39572, 9002, 'Все перечисленные утверждения верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39574, 9003, 'Persistent', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39575, 9003, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39573, 9003, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39440, 8975, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39452, 8978, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39492, 8986, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39525, 8992, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39583, 9005, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39584, 9005, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39585, 9005, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39587, 9005, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39588, 9006, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39589, 9006, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39591, 9006, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39592, 9007, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39593, 9007, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39590, 9006, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39596, 9008, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39597, 9008, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39598, 9008, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39600, 9008, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39601, 9009, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39603, 9009, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39604, 9009, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39605, 9010, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39607, 9010, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39608, 9010, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39609, 9011, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39610, 9011, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39612, 9011, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39613, 9011, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39614, 9011, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39615, 9012, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39617, 9012, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39618, 9012, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39619, 9012, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39622, 9013, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39623, 9013, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39624, 9013, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39625, 9014, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39626, 9014, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39628, 9014, 'Никакой, все ответы правильные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39629, 9015, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39631, 9015, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39632, 9015, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39633, 9016, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39634, 9016, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39635, 9016, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39636, 9016, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39637, 9016, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39639, 9017, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39640, 9017, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39641, 9017, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39642, 9017, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39644, 9017, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39645, 9018, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39647, 9018, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39650, 9018, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39651, 9019, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39652, 9019, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39653, 9019, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39655, 9019, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39656, 9019, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39658, 9020, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39660, 9020, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39661, 9021, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39602, 9009, 'static поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39606, 9010, 'Ошибка компиляции на строке:class Orca extends Whale {', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39611, 9011, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39616, 9012, 'Код всегда выводит Test1 и потом Test2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39620, 9012, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39621, 9013, 'Код выведет 1000', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39627, 9014, 'TestClass<String> testClass = new TestClass<>();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39630, 9015, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39638, 9016, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39643, 9017, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39646, 9018, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39648, 9018, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39649, 9018, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39654, 9019, 'Код вернет строку: XYZY.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39662, 9021, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39664, 9021, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39665, 9021, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39667, 9022, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39668, 9022, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39672, 9022, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39673, 9023, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39674, 9023, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39676, 9023, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39679, 9024, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39680, 9024, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39681, 9024, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39683, 9025, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39684, 9025, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39686, 9025, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39688, 9025, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39690, 9026, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39691, 9026, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39692, 9026, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39694, 9027, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39695, 9027, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39696, 9027, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39698, 9028, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39699, 9028, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39701, 9029, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39702, 9029, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39703, 9029, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39704, 9030, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39706, 9030, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39707, 9030, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39708, 9031, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39709, 9031, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39710, 9031, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39711, 9031, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39712, 9031, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39715, 9032, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39716, 9032, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39717, 9032, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39718, 9032, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39720, 9033, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39721, 9033, 'Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39722, 9033, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39713, 9031, 'Такой аннотации не существует в Hibernate', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39719, 9033, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39663, 9021, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39666, 9021, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39693, 9027, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42057, 9554, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39697, 9028, 'Является', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39700, 9029, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39705, 9030, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39669, 9022, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39671, 9022, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39675, 9023, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39685, 9025, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39687, 9025, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39682, 9024, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39678, 9024, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39677, 9024, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39724, 9034, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39725, 9034, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39728, 9034, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39729, 9035, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39730, 9035, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39731, 9035, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39732, 9035, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39733, 9035, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39734, 9036, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39735, 9036, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39736, 9036, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39737, 9036, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39738, 9037, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39739, 9037, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39740, 9037, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39741, 9037, 'Одинаковое название метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39742, 9038, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39743, 9038, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39744, 9038, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39745, 9038, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39746, 9038, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39747, 9039, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39748, 9039, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39749, 9039, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39750, 9039, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39751, 9040, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39752, 9040, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39753, 9040, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39754, 9040, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39755, 9041, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39756, 9041, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39757, 9041, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39758, 9041, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39759, 9041, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39760, 9041, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39761, 9042, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39762, 9042, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39763, 9042, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39764, 9042, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39765, 9042, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39766, 9042, 'Код может войти в deadlock во время выполнения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39767, 9043, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39768, 9043, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39769, 9043, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39770, 9043, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39771, 9044, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39772, 9044, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39773, 9044, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39774, 9044, 'Никакой, все ответы правильные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39775, 9045, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39776, 9045, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39777, 9045, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39778, 9045, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39779, 9046, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39780, 9046, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39781, 9046, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39782, 9046, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39783, 9046, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39784, 9046, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39785, 9047, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39786, 9047, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39787, 9047, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39916, 9074, 'Java based конфиуграция', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39788, 9047, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39789, 9047, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39790, 9047, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39791, 9048, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39792, 9048, 'printf', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39793, 9048, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39794, 9048, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39795, 9048, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39796, 9048, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39797, 9049, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39798, 9049, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39799, 9049, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39800, 9049, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39801, 9049, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39802, 9049, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39803, 9050, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39804, 9050, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39805, 9050, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39806, 9050, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39807, 9051, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39808, 9051, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39809, 9051, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39810, 9051, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39811, 9051, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39812, 9051, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39813, 9052, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39814, 9052, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39815, 9052, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39816, 9052, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39817, 9052, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39818, 9052, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39819, 9053, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39820, 9053, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39821, 9053, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39822, 9053, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39823, 9054, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39824, 9054, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39825, 9054, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39826, 9054, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39827, 9054, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39828, 9054, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39829, 9055, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39830, 9055, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39831, 9055, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39832, 9055, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39833, 9055, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39834, 9055, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39835, 9056, 'Файл содержащий список команд для построения образа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39836, 9056, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39837, 9056, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39838, 9056, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39839, 9057, 'singlton', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39840, 9057, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39841, 9057, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39842, 9057, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39843, 9058, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39844, 9058, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39845, 9058, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39846, 9059, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39847, 9059, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39848, 9059, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39849, 9059, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39850, 9060, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39851, 9060, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39852, 9060, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40330, 9173, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39855, 9061, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39856, 9061, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39857, 9061, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39858, 9061, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39859, 9061, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39860, 9062, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39861, 9062, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39862, 9062, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39863, 9062, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39864, 9062, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39865, 9063, 'Transient', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39866, 9063, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39867, 9063, 'Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39868, 9063, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39869, 9064, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39870, 9064, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39871, 9064, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39872, 9064, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39873, 9064, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39874, 9064, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39875, 9065, 'try, finally, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39876, 9065, 'try, catch, finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39878, 9065, 'finally, catch, try', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39879, 9066, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39880, 9066, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39882, 9066, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39884, 9067, 'import com.examplejava.Course', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39885, 9067, 'import com.examplejava*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39886, 9067, 'import com.examplejava', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39887, 9067, 'import com.examplejava.*', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39888, 9068, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39890, 9068, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39891, 9068, 'Абстрактный класс, интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39892, 9069, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39893, 9069, 'String не изменяем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39894, 9069, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39896, 9070, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39897, 9070, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39898, 9070, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39900, 9070, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39901, 9070, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39902, 9071, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39903, 9071, 'Select address, count(address) from offices union all Select address, count(address) from departments union all Select address, count(address) from stations) group by address; ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39905, 9071, 'Все запросы неверны', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39906, 9072, 'Да, это можно сделать используя массив в методе контроллера', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39908, 9072, 'Да, можно, но будет прочитан только один случайны параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39909, 9072, 'Нельзя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39911, 9073, 'Указывается над классом, который хранит конфигурацию контектса Spring', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39912, 9073, 'В классах конфигурации для опредления бинов с кастомной логикой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39913, 9073, 'Обяъвляет класс компонентом Spring', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39915, 9074, 'JSON конфигурация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39881, 9066, 'abstract', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39883, 9067, 'import mycode.com.examplejava.Course', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39889, 9068, 'Интерфейс, абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39907, 9072, 'Да, можно, но будет прочитан только первый параметр', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39910, 9073, 'Указвыает Spring, что данное поле класса является бином', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39914, 9074, 'XML конфиуграция', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39899, 9070, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40706, 9255, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40707, 9256, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40708, 9256, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40769, 9269, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39917, 9074, 'Конфигурация на основе groovy файлов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39918, 9074, 'Annotation based конфиуграция', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39919, 9075, 'singlton', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39920, 9075, 'session', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39921, 9075, 'prototype', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39923, 9075, 'request', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39924, 9075, 'thread', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39925, 9075, 'websocket', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39926, 9076, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39928, 9076, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39929, 9076, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39930, 9076, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39931, 9077, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39933, 9077, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39934, 9077, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39935, 9077, 'Attached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39936, 9077, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39938, 9078, 'Во время инициализации репозитория:
git init -m ''Первый коммит''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39939, 9078, 'Во время подготовки коммита:
git add -m ''Первый коммит''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39940, 9078, 'Во время коммита:
git commit -m ''Первый коммит''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39941, 9078, 'Во время пуша:
git push -m ''Первый коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39942, 9078, 'Во время другой операции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39944, 9079, 'Создает копию удаленного репозитория локально', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39945, 9079, 'Отменяет все изменения из последнего коммита', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39946, 9079, 'Загружает все закомиченные изменения в удаленный репозиторий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39947, 9079, 'Создает еще одну копию локального репозитория', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39948, 9079, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39949, 9080, 'Ветку, содержащую хотя бы один коммит, нельзя удалить', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39951, 9080, 'git branch --delete somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39952, 9080, 'git branch --d somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39953, 9080, 'git reset --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39954, 9080, 'git remove --b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39956, 9081, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39957, 9081, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39958, 9081, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39959, 9081, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39960, 9081, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39962, 9082, 'Переносит HEAD на коммит abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39963, 9082, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39964, 9082, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39965, 9082, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39966, 9082, 'Удаляет из коммита abcdef ссылку на следующие коммиты', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39937, 9078, 'Во время добавления удаленного репозитория:
git remote add -m ''Первый коммит''', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39943, 9079, 'Создает копию удаленной ветки локально', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39950, 9080, 'git delete --branch somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39955, 9081, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39961, 9082, 'Создает новый коммит, отменяющий все изменения коммита abcdef', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39932, 9077, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39877, 9065, 'catch, try, finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39895, 9069, 'String может быть создан без вызова конструктора', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39922, 9075, 'application', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39927, 9076, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39904, 9071, 'Select address, count(address) from offices group by address union all Select address, count(address) from departments group by address union all Select address, count(address) from stations group by address;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39967, 9083, 'throws, throw', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39969, 9083, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39970, 9083, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39971, 9084, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39972, 9084, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39974, 9084, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39975, 9085, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39968, 9083, 'throw, throws', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39973, 9084, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39976, 9085, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39978, 9085, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39980, 9086, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39981, 9086, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39982, 9086, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39983, 9086, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39985, 9087, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39986, 9087, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39987, 9087, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39988, 9087, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39989, 9088, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39990, 9088, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39992, 9088, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39993, 9088, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39994, 9088, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39996, 9089, 'Данные из Docker Volume могут быть использованы между разными контейнерами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39997, 9089, 'Docker volume привязан к жизненному циклу контейнера и не может существовать без него', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39998, 9089, 'Приложение, запущенное внутри контейнера, может обмениваться данными с Docker Volume', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40000, 9090, 'Создание контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40001, 9090, 'Пауза контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40002, 9090, 'Все варианты не верные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40003, 9091, 'docker check', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40005, 9091, 'docker events', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40006, 9091, 'docker lifestat', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40007, 9092, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40008, 9092, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40010, 9092, 'Точка в программе, где структура AOP будет инициализирована', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40011, 9093, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40012, 9093, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40013, 9093, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40015, 9094, 'Да', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40016, 9094, 'Нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40018, 9095, '@Key', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40020, 9095, '@Id', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40021, 9095, '@PrimaryId', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40022, 9095, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40023, 9096, 'git refresh', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40024, 9096, 'git add remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40026, 9096, 'git reset', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40027, 9096, 'git push', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40028, 9096, 'git merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40030, 9097, 'git config --global user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40031, 9097, 'git user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40032, 9097, 'git user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40033, 9097, 'git config --global user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40034, 9097, 'git config user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39995, 9089, 'Содержимое Docker Volume удаляется если контейнер удаляется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39999, 9090, 'Удаление контейнера', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40004, 9091, 'docker stats', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40025, 9096, 'git pull', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40029, 9097, 'git config user.name', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40017, 9094, 'Указывается при создании объекта', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40019, 9095, '@PrimaryKey', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39977, 9085, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40009, 9092, 'Действие, которое будет выполняться для выбранных нами методов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40014, 9093, 'ClassPathXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39979, 9086, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39984, 9087, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39991, 9088, 'Select % from table;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40036, 9098, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40037, 9098, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40038, 9098, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40040, 9099, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40041, 9099, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40042, 9099, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40043, 9100, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40044, 9100, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40035, 9098, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40039, 9099, 'Java не поддерживает множественное наследование', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40046, 9100, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40047, 9101, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40048, 9101, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40050, 9101, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40051, 9101, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40052, 9102, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40054, 9102, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40055, 9102, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40056, 9102, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40059, 9103, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40060, 9103, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40061, 9103, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40062, 9103, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40064, 9104, 'Данные из Docker Volume могут быть использованы между разными контейнерами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40065, 9104, 'Docker volume привязан к жизненному циклу контейнера и не может существовать без него', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40066, 9104, 'Приложение, запущенное внутри контейнера, может обмениваться данными с Docker Volume', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40067, 9105, 'Удаление контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40068, 9105, 'Создание контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40070, 9105, 'Все варианты не верные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40071, 9106, 'docker check', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40074, 9106, 'docker lifestat', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40075, 9107, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40076, 9107, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40078, 9107, 'Точка в программе, где структура AOP будет инициализирована', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40080, 9108, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40081, 9108, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40082, 9108, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40083, 9109, 'Да', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40084, 9109, 'Нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40086, 9110, '@Key', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40087, 9110, '@PrimaryKey', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40089, 9110, '@PrimaryId', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40090, 9110, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40092, 9111, 'git add remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40093, 9111, 'git pull', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40094, 9111, 'git reset', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40095, 9111, 'git push', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40096, 9111, 'git merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40099, 9112, 'git user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40100, 9112, 'git user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40101, 9112, 'git config --global user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40102, 9112, 'git config user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40063, 9104, 'Содержимое Docker Volume удаляется если контейнер удаляется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40069, 9105, 'Пауза контейнера', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40073, 9106, 'docker events', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40072, 9106, 'docker stats', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40091, 9111, 'git refresh', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40097, 9112, 'git config user.name', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40098, 9112, 'git config --global user.name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40085, 9109, 'Указывается при создании объекта', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40088, 9110, '@Id', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40045, 9100, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40077, 9107, 'Действие, которое будет выполняться для выбранных нами методов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40079, 9108, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40049, 9101, 'Все заказы, за 2020 год', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40053, 9102, 'Все заказы, за 2020 год кроме 1.01', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40057, 9103, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40058, 9103, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38469, 8771, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38503, 8779, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38506, 8779, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38396, 8757, 'Код всегда выводит Test1 и потом Test2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38428, 8763, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38439, 8765, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38907, 8861, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38834, 8847, 'Код всегда выводит Test1 и потом Test2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38841, 8848, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38889, 8857, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38887, 8857, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38904, 8860, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38903, 8860, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39689, 9026, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39727, 9034, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39723, 9034, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39726, 9034, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40106, 9114, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39714, 9032, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39586, 9005, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39595, 9007, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39599, 9008, 'Любой интерфейс можно назвать интерфейсом-маркером', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39659, 9020, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40215, 9145, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (39670, 9022, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36272, 8293, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36301, 8300, 'Переводит сущность из состояния Detached в состояние Persistent', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36231, 8284, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40103, 9113, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40105, 9113, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40107, 9114, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40108, 9114, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40109, 9114, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40110, 9115, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40112, 9115, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40114, 9116, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40115, 9117, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40116, 9117, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40118, 9118, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40119, 9118, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40121, 9118, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40123, 9119, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40124, 9119, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40125, 9120, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40126, 9120, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40128, 9121, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40130, 9121, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40111, 9115, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40113, 9116, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40117, 9117, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40120, 9118, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40122, 9119, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40127, 9120, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40129, 9121, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40135, 9123, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40136, 9123, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40138, 9123, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40139, 9124, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40140, 9124, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40147, 9126, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40149, 9126, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40151, 9127, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40152, 9127, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40153, 9127, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40154, 9127, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40155, 9128, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40216, 9145, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40218, 9145, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40219, 9146, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40220, 9146, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40222, 9146, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40157, 9128, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40158, 9129, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40159, 9129, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40160, 9129, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40162, 9130, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40164, 9130, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40165, 9131, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40167, 9132, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40168, 9132, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40170, 9133, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40171, 9133, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40173, 9133, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40174, 9134, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40175, 9134, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40177, 9135, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40178, 9135, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40180, 9136, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40161, 9129, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40163, 9130, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40166, 9131, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40169, 9132, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40172, 9133, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40176, 9134, 'red', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40179, 9135, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40131, 9122, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40132, 9122, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40134, 9122, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40133, 9122, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40137, 9123, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40141, 9124, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40142, 9125, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40143, 9125, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40144, 9125, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40145, 9125, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40146, 9125, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40148, 9126, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40150, 9127, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40836, 9282, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40837, 9282, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40839, 9283, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40840, 9283, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40182, 9136, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40187, 9138, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40188, 9138, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40190, 9138, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40191, 9139, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40193, 9139, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40200, 9141, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40201, 9141, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40203, 9142, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40204, 9142, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40205, 9142, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40206, 9142, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40208, 9143, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40209, 9143, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40210, 9143, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40211, 9144, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40212, 9144, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40213, 9144, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40223, 9146, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40224, 9147, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40226, 9147, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40227, 9147, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40228, 9147, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40231, 9148, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40232, 9148, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40233, 9148, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40235, 9149, 'Содержимое Docker Volume удаляется если контейнер удаляется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40237, 9149, 'Docker volume привязан к жизненному циклу контейнера и не может существовать без него', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40239, 9150, 'Удаление контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40240, 9150, 'Создание контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40242, 9150, 'Все варианты не верные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40243, 9151, 'docker check', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40245, 9151, 'docker events', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40246, 9151, 'docker lifestat', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40247, 9152, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40241, 9150, 'Пауза контейнера', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40244, 9151, 'docker stats', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40207, 9143, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40214, 9144, 'Java поддерживает множественное наследование между интерфейсами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40217, 9145, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40221, 9146, 'Все заказы, за 2020 год', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40181, 9136, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40225, 9147, 'Все заказы, за 2020 год кроме 1.01', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40229, 9148, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40230, 9148, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40234, 9148, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40183, 9137, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40184, 9137, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40189, 9138, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40192, 9139, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40194, 9140, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40195, 9140, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40196, 9140, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40197, 9140, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40198, 9140, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40199, 9141, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40202, 9142, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44113, 10123, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44115, 10123, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44116, 10124, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44118, 10124, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44119, 10125, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44114, 10123, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44117, 10124, 'blue', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40249, 9152, 'Действие, которое будет выполняться для выбранных нами методов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40250, 9152, 'Точка в программе, где структура AOP будет инициализирована', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40252, 9153, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40253, 9153, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40254, 9153, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40256, 9154, 'Нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40257, 9154, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40258, 9155, '@Key', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40259, 9155, '@PrimaryKey', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40261, 9155, '@PrimaryId', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40262, 9155, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40264, 9156, 'git add remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40265, 9156, 'git pull', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40266, 9156, 'git reset', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40267, 9156, 'git push', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40268, 9156, 'git merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40269, 9157, 'git config user.name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40270, 9157, 'git config --global user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40271, 9157, 'git user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40273, 9157, 'git config --global user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40238, 9149, 'Приложение, запущенное внутри контейнера, может обмениваться данными с Docker Volume', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40236, 9149, 'Данные из Docker Volume могут быть использованы между разными контейнерами', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40263, 9156, 'git refresh', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40272, 9157, 'git user_name', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40274, 9157, 'git config user_name', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40255, 9154, 'Да', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40260, 9155, '@Id', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40367, 9182, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40369, 9182, 'Действие, которое будет выполняться для выбранных нами методов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40370, 9182, 'Точка в программе, где структура AOP будет инициализирована', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40372, 9183, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40156, 9128, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40248, 9152, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40251, 9153, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40185, 9137, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40186, 9137, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40275, 9158, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40276, 9158, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40279, 9159, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40280, 9159, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40281, 9159, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40282, 9160, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40284, 9160, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40285, 9161, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40287, 9162, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40289, 9162, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40290, 9163, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40291, 9163, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40293, 9163, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40295, 9164, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40296, 9164, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40278, 9159, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40283, 9160, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40286, 9161, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40288, 9162, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40292, 9163, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40294, 9164, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40297, 9165, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40298, 9165, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40300, 9166, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40302, 9166, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40306, 9167, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40307, 9168, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40308, 9168, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40310, 9168, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40311, 9169, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40312, 9169, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40314, 9170, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40318, 9170, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40320, 9171, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40321, 9171, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40322, 9172, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40323, 9172, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40324, 9172, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40325, 9172, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40326, 9172, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40373, 9183, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40374, 9183, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40375, 9184, 'Да', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40377, 9184, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40378, 9185, '@Key', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40379, 9185, '@PrimaryKey', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40381, 9185, '@PrimaryId', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40905, 9297, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40104, 9113, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38031, 8681, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38070, 8689, 'Ошибка не исправляется командой git push -u somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (38068, 8689, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37957, 8667, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (37965, 8668, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40277, 9158, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40299, 9165, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40301, 9166, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40303, 9167, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40305, 9167, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40304, 9167, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40309, 9168, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40313, 9169, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40315, 9170, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40316, 9170, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40317, 9170, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40319, 9171, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35075, 8027, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (35091, 8031, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40328, 9173, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40329, 9173, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40331, 9174, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40332, 9174, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40333, 9174, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40335, 9175, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40336, 9175, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40338, 9175, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40339, 9176, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40340, 9176, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40342, 9176, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40343, 9176, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40345, 9177, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40346, 9177, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40347, 9177, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40348, 9177, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40350, 9178, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40351, 9178, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40352, 9178, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40353, 9178, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40354, 9178, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40356, 9179, 'Данные из Docker Volume могут быть использованы между разными контейнерами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40357, 9179, 'Docker volume привязан к жизненному циклу контейнера и не может существовать без него', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40358, 9179, 'Приложение, запущенное внутри контейнера, может обмениваться данными с Docker Volume', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40359, 9180, 'Удаление контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40360, 9180, 'Создание контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40361, 9180, 'Пауза контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40363, 9181, 'docker check', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40365, 9181, 'docker events', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40366, 9181, 'docker lifestat', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40903, 9297, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40382, 9185, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40383, 9186, 'git refresh', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40384, 9186, 'git add remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40386, 9186, 'git reset', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40387, 9186, 'git push', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40388, 9186, 'git merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40389, 9187, 'git config user.name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40391, 9187, 'git user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40392, 9187, 'git user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40393, 9187, 'git config --global user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40394, 9187, 'git config user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40355, 9179, 'Содержимое Docker Volume удаляется если контейнер удаляется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40362, 9180, 'Все варианты не верные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40364, 9181, 'docker stats', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40385, 9186, 'git pull', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40390, 9187, 'git config --global user.name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40376, 9184, 'Нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40380, 9185, '@Id', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40327, 9173, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40334, 9174, 'Java поддерживает множественное наследование между интерфейсами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40337, 9175, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40368, 9182, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40395, 9188, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40397, 9188, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40398, 9188, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40399, 9188, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40400, 9189, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40401, 9189, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40403, 9189, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40404, 9190, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40405, 9190, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40406, 9190, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40371, 9183, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40341, 9176, 'Все заказы, за 2020 год', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40344, 9177, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40349, 9178, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40396, 9188, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40402, 9189, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40407, 9190, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40408, 9191, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40409, 9191, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40411, 9191, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40412, 9191, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40413, 9192, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40414, 9192, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40415, 9192, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40418, 9193, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40419, 9193, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40420, 9193, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40421, 9194, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40422, 9194, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40424, 9194, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40425, 9194, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40426, 9194, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40427, 9195, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40429, 9195, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40430, 9195, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40431, 9195, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40432, 9195, 'Код может войти в deadlock во время выполнения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40433, 9196, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40434, 9196, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40435, 9196, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40438, 9197, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40439, 9197, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40440, 9197, 'Никакой, все ответы правильные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40441, 9198, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40442, 9198, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40443, 9198, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40445, 9199, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40446, 9199, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40447, 9199, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40448, 9199, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40449, 9199, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40451, 9200, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40452, 9200, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42058, 9554, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40453, 9200, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40454, 9200, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40456, 9200, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40457, 9201, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40459, 9201, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40462, 9201, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40463, 9202, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40464, 9202, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40465, 9202, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40467, 9202, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40468, 9202, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40469, 9203, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40470, 9203, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40472, 9203, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40473, 9204, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40474, 9204, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40416, 9192, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40417, 9193, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40423, 9194, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40428, 9195, 'Код всегда выводит Test1 и потом Test2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40436, 9196, 'Результат выполнения не известен по другой причине', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40437, 9197, 'TestClass testClass = new TestClass();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40444, 9198, 'Они все допускают', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40450, 9199, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40455, 9200, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40458, 9201, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40461, 9201, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40466, 9202, 'Код вернет строку: XYZY.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40476, 9204, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40477, 9204, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40479, 9205, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40480, 9205, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40481, 9205, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40482, 9205, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40484, 9205, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40485, 9206, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40486, 9206, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40488, 9206, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40490, 9207, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40491, 9207, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40492, 9207, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40493, 9207, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40494, 9207, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40495, 9208, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40498, 9208, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40500, 9208, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40502, 9209, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40503, 9209, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40504, 9209, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40506, 9210, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40507, 9210, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40508, 9210, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40509, 9211, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40510, 9211, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40513, 9212, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40514, 9212, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40515, 9212, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40517, 9213, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40518, 9213, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40519, 9213, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40520, 9214, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40521, 9214, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40522, 9214, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40523, 9214, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40525, 9214, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40526, 9215, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40527, 9215, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40528, 9215, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40530, 9215, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40532, 9216, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40534, 9216, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40535, 9217, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40524, 9214, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40529, 9215, 'Класс-сущность может быть абстрактным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40533, 9216, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40531, 9216, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40475, 9204, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40505, 9210, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40511, 9211, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40512, 9212, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40516, 9213, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40483, 9205, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40487, 9206, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40489, 9207, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40497, 9208, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40496, 9208, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40536, 9217, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40537, 9217, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40538, 9217, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40540, 9217, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40501, 9209, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40539, 9217, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40410, 9191, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40460, 9201, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40471, 9203, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40478, 9204, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40499, 9208, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40541, 9218, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40542, 9218, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40544, 9219, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40545, 9219, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40546, 9219, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40548, 9220, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40550, 9220, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40551, 9221, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40553, 9222, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40555, 9222, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40556, 9223, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40557, 9223, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40559, 9223, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40561, 9224, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40562, 9224, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40563, 9225, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40564, 9225, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40566, 9226, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40568, 9226, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41099, 9337, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41100, 9337, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40547, 9219, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40549, 9220, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40552, 9221, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40554, 9222, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40558, 9223, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40560, 9224, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40565, 9225, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40567, 9226, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40569, 9227, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40572, 9227, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40573, 9228, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40574, 9228, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40576, 9228, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40577, 9229, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40578, 9229, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40583, 9230, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40584, 9230, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40585, 9231, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40587, 9231, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40589, 9232, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40590, 9232, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40591, 9232, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40592, 9232, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40593, 9233, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40594, 9233, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40595, 9233, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40597, 9233, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40598, 9234, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40599, 9234, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40601, 9234, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40602, 9235, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40603, 9235, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40604, 9235, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40606, 9236, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40607, 9236, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40609, 9236, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40610, 9236, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40611, 9237, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40613, 9237, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40614, 9237, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40616, 9238, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40617, 9238, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40618, 9238, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40619, 9239, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40621, 9239, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40622, 9239, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40623, 9239, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40624, 9239, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40625, 9240, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40627, 9240, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40628, 9240, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40629, 9240, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40630, 9240, 'Код может войти в deadlock во время выполнения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40631, 9241, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40632, 9241, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40634, 9241, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40635, 9242, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40636, 9242, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40637, 9242, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40575, 9228, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42098, 9565, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40579, 9229, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40580, 9230, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40581, 9230, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40582, 9230, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40586, 9231, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40588, 9232, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40596, 9233, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40600, 9234, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40605, 9235, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40608, 9236, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40612, 9237, 'static поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40615, 9238, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40620, 9239, 'Он выведет 1000 999', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40626, 9240, 'Код всегда выводит Test1 и потом Test2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40633, 9241, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40639, 9243, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40641, 9243, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40642, 9243, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40643, 9244, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40645, 9244, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40646, 9244, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40647, 9244, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40648, 9244, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40649, 9245, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40650, 9245, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40651, 9245, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40652, 9245, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40654, 9245, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40655, 9246, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40657, 9246, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40660, 9246, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40661, 9247, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40663, 9247, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40664, 9247, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40665, 9247, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40666, 9247, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40667, 9248, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40668, 9248, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40670, 9248, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40671, 9249, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40672, 9249, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40674, 9249, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40675, 9249, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40677, 9250, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40678, 9250, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40679, 9250, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40683, 9251, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40684, 9251, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40686, 9251, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40689, 9252, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40690, 9252, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40693, 9253, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40694, 9253, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40696, 9253, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40698, 9253, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40700, 9254, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40701, 9254, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40702, 9254, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40704, 9255, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40705, 9255, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40638, 9242, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40640, 9243, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40644, 9244, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40653, 9245, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40656, 9246, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40658, 9246, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40662, 9247, 'Код вернет строку: XYZX.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40673, 9249, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40676, 9249, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40703, 9255, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40680, 9250, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40681, 9250, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40685, 9251, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40687, 9252, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40688, 9252, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40691, 9252, 'Select all from table;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40692, 9252, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40695, 9253, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40697, 9253, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40711, 9257, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40712, 9257, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40713, 9257, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40714, 9258, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40716, 9258, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40717, 9258, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40718, 9259, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40719, 9259, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40720, 9259, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40721, 9259, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40723, 9259, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40724, 9260, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40726, 9260, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40727, 9260, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40728, 9260, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40729, 9261, 'Transient', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40730, 9261, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40731, 9261, 'Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40733, 9262, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40734, 9262, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40735, 9262, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40736, 9262, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40737, 9262, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40739, 9263, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40740, 9263, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40741, 9263, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40743, 9263, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40744, 9264, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40745, 9264, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40747, 9264, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40748, 9265, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40749, 9265, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40750, 9265, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40752, 9266, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40753, 9266, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40755, 9266, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40756, 9266, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40757, 9267, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40758, 9267, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40759, 9267, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40762, 9268, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40763, 9268, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40764, 9268, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40765, 9269, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40766, 9269, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40768, 9269, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41101, 9337, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40746, 9264, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40751, 9265, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40760, 9267, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40761, 9268, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40767, 9269, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40738, 9262, 'Ошибка не исправляется командой git push -u somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40722, 9259, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40725, 9260, 'Класс сущности может наследоваться от другого класса-сущности', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40732, 9261, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40710, 9257, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40715, 9258, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40770, 9269, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40772, 9270, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40773, 9270, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40774, 9270, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40775, 9270, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40777, 9271, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40778, 9271, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40779, 9271, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40781, 9272, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40782, 9272, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40783, 9272, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40785, 9273, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40787, 9273, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40788, 9273, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40789, 9274, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40790, 9274, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40791, 9274, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40792, 9274, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40793, 9274, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40795, 9275, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40796, 9275, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40797, 9275, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40798, 9275, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40800, 9275, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40801, 9276, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40803, 9276, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40804, 9276, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40805, 9276, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40806, 9276, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40807, 9277, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40808, 9277, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40809, 9277, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40811, 9277, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40812, 9277, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40814, 9278, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40815, 9278, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40816, 9278, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40817, 9279, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40818, 9279, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40820, 9279, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40821, 9279, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40823, 9280, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40824, 9280, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40825, 9280, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40828, 9280, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40829, 9281, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40830, 9281, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40832, 9281, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40835, 9282, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40780, 9271, 'Результат выполнения не известен по другой причине', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40784, 9272, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40786, 9273, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40794, 9274, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40799, 9275, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40802, 9276, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40810, 9277, 'Код вернет строку: XYZY.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40813, 9278, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40819, 9279, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40822, 9279, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40826, 9280, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40831, 9281, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40833, 9282, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40834, 9282, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40844, 9283, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40846, 9284, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40847, 9284, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40848, 9284, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40850, 9285, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40851, 9285, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40852, 9285, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40853, 9286, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40854, 9286, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40857, 9287, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40858, 9287, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40859, 9287, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40860, 9288, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40862, 9288, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40863, 9288, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40864, 9289, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40865, 9289, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40866, 9289, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40867, 9289, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40869, 9289, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40871, 9290, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40872, 9290, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40873, 9290, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40874, 9290, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40876, 9291, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40878, 9291, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40880, 9292, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40881, 9292, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40884, 9292, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40885, 9293, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40887, 9293, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40888, 9293, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40889, 9293, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40890, 9294, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40891, 9294, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40893, 9294, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40894, 9295, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40895, 9295, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40896, 9295, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40898, 9296, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40899, 9296, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40901, 9296, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40879, 9292, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40868, 9289, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40870, 9290, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40877, 9291, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40875, 9291, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40849, 9285, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40855, 9286, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40856, 9287, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40861, 9288, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40843, 9283, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40886, 9293, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40892, 9294, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40897, 9295, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40900, 9296, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41102, 9337, 'Код вернет строку: XYZY.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40902, 9296, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40906, 9297, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40907, 9298, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40908, 9298, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40909, 9298, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40911, 9299, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40912, 9299, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40914, 9299, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40915, 9299, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40916, 9299, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40918, 9300, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40919, 9300, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40920, 9300, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40921, 9300, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40924, 9301, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40925, 9301, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40926, 9301, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40928, 9302, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40929, 9302, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40930, 9302, 'Никакой, все ответы правильные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40931, 9303, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40932, 9303, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40933, 9303, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40935, 9304, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40936, 9304, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40937, 9304, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40938, 9304, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40939, 9304, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40941, 9305, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40943, 9305, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40944, 9305, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40945, 9305, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40946, 9305, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40947, 9306, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40948, 9306, 'printf', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40949, 9306, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40950, 9306, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40953, 9307, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40954, 9307, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40955, 9307, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40956, 9307, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40958, 9307, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40959, 9308, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40960, 9308, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40962, 9308, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40964, 9309, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40965, 9309, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40967, 9309, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40968, 9309, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40969, 9310, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40913, 9299, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40917, 9300, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40923, 9301, 'Код выведет 1000', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40927, 9302, 'TestClass testClass = new TestClass();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40934, 9303, 'Они все допускают', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40940, 9304, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40942, 9305, 'Код скомпилируется и выведет: 234567', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40951, 9306, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40952, 9306, 'out', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40957, 9307, 'Код не компилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40961, 9308, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40963, 9309, 'finalize() гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40966, 9309, 'Сборщик мусора гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40970, 9310, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40971, 9310, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40975, 9311, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40976, 9311, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40978, 9311, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40981, 9312, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40982, 9312, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40983, 9312, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40984, 9312, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40985, 9313, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40986, 9313, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40988, 9313, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40990, 9313, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40992, 9314, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40993, 9314, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40994, 9314, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40996, 9315, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40997, 9315, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40998, 9315, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40999, 9316, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41000, 9316, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41003, 9317, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41004, 9317, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41005, 9317, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41006, 9318, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41008, 9318, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41009, 9318, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41010, 9319, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41011, 9319, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41012, 9319, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41013, 9319, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41014, 9319, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41017, 9320, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41018, 9320, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41019, 9320, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41020, 9320, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41022, 9321, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41024, 9321, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41026, 9322, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41027, 9322, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41028, 9322, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41103, 9337, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41025, 9322, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41015, 9319, 'Такой аннотации не существует в Hibernate', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41023, 9321, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41021, 9321, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40995, 9315, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41001, 9316, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41002, 9317, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41007, 9318, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40973, 9310, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40977, 9311, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40979, 9312, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40980, 9312, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40987, 9313, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40989, 9313, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41029, 9322, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41030, 9322, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41031, 9323, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41032, 9323, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41033, 9323, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41035, 9323, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41036, 9324, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41037, 9324, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41039, 9324, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41040, 9325, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41041, 9325, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41042, 9325, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42099, 9566, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41044, 9326, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41045, 9326, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41047, 9326, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41048, 9326, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41049, 9327, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41050, 9327, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41051, 9327, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41054, 9328, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41055, 9328, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41056, 9328, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41057, 9329, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41058, 9329, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41060, 9329, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41061, 9329, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41062, 9329, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41064, 9330, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41065, 9330, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41066, 9330, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41067, 9330, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41069, 9331, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41070, 9331, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41071, 9331, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41073, 9332, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41074, 9332, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41075, 9332, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41077, 9333, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41079, 9333, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41080, 9333, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41081, 9334, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41082, 9334, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41083, 9334, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41084, 9334, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41085, 9334, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41087, 9335, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41088, 9335, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41089, 9335, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41090, 9335, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41092, 9335, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41093, 9336, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41095, 9336, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41098, 9336, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41038, 9324, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41043, 9325, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41052, 9327, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41053, 9328, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41059, 9329, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41068, 9330, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41072, 9331, 'Результат выполнения не известен по другой причине', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41076, 9332, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41078, 9333, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41086, 9334, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41091, 9335, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41094, 9336, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41096, 9336, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41097, 9336, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41104, 9337, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41105, 9338, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41106, 9338, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41108, 9338, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41109, 9339, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41110, 9339, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41112, 9339, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41113, 9339, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41115, 9340, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41116, 9340, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41117, 9340, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41118, 9340, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42101, 9567, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41120, 9340, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41121, 9341, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41122, 9341, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41124, 9341, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41127, 9342, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41128, 9342, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41129, 9342, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41131, 9343, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41132, 9343, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41134, 9343, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41135, 9343, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41136, 9343, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41138, 9344, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41139, 9344, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41140, 9344, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41142, 9345, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41143, 9345, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41144, 9345, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41145, 9346, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41147, 9346, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41149, 9347, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41150, 9347, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41151, 9347, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41152, 9348, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41154, 9348, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41155, 9348, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41156, 9349, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41157, 9349, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41158, 9349, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41159, 9349, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41160, 9349, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41161, 9349, 'Такой аннотации не существует в Hibernate', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41111, 9339, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41114, 9339, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41141, 9345, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41146, 9346, 'Не является', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41148, 9347, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41153, 9348, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41119, 9340, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41123, 9341, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41125, 9342, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41130, 9342, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41126, 9342, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41133, 9343, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41162, 9350, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41163, 9350, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41164, 9350, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41165, 9350, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41168, 9351, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41172, 9352, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41173, 9352, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41175, 9352, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41177, 9353, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41178, 9353, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41179, 9353, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41180, 9353, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41182, 9354, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41183, 9354, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41185, 9354, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41186, 9355, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41187, 9355, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42103, 9567, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41188, 9355, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41190, 9356, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41191, 9356, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41193, 9356, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41194, 9356, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41195, 9357, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41197, 9357, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41198, 9357, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41200, 9358, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41201, 9358, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41202, 9358, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41203, 9359, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41205, 9359, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41206, 9359, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41207, 9359, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41208, 9359, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41210, 9360, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41211, 9360, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41212, 9360, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41213, 9360, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41216, 9361, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41217, 9361, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41218, 9361, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41219, 9362, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41220, 9362, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41222, 9362, 'Никакой, все ответы правильные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41224, 9363, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41225, 9363, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41226, 9363, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41227, 9364, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41184, 9354, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41189, 9355, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41192, 9356, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41196, 9357, 'static поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41199, 9358, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41204, 9359, 'Он выведет 1000 999', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41214, 9360, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41215, 9361, 'Код выведет 1000', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41221, 9362, 'TestClass<String> testClass = new TestClass<>();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41223, 9363, 'ArrayDeque', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41171, 9352, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41174, 9352, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41166, 9350, 'Все перечисленные утверждения верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41169, 9351, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41167, 9351, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41170, 9351, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41228, 9364, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41229, 9364, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41230, 9364, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41231, 9364, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41233, 9365, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41234, 9365, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41235, 9365, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41236, 9365, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41238, 9365, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41242, 9366, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41243, 9366, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41244, 9366, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41245, 9367, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41247, 9367, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41248, 9367, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41249, 9367, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41250, 9367, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41251, 9368, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41252, 9368, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41254, 9368, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41256, 9369, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41257, 9369, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41259, 9369, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41260, 9369, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41261, 9370, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41262, 9370, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41263, 9370, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41264, 9370, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41265, 9370, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41267, 9371, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41268, 9371, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41270, 9371, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41272, 9372, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41273, 9372, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41274, 9372, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41276, 9372, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41277, 9373, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41278, 9373, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41280, 9373, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41282, 9373, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41284, 9374, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41285, 9374, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41286, 9374, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41288, 9375, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41289, 9375, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41290, 9375, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41291, 9376, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41292, 9376, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41294, 9377, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41232, 9364, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41237, 9365, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41239, 9366, 'print', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41240, 9366, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41246, 9367, 'Код вернет строку: XYZX.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41255, 9369, 'finalize() гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41258, 9369, 'Сборщик мусора гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41287, 9375, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41293, 9376, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41266, 9370, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41269, 9371, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41271, 9372, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41275, 9372, 'Select all from table;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41281, 9373, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41279, 9373, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41295, 9377, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41297, 9377, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41298, 9378, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41300, 9378, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41301, 9378, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41302, 9379, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41303, 9379, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41304, 9379, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41305, 9379, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41306, 9379, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41309, 9380, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41310, 9380, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41311, 9380, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41312, 9380, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41314, 9381, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41316, 9381, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41317, 9382, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41320, 9382, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41321, 9382, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41323, 9383, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42104, 9568, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41324, 9383, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41325, 9383, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41327, 9383, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41328, 9384, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41329, 9384, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41331, 9384, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41332, 9385, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41333, 9385, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41334, 9385, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41336, 9386, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41337, 9386, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41339, 9386, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41340, 9386, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41341, 9387, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41342, 9387, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41343, 9387, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41346, 9388, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41347, 9388, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41348, 9388, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41349, 9389, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41350, 9389, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41352, 9389, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41353, 9389, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41354, 9389, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41330, 9384, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41335, 9385, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41344, 9387, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41345, 9388, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41351, 9389, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41318, 9382, 'Ветка существует удаленно, но не локально', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41322, 9382, 'Ошибка не исправляется командой git push -u somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41307, 9379, 'Такой аннотации не существует в Hibernate', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41308, 9380, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41315, 9381, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41313, 9381, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41296, 9377, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41299, 9378, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41355, 9390, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41357, 9390, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41358, 9390, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41359, 9390, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41360, 9390, 'Код может войти в deadlock во время выполнения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41361, 9391, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41362, 9391, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41364, 9391, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41365, 9392, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41366, 9392, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41367, 9392, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41369, 9393, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41370, 9393, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41371, 9393, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41373, 9394, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41374, 9394, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41375, 9394, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41376, 9394, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41377, 9394, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41379, 9395, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41380, 9395, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41381, 9395, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41382, 9395, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41384, 9395, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41386, 9396, 'printf', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41388, 9396, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41389, 9396, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41390, 9396, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41391, 9397, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41392, 9397, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41393, 9397, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41394, 9397, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41395, 9397, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41397, 9398, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41398, 9398, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41400, 9398, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41401, 9399, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41402, 9399, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41403, 9399, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41404, 9399, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41405, 9399, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41407, 9400, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41408, 9400, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41409, 9400, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41412, 9400, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41413, 9401, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41414, 9401, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41416, 9401, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41418, 9402, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41419, 9402, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41420, 9402, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41421, 9402, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41368, 9392, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41372, 9393, 'Они все допускают', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41378, 9394, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41383, 9395, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41385, 9396, 'print', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41387, 9396, 'println', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41396, 9397, 'Недостаточно информации для определения результата', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41399, 9398, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41406, 9399, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41411, 9400, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41415, 9401, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41417, 9402, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41422, 9402, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41423, 9403, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41424, 9403, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41426, 9403, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41427, 9403, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41428, 9403, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41430, 9404, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41431, 9404, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41432, 9404, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41434, 9405, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41435, 9405, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41436, 9405, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41437, 9406, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41438, 9406, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41441, 9407, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41442, 9407, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41443, 9407, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41445, 9408, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41446, 9408, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41447, 9408, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41448, 9409, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41449, 9409, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41450, 9409, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41451, 9409, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41452, 9409, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41454, 9410, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41455, 9410, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41456, 9410, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41457, 9410, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41460, 9411, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41462, 9411, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41463, 9412, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41464, 9412, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41466, 9412, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41467, 9412, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41468, 9412, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41429, 9404, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41465, 9412, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41453, 9409, 'Такой аннотации не существует в Hibernate', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41458, 9410, 'Все перечисленные утверждения верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41459, 9411, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41461, 9411, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41326, 9383, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41338, 9386, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41356, 9390, 'Код всегда выводит Test1 и потом Test2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41363, 9391, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41433, 9405, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41439, 9406, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41440, 9407, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41444, 9408, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41410, 9400, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41425, 9403, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40845, 9284, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40883, 9292, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40882, 9292, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40742, 9263, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40754, 9266, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40771, 9270, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40776, 9270, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40827, 9280, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40838, 9282, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40841, 9283, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40842, 9283, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41283, 9374, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41319, 9382, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41181, 9353, 'Код компилируется, но кидает исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41209, 9360, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41241, 9366, 'println', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41253, 9368, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40991, 9314, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41016, 9320, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40904, 9297, 'static поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40910, 9298, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40922, 9300, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40972, 9310, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40974, 9310, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40543, 9218, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40570, 9227, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40571, 9227, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41469, 9413, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41470, 9413, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41473, 9414, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41474, 9414, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41475, 9414, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41477, 9415, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41478, 9415, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41479, 9416, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41481, 9417, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41483, 9417, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41484, 9418, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41486, 9418, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41487, 9418, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41489, 9419, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41490, 9419, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41472, 9414, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41476, 9415, 'True', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41480, 9416, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41482, 9417, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41485, 9418, '2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41488, 9419, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41641, 9457, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41642, 9457, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41643, 9457, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41644, 9457, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41645, 9457, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41849, 9508, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41850, 9508, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41926, 9525, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41491, 9420, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41492, 9420, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41494, 9421, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41496, 9421, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41497, 9422, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41500, 9422, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41501, 9423, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41502, 9423, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41504, 9423, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41505, 9424, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41506, 9424, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41511, 9425, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41512, 9425, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41513, 9426, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41515, 9426, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41517, 9427, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41518, 9427, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41519, 9427, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41520, 9427, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41471, 9413, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41527, 9429, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41529, 9430, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41493, 9420, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41495, 9421, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41499, 9422, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41498, 9422, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41503, 9423, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41507, 9424, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41509, 9425, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41510, 9425, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41508, 9425, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41514, 9426, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41516, 9427, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41521, 9428, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41522, 9428, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41524, 9429, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41525, 9429, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41526, 9429, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41528, 9430, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41530, 9430, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41531, 9431, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41533, 9432, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41535, 9432, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41537, 9433, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41538, 9433, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41539, 9433, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41540, 9434, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41541, 9434, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41543, 9435, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41544, 9435, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41547, 9436, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41548, 9436, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41549, 9437, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41551, 9437, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41553, 9438, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41554, 9438, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41556, 9438, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41557, 9439, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41559, 9439, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41563, 9440, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41564, 9440, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41565, 9441, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41567, 9441, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41569, 9442, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41570, 9442, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41571, 9442, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41572, 9442, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41523, 9428, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41532, 9431, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41545, 9435, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41546, 9436, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41550, 9437, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41552, 9437, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41555, 9438, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41558, 9439, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41560, 9440, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41561, 9440, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41562, 9440, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41566, 9441, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41568, 9442, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41137, 9344, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41176, 9352, 'Ошибка не исправляется командой git push -u somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41034, 9323, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41046, 9326, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41063, 9330, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44392, 10203, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41107, 9338, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41573, 9443, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41575, 9443, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41576, 9443, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41577, 9443, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41578, 9444, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41579, 9444, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41581, 9444, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41582, 9445, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41583, 9445, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41584, 9445, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41586, 9446, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41587, 9446, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41589, 9446, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41590, 9446, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41591, 9447, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41592, 9447, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41593, 9447, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41595, 9448, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41597, 9448, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41598, 9448, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41600, 9449, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41601, 9449, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41602, 9449, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41603, 9449, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41604, 9449, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41605, 9450, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41606, 9450, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41607, 9450, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41608, 9450, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41609, 9450, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41611, 9451, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41612, 9451, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41614, 9451, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41615, 9452, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41616, 9452, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41617, 9452, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41619, 9453, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41620, 9453, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41621, 9453, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41623, 9454, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41624, 9454, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41625, 9454, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42105, 9568, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41626, 9454, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41627, 9454, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41629, 9455, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41630, 9455, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41631, 9455, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41632, 9455, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41634, 9455, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41635, 9456, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41637, 9456, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41639, 9456, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41640, 9456, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41580, 9444, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41585, 9445, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41588, 9446, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41594, 9447, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41596, 9448, 'Ошибка компиляции на строке:class Orca extends Whale {', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41599, 9449, 'Он выведет 1000 1000', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41610, 9450, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41618, 9452, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41622, 9453, 'Они все допускают', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41628, 9454, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41633, 9455, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41636, 9456, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41638, 9456, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41648, 9458, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41649, 9458, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41650, 9458, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41651, 9459, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41652, 9459, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41654, 9459, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41655, 9459, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41658, 9460, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41659, 9460, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41660, 9460, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41662, 9460, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41663, 9461, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41664, 9461, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41666, 9461, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41669, 9462, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41670, 9462, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41671, 9462, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41672, 9462, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41673, 9463, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41674, 9463, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41676, 9463, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41678, 9463, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41680, 9464, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41681, 9464, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41682, 9464, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41684, 9465, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41685, 9465, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41686, 9465, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41687, 9466, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41689, 9466, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41690, 9467, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41692, 9467, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41693, 9467, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41694, 9468, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41696, 9468, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41697, 9468, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41698, 9469, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41699, 9469, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41700, 9469, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41839, 9506, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41701, 9469, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41703, 9469, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41704, 9470, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41647, 9458, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41656, 9459, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41653, 9459, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41683, 9465, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41688, 9466, 'Не является', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41691, 9467, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41695, 9468, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41657, 9460, 'Select name from departments where transaction_id < 10;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41661, 9460, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41665, 9461, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41667, 9462, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41668, 9462, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41675, 9463, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41677, 9463, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41705, 9470, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41706, 9470, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41707, 9470, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41709, 9471, 'Transient', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41710, 9471, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41713, 9472, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41714, 9472, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41715, 9472, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41716, 9472, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41718, 9472, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41679, 9464, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41717, 9472, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41702, 9469, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41708, 9470, 'Все перечисленные утверждения верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41711, 9471, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41712, 9471, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41574, 9443, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41613, 9451, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41646, 9457, 'Недостаточно информации для определения результата', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41719, 9473, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41721, 9473, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41723, 9474, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41724, 9474, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41725, 9474, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41726, 9475, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41728, 9475, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41730, 9476, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41731, 9477, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41732, 9477, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41734, 9478, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41735, 9478, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41737, 9478, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41738, 9479, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41740, 9479, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41741, 9480, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41840, 9507, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42106, 9568, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41742, 9480, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41794, 9495, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41795, 9495, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41722, 9474, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41727, 9475, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41729, 9476, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41733, 9477, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41736, 9478, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41739, 9479, 'blue', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41743, 9480, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41744, 9481, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41746, 9481, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41747, 9482, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41751, 9483, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41752, 9483, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41754, 9483, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41755, 9484, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41756, 9484, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41763, 9486, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41765, 9486, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41767, 9487, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41768, 9487, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41769, 9487, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41770, 9487, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41771, 9488, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41772, 9488, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41773, 9488, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41774, 9489, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41775, 9489, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41776, 9489, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41777, 9489, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41778, 9490, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41779, 9490, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41780, 9490, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41781, 9491, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41782, 9491, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41783, 9492, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41784, 9492, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41785, 9492, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41786, 9493, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41787, 9493, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41788, 9493, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41789, 9493, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41790, 9494, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41791, 9494, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41792, 9494, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41841, 9507, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41843, 9507, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41793, 9495, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41749, 9482, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41753, 9483, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41757, 9484, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41758, 9485, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41759, 9485, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41760, 9485, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41761, 9485, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41762, 9485, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41764, 9486, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41766, 9487, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41796, 9496, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41797, 9496, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41798, 9496, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41799, 9497, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41800, 9497, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41801, 9497, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41802, 9497, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41803, 9498, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41804, 9498, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41805, 9498, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41806, 9498, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41807, 9499, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41808, 9499, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41809, 9499, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41810, 9500, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41811, 9500, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41812, 9500, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41813, 9500, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41814, 9500, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41815, 9501, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41816, 9501, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41817, 9501, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41818, 9502, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41819, 9502, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41820, 9502, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41821, 9502, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41822, 9502, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41720, 9473, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41745, 9481, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41748, 9482, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41750, 9482, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41824, 9503, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41825, 9503, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41826, 9503, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41827, 9504, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41828, 9504, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41829, 9504, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41831, 9505, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41832, 9505, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41834, 9505, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41835, 9506, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41836, 9506, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41838, 9506, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41844, 9507, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41846, 9508, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41847, 9508, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41848, 9508, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41823, 9503, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41833, 9505, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41837, 9506, 'Все заказы, за 2020 год', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41842, 9507, 'Все заказы, за 2020 год', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41845, 9508, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44476, 10228, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44477, 10228, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41852, 9509, 'Данные из Docker Volume могут быть использованы между разными контейнерами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41854, 9509, 'Приложение, запущенное внутри контейнера, может обмениваться данными с Docker Volume', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41855, 9510, 'Удаление контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41857, 9510, 'Пауза контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41858, 9510, 'Все варианты не верные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41859, 9511, 'docker check', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41860, 9511, 'docker stats', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41862, 9511, 'docker lifestat', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41863, 9512, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41864, 9512, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41866, 9512, 'Точка в программе, где структура AOP будет инициализирована', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41868, 9513, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41869, 9513, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41870, 9513, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41872, 9514, 'Нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41873, 9514, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41874, 9515, '@Key', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41875, 9515, '@PrimaryKey', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41877, 9515, '@PrimaryId', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41878, 9515, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41879, 9516, 'git refresh', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41880, 9516, 'git add remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41882, 9516, 'git reset', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41883, 9516, 'git push', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41884, 9516, 'git merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41887, 9517, 'git user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41888, 9517, 'git user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41889, 9517, 'git config --global user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41890, 9517, 'git config user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41892, 9518, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41893, 9518, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41894, 9518, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41895, 9518, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41896, 9519, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41897, 9519, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41899, 9519, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41900, 9520, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41901, 9520, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41902, 9520, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41904, 9521, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41905, 9521, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41907, 9521, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41908, 9521, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41909, 9522, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41911, 9522, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41912, 9522, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41914, 9523, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41915, 9523, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41916, 9523, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41917, 9524, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41918, 9524, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41920, 9524, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41921, 9524, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41922, 9524, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41924, 9525, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41925, 9525, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41856, 9510, 'Создание контейнера', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41861, 9511, 'docker events', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41881, 9516, 'git pull', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41886, 9517, 'git config --global user.name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41885, 9517, 'git config user.name', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41871, 9514, 'Да', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41876, 9515, '@Id', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41865, 9512, 'Действие, которое будет выполняться для выбранных нами методов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41867, 9513, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41891, 9518, 'Код компилируется без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41898, 9519, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41903, 9520, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41906, 9521, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41910, 9522, 'static поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41913, 9523, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41919, 9524, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41923, 9525, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41927, 9525, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41929, 9526, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41930, 9526, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41932, 9526, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41933, 9527, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41934, 9527, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41935, 9527, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41937, 9528, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41938, 9528, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41939, 9528, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41941, 9529, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41942, 9529, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41943, 9529, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41944, 9529, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41945, 9529, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41947, 9530, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41948, 9530, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41949, 9530, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41950, 9530, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41952, 9530, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41953, 9531, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41954, 9531, 'printf', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41956, 9531, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41958, 9531, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41959, 9532, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41960, 9532, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41962, 9532, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41963, 9532, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41964, 9532, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41966, 9533, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41967, 9533, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41968, 9533, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41969, 9534, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41970, 9534, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41972, 9534, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41973, 9534, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41975, 9535, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41976, 9535, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41977, 9535, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41978, 9535, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41981, 9536, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41982, 9536, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41984, 9536, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41987, 9537, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41988, 9537, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41989, 9537, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41991, 9538, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41994, 9538, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41936, 9527, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41940, 9528, 'Они все допускают', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41946, 9529, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41951, 9530, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41955, 9531, 'println', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41957, 9531, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41961, 9532, 'Код вернет строку: XYZB.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41965, 9533, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41971, 9534, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41974, 9534, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41979, 9535, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41983, 9536, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41985, 9537, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41986, 9537, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41990, 9537, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41992, 9538, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41993, 9538, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41996, 9538, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41998, 9539, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41999, 9539, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42000, 9539, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42002, 9540, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42003, 9540, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42004, 9540, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42005, 9541, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42006, 9541, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42008, 9542, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42009, 9542, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42011, 9542, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42012, 9543, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42014, 9543, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42015, 9543, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42016, 9544, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42017, 9544, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42018, 9544, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42019, 9544, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42020, 9544, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42022, 9545, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42023, 9545, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42025, 9545, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42026, 9545, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42028, 9546, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42030, 9546, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42032, 9547, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42033, 9547, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42036, 9547, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42037, 9548, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42039, 9548, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41997, 9539, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42031, 9547, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42034, 9547, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42035, 9547, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42021, 9544, 'Такой аннотации не существует в Hibernate', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42024, 9545, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42027, 9546, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42029, 9546, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42001, 9540, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42007, 9541, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42010, 9542, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42013, 9543, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41995, 9538, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42041, 9549, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42042, 9549, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42043, 9549, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42044, 9550, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42046, 9550, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42047, 9551, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42059, 9555, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42060, 9555, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42062, 9556, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42064, 9556, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42067, 9557, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42069, 9558, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42070, 9558, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42072, 9558, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42073, 9559, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42074, 9559, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42079, 9560, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42082, 9561, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42083, 9561, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42085, 9562, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42086, 9562, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42087, 9562, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42088, 9562, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42090, 9563, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42045, 9550, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42048, 9551, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42050, 9552, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42054, 9553, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42056, 9554, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42063, 9556, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42065, 9557, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42066, 9557, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42068, 9557, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42071, 9558, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42075, 9559, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42076, 9560, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42077, 9560, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42078, 9560, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42080, 9560, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42081, 9561, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42084, 9562, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44479, 10228, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44480, 10229, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44482, 10229, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44483, 10230, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44484, 10230, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44481, 10229, 'blue', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45571, 10470, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45573, 10471, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45574, 10471, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42091, 9563, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42092, 9564, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42093, 9564, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42094, 9564, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42097, 9565, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42108, 9569, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42109, 9569, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42111, 9570, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42112, 9570, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42114, 9571, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42116, 9571, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42119, 9572, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42120, 9572, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42121, 9573, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42122, 9573, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42124, 9573, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42125, 9574, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42127, 9574, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42128, 9575, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42131, 9575, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42132, 9575, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42133, 9576, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42134, 9576, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42137, 9577, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42138, 9577, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42139, 9577, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42140, 9577, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41851, 9509, 'Содержимое Docker Volume удаляется если контейнер удаляется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41853, 9509, 'Docker volume привязан к жизненному циклу контейнера и не может существовать без него', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41830, 9504, 'Java поддерживает множественное наследование между интерфейсами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42172, 9587, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42173, 9588, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42096, 9565, 'True', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42100, 9566, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42102, 9567, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42107, 9568, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42110, 9569, 'red', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42115, 9571, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42117, 9572, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42118, 9572, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42123, 9573, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42126, 9574, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42129, 9575, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42130, 9575, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42135, 9576, '0
1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42136, 9577, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42038, 9548, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42040, 9549, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42061, 9555, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41928, 9525, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41931, 9526, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42195, 9593, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42196, 9593, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42197, 9593, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42198, 9594, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42199, 9594, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42200, 9594, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42201, 9594, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42141, 9578, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42143, 9578, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42145, 9579, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42146, 9579, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42147, 9579, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42148, 9580, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42150, 9580, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42151, 9581, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42153, 9582, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42155, 9582, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42156, 9583, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42157, 9583, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42159, 9583, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42161, 9584, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42162, 9584, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42163, 9585, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42164, 9585, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42166, 9586, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42168, 9586, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42170, 9587, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42144, 9579, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42149, 9580, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42152, 9581, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42154, 9582, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42158, 9583, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42160, 9584, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42165, 9585, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42167, 9586, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42169, 9587, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42171, 9587, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42177, 9589, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42178, 9589, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42183, 9590, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42185, 9591, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42187, 9591, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42189, 9592, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42190, 9592, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42191, 9592, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42192, 9592, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (41980, 9535, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40699, 9254, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40659, 9246, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40669, 9248, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40709, 9256, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (40682, 9250, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42193, 9593, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42194, 9593, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42265, 9607, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42202, 9595, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42203, 9595, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42204, 9595, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42205, 9595, 'Одинаковое название метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42206, 9596, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42207, 9596, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42208, 9596, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42209, 9596, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42210, 9596, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42211, 9597, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42212, 9597, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42213, 9597, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42214, 9597, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42215, 9598, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42216, 9598, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42217, 9598, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42218, 9598, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42219, 9599, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42220, 9599, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42221, 9599, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42222, 9599, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42223, 9599, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42224, 9599, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42225, 9600, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42226, 9600, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42227, 9600, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42228, 9600, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42229, 9600, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42230, 9600, 'Код может войти в deadlock во время выполнения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42231, 9601, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42232, 9601, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42233, 9601, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42234, 9601, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42235, 9602, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42180, 9590, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42181, 9590, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42182, 9590, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42186, 9591, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42188, 9592, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44584, 10255, 'value', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44585, 10255, 'factoryMethod', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44587, 10255, 'initMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44588, 10256, '@Property("${some.property.key}")', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44586, 10255, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42236, 9602, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42237, 9602, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42238, 9602, 'Никакой, все ответы правильные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42239, 9603, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42240, 9603, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42241, 9603, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42242, 9603, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42243, 9604, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42244, 9604, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42245, 9604, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42246, 9604, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42247, 9604, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42248, 9604, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42249, 9605, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42250, 9605, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42251, 9605, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42252, 9605, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42253, 9605, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42254, 9605, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42255, 9606, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42256, 9606, 'printf', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42257, 9606, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42258, 9606, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42259, 9606, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42260, 9606, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42261, 9607, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42262, 9607, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42263, 9607, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42264, 9607, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42266, 9607, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42267, 9608, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42268, 9608, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42269, 9608, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42270, 9608, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42271, 9609, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42272, 9609, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42273, 9609, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42274, 9609, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42275, 9609, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42276, 9609, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42277, 9610, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42278, 9610, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42279, 9610, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42280, 9610, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42281, 9610, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42282, 9610, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42283, 9611, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42284, 9611, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42285, 9611, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42286, 9611, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42287, 9612, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42288, 9612, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42289, 9612, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42290, 9612, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42291, 9612, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42292, 9612, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42293, 9613, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42294, 9613, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42295, 9613, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42296, 9613, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42297, 9613, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42298, 9613, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42299, 9614, 'Файл содержащий список команд для построения образа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42300, 9614, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42301, 9614, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42302, 9614, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42311, 9617, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42312, 9617, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42313, 9617, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42314, 9618, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42315, 9618, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42316, 9618, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42317, 9618, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42318, 9619, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42319, 9619, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42320, 9619, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42321, 9619, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42322, 9619, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42323, 9619, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42324, 9620, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42325, 9620, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42326, 9620, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42327, 9620, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42328, 9620, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42329, 9621, 'Transient', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42330, 9621, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42331, 9621, 'Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42332, 9621, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42333, 9622, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42334, 9622, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42335, 9622, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42336, 9622, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42337, 9622, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42338, 9622, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42142, 9578, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42175, 9588, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42179, 9589, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42184, 9590, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42340, 9623, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42341, 9623, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42342, 9623, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42343, 9623, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42344, 9624, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42345, 9624, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42347, 9624, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42348, 9625, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42349, 9625, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42350, 9625, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42352, 9626, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42353, 9626, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42354, 9626, 'Интерфейс, который не имеет ни одного метода, как и констант', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42355, 9626, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42357, 9627, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42358, 9627, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42359, 9627, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42361, 9628, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42346, 9624, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42356, 9626, 'Ни одно из вышеперечисленных определений не является верным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42360, 9627, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42362, 9628, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42363, 9628, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42365, 9629, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42366, 9629, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42368, 9629, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42369, 9629, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42370, 9629, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42372, 9630, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42373, 9630, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42374, 9630, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42375, 9630, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42377, 9631, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42378, 9631, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42380, 9631, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42381, 9632, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42382, 9632, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42383, 9632, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42385, 9633, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42386, 9633, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42387, 9633, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42389, 9634, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42390, 9634, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42391, 9634, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42392, 9634, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42393, 9634, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42395, 9635, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42396, 9635, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42397, 9635, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42398, 9635, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42400, 9635, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42401, 9636, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42402, 9636, 'printf', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42404, 9636, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42406, 9636, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42407, 9637, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42408, 9637, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42410, 9637, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42411, 9637, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42412, 9637, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42414, 9638, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42415, 9638, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42416, 9638, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42417, 9639, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42418, 9639, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42420, 9639, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42421, 9639, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42423, 9640, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42424, 9640, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42426, 9640, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42367, 9629, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42371, 9630, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42379, 9631, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42384, 9632, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42388, 9633, 'Они все допускают', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42394, 9634, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42399, 9635, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42403, 9636, 'println', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42405, 9636, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42409, 9637, 'Код вернет строку: XYZB.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42413, 9638, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42419, 9639, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42422, 9639, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42425, 9640, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44243, 10160, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44245, 10161, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44246, 10161, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42428, 9640, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42429, 9641, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42430, 9641, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42432, 9641, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42434, 9642, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42435, 9642, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42436, 9642, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42437, 9642, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42438, 9642, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42439, 9643, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42440, 9643, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42442, 9643, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42444, 9643, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42446, 9644, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42447, 9644, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42448, 9644, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42450, 9645, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42451, 9645, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42452, 9645, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42453, 9646, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42454, 9646, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42456, 9647, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42457, 9647, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42459, 9647, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42461, 9648, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42462, 9648, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42463, 9648, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42464, 9649, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42737, 9726, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42465, 9649, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42466, 9649, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42467, 9649, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42469, 9649, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42470, 9650, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42472, 9650, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42473, 9650, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42474, 9650, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42476, 9651, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42477, 9651, 'Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42480, 9652, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42481, 9652, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42483, 9652, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42445, 9644, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42482, 9652, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42468, 9649, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42471, 9650, 'Класс сущности может наследоваться от другого класса-сущности', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42475, 9651, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42478, 9651, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42449, 9645, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42455, 9646, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42458, 9647, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42460, 9648, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42427, 9640, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42431, 9641, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42433, 9642, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42441, 9643, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42443, 9643, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44247, 10161, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44249, 10162, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44250, 10162, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44251, 10162, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44252, 10162, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44248, 10162, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44589, 10256, '@Value("${some.property.key}")', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42484, 9652, 'Ошибка не исправляется командой git push -u somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42479, 9652, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42339, 9623, 'Код компилируется без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42351, 9625, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42364, 9628, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42376, 9630, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36645, 8377, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36650, 8378, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36670, 8384, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42487, 9653, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42488, 9654, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42493, 9655, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42496, 9656, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42499, 9657, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42502, 9658, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42504, 9659, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42509, 9660, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42511, 9661, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (36688, 8389, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42542, 9669, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42739, 9726, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42485, 9653, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42486, 9653, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42489, 9654, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42490, 9654, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42491, 9654, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42492, 9655, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42494, 9655, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42495, 9656, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42497, 9657, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42498, 9657, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42500, 9658, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42501, 9658, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42503, 9658, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42505, 9659, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42506, 9659, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42507, 9660, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42508, 9660, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42510, 9661, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42562, 9676, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42512, 9661, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42513, 9662, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42515, 9662, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42516, 9662, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42517, 9663, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42518, 9663, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42520, 9663, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42521, 9664, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42522, 9664, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42527, 9665, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42528, 9665, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42530, 9666, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42531, 9666, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42533, 9667, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42534, 9667, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42535, 9667, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42536, 9667, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42537, 9668, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42538, 9668, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42541, 9669, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42623, 9693, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42543, 9669, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42544, 9670, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42546, 9670, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42547, 9671, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42549, 9672, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42550, 9672, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42552, 9673, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42553, 9673, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42555, 9673, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42557, 9674, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42558, 9674, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42559, 9675, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42560, 9675, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42540, 9669, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42545, 9670, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42548, 9671, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42551, 9672, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42554, 9673, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42556, 9674, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42561, 9675, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42514, 9662, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42519, 9663, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42523, 9664, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42524, 9665, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42525, 9665, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42526, 9665, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42529, 9666, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42532, 9667, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42564, 9676, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42568, 9677, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42569, 9678, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42570, 9678, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42572, 9678, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42573, 9679, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42574, 9679, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42576, 9680, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42581, 9681, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42583, 9681, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42585, 9682, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42586, 9682, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42587, 9682, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42588, 9682, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42589, 9683, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42590, 9683, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42593, 9684, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42594, 9684, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42595, 9684, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42596, 9685, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42598, 9685, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42600, 9686, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42601, 9687, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42603, 9687, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42604, 9688, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42605, 9688, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42607, 9688, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42609, 9689, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42610, 9689, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42611, 9690, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42733, 9725, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42740, 9727, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42612, 9690, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42592, 9684, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42597, 9685, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42599, 9686, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42602, 9687, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42606, 9688, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42608, 9689, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42563, 9676, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42565, 9677, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42566, 9677, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42567, 9677, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42571, 9678, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42575, 9679, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42578, 9680, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42577, 9680, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42580, 9680, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42579, 9680, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42582, 9681, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42584, 9682, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42787, 9740, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42788, 9740, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42789, 9741, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42791, 9741, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42793, 9742, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42794, 9742, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42795, 9742, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42796, 9742, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42790, 9741, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42792, 9742, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46409, 10647, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42614, 9691, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42616, 9691, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42621, 9693, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42622, 9693, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42624, 9693, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42625, 9694, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42626, 9694, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42633, 9696, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42635, 9696, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42637, 9697, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42638, 9697, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42639, 9697, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42640, 9697, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42591, 9683, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42539, 9668, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42613, 9690, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42615, 9691, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42617, 9692, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42618, 9692, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42619, 9692, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42620, 9692, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42627, 9694, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42628, 9695, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42629, 9695, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42630, 9695, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42631, 9695, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42632, 9695, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42634, 9696, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42636, 9697, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42641, 9698, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42642, 9698, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42839, 9755, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44591, 10256, '@Properties("${some.property.key}")', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44592, 10257, 'Да, это можно сделать используя массив в методе контроллера', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44593, 10257, 'Да, можно, но будет прочитан только первый параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44595, 10257, 'Нельзя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46410, 10647, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42645, 9699, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42646, 9699, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42647, 9699, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42648, 9700, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42650, 9700, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42652, 9701, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42653, 9702, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42655, 9702, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42656, 9703, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42657, 9703, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42659, 9703, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42660, 9704, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42661, 9704, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42663, 9705, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42664, 9705, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42666, 9706, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42668, 9706, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42669, 9707, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42672, 9707, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42673, 9708, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42674, 9708, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42676, 9708, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42677, 9709, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42678, 9709, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42685, 9711, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42687, 9711, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42689, 9712, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42690, 9712, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42691, 9712, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42692, 9712, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42644, 9699, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42649, 9700, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42651, 9701, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42654, 9702, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42658, 9703, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42662, 9704, 'red', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42665, 9705, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42736, 9725, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42667, 9706, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42671, 9707, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42670, 9707, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42675, 9708, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42679, 9709, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42680, 9710, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42681, 9710, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42682, 9710, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42683, 9710, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42684, 9710, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42686, 9711, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42688, 9712, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46472, 10659, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46473, 10659, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46474, 10660, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46475, 10660, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46477, 10660, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46478, 10661, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46913, 10751, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46914, 10751, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46915, 10751, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42694, 9713, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42695, 9713, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42697, 9714, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42698, 9714, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42699, 9714, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42700, 9715, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42702, 9715, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42703, 9716, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42705, 9717, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42706, 9717, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42708, 9718, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42709, 9718, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42710, 9718, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42713, 9719, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42714, 9719, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42715, 9720, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42716, 9720, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42718, 9721, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42720, 9721, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42723, 9722, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42724, 9722, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42726, 9723, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42727, 9723, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42728, 9723, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42729, 9724, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42730, 9724, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42741, 9727, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42742, 9727, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42743, 9727, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42701, 9715, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42704, 9716, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42707, 9717, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42711, 9718, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42712, 9719, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42719, 9721, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42721, 9722, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42722, 9722, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42725, 9723, 'a, b, c, d', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42731, 9724, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42734, 9725, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42735, 9725, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42732, 9725, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42738, 9726, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42744, 9727, '5', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47686, 10911, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47687, 10911, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47688, 10911, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48032, 10983, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48034, 10983, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42745, 9728, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42747, 9728, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42749, 9729, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42750, 9729, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42751, 9729, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42752, 9730, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42754, 9730, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42756, 9731, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42758, 9732, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42759, 9732, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42760, 9733, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42761, 9733, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42763, 9733, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42764, 9734, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42766, 9734, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42767, 9735, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42768, 9735, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42770, 9736, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42772, 9736, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42774, 9737, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42775, 9737, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42776, 9737, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42777, 9738, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42778, 9738, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42780, 9738, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42781, 9739, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42782, 9739, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42748, 9729, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42753, 9730, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42755, 9731, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42757, 9732, '3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42762, 9733, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42765, 9734, 'blue', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42769, 9735, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42771, 9736, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42773, 9737, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42779, 9738, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42783, 9739, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42786, 9740, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42784, 9740, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42785, 9740, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42797, 9743, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42798, 9743, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42801, 9744, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42802, 9744, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42803, 9744, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42804, 9745, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42806, 9745, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42808, 9746, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42809, 9747, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42810, 9747, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42812, 9748, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42813, 9748, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42815, 9748, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42817, 9749, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42818, 9749, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42819, 9750, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42820, 9750, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42823, 9751, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42824, 9751, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42827, 9752, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42829, 9753, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42830, 9753, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42832, 9753, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42833, 9754, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42834, 9754, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42800, 9744, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42805, 9745, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42807, 9746, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42811, 9747, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42814, 9748, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42816, 9749, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42821, 9750, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42822, 9751, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42825, 9752, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43170, 9850, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42826, 9752, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42828, 9752, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42831, 9753, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42835, 9754, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42836, 9755, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42837, 9755, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42838, 9755, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42746, 9728, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42799, 9743, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42840, 9755, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42842, 9756, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42844, 9757, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42849, 9758, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42850, 9758, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42851, 9758, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42852, 9759, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42853, 9759, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42854, 9759, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42855, 9759, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42856, 9760, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42857, 9760, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42858, 9760, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42859, 9761, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42860, 9761, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42861, 9762, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42862, 9762, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42863, 9762, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42864, 9763, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42865, 9763, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42866, 9763, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42867, 9763, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42868, 9764, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42869, 9764, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42870, 9764, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42871, 9765, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42872, 9765, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42873, 9765, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42874, 9766, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42875, 9766, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43171, 9851, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43173, 9852, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42876, 9766, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42877, 9767, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42878, 9767, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43192, 9857, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42879, 9767, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42880, 9767, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42881, 9768, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42882, 9768, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42883, 9768, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42884, 9768, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42885, 9769, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42886, 9769, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42887, 9769, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42888, 9770, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42889, 9770, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42890, 9770, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42891, 9770, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42892, 9770, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42893, 9771, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42894, 9771, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42895, 9771, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42896, 9772, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42897, 9772, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42898, 9772, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42899, 9772, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42900, 9772, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42901, 9773, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42903, 9773, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42905, 9774, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42906, 9774, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42907, 9774, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42908, 9775, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42910, 9775, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42911, 9776, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42913, 9777, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42914, 9777, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42916, 9778, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42917, 9778, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42919, 9778, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42921, 9779, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42922, 9779, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42923, 9780, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42924, 9780, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42926, 9781, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42904, 9774, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42909, 9775, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42912, 9776, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42915, 9777, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42918, 9778, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42920, 9779, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42925, 9780, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43174, 9852, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43176, 9853, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43177, 9853, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42927, 9781, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42928, 9781, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42929, 9782, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42932, 9782, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42933, 9783, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42934, 9783, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42936, 9783, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42937, 9784, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42938, 9784, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42943, 9785, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42945, 9786, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42947, 9786, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42949, 9787, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42950, 9787, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42951, 9787, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42952, 9787, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42953, 9788, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42954, 9788, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42957, 9789, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42958, 9789, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42959, 9789, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42960, 9790, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42962, 9790, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42963, 9791, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42965, 9792, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42966, 9792, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42968, 9793, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42969, 9793, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42971, 9793, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42973, 9794, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42974, 9794, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42975, 9795, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42976, 9795, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42956, 9789, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42961, 9790, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42964, 9791, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42967, 9792, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42970, 9793, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42972, 9794, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42977, 9795, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42930, 9782, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42931, 9782, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42935, 9783, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42939, 9784, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42940, 9785, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42941, 9785, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42942, 9785, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42944, 9785, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42946, 9786, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42948, 9787, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42978, 9796, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43179, 9853, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42980, 9796, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42983, 9797, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42984, 9797, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42985, 9798, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42986, 9798, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42988, 9798, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42989, 9799, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42990, 9799, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42997, 9801, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42999, 9801, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43001, 9802, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43002, 9802, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43003, 9802, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43004, 9802, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43006, 9803, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43007, 9803, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43009, 9804, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43010, 9804, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43011, 9804, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43012, 9805, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43014, 9805, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43016, 9806, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43017, 9807, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43018, 9807, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43020, 9808, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43021, 9808, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43023, 9808, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43025, 9809, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43026, 9809, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43027, 9810, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42981, 9797, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42987, 9798, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42991, 9799, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42992, 9800, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42993, 9800, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42994, 9800, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42995, 9800, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42998, 9801, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43000, 9802, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43008, 9804, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43013, 9805, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43015, 9806, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43019, 9807, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43022, 9808, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43024, 9809, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43028, 9810, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43030, 9811, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43032, 9811, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43036, 9812, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43037, 9813, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43038, 9813, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43040, 9813, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43181, 9854, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43182, 9854, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43041, 9814, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43042, 9814, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43050, 9816, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43051, 9816, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43053, 9817, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43054, 9817, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43055, 9817, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43056, 9817, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42955, 9788, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42979, 9796, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42982, 9797, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42996, 9800, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43058, 9818, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43059, 9818, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43029, 9810, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43031, 9811, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43033, 9812, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43034, 9812, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43035, 9812, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43039, 9813, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43043, 9814, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43044, 9815, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43045, 9815, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43046, 9815, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43047, 9815, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43048, 9815, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43049, 9816, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43052, 9817, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43061, 9819, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43062, 9819, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43063, 9819, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43064, 9820, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43066, 9820, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43067, 9821, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43069, 9822, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43070, 9822, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43072, 9823, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43073, 9823, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43075, 9823, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43077, 9824, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43078, 9824, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43079, 9825, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43080, 9825, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43082, 9826, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43229, 9868, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43230, 9868, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43084, 9826, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43089, 9828, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43090, 9828, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43092, 9828, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43093, 9829, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43094, 9829, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43101, 9831, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43103, 9831, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43105, 9832, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43106, 9832, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43107, 9832, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43108, 9832, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43057, 9818, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43060, 9819, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43065, 9820, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43068, 9821, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43071, 9822, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43074, 9823, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43076, 9824, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43081, 9825, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43083, 9826, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43086, 9827, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43085, 9827, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43087, 9827, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43088, 9827, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43091, 9828, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43095, 9829, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43098, 9830, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43097, 9830, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43096, 9830, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43099, 9830, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43100, 9830, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43102, 9831, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43104, 9832, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43141, 9843, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43142, 9843, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43144, 9843, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43145, 9844, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43193, 9858, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43194, 9858, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42902, 9773, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43005, 9803, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43110, 9833, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43231, 9868, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43232, 9869, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43233, 9869, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43111, 9833, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43113, 9834, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43114, 9834, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43115, 9834, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43116, 9835, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43118, 9835, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43119, 9836, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43121, 9837, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43123, 9837, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43124, 9838, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43125, 9838, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43127, 9838, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43129, 9839, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43130, 9839, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43131, 9840, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43132, 9840, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43134, 9841, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43136, 9841, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43137, 9842, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43112, 9834, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43117, 9835, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43120, 9836, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43122, 9837, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43126, 9838, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43128, 9839, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43133, 9840, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43135, 9841, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43138, 9842, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43140, 9842, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43139, 9842, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43146, 9844, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43151, 9845, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43153, 9846, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43155, 9846, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43157, 9847, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43158, 9847, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43159, 9847, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43160, 9847, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43162, 9848, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43163, 9848, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43165, 9849, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43166, 9849, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43167, 9849, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43168, 9850, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43183, 9855, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43184, 9855, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43186, 9856, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43188, 9856, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43189, 9857, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43191, 9857, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43148, 9845, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43149, 9845, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43154, 9846, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43156, 9847, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43164, 9849, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43169, 9850, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43172, 9851, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43175, 9852, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43178, 9853, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43180, 9854, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43185, 9855, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43187, 9856, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43190, 9857, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43197, 9859, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43198, 9859, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43203, 9860, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43204, 9860, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43205, 9861, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43207, 9861, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43209, 9862, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43210, 9862, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43211, 9862, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43212, 9862, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43213, 9863, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43214, 9863, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43215, 9863, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43216, 9864, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43217, 9864, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43218, 9864, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43219, 9864, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43220, 9865, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43221, 9865, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43222, 9865, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43223, 9866, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43224, 9866, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43225, 9867, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43226, 9867, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43227, 9867, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43228, 9868, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43234, 9869, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43235, 9870, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43236, 9870, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43237, 9870, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43238, 9871, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43239, 9871, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43240, 9871, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43241, 9872, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43201, 9860, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43200, 9860, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43202, 9860, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43206, 9861, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43208, 9862, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44705, 10284, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44706, 10285, 'throws, throw', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44707, 10285, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44708, 10285, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43242, 9872, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43243, 9872, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43244, 9872, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43245, 9873, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43246, 9873, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43247, 9873, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43248, 9873, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43249, 9874, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43250, 9874, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43251, 9874, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43252, 9875, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43253, 9875, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43254, 9875, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43255, 9875, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43256, 9875, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43257, 9876, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43258, 9876, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43259, 9876, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43260, 9877, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43261, 9877, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43262, 9877, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43263, 9877, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43264, 9877, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43265, 9878, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43269, 9879, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43270, 9879, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43271, 9879, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43272, 9880, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43274, 9880, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43275, 9881, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43277, 9882, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43279, 9882, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43280, 9883, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43281, 9883, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43283, 9883, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43284, 9884, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43286, 9884, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43287, 9885, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43358, 9905, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43357, 9905, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43288, 9885, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43290, 9886, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43268, 9879, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43273, 9880, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43276, 9881, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43278, 9882, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43282, 9883, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43285, 9884, 'blue', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43289, 9885, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43291, 9886, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48096, 10995, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48097, 10995, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48099, 10996, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48100, 10996, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48101, 10996, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48098, 10996, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48680, 11116, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48681, 11117, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48683, 11117, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43292, 9886, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43295, 9887, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43296, 9887, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43297, 9888, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43298, 9888, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43300, 9888, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43301, 9889, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43302, 9889, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43307, 9890, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43308, 9890, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43309, 9891, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43311, 9891, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43313, 9892, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43314, 9892, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43315, 9892, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43316, 9892, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43317, 9893, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43319, 9893, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43321, 9894, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43322, 9894, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43323, 9894, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43324, 9895, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43326, 9895, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43327, 9896, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43329, 9897, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43331, 9897, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43332, 9898, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43333, 9898, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43335, 9898, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43337, 9899, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43338, 9899, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43360, 9905, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43339, 9900, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43340, 9900, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43320, 9894, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43325, 9895, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43328, 9896, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43330, 9897, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43334, 9898, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43336, 9899, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43341, 9900, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43293, 9887, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43294, 9887, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43299, 9888, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43303, 9889, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43304, 9890, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43306, 9890, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43305, 9890, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43310, 9891, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43312, 9892, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43342, 9901, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43344, 9901, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43345, 9902, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43346, 9902, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43347, 9902, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43349, 9903, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43350, 9903, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43352, 9903, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43353, 9904, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43354, 9904, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43356, 9905, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43359, 9905, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43361, 9906, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43363, 9906, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43365, 9907, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43366, 9907, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43367, 9907, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43368, 9907, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43109, 9833, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43143, 9843, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43147, 9844, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43150, 9845, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43152, 9845, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43318, 9893, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43343, 9901, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43348, 9902, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43351, 9903, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43355, 9904, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43362, 9906, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43364, 9907, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43266, 9878, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43452, 9932, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43453, 9933, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43454, 9933, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43456, 9933, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43457, 9934, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43450, 9932, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43451, 9932, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43455, 9933, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48811, 11144, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48812, 11145, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43267, 9878, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42643, 9698, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43370, 9908, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43371, 9908, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43373, 9909, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43374, 9909, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43375, 9909, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43376, 9910, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43378, 9910, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43380, 9911, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43381, 9912, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43383, 9912, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43384, 9913, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43385, 9913, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43387, 9913, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43389, 9914, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43390, 9914, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43391, 9915, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43392, 9915, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43394, 9916, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43396, 9916, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43372, 9909, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43377, 9910, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43379, 9911, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43382, 9912, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43386, 9913, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43388, 9914, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43393, 9915, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43395, 9916, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43398, 9917, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43399, 9917, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43397, 9917, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43405, 9919, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43406, 9919, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43411, 9920, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43412, 9920, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43413, 9921, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43415, 9921, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43417, 9922, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43418, 9922, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43419, 9922, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43420, 9922, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43422, 9923, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43423, 9923, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43425, 9924, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43426, 9924, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43427, 9924, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43428, 9925, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43430, 9925, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43432, 9926, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43433, 9927, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43435, 9927, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43436, 9928, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43437, 9928, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43439, 9928, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43441, 9929, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43442, 9929, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43443, 9930, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43444, 9930, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43446, 9931, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43448, 9931, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43408, 9920, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43410, 9920, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43409, 9920, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43414, 9921, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43416, 9922, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43424, 9924, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43429, 9925, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43431, 9926, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43434, 9927, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43438, 9928, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43440, 9929, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43445, 9930, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43447, 9931, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43449, 9932, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44710, 10286, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44712, 10286, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44713, 10286, 'Error', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44714, 10287, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44715, 10287, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44717, 10287, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44718, 10288, 'Значение финальной статической переменной может быть присвоено в конструкторе класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44727, 10290, 'Для настройки взаимодействия между Docker Registry', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44716, 10287, 'Статический метод', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43459, 9934, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43463, 9935, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43464, 9935, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43465, 9936, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43467, 9936, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43469, 9937, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43470, 9937, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43471, 9937, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43472, 9937, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43369, 9908, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43400, 9917, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43407, 9919, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43474, 9938, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43475, 9938, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43476, 9939, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43477, 9939, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43478, 9939, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43480, 9940, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43482, 9940, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43484, 9941, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43485, 9942, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43486, 9942, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43488, 9943, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43489, 9943, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43491, 9943, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43493, 9944, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43494, 9944, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43495, 9945, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43496, 9945, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43498, 9946, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43479, 9939, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43481, 9940, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43483, 9941, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43487, 9942, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43490, 9943, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43492, 9944, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43497, 9945, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43499, 9946, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43529, 9954, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43530, 9954, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43458, 9934, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43460, 9935, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43461, 9935, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43462, 9935, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43466, 9936, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43468, 9937, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43500, 9946, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43501, 9947, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43502, 9947, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43503, 9947, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43505, 9948, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43506, 9948, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43508, 9948, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43509, 9949, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43510, 9949, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43514, 9950, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43515, 9950, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43517, 9951, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43519, 9951, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43521, 9952, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43522, 9952, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43523, 9952, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43524, 9952, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43473, 9938, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43504, 9947, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43507, 9948, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43511, 9949, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43512, 9950, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43513, 9950, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43516, 9950, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43518, 9951, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43520, 9952, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43161, 9848, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43195, 9858, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43199, 9859, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43421, 9923, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43525, 9953, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43526, 9953, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43669, 9995, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43531, 9954, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43532, 9955, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43534, 9955, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43535, 9956, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43537, 9957, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43539, 9957, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43540, 9958, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43541, 9958, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43543, 9958, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43545, 9959, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43546, 9959, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43547, 9960, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43548, 9960, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43550, 9961, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43552, 9961, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43557, 9963, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43558, 9963, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43560, 9963, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43561, 9964, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43562, 9964, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43567, 9965, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43569, 9966, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43571, 9966, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43573, 9967, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43574, 9967, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43575, 9967, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43576, 9967, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43528, 9954, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43533, 9955, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43536, 9956, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43538, 9957, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43542, 9958, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43544, 9959, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43549, 9960, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43551, 9961, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43553, 9962, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43554, 9962, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43555, 9962, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43556, 9962, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43559, 9963, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43563, 9964, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43568, 9965, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43564, 9965, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43565, 9965, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43566, 9965, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43570, 9966, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43572, 9967, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49534, 11293, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49535, 11293, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49536, 11294, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49537, 11294, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49538, 11294, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49540, 11294, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49541, 11295, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49543, 11295, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49533, 11293, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49539, 11294, '@Bean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43578, 9968, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43579, 9968, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43581, 9969, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43582, 9969, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43583, 9969, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43584, 9970, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43586, 9970, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43588, 9971, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43590, 9972, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43591, 9972, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43592, 9973, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43593, 9973, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43595, 9973, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43597, 9974, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43598, 9974, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43599, 9975, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43600, 9975, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43602, 9976, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43604, 9976, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43608, 9977, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43609, 9978, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43610, 9978, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43612, 9978, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43613, 9979, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43614, 9979, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43619, 9980, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43621, 9981, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43623, 9981, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43625, 9982, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43626, 9982, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43627, 9982, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43628, 9982, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43585, 9970, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43587, 9971, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43589, 9972, '3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43594, 9973, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43596, 9974, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43603, 9976, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43606, 9977, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43607, 9977, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43605, 9977, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43611, 9978, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43615, 9979, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43617, 9980, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43618, 9980, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43620, 9980, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43616, 9980, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43622, 9981, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43624, 9982, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52739, 11958, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52740, 11958, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52741, 11959, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52742, 11959, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43527, 9953, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43670, 9995, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43629, 9983, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43630, 9983, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43631, 9983, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43632, 9984, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43633, 9984, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43634, 9984, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43635, 9984, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43636, 9985, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43637, 9985, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43638, 9985, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43639, 9986, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43640, 9986, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43641, 9987, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43642, 9987, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43643, 9987, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43644, 9988, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43645, 9988, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43646, 9988, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43647, 9988, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43648, 9989, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43649, 9989, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43650, 9989, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43651, 9990, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43652, 9990, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43653, 9990, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43654, 9991, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43655, 9991, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43656, 9991, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43657, 9992, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43658, 9992, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43659, 9992, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43660, 9992, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43661, 9993, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43662, 9993, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43663, 9993, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43664, 9993, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43665, 9994, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43712, 10007, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43713, 10008, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43666, 9994, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43667, 9994, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43668, 9995, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43671, 9995, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43672, 9995, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43673, 9996, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43674, 9996, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43675, 9996, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43676, 9997, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43677, 9997, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43678, 9997, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43679, 9997, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43680, 9997, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43681, 9998, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43682, 9998, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43685, 9999, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43686, 9999, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43687, 9999, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43688, 10000, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43690, 10000, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43691, 10001, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43693, 10002, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43694, 10002, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43696, 10003, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43697, 10003, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43699, 10003, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43701, 10004, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43702, 10004, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43703, 10005, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43704, 10005, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43706, 10006, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43708, 10006, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43709, 10007, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43684, 9999, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43689, 10000, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43692, 10001, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43695, 10002, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43698, 10003, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43700, 10004, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43705, 10005, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43707, 10006, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43710, 10007, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43711, 10007, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43718, 10009, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43723, 10010, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43724, 10010, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43725, 10011, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43727, 10011, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43729, 10012, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43730, 10012, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43731, 10012, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43732, 10012, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43577, 9968, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43580, 9969, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43601, 9975, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43733, 10013, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43735, 10013, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43736, 10014, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43737, 10014, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43739, 10014, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43740, 10015, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43742, 10015, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43743, 10016, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43745, 10017, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43747, 10017, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43748, 10018, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43749, 10018, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43751, 10018, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43753, 10019, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43754, 10019, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43755, 10020, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43756, 10020, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43758, 10021, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43738, 10014, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43741, 10015, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43744, 10016, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43746, 10017, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43750, 10018, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43752, 10019, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43757, 10020, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43719, 10009, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43720, 10010, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43721, 10010, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43722, 10010, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43726, 10011, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43728, 10012, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44728, 10290, 'Для настройки взаимодействия между Docker Hub', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44729, 10290, 'Для настройки взаимодействия между Docker Repository', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44731, 10291, 'docker os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44732, 10291, 'docker ps', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44733, 10291, 'docker show containers', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44734, 10292, 'Да', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44730, 10291, 'docker cs', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44735, 10292, 'Нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45959, 10552, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43760, 10021, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43761, 10022, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43763, 10022, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43765, 10023, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43766, 10023, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43768, 10023, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43769, 10024, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43770, 10024, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43774, 10025, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43777, 10026, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43779, 10026, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43781, 10027, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43782, 10027, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43783, 10027, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43784, 10027, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43734, 10013, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43759, 10021, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43762, 10022, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43764, 10022, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43767, 10023, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43771, 10024, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43772, 10025, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43773, 10025, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43776, 10025, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43775, 10025, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43778, 10026, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43780, 10027, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43786, 10028, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43787, 10028, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43788, 10029, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43789, 10029, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43785, 10028, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44790, 10304, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44791, 10305, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44792, 10305, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44794, 10305, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44795, 10306, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44796, 10306, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44798, 10306, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44797, 10306, 'Синглтон переменная', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45960, 10552, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45962, 10552, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54354, 12333, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54355, 12333, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43792, 10030, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43793, 10030, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43795, 10031, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43797, 10032, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43799, 10032, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43800, 10033, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43801, 10033, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43803, 10033, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43805, 10034, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43806, 10034, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43807, 10035, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43809, 10035, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43810, 10036, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43857, 10049, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43858, 10049, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43811, 10036, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43817, 10038, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43818, 10038, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43820, 10038, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43822, 10039, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43823, 10039, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43828, 10040, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43830, 10041, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43831, 10041, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43832, 10042, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43834, 10042, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43835, 10042, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43836, 10042, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43791, 10029, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43794, 10030, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43796, 10031, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43798, 10032, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43802, 10033, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43804, 10034, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43808, 10035, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43812, 10036, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43813, 10037, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43814, 10037, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43815, 10037, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43816, 10037, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43819, 10038, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43821, 10039, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43824, 10040, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43825, 10040, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43826, 10040, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43827, 10040, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43829, 10041, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43833, 10042, '2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43683, 9998, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43715, 10008, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43837, 10043, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43926, 10069, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54356, 12333, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43839, 10043, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43841, 10044, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43842, 10044, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43843, 10044, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43844, 10045, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43846, 10045, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43847, 10046, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43849, 10047, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43851, 10047, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43852, 10048, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43853, 10048, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43855, 10048, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43859, 10050, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43860, 10050, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43862, 10051, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43864, 10051, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43866, 10052, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43868, 10052, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43869, 10053, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43870, 10053, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43872, 10053, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43873, 10054, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43874, 10054, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43881, 10056, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43883, 10056, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43885, 10057, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43886, 10057, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43887, 10057, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43888, 10057, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43840, 10044, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43845, 10045, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43848, 10046, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43850, 10047, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43854, 10048, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43856, 10049, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43861, 10050, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43863, 10051, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43865, 10052, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43867, 10052, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43871, 10053, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43875, 10054, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43877, 10055, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43878, 10055, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43880, 10055, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43876, 10055, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43879, 10055, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43882, 10056, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43884, 10057, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54357, 12333, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54358, 12334, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54359, 12334, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43838, 10043, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43889, 10058, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43929, 10070, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43930, 10070, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43932, 10070, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44127, 10127, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43890, 10058, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43893, 10059, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43894, 10059, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43895, 10059, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43896, 10060, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43898, 10060, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43900, 10061, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43901, 10062, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43903, 10062, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43904, 10063, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43905, 10063, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43907, 10063, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43909, 10064, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43910, 10064, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43911, 10065, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43912, 10065, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43914, 10066, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43916, 10066, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43920, 10067, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43921, 10068, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43922, 10068, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43924, 10068, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43925, 10069, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43892, 10059, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43897, 10060, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43899, 10061, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43902, 10062, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43906, 10063, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43908, 10064, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43913, 10065, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43915, 10066, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43918, 10067, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43919, 10067, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43917, 10067, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43923, 10068, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43999, 10089, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44000, 10090, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44002, 10090, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44004, 10091, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44005, 10092, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44007, 10092, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44008, 10093, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44009, 10093, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44001, 10090, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44003, 10091, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44006, 10092, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43931, 10070, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43934, 10071, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43935, 10071, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43937, 10072, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43938, 10072, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43939, 10072, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43940, 10072, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43891, 10058, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43927, 10069, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43928, 10070, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44131, 10128, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43942, 10073, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43944, 10074, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43933, 10071, '1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43936, 10072, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43941, 10073, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43943, 10073, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43945, 10074, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43946, 10074, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43947, 10074, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43948, 10075, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43950, 10075, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43952, 10076, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43953, 10077, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43954, 10077, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43956, 10078, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43957, 10078, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43959, 10078, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43961, 10079, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43962, 10079, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43963, 10080, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43964, 10080, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43966, 10081, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43949, 10075, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43951, 10076, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43955, 10077, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43958, 10078, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43960, 10079, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43965, 10080, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44011, 10093, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44012, 10094, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44014, 10094, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44015, 10095, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44016, 10095, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44010, 10093, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44013, 10094, 'blue', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46975, 10763, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43967, 10081, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43969, 10082, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43972, 10082, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43973, 10083, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43974, 10083, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43976, 10083, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43977, 10084, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43978, 10084, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43985, 10086, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43987, 10086, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43989, 10087, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43990, 10087, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43991, 10087, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43992, 10087, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43968, 10081, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43970, 10082, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43971, 10082, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43975, 10083, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43979, 10084, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43980, 10085, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43981, 10085, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43982, 10085, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43983, 10085, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43984, 10085, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43986, 10086, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43988, 10087, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43993, 10088, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43994, 10088, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43997, 10089, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43998, 10089, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43995, 10088, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (43996, 10089, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44018, 10096, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44020, 10096, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44021, 10097, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44025, 10098, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44026, 10098, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44028, 10098, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44029, 10099, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44030, 10099, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44037, 10101, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44039, 10101, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44041, 10102, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44042, 10102, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44043, 10102, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44044, 10102, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44045, 10103, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44121, 10125, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44123, 10126, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44046, 10103, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44049, 10104, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44050, 10104, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44051, 10104, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44052, 10105, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44054, 10105, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44055, 10106, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44057, 10107, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44058, 10107, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44060, 10108, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44061, 10108, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44063, 10108, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44048, 10104, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44053, 10105, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44056, 10106, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44059, 10107, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44062, 10108, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44064, 10109, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44017, 10095, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44019, 10096, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44022, 10097, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44023, 10097, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44024, 10097, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44027, 10098, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44031, 10099, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44032, 10100, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44033, 10100, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44034, 10100, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44035, 10100, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44036, 10100, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44038, 10101, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44040, 10102, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44068, 10110, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44070, 10111, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44072, 10111, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44073, 10112, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44077, 10113, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44078, 10113, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44080, 10113, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44081, 10114, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44082, 10114, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44087, 10115, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44088, 10115, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44089, 10116, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44091, 10116, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44093, 10117, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44094, 10117, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44095, 10117, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44096, 10117, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44097, 10118, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44125, 10127, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44098, 10118, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44101, 10119, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44102, 10119, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44103, 10119, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44104, 10120, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44106, 10120, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44107, 10121, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44109, 10122, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44110, 10122, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44112, 10123, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44100, 10119, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44105, 10120, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44108, 10121, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44111, 10122, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44069, 10110, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44071, 10111, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44074, 10112, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44075, 10112, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44076, 10112, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44079, 10113, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44083, 10114, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44084, 10115, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44085, 10115, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44086, 10115, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44090, 10116, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44092, 10117, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44120, 10125, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44122, 10126, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44124, 10126, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44128, 10127, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44129, 10128, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44130, 10128, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44132, 10128, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44133, 10129, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44134, 10129, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44140, 10130, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44141, 10131, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44143, 10131, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44145, 10132, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44146, 10132, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44147, 10132, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44148, 10132, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44099, 10118, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44047, 10103, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44126, 10127, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44135, 10129, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44139, 10130, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44138, 10130, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44137, 10130, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44136, 10130, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44142, 10131, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44144, 10132, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44149, 10133, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44290, 10174, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44295, 10175, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44297, 10176, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44294, 10175, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44296, 10175, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44298, 10176, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44151, 10133, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44153, 10134, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44154, 10134, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44155, 10134, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44156, 10135, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44158, 10135, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44160, 10136, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44161, 10137, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44162, 10137, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44164, 10138, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44165, 10138, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44167, 10138, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44168, 10139, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44170, 10139, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44171, 10140, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44172, 10140, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44174, 10141, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44176, 10141, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44180, 10142, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44181, 10143, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44182, 10143, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44184, 10143, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44185, 10144, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44186, 10144, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44191, 10145, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44193, 10146, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44195, 10146, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44197, 10147, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44198, 10147, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44199, 10147, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44200, 10147, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44152, 10134, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44157, 10135, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44159, 10136, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44163, 10137, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44166, 10138, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44169, 10139, 'blue', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44173, 10140, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44219, 10153, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44220, 10154, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44825, 10313, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44175, 10141, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44177, 10142, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44178, 10142, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44179, 10142, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44183, 10143, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44187, 10144, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44188, 10145, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44189, 10145, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44190, 10145, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44192, 10145, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44194, 10146, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44196, 10147, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44299, 10176, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44301, 10177, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44302, 10177, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44303, 10177, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44304, 10177, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44300, 10177, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54820, 12446, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54821, 12446, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54822, 12446, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44201, 10148, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44203, 10148, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44205, 10149, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44206, 10149, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44207, 10149, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44208, 10150, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44210, 10150, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44211, 10151, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44213, 10152, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44214, 10152, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44216, 10153, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44217, 10153, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44218, 10153, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44221, 10154, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44222, 10154, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44223, 10155, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44224, 10155, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44226, 10156, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44228, 10156, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44230, 10157, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44231, 10157, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44233, 10158, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44234, 10158, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44236, 10158, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44237, 10159, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44238, 10159, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44242, 10160, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44204, 10149, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44209, 10150, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44212, 10151, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44215, 10152, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44225, 10155, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44227, 10156, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44229, 10157, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44232, 10157, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44235, 10158, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44239, 10159, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44240, 10160, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44241, 10160, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44150, 10133, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44253, 10163, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44254, 10163, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44257, 10164, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44258, 10164, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44259, 10164, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44261, 10165, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44262, 10165, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44263, 10166, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44265, 10167, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44267, 10167, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44268, 10168, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44269, 10168, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44271, 10168, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44273, 10169, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44274, 10169, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44275, 10170, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44276, 10170, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44278, 10171, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44280, 10171, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44284, 10172, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44285, 10173, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44286, 10173, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44288, 10173, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44289, 10174, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44389, 10203, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44256, 10164, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44260, 10165, 'True', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44264, 10166, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44266, 10167, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44270, 10168, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44272, 10169, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44277, 10170, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44279, 10171, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44281, 10172, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44282, 10172, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44283, 10172, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44287, 10173, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44202, 10148, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44244, 10160, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44305, 10178, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44306, 10178, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44307, 10178, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44308, 10179, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44309, 10179, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44310, 10179, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44311, 10179, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44312, 10180, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44313, 10180, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44314, 10180, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44315, 10181, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44316, 10181, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44317, 10182, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44318, 10182, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44319, 10182, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44320, 10183, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44321, 10183, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44322, 10183, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44323, 10183, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44324, 10184, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44325, 10184, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44326, 10184, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44327, 10185, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44328, 10185, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44329, 10185, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44330, 10186, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44331, 10186, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44332, 10186, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44333, 10187, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44334, 10187, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44335, 10187, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44605, 10260, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44336, 10187, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44337, 10188, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44338, 10188, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44339, 10188, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44340, 10188, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44341, 10189, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44390, 10203, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44342, 10189, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44343, 10189, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44344, 10190, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44345, 10190, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44346, 10190, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44347, 10190, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44348, 10190, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44349, 10191, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44350, 10191, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44351, 10191, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44352, 10192, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44353, 10192, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44354, 10192, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44355, 10192, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44356, 10192, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44357, 10193, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44359, 10193, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44361, 10194, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44362, 10194, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44363, 10194, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44364, 10195, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44366, 10195, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44368, 10196, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44369, 10197, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44371, 10197, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44372, 10198, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44373, 10198, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44375, 10198, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44376, 10199, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44378, 10199, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44379, 10200, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44380, 10200, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44382, 10201, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44384, 10201, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44360, 10194, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44365, 10195, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44367, 10196, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44370, 10197, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44374, 10198, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44377, 10199, 'blue', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44381, 10200, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44383, 10201, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44386, 10202, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44387, 10202, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44385, 10202, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44393, 10204, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44394, 10204, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44397, 10205, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44399, 10205, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44401, 10206, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44403, 10206, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44405, 10207, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44406, 10207, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44407, 10207, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44408, 10207, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44358, 10193, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44388, 10202, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44391, 10203, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44395, 10204, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44396, 10205, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44398, 10205, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44400, 10205, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44402, 10206, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44404, 10207, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44409, 10208, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44410, 10208, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44411, 10208, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44412, 10209, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44413, 10209, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44414, 10209, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44415, 10209, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44416, 10210, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44417, 10210, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44418, 10210, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44419, 10211, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44420, 10211, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44421, 10212, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44422, 10212, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44423, 10212, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44424, 10213, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44425, 10213, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44426, 10213, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44427, 10213, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44428, 10214, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44429, 10214, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44430, 10214, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44431, 10215, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44432, 10215, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44465, 10224, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44466, 10224, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44467, 10224, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44468, 10225, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44470, 10225, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44472, 10226, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44473, 10227, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44471, 10226, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44820, 10312, 'Setter DI', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44433, 10215, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44434, 10216, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44435, 10216, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44436, 10216, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44437, 10217, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44438, 10217, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44439, 10217, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44440, 10217, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44441, 10218, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44442, 10218, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44443, 10218, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44444, 10218, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44445, 10219, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44446, 10219, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44447, 10219, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44448, 10220, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44449, 10220, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44450, 10220, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44451, 10220, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44452, 10220, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44453, 10221, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44454, 10221, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44455, 10221, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44456, 10222, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44457, 10222, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44458, 10222, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44459, 10222, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44460, 10222, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42089, 9563, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42095, 9564, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42113, 9570, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44461, 10223, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44463, 10223, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44474, 10227, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44464, 10224, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44475, 10227, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44486, 10231, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44522, 10240, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44523, 10240, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44488, 10231, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44493, 10233, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44494, 10233, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44496, 10233, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44497, 10234, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44498, 10234, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44501, 10235, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44505, 10236, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44507, 10236, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44509, 10237, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44510, 10237, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44511, 10237, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44512, 10237, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44462, 10223, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44469, 10225, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44478, 10228, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44485, 10230, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44487, 10231, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44492, 10232, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44491, 10232, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44490, 10232, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44489, 10232, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44495, 10233, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44499, 10234, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44500, 10235, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44502, 10235, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44503, 10235, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44504, 10235, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44506, 10236, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44508, 10237, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42693, 9713, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42696, 9714, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (42717, 9720, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44255, 10163, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44291, 10174, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44293, 10175, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44292, 10175, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44513, 10238, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44514, 10238, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44516, 10238, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44517, 10238, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44519, 10239, 'Импортированный класс java.util.Date может быть доступен только из класса Student', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44521, 10239, 'Класс Student определен в пакете com.examplejava, а класс Course определен в пакете default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44525, 10240, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44526, 10241, 'Последний совпадающий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44527, 10241, 'Первый совпадающий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44528, 10241, 'Все совпадающие', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44531, 10242, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44532, 10242, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44533, 10242, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44534, 10243, 'Приложение временно потеряло соединение с интернетом', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44535, 10243, 'Два пользователя попытались зарегистрировать аккаунты в один момент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44537, 10243, 'У приложения кончилась память', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44538, 10244, 'import java.exception.*;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44540, 10244, 'import java.lang.*', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44541, 10244, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44542, 10245, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44543, 10245, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44544, 10245, 'CheckedException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44546, 10246, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44548, 10246, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44549, 10246, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44550, 10247, 'Статический класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44551, 10247, 'Синглтон класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44553, 10247, 'Инкапсулируемый класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44555, 10248, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44556, 10248, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44557, 10248, 'Одинаковое название метода', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44559, 10249, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44560, 10249, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44561, 10249, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44562, 10250, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44563, 10250, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44565, 10250, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44566, 10251, 'super() и this', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44568, 10251, 'super и super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44569, 10251, 'super и this()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44570, 10252, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44572, 10252, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44573, 10252, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44574, 10252, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44575, 10253, '@RequestParam используется для добавления параметров к запросу, в то время как @PathVariable используется обозначения пути к представлению', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44576, 10253, '@RequestParam используется в работе с доступом к данным, в то время как @PathVariable используется для обработки web запросов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44578, 10253, '@RequestParam используется для определения query параметров, а @PathVariable для извлечения части URL', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44579, 10254, 'Для этого используется аннотация @Lazy над @Bean-методами, @Configuration-классами, @Component-классами или полями помеченными @Autowired', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44580, 10254, 'Для этого используется аннотация @Lazy над @Bean-методами, @Configuration-классами или @Component-классами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44582, 10254, 'Необходимо установить значение параметра lazy-init в true у аннотаций @Bean, @Configuration или @Component', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44583, 10255, 'destroyMethod', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44524, 10240, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44529, 10241, 'Невозможно написать такое выражение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44530, 10242, 'Исключение из блока catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44536, 10243, 'Пользователь неверно ввел свой пароль', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44539, 10244, 'import java.util.exception.*;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44545, 10245, 'Error', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44547, 10246, 'Убрать модификатор final и изменить переменную напрямую', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44552, 10247, 'Immutable класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44554, 10248, 'Одинаковый список параметров', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44558, 10249, 'default', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44564, 10250, 'that()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44567, 10251, 'super() и super', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44571, 10252, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44577, 10253, '@RequestParam аннотируются параметры связанные с телом запроса, а @PathVariable получения полного Uniform Resource Locator', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44581, 10254, 'Необходимо установить для параметра init значение lazy у аннотаций @Bean, @Configuration или @Component', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44596, 10258, 'Используя свойство scanBasePackages (scanBasePackageClasses) аннотации @SpringBootApplication', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44597, 10258, 'Приложение Spring Boot автоматически сканирует все пакеты проекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44599, 10258, '@SpringBootApplication определяет автоматическое сканирование пакета, где находится класс помеченный аннотацией', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44600, 10259, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44601, 10259, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44603, 10259, 'Точка в программе, где структура AOP будет инициализирована', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44604, 10260, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44821, 10312, 'Field DI', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44607, 10260, 'Точка в программе, где структура AOP будет инициализирована', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44608, 10261, 'Да, можно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44610, 10261, 'Нельзя, эти аннотации имеют разный функионал', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44611, 10261, 'Эти аннотации можно использовать только вместе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44613, 10262, '@RequestMapping, в отличие от @GetMapping, не может работать с @PathVariable', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44614, 10262, '@GetMapping могут быть аннотированы только методы, тогда как @RequestMapping могут быть аннотированы и классы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44615, 10262, 'Разницы нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44616, 10263, 'hibernate.config.xml', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44617, 10263, 'hibernate.cfg.xml', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44619, 10263, 'hibernate-cfg.xml', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44620, 10263, 'Никакое из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44621, 10264, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44622, 10264, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44624, 10265, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44625, 10265, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44633, 10266, 'Конфигурацию можно провести через hibernate.property без использования XML конфигурации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44634, 10266, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44635, 10267, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44636, 10267, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44638, 10267, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44639, 10267, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44640, 10267, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44618, 10263, 'hibernate-config.xml', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44623, 10264, 'Указывается при создании объекта', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44626, 10265, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44627, 10265, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44628, 10265, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44630, 10266, 'Конфигурацию можно провести только через XML файл', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44631, 10266, 'Конфигурацию можно провести только через XML файл или класс Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44632, 10266, 'Конфигурацию можно провести через класс Configuration без использования XML конфигурации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44637, 10267, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44598, 10258, 'Необходимо пометить класс @ComponentScan для сканирования пакета где он находится', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44602, 10259, 'Действие, которое будет выполняться для выбранных нами методов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44606, 10260, 'Действие, которое будет выполняться для выбранных нами методов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44609, 10261, 'Можно, но будет упущена часть функицонала @Service', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44612, 10262, '@GetMapping частный случай @RequestMapping для GET запросов, @RequestMapping может использоваться для других методов запроса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44719, 10288, 'Из статического метода можно обратиться к переменной экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44721, 10288, 'Из метода экземпляра класса можно обратиться к статической переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44722, 10289, 'DEFINE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44723, 10289, 'EXPOSE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44724, 10289, 'COMPOSE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44725, 10289, 'OPEN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57158, 12964, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57159, 12964, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57160, 12964, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57161, 12965, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57162, 12965, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57624, 13061, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44629, 10265, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44515, 10238, 'Pelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44518, 10239, 'Импортированный класс java.util.Date может быть доступен из класса Student и из класса Course', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44520, 10239, 'Оба класса Student и Course определены в пакете com.examplejava', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44590, 10256, '@Reference("${some.property.key}")', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44594, 10257, 'Да, можно, но будет прочитан только один случайны параметр', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44641, 10268, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44642, 10268, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44823, 10313, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44643, 10268, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44644, 10268, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44645, 10269, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44646, 10269, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44647, 10269, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44648, 10270, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44649, 10270, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44650, 10271, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44651, 10271, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44652, 10271, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44653, 10272, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44654, 10272, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44655, 10272, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44656, 10272, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44657, 10273, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44658, 10273, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44659, 10273, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44660, 10273, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44661, 10274, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44662, 10274, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44663, 10274, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44664, 10275, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44665, 10275, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44666, 10275, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44667, 10276, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44668, 10276, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44669, 10276, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44670, 10276, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44671, 10277, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44672, 10277, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44673, 10277, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44674, 10277, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44675, 10278, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44676, 10278, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44677, 10278, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44678, 10279, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44679, 10279, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44680, 10279, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44681, 10279, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44682, 10279, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44683, 10280, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44684, 10280, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44685, 10280, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44686, 10281, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44687, 10281, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44688, 10281, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44689, 10281, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44690, 10281, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44691, 10282, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44692, 10282, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44693, 10282, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44694, 10282, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44695, 10282, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44696, 10283, 'Нельзя определить аргумент метода как private переменную.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44697, 10283, 'Аргумент метода должен быть объявлен с public или default доступом.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44699, 10283, 'Ничего из указанного.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44701, 10284, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44702, 10284, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44703, 10284, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44704, 10284, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44700, 10284, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44736, 10293, '@RestController помечается класс используемый как REST клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44738, 10293, '@RestController = @Controller + @RequestBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44739, 10293, '@RestController = @Controller + @ResponseBody', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44740, 10294, 'Spring Data', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44741, 10294, 'Spring Security', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44743, 10294, 'Spring AOP', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44744, 10294, 'Spring WS', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44745, 10295, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44747, 10295, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44748, 10296, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44749, 10296, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44751, 10296, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44752, 10297, 'Да, это можно сделать используя массив в методе контроллера', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44753, 10297, 'Да, можно, но будет прочитан только первый параметр', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44755, 10297, 'Нельзя', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44756, 10298, '@Configuration + @Component + @ComponentScan', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44757, 10298, '@Component + @EnableAutoConfiguration + @ComponentScan', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44758, 10298, '@Configuration + @EnableAutoConfiguration + @ComponentScan', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44760, 10299, 'Создается согласно паттерну Singleton', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44762, 10299, 'Жизненный цикл SessionFactory привязан к транзакции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44763, 10299, 'Жизненный цикл SessionFactory привязан к базе данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44764, 10299, 'SessionFactory является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44765, 10299, 'Создается через конструктор класса SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44766, 10300, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44767, 10300, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44768, 10300, 'Через метод buildSessionFactory() класса Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44770, 10300, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44771, 10301, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44772, 10301, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44773, 10301, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44774, 10301, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44776, 10301, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44726, 10290, 'Для настройки взаимодействия между Docker Containers', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44761, 10299, 'Создается согласно паттерну Prototype', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44769, 10300, 'Через метод buildSessionFactory() класса Connection', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44775, 10301, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44698, 10283, 'Для переопределенных методов аргумент должен быть объявлен с protected доступом.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44709, 10285, 'throw, catch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44711, 10286, 'Exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44720, 10288, 'Из статического блока инициализации можно обратиться к переменной экземпляра класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44737, 10293, '@RestController = @Controller + @RequestBody + @ResponseBody', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44742, 10294, 'Spring MVP', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44746, 10295, 'Не является', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44750, 10296, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44754, 10297, 'Да, можно, но будет прочитан только один случайны параметр', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44759, 10298, '@EnableConfigurationProperties + @EnableAutoConfiguration + @ComponentScan', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44777, 10302, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44779, 10302, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44780, 10302, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44781, 10303, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44782, 10303, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44784, 10303, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44785, 10304, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44786, 10304, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44787, 10304, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44789, 10304, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44778, 10302, '641', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44788, 10304, 'Mammal', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44799, 10307, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44800, 10307, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44802, 10307, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44804, 10308, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44805, 10308, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44806, 10308, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44808, 10309, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44809, 10309, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44810, 10309, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44811, 10310, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44812, 10310, 'Интерфейс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44813, 10310, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44816, 10311, 'Из статического метода можно обратиться к переменной экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44817, 10311, 'Из статического блока инициализации можно обратиться к переменной экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44818, 10311, 'Из метода экземпляра класса можно обратиться к статической переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44819, 10312, 'Constructor DI', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44826, 10313, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44827, 10313, 'Attached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44828, 10313, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44829, 10314, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44830, 10314, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44832, 10314, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44833, 10314, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44834, 10315, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44835, 10315, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44837, 10315, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44838, 10315, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44839, 10315, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44840, 10316, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44841, 10316, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44842, 10316, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44844, 10316, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44824, 10313, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44831, 10314, 'Через метод buildSessionFactory() класса Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44836, 10315, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44843, 10316, 'Класс-сущность может быть абстрактным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44783, 10303, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44793, 10305, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44801, 10307, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44803, 10308, 'Интерфейс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44807, 10309, 'default', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44814, 10310, 'Абстрактный класс, интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44815, 10311, 'Значение финальной статической переменной может быть присвоено в конструкторе класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44822, 10312, 'Reflection DI', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44845, 10317, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44846, 10317, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44847, 10317, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44849, 10318, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44850, 10318, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44851, 10318, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44848, 10317, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44852, 10318, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46976, 10763, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46977, 10763, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46978, 10763, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46979, 10763, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46981, 10764, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46980, 10764, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44853, 10319, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44854, 10319, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44855, 10319, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44857, 10319, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44858, 10319, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44860, 10320, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44861, 10320, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44862, 10320, 'Для блока finally обязательны фигурные скобки {}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44863, 10321, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44865, 10321, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44866, 10321, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44867, 10322, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44868, 10322, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44869, 10322, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44871, 10323, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44872, 10323, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44874, 10323, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44875, 10324, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44876, 10324, 'final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44878, 10324, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44879, 10325, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44880, 10325, 'Интерфейс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44881, 10325, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44883, 10326, 'Значение финальной статической переменной может быть присвоено в конструкторе класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44884, 10326, 'Из статического метода можно обратиться к переменной экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44885, 10326, 'Из статического блока инициализации можно обратиться к переменной экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44888, 10327, 'Setter DI', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44889, 10327, 'Field DI', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44891, 10328, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44892, 10328, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44893, 10328, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44896, 10328, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44898, 10329, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44899, 10329, 'Через метод buildSessionFactory() класса Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44900, 10329, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44901, 10329, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44903, 10330, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44904, 10330, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44905, 10330, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44906, 10330, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44909, 10331, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44910, 10331, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44911, 10331, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44912, 10331, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44894, 10328, 'Detached', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44895, 10328, 'Attached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44897, 10329, 'Через конструктор SessionFactory', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44902, 10330, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44907, 10330, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44908, 10331, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44856, 10319, 'Mammal', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44859, 10320, 'Каждая строка блока finally гарантированно будет выполнена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44864, 10321, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44870, 10322, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44873, 10323, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44877, 10324, 'abstract', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44882, 10325, 'Абстрактный класс, интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44886, 10326, 'Из метода экземпляра класса можно обратиться к статической переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44887, 10327, 'Constructor DI', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44890, 10327, 'Reflection DI', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44913, 10332, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44914, 10332, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44915, 10332, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44916, 10332, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44917, 10333, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44918, 10333, 'Интерфейс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44919, 10333, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44920, 10333, 'Абстрактный класс, интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44921, 10334, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44922, 10334, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44923, 10334, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44924, 10334, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44925, 10335, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44926, 10335, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44927, 10335, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44928, 10335, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44929, 10336, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44930, 10336, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44931, 10336, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44932, 10336, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44933, 10337, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44993, 10349, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44994, 10349, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44934, 10337, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44935, 10337, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44936, 10337, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44937, 10338, 'Код скомпилируется и выведет 2 числа, а затем Test', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44938, 10338, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44939, 10338, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44940, 10338, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44941, 10338, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44942, 10338, 'Код компилируется и ждет вечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44943, 10339, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44944, 10339, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44945, 10339, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44946, 10339, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44947, 10340, 'allMatch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44948, 10340, 'anyMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44949, 10340, 'findAny', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44950, 10340, 'findFirst', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44951, 10340, 'noneMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44952, 10340, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44953, 10341, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44954, 10341, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44955, 10341, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44956, 10341, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44957, 10341, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44958, 10341, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44959, 10342, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44960, 10342, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44961, 10342, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44962, 10342, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44963, 10342, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44964, 10342, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44965, 10343, 'DEFINE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44966, 10343, 'EXPOSE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44967, 10343, 'COMPOSE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44968, 10343, 'OPEN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44969, 10344, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44970, 10344, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44971, 10344, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44972, 10344, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44973, 10345, '@RestController помечается класс используемый как REST клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44974, 10345, '@RestController = @Controller + @RequestBody + @ResponseBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44975, 10345, '@RestController = @Controller + @RequestBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44976, 10345, '@RestController = @Controller + @ResponseBody', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44977, 10346, 'Возвращает null при отсутствии экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44978, 10346, 'Кидает Exception при отсутствии экземпляра', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44979, 10346, 'Возвращает экземпляр-прокси при ленивой инициализации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44980, 10346, 'Кидает Exception при ленивой инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44981, 10346, 'Возвращает экземпляр, доступный только для чтения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44982, 10347, 'hibernate.cache.use_second_level_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44983, 10347, 'hibernate.cache.use_cache_query=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44984, 10347, 'hibernate.cache.use_query_cache=true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44985, 10347, 'hibernate.cache.use_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44986, 10347, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44987, 10348, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44988, 10348, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44989, 10348, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44990, 10348, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44991, 10348, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44992, 10348, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44995, 10349, 'Через метод buildSessionFactory() класса Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44996, 10349, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44997, 10349, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44998, 10350, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (44999, 10350, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45000, 10350, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45001, 10350, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45002, 10350, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45003, 10351, 'Управляет взаимодействием между сессией и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45004, 10351, 'Управляет взаимодействием между сессией и кэшем первого уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45005, 10351, 'Управляет взаимодействием между сессией и кэшем второго уровня', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45006, 10351, 'Управляет взаимодействием между сессией и кэшем запросов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45007, 10351, 'Управляет взаимодействием между кэшем первого уровня и кэшем второго уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45008, 10351, 'Управляет взаимодействием между кэшем второго уровня и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45009, 10352, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45010, 10352, 'Указатель на самый последний коммит в ветке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45011, 10352, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45012, 10352, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45013, 10352, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45014, 10352, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45015, 10353, 'Ветку, содержащую хотя бы один коммит, нельзя удалить', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45016, 10353, 'git delete --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45017, 10353, 'git branch --delete somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45018, 10353, 'git branch --d somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45019, 10353, 'git reset --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45020, 10353, 'git remove --b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45021, 10354, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45022, 10354, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45023, 10354, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45024, 10354, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45025, 10354, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45026, 10354, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45028, 10355, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45029, 10355, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45030, 10355, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45031, 10356, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45032, 10356, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45027, 10355, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45033, 10356, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45035, 10357, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45036, 10357, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45038, 10357, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45039, 10358, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45040, 10358, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45041, 10358, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45042, 10358, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45044, 10359, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45045, 10359, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45046, 10359, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45048, 10359, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45050, 10360, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45051, 10360, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45052, 10360, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45053, 10360, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45054, 10360, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45056, 10361, 'Данные из Docker Volume могут быть использованы между разными контейнерами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45058, 10361, 'Приложение, запущенное внутри контейнера, может обмениваться данными с Docker Volume', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45059, 10362, 'Удаление контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45060, 10362, 'Создание контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45061, 10362, 'Пауза контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45063, 10363, 'docker check', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45065, 10363, 'docker events', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45066, 10363, 'docker lifestat', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45154, 10383, 'git reset', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45067, 10364, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45069, 10364, 'Действие, которое будет выполняться для выбранных нами методов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45070, 10364, 'Точка в программе, где структура AOP будет инициализирована', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45071, 10365, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45073, 10365, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45074, 10365, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45075, 10366, 'Да', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45077, 10366, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45078, 10367, '@Key', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45079, 10367, '@PrimaryKey', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45081, 10367, '@PrimaryId', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45082, 10367, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45083, 10368, 'git refresh', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45084, 10368, 'git add remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45086, 10368, 'git reset', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45087, 10368, 'git push', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45088, 10368, 'git merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45089, 10369, 'git config user.name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45090, 10369, 'git config --global user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45091, 10369, 'git user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45092, 10369, 'git user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45094, 10369, 'git config user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45055, 10361, 'Содержимое Docker Volume удаляется если контейнер удаляется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45057, 10361, 'Docker volume привязан к жизненному циклу контейнера и не может существовать без него', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45062, 10362, 'Все варианты не верные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45064, 10363, 'docker stats', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45085, 10368, 'git pull', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45093, 10369, 'git config --global user_name', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45076, 10366, 'Нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45080, 10367, '@Id', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45034, 10356, 'Java поддерживает множественное наследование между интерфейсами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45037, 10357, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45068, 10364, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45072, 10365, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45095, 10370, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45102, 10371, 'Java поддерживает множественное наследование между интерфейсами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45043, 10358, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45047, 10359, 'Запрос составлен неверно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45049, 10360, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45096, 10370, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45097, 10370, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45098, 10370, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45099, 10371, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45100, 10371, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45101, 10371, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45103, 10372, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45104, 10372, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45106, 10372, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45107, 10373, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45105, 10372, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45108, 10373, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45110, 10373, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45111, 10373, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45112, 10374, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45114, 10374, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45115, 10374, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45116, 10374, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45119, 10375, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45120, 10375, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45121, 10375, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45123, 10376, 'Содержимое Docker Volume удаляется если контейнер удаляется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45125, 10376, 'Docker volume привязан к жизненному циклу контейнера и не может существовать без него', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45127, 10377, 'Удаление контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45128, 10377, 'Создание контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45129, 10377, 'Пауза контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45132, 10378, 'docker stats', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45133, 10378, 'docker events', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45134, 10378, 'docker lifestat', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45135, 10379, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45136, 10379, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45138, 10379, 'Точка в программе, где структура AOP будет инициализирована', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45139, 10380, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45141, 10380, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45142, 10380, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45143, 10381, 'Да', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45145, 10381, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45146, 10382, '@Key', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45147, 10382, '@PrimaryKey', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45149, 10382, '@PrimaryId', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45150, 10382, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45151, 10383, 'git refresh', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45152, 10383, 'git add remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45155, 10383, 'git push', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45156, 10383, 'git merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45157, 10384, 'git config user.name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45159, 10384, 'git user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45160, 10384, 'git user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45161, 10384, 'git config --global user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45162, 10384, 'git config user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45126, 10376, 'Приложение, запущенное внутри контейнера, может обмениваться данными с Docker Volume', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45124, 10376, 'Данные из Docker Volume могут быть использованы между разными контейнерами', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45130, 10377, 'Все варианты не верные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45131, 10378, 'docker check', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45153, 10383, 'git pull', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45158, 10384, 'git config --global user.name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45144, 10381, 'Нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45148, 10382, '@Id', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45137, 10379, 'Действие, которое будет выполняться для выбранных нами методов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45140, 10380, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45109, 10373, 'Все заказы, за 2020 год', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45113, 10374, 'Все заказы, за 2020 год кроме 1.01', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45117, 10375, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45118, 10375, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45122, 10375, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45164, 10385, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45165, 10385, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45166, 10385, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45167, 10386, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45168, 10386, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45169, 10386, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45171, 10387, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45172, 10387, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45174, 10387, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45163, 10385, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45170, 10386, 'Java поддерживает множественное наследование между интерфейсами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45173, 10387, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45175, 10388, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45176, 10388, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45178, 10388, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45179, 10388, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45180, 10389, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45182, 10389, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45183, 10389, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45184, 10389, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45186, 10390, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45187, 10390, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45188, 10390, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45189, 10390, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45190, 10390, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45191, 10391, 'Содержимое Docker Volume удаляется если контейнер удаляется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45192, 10391, 'Данные из Docker Volume могут быть использованы между разными контейнерами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45194, 10391, 'Приложение, запущенное внутри контейнера, может обмениваться данными с Docker Volume', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45195, 10392, 'Удаление контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45196, 10392, 'Создание контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45198, 10392, 'Все варианты не верные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45199, 10393, 'docker check', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45202, 10393, 'docker lifestat', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45203, 10394, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45204, 10394, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45205, 10394, 'Действие, которое будет выполняться для выбранных нами методов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45208, 10395, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45209, 10395, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45210, 10395, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45211, 10396, 'Да', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45213, 10396, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45214, 10397, '@Key', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45216, 10397, '@Id', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45217, 10397, '@PrimaryId', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45218, 10397, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45219, 10398, 'git refresh', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45220, 10398, 'git add remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45222, 10398, 'git reset', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45223, 10398, 'git push', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45224, 10398, 'git merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45225, 10399, 'git config user.name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45227, 10399, 'git user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45228, 10399, 'git user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45229, 10399, 'git config --global user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45230, 10399, 'git config user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45232, 10400, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45233, 10400, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45234, 10400, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45235, 10400, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45236, 10401, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45237, 10401, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45239, 10401, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45240, 10402, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45241, 10402, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45242, 10402, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45244, 10403, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45245, 10403, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45247, 10403, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45248, 10403, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45249, 10404, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45250, 10404, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45251, 10404, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45197, 10392, 'Пауза контейнера', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45201, 10393, 'docker events', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45200, 10393, 'docker stats', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45221, 10398, 'git pull', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45226, 10399, 'git config --global user.name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45212, 10396, 'Нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45215, 10397, '@PrimaryKey', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45206, 10394, 'Точка в программе, где структура AOP будет инициализирована', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45207, 10395, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45177, 10388, 'Все заказы, за 2020 год', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45181, 10389, 'Все заказы, за 2020 год кроме 1.01', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45185, 10390, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45231, 10400, 'Код компилируется без ошибок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45238, 10401, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45243, 10402, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45246, 10403, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45252, 10404, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45253, 10405, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45254, 10405, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45255, 10405, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45256, 10405, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45257, 10406, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45258, 10406, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45259, 10406, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45260, 10406, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45261, 10406, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45263, 10407, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45264, 10407, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45265, 10407, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45266, 10407, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45267, 10407, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45269, 10408, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45271, 10408, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45272, 10408, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45273, 10409, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45275, 10409, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45276, 10409, 'Никакой, все ответы правильные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45277, 10410, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45278, 10410, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45279, 10410, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45281, 10411, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45282, 10411, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45283, 10411, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45284, 10411, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45286, 10411, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45288, 10412, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45289, 10412, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45290, 10412, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45291, 10412, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45292, 10412, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45294, 10413, 'printf', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45295, 10413, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45296, 10413, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45297, 10413, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45298, 10413, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45299, 10414, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45301, 10414, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45302, 10414, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45303, 10414, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45304, 10414, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45306, 10415, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45307, 10415, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45308, 10415, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45310, 10416, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45311, 10416, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45313, 10416, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45314, 10416, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45315, 10417, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45316, 10417, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45318, 10417, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45268, 10407, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45270, 10408, 'Код не скомпилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45274, 10409, 'TestClass testClass = new TestClass<String>();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45280, 10410, 'Они все допускают', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45285, 10411, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45287, 10412, 'Код скомпилируется и выведет: 123456', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45293, 10413, 'print', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45300, 10414, 'Код вернет строку: XYZX.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45305, 10415, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45309, 10416, 'finalize() гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45312, 10416, 'Сборщик мусора гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45317, 10417, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45320, 10417, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45321, 10418, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45323, 10418, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45324, 10418, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45326, 10419, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45327, 10419, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45328, 10419, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45329, 10419, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45330, 10419, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45332, 10420, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45333, 10420, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45334, 10420, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45335, 10420, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45336, 10420, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45338, 10421, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45339, 10421, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45340, 10421, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45342, 10422, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45343, 10422, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45344, 10422, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45345, 10423, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45346, 10423, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45349, 10424, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45350, 10424, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45351, 10424, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45352, 10425, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45354, 10425, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45355, 10425, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45356, 10426, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45357, 10426, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45358, 10426, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45359, 10426, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45361, 10426, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45362, 10427, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45363, 10427, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45365, 10427, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45366, 10427, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45368, 10428, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45370, 10428, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47542, 10880, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45371, 10429, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45372, 10429, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45374, 10429, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45375, 10429, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45376, 10429, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45377, 10430, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45378, 10430, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45569, 10470, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45360, 10426, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45364, 10427, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45367, 10428, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45369, 10428, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45341, 10422, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45347, 10423, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45348, 10424, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45353, 10425, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45319, 10417, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45322, 10418, 'Одну строку в таблице без колонок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45325, 10419, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45331, 10420, 'Select type_name, count(*), sum(amount) from offices;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45379, 10430, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45381, 10430, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45382, 10431, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45383, 10431, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45385, 10431, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45386, 10432, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45387, 10432, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45388, 10432, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45390, 10433, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45391, 10433, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45393, 10433, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45394, 10433, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45395, 10434, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45396, 10434, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45397, 10434, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45400, 10435, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45401, 10435, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45402, 10435, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45403, 10436, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45404, 10436, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45406, 10436, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45407, 10436, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45408, 10436, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45409, 10437, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45411, 10437, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45412, 10437, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45413, 10437, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45414, 10437, 'Код может войти в deadlock во время выполнения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45415, 10438, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45416, 10438, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45417, 10438, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45420, 10439, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45421, 10439, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45422, 10439, 'Никакой, все ответы правильные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45423, 10440, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45425, 10440, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45426, 10440, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45427, 10441, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45429, 10441, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45430, 10441, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45431, 10441, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45432, 10441, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45433, 10442, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45434, 10442, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45435, 10442, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45436, 10442, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48454, 11069, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45438, 10442, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45439, 10443, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45441, 10443, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45444, 10443, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45446, 10444, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45447, 10444, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45448, 10444, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45449, 10444, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45384, 10431, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45389, 10432, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45392, 10433, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45398, 10434, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45399, 10435, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45410, 10437, 'Код всегда выводит Test1 и потом Test2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45418, 10438, 'Результат выполнения не известен по другой причине', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45419, 10439, 'TestClass testClass = new TestClass();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45424, 10440, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45428, 10441, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45437, 10442, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45440, 10443, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45442, 10443, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45443, 10443, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45445, 10444, 'Код вернет строку: XYZA.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45450, 10444, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45452, 10445, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45453, 10445, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45454, 10445, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45455, 10446, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45456, 10446, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45459, 10446, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45460, 10446, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45461, 10447, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45462, 10447, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45464, 10447, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45465, 10447, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45466, 10447, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45467, 10448, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45468, 10448, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45470, 10448, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45472, 10449, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45473, 10449, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45474, 10449, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45475, 10449, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45476, 10449, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45477, 10450, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45478, 10450, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45479, 10450, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45480, 10450, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45482, 10450, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45484, 10451, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45485, 10451, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45486, 10451, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45488, 10452, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45489, 10452, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45490, 10452, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45491, 10453, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45492, 10453, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45494, 10454, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45495, 10454, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45497, 10454, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45499, 10455, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45500, 10455, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45501, 10455, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45502, 10456, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45503, 10456, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45504, 10456, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45505, 10456, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45507, 10456, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45506, 10456, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45451, 10445, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45458, 10446, 'Сборщик мусора гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45487, 10452, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45493, 10453, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45496, 10454, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45498, 10455, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45463, 10447, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45469, 10448, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45471, 10449, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45481, 10450, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45508, 10457, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45509, 10457, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45510, 10457, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45511, 10457, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45514, 10458, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45516, 10458, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45517, 10459, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45518, 10459, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45519, 10459, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45521, 10459, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45522, 10459, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45483, 10451, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45520, 10459, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45512, 10457, 'Все перечисленные утверждения верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45523, 10460, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45525, 10460, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45526, 10460, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45527, 10460, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45528, 10461, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45529, 10461, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45531, 10461, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45532, 10462, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45533, 10462, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45534, 10462, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45536, 10463, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45537, 10463, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45539, 10463, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45540, 10463, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45541, 10464, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45543, 10464, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45544, 10464, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45545, 10465, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45546, 10465, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45548, 10465, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45549, 10466, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45550, 10466, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45552, 10466, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45553, 10466, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45554, 10466, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45556, 10467, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45557, 10467, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45558, 10467, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45559, 10467, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45562, 10468, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45563, 10468, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45564, 10468, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45565, 10469, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48456, 11070, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45566, 10469, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45567, 10469, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45570, 10470, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45513, 10458, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45515, 10458, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45524, 10460, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45530, 10461, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45535, 10462, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45538, 10463, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45542, 10464, 'static поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45547, 10465, 'Orca diving', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45551, 10466, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45555, 10467, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45561, 10468, 'Код выведет 1000', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45575, 10471, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45576, 10471, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45577, 10471, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45579, 10472, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45580, 10472, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45581, 10472, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45582, 10472, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45584, 10472, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45585, 10473, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45587, 10473, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45588, 10473, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45589, 10473, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45590, 10473, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45591, 10474, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45592, 10474, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45593, 10474, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45595, 10474, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45596, 10474, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45597, 10475, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45598, 10475, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45599, 10475, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45601, 10476, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45602, 10476, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45604, 10476, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45605, 10476, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45607, 10477, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45608, 10477, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45609, 10477, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45610, 10477, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45612, 10477, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45613, 10478, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45614, 10478, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45616, 10478, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45619, 10479, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45620, 10479, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45621, 10479, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45623, 10480, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45624, 10480, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45626, 10480, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45627, 10480, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45628, 10480, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45630, 10481, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45631, 10481, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45632, 10481, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45634, 10482, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45635, 10482, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45636, 10482, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45637, 10483, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45639, 10483, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45640, 10484, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45578, 10471, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45583, 10472, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45586, 10473, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45594, 10474, 'Код вернет строку: XYZY.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47458, 10863, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45600, 10475, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45603, 10476, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45606, 10476, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45633, 10482, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45638, 10483, 'Не является', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45611, 10477, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45615, 10478, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45617, 10479, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45622, 10479, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45618, 10479, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45625, 10480, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45641, 10484, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45643, 10484, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45645, 10485, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45646, 10485, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45647, 10485, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45648, 10486, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45649, 10486, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45650, 10486, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45651, 10486, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45652, 10486, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45654, 10487, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45655, 10487, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45656, 10487, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45658, 10487, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45660, 10488, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45664, 10489, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45665, 10489, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45667, 10489, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45629, 10481, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45380, 10430, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45663, 10489, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45666, 10489, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45668, 10489, 'Ошибка не исправляется командой git push -u somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45193, 10391, 'Docker volume привязан к жизненному циклу контейнера и не может существовать без него', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45653, 10486, 'Такой аннотации не существует в Hibernate', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45657, 10487, 'Класс-сущность может быть абстрактным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45659, 10488, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45661, 10488, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45662, 10488, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45405, 10436, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45560, 10467, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45568, 10469, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45572, 10470, 'Они все допускают', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45642, 10484, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45644, 10485, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45457, 10446, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45669, 10490, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45670, 10490, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45671, 10490, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45673, 10490, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45674, 10491, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45676, 10491, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45677, 10491, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45678, 10492, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45679, 10492, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45680, 10492, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45672, 10490, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45675, 10491, 'Exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50274, 11447, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47459, 10863, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47460, 10864, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47462, 10864, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47463, 10864, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47464, 10865, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47465, 10865, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47466, 10865, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47457, 10863, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47461, 10864, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47467, 10865, 'Каким-либо способом, не перечисленным среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57243, 12981, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57244, 12981, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57245, 12981, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45682, 10493, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45683, 10493, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45685, 10493, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45686, 10493, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45687, 10494, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45689, 10494, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45690, 10494, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45692, 10495, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45693, 10495, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45694, 10495, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45696, 10496, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45697, 10496, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45698, 10496, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45699, 10496, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45700, 10496, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45701, 10497, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45702, 10497, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45703, 10497, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45704, 10497, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45705, 10497, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45707, 10498, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45708, 10498, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45710, 10498, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45712, 10499, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45713, 10499, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45714, 10499, 'Никакой, все ответы правильные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45715, 10500, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45717, 10500, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45718, 10500, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45719, 10501, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45720, 10501, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45721, 10501, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45722, 10501, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45723, 10501, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45725, 10502, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45726, 10502, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45727, 10502, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45728, 10502, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45730, 10502, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45731, 10503, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45733, 10503, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45734, 10503, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45735, 10503, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45736, 10503, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45737, 10504, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45738, 10504, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45740, 10504, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45741, 10504, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45742, 10504, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45743, 10505, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45744, 10505, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45746, 10505, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45747, 10506, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45748, 10506, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45688, 10494, 'static поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45691, 10495, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45695, 10496, 'Он выведет 1000 1000', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45706, 10497, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45711, 10499, 'TestClass testClass = new TestClass();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45716, 10500, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45724, 10501, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45729, 10502, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45732, 10503, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45739, 10504, 'Код вернет строку: XYZB.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45745, 10505, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45751, 10506, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45752, 10506, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45753, 10507, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45754, 10507, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45758, 10507, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45760, 10508, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45761, 10508, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45762, 10508, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45763, 10509, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45764, 10509, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45765, 10509, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45766, 10509, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45767, 10509, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45768, 10509, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45769, 10510, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45770, 10510, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45771, 10510, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45772, 10510, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45773, 10510, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45774, 10510, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45776, 10511, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45777, 10511, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45778, 10511, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45780, 10512, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45781, 10512, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45782, 10512, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45784, 10513, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45785, 10513, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45787, 10514, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45788, 10514, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45789, 10514, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45790, 10515, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45791, 10515, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45792, 10515, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45794, 10516, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45795, 10516, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45796, 10516, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45797, 10516, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45799, 10516, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45800, 10517, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45801, 10517, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45803, 10517, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45804, 10517, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45806, 10518, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45809, 10519, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45810, 10519, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45798, 10516, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45808, 10518, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45805, 10518, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45807, 10518, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45750, 10506, 'Сборщик мусора гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45779, 10512, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45783, 10513, 'Является', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45786, 10514, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45793, 10515, 'ClassPathXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45837, 10525, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50336, 11461, 'Reflection DI', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45757, 10507, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45759, 10508, 'Ошибка: не указана таблица', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45812, 10519, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45813, 10519, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45775, 10511, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45814, 10519, 'Ошибка не исправляется командой git push -u somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45811, 10519, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45816, 10520, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45817, 10520, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45818, 10520, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45820, 10521, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45821, 10521, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45822, 10521, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45823, 10522, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45824, 10522, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45826, 10522, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45828, 10523, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45829, 10523, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45830, 10523, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45831, 10523, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45832, 10524, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45834, 10524, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45835, 10524, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45836, 10524, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45838, 10525, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45839, 10525, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45840, 10525, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45841, 10525, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45842, 10525, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45843, 10526, 'Содержимое Docker Volume удаляется если контейнер удаляется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45844, 10526, 'Данные из Docker Volume могут быть использованы между разными контейнерами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45847, 10527, 'Удаление контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45848, 10527, 'Создание контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45850, 10527, 'Все варианты не верные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45851, 10528, 'docker check', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45853, 10528, 'docker events', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45854, 10528, 'docker lifestat', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45855, 10529, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45856, 10529, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45857, 10529, 'Действие, которое будет выполняться для выбранных нами методов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45860, 10530, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45861, 10530, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45862, 10530, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45863, 10531, 'Да', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45865, 10531, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45866, 10532, '@Key', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45868, 10532, '@Id', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45869, 10532, '@PrimaryId', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45870, 10532, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45871, 10533, 'git refresh', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45872, 10533, 'git add remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45874, 10533, 'git reset', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45875, 10533, 'git push', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45876, 10533, 'git merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45877, 10534, 'git config user.name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45879, 10534, 'git user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45880, 10534, 'git user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45881, 10534, 'git config --global user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45882, 10534, 'git config user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45845, 10526, 'Docker volume привязан к жизненному циклу контейнера и не может существовать без него', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45846, 10526, 'Приложение, запущенное внутри контейнера, может обмениваться данными с Docker Volume', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45802, 10517, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45849, 10527, 'Пауза контейнера', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45852, 10528, 'docker stats', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45873, 10533, 'git pull', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45878, 10534, 'git config --global user.name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45864, 10531, 'Нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45867, 10532, '@PrimaryKey', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45815, 10520, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45819, 10521, 'Java не поддерживает множественное наследование', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45681, 10492, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45825, 10522, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45684, 10493, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45859, 10530, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45827, 10523, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45833, 10524, 'Все заказы, за 2020 год кроме 1.01', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45858, 10529, 'Точка в программе, где структура AOP будет инициализирована', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45709, 10498, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45883, 10535, 'throws, throw', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45884, 10535, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45885, 10535, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45886, 10535, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45887, 10536, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45888, 10536, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45889, 10536, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45890, 10536, 'Java поддерживает множественное наследование между интерфейсами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45891, 10537, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45892, 10537, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45893, 10537, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45894, 10537, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45895, 10538, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45896, 10538, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45897, 10538, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45898, 10538, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45899, 10538, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45900, 10539, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45901, 10539, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45902, 10539, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45903, 10539, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45904, 10539, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45905, 10540, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45906, 10540, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45907, 10540, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45908, 10540, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45909, 10540, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45910, 10540, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45911, 10541, 'Содержимое Docker Volume удаляется если контейнер удаляется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45912, 10541, 'Данные из Docker Volume могут быть использованы между разными контейнерами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45913, 10541, 'Docker volume привязан к жизненному циклу контейнера и не может существовать без него', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45914, 10541, 'Приложение, запущенное внутри контейнера, может обмениваться данными с Docker Volume', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45915, 10542, 'Удаление контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45916, 10542, 'Создание контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45917, 10542, 'Пауза контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45918, 10542, 'Все варианты не верные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45919, 10543, 'docker check', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45920, 10543, 'docker stats', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45921, 10543, 'docker events', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45922, 10543, 'docker lifestat', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45923, 10544, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45924, 10544, 'Набор точек, где будет выполнятся наш Advice', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45925, 10544, 'Действие, которое будет выполняться для выбранных нами методов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45926, 10544, 'Точка в программе, где структура AOP будет инициализирована', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45927, 10545, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45928, 10545, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45929, 10545, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45930, 10545, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45931, 10546, 'Да', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45932, 10546, 'Нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45933, 10546, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45934, 10547, '@Key', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45935, 10547, '@PrimaryKey', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45936, 10547, '@Id', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45937, 10547, '@PrimaryId', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45938, 10547, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45939, 10548, 'git refresh', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45940, 10548, 'git add remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45941, 10548, 'git pull', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45942, 10548, 'git reset', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45943, 10548, 'git push', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45944, 10548, 'git merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45945, 10549, 'git config user.name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45946, 10549, 'git config --global user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45947, 10549, 'git user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45948, 10549, 'git user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45949, 10549, 'git config --global user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45950, 10549, 'git config user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45952, 10550, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45953, 10550, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45954, 10550, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45955, 10551, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45956, 10551, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45957, 10551, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45963, 10553, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45964, 10553, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45966, 10553, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45967, 10553, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45968, 10554, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45969, 10554, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45970, 10554, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45972, 10554, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45975, 10555, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45976, 10555, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45977, 10555, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45978, 10555, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45980, 10556, 'Данные из Docker Volume могут быть использованы между разными контейнерами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45982, 10556, 'Приложение, запущенное внутри контейнера, может обмениваться данными с Docker Volume', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45983, 10557, 'Удаление контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45984, 10557, 'Создание контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45985, 10557, 'Пауза контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45987, 10558, 'docker check', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45989, 10558, 'docker events', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45990, 10558, 'docker lifestat', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45991, 10559, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45993, 10559, 'Действие, которое будет выполняться для выбранных нами методов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45994, 10559, 'Точка в программе, где структура AOP будет инициализирована', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45996, 10560, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45997, 10560, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45998, 10560, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45999, 10561, 'Да', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46001, 10561, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46002, 10562, '@Key', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46003, 10562, '@PrimaryKey', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46005, 10562, '@PrimaryId', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46006, 10562, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46007, 10563, 'git refresh', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46008, 10563, 'git add remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46010, 10563, 'git reset', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46011, 10563, 'git push', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46012, 10563, 'git merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46015, 10564, 'git user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46016, 10564, 'git user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46017, 10564, 'git config --global user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46018, 10564, 'git config user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45749, 10506, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45755, 10507, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45756, 10507, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46020, 10565, 'throw, throws', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46021, 10565, 'catch, throw', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46022, 10565, 'throw, catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46023, 10566, 'Java не поддерживает множественное наследование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46024, 10566, 'Java поддерживает множественное наследование с помощью неабстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46025, 10566, 'Java поддерживает множественное наследование с помощью абстрактных классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46027, 10567, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46029, 10567, 'Конкретный класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46030, 10567, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46031, 10568, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46032, 10568, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46034, 10568, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46035, 10568, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46036, 10569, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46038, 10569, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46019, 10565, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46028, 10567, 'Абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46033, 10568, 'Все заказы, за 2020 год', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46037, 10569, 'Все заказы, за 2020 год кроме 1.01', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45979, 10556, 'Содержимое Docker Volume удаляется если контейнер удаляется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45986, 10557, 'Все варианты не верные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45988, 10558, 'docker stats', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46009, 10563, 'git pull', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46013, 10564, 'git config user.name', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46014, 10564, 'git config --global user.name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46000, 10561, 'Нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46004, 10562, '@Id', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45992, 10559, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45995, 10560, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45965, 10553, 'Все заказы, за 2020 год', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45971, 10554, 'Запрос составлен неверно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45973, 10555, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45974, 10555, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57625, 13061, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57626, 13062, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57627, 13062, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57628, 13062, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58249, 13191, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46039, 10569, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46040, 10569, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46042, 10570, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46043, 10570, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46044, 10570, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46045, 10570, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46046, 10570, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46048, 10571, 'Данные из Docker Volume могут быть использованы между разными контейнерами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46050, 10571, 'Приложение, запущенное внутри контейнера, может обмениваться данными с Docker Volume', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46052, 10572, 'Создание контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46053, 10572, 'Пауза контейнера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46054, 10572, 'Все варианты не верные', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46055, 10573, 'docker check', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46058, 10573, 'docker lifestat', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46059, 10574, 'Набор всех правил и выполняемых действий', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46061, 10574, 'Действие, которое будет выполняться для выбранных нами методов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46062, 10574, 'Точка в программе, где структура AOP будет инициализирована', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46064, 10575, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46065, 10575, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46066, 10575, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46067, 10576, 'Да', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46069, 10576, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46070, 10577, '@Key', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46071, 10577, '@PrimaryKey', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46073, 10577, '@PrimaryId', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46074, 10577, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46075, 10578, 'git refresh', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46076, 10578, 'git add remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46078, 10578, 'git reset', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46079, 10578, 'git push', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46080, 10578, 'git merge', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46083, 10579, 'git user.name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46084, 10579, 'git user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46085, 10579, 'git config --global user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46086, 10579, 'git config user_name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46047, 10571, 'Содержимое Docker Volume удаляется если контейнер удаляется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46049, 10571, 'Docker volume привязан к жизненному циклу контейнера и не может существовать без него', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46051, 10572, 'Удаление контейнера', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46056, 10573, 'docker stats', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46057, 10573, 'docker events', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46077, 10578, 'git pull', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46082, 10579, 'git config --global user.name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46081, 10579, 'git config user.name', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46068, 10576, 'Нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46072, 10577, '@Id', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46026, 10566, 'Java поддерживает множественное наследование между интерфейсами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46060, 10574, 'Набор точек, где будет выполнятся наш Advice', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46063, 10575, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46041, 10570, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45981, 10556, 'Docker volume привязан к жизненному циклу контейнера и не может существовать без него', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45951, 10550, 'throws, throw', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45958, 10551, 'Java поддерживает множественное наследование между интерфейсами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45961, 10552, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45337, 10421, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45373, 10429, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (45262, 10406, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46087, 10580, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46088, 10580, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46089, 10580, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46091, 10580, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46092, 10581, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46093, 10581, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46095, 10581, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46096, 10582, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46090, 10580, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46094, 10581, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57709, 13078, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57710, 13078, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57711, 13078, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58250, 13191, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58251, 13191, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58252, 13192, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58253, 13192, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58254, 13192, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58255, 13192, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58256, 13193, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58257, 13193, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58258, 13193, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58259, 13193, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58260, 13193, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46097, 10582, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46098, 10582, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46100, 10583, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46169, 10596, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46101, 10583, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46103, 10583, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46104, 10583, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46105, 10584, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46106, 10584, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46107, 10584, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46110, 10585, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46111, 10585, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46112, 10585, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46113, 10586, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46114, 10586, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46116, 10586, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46117, 10586, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46118, 10586, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46120, 10587, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46121, 10587, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46122, 10587, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46123, 10587, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46125, 10588, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46126, 10588, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46128, 10588, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46129, 10589, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46130, 10589, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46131, 10589, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46133, 10590, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46135, 10590, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46136, 10590, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46137, 10591, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46138, 10591, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46139, 10591, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46140, 10591, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46141, 10591, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46143, 10592, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46144, 10592, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46145, 10592, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46146, 10592, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46148, 10592, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46149, 10593, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46151, 10593, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46154, 10593, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46155, 10594, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46156, 10594, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46157, 10594, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46159, 10594, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46160, 10594, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46162, 10595, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46163, 10595, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46102, 10583, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46108, 10584, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46109, 10585, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46115, 10586, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46124, 10587, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46127, 10588, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46132, 10589, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46134, 10590, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46142, 10591, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46147, 10592, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46150, 10593, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46153, 10593, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46152, 10593, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46158, 10594, 'Код вернет строку: XYZY.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46161, 10595, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46164, 10595, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46165, 10596, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46166, 10596, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46167, 10596, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46168, 10596, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46706, 10707, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46171, 10597, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46172, 10597, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46173, 10597, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46176, 10597, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46177, 10598, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46178, 10598, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46180, 10598, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46183, 10599, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46184, 10599, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46185, 10599, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46186, 10599, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46187, 10600, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46188, 10600, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46190, 10600, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46191, 10600, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46192, 10600, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46194, 10601, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46195, 10601, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46196, 10601, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46198, 10602, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46199, 10602, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46200, 10602, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46201, 10603, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46203, 10603, 'Зависит от scope бина', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46205, 10604, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46206, 10604, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46207, 10604, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46209, 10605, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46210, 10605, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46211, 10605, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46212, 10606, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46213, 10606, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46214, 10606, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46215, 10606, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46217, 10606, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46219, 10607, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46220, 10607, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46221, 10607, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47153, 10801, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46216, 10606, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46170, 10596, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46197, 10602, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46202, 10603, 'Не является', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46204, 10604, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46208, 10605, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46174, 10597, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46179, 10598, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46181, 10599, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46182, 10599, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46189, 10600, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46222, 10607, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46224, 10608, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46226, 10608, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46228, 10609, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46229, 10609, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46230, 10609, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46231, 10609, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46232, 10609, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46233, 10610, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46235, 10610, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46236, 10610, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46237, 10610, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46238, 10611, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46239, 10611, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46241, 10611, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46242, 10612, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46243, 10612, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46244, 10612, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46246, 10613, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46247, 10613, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46249, 10613, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46250, 10613, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46251, 10614, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46252, 10614, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46253, 10614, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46256, 10615, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46257, 10615, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46258, 10615, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46259, 10616, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46261, 10616, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46262, 10616, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46263, 10616, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46264, 10616, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46266, 10617, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46267, 10617, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46268, 10617, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46269, 10617, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46271, 10618, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46272, 10618, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46274, 10618, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46275, 10619, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46276, 10619, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46277, 10619, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46279, 10620, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46280, 10620, 'ArrayList', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46281, 10620, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46283, 10621, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46284, 10621, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46286, 10621, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46287, 10621, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46288, 10621, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46240, 10611, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46245, 10612, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46248, 10613, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46254, 10614, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46255, 10615, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46260, 10616, 'Он выведет 1000 999', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46270, 10617, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46273, 10618, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46278, 10619, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46282, 10620, 'Они все допускают', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46285, 10621, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46227, 10609, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46225, 10608, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46223, 10608, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58926, 13328, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58927, 13328, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58928, 13328, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58929, 13328, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60041, 13521, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46289, 10622, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46290, 10622, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46291, 10622, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46292, 10622, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46293, 10622, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46295, 10623, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46297, 10623, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46299, 10623, 'writer().println', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46300, 10623, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46301, 10624, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46302, 10624, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46304, 10624, 'Код вернет строку: XYZY.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46305, 10624, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46432, 10652, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46306, 10624, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46308, 10625, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46309, 10625, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46310, 10625, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46311, 10626, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46313, 10626, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46314, 10626, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46315, 10626, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46317, 10627, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46318, 10627, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46321, 10627, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46322, 10627, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46323, 10628, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46324, 10628, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46326, 10628, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46329, 10629, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46330, 10629, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46331, 10629, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46333, 10630, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46334, 10630, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46336, 10630, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46338, 10630, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46340, 10631, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46341, 10631, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46342, 10631, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46344, 10632, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46345, 10632, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46346, 10632, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46347, 10633, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46348, 10633, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46350, 10634, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46351, 10634, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46339, 10631, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46294, 10622, 'Код скомпилируется и выкинет исключение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46296, 10623, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46298, 10623, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46303, 10624, 'Код вернет строку: XYZB.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46307, 10625, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46312, 10626, 'finalize() гарантированно не вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46343, 10632, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46349, 10633, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46319, 10627, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46320, 10627, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46325, 10628, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46327, 10629, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46328, 10629, 'Select * from table as table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46332, 10629, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46335, 10630, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46337, 10630, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46404, 10646, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46405, 10646, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46407, 10647, '\jog13()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46353, 10634, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46355, 10635, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46356, 10635, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46357, 10635, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46358, 10636, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46359, 10636, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46360, 10636, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46361, 10636, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46363, 10636, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46365, 10637, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46366, 10637, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46367, 10637, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46368, 10637, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46370, 10638, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46373, 10639, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46374, 10639, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46376, 10639, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46377, 10639, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46375, 10639, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46378, 10639, 'Ошибка не исправляется командой git push -u somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46362, 10636, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46364, 10637, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46369, 10638, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46371, 10638, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46372, 10638, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46234, 10610, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46265, 10617, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46316, 10626, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46352, 10634, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46354, 10635, 'FileSystemXmlApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46379, 10640, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46380, 10640, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46382, 10640, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46383, 10641, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46384, 10641, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46385, 10641, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46387, 10642, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46389, 10642, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46390, 10642, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46391, 10643, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46392, 10643, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46393, 10643, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46395, 10644, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46396, 10644, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46397, 10644, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46399, 10645, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46400, 10645, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46401, 10645, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46403, 10646, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46408, 10647, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46381, 10640, 'Класс ExampleJava бросит исключение во время выполнения программы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46386, 10641, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46388, 10642, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46394, 10643, 'Неизменяемость переменной', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46398, 10644, 'Каким-либо способом, не перечисленным среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46402, 10645, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46411, 10648, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46413, 10648, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46414, 10648, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46416, 10649, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46417, 10649, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46418, 10649, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46419, 10649, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46420, 10649, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46421, 10650, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46422, 10650, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46423, 10650, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46425, 10650, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46426, 10651, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46427, 10651, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46428, 10651, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46430, 10652, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46431, 10652, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46433, 10652, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46435, 10652, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46437, 10653, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46438, 10653, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46439, 10653, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46440, 10653, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46441, 10653, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46442, 10654, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46444, 10654, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46445, 10654, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46446, 10654, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46447, 10654, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46448, 10655, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46449, 10655, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46450, 10655, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46451, 10655, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46453, 10655, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46455, 10656, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46456, 10656, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46457, 10656, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46458, 10656, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46459, 10656, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46460, 10657, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46461, 10657, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46463, 10657, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46464, 10657, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46465, 10657, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46466, 10658, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46468, 10658, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46470, 10659, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46471, 10659, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46415, 10649, 'caller((e) -> { String e=""; return "Poof" });', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46424, 10650, 'Не имеют доступ к полям и методам внешнего класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46429, 10651, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46434, 10652, 'Тип возвращаемого значения run() - дженерик', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46436, 10653, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46443, 10654, 'TestPack_en.java', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46469, 10659, '@Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46454, 10656, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46462, 10657, 'AND > OR > NOT > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46480, 10661, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46481, 10661, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46482, 10661, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46483, 10661, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46484, 10662, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46485, 10662, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46486, 10662, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46487, 10662, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46488, 10662, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46467, 10658, 'Нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46489, 10662, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46479, 10661, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46406, 10646, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46412, 10648, 'Невозможно сослаться на статические методы используя статические импорты', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46452, 10655, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46476, 10660, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46490, 10663, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46491, 10663, 'Код не компилируется из за ошибки на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46492, 10663, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46494, 10663, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46495, 10664, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46496, 10664, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46498, 10664, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46499, 10665, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46500, 10665, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46501, 10665, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46503, 10666, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46504, 10666, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46506, 10666, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46507, 10666, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46508, 10667, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46510, 10667, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46511, 10667, 'transient поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46513, 10668, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46514, 10668, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46515, 10668, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46516, 10669, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46517, 10669, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46519, 10669, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46520, 10669, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46521, 10669, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46523, 10670, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46524, 10670, 'Код всегда выводит Test2 и потом Test1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46525, 10670, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46526, 10670, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46528, 10671, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46529, 10671, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46493, 10663, 'Код не компилируется из за ошибки на строке C', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46497, 10664, 'Throwable', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46502, 10665, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46505, 10666, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46509, 10667, 'static поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46512, 10668, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46518, 10669, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46527, 10670, 'Код может войти в deadlock во время выполнения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46522, 10670, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46531, 10671, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46532, 10672, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46533, 10672, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46534, 10672, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46536, 10673, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46538, 10673, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46539, 10673, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46540, 10674, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46541, 10674, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46542, 10674, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46543, 10674, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46544, 10674, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46546, 10675, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46547, 10675, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46548, 10675, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46549, 10675, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46551, 10675, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46552, 10676, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46554, 10676, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46557, 10676, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46558, 10677, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46559, 10677, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46560, 10677, 'Код вернет строку: XYZB.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46562, 10677, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46563, 10677, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46564, 10678, 'Переменная height для Person не может иметь значение более 300', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46565, 10678, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46567, 10678, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46568, 10679, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46569, 10679, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50338, 11462, 'Transaction', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46571, 10679, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46572, 10679, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46574, 10680, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46575, 10680, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46576, 10680, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46579, 10680, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46580, 10681, 'Ошибка: не указана таблица', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46581, 10681, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46583, 10681, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46585, 10682, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46586, 10682, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46587, 10682, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46588, 10682, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46590, 10683, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46591, 10683, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46593, 10683, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46594, 10683, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46595, 10683, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46535, 10672, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46537, 10673, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46545, 10674, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46550, 10675, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46553, 10676, 'printf', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46555, 10676, 'format', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46556, 10676, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46561, 10677, 'Код вернет строку: XYZY.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46566, 10678, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46570, 10679, 'finalize() может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46573, 10679, 'Сборщик мусора может вызваться, а может нет', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46577, 10680, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46578, 10680, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46582, 10681, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46584, 10682, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46589, 10682, 'Select * from table table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46592, 10683, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46597, 10684, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46598, 10684, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46599, 10684, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46601, 10685, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46602, 10685, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46603, 10685, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46604, 10686, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46605, 10686, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46608, 10687, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46609, 10687, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46610, 10687, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46611, 10688, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46612, 10688, 'JavaConfigApplicationContext', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46614, 10688, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46615, 10689, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46616, 10689, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46617, 10689, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46618, 10689, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46619, 10689, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46621, 10690, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46622, 10690, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46623, 10690, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46624, 10690, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46627, 10691, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46629, 10691, 'Removed', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46631, 10692, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50341, 11462, 'Attached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46632, 10692, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46635, 10692, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46636, 10693, 'Код компилируется без ошибок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46638, 10693, 'Код не компилируется из за ошибки на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46639, 10693, 'Код не компилируется из за ошибки на строке C', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46640, 10693, 'Код компилируется, но кидает исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46641, 10694, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46643, 10694, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46644, 10694, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46645, 10695, 'Одинаковый список параметров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46646, 10695, 'Разные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46647, 10695, 'Ковариантные типы возвращаемых значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46649, 10696, 'Интерфейс, который имеет только один метод mark()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46650, 10696, 'Интерфейс, который должен иметь метод mark(), а так же любое кол-во других методов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46652, 10696, 'Любой интерфейс можно назвать интерфейсом-маркером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46653, 10696, 'Ни одно из вышеперечисленных определений не является верным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46654, 10697, 'private поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46655, 10697, 'static поля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46656, 10697, 'final поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46620, 10689, 'Такой аннотации не существует в Hibernate', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46625, 10690, 'Все перечисленные утверждения верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46628, 10691, 'Detached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46626, 10691, 'Transient', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46600, 10685, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46606, 10686, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46607, 10687, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46613, 10688, 'AnnotationConfigApplicationContext', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46637, 10693, 'Код не компилируется из за ошибки на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46642, 10694, 'Exception', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46648, 10695, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46651, 10696, 'Интерфейс, который не имеет ни одного метода, как и констант', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46657, 10697, 'transient поля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46659, 10698, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46660, 10698, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46661, 10698, 'Ошибка компиляции на строке:public void dive(int depth) {System.out.println("Orca diving");}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46662, 10699, 'Он выведет 1000 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46663, 10699, 'Он выведет 1000 999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46665, 10699, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46666, 10699, 'Код компилируется, но кидает исключение при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46667, 10699, 'Код компилируется, но входит в бесконечный цикл при выполнении', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46668, 10700, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46669, 10700, 'Код всегда выводит Test1 и потом Test2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46671, 10700, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46672, 10700, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46673, 10700, 'Код может войти в deadlock во время выполнения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46674, 10701, 'Код выведет 1000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46675, 10701, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46677, 10701, 'Результат выполнения не известен по другой причине', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46678, 10702, 'TestClass testClass = new TestClass();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46679, 10702, 'TestClass testClass = new TestClass<String>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46680, 10702, 'TestClass<String> testClass = new TestClass<>();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46682, 10703, 'ArrayDeque', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46684, 10703, 'TreeSet', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46685, 10703, 'Они все допускают', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46686, 10704, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46687, 10704, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46688, 10704, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46689, 10704, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46690, 10704, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46692, 10705, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46693, 10705, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46694, 10705, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46695, 10705, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46697, 10705, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46698, 10706, 'print', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46699, 10706, 'printf', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46700, 10706, 'println', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46701, 10706, 'format', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46703, 10706, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46704, 10707, 'Код вернет строку: XYZA.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46705, 10707, 'Код вернет строку: XYZX.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46708, 10707, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46709, 10707, 'Недостаточно информации для определения результата', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46711, 10708, 'Этот код является примером хорошо инкапсулированного класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46712, 10708, 'Даже не смотря на то что этот класс плохо инкапсулирован, он все равно может быть унаследован другими классами', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46713, 10708, 'Класс был бы лучше инкапсулирован, если бы отсутствовала проверка (newHeight <= 300)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46714, 10709, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46716, 10709, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46718, 10709, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46719, 10709, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46720, 10710, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46721, 10710, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46723, 10710, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47154, 10801, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46670, 10700, 'Код всегда выводит Test2 и потом Test1', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46681, 10702, 'Никакой, все ответы правильные', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46683, 10703, 'ArrayList', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46691, 10704, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46696, 10705, 'Код не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46702, 10706, 'writer().println', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46710, 10708, 'Переменная height для Person не может иметь значение более 300', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46717, 10709, 'Сборщик мусора гарантированно вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46715, 10709, 'finalize() гарантированно не вызовется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46707, 10707, 'Код вернет строку: XYZY.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46722, 10710, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46724, 10710, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46727, 10711, 'Одну строку в таблице без колонок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46728, 10711, 'Одну строку с значением 0 в таблице с одной безымянной колонкой', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46729, 10711, 'Не вернет ни одной строки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46731, 10712, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46732, 10712, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46733, 10712, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46734, 10712, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46735, 10712, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46736, 10713, 'Select type_name, count(*), sum(amount) from offices;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46737, 10713, 'Select type_name, count(*), sum(amount) from offices order by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46739, 10713, 'Select type_name, count(*), sum(*) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46740, 10713, 'Select type_name, count(amount), sum(amount) from offices group by type_name;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46741, 10713, 'Select count(*), sum(amount) from offices group by type_name;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46743, 10714, 'Файл содержащий список сервисов и внешних ссылок для работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46744, 10714, 'Файл содержащий список файлов, которые будут проигнорированы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46745, 10714, 'Файл содержащий список доступных образов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46747, 10715, 'application', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46748, 10715, 'prototype', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46749, 10715, 'session', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46750, 10716, 'Является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46751, 10716, 'Не является', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46753, 10717, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46754, 10717, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46756, 10717, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46757, 10718, 'FileSystemXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46759, 10718, 'AnnotationConfigApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46760, 10718, 'ClassPathXmlApplicationContext', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46761, 10719, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46762, 10719, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46763, 10719, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46764, 10719, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46766, 10719, 'Такой аннотации не существует в Hibernate', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46767, 10720, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46768, 10720, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46903, 10748, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46769, 10720, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46771, 10720, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46772, 10721, 'Transient', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46773, 10721, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46774, 10721, 'Detached', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46776, 10722, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46777, 10722, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46778, 10722, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46780, 10722, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46781, 10722, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46782, 10723, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46783, 10723, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47468, 10866, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46765, 10719, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46770, 10720, 'Класс-сущность может быть абстрактным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46775, 10721, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46746, 10715, 'singlton', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46752, 10716, 'Зависит от scope бина', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46755, 10717, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46758, 10718, 'JavaConfigApplicationContext', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46725, 10710, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46726, 10711, 'Ошибка: не указана таблица', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46730, 10712, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46738, 10713, 'Select type_name, count(*), sum(amount) from offices group by type_name;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46785, 10723, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46786, 10724, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46787, 10724, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46788, 10724, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46790, 10725, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46792, 10725, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46793, 10725, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46794, 10726, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46796, 10726, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46797, 10726, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46799, 10727, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46800, 10727, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46801, 10727, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46802, 10728, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46804, 10728, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46805, 10728, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46806, 10729, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46807, 10729, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46808, 10729, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46810, 10730, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46811, 10730, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46813, 10730, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46815, 10731, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46816, 10731, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46817, 10731, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46818, 10732, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46820, 10732, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46821, 10732, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46822, 10732, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46823, 10732, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46825, 10733, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46827, 10733, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46828, 10733, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46829, 10734, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46830, 10734, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46831, 10734, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46833, 10735, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46834, 10735, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46837, 10735, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46840, 10736, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46841, 10736, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46842, 10736, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46843, 10736, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46904, 10748, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50508, 11501, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46844, 10736, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46845, 10737, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46846, 10737, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46848, 10737, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46849, 10737, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46850, 10737, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46851, 10738, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46912, 10750, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46789, 10724, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46791, 10725, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46795, 10726, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46798, 10727, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46803, 10728, 'Модификатор доступа', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46812, 10730, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46814, 10731, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46819, 10732, 'caller((e) -> {"Poof"});', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46824, 10733, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46826, 10733, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46832, 10734, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46835, 10735, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46838, 10735, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46839, 10736, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46847, 10737, 'TestPack_en.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46852, 10738, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46853, 10738, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46855, 10738, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46856, 10738, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46858, 10739, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46859, 10739, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46860, 10739, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46861, 10739, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46862, 10739, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46863, 10740, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46864, 10740, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46865, 10740, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46867, 10740, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46868, 10740, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46870, 10741, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46871, 10741, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46872, 10742, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46873, 10742, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46874, 10742, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46876, 10742, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46877, 10743, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46878, 10743, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46880, 10743, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46881, 10744, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46882, 10744, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46883, 10744, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46885, 10744, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46886, 10744, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46888, 10745, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46889, 10745, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46890, 10745, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46891, 10745, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46892, 10745, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46893, 10746, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46894, 10746, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46895, 10746, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46897, 10747, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46898, 10747, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46899, 10747, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46901, 10748, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46905, 10749, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46907, 10749, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46908, 10749, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46909, 10750, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46910, 10750, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46869, 10741, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46854, 10738, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46875, 10742, '@Bean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46879, 10743, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46857, 10739, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46866, 10740, 'NOT > AND > OR и IN', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46896, 10746, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46900, 10747, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46902, 10748, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46906, 10749, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46911, 10750, 'Вызвать сеттер', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59192, 13374, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59193, 13374, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59194, 13374, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59195, 13374, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59196, 13374, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59453, 13419, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46917, 10752, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46918, 10752, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46919, 10752, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46921, 10753, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46922, 10753, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46923, 10753, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46926, 10754, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46927, 10754, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46928, 10754, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46929, 10755, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46930, 10755, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46931, 10755, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46932, 10755, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46934, 10755, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46936, 10756, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46937, 10756, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46938, 10756, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46939, 10756, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46940, 10757, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46942, 10757, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46943, 10757, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46944, 10758, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46945, 10758, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46948, 10758, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46950, 10759, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46951, 10759, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46953, 10759, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46954, 10759, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46956, 10760, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46957, 10760, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46959, 10760, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46960, 10760, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46961, 10760, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46962, 10761, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46963, 10761, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46964, 10761, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46965, 10761, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46966, 10761, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46969, 10762, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46970, 10762, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46971, 10762, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46972, 10762, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46973, 10762, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46924, 10753, 'walk#()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46933, 10755, 'caller((e) -> { String f = ""; return "Poof"; });', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46935, 10756, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46941, 10757, 'Все утверждения являются верными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46946, 10758, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46947, 10758, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46955, 10759, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46952, 10759, 'Ошибка компиляции на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46958, 10760, 'TestPack_en.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46967, 10761, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46968, 10762, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46974, 10763, 'Приоритеты всех перечисленных операций равны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46982, 10764, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46983, 10765, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46985, 10765, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46986, 10765, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46987, 10765, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46989, 10766, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46990, 10766, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46991, 10766, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46992, 10767, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46993, 10767, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46994, 10767, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46995, 10767, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46997, 10767, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46999, 10768, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47000, 10768, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47001, 10768, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47002, 10768, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47003, 10768, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47004, 10769, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47005, 10769, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47006, 10769, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47008, 10770, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47009, 10770, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47010, 10770, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47012, 10771, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47014, 10771, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47015, 10771, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47016, 10772, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47018, 10772, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47019, 10772, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47021, 10773, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47022, 10773, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47023, 10773, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47024, 10774, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47025, 10774, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47026, 10774, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47028, 10775, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47029, 10775, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47030, 10775, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47032, 10776, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47033, 10776, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47035, 10776, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47036, 10777, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47037, 10777, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47038, 10777, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47040, 10778, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47041, 10778, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47122, 10793, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47042, 10778, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47043, 10778, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47044, 10778, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47011, 10770, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47013, 10771, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47017, 10772, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47020, 10773, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47027, 10774, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47034, 10776, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47039, 10777, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46998, 10768, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46996, 10767, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46984, 10765, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46988, 10766, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47047, 10779, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47049, 10779, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47051, 10780, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47052, 10780, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47053, 10780, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47056, 10781, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47059, 10781, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47062, 10782, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47063, 10782, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47064, 10782, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47065, 10782, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47067, 10783, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47068, 10783, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47070, 10783, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47071, 10783, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47072, 10783, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47073, 10784, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47074, 10784, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47075, 10784, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47076, 10784, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47078, 10784, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47079, 10785, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47080, 10785, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47082, 10785, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47083, 10785, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47084, 10785, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47085, 10786, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47086, 10786, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47087, 10786, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47089, 10786, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47090, 10786, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47092, 10787, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47093, 10787, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47094, 10788, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47095, 10788, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47097, 10788, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47098, 10788, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47100, 10789, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47101, 10789, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47102, 10789, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47103, 10790, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47091, 10787, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47048, 10779, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47054, 10780, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47060, 10781, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47058, 10781, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47055, 10781, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47057, 10781, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47061, 10782, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47123, 10794, 'ArrayIndexOutOfBoundsException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47066, 10782, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47069, 10783, 'TestPack_en.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47077, 10784, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47096, 10788, '@Controller', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47099, 10789, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47081, 10785, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47088, 10786, 'NOT > AND > OR и IN', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47155, 10801, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47158, 10802, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47104, 10790, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47105, 10790, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47107, 10790, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47108, 10790, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47110, 10791, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47111, 10791, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47112, 10791, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47113, 10791, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47114, 10791, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47109, 10791, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47106, 10790, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47007, 10769, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47031, 10775, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46596, 10684, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46633, 10692, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46630, 10692, 'Ветка существует локально, но не удаленно', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46634, 10692, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47045, 10778, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47050, 10779, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47046, 10779, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46530, 10671, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47115, 10792, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47116, 10792, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47117, 10792, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47119, 10793, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47120, 10793, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47121, 10793, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47124, 10794, 'IOException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47125, 10794, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47126, 10794, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47127, 10795, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47129, 10795, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47130, 10795, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47132, 10796, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47133, 10796, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47134, 10796, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47135, 10797, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47136, 10797, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47137, 10797, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47139, 10798, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47140, 10798, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47141, 10798, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47143, 10799, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47144, 10799, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47145, 10799, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47147, 10800, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47148, 10800, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47150, 10800, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47151, 10801, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47118, 10792, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47128, 10795, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47131, 10796, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47138, 10797, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47142, 10798, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47146, 10799, 'walk#()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47149, 10800, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47160, 10802, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47162, 10803, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47163, 10803, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47164, 10803, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47166, 10804, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47167, 10804, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47170, 10804, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47172, 10805, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47173, 10805, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47174, 10805, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47175, 10805, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47176, 10805, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47179, 10806, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47180, 10806, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47181, 10806, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47182, 10806, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47183, 10806, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47184, 10807, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47185, 10807, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47186, 10807, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47187, 10807, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47189, 10807, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47190, 10808, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47192, 10808, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47193, 10808, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47194, 10808, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47195, 10808, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47196, 10809, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47197, 10809, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47198, 10809, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47199, 10809, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47200, 10809, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47203, 10810, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47204, 10810, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47205, 10811, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47206, 10811, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47207, 10811, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47209, 10811, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47211, 10812, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47212, 10812, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47213, 10812, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47214, 10813, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47215, 10813, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47216, 10813, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47202, 10810, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47165, 10803, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47168, 10804, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47169, 10804, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47171, 10804, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47177, 10805, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47178, 10806, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47188, 10807, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47208, 10811, '@Bean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47277, 10827, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47210, 10812, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47191, 10808, 'Select address from offices union all Select address from departments union all Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47201, 10809, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60122, 13538, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60123, 13538, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60124, 13538, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60125, 13538, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60126, 13538, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61131, 13719, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47218, 10813, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47219, 10813, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47221, 10814, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47222, 10814, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47223, 10814, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47224, 10814, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47225, 10814, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47226, 10815, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47227, 10815, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47228, 10815, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47230, 10816, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47231, 10816, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47232, 10816, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47234, 10817, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47235, 10817, 'IOException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47237, 10817, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47238, 10818, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47240, 10818, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47241, 10818, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47242, 10819, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47243, 10819, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47244, 10819, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47246, 10820, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47247, 10820, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47248, 10820, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47250, 10821, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47251, 10821, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47252, 10821, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47254, 10822, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47255, 10822, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47257, 10822, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47258, 10823, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47259, 10823, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47260, 10823, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47262, 10824, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47264, 10824, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47265, 10824, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47269, 10825, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47273, 10826, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47274, 10826, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47275, 10826, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47278, 10827, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47229, 10815, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47233, 10816, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47236, 10817, 'IllegalArgumentException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47239, 10818, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47245, 10819, 'Каким-либо способом, не перечисленным среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47249, 10820, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47253, 10821, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47256, 10822, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47261, 10823, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47267, 10824, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47263, 10824, 'caller((e) -> {"Poof"});', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47266, 10824, 'caller((e) -> { String f = ""; return "Poof"; });', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47270, 10825, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47271, 10825, 'Не имеют доступ к полям и методам внешнего класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47268, 10825, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47276, 10826, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47280, 10827, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50509, 11501, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47279, 10827, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61132, 13719, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61133, 13719, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61134, 13719, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61135, 13720, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61136, 13720, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61219, 13739, '(1, 2) + (2, 3)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63114, 14078, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47284, 10828, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47285, 10828, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47286, 10828, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47287, 10828, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47290, 10829, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47291, 10829, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47292, 10829, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47293, 10829, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47294, 10829, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47295, 10830, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47296, 10830, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47297, 10830, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47299, 10830, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47300, 10830, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47301, 10831, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47303, 10831, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47304, 10831, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47305, 10831, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47306, 10831, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47307, 10832, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47308, 10832, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47309, 10832, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47311, 10832, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47312, 10832, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47314, 10833, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47315, 10833, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47317, 10834, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47318, 10834, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47319, 10834, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47320, 10834, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47322, 10835, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47323, 10835, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47324, 10835, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47325, 10836, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47326, 10836, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47327, 10836, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47329, 10836, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47330, 10836, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47331, 10837, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47332, 10837, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47333, 10837, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47334, 10837, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47335, 10837, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47337, 10838, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47338, 10838, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47469, 10866, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47313, 10833, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47282, 10827, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47283, 10828, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47288, 10828, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47289, 10829, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47298, 10830, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47316, 10834, '@Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47391, 10850, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47321, 10835, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47302, 10831, 'Select address from offices union all Select address from departments union all Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47310, 10832, 'NOT > AND > OR и IN', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63115, 14078, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63116, 14078, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63117, 14079, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63374, 14123, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47339, 10838, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47341, 10839, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47342, 10839, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47343, 10839, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47345, 10840, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47347, 10840, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47348, 10840, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47349, 10841, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47351, 10841, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47352, 10841, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47353, 10842, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47354, 10842, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47355, 10842, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47357, 10843, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47358, 10843, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47359, 10843, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47361, 10844, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47362, 10844, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47363, 10844, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47366, 10845, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47367, 10845, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47368, 10845, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47369, 10846, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47370, 10846, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47372, 10846, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47373, 10847, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47374, 10847, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47375, 10847, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47376, 10847, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47377, 10847, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47380, 10848, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47381, 10848, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47382, 10848, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47384, 10849, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47385, 10849, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47386, 10849, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47389, 10850, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47392, 10850, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47393, 10850, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47394, 10851, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47396, 10851, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47397, 10851, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47398, 10851, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47399, 10851, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47400, 10852, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47401, 10852, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47403, 10852, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47404, 10852, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47405, 10852, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47406, 10853, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47340, 10838, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47344, 10839, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47346, 10840, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47350, 10841, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47356, 10842, 'Каким-либо способом, не перечисленным среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47360, 10843, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47365, 10845, '\jog13()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47371, 10846, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47378, 10847, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47379, 10848, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47387, 10849, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47390, 10850, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47388, 10850, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47541, 10880, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47395, 10851, 'Код выведет 4 3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47402, 10852, 'TestPack_en.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47470, 10866, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47472, 10867, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47473, 10867, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47407, 10853, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47408, 10853, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47409, 10853, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47411, 10853, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47412, 10854, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47413, 10854, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47415, 10854, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47416, 10854, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47417, 10854, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47418, 10855, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47419, 10855, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47420, 10855, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47421, 10855, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47422, 10855, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47425, 10856, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47426, 10856, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47427, 10857, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47429, 10857, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47430, 10857, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47431, 10857, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47433, 10858, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47434, 10858, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47435, 10858, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47436, 10859, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47437, 10859, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47438, 10859, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47440, 10859, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47441, 10859, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47443, 10860, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47444, 10860, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47445, 10860, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47446, 10860, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47447, 10860, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47424, 10856, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47442, 10860, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47439, 10859, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47364, 10844, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47383, 10848, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47410, 10853, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47428, 10857, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47432, 10858, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47414, 10854, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47423, 10855, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47448, 10861, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47449, 10861, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47450, 10861, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47452, 10862, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47453, 10862, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47454, 10862, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47456, 10863, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47451, 10861, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47455, 10862, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47474, 10867, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47476, 10868, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47477, 10868, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47479, 10868, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47480, 10869, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47481, 10869, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47483, 10869, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47484, 10870, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47485, 10870, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47486, 10870, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47487, 10870, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47491, 10871, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47492, 10871, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47493, 10871, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47495, 10872, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47496, 10872, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47497, 10872, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47500, 10873, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47503, 10873, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47504, 10873, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47506, 10874, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47507, 10874, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47508, 10874, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47509, 10874, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47510, 10874, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47511, 10875, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47512, 10875, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47513, 10875, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47514, 10875, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47516, 10875, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47517, 10876, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47518, 10876, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47519, 10876, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47520, 10876, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47521, 10876, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47523, 10877, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47524, 10877, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47526, 10877, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47527, 10877, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47528, 10877, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47529, 10878, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47530, 10878, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47532, 10878, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47533, 10878, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47478, 10868, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47489, 10870, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47488, 10870, 'caller((e) -> { String f = ""; return "Poof"; });', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47490, 10871, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47494, 10871, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47498, 10872, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47499, 10873, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47501, 10873, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47502, 10873, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47505, 10874, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47515, 10875, 'ProdPack_en_US.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47522, 10876, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47525, 10877, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47531, 10878, 'AND > OR > NOT > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47534, 10878, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47536, 10879, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47537, 10879, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47538, 10880, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47540, 10880, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47544, 10881, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47545, 10881, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47546, 10881, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47547, 10882, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47548, 10882, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47549, 10882, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47551, 10882, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47552, 10882, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47554, 10883, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47555, 10883, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47556, 10883, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47557, 10883, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47558, 10883, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47220, 10814, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47217, 10813, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47156, 10801, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47152, 10801, 'caller((e) -> {"Poof"});', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47157, 10802, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47161, 10802, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47159, 10802, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46742, 10714, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46779, 10722, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46658, 10698, 'Ошибка компиляции на строке:public abstract void dive() {};', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46664, 10699, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46676, 10701, 'Результат выполнения не известен до выполнения так как обращение к count не потокобезопасно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46887, 10745, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46884, 10744, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46784, 10723, 'Класс ExampleJava бросит исключение во время выполнения программы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46809, 10729, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46836, 10735, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47336, 10837, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47328, 10836, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47272, 10825, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47281, 10827, 'Тип возвращаемого значения run() - дженерик', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46193, 10601, 'Файл содержащий список команд для построения образа', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46218, 10607, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46099, 10582, 'Одинаковое название метода', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47625, 10898, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47535, 10879, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47539, 10880, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47543, 10881, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46119, 10587, 'Если код что-то выведет - порядок не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46175, 10597, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47559, 10884, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47560, 10884, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47561, 10884, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47563, 10885, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47564, 10885, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47566, 10885, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47567, 10886, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47569, 10886, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47570, 10886, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47571, 10887, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47573, 10887, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47574, 10887, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47576, 10888, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47577, 10888, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47578, 10888, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47579, 10889, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47580, 10889, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47581, 10889, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47583, 10890, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47584, 10890, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47585, 10890, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47587, 10891, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47588, 10891, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47590, 10891, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47591, 10892, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47592, 10892, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47593, 10892, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47595, 10893, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47596, 10893, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47597, 10893, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47598, 10893, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47604, 10894, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47606, 10895, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47607, 10895, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47608, 10895, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47610, 10896, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47614, 10896, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47617, 10897, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47618, 10897, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47619, 10897, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47620, 10897, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47621, 10897, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47623, 10898, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47624, 10898, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47565, 10885, '930', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47568, 10886, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47572, 10887, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47575, 10888, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47582, 10889, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47589, 10891, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47594, 10892, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47600, 10893, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47599, 10893, 'caller((e) -> { String f = ""; return "Poof"; });', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47602, 10894, 'Не могут быть private/protected/static. Могут быть только public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47609, 10895, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47612, 10896, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47611, 10896, 'call() принимает дженерик в качестве аргумента', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47615, 10896, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47613, 10896, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47616, 10897, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47622, 10898, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47626, 10898, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47627, 10898, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47628, 10899, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47629, 10899, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47630, 10899, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47632, 10899, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47633, 10899, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47634, 10900, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47635, 10900, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47637, 10900, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47638, 10900, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50685, 11536, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47639, 10900, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47640, 10901, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47641, 10901, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47642, 10901, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47644, 10901, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47645, 10901, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47646, 10902, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47648, 10902, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47649, 10903, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47650, 10903, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47652, 10903, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47653, 10903, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47654, 10904, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47655, 10904, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47657, 10904, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47658, 10905, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47659, 10905, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47660, 10905, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47662, 10905, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47663, 10905, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47665, 10906, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47666, 10906, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47667, 10906, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47668, 10906, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47669, 10906, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47670, 10907, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47671, 10907, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47673, 10907, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47674, 10908, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47675, 10908, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47676, 10908, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47678, 10909, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47680, 10909, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47681, 10909, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47682, 10910, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47684, 10910, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47685, 10910, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47661, 10905, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47651, 10903, '@Controller', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47656, 10904, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47636, 10900, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47643, 10901, 'NOT > AND > OR и IN', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47672, 10907, 'Класс ExampleJava бросит исключение во время выполнения программы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47677, 10908, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47679, 10909, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47683, 10910, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47690, 10912, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47691, 10912, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47692, 10912, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47694, 10913, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47695, 10913, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47696, 10913, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47698, 10914, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47699, 10914, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47701, 10914, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47702, 10915, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47703, 10915, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47705, 10915, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47706, 10916, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47707, 10916, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47708, 10916, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47709, 10916, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47710, 10916, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47713, 10917, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47714, 10917, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50910, 11583, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47715, 10917, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47717, 10918, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47718, 10918, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47719, 10918, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47722, 10919, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47725, 10919, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47728, 10920, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47729, 10920, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47730, 10920, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47731, 10920, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47732, 10920, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47734, 10921, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47735, 10921, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47736, 10921, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47737, 10921, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47738, 10921, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47739, 10922, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47740, 10922, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47741, 10922, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47743, 10922, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47744, 10922, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47745, 10923, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47746, 10923, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47748, 10923, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47693, 10912, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47700, 10914, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47704, 10915, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47711, 10916, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47712, 10917, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47720, 10918, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47721, 10919, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47723, 10919, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47724, 10919, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47727, 10920, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47733, 10921, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47742, 10922, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47747, 10923, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47849, 10944, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47850, 10945, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47851, 10945, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47749, 10923, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47750, 10923, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47751, 10924, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47752, 10924, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47753, 10924, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47754, 10924, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47755, 10924, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47758, 10925, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47759, 10925, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47761, 10926, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47762, 10926, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47763, 10926, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47764, 10926, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47766, 10927, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47767, 10927, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47768, 10927, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47769, 10928, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47770, 10928, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48359, 11050, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47771, 10928, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47773, 10928, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47774, 10928, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47776, 10929, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47777, 10929, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47778, 10929, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47779, 10929, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47780, 10929, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47647, 10902, 'Нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47664, 10906, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47562, 10884, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47586, 10890, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47601, 10894, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47605, 10894, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47603, 10894, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47631, 10899, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46916, 10751, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46920, 10752, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46925, 10754, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47757, 10925, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47775, 10929, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47772, 10928, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (46949, 10758, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47689, 10911, 'Каким-либо способом, не перечисленным среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47697, 10913, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47716, 10917, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47726, 10919, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47760, 10926, '@Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47765, 10927, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47756, 10924, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47553, 10883, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47550, 10882, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47471, 10866, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47475, 10867, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47852, 10945, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47482, 10869, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47782, 10930, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47783, 10930, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47784, 10930, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47785, 10931, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47786, 10931, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47787, 10931, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47789, 10932, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47791, 10932, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47792, 10932, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47793, 10933, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47795, 10933, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47796, 10933, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47798, 10934, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47799, 10934, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47800, 10934, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47801, 10935, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47802, 10935, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47803, 10935, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47805, 10936, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47806, 10936, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53531, 12136, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47807, 10936, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47809, 10937, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47810, 10937, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47812, 10937, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47813, 10938, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47814, 10938, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47815, 10938, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47817, 10939, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47818, 10939, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47819, 10939, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47820, 10939, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47821, 10939, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47823, 10940, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47826, 10940, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47827, 10940, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47828, 10941, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47830, 10941, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47831, 10941, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47832, 10942, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47836, 10942, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47837, 10942, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47839, 10943, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47840, 10943, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47841, 10943, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47842, 10943, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47843, 10943, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47844, 10944, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47845, 10944, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47846, 10944, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47847, 10944, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47788, 10931, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47790, 10932, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47794, 10933, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47797, 10934, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47804, 10935, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47811, 10937, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47816, 10938, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47822, 10939, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47824, 10940, 'Не могут быть private/protected/static. Могут быть только public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47825, 10940, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47829, 10941, 'Все утверждения являются верными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47833, 10942, 'call() принимает дженерик в качестве аргумента', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47834, 10942, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47838, 10943, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47854, 10945, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47855, 10945, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47856, 10946, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47857, 10946, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47859, 10946, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47860, 10946, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47861, 10946, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47862, 10947, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47863, 10947, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47864, 10947, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47865, 10947, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47867, 10947, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47869, 10948, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47870, 10948, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47871, 10949, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47872, 10949, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47874, 10949, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47875, 10949, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47876, 10950, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47877, 10950, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47879, 10950, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53592, 12148, 'object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47880, 10951, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47881, 10951, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47882, 10951, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47884, 10951, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47885, 10951, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47887, 10952, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47888, 10952, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47889, 10952, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47890, 10952, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47891, 10952, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47892, 10953, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47893, 10953, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47894, 10953, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47896, 10954, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47897, 10954, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47898, 10954, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47900, 10955, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47902, 10955, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47903, 10955, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47904, 10956, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47906, 10956, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47907, 10956, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47909, 10957, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47910, 10957, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47911, 10957, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47912, 10958, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47914, 10958, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47853, 10945, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47873, 10949, '@Controller', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47878, 10950, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47858, 10946, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47866, 10947, 'NOT > AND и OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47895, 10953, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47899, 10954, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47901, 10955, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47905, 10956, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47908, 10957, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47913, 10958, 'Модификатор доступа', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47915, 10958, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47916, 10959, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47917, 10959, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47918, 10959, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47920, 10960, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47921, 10960, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47923, 10960, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47924, 10961, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47925, 10961, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47926, 10961, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47928, 10962, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47929, 10962, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47930, 10962, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47936, 10963, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47937, 10963, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47939, 10964, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47940, 10964, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47941, 10964, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47943, 10965, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47944, 10965, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47945, 10965, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47947, 10965, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47949, 10966, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47951, 10966, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47952, 10966, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47953, 10966, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47954, 10966, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47956, 10967, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47957, 10967, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47958, 10967, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47959, 10967, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47960, 10967, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47961, 10968, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47962, 10968, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47963, 10968, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47964, 10968, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47965, 10968, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47967, 10969, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47968, 10969, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47970, 10969, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47971, 10969, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47972, 10969, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48031, 10983, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47922, 10960, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47927, 10961, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47933, 10962, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47934, 10963, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47935, 10963, 'Не могут быть private/protected/static. Могут быть только public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47942, 10964, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47946, 10965, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47948, 10965, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47950, 10966, 'Код выведет 4 3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47955, 10967, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47966, 10968, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47969, 10969, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47973, 10970, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47974, 10970, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47975, 10970, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47977, 10970, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47978, 10970, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47980, 10971, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47981, 10971, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47983, 10972, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47984, 10972, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47985, 10972, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47986, 10972, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47988, 10973, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47989, 10973, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47990, 10973, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47991, 10974, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47992, 10974, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47993, 10974, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47995, 10974, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47996, 10974, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47998, 10975, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47999, 10975, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48000, 10975, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48001, 10975, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48002, 10975, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47868, 10948, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47886, 10952, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47883, 10951, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47781, 10930, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47808, 10936, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47835, 10942, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47848, 10944, 'ProdPack_en_US.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48003, 10976, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48004, 10976, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48005, 10976, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48007, 10977, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48008, 10977, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48009, 10977, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48011, 10978, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48013, 10978, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48014, 10978, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48015, 10979, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48017, 10979, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48018, 10979, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48020, 10980, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48021, 10980, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48022, 10980, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48023, 10981, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48024, 10981, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48025, 10981, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48027, 10982, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48028, 10982, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48029, 10982, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47982, 10972, '@Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47987, 10973, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47976, 10970, 'NOT > AND > OR и IN', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48006, 10976, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48010, 10977, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48012, 10978, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48016, 10979, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48019, 10980, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48026, 10981, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48030, 10982, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48035, 10984, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48036, 10984, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48038, 10984, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48039, 10985, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48040, 10985, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48041, 10985, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48042, 10985, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48046, 10986, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48047, 10986, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48048, 10986, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48050, 10987, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48051, 10987, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48052, 10987, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48054, 10988, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48055, 10988, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48058, 10988, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48061, 10989, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48062, 10989, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48063, 10989, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48064, 10989, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48065, 10989, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48067, 10990, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48068, 10990, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48069, 10990, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48070, 10990, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48071, 10990, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48072, 10991, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48073, 10991, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48075, 10991, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48076, 10991, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48077, 10991, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48460, 11071, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48078, 10992, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48079, 10992, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48081, 10992, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48082, 10992, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48083, 10992, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48084, 10993, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48085, 10993, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48086, 10993, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48087, 10993, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48088, 10993, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48091, 10994, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48092, 10994, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48093, 10995, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48095, 10995, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48044, 10985, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48043, 10985, 'caller((e) -> { String f = ""; return "Poof"; });', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48045, 10986, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48053, 10987, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48056, 10988, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48057, 10988, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48059, 10988, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48060, 10989, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48066, 10990, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48074, 10991, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48094, 10995, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48080, 10992, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48089, 10993, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48102, 10997, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48103, 10997, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48104, 10997, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48106, 10997, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48107, 10997, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48109, 10998, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48110, 10998, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48111, 10998, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48112, 10998, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48113, 10998, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47979, 10971, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47997, 10975, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47994, 10974, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47919, 10959, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47931, 10962, 'caller((e) -> { String e = ""; return "Poof"; });', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47932, 10962, 'caller((e) -> { String f = ""; return "Poof"; });', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (47938, 10963, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48114, 10999, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48115, 10999, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48116, 10999, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48118, 11000, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48119, 11000, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48121, 11000, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48122, 11001, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48124, 11001, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48125, 11001, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48126, 11002, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48128, 11002, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48129, 11002, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48131, 11003, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48132, 11003, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48133, 11003, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48134, 11004, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48135, 11004, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48136, 11004, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48138, 11005, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48139, 11005, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48140, 11005, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48143, 11006, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48144, 11006, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48145, 11006, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48146, 11007, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48147, 11007, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48148, 11007, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48150, 11008, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48152, 11008, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48153, 11008, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48105, 10997, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48117, 10999, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48120, 11000, '930', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48123, 11001, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48127, 11002, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48130, 11003, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48137, 11004, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48141, 11005, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48142, 11006, '\jog13()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48149, 11007, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48155, 11008, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48151, 11008, 'caller((e) -> {"Poof"});', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48156, 11009, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49043, 11192, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49288, 11243, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49289, 11243, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49290, 11243, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48160, 11009, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48161, 11010, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48163, 11010, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48164, 11010, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48165, 11011, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48169, 11011, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48172, 11012, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48173, 11012, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48174, 11012, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48175, 11012, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48176, 11012, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48178, 11013, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48179, 11013, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48180, 11013, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48181, 11013, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48182, 11013, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48183, 11014, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48184, 11014, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48186, 11014, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48187, 11014, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48188, 11014, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48189, 11015, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48190, 11015, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48191, 11015, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48192, 11015, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48194, 11015, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48195, 11016, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48196, 11016, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48197, 11016, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48198, 11016, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48199, 11016, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48200, 11016, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48202, 11017, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48203, 11017, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48204, 11018, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48205, 11018, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48206, 11018, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48208, 11018, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48463, 11072, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48209, 11019, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48210, 11019, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48212, 11019, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48213, 11020, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48214, 11020, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48273, 11033, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48162, 11010, 'Все утверждения являются верными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48166, 11011, 'call() принимает дженерик в качестве аргумента', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48167, 11011, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48168, 11011, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48171, 11012, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48177, 11013, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48185, 11014, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48207, 11018, '@Bean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48211, 11019, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48193, 11015, 'Select address from offices except Select address from departments except Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48215, 11020, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48217, 11020, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48218, 11020, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48220, 11021, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48221, 11021, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48222, 11021, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48223, 11021, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48224, 11021, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48090, 10994, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48108, 10998, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48033, 10983, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48037, 10984, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48049, 10986, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48225, 11022, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48226, 11022, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48228, 11022, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48229, 11023, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48230, 11023, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48231, 11023, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48233, 11024, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48235, 11024, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48236, 11024, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48237, 11025, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48239, 11025, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48240, 11025, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48241, 11026, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48242, 11026, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48243, 11026, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48245, 11027, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48246, 11027, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48247, 11027, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48249, 11028, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48250, 11028, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48251, 11028, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48253, 11029, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48254, 11029, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48256, 11029, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48257, 11030, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48258, 11030, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48259, 11030, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48261, 11031, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48262, 11031, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48263, 11031, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48264, 11031, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53593, 12148, 'attempts', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48265, 11031, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48269, 11032, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48270, 11032, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48271, 11032, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48227, 11022, 'Класс ExampleJava бросит исключение во время выполнения программы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48232, 11023, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48234, 11024, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48238, 11025, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48244, 11026, 'Каким-либо способом, не перечисленным среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48248, 11027, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48252, 11028, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48255, 11029, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48260, 11030, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48266, 11031, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48267, 11032, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48268, 11032, 'Не могут быть private/protected/static. Могут быть только public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48272, 11033, 'В анонимном классе можно объявить только один конструктор', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48274, 11033, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48275, 11033, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48276, 11034, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48277, 11034, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48280, 11034, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48283, 11035, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48284, 11035, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48285, 11035, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48286, 11035, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48287, 11035, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48289, 11036, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48290, 11036, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48291, 11036, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48292, 11036, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48293, 11036, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48295, 11037, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48296, 11037, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48297, 11037, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48298, 11037, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48299, 11037, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48300, 11038, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48301, 11038, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48303, 11038, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48304, 11038, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48305, 11038, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48306, 11039, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48307, 11039, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48308, 11039, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48310, 11039, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48311, 11039, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48313, 11040, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48314, 11040, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48315, 11041, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48317, 11041, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48318, 11041, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48319, 11041, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48320, 11042, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48321, 11042, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48322, 11042, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48324, 11043, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48325, 11043, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48154, 11008, 'caller((e) -> { String f = ""; return "Poof"; });', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53594, 12148, 'users', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48326, 11043, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48327, 11043, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48329, 11043, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48331, 11044, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48312, 11040, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48328, 11043, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48279, 11034, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48282, 11035, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48288, 11036, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48294, 11037, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48316, 11041, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48323, 11042, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48302, 11038, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48309, 11039, 'NOT > AND > OR и IN', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48332, 11044, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48333, 11044, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48334, 11044, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48335, 11044, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48336, 11045, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48337, 11045, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48338, 11045, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48340, 11046, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48342, 11046, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48343, 11046, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48344, 11047, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48346, 11047, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48347, 11047, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48348, 11048, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48350, 11048, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48351, 11048, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48352, 11049, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48353, 11049, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48354, 11049, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48356, 11050, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48357, 11050, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48358, 11050, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48360, 11051, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48361, 11051, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48362, 11051, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48364, 11052, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48365, 11052, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48366, 11052, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48368, 11053, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48369, 11053, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48370, 11053, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48372, 11054, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48373, 11054, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48374, 11054, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48375, 11054, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48376, 11054, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48379, 11055, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48380, 11055, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48381, 11055, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48382, 11055, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48383, 11056, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48384, 11056, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48386, 11056, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48391, 11057, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48393, 11058, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48394, 11058, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48396, 11058, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48397, 11058, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48339, 11045, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48341, 11046, '641', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48345, 11047, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48349, 11048, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48363, 11051, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48367, 11052, 'walk#()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48371, 11053, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48377, 11054, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48378, 11055, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48385, 11056, 'Анонимные классы могут быть абстрактными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48389, 11057, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48387, 11057, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48395, 11058, 'Ошибка компиляции на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48619, 11104, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48620, 11104, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48621, 11105, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48622, 11105, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48623, 11105, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48398, 11058, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48400, 11059, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48401, 11059, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48402, 11059, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48403, 11059, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48404, 11059, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48405, 11060, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48406, 11060, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48407, 11060, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48409, 11060, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48410, 11060, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48411, 11061, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48412, 11061, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48413, 11061, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48414, 11061, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48415, 11061, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48416, 11061, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48417, 11062, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48418, 11062, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48419, 11062, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48420, 11062, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48421, 11062, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48422, 11062, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48424, 11063, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48425, 11063, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48426, 11064, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48427, 11064, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48428, 11064, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48430, 11064, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48432, 11065, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48433, 11065, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48434, 11065, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48435, 11066, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48436, 11066, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48437, 11066, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48439, 11066, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48440, 11066, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48442, 11067, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48443, 11067, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48444, 11067, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48445, 11067, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48446, 11067, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48201, 11017, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48219, 11021, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48216, 11020, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48157, 11009, 'Не могут быть private/protected/static. Могут быть только public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48158, 11009, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48423, 11063, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48438, 11066, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48399, 11059, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48429, 11064, '@Bean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48431, 11065, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48624, 11105, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48625, 11105, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48627, 11106, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48626, 11105, 'Код не скомпилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49291, 11243, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48159, 11009, 'Не имеют доступ к полям и методам внешнего класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48170, 11011, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48441, 11067, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48355, 11049, 'Каким-либо способом, не перечисленным среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48390, 11057, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48388, 11057, 'call() принимает дженерик в качестве аргумента', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48392, 11057, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48408, 11060, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48330, 11044, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48278, 11034, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48281, 11034, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48447, 11068, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48448, 11068, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48449, 11068, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48451, 11069, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48452, 11069, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48453, 11069, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48455, 11070, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48457, 11070, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48458, 11070, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48459, 11071, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48461, 11071, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48462, 11071, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48464, 11072, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48465, 11072, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48466, 11072, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48467, 11073, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48468, 11073, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48469, 11073, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48471, 11074, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48472, 11074, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48473, 11074, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48475, 11075, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48476, 11075, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48478, 11075, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48479, 11076, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48480, 11076, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48481, 11076, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48483, 11077, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48485, 11077, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48486, 11077, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48487, 11077, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48488, 11077, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48490, 11078, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48491, 11078, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48492, 11078, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48494, 11079, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48496, 11079, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48497, 11079, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48498, 11080, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48499, 11080, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48500, 11080, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48470, 11073, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48477, 11075, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48482, 11076, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48484, 11077, 'caller((e) -> {"Poof"});', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48489, 11078, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48495, 11079, 'Все утверждения являются верными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48502, 11080, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48503, 11080, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48505, 11081, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48506, 11081, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48507, 11081, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48508, 11081, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48509, 11081, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48510, 11082, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48511, 11082, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48513, 11082, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48514, 11082, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48515, 11082, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48516, 11083, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48517, 11083, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48518, 11083, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48519, 11083, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48521, 11083, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48522, 11084, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48523, 11084, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48525, 11084, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48526, 11084, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48527, 11084, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48528, 11085, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48529, 11085, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48530, 11085, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48531, 11085, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48532, 11085, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48535, 11086, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48536, 11086, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48537, 11087, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48538, 11087, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48539, 11087, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48541, 11087, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48543, 11088, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48544, 11088, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48545, 11088, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48546, 11089, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48547, 11089, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48548, 11089, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48550, 11089, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48551, 11089, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48553, 11090, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48554, 11090, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48555, 11090, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48556, 11090, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48557, 11090, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48534, 11086, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48501, 11080, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48504, 11081, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48512, 11082, 'TestPack_en.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48520, 11083, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48540, 11087, '@Bean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48542, 11088, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48524, 11084, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48533, 11085, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48552, 11090, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48549, 11089, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48450, 11068, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48474, 11074, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48493, 11078, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48558, 11091, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48559, 11091, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48561, 11091, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48562, 11092, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48563, 11092, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48564, 11092, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48566, 11093, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48568, 11093, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48569, 11093, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48570, 11094, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48572, 11094, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48573, 11094, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48575, 11095, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48576, 11095, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48577, 11095, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48578, 11096, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48579, 11096, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48580, 11096, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48582, 11097, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48583, 11097, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48585, 11097, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48586, 11098, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48587, 11098, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48588, 11098, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48590, 11099, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48591, 11099, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48593, 11099, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48594, 11100, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48595, 11100, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48596, 11100, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48597, 11100, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48598, 11100, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48601, 11101, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48602, 11101, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48603, 11101, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48605, 11102, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48606, 11102, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48607, 11102, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48613, 11103, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48616, 11104, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48617, 11104, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48565, 11092, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48567, 11093, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48571, 11094, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48574, 11095, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48581, 11096, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48584, 11097, 'StringBuilder поддерживает многопоточность', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48589, 11098, 'walk#()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48599, 11100, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48600, 11101, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48604, 11101, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48608, 11102, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48612, 11103, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48611, 11103, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48614, 11103, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48615, 11104, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48628, 11106, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48629, 11106, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48690, 11119, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53595, 12148, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48630, 11106, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48632, 11106, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48633, 11107, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48634, 11107, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48635, 11107, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48636, 11107, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48637, 11107, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48638, 11107, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48639, 11108, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48640, 11108, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48641, 11108, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48642, 11108, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48643, 11108, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48644, 11108, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48646, 11109, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48647, 11109, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48648, 11110, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48649, 11110, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48650, 11110, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48652, 11110, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48653, 11111, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48654, 11111, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48656, 11111, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48657, 11112, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48658, 11112, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48659, 11112, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48661, 11112, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48662, 11112, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48664, 11113, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48665, 11113, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48666, 11113, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48667, 11113, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48668, 11113, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48645, 11109, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48663, 11113, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48660, 11112, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48560, 11091, 'Класс ExampleJava бросит исключение во время выполнения программы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48592, 11099, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48610, 11103, 'call() принимает дженерик в качестве аргумента', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48609, 11103, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48618, 11104, 'Ошибка компиляции на строке B', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48631, 11106, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48651, 11110, '@Bean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48655, 11111, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48669, 11114, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48670, 11114, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48671, 11114, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48673, 11115, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48674, 11115, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48675, 11115, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48677, 11116, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48679, 11116, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48676, 11115, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48678, 11116, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48684, 11117, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48686, 11118, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48687, 11118, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48688, 11118, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48691, 11119, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48692, 11119, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48693, 11120, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48694, 11120, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48695, 11120, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48697, 11121, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48698, 11121, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48700, 11121, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48701, 11122, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48702, 11122, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48704, 11122, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48705, 11123, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48706, 11123, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48707, 11123, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48708, 11123, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48711, 11124, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48712, 11124, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48714, 11124, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48715, 11124, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48716, 11125, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48717, 11125, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48718, 11125, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48720, 11126, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48721, 11126, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48724, 11126, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48727, 11127, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48728, 11127, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48729, 11127, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48730, 11127, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48731, 11127, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48733, 11128, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48734, 11128, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48735, 11128, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48736, 11128, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48737, 11128, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48738, 11129, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48739, 11129, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48741, 11129, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48742, 11129, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48743, 11129, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48744, 11130, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48685, 11118, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48699, 11121, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48703, 11122, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48710, 11123, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48709, 11123, 'caller((e) -> { String f = ""; return "Poof"; });', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48713, 11124, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48719, 11125, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48723, 11126, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48725, 11126, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48726, 11127, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48732, 11128, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48740, 11129, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48745, 11130, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48746, 11130, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48748, 11130, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48749, 11130, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48750, 11131, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48751, 11131, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48752, 11131, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48753, 11131, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48754, 11131, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48757, 11132, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48758, 11132, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48759, 11133, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48761, 11133, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48762, 11133, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48763, 11133, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48764, 11134, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48765, 11134, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48767, 11134, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48768, 11135, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48769, 11135, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48770, 11135, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48772, 11135, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48773, 11135, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48775, 11136, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48776, 11136, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48777, 11136, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48778, 11136, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48779, 11136, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48780, 11137, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48781, 11137, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48782, 11137, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48784, 11138, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48785, 11138, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48786, 11138, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48788, 11139, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48790, 11139, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48791, 11139, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48792, 11140, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48794, 11140, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48795, 11140, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48796, 11141, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48798, 11141, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48799, 11141, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48800, 11142, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48801, 11142, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48802, 11142, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48804, 11143, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48805, 11143, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48806, 11143, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48808, 11144, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48809, 11144, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48787, 11138, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48789, 11139, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48793, 11140, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48803, 11142, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48807, 11143, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48810, 11144, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48756, 11132, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48774, 11136, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48760, 11133, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48766, 11134, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48747, 11130, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48755, 11131, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48813, 11145, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48814, 11145, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48816, 11146, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48817, 11146, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48818, 11146, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48819, 11146, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48823, 11147, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48824, 11147, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48825, 11147, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48826, 11147, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48827, 11148, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48828, 11148, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48829, 11148, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48832, 11149, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48835, 11149, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48838, 11150, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48839, 11150, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48840, 11150, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48841, 11150, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48843, 11151, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48844, 11151, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48845, 11151, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48846, 11151, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48848, 11151, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48850, 11152, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48851, 11152, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48852, 11152, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48853, 11152, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48854, 11152, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48855, 11153, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48856, 11153, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48858, 11153, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48859, 11153, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48860, 11153, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48861, 11154, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48862, 11154, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48863, 11154, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48865, 11154, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48866, 11154, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48868, 11155, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48869, 11155, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48870, 11156, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48872, 11156, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48873, 11156, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48874, 11156, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48867, 11155, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48821, 11146, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48820, 11146, 'caller((e) -> { String f = ""; return "Poof"; });', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48822, 11147, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48830, 11148, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48831, 11149, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48833, 11149, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48837, 11150, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48842, 11150, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48847, 11151, 'ProdPack_en_US.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48849, 11152, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48871, 11156, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48857, 11153, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48864, 11154, 'NOT > AND > OR и IN', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49038, 11192, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49039, 11192, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49040, 11192, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49041, 11192, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49042, 11192, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48876, 11157, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48877, 11157, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48878, 11157, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48879, 11158, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48880, 11158, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48881, 11158, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48883, 11158, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48884, 11158, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48886, 11159, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48887, 11159, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48888, 11159, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48889, 11159, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48890, 11159, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48885, 11159, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48882, 11158, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48783, 11137, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48797, 11141, 'Убрать модификатор final и изменить переменную напрямую', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48815, 11145, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48834, 11149, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48836, 11149, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48875, 11157, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48892, 11160, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48893, 11160, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48894, 11160, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48895, 11161, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48896, 11161, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48897, 11161, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48899, 11162, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48901, 11162, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48902, 11162, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48903, 11163, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48905, 11163, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48906, 11163, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48908, 11164, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48909, 11164, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48910, 11164, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48911, 11165, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48912, 11165, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48913, 11165, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48915, 11166, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48916, 11166, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48917, 11166, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48920, 11167, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48921, 11167, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48922, 11167, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48923, 11168, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48924, 11168, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48891, 11160, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48898, 11161, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48900, 11162, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48904, 11163, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48907, 11164, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48914, 11165, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48918, 11166, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48919, 11167, '\jog13()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48926, 11168, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48927, 11169, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48928, 11169, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48929, 11169, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48930, 11169, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48931, 11169, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48935, 11170, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48936, 11170, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48938, 11171, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48939, 11171, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48940, 11171, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48942, 11172, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48946, 11172, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48949, 11173, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48950, 11173, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48951, 11173, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48952, 11173, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48953, 11173, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48954, 11174, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54253, 12303, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48955, 11174, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48957, 11174, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48958, 11174, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48959, 11174, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48960, 11175, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48961, 11175, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48962, 11175, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48964, 11175, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48965, 11175, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48966, 11176, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48967, 11176, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48969, 11176, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48970, 11176, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48971, 11176, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48972, 11177, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48973, 11177, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48974, 11177, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48975, 11177, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48976, 11177, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48979, 11178, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48980, 11178, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48981, 11179, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48983, 11179, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48984, 11179, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48985, 11179, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48986, 11180, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48978, 11178, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48932, 11169, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48933, 11170, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48934, 11170, 'Не могут быть private/protected/static. Могут быть только public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48941, 11171, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48943, 11172, 'call() принимает дженерик в качестве аргумента', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48944, 11172, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48945, 11172, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48947, 11172, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48948, 11173, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48956, 11174, 'TestPack_en.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48963, 11175, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48982, 11179, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48968, 11176, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48977, 11177, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48987, 11180, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48989, 11180, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48990, 11181, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48991, 11181, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48992, 11181, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48994, 11181, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48995, 11181, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48997, 11182, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48998, 11182, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48999, 11182, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49000, 11182, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49001, 11182, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48996, 11182, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48993, 11181, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48925, 11168, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54198, 12288, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48937, 11170, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48988, 11180, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49002, 11183, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49003, 11183, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49004, 11183, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49006, 11184, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49007, 11184, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49008, 11184, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49010, 11185, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49011, 11185, 'IOException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49013, 11185, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49014, 11186, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49016, 11186, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49017, 11186, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49018, 11187, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49019, 11187, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49021, 11187, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49022, 11188, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49023, 11188, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49024, 11188, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49026, 11189, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49027, 11189, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49028, 11189, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49030, 11190, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49031, 11190, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49032, 11190, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49034, 11191, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49035, 11191, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49036, 11191, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49005, 11183, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49009, 11184, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49012, 11185, 'IllegalArgumentException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49015, 11186, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49020, 11187, 'Вызвать сеттер', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49025, 11188, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49029, 11189, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49033, 11190, 'walk#()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49037, 11191, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49045, 11193, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49047, 11193, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49048, 11193, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49049, 11194, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49050, 11194, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49051, 11194, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49054, 11195, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49055, 11195, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49057, 11195, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49058, 11195, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49059, 11196, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49060, 11196, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49061, 11196, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49062, 11196, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49063, 11196, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49065, 11197, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49066, 11197, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49068, 11197, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49069, 11197, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49070, 11197, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49071, 11198, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49072, 11198, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49074, 11198, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49075, 11198, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49076, 11198, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49127, 11209, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49077, 11199, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49078, 11199, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49079, 11199, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49081, 11199, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49082, 11199, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49084, 11200, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49085, 11200, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49086, 11200, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49087, 11200, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49088, 11200, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49090, 11201, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49091, 11201, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49092, 11202, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49094, 11202, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49095, 11202, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49096, 11202, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49098, 11203, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49099, 11203, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49100, 11203, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49101, 11204, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49102, 11204, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49089, 11201, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49052, 11194, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49053, 11195, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49064, 11196, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49067, 11197, 'TestPack_en.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49073, 11198, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49093, 11202, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49097, 11203, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49080, 11199, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49083, 11200, 'Приоритеты всех перечисленных операций равны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49284, 11242, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49285, 11242, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49286, 11242, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49103, 11204, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49105, 11204, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49106, 11204, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49108, 11205, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49109, 11205, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49110, 11205, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49111, 11205, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49112, 11205, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49107, 11205, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49104, 11204, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49044, 11193, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49046, 11193, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49056, 11195, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49113, 11206, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49114, 11206, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49115, 11206, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49116, 11206, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49117, 11207, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49118, 11207, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49119, 11207, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49120, 11207, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49121, 11208, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49122, 11208, 'IOException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49123, 11208, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49124, 11208, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49125, 11209, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49126, 11209, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54199, 12288, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49128, 11209, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49129, 11210, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49130, 11210, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49131, 11210, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49132, 11210, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49133, 11211, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49134, 11211, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49135, 11211, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49136, 11211, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49137, 11212, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49138, 11212, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49139, 11212, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49140, 11212, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49141, 11213, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49142, 11213, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49143, 11213, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49144, 11213, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49145, 11214, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49146, 11214, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49147, 11214, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49148, 11214, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49149, 11215, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49150, 11215, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49151, 11215, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49152, 11215, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49153, 11215, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49154, 11215, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49155, 11216, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49156, 11216, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49157, 11216, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49158, 11216, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49159, 11216, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49287, 11243, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49160, 11217, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49161, 11217, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49162, 11217, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49163, 11217, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49164, 11218, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49165, 11218, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49166, 11218, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49167, 11218, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49168, 11218, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49169, 11218, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49170, 11219, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49171, 11219, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49172, 11219, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49173, 11219, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49174, 11219, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49175, 11219, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49176, 11220, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49177, 11220, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49178, 11220, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49179, 11220, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49180, 11220, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49181, 11220, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49182, 11221, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49183, 11221, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49184, 11221, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49185, 11221, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49186, 11221, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49187, 11221, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49188, 11222, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49189, 11222, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49190, 11222, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49191, 11222, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49192, 11222, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49193, 11222, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49194, 11223, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49195, 11223, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49196, 11223, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49197, 11223, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49198, 11223, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49199, 11223, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49200, 11224, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49201, 11224, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49202, 11224, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49203, 11225, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49204, 11225, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49205, 11225, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49206, 11225, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49207, 11225, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49208, 11226, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49209, 11226, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49210, 11226, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49211, 11226, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49212, 11227, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49213, 11227, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49214, 11227, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49215, 11227, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49216, 11227, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49217, 11227, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49218, 11228, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49219, 11228, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49220, 11228, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49221, 11228, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49222, 11228, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49223, 11228, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49224, 11229, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49225, 11229, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49226, 11229, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49228, 11230, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49229, 11230, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49230, 11230, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49232, 11231, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49234, 11231, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49235, 11231, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49236, 11232, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49238, 11232, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49239, 11232, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49241, 11233, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49242, 11233, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49243, 11233, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49244, 11234, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49245, 11234, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49247, 11234, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49248, 11235, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49249, 11235, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49250, 11235, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49252, 11236, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49253, 11236, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49254, 11236, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49256, 11237, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49257, 11237, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49258, 11237, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49260, 11238, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49261, 11238, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49262, 11238, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49263, 11238, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49264, 11238, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49269, 11239, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49270, 11239, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49271, 11240, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49273, 11240, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49274, 11240, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49276, 11241, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49279, 11241, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49282, 11242, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49283, 11242, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49231, 11230, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49233, 11231, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49237, 11232, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49240, 11233, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49246, 11234, 'Статический метод', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49251, 11235, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49255, 11236, 'walk#()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49259, 11237, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49265, 11238, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49266, 11239, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49272, 11240, 'Все утверждения являются верными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49280, 11241, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49277, 11241, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49275, 11241, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49281, 11242, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49292, 11243, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49293, 11244, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49294, 11244, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49295, 11244, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49296, 11244, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49297, 11244, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49300, 11245, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49301, 11245, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49302, 11245, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49303, 11245, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49304, 11245, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49305, 11246, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49306, 11246, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49307, 11246, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49308, 11246, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49309, 11246, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49312, 11247, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49313, 11247, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49314, 11248, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49315, 11248, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49316, 11248, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49318, 11248, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49320, 11249, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49321, 11249, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49322, 11249, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49323, 11250, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49324, 11250, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49325, 11250, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49327, 11250, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49328, 11250, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49330, 11251, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49331, 11251, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49332, 11251, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49333, 11251, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49334, 11251, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49311, 11247, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49329, 11251, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49326, 11250, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49227, 11229, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49267, 11239, 'Не могут быть private/protected/static. Могут быть только public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49268, 11239, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49278, 11241, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49298, 11244, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49317, 11248, '@Bean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49319, 11249, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49299, 11245, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49310, 11246, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49335, 11252, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49336, 11252, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49337, 11252, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49339, 11253, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49340, 11253, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49341, 11253, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49343, 11254, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49342, 11253, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49344, 11254, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49345, 11254, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49346, 11254, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49347, 11255, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49349, 11255, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49350, 11255, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49351, 11256, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49352, 11256, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49354, 11256, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49356, 11257, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49357, 11257, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49358, 11257, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49359, 11258, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49360, 11258, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49361, 11258, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49363, 11259, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49364, 11259, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49366, 11259, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49367, 11260, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49368, 11260, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49369, 11260, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49371, 11261, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49373, 11261, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49374, 11261, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49375, 11261, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49380, 11262, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49381, 11262, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49382, 11263, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49384, 11263, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49385, 11263, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49387, 11264, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49388, 11264, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49390, 11264, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49392, 11265, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49394, 11265, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49395, 11265, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49396, 11265, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49399, 11266, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49400, 11266, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49401, 11266, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49402, 11266, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54200, 12288, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49403, 11266, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49405, 11267, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49406, 11267, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49407, 11267, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49471, 11281, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49353, 11256, 'Вызвать сеттер', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49355, 11257, 'Абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49365, 11259, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49370, 11260, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49372, 11261, 'caller((e) -> {"Poof"});', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49376, 11261, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49377, 11262, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49383, 11263, 'Все утверждения являются верными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49391, 11264, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49389, 11264, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49386, 11264, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49397, 11265, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49393, 11265, 'Код выведет 4 3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49398, 11266, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49404, 11267, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49408, 11267, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49409, 11267, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49410, 11268, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49411, 11268, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49413, 11268, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49414, 11268, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49415, 11268, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49416, 11269, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49417, 11269, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49418, 11269, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49419, 11269, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49420, 11269, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49422, 11270, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49423, 11270, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49425, 11271, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49426, 11271, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49427, 11271, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49429, 11271, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49430, 11272, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49431, 11272, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49433, 11272, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49434, 11273, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49435, 11273, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49436, 11273, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49438, 11273, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49439, 11273, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49441, 11274, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49442, 11274, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49443, 11274, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49444, 11274, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49445, 11274, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49447, 11275, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49448, 11275, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49449, 11275, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49450, 11276, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49452, 11276, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49453, 11276, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49454, 11277, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49455, 11277, 'IOException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49457, 11277, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49458, 11278, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49460, 11278, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49461, 11278, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49463, 11279, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49464, 11279, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49465, 11279, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49466, 11280, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49467, 11280, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49468, 11280, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49470, 11281, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49532, 11292, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49451, 11276, '641', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49456, 11277, 'IllegalArgumentException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49459, 11278, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49462, 11279, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49469, 11280, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49440, 11274, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49437, 11273, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49428, 11271, '@Bean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49412, 11268, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49421, 11269, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49473, 11281, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49474, 11282, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49475, 11282, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49476, 11282, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49478, 11283, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49479, 11283, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49481, 11283, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49482, 11284, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49484, 11284, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49485, 11284, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49486, 11284, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49487, 11284, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49488, 11285, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49490, 11285, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49491, 11285, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49492, 11285, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49493, 11286, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49494, 11286, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49496, 11286, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49497, 11287, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49498, 11287, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49499, 11287, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49500, 11287, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49501, 11287, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49504, 11288, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49505, 11288, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49506, 11288, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49507, 11288, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49508, 11288, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49510, 11289, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49511, 11289, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49512, 11289, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49513, 11289, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49514, 11289, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49515, 11290, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49516, 11290, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49518, 11290, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49519, 11290, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49520, 11290, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49522, 11291, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49523, 11291, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49524, 11291, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49525, 11291, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49526, 11291, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49527, 11292, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49528, 11292, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49530, 11292, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49531, 11292, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49477, 11282, 'walk#()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49483, 11284, 'caller((e) -> {"Poof"});', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49489, 11285, 'Не могут быть private/protected/static. Могут быть только public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49495, 11286, 'Анонимные классы могут быть абстрактными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49502, 11287, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49503, 11288, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49509, 11289, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49517, 11290, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49521, 11291, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49529, 11292, 'AND > OR > NOT > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49544, 11295, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49545, 11296, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49546, 11296, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49547, 11296, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49549, 11296, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49550, 11296, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49552, 11297, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49553, 11297, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49554, 11297, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49555, 11297, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49556, 11297, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49551, 11297, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49548, 11296, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49446, 11275, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49472, 11281, 'StringBuilder поддерживает многопоточность', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49480, 11283, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49542, 11295, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49557, 11298, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49558, 11298, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49559, 11298, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49561, 11299, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49562, 11299, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49563, 11299, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49565, 11300, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49567, 11300, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49568, 11300, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49569, 11301, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49571, 11301, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49572, 11301, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49574, 11302, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49575, 11302, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49576, 11302, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49577, 11303, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49578, 11303, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49579, 11303, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49581, 11304, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49582, 11304, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49583, 11304, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49585, 11305, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49586, 11305, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49588, 11305, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49589, 11306, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49590, 11306, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49591, 11306, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49593, 11307, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49595, 11307, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49596, 11307, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49597, 11307, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49560, 11298, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49564, 11299, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49566, 11300, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49570, 11301, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49573, 11302, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49580, 11303, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49584, 11304, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49587, 11305, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49592, 11306, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49598, 11307, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49594, 11307, 'caller((e) -> {"Poof"});', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49602, 11308, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49603, 11308, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49605, 11309, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49606, 11309, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49607, 11309, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49608, 11310, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49609, 11310, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49612, 11310, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49615, 11311, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49616, 11311, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49617, 11311, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49618, 11311, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49621, 11312, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49622, 11312, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49623, 11312, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49624, 11312, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49625, 11312, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49626, 11313, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49628, 11313, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49629, 11313, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49630, 11313, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49631, 11313, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49633, 11314, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49634, 11314, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49635, 11314, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49636, 11314, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49637, 11314, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49638, 11315, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49639, 11315, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49640, 11315, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49642, 11315, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49643, 11315, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49645, 11316, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49646, 11316, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49647, 11317, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49649, 11317, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49650, 11317, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49651, 11317, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49653, 11318, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49654, 11318, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49655, 11318, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49656, 11319, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49720, 11333, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49644, 11316, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49604, 11309, 'В анонимном классе можно объявить только один конструктор', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49610, 11310, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49613, 11310, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49611, 11310, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49614, 11311, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49705, 11330, 'caller((e) -> {"Poof"});', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49619, 11311, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49620, 11312, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49627, 11313, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49648, 11317, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49652, 11318, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49632, 11314, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49641, 11315, 'NOT > AND > OR и IN', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49657, 11319, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49658, 11319, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49660, 11319, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49661, 11319, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49663, 11320, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49664, 11320, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49665, 11320, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49666, 11320, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49667, 11320, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49669, 11321, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49670, 11321, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49671, 11321, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49672, 11322, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49673, 11322, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49675, 11322, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49676, 11323, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49678, 11323, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49679, 11323, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49680, 11324, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49681, 11324, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49683, 11324, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49685, 11325, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49686, 11325, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49687, 11325, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49688, 11326, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49689, 11326, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49690, 11326, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49692, 11327, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49693, 11327, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49694, 11327, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49696, 11328, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49697, 11328, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49699, 11328, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49700, 11329, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49701, 11329, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49702, 11329, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49704, 11330, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49706, 11330, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49707, 11330, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49708, 11330, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49711, 11331, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49712, 11331, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49713, 11331, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49714, 11331, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49715, 11332, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49716, 11332, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49717, 11332, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49719, 11333, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49668, 11321, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49674, 11322, '930', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49677, 11323, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49682, 11324, 'Синглтон переменная', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49684, 11325, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49691, 11326, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49695, 11327, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49698, 11328, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49703, 11329, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49709, 11330, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49710, 11331, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49718, 11332, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49723, 11333, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49725, 11334, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49726, 11334, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49728, 11334, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49729, 11334, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49730, 11334, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49732, 11335, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49733, 11335, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49734, 11335, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49735, 11335, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49736, 11335, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49737, 11336, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49738, 11336, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49740, 11336, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49741, 11336, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49742, 11336, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49744, 11337, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49745, 11337, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49746, 11337, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49747, 11337, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49748, 11337, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49749, 11338, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49750, 11338, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49751, 11338, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49753, 11338, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49754, 11338, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49756, 11339, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49757, 11339, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49758, 11340, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49759, 11340, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49760, 11340, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49762, 11340, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49764, 11341, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49765, 11341, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49766, 11341, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49767, 11342, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49768, 11342, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49769, 11342, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49771, 11342, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49772, 11342, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49774, 11343, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49775, 11343, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49776, 11343, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49777, 11343, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49755, 11339, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49770, 11342, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49721, 11333, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49724, 11333, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49727, 11334, 'Ошибка компиляции на строке A', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49731, 11335, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49739, 11336, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49761, 11340, '@Bean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49763, 11341, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49743, 11337, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49752, 11338, 'NOT > AND > OR и IN', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49958, 11381, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49959, 11382, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50194, 11430, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49778, 11343, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49662, 11320, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49659, 11319, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49599, 11308, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49600, 11308, 'Не могут быть private/protected/static. Могут быть только public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49601, 11308, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49779, 11344, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49780, 11344, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49781, 11344, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49783, 11345, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49784, 11345, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49785, 11345, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49787, 11346, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49789, 11346, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49790, 11346, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49791, 11347, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49793, 11347, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49794, 11347, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49796, 11348, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49797, 11348, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49798, 11348, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49799, 11349, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49800, 11349, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49801, 11349, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49803, 11350, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49804, 11350, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49805, 11350, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49807, 11351, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49808, 11351, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49809, 11351, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49811, 11352, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49812, 11352, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49814, 11352, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49815, 11353, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49816, 11353, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49817, 11353, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49818, 11353, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49819, 11353, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49822, 11354, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49823, 11354, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49824, 11354, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49826, 11355, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49827, 11355, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49828, 11355, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49830, 11356, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49831, 11356, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49834, 11356, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49835, 11356, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49836, 11357, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49838, 11357, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49786, 11345, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49788, 11346, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49792, 11347, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49795, 11348, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49802, 11349, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49810, 11351, 'walk#()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49813, 11352, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49820, 11353, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49821, 11354, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49829, 11355, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49832, 11356, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49833, 11356, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49837, 11357, 'Код выведет 4 3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49839, 11357, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49840, 11357, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49841, 11357, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49843, 11358, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49844, 11358, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49845, 11358, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49846, 11358, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49847, 11358, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49848, 11359, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49849, 11359, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49851, 11359, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49852, 11359, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49853, 11359, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49854, 11360, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49855, 11360, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49857, 11360, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49858, 11360, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49859, 11360, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49860, 11361, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49861, 11361, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49862, 11361, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49863, 11361, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49865, 11361, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49867, 11362, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49868, 11362, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49869, 11363, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49871, 11363, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49872, 11363, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49873, 11363, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49874, 11364, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49876, 11364, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49877, 11364, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49878, 11365, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49879, 11365, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49880, 11365, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49882, 11365, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49883, 11365, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49885, 11366, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49886, 11366, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49887, 11366, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49888, 11366, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49889, 11366, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49866, 11362, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49884, 11366, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49881, 11365, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49782, 11344, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49806, 11350, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49825, 11354, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49842, 11358, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49850, 11359, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49870, 11363, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49875, 11364, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49856, 11360, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49864, 11361, 'NOT > AND и OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49773, 11343, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49722, 11333, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49890, 11367, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49891, 11367, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49892, 11367, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49894, 11368, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49895, 11368, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49896, 11368, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49898, 11369, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49900, 11369, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49901, 11369, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49902, 11370, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49904, 11370, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49905, 11370, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49906, 11371, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49907, 11371, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49909, 11371, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49911, 11372, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49912, 11372, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49913, 11372, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49914, 11373, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49915, 11373, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49916, 11373, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49918, 11374, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49919, 11374, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49921, 11374, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49922, 11375, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49923, 11375, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49924, 11375, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49926, 11376, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49927, 11376, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49928, 11376, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49930, 11376, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49933, 11377, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49935, 11377, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49937, 11378, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49938, 11378, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49939, 11378, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49941, 11379, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49945, 11379, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49948, 11380, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49949, 11380, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49950, 11380, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49951, 11380, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49953, 11381, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49954, 11381, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49955, 11381, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49956, 11381, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49897, 11368, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49899, 11369, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49903, 11370, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49908, 11371, 'Вызвать сеттер', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49910, 11372, 'Абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49920, 11374, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49925, 11375, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49931, 11376, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49929, 11376, 'caller((e) -> { String e = ""; return "Poof"; });', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49934, 11377, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49932, 11377, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49940, 11378, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49942, 11379, 'call() принимает дженерик в качестве аргумента', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49946, 11379, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49944, 11379, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49947, 11380, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49952, 11380, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49957, 11381, 'ProdPack_en_US.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49960, 11382, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49961, 11382, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49962, 11382, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49964, 11382, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49965, 11383, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49966, 11383, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49968, 11383, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49969, 11383, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49970, 11383, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49971, 11384, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49972, 11384, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49973, 11384, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49974, 11384, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49975, 11384, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49978, 11385, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49979, 11385, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49980, 11386, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49982, 11386, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49983, 11386, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49984, 11386, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49986, 11387, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49987, 11387, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49988, 11387, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49989, 11388, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49990, 11388, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49991, 11388, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49993, 11388, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49994, 11388, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49996, 11389, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49997, 11389, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49998, 11389, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49999, 11389, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50000, 11389, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50001, 11390, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50002, 11390, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50003, 11390, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50005, 11391, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50006, 11391, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50007, 11391, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50009, 11392, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50010, 11392, 'IOException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50011, 11392, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50013, 11393, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50015, 11393, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50016, 11393, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50018, 11394, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50019, 11394, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50008, 11391, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50012, 11392, 'ClassCastException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50014, 11393, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50017, 11394, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49977, 11385, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49995, 11389, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49963, 11382, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49981, 11386, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49985, 11387, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49967, 11383, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49976, 11384, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50020, 11394, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50021, 11395, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50022, 11395, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50023, 11395, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50025, 11396, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50026, 11396, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50027, 11396, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50029, 11397, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50030, 11397, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50031, 11397, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50033, 11398, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50268, 11446, 'Reflection DI', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50034, 11398, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50035, 11398, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50037, 11399, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50038, 11399, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50039, 11399, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50040, 11399, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50041, 11399, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50044, 11400, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50045, 11400, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50048, 11401, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50049, 11401, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50051, 11401, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50053, 11402, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50059, 11403, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50060, 11403, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50061, 11403, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50062, 11403, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50065, 11404, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50066, 11404, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50067, 11404, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50068, 11404, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50069, 11404, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50070, 11405, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50071, 11405, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50072, 11405, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50073, 11405, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50075, 11405, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50077, 11406, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50078, 11406, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50024, 11395, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50032, 11397, 'walk#()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50036, 11398, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50042, 11399, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50043, 11400, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50046, 11400, 'Не имеют доступ к полям и методам внешнего класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50050, 11401, 'Анонимные классы могут быть абстрактными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50052, 11402, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50054, 11402, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50055, 11402, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50056, 11402, 'Тип возвращаемого значения run() - дженерик', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50058, 11403, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50063, 11403, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50064, 11404, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50074, 11405, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50076, 11406, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50131, 11417, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50132, 11418, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50133, 11418, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50134, 11418, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50195, 11430, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50079, 11406, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50080, 11406, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50081, 11406, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50082, 11407, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50084, 11407, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50085, 11407, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50086, 11407, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50087, 11407, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50089, 11408, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50090, 11408, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50091, 11409, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50093, 11409, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50094, 11409, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50095, 11409, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50096, 11410, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50097, 11410, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50099, 11410, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50100, 11411, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50101, 11411, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50102, 11411, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50104, 11411, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50105, 11411, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50107, 11412, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50108, 11412, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50109, 11412, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50110, 11412, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50111, 11412, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50088, 11408, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50106, 11412, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50103, 11411, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50004, 11390, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50028, 11396, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50047, 11400, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50057, 11402, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50092, 11409, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50098, 11410, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50083, 11407, 'AND и OR > NOT > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50112, 11413, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50113, 11413, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50114, 11413, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50116, 11414, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50117, 11414, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50118, 11414, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50120, 11415, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50122, 11415, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50123, 11415, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50124, 11416, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50126, 11416, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50127, 11416, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50128, 11417, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50130, 11417, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50115, 11413, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50119, 11414, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50121, 11415, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50125, 11416, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50129, 11417, 'Убрать модификатор final и изменить переменную напрямую', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50136, 11419, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50137, 11419, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50138, 11419, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50140, 11420, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50141, 11420, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50143, 11420, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50144, 11421, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50145, 11421, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50146, 11421, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50148, 11422, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50149, 11422, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50150, 11422, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50151, 11422, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50155, 11423, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50157, 11423, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50159, 11424, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50160, 11424, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50269, 11447, 'Transient', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50161, 11424, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50163, 11425, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50164, 11425, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50167, 11425, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50170, 11426, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50171, 11426, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50172, 11426, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50173, 11426, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50174, 11426, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50175, 11427, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50176, 11427, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50178, 11427, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50179, 11427, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50180, 11427, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50181, 11428, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50182, 11428, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50183, 11428, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50184, 11428, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50186, 11428, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50187, 11429, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50188, 11429, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50189, 11429, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50191, 11429, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50192, 11429, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50193, 11430, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50142, 11420, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50147, 11421, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50152, 11422, 'caller((e) -> { String f = ""; return "Poof"; });', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50153, 11422, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50154, 11423, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50162, 11424, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50165, 11425, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50168, 11425, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50166, 11425, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50169, 11426, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50177, 11427, 'TestPack_en.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50185, 11428, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50190, 11429, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50196, 11430, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50197, 11430, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50200, 11431, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50201, 11431, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50202, 11432, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50203, 11432, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50204, 11432, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50206, 11432, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50207, 11433, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50208, 11433, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50209, 11433, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50211, 11434, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50212, 11434, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50213, 11434, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50215, 11434, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50216, 11434, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50218, 11435, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50219, 11435, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50220, 11435, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50271, 11447, 'Persistent', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50272, 11447, 'Detached', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50221, 11435, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50222, 11435, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50199, 11431, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50217, 11435, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50214, 11434, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50135, 11418, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50139, 11419, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50156, 11423, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50158, 11423, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50205, 11432, '@Bean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50210, 11433, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50198, 11430, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49424, 11270, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49338, 11252, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49348, 11255, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49362, 11258, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49378, 11262, 'Не могут быть private/protected/static. Могут быть только public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49379, 11262, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49432, 11272, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50223, 11436, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50224, 11436, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50225, 11436, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50227, 11437, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50228, 11437, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50229, 11437, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50232, 11438, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50233, 11438, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50234, 11438, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50235, 11438, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50236, 11438, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50226, 11436, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50230, 11437, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50231, 11438, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50456, 11491, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50457, 11491, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50458, 11491, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50459, 11491, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50460, 11492, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50461, 11492, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50462, 11492, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50237, 11439, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50238, 11439, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50239, 11439, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50241, 11440, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50243, 11440, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50244, 11440, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50246, 11441, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50247, 11441, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50248, 11441, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50249, 11442, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50250, 11442, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50252, 11442, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50253, 11443, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50255, 11443, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50256, 11443, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50257, 11444, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50258, 11444, 'Интерфейс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50259, 11444, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50261, 11445, 'Значение финальной статической переменной может быть присвоено в конструкторе класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50262, 11445, 'Из статического метода можно обратиться к переменной экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50263, 11445, 'Из статического блока инициализации можно обратиться к переменной экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50275, 11448, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50276, 11448, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50278, 11448, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50279, 11448, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50281, 11449, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50282, 11449, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50284, 11449, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50287, 11450, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50288, 11450, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50289, 11450, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50290, 11450, 'Все перечисленные утверждения верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50291, 11451, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50292, 11451, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50293, 11451, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50295, 11452, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50296, 11452, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50297, 11452, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50270, 11447, 'Transaction', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50277, 11448, 'Через метод buildSessionFactory() класса Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50286, 11450, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50240, 11439, 'Для блока finally обязательны фигурные скобки {}', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50242, 11440, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50245, 11441, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50251, 11442, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50254, 11443, 'final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50260, 11444, 'Абстрактный класс, интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50264, 11445, 'Из метода экземпляра класса можно обратиться к статической переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50265, 11446, 'Constructor DI', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50266, 11446, 'Setter DI', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50267, 11446, 'Field DI', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50294, 11451, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50298, 11452, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50469, 11493, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50470, 11493, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50471, 11493, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50472, 11494, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50473, 11494, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50584, 11517, '@RestController = @Controller + @RequestBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50300, 11453, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50301, 11453, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50302, 11453, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50303, 11453, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50304, 11453, 'MammalPlatypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50305, 11454, 'Каждая строка блока finally гарантированно будет выполнена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50306, 11454, 'Блок finally не может выбрасывать исключений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50307, 11454, 'Блок finally будет выполнен только если соответствующий ему блок catch был выполнен успешно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50309, 11455, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50311, 11455, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50312, 11455, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50314, 11456, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50315, 11456, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50316, 11456, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50317, 11457, 'Интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50318, 11457, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50320, 11457, 'Абстракция', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50321, 11458, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50323, 11458, 'abstract', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50324, 11458, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50325, 11459, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50326, 11459, 'Интерфейс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50327, 11459, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50329, 11460, 'Значение финальной статической переменной может быть присвоено в конструкторе класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50330, 11460, 'Из статического метода можно обратиться к переменной экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50331, 11460, 'Из статического блока инициализации можно обратиться к переменной экземпляра класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50343, 11463, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50344, 11463, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50346, 11463, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50347, 11463, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50348, 11464, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50349, 11464, 'SessionFactory создается для отдельной транзакции, после чего сразу должен удаляться', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50350, 11464, 'Session создается для всей базы данных, и удаляется только в конце работы приложения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50351, 11464, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50354, 11465, 'Класс сущности не может наследоваться от класса, не являющимся сущностью', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50355, 11465, 'Класс сущности может наследоваться от другого класса-сущности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50356, 11465, 'Класс, не являющийся сущностью, может наследовать класс-сущность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50357, 11465, 'Класс-сущность может быть абстрактным', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50273, 11447, 'Attached', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50280, 11449, 'Session создается для отдельной транзакции, после чего сразу должен удаляться', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50283, 11449, 'SessionFactory создается для всей базы данных, и удаляется только в конце работы приложения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50345, 11463, 'Через метод buildSessionFactory() класса Configuration', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50353, 11464, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50358, 11465, 'Все перечисленные утверждения верны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50299, 11453, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50308, 11454, 'Для блока finally обязательны фигурные скобки {}', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50310, 11455, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50313, 11456, 'Инкапсуляция связывает два класса вместе еще сильнее', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50319, 11457, 'Конкретный класс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50322, 11458, 'final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50328, 11459, 'Абстрактный класс, интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50332, 11460, 'Из метода экземпляра класса можно обратиться к статической переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50333, 11461, 'Constructor DI', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50334, 11461, 'Setter DI', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50335, 11461, 'Field DI', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50285, 11449, 'SessionFactory может использоваться несколькими потоками одновременно, так как является потокобезопасным', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50337, 11462, 'Transient', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50339, 11462, 'Persistent', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50340, 11462, 'Detached', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50342, 11462, 'Removed', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50352, 11464, 'Session может использоваться несколькими потоками одновременно, так как является потокобезопасным', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50359, 11466, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50360, 11466, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50361, 11466, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50363, 11467, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50364, 11467, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50366, 11468, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50368, 11469, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50369, 11469, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50372, 11470, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50373, 11470, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50374, 11470, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50375, 11471, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50376, 11471, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50378, 11472, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50379, 11472, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50381, 11473, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50382, 11473, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50384, 11474, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50385, 11474, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50386, 11474, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50388, 11475, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50389, 11475, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50390, 11475, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50392, 11476, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50393, 11476, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50395, 11477, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50396, 11477, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50398, 11478, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50399, 11478, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50400, 11478, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50402, 11478, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50403, 11479, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50404, 11479, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50405, 11479, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50407, 11479, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50408, 11480, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50365, 11467, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50367, 11468, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50370, 11469, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50371, 11470, '1
2
3
4
5', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50377, 11471, 'red', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50383, 11473, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50387, 11474, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50391, 11475, 'c, a, b, d', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50394, 11476, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50397, 11477, '0
1
2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50401, 11478, 'false
false
false ', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50406, 11479, '4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50463, 11492, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50464, 11492, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50465, 11492, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50466, 11493, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50467, 11493, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50468, 11493, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50409, 11480, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50362, 11466, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50380, 11472, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50410, 11480, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50411, 11481, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50412, 11481, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50413, 11481, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50415, 11482, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50416, 11482, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50417, 11482, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50419, 11483, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50421, 11483, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50422, 11483, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50423, 11484, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50424, 11484, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50425, 11484, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50426, 11484, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50427, 11485, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50428, 11485, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50429, 11485, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50430, 11485, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50431, 11486, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50432, 11486, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50433, 11486, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50434, 11486, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50880, 11577, 'TestPack_en.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50435, 11487, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50436, 11487, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50437, 11487, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50438, 11487, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50439, 11488, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50440, 11488, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50441, 11488, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50442, 11488, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50443, 11488, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50444, 11488, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50445, 11489, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50446, 11489, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50447, 11489, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50448, 11489, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50449, 11489, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50450, 11490, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50451, 11490, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50452, 11490, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50453, 11490, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50454, 11491, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50455, 11491, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50414, 11481, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50418, 11482, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50420, 11483, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50474, 11494, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50475, 11494, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50476, 11494, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50477, 11494, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50478, 11495, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50479, 11495, 'IOException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50480, 11495, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50481, 11495, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50482, 11496, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50483, 11496, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50484, 11496, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50485, 11496, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50486, 11497, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50487, 11497, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50488, 11497, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50489, 11497, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50490, 11497, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50491, 11497, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50492, 11498, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50493, 11498, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50494, 11498, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50495, 11498, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50496, 11498, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50497, 11498, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50499, 11499, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50500, 11499, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50501, 11500, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50502, 11500, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50503, 11500, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50504, 11500, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50505, 11501, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50506, 11501, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50507, 11501, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50510, 11502, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50511, 11502, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50512, 11502, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50514, 11502, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50515, 11502, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50517, 11503, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50518, 11503, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50519, 11503, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50520, 11503, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50521, 11503, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48771, 11135, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48672, 11114, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48682, 11117, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48689, 11119, 'Абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48696, 11120, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (48722, 11126, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50522, 11504, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50523, 11504, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50498, 11499, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50524, 11504, 'Оба исключения: и из catch и из finally', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50525, 11504, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50526, 11505, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50527, 11505, 'Интерфейс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50528, 11505, 'Конкретный класс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50529, 11505, 'Абстрактный класс, интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50530, 11506, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50531, 11506, 'private', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50532, 11506, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50533, 11506, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50534, 11507, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50535, 11507, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50536, 11507, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50537, 11507, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50538, 11508, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50539, 11508, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50540, 11508, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50541, 11508, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50542, 11509, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50543, 11509, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50544, 11509, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50545, 11509, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50546, 11510, 'Код скомпилируется и выведет 2 числа, а затем Test', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50547, 11510, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50548, 11510, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50549, 11510, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50550, 11510, 'Вывод не может быть предопределен до исполнения программы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50551, 11510, 'Код компилируется и ждет вечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50552, 11511, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50553, 11511, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50554, 11511, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50555, 11511, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50556, 11512, 'allMatch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50557, 11512, 'anyMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50558, 11512, 'findAny', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50559, 11512, 'findFirst', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50560, 11512, 'noneMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50561, 11512, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50562, 11513, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50563, 11513, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50564, 11513, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50565, 11513, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50566, 11513, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50567, 11513, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50568, 11514, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50569, 11514, 'Код скомпилируется и выведет: 234567', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50570, 11514, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50571, 11514, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50572, 11514, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50573, 11514, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50574, 11515, 'DEFINE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50575, 11515, 'EXPOSE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50576, 11515, 'COMPOSE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50577, 11515, 'OPEN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50578, 11516, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50579, 11516, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50580, 11516, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50581, 11516, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50582, 11517, '@RestController помечается класс используемый как REST клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50583, 11517, '@RestController = @Controller + @RequestBody + @ResponseBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50585, 11517, '@RestController = @Controller + @ResponseBody', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50586, 11518, 'Возвращает null при отсутствии экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50587, 11518, 'Кидает Exception при отсутствии экземпляра', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50588, 11518, 'Возвращает экземпляр-прокси при ленивой инициализации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50589, 11518, 'Кидает Exception при ленивой инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50590, 11518, 'Возвращает экземпляр, доступный только для чтения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50591, 11519, 'hibernate.cache.use_second_level_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50592, 11519, 'hibernate.cache.use_cache_query=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50593, 11519, 'hibernate.cache.use_query_cache=true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50594, 11519, 'hibernate.cache.use_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50595, 11519, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50596, 11520, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50597, 11520, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50598, 11520, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50599, 11520, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50600, 11520, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50601, 11520, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50602, 11521, 'Через конструктор SessionFactory', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50603, 11521, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50604, 11521, 'Через метод buildSessionFactory() класса Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50605, 11521, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50606, 11521, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50607, 11522, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50608, 11522, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50609, 11522, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50610, 11522, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50611, 11522, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50612, 11523, 'Управляет взаимодействием между сессией и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50613, 11523, 'Управляет взаимодействием между сессией и кэшем первого уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50614, 11523, 'Управляет взаимодействием между сессией и кэшем второго уровня', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50615, 11523, 'Управляет взаимодействием между сессией и кэшем запросов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50616, 11523, 'Управляет взаимодействием между кэшем первого уровня и кэшем второго уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50617, 11523, 'Управляет взаимодействием между кэшем второго уровня и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50618, 11524, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50619, 11524, 'Указатель на самый последний коммит в ветке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50620, 11524, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50621, 11524, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50622, 11524, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50623, 11524, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50624, 11525, 'Ветку, содержащую хотя бы один коммит, нельзя удалить', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50625, 11525, 'git delete --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50626, 11525, 'git branch --delete somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50627, 11525, 'git branch --d somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50628, 11525, 'git reset --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50629, 11525, 'git remove --b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50630, 11526, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50631, 11526, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50632, 11526, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50633, 11526, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50634, 11526, 'Ошибка исправляется командой git push -u somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50635, 11526, 'Ошибка не исправляется командой git push -u somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50516, 11503, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50513, 11502, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50636, 11527, 'Ничего не будет выведено', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50637, 11527, 'Ошибка компиляции', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50639, 11527, 'Hello!', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50640, 11528, 'Ошибка компиляции на строке:System.out.print("Platypus");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50641, 11528, 'Ошибка компиляции на строке:new Mammal(5);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50642, 11528, 'Platypus', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50643, 11528, 'Mammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50644, 11528, 'PlatypusMammal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50646, 11529, 'При назначении задачи выбрасывается исключение, сообщающее о недостатке доступных потоков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50648, 11529, 'При назначении задачи она не выполняется из за отсутствия доступных потоков', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50649, 11529, 'При назначении задачи программа остановится на этой строке и будет ждать когда появятся доступные потоки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50650, 11529, 'При назначении задачи ThreadExecutor создаст новые временные потоки для дополнительных задач, а после завершения задач закроет потоки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50651, 11530, 'String изменяем', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50653, 11530, 'String может быть использован повторно через пул строк', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50654, 11530, 'String может быть создан без вызова конструктора', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50655, 11531, 'Для stateless приложений', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50657, 11531, 'Два варианта одинаково хорошо могут быть использованы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50658, 11531, 'Нет верного ответа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50659, 11532, 'Затрагивает всегда', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50660, 11532, 'Затрагивает всегда, при наличии аннотации @Cascade', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50662, 11532, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50663, 11533, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50664, 11533, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50665, 11533, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50666, 11533, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50668, 11533, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50669, 11534, 'Примитивные классы и их обертки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50671, 11534, 'Класс String', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50672, 11534, 'Перечисления (Enum)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50673, 11534, 'Любой POJO класс, реализующий интерфейс Serializable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50674, 11534, 'Все перечисленные типы данных можно использовать', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50675, 11535, 'Будут использованы настройки обеих файлов. Приоритет за hibernate.property ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50676, 11535, 'Будут использованы настройки hibernate.property, игнорируя всю конфигурацию XML', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50678, 11535, 'Будут использованы настройки XML конфигурации, игнорируя hibernate.property', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50679, 11535, 'Будет брошен ConfigurationException, так как можно использовать только один файл конфигурации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50680, 11535, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50681, 11536, 'git new', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50683, 11536, 'git init', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50684, 11536, 'git commit', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50686, 11536, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50687, 11537, 'Указатель на самый первый коммит в ветке', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50688, 11537, 'Указатель на самый последний коммит в ветке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50689, 11537, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50690, 11537, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50692, 11537, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50693, 11538, 'Хранится только последняя версия файла, не ведется история изменений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50694, 11538, 'Файл убирается из git и не отслеживается', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50695, 11538, 'Хранится версия файла с ветки master, таким каким он был на момент создания ветки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50656, 11531, 'Для stateful приложений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50682, 11536, 'git add', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50691, 11537, 'Указатель на текущий коммит', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50661, 11532, 'Не затрагивает никогда', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50670, 11534, 'java.util.Date и java.sql.Date', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50677, 11535, 'Будут использованы настройки обеих файлов. Приоритет за XML конфигурацией', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50638, 11527, 'Ошибка во время выполнения', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50645, 11528, 'MammalPlatypus', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50647, 11529, 'При назначении задачи она встанет во внутреннюю очередь и выполнится когда появятся доступные потоки', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50652, 11530, 'String не изменяем', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50755, 11552, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50756, 11552, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50697, 11538, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50699, 11539, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50700, 11539, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50701, 11539, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50702, 11539, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50703, 11539, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50705, 11540, 'Сообщения из первой партиции попадут в Consumer1, а из второй в Consumer2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50706, 11540, 'Сообщения из обоих партиций попадут только в Consumer1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50707, 11540, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50708, 11541, 'Окно с неопределенным временем действия, границы которого зависят от поведения какой-либо сущности', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50710, 11541, 'Окно, которое открывается раньше, чем закроется предыдущее', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50711, 11541, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50696, 11538, 'Хранится версия файла с ветки master, таким каким он был на момент последнего коммита в master', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50698, 11539, 'git log', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50667, 11533, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50704, 11540, 'Сообщения из обоих партиций попадут и в Consumer1 и в Consumer2', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50709, 11541, 'Окно, действующее определенный промежуток времени, после которого оно закрывается, и открывается новое окно', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50713, 11542, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50714, 11542, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50715, 11542, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50717, 11543, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50718, 11543, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50719, 11543, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50720, 11544, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50722, 11544, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50723, 11544, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50724, 11545, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50726, 11545, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50727, 11545, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50728, 11546, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50730, 11546, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50731, 11546, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50732, 11547, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50733, 11547, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50734, 11547, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50737, 11548, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50738, 11548, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50739, 11548, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50740, 11549, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50741, 11549, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50742, 11549, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50743, 11549, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50746, 11550, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50748, 11550, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51944, 11781, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50749, 11550, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50750, 11550, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50751, 11551, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50752, 11551, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50754, 11551, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50712, 11542, '960', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50716, 11543, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50721, 11544, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50725, 11545, 'Убрать модификатор final и изменить переменную напрямую', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50729, 11546, 'Модификатор доступа', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50735, 11547, 'walk#()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50736, 11548, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50745, 11549, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50744, 11549, 'caller((e) -> { String f = ""; return "Poof"; });', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50747, 11550, 'Не могут быть private/protected/static. Могут быть только public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50753, 11551, 'Анонимные классы могут быть абстрактными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50758, 11552, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50759, 11552, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50760, 11552, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50761, 11553, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50762, 11553, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50763, 11553, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50764, 11553, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50766, 11553, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50767, 11554, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50768, 11554, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50769, 11554, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50770, 11554, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50771, 11554, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50773, 11555, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50774, 11555, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50775, 11555, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50777, 11555, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50778, 11555, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50779, 11556, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50781, 11556, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50782, 11556, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50783, 11557, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50785, 11557, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50786, 11557, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50788, 11558, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50789, 11558, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50790, 11558, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50791, 11558, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50792, 11558, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50794, 11559, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50795, 11559, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50796, 11559, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50797, 11559, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50798, 11559, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50800, 11560, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50801, 11560, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50802, 11561, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50804, 11561, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50805, 11561, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50806, 11562, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50808, 11562, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50809, 11562, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50810, 11562, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50811, 11563, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50812, 11563, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52002, 11793, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50813, 11563, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50814, 11563, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50799, 11560, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50757, 11552, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50765, 11553, 'Ошибка компиляции на строке C', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50772, 11554, 'Код не скомпилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50780, 11556, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50784, 11557, 'StringBuilder может использовать == для сравнения значений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50803, 11561, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50807, 11562, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50787, 11558, 'Приоритеты всех перечисленных операций равны', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50793, 11559, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51084, 11623, 'hibernate.cache.use_cache=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51085, 11623, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51086, 11624, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52051, 11803, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50816, 11563, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50818, 11564, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50819, 11564, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50820, 11564, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50821, 11564, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50822, 11564, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50817, 11564, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50815, 11563, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50776, 11555, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50823, 11565, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50824, 11565, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50825, 11565, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50827, 11566, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50828, 11566, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50829, 11566, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50831, 11567, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50833, 11567, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50834, 11567, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50835, 11568, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50836, 11568, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50838, 11568, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50840, 11569, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50841, 11569, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50842, 11569, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50843, 11570, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50844, 11570, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50846, 11570, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50847, 11571, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50848, 11571, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50849, 11571, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50851, 11572, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50852, 11572, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50853, 11572, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50854, 11572, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50855, 11572, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50859, 11573, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50860, 11573, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50862, 11574, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50863, 11574, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50864, 11574, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50867, 11575, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50868, 11575, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50870, 11575, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50871, 11575, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50873, 11576, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50874, 11576, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50875, 11576, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50876, 11576, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50826, 11565, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50830, 11566, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50832, 11567, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50837, 11568, 'Вызвать сеттер', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50839, 11569, 'Абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50845, 11570, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50856, 11572, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50857, 11573, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50858, 11573, 'Не могут быть private/protected/static. Могут быть только public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50865, 11574, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50866, 11575, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50869, 11575, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50872, 11576, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50877, 11576, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50878, 11577, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50879, 11577, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50881, 11577, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50882, 11577, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50883, 11577, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50884, 11578, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50885, 11578, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50886, 11578, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50887, 11578, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50889, 11578, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50890, 11579, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50892, 11579, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50893, 11579, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50894, 11580, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50895, 11580, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50896, 11580, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50898, 11581, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50899, 11581, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50901, 11581, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50902, 11581, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50903, 11581, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50904, 11582, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50905, 11582, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50906, 11582, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50907, 11582, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50908, 11582, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50909, 11582, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50911, 11583, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50912, 11583, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50914, 11584, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50915, 11584, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50916, 11584, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50917, 11585, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50919, 11585, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50920, 11585, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50921, 11585, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50922, 11586, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50923, 11586, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50924, 11586, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50926, 11586, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50927, 11586, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50929, 11587, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50930, 11587, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50931, 11587, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50932, 11587, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50933, 11587, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50888, 11578, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50891, 11579, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50897, 11580, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50913, 11584, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50918, 11585, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50900, 11581, 'AND > OR > NOT > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52191, 11842, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52192, 11842, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52193, 11843, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52194, 11843, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52195, 11843, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50928, 11587, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50925, 11586, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50850, 11571, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50861, 11573, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50934, 11588, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50936, 11588, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50937, 11588, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50938, 11588, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50939, 11588, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50940, 11589, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50941, 11589, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50943, 11589, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50945, 11589, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50947, 11590, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50948, 11590, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50949, 11590, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50951, 11591, 'Для открытия файлов существует встроенный метод openfile()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50952, 11591, 'Для открытия есть встроенный метод open()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50953, 11591, 'Для открытия и закрытия файлов используется модуль os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50954, 11592, 'Логически объединенная группа файлов на диске брокера', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50955, 11592, 'Логически объединенная группа брокеров в кластере', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50957, 11592, 'Логически объединенная группа консьюмеров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50958, 11592, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50946, 11590, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50935, 11588, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50956, 11592, 'Отдельный файл на диске брокера', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50950, 11591, 'Для открытия и работы с файлами необходимо устанавливать отдельный модуль', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50942, 11589, 'Select sum(amount) from transactions;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50944, 11589, 'Select amount from transactions order by asc limit 1;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50960, 11593, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50961, 11593, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50962, 11593, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50963, 11594, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50965, 11594, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50966, 11595, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50968, 11596, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50970, 11596, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50971, 11597, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50973, 11597, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50974, 11597, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50975, 11598, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50976, 11598, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50978, 11598, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50980, 11599, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50981, 11599, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50982, 11600, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50984, 11600, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50959, 11593, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50964, 11594, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50967, 11595, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50969, 11596, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50972, 11597, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50977, 11598, '5', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50979, 11599, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51282, 11662, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52003, 11793, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50983, 11600, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50985, 11601, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50986, 11601, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51142, 11635, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51143, 11635, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51144, 11635, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51145, 11635, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51146, 11636, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51147, 11636, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51148, 11636, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51149, 11636, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51342, 11672, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50989, 11602, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50990, 11602, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50992, 11602, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50993, 11603, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50994, 11603, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51001, 11605, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51003, 11605, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51005, 11606, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51006, 11606, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51007, 11606, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51008, 11606, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51009, 11607, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51010, 11607, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50987, 11601, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50988, 11601, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50991, 11602, 'a, c, b, d', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50995, 11603, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50996, 11604, 'С помощью свойства display', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50997, 11604, 'С помощью свойства opacity', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50998, 11604, 'С помощью свойства visibility', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (50999, 11604, 'С помощью position:absolute', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51000, 11604, 'Уменьшить размеры элемента до нуля', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51002, 11605, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51004, 11606, '1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51011, 11607, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51012, 11608, 'Исключение из блока catch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51013, 11608, 'Исключение из блока finally', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51015, 11608, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51016, 11609, 'Конкретный класс, интерфейс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51017, 11609, 'Интерфейс, абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51019, 11609, 'Абстрактный класс, интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51020, 11610, 'default', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51022, 11610, 'protected', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51023, 11610, 'Никакие из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51014, 11608, 'Оба исключения: и из catch и из finally', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51018, 11609, 'Конкретный класс, абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51021, 11610, 'private', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51024, 11611, 'Интерфейс, предохраняющий пользовательский код от nullable ссылок', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51276, 11660, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51277, 11661, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51278, 11661, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51279, 11661, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51280, 11661, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51281, 11661, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51261, 11658, 'AND > OR > NOT > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51283, 11662, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51284, 11662, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51285, 11662, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51286, 11662, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51287, 11662, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51343, 11672, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51025, 11611, 'Интерфейс, который содержит в себе только один абстрактный метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51026, 11611, 'Интерфейс, который позволяет просматривать коллекцию, получать доступ к элементу данных и удалять элементы', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51027, 11611, 'Интерфейс, предоставляющий функциональные возможности обработки коллекций', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51028, 11612, 'Stream.of(list1, list2).map(list -> list.stream()).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51030, 11612, 'Stream.of(list1, list2).forEach(s -> System.out.print(s = " ");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51031, 11612, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51032, 11613, 'Если метод sleep() вызывается для потока, во время выполнения синхронизированного кода, блокировка не снимается.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51033, 11613, 'Если метод run() вызывается напрямую для объекта Thread, во время выполнения генерируется исключение.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51034, 11613, 'Порядок, в котором запускались потоки, может не совпадать с порядком их фактического выполнения.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51036, 11614, 'Код скомпилируется и выведет 2 числа, а затем Test', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51037, 11614, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51038, 11614, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51039, 11614, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51041, 11614, 'Код компилируется и ждет вечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51042, 11615, '0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51043, 11615, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51044, 11615, '2', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51046, 11616, 'allMatch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51047, 11616, 'anyMatch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51048, 11616, 'findAny', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51049, 11616, 'findFirst', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51051, 11616, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51052, 11617, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51053, 11617, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51054, 11617, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51055, 11617, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51057, 11617, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51058, 11618, 'Код скомпилируется и выведет: 123456', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51060, 11618, 'Код скомпилируется и ничего не выведет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51061, 11618, 'Код скомпилируется и будет выполняться бесконечно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51062, 11618, 'Код не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51063, 11618, 'Код скомпилируется и выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51064, 11619, 'DEFINE', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51065, 11619, 'EXPOSE', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51067, 11619, 'OPEN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51068, 11620, '@ResponseBody для использования над классом контроллера, а ResponseEntity - класс, который должны наследовать возвращаемые объекты методов этого контроллера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51069, 11620, '@ResponseBody аннотация говорит, что объект возвращаемый в методе должно быть в теле ответа, а сам объект должен наследоваться от ResponseEntity', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51071, 11620, '@ResponseBody говорит, что объект возвращаемый в методе должнен быть в теле ответа, в то время как класс ResponseEntity используется для кастомизации ответа, добавив к нему статус ответа', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51072, 11621, '@RestController помечается класс используемый как REST клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51073, 11621, '@RestController = @Controller + @RequestBody + @ResponseBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51074, 11621, '@RestController = @Controller + @RequestBody', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51076, 11622, 'Возвращает null при отсутствии экземпляра', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51079, 11622, 'Кидает Exception при ленивой инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51080, 11622, 'Возвращает экземпляр, доступный только для чтения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51082, 11623, 'hibernate.cache.use_cache_query=true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51083, 11623, 'hibernate.cache.use_query_cache=true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51081, 11623, 'hibernate.cache.use_second_level_cache=true', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51029, 11612, 'Stream.of(list1, list2).flatMap(list -> list.stream()).forEach(s -> System.out.print(s = " ");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51035, 11613, 'Если метод start() вызывается дважды для одного и того же объекта Thread, во время выполнения генерируется исключение.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51040, 11614, 'Вывод не может быть предопределен до исполнения программы', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51045, 11615, '3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51050, 11616, 'noneMatch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51056, 11617, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51059, 11618, 'Код скомпилируется и выведет: 234567', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51070, 11620, '@ResponseBody используется для аннотации класса, который будет передаваться аргументом в метод .body() класса ResponseEntity', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51075, 11621, '@RestController = @Controller + @ResponseBody', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51087, 11624, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51088, 11624, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51089, 11624, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51091, 11624, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51093, 11625, 'Через билдер SessionFactoryBuilder', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51094, 11625, 'Через метод buildSessionFactory() класса Configuration', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51095, 11625, 'Через метод buildSessionFactory() класса Connection', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51096, 11625, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51097, 11626, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено какое-либо значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51098, 11626, 'При создании сущности, запрос insert содержит только те поля, для которых выставлено корректное значение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51099, 11626, 'При обновлении сущности, запрос update содержит только те поля, которые действительно были изменены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51101, 11626, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51102, 11627, 'Управляет взаимодействием между сессией и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51104, 11627, 'Управляет взаимодействием между сессией и кэшем второго уровня', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51105, 11627, 'Управляет взаимодействием между сессией и кэшем запросов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51106, 11627, 'Управляет взаимодействием между кэшем первого уровня и кэшем второго уровня', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51107, 11627, 'Управляет взаимодействием между кэшем второго уровня и БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51109, 11628, 'Указатель на самый последний коммит в ветке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51110, 11628, 'Указатель на самый первый коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51111, 11628, 'Указатель на самый последний коммит в репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51112, 11628, 'Указатель на текущий коммит', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51113, 11628, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51114, 11629, 'Ветку, содержащую хотя бы один коммит, нельзя удалить', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51115, 11629, 'git delete --branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51116, 11629, 'git branch --delete somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51117, 11629, 'git branch --d somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51119, 11629, 'git remove --b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51120, 11630, 'Ветка существует локально, но не удаленно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51121, 11630, 'Ветка существует удаленно, но не локально', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51122, 11630, 'Для успешного пуша удаленную ветку требуется инициализировать в локальном репозитории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51123, 11630, 'Для успешного пуша удаленную ветку требуется инициализировать в удаленном репозитории', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51066, 11619, 'COMPOSE', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51108, 11628, 'Указатель на самый первый коммит в ветке', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51118, 11629, 'git reset --branch somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51124, 11630, 'Ошибка исправляется командой git push -u somebranch', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51125, 11630, 'Ошибка не исправляется командой git push -u somebranch', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51077, 11622, 'Кидает Exception при отсутствии экземпляра', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51078, 11622, 'Возвращает экземпляр-прокси при ленивой инициализации', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51090, 11624, 'Аннотация имеет другое значение, не указанное среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51092, 11625, 'Через конструктор SessionFactory', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51100, 11626, 'При обновлении сущности, запрос update содержит только те поля, для которых выставлено корректное значение', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51103, 11627, 'Управляет взаимодействием между сессией и кэшем первого уровня', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51126, 11631, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51127, 11631, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51128, 11631, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51129, 11631, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51130, 11632, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51131, 11632, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51132, 11632, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51133, 11632, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51134, 11633, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51135, 11633, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51136, 11633, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51137, 11633, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51138, 11634, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51266, 11659, 'Select * from users desc;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51139, 11634, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51140, 11634, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51141, 11634, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51150, 11637, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51151, 11637, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51152, 11637, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51153, 11637, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51154, 11638, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51155, 11638, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51156, 11638, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51157, 11638, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51158, 11638, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51159, 11638, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51160, 11639, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51161, 11639, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51162, 11639, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51163, 11639, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51164, 11639, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51165, 11640, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51166, 11640, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51167, 11640, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51168, 11640, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51169, 11641, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51170, 11641, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51171, 11641, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51172, 11641, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51173, 11641, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51174, 11641, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51175, 11642, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51176, 11642, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51177, 11642, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51178, 11642, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51179, 11642, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51180, 11642, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51181, 11643, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51182, 11643, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51183, 11643, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51184, 11643, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51185, 11643, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51186, 11643, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51187, 11644, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51188, 11644, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51189, 11644, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51190, 11644, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51191, 11644, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51192, 11644, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51193, 11645, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51194, 11645, 'IOException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51195, 11645, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51196, 11645, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51197, 11646, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51198, 11646, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51199, 11646, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51200, 11646, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51201, 11647, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51202, 11647, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51203, 11647, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51204, 11647, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51205, 11647, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51206, 11647, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51207, 11648, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51208, 11648, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51209, 11648, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51802, 11753, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51210, 11648, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51211, 11648, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51212, 11648, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51213, 11649, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51214, 11649, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51215, 11649, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51216, 11650, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51217, 11650, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51218, 11650, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51219, 11650, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51220, 11651, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51221, 11651, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51222, 11651, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51223, 11651, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51224, 11651, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51225, 11652, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51226, 11652, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51227, 11652, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51228, 11652, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51229, 11652, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51230, 11652, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51231, 11653, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51232, 11653, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51233, 11653, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51234, 11653, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51235, 11653, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51236, 11653, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51238, 11654, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51239, 11654, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51240, 11654, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51241, 11654, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51242, 11654, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51244, 11655, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51245, 11655, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51246, 11655, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51247, 11655, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51248, 11656, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51249, 11656, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51250, 11656, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51252, 11656, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51253, 11656, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51255, 11657, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51256, 11657, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51257, 11657, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51258, 11657, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51259, 11658, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51260, 11658, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51262, 11658, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51263, 11658, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51264, 11658, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51265, 11659, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51267, 11659, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51268, 11659, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51269, 11659, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51270, 11659, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51271, 11660, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51272, 11660, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51273, 11660, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51274, 11660, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51275, 11660, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51251, 11656, 'Select * from users where name = "%Ivan%";', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51254, 11657, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51288, 11663, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51289, 11663, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51290, 11663, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51291, 11663, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51292, 11663, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51293, 11663, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51294, 11664, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51295, 11664, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51296, 11664, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51297, 11664, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51298, 11664, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51299, 11664, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51300, 11665, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51301, 11665, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51302, 11665, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51303, 11665, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51304, 11665, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51305, 11665, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51306, 11666, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51307, 11666, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51308, 11666, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51309, 11666, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51310, 11666, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51311, 11666, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51312, 11667, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51313, 11667, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51314, 11667, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51315, 11667, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51316, 11667, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51317, 11667, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51318, 11668, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51319, 11668, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51320, 11668, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51321, 11668, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51322, 11668, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51323, 11668, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51324, 11669, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51325, 11669, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51326, 11669, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51327, 11669, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51328, 11669, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51329, 11669, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51330, 11670, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51331, 11670, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51332, 11670, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51333, 11670, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51334, 11670, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51335, 11670, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51336, 11671, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51337, 11671, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51338, 11671, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51339, 11671, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51340, 11671, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51341, 11671, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51344, 11672, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51345, 11672, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51346, 11672, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51347, 11672, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51348, 11673, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51349, 11673, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51350, 11673, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51351, 11673, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51352, 11673, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51353, 11673, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51354, 11674, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51355, 11674, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51356, 11674, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51357, 11674, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51358, 11674, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51359, 11675, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51360, 11675, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51361, 11675, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51362, 11675, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51363, 11675, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51364, 11675, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51365, 11676, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51366, 11676, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51367, 11676, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51368, 11676, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51369, 11676, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51370, 11676, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51371, 11677, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51372, 11677, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51373, 11677, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51374, 11677, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51375, 11677, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51376, 11677, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51377, 11678, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51378, 11678, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51379, 11678, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51380, 11678, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51381, 11678, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51382, 11679, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51383, 11679, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51384, 11679, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51385, 11679, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51386, 11679, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51387, 11679, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51388, 11680, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51389, 11680, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51390, 11680, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51391, 11680, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51392, 11680, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51393, 11681, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51394, 11681, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51395, 11681, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51396, 11681, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51397, 11681, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51398, 11681, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51399, 11682, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51400, 11682, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51401, 11682, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51402, 11682, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51403, 11682, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51404, 11682, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51405, 11683, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51406, 11683, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51407, 11683, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51408, 11683, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51409, 11683, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51410, 11683, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51411, 11684, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51412, 11684, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51413, 11684, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51414, 11684, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51415, 11684, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51416, 11685, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51417, 11685, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51418, 11685, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51803, 11753, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51419, 11685, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51420, 11685, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51421, 11685, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51422, 11686, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51423, 11686, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51424, 11686, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51425, 11686, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51426, 11686, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51427, 11686, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51428, 11687, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51429, 11687, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51430, 11687, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51431, 11687, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51432, 11687, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51433, 11687, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51434, 11688, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51435, 11688, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51436, 11688, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51437, 11688, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51438, 11688, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51439, 11688, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51440, 11689, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51441, 11689, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51442, 11689, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51443, 11689, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51444, 11689, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51445, 11689, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51446, 11690, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51447, 11690, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51448, 11690, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51449, 11690, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51450, 11690, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51451, 11690, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51452, 11691, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51453, 11691, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51454, 11691, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51455, 11691, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51456, 11691, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51457, 11691, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51458, 11692, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51459, 11692, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51460, 11692, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51461, 11692, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51462, 11692, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51463, 11692, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51464, 11693, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51465, 11693, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51466, 11693, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51467, 11693, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51468, 11693, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51469, 11693, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51470, 11694, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51471, 11694, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51472, 11694, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52247, 11857, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51473, 11694, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51474, 11694, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51475, 11694, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51476, 11695, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51477, 11695, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51478, 11695, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51479, 11695, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51480, 11695, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51481, 11695, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51482, 11696, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51483, 11696, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51484, 11696, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51485, 11696, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51486, 11696, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51487, 11696, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51488, 11697, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51489, 11697, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51490, 11697, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51491, 11697, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51492, 11697, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51493, 11698, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51494, 11698, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51495, 11698, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51496, 11698, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51497, 11698, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51498, 11698, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51499, 11699, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51500, 11699, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51501, 11699, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51502, 11699, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51503, 11699, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51504, 11699, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51505, 11700, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51506, 11700, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51507, 11700, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51508, 11700, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51509, 11700, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51510, 11700, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51511, 11701, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51512, 11701, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51513, 11701, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51514, 11701, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51515, 11701, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51516, 11702, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51517, 11702, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51518, 11702, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51519, 11702, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51520, 11702, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51521, 11702, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51522, 11703, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51523, 11703, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51524, 11703, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51525, 11703, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51526, 11703, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51527, 11704, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51528, 11704, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51529, 11704, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51530, 11704, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51531, 11704, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51532, 11704, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51533, 11705, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51534, 11705, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51535, 11705, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51536, 11705, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51537, 11705, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51538, 11705, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51539, 11706, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51540, 11706, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51541, 11706, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51542, 11706, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51543, 11706, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51544, 11706, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51545, 11707, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51546, 11707, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51547, 11707, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51548, 11707, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51549, 11707, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51550, 11708, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51551, 11708, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51552, 11708, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51553, 11708, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51554, 11708, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51555, 11708, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51556, 11709, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51557, 11709, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51558, 11709, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51559, 11709, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51560, 11709, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51561, 11709, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51562, 11710, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51563, 11710, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51564, 11710, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51565, 11710, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51566, 11710, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51567, 11710, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51568, 11711, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51569, 11711, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51570, 11711, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51571, 11711, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51572, 11711, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51573, 11711, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51574, 11712, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51575, 11712, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51576, 11712, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51577, 11712, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51578, 11712, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51579, 11712, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51580, 11713, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51581, 11713, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51582, 11713, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51583, 11713, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51584, 11713, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51585, 11713, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51586, 11714, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51587, 11714, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51588, 11714, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51589, 11714, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51590, 11714, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51591, 11714, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51592, 11715, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51593, 11715, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51594, 11715, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51595, 11715, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51596, 11715, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51597, 11715, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51598, 11716, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51599, 11716, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51600, 11716, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51601, 11716, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51602, 11716, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51603, 11716, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51604, 11717, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51605, 11717, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51606, 11717, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51607, 11717, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51608, 11717, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51609, 11717, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51610, 11718, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51611, 11718, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51612, 11718, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51613, 11718, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51614, 11718, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51615, 11718, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51616, 11719, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51617, 11719, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51618, 11719, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51619, 11719, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51620, 11719, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51621, 11719, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51622, 11720, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51623, 11720, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51624, 11720, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51625, 11720, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51626, 11720, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51627, 11721, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51628, 11721, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51629, 11721, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51630, 11721, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51631, 11721, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51632, 11721, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51633, 11722, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51634, 11722, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51635, 11722, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51636, 11722, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51637, 11722, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51638, 11722, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51639, 11723, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51640, 11723, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51641, 11723, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51642, 11723, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51643, 11723, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51644, 11723, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51645, 11724, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51646, 11724, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51647, 11724, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51648, 11724, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51649, 11724, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51650, 11725, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51651, 11725, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51652, 11725, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51653, 11725, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51654, 11725, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51655, 11725, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51656, 11726, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51657, 11726, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51658, 11726, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51659, 11726, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51660, 11726, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51661, 11727, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51662, 11727, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51663, 11727, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51664, 11727, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51665, 11727, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51666, 11727, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51667, 11728, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51668, 11728, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51669, 11728, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51670, 11728, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51671, 11728, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51672, 11728, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51673, 11729, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51674, 11729, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51675, 11729, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51676, 11729, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51677, 11729, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51678, 11729, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51679, 11730, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51680, 11730, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51681, 11730, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51682, 11730, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51683, 11730, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51684, 11731, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51685, 11731, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51686, 11731, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51687, 11731, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51688, 11731, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51689, 11731, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51690, 11732, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51691, 11732, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51692, 11732, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51693, 11732, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51694, 11732, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51695, 11732, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51696, 11733, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51697, 11733, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51698, 11733, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51699, 11733, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51700, 11733, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51701, 11733, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51702, 11734, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51703, 11734, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51704, 11734, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51705, 11734, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51706, 11734, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51707, 11734, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51708, 11735, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51709, 11735, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51710, 11735, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51711, 11735, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51712, 11735, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51713, 11735, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51714, 11736, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51715, 11736, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51716, 11736, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51717, 11736, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51718, 11736, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51719, 11736, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51720, 11737, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51721, 11737, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51722, 11737, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51723, 11737, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51724, 11737, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51725, 11737, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51726, 11738, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51727, 11738, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51728, 11738, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51729, 11738, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51730, 11738, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51731, 11738, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51732, 11739, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51733, 11739, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51734, 11739, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51735, 11739, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51736, 11739, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51737, 11739, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51738, 11740, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51739, 11740, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51740, 11740, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51741, 11740, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51742, 11740, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51743, 11740, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51744, 11741, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51745, 11741, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51746, 11741, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51747, 11741, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51748, 11741, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51749, 11741, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51750, 11742, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51751, 11742, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51752, 11742, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51753, 11742, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51754, 11742, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51755, 11742, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51756, 11743, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51757, 11743, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51758, 11743, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51759, 11743, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51760, 11743, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51761, 11744, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51762, 11744, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51763, 11744, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51764, 11744, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51765, 11744, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51766, 11744, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51767, 11745, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51768, 11745, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51769, 11745, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51770, 11745, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51771, 11745, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51772, 11745, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51773, 11746, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51774, 11746, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51775, 11746, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51777, 11747, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51778, 11747, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51779, 11747, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51781, 11748, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51783, 11748, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51784, 11748, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51785, 11749, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51786, 11749, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51787, 11749, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51789, 11750, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51790, 11750, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51791, 11750, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51793, 11751, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51794, 11751, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51795, 11751, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51797, 11752, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51798, 11752, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51799, 11752, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51801, 11753, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51782, 11748, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51788, 11749, 'Каким-либо способом, не перечисленным среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51792, 11750, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51796, 11751, 'walk#()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51800, 11752, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51808, 11754, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54201, 12288, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51809, 11754, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51810, 11754, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51812, 11755, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51813, 11755, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51814, 11755, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51817, 11756, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51820, 11756, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51823, 11757, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51824, 11757, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51825, 11757, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51826, 11757, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51827, 11757, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51829, 11758, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51830, 11758, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51831, 11758, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51832, 11758, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51833, 11758, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51834, 11759, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51835, 11759, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51837, 11759, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51838, 11759, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51839, 11759, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51840, 11760, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51842, 11760, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51843, 11760, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51844, 11761, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51845, 11761, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51846, 11761, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51848, 11762, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51849, 11762, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51850, 11762, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51851, 11762, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51852, 11762, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51854, 11763, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51855, 11763, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51857, 11763, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51858, 11763, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51859, 11763, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51861, 11764, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51862, 11764, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51864, 11765, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51805, 11753, 'caller((e) -> { String f = ""; return "Poof"; });', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51807, 11754, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51815, 11755, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51816, 11756, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51819, 11756, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51821, 11756, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51822, 11757, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51828, 11758, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51836, 11759, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51841, 11760, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51847, 11761, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51863, 11765, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51853, 11762, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51856, 11763, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51865, 11765, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51866, 11765, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51867, 11766, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51869, 11766, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51870, 11766, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51871, 11766, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51872, 11767, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51873, 11767, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51874, 11767, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51876, 11767, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51877, 11767, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51879, 11768, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51880, 11768, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51881, 11768, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51882, 11768, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51883, 11768, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51884, 11769, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51886, 11769, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51887, 11769, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51888, 11770, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51889, 11770, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51890, 11770, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51892, 11771, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51893, 11771, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51894, 11771, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51897, 11772, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51898, 11772, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51899, 11772, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51901, 11773, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51902, 11773, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51903, 11773, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51904, 11774, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51905, 11774, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51906, 11774, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51908, 11775, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51909, 11775, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51910, 11775, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51912, 11776, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51913, 11776, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51914, 11776, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51917, 11776, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51918, 11777, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51919, 11777, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51921, 11777, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51923, 11778, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51925, 11778, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51926, 11778, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51885, 11769, '641', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51895, 11771, 'Неизменяемость переменной', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51896, 11772, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51900, 11773, 'Абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51907, 11774, 'walk#()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51915, 11776, 'caller((e) -> { String e = ""; return "Poof"; });', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51916, 11776, 'caller((e) -> { String f = ""; return "Poof"; });', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51920, 11777, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51924, 11778, 'Все утверждения являются верными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52249, 11857, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52250, 11858, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52251, 11858, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51868, 11766, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51929, 11779, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51931, 11779, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51932, 11779, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51933, 11780, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51934, 11780, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51935, 11780, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51937, 11780, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51938, 11780, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51939, 11781, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51940, 11781, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51942, 11781, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51943, 11781, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51946, 11782, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51947, 11782, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51948, 11782, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51949, 11782, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51950, 11782, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51951, 11783, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51952, 11783, 'IOException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51954, 11783, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51955, 11784, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51956, 11784, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51957, 11784, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51959, 11785, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51960, 11785, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51961, 11785, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51962, 11785, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51963, 11785, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51966, 11786, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51967, 11786, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51968, 11786, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51969, 11786, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51970, 11786, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51971, 11787, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51972, 11787, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51974, 11788, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51976, 11788, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51977, 11788, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51979, 11789, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51980, 11789, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51981, 11789, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51982, 11789, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51983, 11790, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51984, 11790, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51985, 11790, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51936, 11780, 'Ошибка компиляции на строке B', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51941, 11781, 'TestPack_en.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51930, 11779, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51927, 11779, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51945, 11782, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51953, 11783, 'IllegalArgumentException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51958, 11784, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51975, 11788, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51978, 11789, '@Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51964, 11785, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51965, 11786, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51987, 11790, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51988, 11790, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51989, 11791, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51990, 11791, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51991, 11791, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51993, 11791, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51994, 11791, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51995, 11792, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51996, 11792, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51997, 11792, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51998, 11792, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52000, 11792, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52001, 11793, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54406, 12348, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52005, 11793, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52006, 11793, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52008, 11794, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52009, 11794, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52010, 11794, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52011, 11795, 'Для открытия и работы с файлами необходимо устанавливать отдельный модуль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52012, 11795, 'Для открытия файлов существует встроенный метод openfile()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52014, 11795, 'Для открытия и закрытия файлов используется модуль os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52015, 11796, 'Логически объединенная группа файлов на диске брокера', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52016, 11796, 'Логически объединенная группа брокеров в кластере', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52017, 11796, 'Отдельный файл на диске брокера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52019, 11796, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52007, 11794, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51999, 11792, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52018, 11796, 'Логически объединенная группа консьюмеров', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52013, 11795, 'Для открытия есть встроенный метод open()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52004, 11793, 'Select amount from transactions order by desc limit 1;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52021, 11797, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52022, 11797, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52023, 11797, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52024, 11797, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52025, 11797, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52026, 11798, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52028, 11798, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52029, 11798, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52030, 11798, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52031, 11798, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52033, 11799, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52034, 11799, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52035, 11799, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52036, 11800, 'Для открытия и работы с файлами необходимо устанавливать отдельный модуль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52037, 11800, 'Для открытия файлов существует встроенный метод openfile()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52039, 11800, 'Для открытия и закрытия файлов используется модуль os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52040, 11801, 'Логически объединенная группа файлов на диске брокера', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52041, 11801, 'Логически объединенная группа брокеров в кластере', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52042, 11801, 'Отдельный файл на диске брокера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52044, 11801, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52032, 11799, 'name', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52020, 11797, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52043, 11801, 'Логически объединенная группа консьюмеров', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52038, 11800, 'Для открытия есть встроенный метод open()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52027, 11798, 'Select max(amount) from transactions;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52046, 11802, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52047, 11802, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52048, 11802, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52049, 11802, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52050, 11802, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51992, 11791, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52314, 11870, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52313, 11870, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52052, 11803, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52053, 11803, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52054, 11803, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52056, 11803, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52057, 11804, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52058, 11804, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52059, 11804, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52061, 11805, 'Для открытия и работы с файлами необходимо устанавливать отдельный модуль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52062, 11805, 'Для открытия файлов существует встроенный метод openfile()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52064, 11805, 'Для открытия и закрытия файлов используется модуль os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52065, 11806, 'Логически объединенная группа файлов на диске брокера', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52066, 11806, 'Логически объединенная группа брокеров в кластере', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52067, 11806, 'Отдельный файл на диске брокера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52068, 11806, 'Логически объединенная группа консьюмеров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52060, 11804, 'remote', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52045, 11802, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52069, 11806, 'Ничего из перечисленного', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52063, 11805, 'Для открытия есть встроенный метод open()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52055, 11803, 'Select amount from transactions order by asc limit 1;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52070, 11807, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52071, 11807, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52072, 11807, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52073, 11808, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52074, 11808, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52075, 11808, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52076, 11808, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52077, 11809, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52078, 11809, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52079, 11809, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52080, 11810, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52081, 11810, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52082, 11811, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52083, 11811, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52084, 11811, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52085, 11812, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52086, 11812, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52087, 11812, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52088, 11812, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52089, 11813, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52090, 11813, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52091, 11813, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52092, 11814, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52093, 11814, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52094, 11814, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52095, 11815, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52096, 11815, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52097, 11815, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52098, 11816, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52099, 11816, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52100, 11816, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52101, 11816, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52102, 11817, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52103, 11817, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52104, 11817, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52105, 11817, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52106, 11818, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52107, 11818, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52108, 11818, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52109, 11819, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52110, 11819, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52111, 11819, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52112, 11820, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52113, 11820, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52114, 11820, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52115, 11820, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52116, 11820, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52117, 11821, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52118, 11821, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52119, 11821, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52120, 11821, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52121, 11821, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52123, 11822, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52124, 11822, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52125, 11823, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52126, 11823, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52127, 11823, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52128, 11823, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52129, 11824, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52130, 11824, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52131, 11824, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52132, 11825, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52133, 11825, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52134, 11826, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52135, 11826, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52136, 11826, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52137, 11827, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52138, 11827, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52139, 11827, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52140, 11827, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52141, 11828, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52142, 11828, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52143, 11828, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52144, 11829, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52145, 11829, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52146, 11829, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52315, 11870, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52317, 11871, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52382, 11885, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52381, 11885, 'call() принимает дженерик в качестве аргумента', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52147, 11830, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52148, 11830, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52149, 11830, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52150, 11831, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52151, 11831, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52152, 11831, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52153, 11831, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52154, 11832, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52155, 11832, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52156, 11832, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52157, 11832, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52158, 11833, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52159, 11833, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52160, 11833, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52161, 11834, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52162, 11834, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52163, 11834, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52164, 11835, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52165, 11835, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52166, 11835, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52167, 11835, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52168, 11835, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52169, 11836, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52170, 11836, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52171, 11836, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52172, 11836, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52173, 11836, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52122, 11822, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52174, 11837, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52175, 11837, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52176, 11837, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52177, 11838, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52178, 11838, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52179, 11838, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52180, 11838, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52181, 11839, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52182, 11839, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52183, 11839, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52184, 11840, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52185, 11840, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52186, 11841, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52187, 11841, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52188, 11841, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52189, 11842, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52190, 11842, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52196, 11844, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52197, 11844, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52198, 11844, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52199, 11845, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52200, 11845, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52201, 11845, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52202, 11846, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52203, 11846, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52204, 11846, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52479, 11905, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52205, 11846, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52206, 11847, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52207, 11847, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52208, 11847, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52209, 11847, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52210, 11848, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52211, 11848, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52212, 11848, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52213, 11849, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52214, 11849, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52215, 11849, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52216, 11850, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52217, 11850, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52218, 11850, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52219, 11850, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52220, 11850, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52221, 11851, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52222, 11851, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52223, 11851, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52224, 11851, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52225, 11851, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51973, 11787, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51986, 11790, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51891, 11770, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51911, 11775, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51922, 11777, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51928, 11779, 'call() принимает дженерик в качестве аргумента', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52226, 11852, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52227, 11852, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52228, 11852, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52230, 11853, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52231, 11853, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52232, 11853, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52234, 11854, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52235, 11854, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52237, 11854, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52238, 11855, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52240, 11855, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52241, 11855, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52242, 11856, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52243, 11856, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52244, 11856, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52246, 11857, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52229, 11852, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52233, 11853, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52236, 11854, 'Синглтон переменная', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52239, 11855, 'Убрать модификатор final и изменить переменную напрямую', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52245, 11856, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52253, 11858, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52254, 11859, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52255, 11859, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52256, 11859, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52257, 11859, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52258, 11859, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52261, 11860, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52264, 11860, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52265, 11861, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52267, 11861, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52268, 11861, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52269, 11862, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52273, 11862, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52276, 11863, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52277, 11863, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52278, 11863, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52279, 11863, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52282, 11864, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52283, 11864, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52284, 11864, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52285, 11864, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52286, 11864, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52287, 11865, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52728, 11956, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52288, 11865, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52289, 11865, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52290, 11865, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52292, 11865, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52293, 11866, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52295, 11866, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52296, 11866, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52297, 11867, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52298, 11867, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52299, 11867, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52301, 11868, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52302, 11868, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52303, 11868, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52305, 11868, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52306, 11868, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52307, 11869, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52309, 11869, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52310, 11869, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52311, 11869, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52312, 11869, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52259, 11859, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52260, 11860, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52263, 11860, 'Не имеют доступ к полям и методам внешнего класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52266, 11861, 'Все утверждения являются верными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52270, 11862, 'call() принимает дженерик в качестве аргумента', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52271, 11862, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52274, 11862, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52275, 11863, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52280, 11863, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52281, 11864, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52291, 11865, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52294, 11866, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52300, 11867, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52304, 11868, 'NOT > AND > OR и IN', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52308, 11869, 'Select address from offices union all Select address from departments union all Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52318, 11871, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52319, 11871, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52320, 11872, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52321, 11872, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52323, 11872, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52324, 11872, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52325, 11873, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52326, 11873, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52327, 11873, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52329, 11873, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52330, 11873, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52332, 11874, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52333, 11874, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52334, 11874, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52335, 11874, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52336, 11874, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52337, 11875, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52338, 11875, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52339, 11875, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52341, 11876, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52342, 11876, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52343, 11876, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52345, 11877, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52347, 11877, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52348, 11877, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54407, 12348, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52350, 11878, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52351, 11878, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52352, 11878, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52354, 11879, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52355, 11879, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52356, 11879, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52357, 11880, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52358, 11880, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52360, 11880, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52361, 11881, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52362, 11881, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52364, 11881, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52365, 11882, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52366, 11882, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52367, 11882, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52368, 11882, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52369, 11882, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52372, 11883, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52373, 11883, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52374, 11883, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52376, 11884, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52378, 11884, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52379, 11884, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52322, 11872, '@Controller', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52340, 11875, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52344, 11876, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52346, 11877, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52349, 11878, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52353, 11879, 'Абстрактный класс', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52359, 11880, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52363, 11881, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52370, 11882, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52375, 11883, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52371, 11883, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52377, 11884, 'Все утверждения являются верными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52384, 11885, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52387, 11886, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52388, 11886, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52389, 11886, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52390, 11886, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52391, 11886, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52392, 11887, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52393, 11887, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52395, 11887, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52396, 11887, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52397, 11887, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52398, 11888, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52399, 11888, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52401, 11888, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52402, 11888, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52403, 11888, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52404, 11889, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52406, 11889, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52407, 11889, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52408, 11890, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52409, 11890, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52410, 11890, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52412, 11891, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52413, 11891, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52414, 11891, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52415, 11891, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52416, 11891, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52418, 11892, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52419, 11892, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52421, 11892, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52422, 11892, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52423, 11892, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52425, 11893, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52426, 11893, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52428, 11894, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52429, 11894, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52430, 11894, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52431, 11895, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52433, 11895, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52434, 11895, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52435, 11895, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52436, 11896, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52437, 11896, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52438, 11896, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52440, 11896, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52441, 11896, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52424, 11893, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52383, 11885, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52385, 11885, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52386, 11886, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52394, 11887, 'TestPack_en.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52400, 11888, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52405, 11889, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52411, 11890, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52427, 11894, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52432, 11895, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52417, 11891, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52420, 11892, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52443, 11897, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52444, 11897, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52445, 11897, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52446, 11897, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52447, 11897, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52448, 11898, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52449, 11898, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52450, 11898, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52452, 11899, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52453, 11899, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52454, 11899, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52455, 11899, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52456, 11900, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52457, 11900, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52458, 11900, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52459, 11900, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52460, 11901, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52461, 11901, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52462, 11901, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52463, 11901, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52464, 11902, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52465, 11902, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52466, 11902, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52467, 11902, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52468, 11903, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52469, 11903, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52470, 11903, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52471, 11903, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52472, 11904, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52473, 11904, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52474, 11904, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52475, 11904, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52476, 11905, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52477, 11905, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52478, 11905, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52480, 11905, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52481, 11905, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52482, 11906, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52483, 11906, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52484, 11906, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52485, 11906, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52486, 11906, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52487, 11907, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52488, 11907, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52489, 11907, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52490, 11907, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52491, 11908, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52492, 11908, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52493, 11908, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52494, 11908, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52495, 11908, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52496, 11908, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52497, 11909, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52498, 11909, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52499, 11909, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52500, 11909, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52501, 11909, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52502, 11909, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52503, 11910, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52504, 11910, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52505, 11910, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52506, 11910, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52507, 11910, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52508, 11910, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52451, 11898, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52567, 11923, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52509, 11911, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52510, 11911, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52511, 11911, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52512, 11911, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52513, 11911, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52514, 11911, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52515, 11912, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52516, 11912, 'IOException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52517, 11912, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52518, 11912, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52519, 11913, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52520, 11913, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52521, 11913, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52522, 11913, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52523, 11914, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52524, 11914, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52525, 11914, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52526, 11914, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52527, 11914, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52528, 11914, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52529, 11915, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52530, 11915, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52531, 11915, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52532, 11915, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52533, 11915, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52534, 11915, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52536, 11916, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52537, 11916, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52538, 11917, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52539, 11917, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52540, 11917, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52541, 11917, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52542, 11918, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52543, 11918, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52544, 11918, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52545, 11918, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52546, 11918, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52547, 11919, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52548, 11919, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52549, 11919, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52551, 11919, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52552, 11919, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52554, 11920, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52555, 11920, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52556, 11920, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52557, 11920, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52558, 11920, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52535, 11916, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52553, 11920, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52550, 11919, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52559, 11921, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52560, 11921, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52561, 11921, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52562, 11921, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52563, 11922, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52564, 11922, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52565, 11922, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52566, 11922, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52568, 11923, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52569, 11923, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52570, 11923, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52571, 11924, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52572, 11924, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52573, 11924, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52574, 11924, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52575, 11925, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52576, 11925, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52577, 11925, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52578, 11925, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52579, 11926, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52580, 11926, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52581, 11926, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52582, 11926, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52583, 11927, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52584, 11927, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52585, 11927, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52586, 11927, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52587, 11928, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52588, 11928, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52589, 11928, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52590, 11928, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52591, 11928, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52592, 11928, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52593, 11929, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52594, 11929, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52595, 11929, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52596, 11929, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52597, 11929, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52598, 11930, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52599, 11930, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52600, 11930, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52601, 11930, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52729, 11956, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52602, 11931, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52603, 11931, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52604, 11931, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52605, 11931, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52606, 11931, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52607, 11931, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52608, 11932, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52609, 11932, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52610, 11932, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52611, 11932, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52612, 11932, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52613, 11932, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52614, 11933, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52615, 11933, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52616, 11933, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52617, 11933, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52618, 11933, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52619, 11933, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52620, 11934, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52621, 11934, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52622, 11934, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52623, 11934, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52624, 11934, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52625, 11934, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52626, 11935, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52627, 11935, 'IOException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52628, 11935, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52629, 11935, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52630, 11936, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52631, 11936, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52632, 11936, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52633, 11936, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52634, 11937, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52635, 11937, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52636, 11937, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52637, 11937, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52638, 11937, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52639, 11937, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52640, 11938, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52641, 11938, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52642, 11938, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52643, 11938, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52644, 11938, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52645, 11938, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52646, 11939, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52647, 11939, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52648, 11939, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52649, 11940, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52650, 11940, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52651, 11940, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52652, 11940, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52653, 11941, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52654, 11941, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52655, 11941, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52656, 11941, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52657, 11941, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52658, 11942, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52659, 11942, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52660, 11942, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52661, 11942, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52662, 11942, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52663, 11942, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52664, 11943, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52665, 11943, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52666, 11943, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52667, 11943, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52668, 11943, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52669, 11943, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49992, 11388, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49893, 11367, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49917, 11373, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49936, 11377, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (49943, 11379, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52331, 11874, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52328, 11873, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52248, 11857, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52252, 11858, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52262, 11860, 'Не могут иметь никаких статических элементов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52272, 11862, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52316, 11871, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52670, 11944, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52671, 11944, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52672, 11944, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52674, 11945, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52673, 11944, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52675, 11945, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52676, 11945, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52678, 11946, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52680, 11946, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52681, 11946, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52682, 11947, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52683, 11947, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52684, 11947, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52686, 11948, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52687, 11948, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52688, 11948, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52690, 11949, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52691, 11949, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52693, 11949, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52694, 11950, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52695, 11950, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52697, 11950, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52699, 11951, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52700, 11951, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52701, 11951, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52702, 11951, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52706, 11952, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52707, 11952, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52709, 11953, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52710, 11953, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52711, 11953, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52713, 11954, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52714, 11954, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52715, 11954, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52717, 11954, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52719, 11955, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52720, 11955, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52721, 11955, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52722, 11955, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52724, 11955, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52726, 11956, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52727, 11956, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52730, 11956, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52731, 11957, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52732, 11957, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52733, 11957, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52734, 11957, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52736, 11957, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52737, 11958, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52679, 11946, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52685, 11947, 'Каким-либо способом, не перечисленным среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52689, 11948, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52692, 11949, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52703, 11951, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52698, 11951, 'caller((e) -> { String e=""; return "Poof" });', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52704, 11952, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52705, 11952, 'Не могут быть private/protected/static. Могут быть только public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52712, 11953, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52716, 11954, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52718, 11954, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52723, 11955, 'Ошибка компиляции на строке C', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52725, 11956, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52735, 11957, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52743, 11959, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52745, 11960, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52746, 11960, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52747, 11960, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52748, 11960, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52749, 11960, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52751, 11961, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52752, 11961, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52754, 11961, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52755, 11961, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52756, 11961, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52758, 11962, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52759, 11962, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52761, 11963, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52762, 11963, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52763, 11963, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52764, 11964, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52765, 11964, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52766, 11964, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52768, 11964, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52769, 11965, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52770, 11965, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52771, 11965, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52773, 11965, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52774, 11965, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52776, 11966, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52777, 11966, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52778, 11966, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52779, 11966, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52780, 11966, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52757, 11962, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52775, 11966, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52772, 11965, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52677, 11945, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52847, 11980, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52848, 11981, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52696, 11950, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52708, 11952, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52738, 11958, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52744, 11959, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52760, 11963, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52767, 11964, '@Bean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52750, 11960, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52753, 11961, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51237, 11654, 'Select * from table;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51243, 11655, 'Сортирует по первичному ключу по возрастанию', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52781, 11967, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52782, 11967, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52783, 11967, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52785, 11968, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52786, 11968, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52787, 11968, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52789, 11969, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52791, 11969, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52792, 11969, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52793, 11970, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52794, 11970, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52795, 11970, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52784, 11967, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52790, 11969, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52796, 11970, 'Каким-либо способом, не перечисленным среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52797, 11971, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52798, 11971, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52799, 11971, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52801, 11972, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52802, 11972, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52804, 11972, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52805, 11973, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52806, 11973, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52807, 11973, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52809, 11974, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52810, 11974, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52811, 11974, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52812, 11974, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52813, 11974, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52815, 11975, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52816, 11975, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52817, 11975, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52818, 11975, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52820, 11976, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52822, 11976, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52823, 11976, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52825, 11977, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52826, 11977, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52828, 11977, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52830, 11978, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52832, 11978, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52833, 11978, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52834, 11978, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52835, 11978, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52837, 11979, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52838, 11979, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52839, 11979, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52840, 11979, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52841, 11979, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52842, 11980, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52843, 11980, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52845, 11980, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52846, 11980, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52850, 11981, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52851, 11981, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52852, 11982, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52853, 11982, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52854, 11982, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52856, 11983, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52857, 11983, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52858, 11983, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52859, 11983, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52860, 11983, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52803, 11972, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52814, 11974, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52819, 11975, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52821, 11976, 'Все утверждения являются верными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52824, 11977, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52829, 11977, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52831, 11978, 'Код выведет 4 3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52836, 11979, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52844, 11980, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52849, 11981, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52855, 11982, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52862, 11984, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52864, 11984, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52865, 11984, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52866, 11984, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52867, 11984, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52869, 11985, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52870, 11985, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52871, 11986, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52872, 11986, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52874, 11986, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52875, 11987, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52877, 11987, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52878, 11987, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52879, 11987, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52880, 11988, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52881, 11988, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52882, 11988, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52884, 11988, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52885, 11988, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52887, 11989, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52888, 11989, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52889, 11989, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52890, 11989, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52891, 11989, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52892, 11990, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52893, 11990, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52894, 11990, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52896, 11991, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52897, 11991, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52898, 11991, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52900, 11992, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52902, 11992, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52903, 11992, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52905, 11993, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52906, 11993, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52907, 11993, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52908, 11994, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52909, 11994, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52910, 11994, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52912, 11995, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52914, 11995, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52915, 11995, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52916, 11996, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53596, 12148, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52917, 11996, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52919, 11996, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52920, 11997, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52921, 11997, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52895, 11990, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52901, 11992, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52904, 11993, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52911, 11994, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52913, 11995, '%run()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52868, 11985, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52886, 11989, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52883, 11988, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52873, 11986, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52876, 11987, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52861, 11983, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52863, 11984, 'Select address from offices union all Select address from departments union all Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52922, 11997, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52923, 11997, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52924, 11997, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52928, 11998, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52929, 11998, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52931, 11999, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52932, 11999, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52934, 11999, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52936, 12000, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52939, 12000, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52942, 12001, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52943, 12001, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52944, 12001, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52945, 12001, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52946, 12001, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52947, 12002, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52948, 12002, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52950, 12002, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52951, 12002, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52952, 12002, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52953, 12003, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52954, 12003, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52955, 12003, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52956, 12003, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52958, 12003, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52959, 12004, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52961, 12004, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52962, 12004, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52963, 12005, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52964, 12005, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52965, 12005, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52967, 12006, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52968, 12006, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52969, 12006, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52970, 12006, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52971, 12006, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52973, 12007, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52974, 12007, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52976, 12007, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52977, 12007, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52978, 12007, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52980, 12008, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52981, 12008, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52982, 12009, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52979, 12008, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52925, 11997, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52927, 11998, 'Не могут быть private/protected/static. Могут быть только public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52933, 11999, 'Анонимные классы могут быть абстрактными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52940, 12000, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52935, 12000, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52938, 12000, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52941, 12001, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52949, 12002, 'TestPack_en.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52957, 12003, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52960, 12004, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52966, 12005, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52972, 12006, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52975, 12007, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53028, 12019, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53029, 12019, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53030, 12019, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53031, 12019, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53032, 12020, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52983, 12009, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52985, 12009, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52986, 12010, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52987, 12010, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52988, 12010, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52989, 12010, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52991, 12011, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52992, 12011, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52993, 12011, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52995, 12011, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52996, 12011, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52998, 12012, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52999, 12012, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53000, 12012, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53001, 12012, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53002, 12012, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52997, 12012, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52994, 12011, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52899, 11991, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52918, 11996, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52926, 11998, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52930, 11998, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52937, 12000, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52984, 12009, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52990, 12010, '@Repositoty', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53003, 12013, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53004, 12013, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53005, 12013, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53008, 12014, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53009, 12014, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53010, 12014, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53011, 12014, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53013, 12015, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53014, 12015, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53015, 12015, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53016, 12016, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53017, 12016, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53018, 12016, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53164, 12048, 'Для создания сессии между серверами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53019, 12016, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53020, 12017, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53021, 12017, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53022, 12017, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53023, 12017, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53024, 12018, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53025, 12018, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53026, 12018, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53027, 12018, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53006, 12013, 'Ничего из перечисленного', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53007, 12014, 'Bird is flyingPelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53012, 12015, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53362, 12096, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53363, 12096, 'hash от 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53364, 12097, '[1, 2]  + [2,3]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53365, 12097, '{1, 2} + {2, 3}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53366, 12097, '(1) + (2)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53367, 12097, '(1, 2) + (2, 3)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53368, 12098, 'setdefault(), popitem(), pop(), fromkeys()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53369, 12098, 'update(), remove(), values(), copy()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53370, 12098, 'clear(), get(), push(), index()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53371, 12098, 'get(), set(), keys(), items()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53033, 12020, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53034, 12020, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53035, 12020, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53036, 12021, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53037, 12021, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53038, 12021, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53039, 12021, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53040, 12022, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53041, 12022, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53042, 12022, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53043, 12022, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53044, 12023, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53045, 12023, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53046, 12023, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53047, 12023, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53048, 12024, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53049, 12024, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53050, 12024, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53051, 12024, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53052, 12024, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53053, 12025, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53054, 12025, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53055, 12025, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53056, 12025, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53057, 12026, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53058, 12026, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53059, 12026, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53060, 12026, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53061, 12026, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53062, 12026, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53063, 12027, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53064, 12027, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53065, 12027, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53066, 12027, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53067, 12027, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53068, 12027, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53069, 12028, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53070, 12028, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53071, 12028, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53072, 12028, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53073, 12028, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53074, 12029, 'Thread r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53075, 12029, 'Runnable r = () -> System.out.println("Run!");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53076, 12029, 'Run r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53077, 12029, 'Executable r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53078, 12029, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53079, 12030, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53165, 12048, 'Для создания и хранения данных в сессии клиента', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54251, 12303, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53080, 12030, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53081, 12030, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53082, 12030, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53083, 12031, 'ConcurrentLinkedQueue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53084, 12031, 'ConcurrentSkipListMap', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53085, 12031, 'CopyOnWriteArrayList', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53086, 12031, 'LinkedBlockingQueue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53087, 12031, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53088, 12031, 'Все перечисленные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53089, 12032, '? extends Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53090, 12032, '? implements Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53091, 12032, 'T extends Collection<U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53092, 12032, 'T implements Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53093, 12032, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53094, 12032, 'T super Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53095, 12033, 'IntConsumer, LongSupplier', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53096, 12033, 'IntSupplier, Function', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53097, 12033, 'Supplier, DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53098, 12033, 'Supplier, LongSupplier', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53099, 12033, 'UnaryOperator, Consumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53100, 12033, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53101, 12034, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53102, 12034, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53103, 12034, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53104, 12034, 'Ошибка компиляции на строке D', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53105, 12034, 'Код скомпилируется и выведет "1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53106, 12034, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53107, 12035, 'login', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53108, 12035, 'object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53109, 12035, 'attempts', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53110, 12035, 'users', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53111, 12035, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53112, 12035, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53114, 12036, 'python exec file.py', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53115, 12036, 'python file.py exec', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53116, 12036, 'python file.py', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53117, 12037, 'response.setHeader({''Some-Header'': ''Example''})', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53118, 12037, 'response.headers.add[''Some-Header''] = ''Example''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53119, 12037, 'return Response({''headers'': {''Some-Header'': ''Example''}})', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53120, 12037, 'response.headers[''Some-Header''] = ''Example''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53121, 12038, '1, 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53122, 12038, 'Ошибку, так как i не присвоена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53123, 12038, '1, 3, 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53124, 12038, 'Ошибку из-за неверного вывода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53125, 12038, '0, 2, 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53126, 12039, 'Django ORM', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53127, 12039, 'GORM', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53128, 12039, 'SQLALchemy', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53129, 12039, 'ODB', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53130, 12040, 'Не более 23', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53131, 12040, 'Не более 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53132, 12040, 'Не более 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53133, 12040, 'Неограниченное количество', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53134, 12040, 'Не более 10', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53135, 12041, 'var a: int = 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53136, 12041, 'Integer a = 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53137, 12041, 'a = 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53138, 12041, 'a = 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53139, 12042, 'session.query(User).get(1)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53140, 12042, 'session.get(User).id(1)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53141, 12042, 'session.query(1).get(User)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53142, 12042, 'session.select(User).where.id(1)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53143, 12043, 'dict_object.add(key=''Example'')', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53144, 12043, 'dict_object.append({''key'': ''Example''})', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53145, 12043, 'dict_object[''key''] = ''Example''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53146, 12043, 'dict_object.key = ''Example'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53147, 12044, 'Для открытия и работы с файлами необходимо устанавливать отдельный модуль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53148, 12044, 'Для открытия файлов существует встроенный метод openfile()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53149, 12044, 'Для открытия есть встроенный метод open()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53150, 12044, 'Для открытия и закрытия файлов используется модуль os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53151, 12045, 'list_object.delete(index)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53152, 12045, 'list_object.remove(index)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53153, 12045, 'delete list_object[index]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53154, 12045, 'list_object[index] = None', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53155, 12046, 'Реализовать авторизацию через LoginManager (Flask-Login) и использовать current_user', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53156, 12046, 'Использовать встроенную функцию current_user', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53157, 12046, 'Использовать модуль для создания форм WTForms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53158, 12046, 'Импортировать объект User''a из Werkzeug', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53159, 12047, 'list(filter(None, list_object))', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53160, 12047, 'for element in a:
if not element:
delete element', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53161, 12047, 'list_object.remove(None)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53162, 12047, 'list_object = [element for element in list_object if not element]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53163, 12048, 'Для создания сессии с базой данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53166, 12048, 'Для создания сессии на время соединения с сервером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53167, 12049, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53168, 12049, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53169, 12049, '[False, True, False]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53170, 12050, '“”, ‘’, [], {}, None, 0, 0.0, False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53171, 12050, '“1”, ‘1’, [1], {“a”: 1}, 1, 1.0, True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53172, 12050, 'True, None', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53173, 12050, 'ни один из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53174, 12051, 'ячейку памяти в которой хранится переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53175, 12051, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53176, 12051, 'hash от 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53177, 12052, '[1, 2]  + [2,3]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53178, 12052, '{1, 2} + {2, 3}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53179, 12052, '(1) + (2)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53180, 12052, '(1, 2) + (2, 3)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53181, 12053, 'setdefault(), popitem(), pop(), fromkeys()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53182, 12053, 'update(), remove(), values(), copy()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53183, 12053, 'clear(), get(), push(), index()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53184, 12053, 'get(), set(), keys(), items()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53185, 12054, 'Для исправления ошибок в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53186, 12054, 'Для оптимизации в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53187, 12054, 'Для создания ошибок в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53188, 12054, 'Для обработки ошибок в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53189, 12055, 'set', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53190, 12055, 'array', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53191, 12055, 'list', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53192, 12055, 'bytes', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53193, 12055, 'map', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53194, 12055, 'frozenset', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53195, 12056, 'append(), extend(), pop()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53196, 12056, 'insert(), add(), delete()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53197, 12056, 'update(), clean(). pop()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53198, 12056, 'error(), __str__(), __del__()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53199, 12057, '0 // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53200, 12057, 'True // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53201, 12057, 'False // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53202, 12057, '1 // False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53203, 12058, 'Для создания глобального класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53204, 12058, 'Для создания абстрактного класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53205, 12058, 'Для создания любого класса в Python (базовый класс)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53206, 12058, 'Для создания Singleton-классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53207, 12059, 'Список (list)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53208, 12059, 'Множество (set)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53209, 12059, 'Кортеж (tuple)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53210, 12059, 'Словарь (dict)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53211, 12060, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53212, 12060, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53213, 12060, '3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53214, 12060, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53215, 12061, 'Чтобы пропустить выполнение всего цикла', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53216, 12061, 'Чтобы вернуть управление циклом и код ниже не выполнился в текущей итерации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53217, 12061, 'Чтобы остановить выполнение цикла и вызвать Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53218, 12061, 'Чтобы забрать управление циклом и код ниже обязательно выполнился в текущей итерации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53219, 12062, 'st', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53220, 12062, 'sto', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53221, 12062, 'to', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53222, 12062, 'Syntax Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53223, 12063, 'Оператор-заглушка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53224, 12063, 'Синоним оператора "continue" (пропустить)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53225, 12063, 'Данная оператор не используется в новых версиях Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53226, 12064, '2.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53227, 12064, '2.25', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53228, 12064, '9.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53229, 12064, '20.25', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53230, 12064, '21', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53231, 12065, '{''key'': ''value''} | {''key2'': ''value2''}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53232, 12065, '[1, 2] + [3, 4]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53233, 12065, '[1, 2] - [3, 4]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53234, 12065, '[1, 2].extend([3, 4])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53235, 12066, 'Syntax Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53236, 12066, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53237, 12066, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53238, 12066, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53239, 12066, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53240, 12067, 'Чтобы экономить время разработки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53241, 12067, 'Чтобы экономить ресурсы системы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53242, 12067, 'Чтобы оптимизировать скорость выполнения python-кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53243, 12067, 'Чтобы кешировать исполняемый код и удалять его, если тот не используется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53244, 12067, 'Чтобы удалять неиспользуемые объекты в памяти', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53245, 12068, 'Определяет список и инициализирует его.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53246, 12068, 'Определяет функцию, которая ничего не делает.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53247, 12068, 'Определяет функцию, которая передает параметры.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53248, 12068, 'Определяет пустой класс.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53249, 12069, 'Набор сетевых библиотек для парсинга', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53250, 12069, 'Набор библиотек для создания мультипоточной обработки данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53251, 12069, 'Конструктор сайтов на Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53345, 12091, 'Импортировать объект User''a из Werkzeug', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53252, 12069, 'Набор готовых модулей/функций для ускорения создания веб-сайта', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53253, 12070, 'user', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53254, 12070, 'bill', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53255, 12070, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53256, 12070, 'hillary', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53257, 12070, 'TypeError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53258, 12071, 'Компилятор программ на Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53259, 12071, 'Шаблонизатор', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53260, 12071, 'Модуль для организации чат сервер/клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53261, 12071, 'Инструмент отладки кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53262, 12072, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53263, 12072, '12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53264, 12072, '24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53265, 12072, '36', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53266, 12072, '48', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53267, 12073, 'pip setup flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53268, 12073, 'pip i flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53269, 12073, 'pip freeze flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53270, 12073, 'pip install flask', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53271, 12074, 'Использовать метод cin()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53272, 12074, 'Использовать метод input()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53273, 12074, 'Использовать метод readLine()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53274, 12074, 'Использовать метод get()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53275, 12074, 'Использовать метод read()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53276, 12075, 'form = request.form', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53277, 12075, 'form = response.form()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53278, 12075, 'form = getattr(request, ''post_body'')', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53279, 12075, 'form = response.args', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53280, 12076, 'Time', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53281, 12076, 'time', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53282, 12076, 'localtime', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53283, 12076, 'clock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53284, 12077, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53285, 12077, 'log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53286, 12077, 'write', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53287, 12077, 'print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53288, 12078, 'return redirect("https://www.test.com", code=302)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53289, 12078, 'return abort("https://www.test.com", code=302)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53290, 12078, 'return flask.jsonify(status_code=400, redirect=True)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53291, 12078, 'return request.redirect("https://www.test.com", code=302)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53292, 12079, 'Модуль для описания и валидации ответов (response)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53293, 12079, 'Модульные приложения внутри глобального приложения во Flask''e', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53294, 12079, 'Валидатор форм (замена WTForms)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53295, 12079, 'HTML-шаблонизатор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53296, 12080, 'Hi, ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53297, 12080, 'Hi, name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53298, 12080, 'Hi, John', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53299, 12080, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53113, 12036, 'Тrun python file.py', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53301, 12081, 'python exec file.py', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53302, 12081, 'python file.py exec', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53303, 12081, 'python file.py', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53305, 12082, 'response.headers.add[''Some-Header''] = ''Example''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53306, 12082, 'return Response({''headers'': {''Some-Header'': ''Example''}})', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53307, 12082, 'response.headers[''Some-Header''] = ''Example''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53308, 12083, '1, 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53310, 12083, '1, 3, 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53311, 12083, 'Ошибку из-за неверного вывода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53312, 12083, '0, 2, 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53313, 12084, 'Django ORM', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53314, 12084, 'GORM', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53315, 12084, 'SQLALchemy', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53316, 12084, 'ODB', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53317, 12085, 'Не более 23', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53318, 12085, 'Не более 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53319, 12085, 'Не более 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53320, 12085, 'Неограниченное количество', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53321, 12085, 'Не более 10', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53322, 12086, 'var a: int = 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53323, 12086, 'Integer a = 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53324, 12086, 'a = 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53325, 12086, 'a = 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53326, 12087, 'session.query(User).get(1)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53327, 12087, 'session.get(User).id(1)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53328, 12087, 'session.query(1).get(User)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53329, 12087, 'session.select(User).where.id(1)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53330, 12088, 'dict_object.add(key=''Example'')', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53331, 12088, 'dict_object.append({''key'': ''Example''})', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53332, 12088, 'dict_object[''key''] = ''Example''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53333, 12088, 'dict_object.key = ''Example'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53334, 12089, 'Для открытия и работы с файлами необходимо устанавливать отдельный модуль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53335, 12089, 'Для открытия файлов существует встроенный метод openfile()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53336, 12089, 'Для открытия есть встроенный метод open()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53337, 12089, 'Для открытия и закрытия файлов используется модуль os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53338, 12090, 'list_object.delete(index)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53339, 12090, 'list_object.remove(index)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53340, 12090, 'delete list_object[index]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53341, 12090, 'list_object[index] = None', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53342, 12091, 'Реализовать авторизацию через LoginManager (Flask-Login) и использовать current_user', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53343, 12091, 'Использовать встроенную функцию current_user', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53344, 12091, 'Использовать модуль для создания форм WTForms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53346, 12092, 'list(filter(None, list_object))', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53347, 12092, 'for element in a:
if not element:
delete element', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53348, 12092, 'list_object.remove(None)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53349, 12092, 'list_object = [element for element in list_object if not element]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53350, 12093, 'Для создания сессии с базой данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53351, 12093, 'Для создания сессии между серверами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53352, 12093, 'Для создания и хранения данных в сессии клиента', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53353, 12093, 'Для создания сессии на время соединения с сервером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53354, 12094, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53355, 12094, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53356, 12094, '[False, True, False]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53357, 12095, '“”, ‘’, [], {}, None, 0, 0.0, False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53358, 12095, '“1”, ‘1’, [1], {“a”: 1}, 1, 1.0, True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53359, 12095, 'True, None', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53360, 12095, 'ни один из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53361, 12096, 'ячейку памяти в которой хранится переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53304, 12082, 'response.setHeader({''Some-Header'': ''Example''})', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53309, 12083, 'Ошибку, так как i не присвоена', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53372, 12099, 'Для исправления ошибок в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53373, 12099, 'Для оптимизации в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53374, 12099, 'Для создания ошибок в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53375, 12099, 'Для обработки ошибок в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53376, 12100, 'set', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53377, 12100, 'array', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53378, 12100, 'list', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53379, 12100, 'bytes', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53380, 12100, 'map', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53381, 12100, 'frozenset', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53382, 12101, 'append(), extend(), pop()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53383, 12101, 'insert(), add(), delete()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53384, 12101, 'update(), clean(). pop()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53385, 12101, 'error(), __str__(), __del__()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53386, 12102, '0 // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53387, 12102, 'True // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53388, 12102, 'False // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53389, 12102, '1 // False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53390, 12103, 'Для создания глобального класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53391, 12103, 'Для создания абстрактного класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53392, 12103, 'Для создания любого класса в Python (базовый класс)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53393, 12103, 'Для создания Singleton-классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53394, 12104, 'Список (list)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53395, 12104, 'Множество (set)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53396, 12104, 'Кортеж (tuple)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53397, 12104, 'Словарь (dict)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53398, 12105, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53399, 12105, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53400, 12105, '3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53401, 12105, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53402, 12106, 'Чтобы пропустить выполнение всего цикла', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53403, 12106, 'Чтобы вернуть управление циклом и код ниже не выполнился в текущей итерации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53404, 12106, 'Чтобы остановить выполнение цикла и вызвать Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53405, 12106, 'Чтобы забрать управление циклом и код ниже обязательно выполнился в текущей итерации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53406, 12107, 'st', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53407, 12107, 'sto', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53408, 12107, 'to', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53409, 12107, 'Syntax Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53410, 12108, 'Оператор-заглушка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53411, 12108, 'Синоним оператора "continue" (пропустить)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53412, 12108, 'Данная оператор не используется в новых версиях Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53413, 12109, '2.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53414, 12109, '2.25', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53415, 12109, '9.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53416, 12109, '20.25', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53417, 12109, '21', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53418, 12110, '{''key'': ''value''} | {''key2'': ''value2''}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53419, 12110, '[1, 2] + [3, 4]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53420, 12110, '[1, 2] - [3, 4]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53421, 12110, '[1, 2].extend([3, 4])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53422, 12111, 'Syntax Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53423, 12111, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53424, 12111, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53425, 12111, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53426, 12111, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53427, 12112, 'Чтобы экономить время разработки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53428, 12112, 'Чтобы экономить ресурсы системы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53429, 12112, 'Чтобы оптимизировать скорость выполнения python-кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53430, 12112, 'Чтобы кешировать исполняемый код и удалять его, если тот не используется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53431, 12112, 'Чтобы удалять неиспользуемые объекты в памяти', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53432, 12113, 'Определяет список и инициализирует его.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53433, 12113, 'Определяет функцию, которая ничего не делает.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53434, 12113, 'Определяет функцию, которая передает параметры.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53435, 12113, 'Определяет пустой класс.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53436, 12114, 'Набор сетевых библиотек для парсинга', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53437, 12114, 'Набор библиотек для создания мультипоточной обработки данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53438, 12114, 'Конструктор сайтов на Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53439, 12114, 'Набор готовых модулей/функций для ускорения создания веб-сайта', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53440, 12115, 'user', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53441, 12115, 'bill', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53442, 12115, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53443, 12115, 'hillary', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53444, 12115, 'TypeError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53445, 12116, 'Компилятор программ на Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53446, 12116, 'Шаблонизатор', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53447, 12116, 'Модуль для организации чат сервер/клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53448, 12116, 'Инструмент отладки кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53449, 12117, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53450, 12117, '12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53451, 12117, '24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53452, 12117, '36', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53453, 12117, '48', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53454, 12118, 'pip setup flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53455, 12118, 'pip i flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53456, 12118, 'pip freeze flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53457, 12118, 'pip install flask', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53458, 12119, 'Использовать метод cin()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53459, 12119, 'Использовать метод input()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53460, 12119, 'Использовать метод readLine()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53461, 12119, 'Использовать метод get()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53462, 12119, 'Использовать метод read()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53463, 12120, 'form = request.form', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53464, 12120, 'form = response.form()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53465, 12120, 'form = getattr(request, ''post_body'')', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53466, 12120, 'form = response.args', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53467, 12121, 'Time', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53468, 12121, 'time', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53469, 12121, 'localtime', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53470, 12121, 'clock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53471, 12122, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53472, 12122, 'log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53473, 12122, 'write', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53474, 12122, 'print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53475, 12123, 'return redirect("https://www.test.com", code=302)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53476, 12123, 'return abort("https://www.test.com", code=302)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53477, 12123, 'return flask.jsonify(status_code=400, redirect=True)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53478, 12123, 'return request.redirect("https://www.test.com", code=302)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53479, 12124, 'Модуль для описания и валидации ответов (response)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53480, 12124, 'Модульные приложения внутри глобального приложения во Flask''e', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53481, 12124, 'Валидатор форм (замена WTForms)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53482, 12124, 'HTML-шаблонизатор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53483, 12125, 'Hi, ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53484, 12125, 'Hi, name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53485, 12125, 'Hi, John', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53486, 12125, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53300, 12081, 'Тrun python file.py', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53487, 12126, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53488, 12126, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53490, 12126, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53492, 12127, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53493, 12127, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53494, 12127, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53495, 12127, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53496, 12128, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53498, 12128, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53499, 12128, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53500, 12129, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53501, 12129, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53504, 12130, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53505, 12130, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53506, 12130, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53508, 12131, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53509, 12131, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53511, 12131, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53512, 12132, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53514, 12132, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53515, 12132, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53516, 12133, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53517, 12133, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53518, 12133, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53519, 12133, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53520, 12134, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53521, 12134, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53522, 12134, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53523, 12134, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53524, 12135, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53525, 12135, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53526, 12135, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53527, 12135, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53528, 12136, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53529, 12136, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53530, 12136, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53532, 12137, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53533, 12137, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53534, 12137, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53535, 12137, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53491, 12127, 'Bird is flyingPelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53497, 12128, 'Класс ExampleJava напечатает null', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53503, 12129, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53502, 12129, 'И те и другие могут содержать default методы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53507, 12130, 'RuntimeException', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53510, 12131, 'один или больше, ноль или один', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53513, 12132, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53536, 12137, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53537, 12138, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53538, 12138, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53539, 12138, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53540, 12138, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53541, 12139, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53542, 12139, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53543, 12139, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53544, 12139, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53545, 12139, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53546, 12139, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53547, 12140, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53548, 12140, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53549, 12140, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53550, 12140, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53551, 12140, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53552, 12140, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53553, 12141, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53554, 12141, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53555, 12141, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53556, 12141, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53557, 12141, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53558, 12142, 'Thread r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53559, 12142, 'Runnable r = () -> System.out.println("Run!");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53560, 12142, 'Run r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53561, 12142, 'Executable r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53562, 12142, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53563, 12143, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53564, 12143, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53565, 12143, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53566, 12143, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53567, 12144, 'ConcurrentLinkedQueue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53568, 12144, 'ConcurrentSkipListMap', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53569, 12144, 'CopyOnWriteArrayList', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53570, 12144, 'LinkedBlockingQueue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53571, 12144, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53572, 12144, 'Все перечисленные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53573, 12145, '? extends Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53574, 12145, '? implements Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53575, 12145, 'T extends Collection<U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53576, 12145, 'T implements Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53577, 12145, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53578, 12145, 'T super Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53579, 12146, 'IntConsumer, LongSupplier', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53580, 12146, 'IntSupplier, Function', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53581, 12146, 'Supplier, DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53582, 12146, 'Supplier, LongSupplier', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53583, 12146, 'UnaryOperator, Consumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53584, 12146, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53585, 12147, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53586, 12147, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53587, 12147, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53588, 12147, 'Ошибка компиляции на строке D', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53589, 12147, 'Код скомпилируется и выведет "1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53590, 12147, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53591, 12148, 'login', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53489, 12126, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53597, 12149, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53599, 12149, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53600, 12149, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53602, 12150, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53603, 12150, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53604, 12150, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53605, 12150, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53606, 12151, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53607, 12151, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53608, 12151, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53609, 12151, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53610, 12152, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53611, 12152, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53612, 12152, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53613, 12152, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53614, 12153, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53615, 12153, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53616, 12153, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53617, 12153, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53618, 12154, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53619, 12154, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53620, 12154, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53621, 12154, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53622, 12155, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53623, 12155, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53624, 12155, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53625, 12155, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53626, 12156, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53627, 12156, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53628, 12156, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53629, 12156, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53630, 12157, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53631, 12157, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53632, 12157, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53633, 12157, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53634, 12158, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53635, 12158, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53636, 12158, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53637, 12158, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53638, 12159, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53639, 12159, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53640, 12159, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53641, 12159, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53642, 12160, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53643, 12160, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53644, 12160, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53645, 12160, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53646, 12160, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53647, 12161, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53648, 12161, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53649, 12161, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53650, 12161, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53651, 12162, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53652, 12162, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53653, 12162, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53654, 12162, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53655, 12162, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53656, 12162, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53657, 12163, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53658, 12163, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53659, 12163, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53660, 12163, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53661, 12163, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53662, 12163, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53663, 12164, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54252, 12303, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53664, 12164, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53665, 12164, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53666, 12164, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53601, 12150, 'Bird is flyingPelican is flying', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54753, 12432, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53667, 12164, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53668, 12165, 'Thread r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53669, 12165, 'Runnable r = () -> System.out.println("Run!");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53670, 12165, 'Run r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53671, 12165, 'Executable r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53672, 12165, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53673, 12166, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53674, 12166, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53675, 12166, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53676, 12166, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53677, 12167, 'ConcurrentLinkedQueue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53678, 12167, 'ConcurrentSkipListMap', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53679, 12167, 'CopyOnWriteArrayList', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53680, 12167, 'LinkedBlockingQueue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53681, 12167, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53682, 12167, 'Все перечисленные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53683, 12168, '? extends Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53684, 12168, '? implements Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53685, 12168, 'T extends Collection<U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53686, 12168, 'T implements Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53687, 12168, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53688, 12168, 'T super Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53689, 12169, 'IntConsumer, LongSupplier', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53690, 12169, 'IntSupplier, Function', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53691, 12169, 'Supplier, DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53692, 12169, 'Supplier, LongSupplier', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53693, 12169, 'UnaryOperator, Consumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53694, 12169, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53695, 12170, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53696, 12170, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53697, 12170, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53698, 12170, 'Ошибка компиляции на строке D', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53699, 12170, 'Код скомпилируется и выведет "1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53700, 12170, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53701, 12171, 'login', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53702, 12171, 'object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53703, 12171, 'attempts', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53704, 12171, 'users', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53705, 12171, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53706, 12171, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53707, 12172, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53708, 12172, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53709, 12172, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53710, 12172, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53711, 12173, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53712, 12173, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53713, 12173, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53714, 12173, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53715, 12173, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53716, 12174, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53717, 12174, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53718, 12174, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53719, 12174, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53720, 12175, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53721, 12175, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53722, 12175, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53723, 12175, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53724, 12176, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53725, 12176, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53726, 12176, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53727, 12176, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53728, 12177, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53729, 12177, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53730, 12177, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53731, 12177, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53732, 12178, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53733, 12178, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53734, 12178, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53735, 12178, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53736, 12179, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53805, 12193, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53737, 12179, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53738, 12179, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53739, 12179, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53740, 12180, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53741, 12180, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53742, 12180, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53743, 12180, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53744, 12181, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53745, 12181, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53746, 12181, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53747, 12181, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53748, 12182, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53749, 12182, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53750, 12182, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53751, 12182, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53752, 12183, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53753, 12183, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53754, 12183, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53755, 12183, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53756, 12183, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53757, 12184, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53758, 12184, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53759, 12184, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53760, 12184, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53761, 12185, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53762, 12185, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53763, 12185, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53764, 12185, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53765, 12185, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53766, 12185, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53767, 12186, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53768, 12186, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53769, 12186, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53770, 12186, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53771, 12186, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53772, 12186, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53773, 12187, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53774, 12187, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53775, 12187, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53776, 12187, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53777, 12187, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53778, 12188, 'Thread r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53779, 12188, 'Runnable r = () -> System.out.println("Run!");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53780, 12188, 'Run r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53781, 12188, 'Executable r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53782, 12188, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53783, 12189, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53784, 12189, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53785, 12189, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53786, 12189, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53787, 12190, 'ConcurrentLinkedQueue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53788, 12190, 'ConcurrentSkipListMap', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53789, 12190, 'CopyOnWriteArrayList', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53790, 12190, 'LinkedBlockingQueue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53791, 12190, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53792, 12190, 'Все перечисленные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53793, 12191, '? extends Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53794, 12191, '? implements Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53795, 12191, 'T extends Collection<U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53796, 12191, 'T implements Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53797, 12191, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53798, 12191, 'T super Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53799, 12192, 'IntConsumer, LongSupplier', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53800, 12192, 'IntSupplier, Function', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53801, 12192, 'Supplier, DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53802, 12192, 'Supplier, LongSupplier', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53803, 12192, 'UnaryOperator, Consumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53804, 12192, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54250, 12303, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53806, 12193, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53807, 12193, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53808, 12193, 'Ошибка компиляции на строке D', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53809, 12193, 'Код скомпилируется и выведет "1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53810, 12193, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53811, 12194, 'login', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53812, 12194, 'object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53813, 12194, 'attempts', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53814, 12194, 'users', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53815, 12194, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53816, 12194, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52788, 11968, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52800, 11971, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52808, 11973, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52827, 11977, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53818, 12195, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53819, 12195, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53820, 12196, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53821, 12196, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53822, 12196, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53823, 12196, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53824, 12197, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53825, 12197, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53826, 12197, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53827, 12198, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53828, 12198, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53829, 12199, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53830, 12199, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53831, 12199, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53832, 12200, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53833, 12200, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53834, 12200, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53835, 12200, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53836, 12201, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53837, 12201, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53838, 12201, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53839, 12202, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53840, 12202, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53841, 12202, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53842, 12203, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53843, 12203, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53844, 12203, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53845, 12204, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53846, 12204, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53847, 12204, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54254, 12304, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54306, 12319, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53848, 12204, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53849, 12205, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53850, 12205, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53851, 12205, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53852, 12205, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53853, 12206, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53854, 12206, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53855, 12206, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53856, 12207, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53857, 12207, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53858, 12207, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53859, 12208, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53860, 12208, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53861, 12208, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53862, 12208, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53863, 12208, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53864, 12209, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53865, 12209, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53866, 12209, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53867, 12209, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53868, 12209, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53817, 12195, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53598, 12149, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53870, 12210, 'python exec file.py', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53871, 12210, 'python file.py exec', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53872, 12210, 'python file.py', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53873, 12211, 'response.setHeader({''Some-Header'': ''Example''})', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53874, 12211, 'response.headers.add[''Some-Header''] = ''Example''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53875, 12211, 'return Response({''headers'': {''Some-Header'': ''Example''}})', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53877, 12212, '1, 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53878, 12212, 'Ошибку, так как i не присвоена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53879, 12212, '1, 3, 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53880, 12212, 'Ошибку из-за неверного вывода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53881, 12212, '0, 2, 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53882, 12213, 'Django ORM', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53883, 12213, 'GORM', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53884, 12213, 'SQLALchemy', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53885, 12213, 'ODB', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53886, 12214, 'Не более 23', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53887, 12214, 'Не более 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53888, 12214, 'Не более 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53889, 12214, 'Неограниченное количество', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53890, 12214, 'Не более 10', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53891, 12215, 'var a: int = 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53892, 12215, 'Integer a = 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53893, 12215, 'a = 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53894, 12215, 'a = 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53895, 12216, 'session.query(User).get(1)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53896, 12216, 'session.get(User).id(1)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53897, 12216, 'session.query(1).get(User)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53898, 12216, 'session.select(User).where.id(1)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53899, 12217, 'dict_object.add(key=''Example'')', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53900, 12217, 'dict_object.append({''key'': ''Example''})', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53901, 12217, 'dict_object[''key''] = ''Example''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53902, 12217, 'dict_object.key = ''Example'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53903, 12218, 'Для открытия и работы с файлами необходимо устанавливать отдельный модуль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53904, 12218, 'Для открытия файлов существует встроенный метод openfile()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53905, 12218, 'Для открытия есть встроенный метод open()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53906, 12218, 'Для открытия и закрытия файлов используется модуль os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53907, 12219, 'list_object.delete(index)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53908, 12219, 'list_object.remove(index)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53909, 12219, 'delete list_object[index]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53910, 12219, 'list_object[index] = None', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53911, 12220, 'Реализовать авторизацию через LoginManager (Flask-Login) и использовать current_user', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53912, 12220, 'Использовать встроенную функцию current_user', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53913, 12220, 'Использовать модуль для создания форм WTForms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53914, 12220, 'Импортировать объект User''a из Werkzeug', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53915, 12221, 'list(filter(None, list_object))', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53916, 12221, 'for element in a:
if not element:
delete element', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53917, 12221, 'list_object.remove(None)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53918, 12221, 'list_object = [element for element in list_object if not element]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53919, 12222, 'Для создания сессии с базой данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53920, 12222, 'Для создания сессии между серверами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53869, 12210, 'Тrun python file.py', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54302, 12318, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54303, 12318, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53921, 12222, 'Для создания и хранения данных в сессии клиента', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53922, 12222, 'Для создания сессии на время соединения с сервером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53923, 12223, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53924, 12223, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53925, 12223, '[False, True, False]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53926, 12224, '“”, ‘’, [], {}, None, 0, 0.0, False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53927, 12224, '“1”, ‘1’, [1], {“a”: 1}, 1, 1.0, True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53928, 12224, 'True, None', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53929, 12224, 'ни один из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53930, 12225, 'ячейку памяти в которой хранится переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53931, 12225, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53932, 12225, 'hash от 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53933, 12226, '[1, 2]  + [2,3]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53934, 12226, '{1, 2} + {2, 3}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53935, 12226, '(1) + (2)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53936, 12226, '(1, 2) + (2, 3)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53937, 12227, 'setdefault(), popitem(), pop(), fromkeys()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53938, 12227, 'update(), remove(), values(), copy()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53939, 12227, 'clear(), get(), push(), index()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53940, 12227, 'get(), set(), keys(), items()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53941, 12228, 'Для исправления ошибок в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53942, 12228, 'Для оптимизации в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53943, 12228, 'Для создания ошибок в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53944, 12228, 'Для обработки ошибок в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53945, 12229, 'set', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53946, 12229, 'array', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53947, 12229, 'list', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53948, 12229, 'bytes', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53949, 12229, 'map', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53950, 12229, 'frozenset', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53951, 12230, 'append(), extend(), pop()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53952, 12230, 'insert(), add(), delete()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53953, 12230, 'update(), clean(). pop()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53954, 12230, 'error(), __str__(), __del__()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53955, 12231, '0 // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53956, 12231, 'True // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53957, 12231, 'False // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53958, 12231, '1 // False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53959, 12232, 'Для создания глобального класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53960, 12232, 'Для создания абстрактного класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53961, 12232, 'Для создания любого класса в Python (базовый класс)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53962, 12232, 'Для создания Singleton-классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53963, 12233, 'Список (list)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53964, 12233, 'Множество (set)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53965, 12233, 'Кортеж (tuple)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53966, 12233, 'Словарь (dict)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53967, 12234, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53968, 12234, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53969, 12234, '3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53970, 12234, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53971, 12235, 'Чтобы пропустить выполнение всего цикла', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53972, 12235, 'Чтобы вернуть управление циклом и код ниже не выполнился в текущей итерации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53973, 12235, 'Чтобы остановить выполнение цикла и вызвать Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53974, 12235, 'Чтобы забрать управление циклом и код ниже обязательно выполнился в текущей итерации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53975, 12236, 'st', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53976, 12236, 'sto', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53977, 12236, 'to', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53978, 12236, 'Syntax Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53979, 12237, 'Оператор-заглушка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53980, 12237, 'Синоним оператора "continue" (пропустить)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53981, 12237, 'Данная оператор не используется в новых версиях Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53982, 12238, '2.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53983, 12238, '2.25', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53984, 12238, '9.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53985, 12238, '20.25', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53986, 12238, '21', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53987, 12239, '{''key'': ''value''} | {''key2'': ''value2''}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53988, 12239, '[1, 2] + [3, 4]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53989, 12239, '[1, 2] - [3, 4]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53990, 12239, '[1, 2].extend([3, 4])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53991, 12240, 'Syntax Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53992, 12240, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53993, 12240, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53994, 12240, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53995, 12240, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53996, 12241, 'Чтобы экономить время разработки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53997, 12241, 'Чтобы экономить ресурсы системы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53998, 12241, 'Чтобы оптимизировать скорость выполнения python-кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53999, 12241, 'Чтобы кешировать исполняемый код и удалять его, если тот не используется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54000, 12241, 'Чтобы удалять неиспользуемые объекты в памяти', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54001, 12242, 'Определяет список и инициализирует его.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54002, 12242, 'Определяет функцию, которая ничего не делает.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54003, 12242, 'Определяет функцию, которая передает параметры.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54004, 12242, 'Определяет пустой класс.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54005, 12243, 'Набор сетевых библиотек для парсинга', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54006, 12243, 'Набор библиотек для создания мультипоточной обработки данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54007, 12243, 'Конструктор сайтов на Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54008, 12243, 'Набор готовых модулей/функций для ускорения создания веб-сайта', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54009, 12244, 'user', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54010, 12244, 'bill', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54011, 12244, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54012, 12244, 'hillary', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54013, 12244, 'TypeError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54014, 12245, 'Компилятор программ на Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54015, 12245, 'Шаблонизатор', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54016, 12245, 'Модуль для организации чат сервер/клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54017, 12245, 'Инструмент отладки кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54018, 12246, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54019, 12246, '12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54020, 12246, '24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54021, 12246, '36', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54022, 12246, '48', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54023, 12247, 'pip setup flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54024, 12247, 'pip i flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54025, 12247, 'pip freeze flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54026, 12247, 'pip install flask', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54027, 12248, 'Использовать метод cin()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54028, 12248, 'Использовать метод input()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54029, 12248, 'Использовать метод readLine()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54030, 12248, 'Использовать метод get()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54031, 12248, 'Использовать метод read()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54032, 12249, 'form = request.form', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54033, 12249, 'form = response.form()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54034, 12249, 'form = getattr(request, ''post_body'')', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54035, 12249, 'form = response.args', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54036, 12250, 'Time', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54037, 12250, 'time', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54038, 12250, 'localtime', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54039, 12250, 'clock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54040, 12251, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54041, 12251, 'log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54042, 12251, 'write', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54043, 12251, 'print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54044, 12252, 'return redirect("https://www.test.com", code=302)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54045, 12252, 'return abort("https://www.test.com", code=302)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54046, 12252, 'return flask.jsonify(status_code=400, redirect=True)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54047, 12252, 'return request.redirect("https://www.test.com", code=302)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54048, 12253, 'Модуль для описания и валидации ответов (response)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54049, 12253, 'Модульные приложения внутри глобального приложения во Flask''e', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54050, 12253, 'Валидатор форм (замена WTForms)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54051, 12253, 'HTML-шаблонизатор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54052, 12254, 'Hi, ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54053, 12254, 'Hi, name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54054, 12254, 'Hi, John', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54055, 12254, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (53876, 12211, 'response.headers[''Some-Header''] = ''Example''', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54056, 12255, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54057, 12255, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54058, 12255, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54059, 12255, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54060, 12256, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54061, 12256, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54062, 12256, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54063, 12256, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54064, 12256, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54065, 12257, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54066, 12257, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54067, 12257, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54068, 12257, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54069, 12258, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54070, 12258, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54071, 12258, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54072, 12258, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54073, 12259, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54074, 12259, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54075, 12259, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54076, 12259, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54077, 12260, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54078, 12260, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54079, 12260, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54080, 12260, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54081, 12261, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54082, 12261, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54083, 12261, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54084, 12261, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54085, 12262, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54086, 12262, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54304, 12318, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54087, 12262, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54088, 12262, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54089, 12263, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54090, 12263, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54091, 12263, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54092, 12263, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54093, 12264, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54094, 12264, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54095, 12264, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54096, 12264, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54097, 12265, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54098, 12265, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54099, 12265, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54100, 12265, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54101, 12266, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54102, 12266, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54103, 12266, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54104, 12266, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54105, 12266, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54106, 12267, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54107, 12267, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54108, 12267, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54109, 12267, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54110, 12268, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54111, 12268, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54112, 12268, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54113, 12268, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54114, 12268, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54115, 12268, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54116, 12269, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54117, 12269, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54118, 12269, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54119, 12269, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54120, 12269, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54121, 12269, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54122, 12270, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54123, 12270, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54124, 12270, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54125, 12270, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54126, 12270, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54127, 12271, 'Thread r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54128, 12271, 'Runnable r = () -> System.out.println("Run!");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54129, 12271, 'Run r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54130, 12271, 'Executable r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54131, 12271, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54132, 12272, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54133, 12272, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54134, 12272, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54135, 12272, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54136, 12273, 'ConcurrentLinkedQueue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54137, 12273, 'ConcurrentSkipListMap', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54138, 12273, 'CopyOnWriteArrayList', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54139, 12273, 'LinkedBlockingQueue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54140, 12273, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54141, 12273, 'Все перечисленные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54142, 12274, '? extends Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54143, 12274, '? implements Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54144, 12274, 'T extends Collection<U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54145, 12274, 'T implements Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54146, 12274, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54147, 12274, 'T super Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54148, 12275, 'IntConsumer, LongSupplier', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54149, 12275, 'IntSupplier, Function', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54150, 12275, 'Supplier, DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54151, 12275, 'Supplier, LongSupplier', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54152, 12275, 'UnaryOperator, Consumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54153, 12275, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54154, 12276, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54155, 12276, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54305, 12318, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54156, 12276, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54157, 12276, 'Ошибка компиляции на строке D', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54158, 12276, 'Код скомпилируется и выведет "1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54159, 12276, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54160, 12277, 'login', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54161, 12277, 'object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54162, 12277, 'attempts', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54163, 12277, 'users', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54164, 12277, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54165, 12277, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54166, 12278, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54167, 12278, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54168, 12278, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54169, 12279, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54170, 12279, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54171, 12279, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54172, 12279, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54173, 12280, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54174, 12280, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54175, 12280, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54176, 12281, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54177, 12281, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54178, 12282, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54179, 12282, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54180, 12282, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54181, 12283, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54182, 12283, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54183, 12283, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54184, 12283, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54185, 12284, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54186, 12284, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54187, 12284, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54188, 12285, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54189, 12285, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54190, 12285, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54191, 12286, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54192, 12286, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54193, 12286, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54194, 12287, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54195, 12287, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54196, 12287, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54197, 12287, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54202, 12289, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54203, 12289, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54204, 12289, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54205, 12290, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54206, 12290, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54207, 12290, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54208, 12291, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54209, 12291, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54210, 12291, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54211, 12291, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54212, 12291, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54213, 12292, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54214, 12292, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54215, 12292, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54216, 12292, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54217, 12292, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54218, 12293, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54219, 12293, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54220, 12293, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54221, 12294, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54222, 12294, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54223, 12294, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54224, 12294, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54225, 12295, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54226, 12295, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54227, 12295, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54228, 12296, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54229, 12296, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54230, 12297, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54231, 12297, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54232, 12297, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54233, 12298, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54234, 12298, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54235, 12298, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54236, 12298, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54237, 12299, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54238, 12299, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54239, 12299, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54240, 12300, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54241, 12300, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54242, 12300, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54243, 12301, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54244, 12301, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54245, 12301, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54246, 12302, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54247, 12302, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54408, 12348, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54248, 12302, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54249, 12302, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54255, 12304, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54256, 12304, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54257, 12305, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54258, 12305, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54259, 12305, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54260, 12306, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54261, 12306, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54262, 12306, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54263, 12306, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54264, 12306, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54265, 12307, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54266, 12307, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54267, 12307, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54268, 12307, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54269, 12307, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54270, 12308, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54271, 12308, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54272, 12308, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54273, 12309, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54274, 12309, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54275, 12309, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54276, 12309, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54277, 12310, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54278, 12310, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54279, 12310, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54280, 12311, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54281, 12311, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54282, 12312, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54283, 12312, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54284, 12312, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54285, 12313, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54286, 12313, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54287, 12313, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54288, 12313, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54289, 12314, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54290, 12314, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54291, 12314, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54292, 12315, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54293, 12315, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54294, 12315, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54295, 12316, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54296, 12316, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54297, 12316, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54298, 12317, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54299, 12317, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54300, 12317, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54301, 12317, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54307, 12319, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54308, 12319, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54309, 12320, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54310, 12320, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54311, 12320, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54312, 12321, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54313, 12321, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54314, 12321, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54315, 12321, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54316, 12321, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54317, 12322, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54318, 12322, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54319, 12322, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54320, 12322, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54321, 12322, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54322, 12323, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54323, 12323, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54324, 12323, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54325, 12324, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54326, 12324, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54327, 12324, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54328, 12324, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54329, 12325, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54330, 12325, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54331, 12325, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54332, 12326, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54333, 12326, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54334, 12327, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54335, 12327, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54336, 12327, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54337, 12328, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54338, 12328, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54339, 12328, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54340, 12328, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54341, 12329, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54342, 12329, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54343, 12329, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54344, 12330, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54345, 12330, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54346, 12330, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54347, 12331, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54348, 12331, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54349, 12331, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54350, 12332, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54351, 12332, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54352, 12332, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54353, 12332, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54360, 12334, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54361, 12335, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54362, 12335, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54363, 12335, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54364, 12336, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54365, 12336, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54366, 12336, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54367, 12336, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54368, 12336, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54369, 12337, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54370, 12337, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54371, 12337, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54372, 12337, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54373, 12337, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54374, 12338, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54375, 12338, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54376, 12338, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54377, 12339, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54378, 12339, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54379, 12339, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54380, 12339, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54381, 12340, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54382, 12340, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54383, 12340, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54384, 12341, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54385, 12341, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54386, 12342, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54387, 12342, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54388, 12342, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54389, 12343, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54390, 12343, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54391, 12343, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54392, 12343, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54393, 12344, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54394, 12344, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54395, 12344, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54396, 12345, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54397, 12345, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54398, 12345, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54399, 12346, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54400, 12346, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54401, 12346, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54402, 12347, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54403, 12347, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54404, 12347, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54405, 12347, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54409, 12348, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54754, 12432, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54410, 12349, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54411, 12349, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54412, 12349, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54413, 12350, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54414, 12350, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54415, 12350, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54416, 12351, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54417, 12351, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54418, 12351, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54419, 12351, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54420, 12351, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54421, 12352, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54422, 12352, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54423, 12352, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54424, 12352, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54425, 12352, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54426, 12353, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54427, 12353, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54430, 12354, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54431, 12354, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54432, 12354, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54433, 12355, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54434, 12355, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54435, 12355, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54436, 12356, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54437, 12356, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54438, 12357, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54439, 12357, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54440, 12357, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54441, 12358, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54442, 12358, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54443, 12358, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54444, 12358, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54445, 12359, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54446, 12359, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54447, 12359, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54448, 12360, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54449, 12360, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54450, 12360, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54451, 12361, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54452, 12361, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54453, 12361, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54454, 12362, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54455, 12362, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54429, 12354, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54755, 12432, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54757, 12432, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54758, 12433, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54759, 12433, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54767, 12434, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54760, 12433, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54456, 12362, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54457, 12362, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54458, 12363, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54459, 12363, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54460, 12363, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54461, 12363, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54462, 12364, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54463, 12364, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54464, 12364, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54465, 12365, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54466, 12365, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54467, 12365, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54468, 12366, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54469, 12366, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54470, 12366, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54471, 12366, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54472, 12366, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54473, 12367, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54474, 12367, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54475, 12367, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54476, 12367, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54477, 12367, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54428, 12353, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54479, 12368, 'python exec file.py', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54480, 12368, 'python file.py exec', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54481, 12368, 'python file.py', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54483, 12369, 'response.headers.add[''Some-Header''] = ''Example''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54484, 12369, 'return Response({''headers'': {''Some-Header'': ''Example''}})', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54485, 12369, 'response.headers[''Some-Header''] = ''Example''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54486, 12370, '1, 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54487, 12370, 'Ошибку, так как i не присвоена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54488, 12370, '1, 3, 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54489, 12370, 'Ошибку из-за неверного вывода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54490, 12370, '0, 2, 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54491, 12371, 'Django ORM', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54492, 12371, 'GORM', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54493, 12371, 'SQLALchemy', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54494, 12371, 'ODB', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54495, 12372, 'Не более 23', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54496, 12372, 'Не более 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54497, 12372, 'Не более 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54498, 12372, 'Неограниченное количество', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54499, 12372, 'Не более 10', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54500, 12373, 'var a: int = 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54501, 12373, 'Integer a = 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54502, 12373, 'a = 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54503, 12373, 'a = 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54504, 12374, 'session.query(User).get(1)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54505, 12374, 'session.get(User).id(1)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54506, 12374, 'session.query(1).get(User)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54507, 12374, 'session.select(User).where.id(1)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54508, 12375, 'dict_object.add(key=''Example'')', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54509, 12375, 'dict_object.append({''key'': ''Example''})', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54510, 12375, 'dict_object[''key''] = ''Example''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54511, 12375, 'dict_object.key = ''Example'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54512, 12376, 'Для открытия и работы с файлами необходимо устанавливать отдельный модуль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54513, 12376, 'Для открытия файлов существует встроенный метод openfile()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54514, 12376, 'Для открытия есть встроенный метод open()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54515, 12376, 'Для открытия и закрытия файлов используется модуль os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54516, 12377, 'list_object.delete(index)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54517, 12377, 'list_object.remove(index)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54518, 12377, 'delete list_object[index]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54519, 12377, 'list_object[index] = None', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54520, 12378, 'Реализовать авторизацию через LoginManager (Flask-Login) и использовать current_user', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54521, 12378, 'Использовать встроенную функцию current_user', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54522, 12378, 'Использовать модуль для создания форм WTForms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54523, 12378, 'Импортировать объект User''a из Werkzeug', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54524, 12379, 'list(filter(None, list_object))', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54525, 12379, 'for element in a:
if not element:
delete element', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54526, 12379, 'list_object.remove(None)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54527, 12379, 'list_object = [element for element in list_object if not element]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54528, 12380, 'Для создания сессии с базой данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54529, 12380, 'Для создания сессии между серверами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54478, 12368, 'Тrun python file.py', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54530, 12380, 'Для создания и хранения данных в сессии клиента', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54531, 12380, 'Для создания сессии на время соединения с сервером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54532, 12381, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54533, 12381, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54534, 12381, '[False, True, False]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54535, 12382, '“”, ‘’, [], {}, None, 0, 0.0, False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54536, 12382, '“1”, ‘1’, [1], {“a”: 1}, 1, 1.0, True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54537, 12382, 'True, None', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54538, 12382, 'ни один из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54539, 12383, 'ячейку памяти в которой хранится переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54540, 12383, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54541, 12383, 'hash от 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54542, 12384, '[1, 2]  + [2,3]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54543, 12384, '{1, 2} + {2, 3}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54544, 12384, '(1) + (2)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54545, 12384, '(1, 2) + (2, 3)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54546, 12385, 'setdefault(), popitem(), pop(), fromkeys()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54547, 12385, 'update(), remove(), values(), copy()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54548, 12385, 'clear(), get(), push(), index()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54549, 12385, 'get(), set(), keys(), items()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54550, 12386, 'Для исправления ошибок в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54551, 12386, 'Для оптимизации в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54552, 12386, 'Для создания ошибок в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54553, 12386, 'Для обработки ошибок в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54554, 12387, 'set', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54555, 12387, 'array', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54556, 12387, 'list', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54557, 12387, 'bytes', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54558, 12387, 'map', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54559, 12387, 'frozenset', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54560, 12388, 'append(), extend(), pop()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54561, 12388, 'insert(), add(), delete()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54562, 12388, 'update(), clean(). pop()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54563, 12388, 'error(), __str__(), __del__()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54564, 12389, '0 // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54565, 12389, 'True // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54566, 12389, 'False // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54567, 12389, '1 // False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54568, 12390, 'Для создания глобального класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54569, 12390, 'Для создания абстрактного класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54570, 12390, 'Для создания любого класса в Python (базовый класс)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54571, 12390, 'Для создания Singleton-классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54572, 12391, 'Список (list)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54573, 12391, 'Множество (set)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54574, 12391, 'Кортеж (tuple)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54575, 12391, 'Словарь (dict)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54576, 12392, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54577, 12392, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54578, 12392, '3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54579, 12392, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54580, 12393, 'Чтобы пропустить выполнение всего цикла', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54581, 12393, 'Чтобы вернуть управление циклом и код ниже не выполнился в текущей итерации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54582, 12393, 'Чтобы остановить выполнение цикла и вызвать Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54583, 12393, 'Чтобы забрать управление циклом и код ниже обязательно выполнился в текущей итерации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54584, 12394, 'st', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54585, 12394, 'sto', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54586, 12394, 'to', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54587, 12394, 'Syntax Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54588, 12395, 'Оператор-заглушка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54589, 12395, 'Синоним оператора "continue" (пропустить)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54590, 12395, 'Данная оператор не используется в новых версиях Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54591, 12396, '2.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54592, 12396, '2.25', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54593, 12396, '9.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54594, 12396, '20.25', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54595, 12396, '21', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54596, 12397, '{''key'': ''value''} | {''key2'': ''value2''}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54597, 12397, '[1, 2] + [3, 4]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54598, 12397, '[1, 2] - [3, 4]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54599, 12397, '[1, 2].extend([3, 4])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54600, 12398, 'Syntax Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54601, 12398, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54602, 12398, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54603, 12398, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54604, 12398, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54605, 12399, 'Чтобы экономить время разработки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54606, 12399, 'Чтобы экономить ресурсы системы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54607, 12399, 'Чтобы оптимизировать скорость выполнения python-кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54608, 12399, 'Чтобы кешировать исполняемый код и удалять его, если тот не используется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54609, 12399, 'Чтобы удалять неиспользуемые объекты в памяти', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54610, 12400, 'Определяет список и инициализирует его.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54611, 12400, 'Определяет функцию, которая ничего не делает.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54612, 12400, 'Определяет функцию, которая передает параметры.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54613, 12400, 'Определяет пустой класс.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54614, 12401, 'Набор сетевых библиотек для парсинга', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54615, 12401, 'Набор библиотек для создания мультипоточной обработки данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54616, 12401, 'Конструктор сайтов на Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54617, 12401, 'Набор готовых модулей/функций для ускорения создания веб-сайта', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54618, 12402, 'user', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54619, 12402, 'bill', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54620, 12402, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54621, 12402, 'hillary', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54622, 12402, 'TypeError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54623, 12403, 'Компилятор программ на Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54624, 12403, 'Шаблонизатор', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54625, 12403, 'Модуль для организации чат сервер/клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54626, 12403, 'Инструмент отладки кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54627, 12404, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54628, 12404, '12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54629, 12404, '24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54630, 12404, '36', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54631, 12404, '48', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54632, 12405, 'pip setup flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54633, 12405, 'pip i flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54634, 12405, 'pip freeze flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54635, 12405, 'pip install flask', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54636, 12406, 'Использовать метод cin()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54637, 12406, 'Использовать метод input()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54638, 12406, 'Использовать метод readLine()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54639, 12406, 'Использовать метод get()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54640, 12406, 'Использовать метод read()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54641, 12407, 'form = request.form', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54642, 12407, 'form = response.form()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54643, 12407, 'form = getattr(request, ''post_body'')', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54644, 12407, 'form = response.args', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54645, 12408, 'Time', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54646, 12408, 'time', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54647, 12408, 'localtime', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54648, 12408, 'clock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54649, 12409, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54650, 12409, 'log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54651, 12409, 'write', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54652, 12409, 'print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54653, 12410, 'return redirect("https://www.test.com", code=302)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54654, 12410, 'return abort("https://www.test.com", code=302)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54655, 12410, 'return flask.jsonify(status_code=400, redirect=True)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54656, 12410, 'return request.redirect("https://www.test.com", code=302)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54657, 12411, 'Модуль для описания и валидации ответов (response)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54658, 12411, 'Модульные приложения внутри глобального приложения во Flask''e', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54659, 12411, 'Валидатор форм (замена WTForms)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54660, 12411, 'HTML-шаблонизатор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54661, 12412, 'Hi, ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54662, 12412, 'Hi, name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54663, 12412, 'Hi, John', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54664, 12412, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54482, 12369, 'response.setHeader({''Some-Header'': ''Example''})', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54665, 12413, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54666, 12413, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54667, 12413, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54668, 12413, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54669, 12413, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54670, 12414, 'Consumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54671, 12414, 'DoubleConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54672, 12414, 'Supplier<Double>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54673, 12414, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54674, 12415, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54675, 12415, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54676, 12415, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54677, 12415, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54678, 12415, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54679, 12415, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54680, 12416, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54681, 12416, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54682, 12416, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54683, 12417, 'git show', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54684, 12417, 'git diff', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54685, 12417, 'git show --diff', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54686, 12417, 'git diff --show', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54687, 12417, 'git log --diff', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54688, 12417, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54689, 12418, 'user', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54690, 12418, 'bill', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54691, 12418, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54692, 12418, 'hillary', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54693, 12418, 'TypeError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54694, 12419, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54823, 12446, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54824, 12447, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54768, 12435, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54769, 12435, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54695, 12419, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54696, 12419, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54697, 12420, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54698, 12420, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54699, 12420, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54701, 12421, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54702, 12421, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54703, 12421, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54705, 12422, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54707, 12422, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54708, 12422, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54709, 12423, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54710, 12423, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54711, 12423, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54713, 12424, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54714, 12424, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54715, 12424, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54717, 12425, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54718, 12425, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54720, 12425, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54721, 12426, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54722, 12426, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54724, 12426, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54725, 12427, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54726, 12427, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54727, 12427, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54728, 12427, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54729, 12427, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54732, 12428, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54733, 12428, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54734, 12428, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54736, 12429, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54737, 12429, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54739, 12429, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54741, 12430, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54744, 12430, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54747, 12431, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54748, 12431, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54749, 12431, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54750, 12431, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54751, 12431, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54752, 12432, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54706, 12422, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54712, 12423, 'Каким-либо способом, не перечисленным среди ответов', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54716, 12424, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54719, 12425, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54730, 12427, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54731, 12428, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54735, 12428, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54738, 12429, 'Анонимные классы могут быть абстрактными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54740, 12430, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54742, 12430, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54743, 12430, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54746, 12431, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54762, 12433, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54763, 12433, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54764, 12434, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54766, 12434, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54770, 12435, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54772, 12436, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54773, 12436, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54774, 12436, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54776, 12436, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54777, 12436, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54778, 12437, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54779, 12437, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54781, 12437, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54782, 12437, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54783, 12437, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54785, 12438, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54786, 12438, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54787, 12439, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54788, 12439, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54790, 12439, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54792, 12440, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54793, 12440, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54794, 12440, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54795, 12440, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54796, 12441, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54797, 12441, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54798, 12441, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54800, 12441, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54801, 12441, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54803, 12442, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54804, 12442, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54805, 12442, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54806, 12442, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54807, 12442, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54784, 12438, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54802, 12442, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54799, 12441, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54700, 12420, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54704, 12421, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54723, 12426, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54808, 12443, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54809, 12443, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54810, 12443, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54811, 12443, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54812, 12444, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54813, 12444, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54814, 12444, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54815, 12444, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54816, 12445, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54817, 12445, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54818, 12445, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54819, 12445, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54791, 12440, '@Configuration', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54775, 12436, 'NOT > AND > OR и IN', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54780, 12437, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54825, 12447, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54826, 12447, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54827, 12447, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54828, 12448, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54829, 12448, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54830, 12448, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54831, 12448, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54832, 12449, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54833, 12449, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54834, 12449, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54835, 12449, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55394, 12555, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54836, 12450, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54837, 12450, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54838, 12450, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54839, 12450, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54840, 12450, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54841, 12450, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54842, 12451, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54843, 12451, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54844, 12451, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54845, 12451, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54846, 12451, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54847, 12452, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54848, 12452, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54849, 12452, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54850, 12452, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54851, 12453, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54852, 12453, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54853, 12453, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54854, 12453, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54855, 12453, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54856, 12453, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54857, 12454, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54858, 12454, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54859, 12454, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54860, 12454, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54861, 12454, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54862, 12454, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54863, 12455, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54864, 12455, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54865, 12455, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54866, 12455, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54867, 12455, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54868, 12455, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54869, 12456, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54870, 12456, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54871, 12456, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54872, 12456, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54873, 12456, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54874, 12456, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54875, 12457, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54876, 12457, 'IOException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54877, 12457, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54878, 12457, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54879, 12458, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54880, 12458, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54881, 12458, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54882, 12458, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54883, 12459, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54884, 12459, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54885, 12459, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54886, 12459, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54887, 12459, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54888, 12459, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54889, 12460, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54890, 12460, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54891, 12460, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54892, 12460, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54893, 12460, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54894, 12460, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54895, 12461, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54896, 12461, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54897, 12461, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54942, 12470, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54943, 12470, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54898, 12462, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54899, 12462, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54900, 12462, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54901, 12462, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54902, 12463, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54903, 12463, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54904, 12463, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54905, 12463, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54906, 12463, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54907, 12464, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54908, 12464, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54909, 12464, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54910, 12464, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54911, 12464, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54912, 12464, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54913, 12465, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54914, 12465, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54915, 12465, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54916, 12465, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54917, 12465, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54918, 12465, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54745, 12430, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54756, 12432, 'ProdPack_en_US.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54761, 12433, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54765, 12434, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54771, 12435, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54789, 12439, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51860, 11764, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51878, 11768, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51875, 11767, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51776, 11746, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51780, 11747, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51804, 11753, 'caller((e) -> { String e = ""; return "Poof"; });', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51806, 11753, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51811, 11754, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (51818, 11756, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54919, 12466, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54920, 12466, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54921, 12466, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54922, 12466, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54923, 12466, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54924, 12466, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54925, 12467, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54926, 12467, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54927, 12467, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54928, 12467, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54929, 12467, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54930, 12468, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54931, 12468, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54932, 12468, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54933, 12468, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54934, 12468, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54935, 12468, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54936, 12469, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54937, 12469, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54938, 12469, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54939, 12469, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54940, 12469, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54941, 12470, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55395, 12555, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54944, 12470, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54945, 12470, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54946, 12470, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54947, 12471, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54948, 12471, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54949, 12471, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54950, 12471, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54951, 12471, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54952, 12471, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54953, 12472, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54954, 12472, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54955, 12472, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54956, 12472, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54957, 12472, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54958, 12472, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54959, 12473, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54960, 12473, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54961, 12473, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54962, 12473, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54963, 12473, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54964, 12474, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54965, 12474, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54966, 12474, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54967, 12474, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54968, 12474, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54969, 12474, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54970, 12475, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54971, 12475, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54972, 12475, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54973, 12475, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54974, 12475, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54975, 12475, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54976, 12476, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54977, 12476, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54978, 12476, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54979, 12476, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54980, 12476, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54981, 12476, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54982, 12477, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54983, 12477, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54984, 12477, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54985, 12477, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54986, 12477, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54987, 12477, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54988, 12478, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54989, 12478, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54990, 12478, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54991, 12478, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54992, 12478, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54993, 12478, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54994, 12479, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54995, 12479, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54996, 12479, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54997, 12479, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54998, 12479, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (54999, 12479, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55000, 12480, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55001, 12480, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55002, 12480, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55003, 12480, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55004, 12480, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55005, 12480, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55006, 12481, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55007, 12481, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55008, 12481, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55009, 12481, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55010, 12481, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55011, 12481, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55012, 12482, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55013, 12482, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55014, 12482, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55015, 12482, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55016, 12482, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55017, 12482, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55018, 12483, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55019, 12483, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55020, 12483, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55021, 12483, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55022, 12483, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55023, 12483, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55024, 12484, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55025, 12484, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55026, 12484, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55027, 12484, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55028, 12484, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55029, 12484, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55030, 12485, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55031, 12485, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55032, 12485, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55033, 12485, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55034, 12485, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55035, 12485, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55036, 12486, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55037, 12486, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55038, 12486, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55039, 12486, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55040, 12486, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55041, 12487, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55042, 12487, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55043, 12487, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55044, 12487, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55045, 12487, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55046, 12487, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55047, 12488, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55048, 12488, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55049, 12488, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55050, 12488, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55051, 12488, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55052, 12488, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55053, 12489, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55054, 12489, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55055, 12489, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55056, 12489, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55057, 12489, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55058, 12489, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55059, 12490, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55060, 12490, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55061, 12490, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55062, 12490, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55063, 12490, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55064, 12491, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55065, 12491, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55066, 12491, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55067, 12491, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55068, 12491, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55069, 12491, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55070, 12492, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55071, 12492, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55396, 12555, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55072, 12492, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55073, 12492, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55074, 12492, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55075, 12493, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55076, 12493, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55077, 12493, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55078, 12493, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55079, 12493, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55080, 12493, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55081, 12494, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55082, 12494, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55083, 12494, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55084, 12494, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55085, 12494, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55086, 12494, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55087, 12495, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55088, 12495, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55089, 12495, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55090, 12495, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55091, 12495, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55092, 12495, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55093, 12496, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55094, 12496, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55095, 12496, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55096, 12496, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55097, 12496, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55098, 12497, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55099, 12497, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55100, 12497, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55101, 12497, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55102, 12497, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55103, 12497, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55104, 12498, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55105, 12498, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55106, 12498, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55107, 12498, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55108, 12498, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55109, 12498, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55110, 12499, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55111, 12499, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55112, 12499, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55113, 12499, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55114, 12499, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55115, 12499, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55116, 12500, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55117, 12500, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55118, 12500, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55119, 12500, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55185, 12511, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55120, 12500, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55121, 12500, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55122, 12501, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55123, 12501, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55124, 12501, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55125, 12501, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55126, 12501, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55127, 12501, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55128, 12502, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55129, 12502, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55734, 12630, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55130, 12502, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55131, 12502, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55132, 12502, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55133, 12502, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55134, 12503, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55135, 12503, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55136, 12503, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55137, 12503, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55138, 12503, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55139, 12503, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55140, 12504, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55141, 12504, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55142, 12504, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55143, 12504, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55144, 12504, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55145, 12504, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55146, 12505, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55147, 12505, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55148, 12505, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55149, 12505, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55150, 12505, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55151, 12505, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55152, 12506, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55153, 12506, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55154, 12506, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55155, 12506, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55156, 12506, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55157, 12506, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55158, 12507, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55159, 12507, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55160, 12507, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55161, 12507, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55162, 12507, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55163, 12507, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55164, 12508, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55165, 12508, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55166, 12508, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55167, 12508, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55168, 12508, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55169, 12508, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55170, 12509, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55171, 12509, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55172, 12509, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55173, 12509, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55174, 12509, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55175, 12510, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55176, 12510, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55177, 12510, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55178, 12510, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55179, 12510, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55180, 12510, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55181, 12511, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55182, 12511, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55183, 12511, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55184, 12511, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55186, 12511, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55187, 12512, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55188, 12512, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55189, 12512, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55191, 12513, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55192, 12513, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55193, 12513, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55195, 12514, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55197, 12514, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55198, 12514, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55200, 12515, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55201, 12515, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55202, 12515, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55203, 12516, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55205, 12516, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55206, 12516, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55207, 12517, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55208, 12517, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55209, 12517, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55211, 12518, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55212, 12518, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55214, 12518, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55215, 12519, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55216, 12519, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55217, 12519, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55218, 12519, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55219, 12519, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55221, 12520, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55222, 12520, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55223, 12520, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55224, 12520, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55226, 12521, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55227, 12521, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55228, 12521, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55230, 12522, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55233, 12522, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55234, 12522, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55235, 12522, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55236, 12523, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55237, 12523, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55238, 12523, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55240, 12523, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55241, 12523, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55242, 12524, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55243, 12524, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55244, 12524, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55245, 12524, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55246, 12524, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55248, 12525, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55249, 12525, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55251, 12525, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55190, 12512, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55196, 12514, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55199, 12515, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55204, 12516, 'Модификатор доступа', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55210, 12517, 'walk#()', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55220, 12519, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55225, 12520, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55229, 12521, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55231, 12522, 'call() принимает дженерик в качестве аргумента', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55232, 12522, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55239, 12523, 'Ошибка компиляции на строке B', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55247, 12524, 'Код не скомпилируется', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55250, 12525, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55252, 12525, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55253, 12525, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55254, 12526, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55256, 12526, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55257, 12526, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55258, 12527, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55259, 12527, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55260, 12527, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55262, 12528, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55263, 12528, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55264, 12528, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55265, 12528, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55266, 12528, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55269, 12529, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55270, 12529, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55392, 12555, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55271, 12529, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55272, 12529, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55273, 12529, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55275, 12530, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55276, 12530, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55277, 12531, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55278, 12531, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55280, 12531, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55281, 12532, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55282, 12532, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55283, 12532, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55285, 12532, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55286, 12533, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55287, 12533, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55288, 12533, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55290, 12533, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55291, 12533, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55293, 12534, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55294, 12534, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55295, 12534, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55296, 12534, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55297, 12534, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55298, 12535, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55299, 12535, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55300, 12535, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55301, 12535, '611', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55302, 12536, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55303, 12536, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55304, 12536, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55305, 12536, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55306, 12537, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55307, 12537, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55308, 12537, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55309, 12537, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55310, 12538, 'Никак', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55311, 12538, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55312, 12538, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55313, 12538, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55255, 12526, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55261, 12527, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55279, 12531, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55284, 12532, '@Bean', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55267, 12528, 'NOT > AND > OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55268, 12529, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55314, 12539, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55315, 12539, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55316, 12539, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55317, 12539, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55318, 12540, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55319, 12540, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55320, 12540, '$print()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55321, 12540, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55322, 12541, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55323, 12541, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55324, 12541, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55325, 12541, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55326, 12542, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55327, 12542, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55328, 12542, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55329, 12542, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55330, 12542, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55331, 12542, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55332, 12543, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55393, 12555, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55333, 12543, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55334, 12543, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55335, 12543, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55336, 12543, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55337, 12544, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55338, 12544, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55339, 12544, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55340, 12544, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55341, 12545, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55342, 12545, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55343, 12545, 'call() может кидть checked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55344, 12545, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55345, 12545, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55346, 12545, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55347, 12546, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55348, 12546, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55349, 12546, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55350, 12546, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55351, 12546, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55352, 12546, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55353, 12547, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55354, 12547, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55355, 12547, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55356, 12547, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55357, 12547, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55358, 12547, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55359, 12548, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55360, 12548, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55361, 12548, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55362, 12548, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55363, 12548, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55364, 12548, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55365, 12549, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55366, 12549, 'IOException', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55367, 12549, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55368, 12549, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55369, 12550, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55370, 12550, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55371, 12550, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55372, 12550, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55373, 12551, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55374, 12551, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55375, 12551, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55376, 12551, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55377, 12551, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55378, 12551, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55379, 12552, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55380, 12552, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55381, 12552, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55382, 12552, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55383, 12552, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55384, 12552, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55385, 12553, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55386, 12553, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55387, 12553, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55388, 12554, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55389, 12554, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55390, 12554, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55391, 12554, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55397, 12556, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55398, 12556, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55399, 12556, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55400, 12556, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55401, 12556, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55402, 12556, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55403, 12557, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55404, 12557, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55405, 12557, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55406, 12557, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55407, 12557, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55408, 12557, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55274, 12530, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55292, 12534, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55289, 12533, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55194, 12513, 'Класс ExampleJava не скомпилируется', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55213, 12518, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55409, 12558, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55410, 12558, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55411, 12558, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55413, 12559, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55414, 12559, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55416, 12559, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55417, 12560, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55419, 12560, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55420, 12560, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55422, 12561, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55423, 12561, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55424, 12561, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55425, 12562, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55426, 12562, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55427, 12562, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55429, 12563, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55430, 12563, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55432, 12563, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55433, 12564, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55418, 12560, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55421, 12561, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55428, 12562, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55431, 12563, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55434, 12564, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55436, 12564, 'Статическая переменная всегда доступна во всех экземплярах класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55437, 12565, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55438, 12565, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55439, 12565, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55440, 12565, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55441, 12565, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55444, 12566, 'Не могут быть private/protected/static. Могут быть только public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55445, 12566, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55446, 12566, 'Не имеют доступ к полям и методам внешнего класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55448, 12567, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55449, 12567, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55451, 12567, 'Анонимный класс может реализовать только один интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55456, 12568, 'Тип возвращаемого значения run() - дженерик', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55459, 12569, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55460, 12569, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55461, 12569, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55462, 12569, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55463, 12569, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55465, 12570, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55466, 12570, 'TestPack_en.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55467, 12570, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55468, 12570, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55469, 12570, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55470, 12571, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55471, 12571, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55472, 12571, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55473, 12571, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55475, 12571, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55476, 12572, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55478, 12572, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55479, 12572, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55480, 12573, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55481, 12573, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55482, 12573, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55484, 12574, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55485, 12574, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55486, 12574, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55488, 12574, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55489, 12574, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55490, 12575, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55491, 12575, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55493, 12575, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55660, 12615, 'TestPack_en.java', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55442, 12565, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55447, 12566, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55450, 12567, 'Анонимные классы могут быть абстрактными', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55457, 12568, 'Тип возвращаемого значения call() - дженерик', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55452, 12568, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55454, 12568, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55458, 12569, 'Код выведет 3 4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55464, 12570, 'TestPack.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55474, 12571, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55477, 12572, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55483, 12573, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55487, 12574, 'NOT > AND > OR и IN', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55492, 12575, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55494, 12575, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55495, 12575, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55496, 12576, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55498, 12576, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55499, 12577, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55500, 12577, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55502, 12577, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55503, 12578, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55504, 12578, '@Service', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55506, 12578, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55507, 12578, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55508, 12579, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55509, 12579, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55510, 12579, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55512, 12579, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55513, 12579, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55515, 12580, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55516, 12580, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55517, 12580, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55518, 12580, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55519, 12580, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55558, 12592, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55559, 12593, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55560, 12593, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55561, 12593, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55562, 12594, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56374, 12790, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55520, 12581, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55521, 12581, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55522, 12581, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55523, 12582, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55524, 12582, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55525, 12582, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55526, 12582, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55527, 12583, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55528, 12583, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55529, 12583, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55530, 12584, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55531, 12584, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55532, 12585, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55533, 12585, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55534, 12585, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55535, 12586, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55536, 12586, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55537, 12586, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55538, 12586, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55539, 12587, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55540, 12587, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55541, 12587, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55542, 12588, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55501, 12577, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55505, 12578, '@Controller', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55543, 12588, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55544, 12588, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55545, 12589, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55546, 12589, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55547, 12589, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55548, 12590, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55549, 12590, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55550, 12590, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55551, 12590, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55552, 12591, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55553, 12591, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55554, 12591, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55555, 12591, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55556, 12592, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55557, 12592, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55563, 12594, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55564, 12594, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55565, 12594, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55566, 12594, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55567, 12595, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55568, 12595, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55569, 12595, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55570, 12595, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55571, 12595, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55572, 12596, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55573, 12596, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55574, 12596, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55575, 12596, 'BooleanConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55576, 12596, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55577, 12597, 'Consumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55578, 12597, 'DoubleConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55579, 12597, 'Supplier<Double>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55580, 12597, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55581, 12598, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55582, 12598, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55583, 12598, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55584, 12598, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55585, 12598, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55586, 12598, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55587, 12599, 'Да', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55588, 12599, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55589, 12599, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55590, 12600, 'git show', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55591, 12600, 'git diff', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55592, 12600, 'git show --diff', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55593, 12600, 'git diff --show', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55594, 12600, 'git log --diff', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55595, 12600, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55596, 12601, 'user', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55597, 12601, 'bill', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55598, 12601, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55599, 12601, 'hillary', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55600, 12601, 'TypeError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55601, 12602, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55662, 12615, 'ProdPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55663, 12615, 'ProdPack_en_US.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55602, 12602, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55603, 12602, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55604, 12603, '960', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55605, 12603, '641', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55606, 12603, '930', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55609, 12604, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55610, 12604, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55611, 12604, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55612, 12605, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55614, 12605, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55615, 12605, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55617, 12606, 'Убрать модификатор final и изменить переменную напрямую', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55618, 12606, 'Вызвать сеттер', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55619, 12606, 'Каким-либо способом, не перечисленным среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55620, 12607, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55621, 12607, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55622, 12607, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55624, 12608, '\jog13()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55625, 12608, '%run()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55627, 12608, 'walk#()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55628, 12609, 'Невозможно прочесть значение финальной статической переменной вне класса где она объявлена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55629, 12609, 'Невозможно сослаться на статические методы используя статические импорты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55630, 12609, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55632, 12610, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55633, 12610, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55634, 12610, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55635, 12610, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55636, 12610, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55638, 12611, 'Видны только в пределах блока в котором объявлены', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55640, 12611, 'Не могут иметь никаких статических элементов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55642, 12611, 'Могут обращаться к локальным переменным и параметрам метода, если они объявлены с модификатором final', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55643, 12612, 'В анонимном классе можно объявить только один конструктор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55644, 12612, 'Все утверждения являются верными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55645, 12612, 'Анонимные классы могут быть абстрактными', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55647, 12613, 'Оба метода могут кидать unchecked exception', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55648, 12613, 'call() принимает дженерик в качестве аргумента', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55650, 12613, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55652, 12613, 'Тип возвращаемого значения call() - дженерик', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55653, 12614, 'Код выведет 3 4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55654, 12614, 'Код выведет 4 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55655, 12614, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55656, 12614, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55657, 12614, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55659, 12615, 'TestPack.properties', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55613, 12605, 'Статичность переменной', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55616, 12606, 'Никак', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55623, 12607, 'Интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55626, 12608, '$print()', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55631, 12609, 'Статическая переменная всегда доступна во всех экземплярах класса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55637, 12610, 'caller((e) -> "Poof");', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55639, 12611, 'Не могут быть private/protected/static. Могут быть только public', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55646, 12612, 'Анонимный класс может реализовать только один интерфейс', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55651, 12613, 'Тип возвращаемого значения run() - дженерик', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55649, 12613, 'call() может кидть checked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55658, 12614, 'Метод collect() всегда будет выполнятся со скоростью однопоточного стрима', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55664, 12615, 'Код не скомпилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55665, 12616, 'Программа завершится с исключением Exception, содержащим сообщение "End"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55666, 12616, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55668, 12616, 'Программа завершится с исключением RuntimeException, содержащим сообщение "Error D1" и подавленным исключением  IOException, содержащим сообщение "IO"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55669, 12616, 'Программа завершится с исключением IOException, содержащим сообщение "IO" и подавленным исключением  RuntimeException, содержащим сообщение "Error D1"', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55670, 12616, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55671, 12617, 'ArrayIndexOutOfBoundsException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55673, 12617, 'IllegalArgumentException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55674, 12617, 'ClassCastException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55675, 12618, 'StringBuilder поддерживает разные языки и кодировки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55676, 12618, 'StringBuilder может использовать == для сравнения значений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55677, 12618, 'StringBuilder поддерживает многопоточность', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55679, 12619, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55680, 12619, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55681, 12619, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55682, 12619, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55684, 12619, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55685, 12620, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55687, 12620, 'Select address from offices intersect Select address from departments intersect Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55688, 12620, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55689, 12620, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55690, 12620, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55692, 12621, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55693, 12621, 'Нет, если контейнеров меньше 8. Да, если больше 8', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55695, 12622, 'Класс, который предназначен для предосталения атрибутов для рендеринга представлений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55696, 12622, 'Класс, который передает Spring MVC всю необходимую информацию для рендеринга представления, такую как атрибуты и имя представления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55697, 12622, 'Класс, который отрисовывает HTML страницу по jsp шаблону и полученным атрибутам', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55698, 12623, '@Configuration', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55700, 12623, '@Controller', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55701, 12623, '@Bean', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55702, 12623, '@Repositoty', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55733, 12630, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55703, 12624, 'Аннотация ставится над полем класса, указывает что поле является первичным ключом класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55704, 12624, 'Аннотация ставится над классом, указывает таблицу в БД, с которой нужно связать класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55705, 12624, 'Аннотация ставится над классом, указывает что класс является сущностью БД', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55707, 12624, 'Аннотация имеет другое значение, не указанное среди ответов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55708, 12624, 'Такой аннотации не существует в Hibernate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55710, 12625, 'Переносит HEAD на коммит abcdef', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55711, 12625, 'Удаляет все изменения в рабочей директории', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55712, 12625, 'Удаляет все изменения в разделе проиндексированных файлов (stage)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55713, 12625, 'Удаляет из истории коммитов все коммиты после abcdef, без возможности восстановления', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55714, 12625, 'Удаляет из коммита abcdef ссылку на следующие коммиты', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55691, 12621, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55709, 12625, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55706, 12624, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55607, 12603, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55608, 12604, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55641, 12611, 'Не имеют доступ к полям и методам внешнего класса', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55661, 12615, 'TestPack_en.properties', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55667, 12616, 'Программа завершится с исключением IOException, содержащим сообщение "IO"', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55672, 12617, 'IOException', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55678, 12618, 'StringBuilder сохраняет память, уменьшая количество созданных объектов', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55694, 12622, 'Класс отвечающий за распознование представлений на основе имени возвращаемого контроллером', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55699, 12623, '@Service', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55683, 12619, 'NOT > AND и OR > IN', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55686, 12620, 'Select address from offices union all Select address from departments union all Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55497, 12576, 'Нет', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55767, 12638, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55514, 12580, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55511, 12579, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55412, 12558, '611', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55415, 12559, 'Класс ExampleJava бросит исключение во время выполнения программы', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55435, 12564, 'Значение статической переменной должно быть присвоено при объявлении переменной или в статическом блоке инициализации', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55443, 12566, 'Видны только в пределах блока в котором объявлены', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55455, 12568, 'Оба интерфейса могут быть релизованы с помощью лямбда-выражения', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55453, 12568, 'call() принимает дженерик в качестве аргумента', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52442, 11897, 'Создает новый коммит, отменяющий все изменения коммита abcdef', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52439, 11896, 'Аннотация ставится над полем класса, указывает конкретный столбец в таблице БД, с которой нужно связать поле', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55715, 12626, 'class Template {
public String font;
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55716, 12626, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55717, 12626, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55718, 12626, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55719, 12627, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55720, 12627, 'Bird is flying', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55721, 12627, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55722, 12627, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55723, 12627, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55724, 12628, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55725, 12628, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55726, 12628, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55727, 12628, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55728, 12629, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55729, 12629, 'И те и другие не могут содержать public static final переменные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55730, 12629, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55731, 12629, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55732, 12630, 'Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55735, 12630, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55736, 12631, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55737, 12631, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55738, 12631, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55739, 12631, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55740, 12632, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55741, 12632, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55742, 12632, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55743, 12632, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55744, 12633, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55745, 12633, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55746, 12633, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55747, 12633, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55748, 12634, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55749, 12634, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55750, 12634, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55751, 12634, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55752, 12635, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55753, 12635, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55754, 12635, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55755, 12635, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55756, 12636, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55757, 12636, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55758, 12636, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55759, 12636, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55760, 12637, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55761, 12637, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55762, 12637, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55763, 12637, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55764, 12637, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55765, 12638, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55766, 12638, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55768, 12638, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55769, 12639, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55770, 12639, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55771, 12639, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55772, 12639, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55773, 12639, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55774, 12639, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55775, 12640, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55776, 12640, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55777, 12640, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55778, 12640, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55779, 12640, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55780, 12640, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55781, 12641, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55782, 12641, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55783, 12641, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55784, 12641, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55785, 12641, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55786, 12642, 'Thread r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55787, 12642, 'Runnable r = () -> System.out.println("Run!");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55788, 12642, 'Run r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55789, 12642, 'Executable r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55790, 12642, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55791, 12643, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55792, 12643, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55793, 12643, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55794, 12643, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55795, 12644, 'ConcurrentLinkedQueue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55796, 12644, 'ConcurrentSkipListMap', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55797, 12644, 'CopyOnWriteArrayList', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55798, 12644, 'LinkedBlockingQueue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55799, 12644, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55800, 12644, 'Все перечисленные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55801, 12645, '? extends Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55802, 12645, '? implements Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55803, 12645, 'T extends Collection<U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55804, 12645, 'T implements Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55805, 12645, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55806, 12645, 'T super Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55807, 12646, 'IntConsumer, LongSupplier', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55808, 12646, 'IntSupplier, Function', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55809, 12646, 'Supplier, DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55810, 12646, 'Supplier, LongSupplier', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55811, 12646, 'UnaryOperator, Consumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55812, 12646, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55813, 12647, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55814, 12647, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55815, 12647, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55816, 12647, 'Ошибка компиляции на строке D', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55817, 12647, 'Код скомпилируется и выведет "1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55818, 12647, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55819, 12648, 'login', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55820, 12648, 'object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55821, 12648, 'attempts', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55822, 12648, 'users', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55823, 12648, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55824, 12648, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55825, 12649, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55826, 12649, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55829, 12650, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55830, 12650, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55831, 12650, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55832, 12651, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55833, 12651, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55834, 12651, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55835, 12652, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55836, 12652, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55837, 12653, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55838, 12653, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55839, 12653, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55840, 12654, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55841, 12654, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55842, 12654, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55843, 12654, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55844, 12655, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55845, 12655, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55846, 12655, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55847, 12656, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55848, 12656, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55849, 12656, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55850, 12657, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55851, 12657, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55852, 12657, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55853, 12658, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55854, 12658, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55855, 12658, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55856, 12658, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55857, 12659, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55858, 12659, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55859, 12659, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55860, 12659, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55861, 12660, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55862, 12660, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55863, 12660, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55864, 12661, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55865, 12661, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55866, 12661, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55867, 12662, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55868, 12662, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55869, 12662, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55870, 12662, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55871, 12662, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55872, 12663, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55873, 12663, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55874, 12663, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55875, 12663, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55876, 12663, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55827, 12649, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55828, 12650, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (52380, 11885, 'Оба метода могут кидать unchecked exception', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55877, 12664, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55878, 12664, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55879, 12664, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55880, 12664, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55881, 12664, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55882, 12664, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55883, 12665, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55884, 12665, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55885, 12665, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55886, 12665, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55887, 12665, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55888, 12666, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55889, 12666, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55890, 12666, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55891, 12666, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55892, 12666, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55893, 12666, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55894, 12667, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55895, 12667, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55896, 12667, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55897, 12667, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55898, 12667, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55899, 12668, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55900, 12668, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55901, 12668, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55902, 12668, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55903, 12668, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55904, 12668, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55905, 12669, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55906, 12669, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55907, 12669, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55908, 12669, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55909, 12669, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55910, 12669, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55911, 12670, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55912, 12670, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55913, 12670, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55914, 12670, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55915, 12670, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55916, 12670, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55917, 12671, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55918, 12671, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55919, 12671, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55920, 12671, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55921, 12671, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55922, 12672, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55923, 12672, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55924, 12672, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55925, 12672, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55926, 12672, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55927, 12672, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55928, 12673, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55929, 12673, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55930, 12673, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55931, 12673, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55932, 12673, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55933, 12673, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55934, 12674, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55935, 12674, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55936, 12674, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55937, 12674, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55938, 12674, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55939, 12674, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55940, 12675, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55941, 12675, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55942, 12675, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55943, 12675, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55944, 12675, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55945, 12675, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55946, 12676, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55947, 12676, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55948, 12676, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55949, 12676, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55950, 12676, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55951, 12676, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55952, 12677, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55953, 12677, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55954, 12677, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55955, 12677, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55956, 12677, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55957, 12677, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55958, 12678, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55959, 12678, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55960, 12678, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55961, 12678, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55962, 12678, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55963, 12678, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55964, 12679, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55965, 12679, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55966, 12679, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55967, 12679, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55968, 12679, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55969, 12679, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55970, 12680, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55971, 12680, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55972, 12680, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55973, 12680, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55974, 12680, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55975, 12680, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55976, 12681, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55977, 12681, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55978, 12681, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55979, 12681, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55980, 12681, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55981, 12681, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55982, 12682, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55983, 12682, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55984, 12682, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55985, 12682, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55986, 12682, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55987, 12682, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55988, 12683, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55989, 12683, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55990, 12683, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55991, 12683, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55992, 12683, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55993, 12683, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55994, 12684, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55995, 12684, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55996, 12684, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55997, 12684, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55998, 12684, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (55999, 12685, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56000, 12685, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56001, 12685, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56002, 12685, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56003, 12685, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56004, 12685, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56005, 12686, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56006, 12686, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56007, 12686, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56008, 12686, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56009, 12686, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56010, 12686, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56011, 12687, 'Consumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56012, 12687, 'IntegerConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56013, 12687, 'LongConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56015, 12687, 'DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56017, 12688, 'DoubleConsumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56018, 12688, 'Supplier<Double>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56019, 12688, 'Никакой из перечисленных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56021, 12689, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56022, 12689, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56023, 12689, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56024, 12689, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56025, 12689, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56027, 12690, 'Нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56028, 12690, 'Указывается при создании объекта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56030, 12691, 'git diff', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56031, 12691, 'git show --diff', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56032, 12691, 'git diff --show', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56033, 12691, 'git log --diff', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56034, 12691, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56035, 12692, 'user', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56037, 12692, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56038, 12692, 'hillary', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56039, 12692, 'TypeError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56040, 12693, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56041, 12693, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56029, 12691, 'git show', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56026, 12690, 'Да', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56014, 12687, 'BooleanConsumer', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56016, 12688, 'Consumer', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56036, 12692, 'bill', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56042, 12693, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56375, 12790, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56376, 12790, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56020, 12689, 'Select address from offices union Select address from departments union Select address from stations;', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56044, 12694, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56045, 12694, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56043, 12694, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56046, 12695, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56047, 12695, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56048, 12695, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56049, 12695, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56051, 12696, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56052, 12696, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56054, 12697, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56056, 12698, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56057, 12698, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56058, 12699, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56060, 12699, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56061, 12699, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56062, 12700, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56064, 12700, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56066, 12701, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56067, 12701, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56068, 12702, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56069, 12702, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56071, 12703, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56072, 12703, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56073, 12703, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56074, 12703, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56075, 12704, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56076, 12704, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56077, 12704, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56078, 12704, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56079, 12705, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56080, 12705, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56081, 12705, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56082, 12706, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56083, 12706, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56084, 12706, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56085, 12707, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56086, 12707, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56087, 12707, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56088, 12707, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56089, 12707, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56090, 12708, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56091, 12708, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56092, 12708, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56093, 12708, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56094, 12708, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56050, 12696, 'True', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56053, 12697, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56055, 12698, '3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56059, 12699, '0
1
3
4', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56063, 12700, 'blue', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56578, 12846, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56065, 12701, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56070, 12702, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56095, 12709, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56096, 12709, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56243, 12752, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56244, 12752, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56245, 12752, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56246, 12753, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56247, 12753, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56097, 12709, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56098, 12710, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56099, 12710, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56100, 12710, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56101, 12710, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56102, 12711, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56103, 12711, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56104, 12711, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56105, 12712, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56106, 12712, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56107, 12713, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56108, 12713, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56109, 12713, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56110, 12714, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56111, 12714, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56112, 12714, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56113, 12714, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56114, 12715, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56115, 12715, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56116, 12715, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56117, 12716, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56118, 12716, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56119, 12716, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56120, 12717, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56121, 12717, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56122, 12717, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56123, 12718, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56124, 12718, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56125, 12718, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56126, 12718, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56127, 12719, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56128, 12719, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56129, 12719, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56130, 12719, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56131, 12720, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56132, 12720, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56133, 12720, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56134, 12721, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56135, 12721, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56136, 12721, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56137, 12722, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56138, 12722, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56139, 12722, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56140, 12722, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56141, 12722, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56142, 12723, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56143, 12723, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56144, 12723, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56145, 12723, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56146, 12723, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56147, 12724, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56248, 12753, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56249, 12753, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56250, 12753, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56148, 12724, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56149, 12724, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56150, 12725, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56151, 12725, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56152, 12725, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56153, 12725, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56154, 12726, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56155, 12726, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56156, 12726, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56157, 12727, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56158, 12727, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56159, 12728, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56160, 12728, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56161, 12728, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56162, 12729, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56163, 12729, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56164, 12729, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56165, 12729, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56166, 12730, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56167, 12730, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56168, 12730, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56169, 12731, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56170, 12731, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56171, 12731, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56172, 12732, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56173, 12732, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56174, 12732, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56175, 12733, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57006, 12932, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56176, 12733, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56177, 12733, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56178, 12733, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56179, 12734, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56180, 12734, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56181, 12734, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56182, 12734, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56183, 12735, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56184, 12735, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56185, 12735, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56186, 12736, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56187, 12736, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56188, 12736, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56189, 12737, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56190, 12737, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56191, 12737, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56192, 12737, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56193, 12737, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56194, 12738, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56195, 12738, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56196, 12738, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56197, 12738, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56198, 12738, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56295, 12767, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56296, 12767, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56199, 12739, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56200, 12739, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56201, 12739, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56202, 12740, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56203, 12740, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56204, 12740, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56205, 12740, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56206, 12741, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56207, 12741, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56208, 12741, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56209, 12742, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56210, 12742, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56211, 12743, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56212, 12743, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56213, 12743, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56214, 12744, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56215, 12744, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56216, 12744, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56217, 12744, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56218, 12745, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56219, 12745, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56220, 12745, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56221, 12746, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56222, 12746, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56223, 12746, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56224, 12747, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56225, 12747, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56226, 12747, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56227, 12748, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56228, 12748, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56229, 12748, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56230, 12748, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56231, 12749, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56232, 12749, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56233, 12749, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56234, 12749, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56235, 12750, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56236, 12750, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56237, 12750, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56238, 12751, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56239, 12751, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56240, 12751, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56241, 12752, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56242, 12752, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56251, 12754, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56252, 12754, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56253, 12754, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56254, 12755, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56255, 12755, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56256, 12755, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56257, 12755, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56258, 12756, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56259, 12756, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56260, 12756, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56261, 12757, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56262, 12757, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56263, 12758, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56264, 12758, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56265, 12758, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56266, 12759, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56267, 12759, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56268, 12759, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56269, 12759, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56270, 12760, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56271, 12760, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56272, 12760, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56273, 12761, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56274, 12761, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56275, 12761, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56276, 12762, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56277, 12762, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56278, 12762, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56279, 12763, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56280, 12763, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56281, 12763, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56282, 12763, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56283, 12764, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56284, 12764, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56285, 12764, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56286, 12764, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56287, 12765, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56288, 12765, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56289, 12765, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56290, 12766, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56291, 12766, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56292, 12766, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56293, 12767, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56294, 12767, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56297, 12767, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56298, 12768, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56299, 12768, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56300, 12768, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56301, 12768, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56302, 12768, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56303, 12769, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56304, 12769, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56306, 12770, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56307, 12770, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56308, 12770, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56311, 12771, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56312, 12771, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56314, 12772, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56316, 12773, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56317, 12773, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56319, 12774, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56320, 12774, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56321, 12774, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56323, 12775, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56324, 12775, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56326, 12776, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56327, 12776, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56329, 12777, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56330, 12777, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56331, 12778, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56332, 12778, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56333, 12778, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56334, 12778, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56335, 12779, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56336, 12779, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56337, 12779, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56338, 12779, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56339, 12780, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56340, 12780, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56309, 12770, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56310, 12771, 'True', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56313, 12772, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56315, 12773, '3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56318, 12774, '1
2
3
4
5', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56322, 12775, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56325, 12776, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56328, 12777, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56385, 12793, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56386, 12793, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56387, 12794, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56388, 12794, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56389, 12794, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56390, 12794, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56437, 12808, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56341, 12780, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56342, 12781, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56343, 12781, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56344, 12781, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56345, 12782, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56346, 12782, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56347, 12782, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56348, 12782, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56349, 12782, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56350, 12783, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56351, 12783, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56352, 12783, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56353, 12783, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56354, 12783, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56305, 12769, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56355, 12784, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56356, 12784, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56357, 12784, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56358, 12785, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56359, 12785, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56360, 12785, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56361, 12785, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56362, 12786, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56363, 12786, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56364, 12786, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56365, 12787, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56366, 12787, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56367, 12788, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56368, 12788, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56369, 12788, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56370, 12789, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56371, 12789, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56372, 12789, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56373, 12789, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56377, 12791, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56378, 12791, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56379, 12791, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56380, 12792, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56381, 12792, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56382, 12792, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56383, 12793, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56384, 12793, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56391, 12795, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56392, 12795, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56393, 12795, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56394, 12796, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56395, 12796, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56396, 12796, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56397, 12797, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56398, 12797, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56399, 12797, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56400, 12797, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56401, 12797, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56402, 12798, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56403, 12798, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56404, 12798, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56405, 12798, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56406, 12798, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56407, 12799, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56408, 12799, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56410, 12800, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56411, 12800, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56412, 12800, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56414, 12801, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56415, 12801, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56417, 12802, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56419, 12803, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56421, 12803, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56423, 12804, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56424, 12804, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56425, 12804, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56426, 12805, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56428, 12805, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56430, 12806, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56431, 12806, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56432, 12807, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56579, 12846, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56580, 12847, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56434, 12807, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56435, 12808, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56413, 12800, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56416, 12801, 'Ошибка', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56418, 12802, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56420, 12803, '12', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56422, 12804, '1
2
3
4
5', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56427, 12805, 'blue', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56429, 12806, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56433, 12807, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56436, 12808, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56520, 12831, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56522, 12832, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56524, 12833, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56525, 12833, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56526, 12834, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56527, 12834, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56529, 12834, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56531, 12835, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56523, 12833, '3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56528, 12834, '1
3
4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56530, 12835, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56440, 12809, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56441, 12809, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56442, 12809, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56444, 12810, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56445, 12810, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56446, 12811, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56448, 12811, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56449, 12812, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56450, 12812, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56451, 12812, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56452, 12812, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56453, 12812, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56454, 12813, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56455, 12813, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56456, 12813, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56457, 12813, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56458, 12813, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56409, 12799, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56438, 12808, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56439, 12809, 'a, b, c, d', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56443, 12810, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56447, 12811, '2
1', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56459, 12814, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56461, 12814, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56462, 12815, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56463, 12815, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56465, 12815, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56466, 12816, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56468, 12816, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56469, 12817, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56472, 12818, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56473, 12818, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56474, 12819, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56475, 12819, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56477, 12819, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56479, 12820, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56480, 12820, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56481, 12821, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56482, 12821, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56460, 12814, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56464, 12815, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56467, 12816, 'False', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56470, 12817, 'big.js', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56471, 12818, '3', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56476, 12819, '1
3
4', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56478, 12820, 'green', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56532, 12835, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56533, 12836, 'Это количество пикселей, занимаемых элементом на веб-странице. Чем больше пикселей занимает элемент, тем выше его специфичность.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56534, 12836, 'Это количество символов, используемых для написания селектора. Чем больше символов, тем выше специфичность селектора.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56584, 12847, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56848, 12900, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56484, 12822, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56485, 12822, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56487, 12823, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56488, 12823, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56489, 12823, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56490, 12823, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56491, 12824, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56492, 12824, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56493, 12824, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56494, 12824, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56495, 12825, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56496, 12825, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56497, 12825, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56498, 12826, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56499, 12826, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56500, 12826, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56501, 12827, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56502, 12827, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56503, 12827, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56504, 12827, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56505, 12827, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56506, 12828, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56507, 12828, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56508, 12828, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56509, 12828, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56510, 12828, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56483, 12821, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56486, 12822, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56511, 12829, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56581, 12847, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56582, 12847, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56583, 12847, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56585, 12848, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56586, 12848, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56512, 12829, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56514, 12830, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56515, 12830, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56517, 12830, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56519, 12831, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56513, 12829, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56516, 12830, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56518, 12831, 'True', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56536, 12837, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56537, 12837, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56543, 12839, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56544, 12839, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56545, 12839, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56546, 12839, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56547, 12840, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56548, 12840, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56549, 12840, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56550, 12841, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56551, 12841, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56552, 12841, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56553, 12842, 'false
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56554, 12842, 'true
true
false', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56555, 12842, 'false
false
true', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56556, 12842, 'false
false
false ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56557, 12842, 'true
true
true', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56558, 12843, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56559, 12843, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56560, 12843, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56561, 12843, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56562, 12843, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56521, 12832, 'small.js', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56535, 12836, 'Специфичность определяет приоритет CSS-правил у разных селекторов. Или же набор правил, которые определяют свойства элементов в зависимости от их иерархии и контекста.', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56538, 12837, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56540, 12838, 'interface можно расширять при помощи ключевого слова extends', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56541, 12838, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56539, 12838, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56542, 12838, 'type может объединять несколько других type внутри себя (union types)', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56563, 12844, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56564, 12844, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56565, 12844, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56566, 12844, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56567, 12844, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56568, 12844, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56569, 12845, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56570, 12845, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56571, 12845, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56572, 12845, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56573, 12845, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56574, 12846, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56575, 12846, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56576, 12846, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56577, 12846, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56587, 12848, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56588, 12848, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56589, 12848, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56590, 12848, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56591, 12849, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56592, 12849, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56593, 12849, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56594, 12849, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56595, 12849, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56596, 12849, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56597, 12850, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56598, 12850, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56599, 12850, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56600, 12850, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56601, 12850, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56602, 12850, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56603, 12851, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56604, 12851, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56605, 12851, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56606, 12851, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56607, 12851, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56608, 12852, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56609, 12852, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56610, 12852, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56611, 12852, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56612, 12852, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56613, 12852, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56614, 12853, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56615, 12853, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56616, 12853, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56617, 12853, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56618, 12853, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56619, 12853, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56620, 12854, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56621, 12854, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56622, 12854, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56623, 12854, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56624, 12854, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56625, 12854, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56626, 12855, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56627, 12855, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56628, 12855, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56629, 12855, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56630, 12855, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56631, 12855, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56632, 12856, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56633, 12856, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56634, 12856, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56635, 12856, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56636, 12856, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56637, 12856, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56638, 12857, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56639, 12857, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56640, 12857, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56641, 12857, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56642, 12857, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56643, 12857, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56849, 12900, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56644, 12858, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56852, 12901, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56645, 12858, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56646, 12858, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56647, 12858, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56648, 12858, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56649, 12858, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56650, 12859, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56651, 12859, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56652, 12859, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56653, 12859, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56654, 12859, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56655, 12859, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56656, 12860, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56657, 12860, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56658, 12860, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56659, 12860, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56660, 12860, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56661, 12860, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56662, 12861, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56663, 12861, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56664, 12861, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56665, 12861, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56666, 12861, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56667, 12861, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56668, 12862, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56669, 12862, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56670, 12862, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56671, 12862, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56672, 12862, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56673, 12862, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56674, 12863, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56675, 12863, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56676, 12863, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56677, 12863, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56678, 12863, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56679, 12863, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56680, 12864, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56681, 12864, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56682, 12864, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56683, 12864, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56684, 12864, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56685, 12865, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56686, 12865, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56687, 12865, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56688, 12865, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56689, 12865, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56690, 12865, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56691, 12866, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56692, 12866, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56693, 12866, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56694, 12866, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56695, 12866, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56696, 12866, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56698, 12867, 'class Template2 {
public String font;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56699, 12867, 'class Template3 {
private String font;
public String author;
public void setFont(String font) {
this.font = font;
}
public String getFont(){
return font;
}
public void setAuthor(String author) {
this.author = author;
}
public String getAuthor(){
return author;
}
}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56700, 12867, 'Ничего из перечисленного', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56701, 12868, 'Bird is flyingPelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56703, 12868, 'Pelican is flying', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56704, 12868, 'Ошибка компиляции на строке:Bird bird = new Pelican();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56705, 12868, 'Ошибка компиляции на строке:protected void fly() {System.out.println("Pelican is flying"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56707, 12869, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56708, 12869, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56702, 12868, 'Bird is flying', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56709, 12869, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56710, 12870, 'И те и другие могут быть расширены c помощью ключевого слова extend', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56712, 12870, 'И те и другие могут содержать default методы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56715, 12871, 'Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56716, 12871, 'Throwable', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56717, 12871, 'RuntimeException', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56718, 12872, 'один, один или больше', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56719, 12872, 'ноль или один, ноль или больше', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56720, 12872, 'один или больше, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56721, 12872, 'ноль или один, ноль или один', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56722, 12873, 'Инкапсуляция переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56723, 12873, 'Статичность переменной', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56724, 12873, 'Синглтон переменная', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56725, 12873, 'Неизменяемость переменной', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56726, 12874, 'Инкапсуляция связывает два класса вместе еще сильнее', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56727, 12874, 'Инкапсуляция может использовать immutable переменные экземпляра класса в реализации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56728, 12874, 'Инкапсуляция позволяет поместить дополнительную логику в геттеры и сеттеры', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56729, 12874, 'Инкапсуляция облегчает возможность изменять переменные экземпляра класса в будущем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56730, 12875, 'final', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56731, 12875, 'static', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56732, 12875, 'public', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56733, 12875, 'abstract', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56734, 12876, 'Абстрактный класс', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56735, 12876, 'Модификатор доступа', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56736, 12876, 'Статический метод', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56737, 12876, 'Интерфейс', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56738, 12877, 'this()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56739, 12877, 'super()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56740, 12877, 'that()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56741, 12877, 'construct()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56742, 12878, 'Ошибка компиляции на строке:class Orca extends Whale {', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56743, 12878, 'Ошибка компиляции на строке:public abstract void dive() {};', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56744, 12878, 'Ошибка компиляции на строке:public void dive(int depth) { System.out.println("Orca diving"); }', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56745, 12878, 'Orca diving', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56746, 12878, 'Данных недостаточно для определения результата исполнения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56747, 12879, 'Класс ExampleJava бросит исключение во время выполнения программы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56748, 12879, 'Класс ExampleJava не скомпилируется', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56749, 12879, 'Класс ExampleJava напечатает Java', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56750, 12879, 'Класс ExampleJava напечатает null', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56751, 12880, 'finalize() гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56752, 12880, 'finalize() гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56753, 12880, 'finalize() может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56754, 12880, 'Сборщик мусора гарантированно вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56755, 12880, 'Сборщик мусора гарантированно не вызовется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56756, 12880, 'Сборщик мусора может вызваться, а может нет', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56757, 12881, 'caller((e) -> { String e=""; return "Poof" });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56758, 12881, 'caller((e) -> {"Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56759, 12881, 'caller((e) -> { String e = ""; "Poof"});', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56760, 12881, 'caller((e) -> { String e = ""; return "Poof"; });', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56761, 12881, 'caller((e) -> { String f = ""; return "Poof"; });', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56762, 12881, 'caller((e) -> "Poof");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56763, 12882, 'Ошибка компиляции, потому что модификатор default не применим для методов интерфейса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56764, 12882, 'Ошибка компиляции. Но если добавить тело метода к print() компиляция выполнится', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56765, 12882, 'Компиляция выполнится успешно, т.к. с Java 8 defualt методы возможно использовать в интерфейсах', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56766, 12882, 'Ошибка компиляции. Но если сделать метод print() статическим компиляция выполнится', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56767, 12882, 'Чтобы код скомпилировался необходимо убрать модификатор default для метода print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56768, 12883, 'Thread r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56769, 12883, 'Runnable r = () -> System.out.println("Run!");', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56770, 12883, 'Run r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56771, 12883, 'Executable r = () -> System.out.println("Run!");', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56772, 12883, 'Ничего из вышеперечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56773, 12884, 'Для выборки данных из базы данных. Возвращает ResultSet, который содержит результат запроса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56711, 12870, 'И те и другие не могут содержать public static final переменные', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56714, 12871, 'Error', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56844, 12899, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56845, 12899, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56846, 12900, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56774, 12884, 'Для изменения данных в базы данных. Возвращает число, показывающее сколько записей было модифицировано', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56775, 12884, 'Для запросов, которые могут возвращать различные результаты. Можно получить как ResultSet так и число модифицированных записей.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56776, 12884, 'Для вызова хранимых процедур', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56777, 12885, 'ConcurrentLinkedQueue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56778, 12885, 'ConcurrentSkipListMap', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56779, 12885, 'CopyOnWriteArrayList', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56780, 12885, 'LinkedBlockingQueue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56781, 12885, 'Никакая из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56782, 12885, 'Все перечисленные', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56783, 12886, '? extends Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56784, 12886, '? implements Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56785, 12886, 'T extends Collection<U>', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56786, 12886, 'T implements Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56787, 12886, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56788, 12886, 'T super Collection<U>', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56789, 12887, 'IntConsumer, LongSupplier', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56790, 12887, 'IntSupplier, Function', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56791, 12887, 'Supplier, DoubleConsumer', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56792, 12887, 'Supplier, LongSupplier', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56793, 12887, 'UnaryOperator, Consumer', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56794, 12887, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56795, 12888, 'Ошибка компиляции на строке A', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56796, 12888, 'Ошибка компиляции на строке B', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56797, 12888, 'Ошибка компиляции на строке C', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56798, 12888, 'Ошибка компиляции на строке D', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56799, 12888, 'Код скомпилируется и выведет "1"', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56800, 12888, 'Код скомпилируется, но выкинет исключение', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56801, 12889, 'login', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56802, 12889, 'object', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56803, 12889, 'attempts', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56804, 12889, 'users', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56805, 12889, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56806, 12889, 'Код не компилируется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56697, 12867, 'class Template {
public String font;
}', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56706, 12869, 'Класс ExampleJava напечатает Java', false, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56713, 12870, 'Нельзя получить экземпляр абстрактного класса, как и нельзя получить экземпляр интерфейса', true, true, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56807, 12890, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56808, 12890, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56809, 12890, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56810, 12890, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56811, 12891, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56812, 12891, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56813, 12891, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56814, 12891, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56815, 12892, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56816, 12892, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56817, 12892, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56818, 12892, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56819, 12893, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56820, 12893, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56821, 12893, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56822, 12893, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56823, 12894, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56824, 12894, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56825, 12894, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56826, 12894, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56827, 12895, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56828, 12895, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56829, 12895, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56830, 12895, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56831, 12896, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56832, 12896, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56833, 12896, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56834, 12896, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56835, 12897, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56836, 12897, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56837, 12897, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56838, 12898, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56839, 12898, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56840, 12898, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56841, 12898, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56842, 12899, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56843, 12899, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56847, 12900, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56850, 12900, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56851, 12901, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57005, 12932, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56853, 12901, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56854, 12901, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56855, 12902, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56856, 12902, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56857, 12902, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56858, 12902, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56859, 12903, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56860, 12903, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56861, 12903, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56862, 12903, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56863, 12903, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56864, 12903, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56865, 12904, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56866, 12904, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56867, 12904, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56868, 12904, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56869, 12904, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56870, 12904, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56871, 12905, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56872, 12905, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56873, 12905, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56874, 12905, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56875, 12905, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56876, 12905, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56877, 12906, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56878, 12906, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56879, 12906, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56880, 12906, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56881, 12906, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56882, 12906, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56883, 12907, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56884, 12907, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56885, 12907, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56886, 12907, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56887, 12907, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56888, 12907, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56889, 12908, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56890, 12908, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56891, 12908, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56892, 12908, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56893, 12908, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56894, 12908, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56895, 12909, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56896, 12909, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56897, 12909, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56898, 12909, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56899, 12909, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56900, 12909, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56901, 12910, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56902, 12910, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56903, 12910, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56904, 12910, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56905, 12910, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56906, 12910, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56907, 12911, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56908, 12911, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56909, 12911, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56910, 12911, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56911, 12912, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56912, 12912, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56913, 12912, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56914, 12912, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56915, 12912, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56916, 12912, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56917, 12913, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56918, 12913, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56919, 12913, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56920, 12913, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56921, 12914, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56922, 12914, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56923, 12914, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56924, 12914, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56925, 12915, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56926, 12915, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56927, 12915, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56928, 12915, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56929, 12916, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56930, 12916, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56931, 12916, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56932, 12916, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56933, 12917, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56934, 12917, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56935, 12917, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56936, 12917, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56937, 12918, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56938, 12918, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56939, 12918, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56940, 12918, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56941, 12919, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56942, 12919, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56943, 12919, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56944, 12919, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56945, 12920, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56946, 12920, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56947, 12920, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56948, 12921, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56949, 12921, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56950, 12921, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56951, 12921, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56952, 12922, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56953, 12922, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56954, 12922, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56955, 12922, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56956, 12923, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56957, 12923, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56958, 12923, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56959, 12923, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56960, 12923, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56961, 12924, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56962, 12924, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56963, 12924, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56964, 12924, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56965, 12925, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56966, 12925, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56967, 12925, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56968, 12925, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56969, 12926, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56970, 12926, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56971, 12926, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56972, 12926, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56973, 12926, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56974, 12926, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56975, 12927, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56976, 12927, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56977, 12927, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56978, 12927, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56979, 12927, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56980, 12927, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56981, 12928, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56982, 12928, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56983, 12928, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56984, 12928, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56985, 12928, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56986, 12928, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56987, 12929, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56988, 12929, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56989, 12929, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56990, 12929, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56991, 12929, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56992, 12929, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56993, 12930, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56994, 12930, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56995, 12930, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56996, 12930, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56997, 12930, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56998, 12930, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (56999, 12931, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57000, 12931, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57001, 12931, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57002, 12931, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57003, 12931, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57004, 12931, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57007, 12932, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57008, 12932, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57009, 12932, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57010, 12932, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57011, 12933, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57012, 12933, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57013, 12933, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57014, 12933, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57015, 12933, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57016, 12933, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57017, 12934, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57018, 12934, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57019, 12934, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57020, 12934, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57021, 12935, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57022, 12935, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57023, 12935, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57024, 12935, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57025, 12935, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57026, 12935, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57027, 12936, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57028, 12936, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57029, 12936, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57030, 12936, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57031, 12937, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57032, 12937, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57033, 12937, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57034, 12937, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57035, 12938, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57036, 12938, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57037, 12938, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57038, 12938, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57039, 12939, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57040, 12939, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57041, 12939, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57042, 12939, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57043, 12940, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57044, 12940, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57045, 12940, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57046, 12940, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57047, 12941, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57048, 12941, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57049, 12941, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57050, 12941, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57051, 12942, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57052, 12942, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57053, 12942, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57054, 12942, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57055, 12943, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57056, 12943, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57057, 12943, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57058, 12944, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57059, 12944, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57060, 12944, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57061, 12944, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57062, 12945, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57063, 12945, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57064, 12945, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57065, 12945, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57066, 12946, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57067, 12946, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57068, 12946, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57069, 12946, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57070, 12946, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57071, 12947, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57072, 12947, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57073, 12947, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57074, 12947, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57075, 12948, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57076, 12948, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57077, 12948, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57078, 12948, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57079, 12949, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57080, 12949, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57081, 12949, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57082, 12949, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57083, 12949, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57084, 12949, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57085, 12950, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57086, 12950, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57087, 12950, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57088, 12950, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57089, 12950, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57090, 12950, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57091, 12951, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57092, 12951, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57093, 12951, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57094, 12951, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57095, 12951, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57096, 12951, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57097, 12952, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57098, 12952, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57099, 12952, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57100, 12952, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57101, 12952, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57102, 12952, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57103, 12953, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57104, 12953, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57105, 12953, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57106, 12953, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57107, 12953, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57108, 12953, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57109, 12954, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57110, 12954, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57111, 12954, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57112, 12954, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57113, 12954, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57114, 12954, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57115, 12955, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57116, 12955, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57117, 12955, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57118, 12955, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57119, 12955, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57120, 12955, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57121, 12956, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57122, 12956, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57123, 12956, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57124, 12956, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57125, 12956, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57126, 12956, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57127, 12957, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57128, 12957, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57129, 12957, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57130, 12957, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57131, 12958, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57132, 12958, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57133, 12958, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57134, 12958, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57135, 12958, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57136, 12958, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57137, 12959, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57138, 12959, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57139, 12959, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57140, 12959, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57141, 12960, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57142, 12960, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57143, 12960, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57144, 12960, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57145, 12961, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57146, 12961, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57147, 12961, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57148, 12961, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57149, 12962, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57150, 12962, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57151, 12962, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57152, 12962, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57153, 12963, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57154, 12963, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57155, 12963, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57156, 12963, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57157, 12964, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57163, 12965, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57164, 12965, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57165, 12966, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57166, 12966, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57479, 13030, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57167, 12966, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57168, 12967, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57169, 12967, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57170, 12967, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57171, 12967, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57172, 12968, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57173, 12968, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57174, 12968, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57175, 12968, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57176, 12969, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57177, 12969, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57178, 12969, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57179, 12969, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57180, 12969, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57181, 12970, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57182, 12970, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57183, 12970, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57184, 12970, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57185, 12971, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57186, 12971, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57187, 12971, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57188, 12971, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57189, 12972, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57190, 12972, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57191, 12972, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57192, 12972, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57193, 12972, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57194, 12972, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57195, 12973, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57196, 12973, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57197, 12973, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57198, 12973, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57199, 12973, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57200, 12973, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57201, 12974, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57202, 12974, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57203, 12974, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57204, 12974, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57205, 12974, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57206, 12974, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57207, 12975, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57208, 12975, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57209, 12975, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57210, 12975, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57211, 12975, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57212, 12975, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57213, 12976, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57214, 12976, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57215, 12976, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57216, 12976, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57217, 12976, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57218, 12976, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57219, 12977, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57220, 12977, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57221, 12977, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57222, 12977, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57223, 12977, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57224, 12977, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57225, 12978, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57226, 12978, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57227, 12978, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57228, 12978, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57229, 12978, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57230, 12978, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57231, 12979, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57232, 12979, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57233, 12979, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57234, 12979, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57235, 12979, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57236, 12979, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57237, 12980, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57238, 12980, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57239, 12980, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57240, 12980, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57241, 12981, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57242, 12981, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57246, 12981, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57247, 12982, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57248, 12982, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57480, 13030, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57249, 12982, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57250, 12982, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57251, 12983, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57252, 12983, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57253, 12983, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57254, 12983, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57255, 12984, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57256, 12984, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57257, 12984, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57258, 12984, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57259, 12985, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57260, 12985, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57261, 12985, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57262, 12985, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57263, 12986, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57264, 12986, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57265, 12986, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57266, 12986, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57267, 12987, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57268, 12987, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57269, 12987, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57270, 12987, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57271, 12988, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57272, 12988, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57273, 12988, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57274, 12988, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57275, 12989, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57276, 12989, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57277, 12989, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57278, 12990, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57279, 12990, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57280, 12990, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57281, 12990, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57282, 12991, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57283, 12991, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57284, 12991, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57285, 12991, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57286, 12992, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57287, 12992, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57288, 12992, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57289, 12992, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57290, 12992, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57291, 12993, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57292, 12993, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57293, 12993, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57294, 12993, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57295, 12994, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57296, 12994, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57297, 12994, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57298, 12994, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57299, 12995, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57300, 12995, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57301, 12995, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57302, 12995, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57303, 12995, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57304, 12995, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57305, 12996, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57306, 12996, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57307, 12996, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57308, 12996, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57309, 12996, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57310, 12996, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57311, 12997, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57312, 12997, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57313, 12997, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57314, 12997, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57315, 12997, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57316, 12997, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57317, 12998, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57318, 12998, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57319, 12998, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57475, 13029, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57320, 12998, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57321, 12998, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57322, 12998, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57323, 12999, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57324, 12999, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57325, 12999, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57326, 12999, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57327, 12999, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57328, 12999, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57329, 13000, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57330, 13000, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57331, 13000, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57332, 13000, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57333, 13000, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57334, 13000, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57335, 13001, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57336, 13001, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57337, 13001, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57338, 13001, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57339, 13001, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57340, 13001, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57341, 13002, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57342, 13002, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57343, 13002, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57344, 13002, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57345, 13002, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57346, 13002, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57347, 13003, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57348, 13003, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57349, 13003, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57350, 13003, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57351, 13004, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57352, 13004, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57353, 13004, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57354, 13004, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57355, 13004, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57356, 13004, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57357, 13005, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57358, 13005, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57359, 13005, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57360, 13005, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57361, 13006, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57362, 13006, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57363, 13006, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57364, 13006, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57365, 13007, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57366, 13007, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57367, 13007, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57368, 13007, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57369, 13008, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57370, 13008, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57371, 13008, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57372, 13008, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57373, 13009, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57374, 13009, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57375, 13009, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57376, 13009, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57377, 13010, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57378, 13010, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57379, 13010, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57380, 13010, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57381, 13011, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57382, 13011, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57383, 13011, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57384, 13011, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57385, 13012, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57386, 13012, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57387, 13012, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57388, 13013, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57389, 13013, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57390, 13013, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57391, 13013, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57392, 13014, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57393, 13014, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57394, 13014, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57623, 13061, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57395, 13014, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57396, 13015, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57397, 13015, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57398, 13015, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57399, 13015, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57400, 13015, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57401, 13016, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57402, 13016, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57403, 13016, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57404, 13016, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57405, 13017, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57406, 13017, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57407, 13017, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57408, 13017, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57409, 13018, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57410, 13018, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57411, 13018, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57412, 13018, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57413, 13018, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57414, 13018, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57415, 13019, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57416, 13019, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57417, 13019, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57418, 13019, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57419, 13019, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57420, 13019, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57421, 13020, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57422, 13020, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57423, 13020, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57424, 13020, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57425, 13020, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57426, 13020, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57427, 13021, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57428, 13021, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57429, 13021, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57430, 13021, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57431, 13021, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57432, 13021, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57433, 13022, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57434, 13022, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57435, 13022, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57436, 13022, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57437, 13022, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57438, 13022, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57439, 13023, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57440, 13023, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57441, 13023, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57442, 13023, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57443, 13023, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57444, 13023, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57445, 13024, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57446, 13024, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57447, 13024, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57448, 13024, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57449, 13024, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57450, 13024, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57451, 13025, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57452, 13025, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57453, 13025, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57454, 13025, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57455, 13025, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57456, 13025, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57457, 13026, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57458, 13026, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57459, 13026, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57460, 13026, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57461, 13027, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57462, 13027, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57463, 13027, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57464, 13027, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57465, 13027, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57466, 13027, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57467, 13028, 'return list.stream().compare((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57468, 13028, 'return list.stream().compare((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57469, 13028, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).collect(Collectors.toList());', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57470, 13028, 'return list.stream().compareTo((a, b) -> b.compareTo(a)).sort();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57471, 13028, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect();', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57472, 13028, 'return list.stream().sorted((a, b) -> b.compareTo(a)).collect(Collectors.toList());', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57473, 13029, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57474, 13029, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57476, 13029, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57477, 13029, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57478, 13029, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57481, 13030, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57482, 13030, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57483, 13031, 'Для открытия и работы с файлами необходимо устанавливать отдельный модуль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57484, 13031, 'Для открытия файлов существует встроенный метод openfile()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57485, 13031, 'Для открытия есть встроенный метод open()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57486, 13031, 'Для открытия и закрытия файлов используется модуль os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57487, 13032, 'Логически объединенная группа файлов на диске брокера', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57488, 13032, 'Логически объединенная группа брокеров в кластере', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57489, 13032, 'Отдельный файл на диске брокера', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57490, 13032, 'Логически объединенная группа консьюмеров', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57491, 13032, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57492, 13033, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57493, 13033, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57494, 13033, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57495, 13033, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57496, 13034, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57497, 13034, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57498, 13034, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57499, 13034, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57500, 13035, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57501, 13035, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57502, 13035, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57503, 13035, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57504, 13036, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57505, 13036, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57506, 13036, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57507, 13036, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57508, 13037, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57509, 13037, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57510, 13037, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57511, 13037, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57512, 13038, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57513, 13038, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57514, 13038, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57515, 13038, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57516, 13039, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57517, 13039, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57518, 13039, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57519, 13039, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57520, 13040, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57521, 13040, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57522, 13040, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57523, 13041, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57524, 13041, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57525, 13041, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57526, 13041, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57527, 13042, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57528, 13042, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57529, 13042, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57530, 13042, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57531, 13043, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57532, 13043, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57533, 13043, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57534, 13043, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57535, 13043, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57536, 13044, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57537, 13044, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57538, 13044, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57539, 13044, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57540, 13045, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57541, 13045, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57542, 13045, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57543, 13045, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57544, 13046, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57545, 13046, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57546, 13046, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57547, 13046, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57548, 13046, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57549, 13046, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57550, 13047, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57551, 13047, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57552, 13047, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58414, 13227, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57553, 13047, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57554, 13047, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57555, 13047, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57556, 13048, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57557, 13048, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57558, 13048, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57559, 13048, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57560, 13048, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57561, 13048, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57562, 13049, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57563, 13049, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57564, 13049, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57565, 13049, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57566, 13049, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57567, 13049, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57568, 13050, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57569, 13050, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57570, 13050, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57571, 13050, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57572, 13050, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57573, 13050, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57574, 13051, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57575, 13051, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57576, 13051, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57577, 13051, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57578, 13051, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57579, 13051, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57580, 13052, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57581, 13052, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57582, 13052, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57583, 13052, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57584, 13052, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57585, 13052, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57586, 13053, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57587, 13053, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57588, 13053, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57589, 13053, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57590, 13053, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57591, 13053, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57592, 13054, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57593, 13054, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57594, 13054, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57595, 13054, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57596, 13055, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57597, 13055, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57598, 13055, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57599, 13055, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57600, 13055, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57601, 13055, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57602, 13056, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57603, 13056, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57604, 13056, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57605, 13056, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57606, 13057, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57607, 13057, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57608, 13057, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57609, 13057, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57610, 13058, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57611, 13058, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57612, 13058, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57613, 13058, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57614, 13059, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57615, 13059, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57616, 13059, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57617, 13059, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57618, 13060, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57619, 13060, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57620, 13060, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57621, 13060, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57622, 13061, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57629, 13062, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57630, 13063, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57631, 13063, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57632, 13063, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57633, 13064, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57634, 13064, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57635, 13064, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57636, 13064, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57637, 13065, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57638, 13065, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57639, 13065, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57640, 13065, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57641, 13066, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57642, 13066, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57643, 13066, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57644, 13066, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57645, 13066, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57646, 13067, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57647, 13067, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57648, 13067, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57649, 13067, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57650, 13068, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57651, 13068, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57652, 13068, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57653, 13068, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57654, 13069, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57655, 13069, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57656, 13069, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57657, 13069, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57658, 13069, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57659, 13069, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57660, 13070, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57661, 13070, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57662, 13070, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57663, 13070, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57664, 13070, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57665, 13070, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57666, 13071, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57667, 13071, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57668, 13071, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57669, 13071, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57670, 13071, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57671, 13071, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57672, 13072, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57673, 13072, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57674, 13072, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57675, 13072, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57676, 13072, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57677, 13072, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57678, 13073, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57679, 13073, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57680, 13073, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57681, 13073, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57682, 13073, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57683, 13073, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57684, 13074, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57685, 13074, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57686, 13074, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57687, 13074, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57688, 13074, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57689, 13074, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57690, 13075, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57691, 13075, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57692, 13075, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57693, 13075, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57694, 13075, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57695, 13075, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57696, 13076, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57697, 13076, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57698, 13076, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57699, 13076, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57700, 13076, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57701, 13076, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57702, 13077, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57703, 13077, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57704, 13077, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57705, 13077, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57706, 13078, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57707, 13078, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57708, 13078, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57712, 13079, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57713, 13079, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57714, 13079, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57715, 13079, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57716, 13080, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57717, 13080, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57718, 13080, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57719, 13080, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57720, 13081, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57721, 13081, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57722, 13081, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57723, 13081, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57724, 13082, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57725, 13082, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57726, 13082, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57727, 13082, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57728, 13083, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57729, 13083, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57730, 13083, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57731, 13083, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57732, 13084, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57733, 13084, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57734, 13084, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57735, 13084, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57736, 13085, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57737, 13085, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57738, 13085, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57739, 13085, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57740, 13086, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57741, 13086, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57742, 13086, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57743, 13087, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57744, 13087, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57745, 13087, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57746, 13087, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57747, 13088, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57748, 13088, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57749, 13088, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57750, 13088, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57751, 13089, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57752, 13089, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57753, 13089, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57754, 13089, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57755, 13089, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57756, 13090, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57757, 13090, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57758, 13090, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57759, 13090, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57760, 13091, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57761, 13091, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57762, 13091, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57763, 13091, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57764, 13092, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57765, 13092, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57766, 13092, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57767, 13092, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57768, 13092, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57769, 13092, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57770, 13093, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57771, 13093, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57772, 13093, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57773, 13093, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57774, 13093, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57775, 13093, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57776, 13094, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57777, 13094, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57778, 13094, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57779, 13094, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57780, 13094, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57781, 13094, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57782, 13095, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57783, 13095, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57784, 13095, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57785, 13095, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57786, 13095, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57787, 13095, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57866, 13113, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57788, 13096, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57789, 13096, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57790, 13096, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57791, 13096, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57792, 13096, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57793, 13096, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57794, 13097, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57795, 13097, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57796, 13097, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57797, 13097, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57798, 13097, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57799, 13097, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57800, 13098, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57801, 13098, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57802, 13098, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57803, 13098, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57804, 13098, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57805, 13098, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57806, 13099, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57807, 13099, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57808, 13099, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57809, 13099, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57810, 13099, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57811, 13099, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57812, 13100, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57813, 13100, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57814, 13100, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57815, 13100, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57816, 13101, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57817, 13101, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57818, 13101, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57819, 13101, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57820, 13101, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57821, 13101, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57822, 13102, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57823, 13102, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57824, 13102, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57825, 13102, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57826, 13103, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57827, 13103, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57828, 13103, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57829, 13103, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57830, 13104, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57831, 13104, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57832, 13104, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57833, 13104, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57834, 13105, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57835, 13105, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57836, 13105, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57837, 13105, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57838, 13106, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57839, 13106, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57840, 13106, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57841, 13106, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57842, 13107, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57843, 13107, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57844, 13107, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57845, 13107, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57846, 13108, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57847, 13108, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57848, 13108, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57849, 13108, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57850, 13109, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57851, 13109, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57852, 13109, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57853, 13110, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57854, 13110, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57855, 13110, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57856, 13110, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57857, 13111, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57858, 13111, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57859, 13111, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57860, 13111, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57861, 13112, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57862, 13112, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57863, 13112, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57864, 13112, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57865, 13112, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57867, 13113, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57868, 13113, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57869, 13113, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57870, 13114, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57871, 13114, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57872, 13114, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57873, 13114, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57874, 13115, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57875, 13115, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57876, 13115, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57877, 13115, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57878, 13115, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57879, 13115, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57880, 13116, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57881, 13116, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57882, 13116, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57883, 13116, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57884, 13116, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57885, 13116, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57886, 13117, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57887, 13117, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57888, 13117, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57889, 13117, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57890, 13117, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57891, 13117, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57892, 13118, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57893, 13118, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57894, 13118, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57895, 13118, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57896, 13118, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57897, 13118, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57898, 13119, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57899, 13119, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57900, 13119, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57901, 13119, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57902, 13119, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57903, 13119, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57904, 13120, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57905, 13120, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57906, 13120, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57907, 13120, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57908, 13120, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57909, 13120, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57910, 13121, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57911, 13121, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57912, 13121, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57913, 13121, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57914, 13121, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57915, 13121, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57916, 13122, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57917, 13122, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57918, 13122, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57919, 13122, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57920, 13122, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57921, 13122, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57922, 13123, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57923, 13123, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57924, 13123, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57925, 13123, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57926, 13124, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57927, 13124, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57928, 13124, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57929, 13124, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57930, 13124, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57931, 13124, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57932, 13125, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57933, 13125, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57934, 13125, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57935, 13125, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57936, 13126, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57937, 13126, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57938, 13126, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57939, 13126, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57940, 13127, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57941, 13127, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57942, 13127, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57943, 13127, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58015, 13143, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58016, 13143, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58017, 13143, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57944, 13128, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57945, 13128, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57946, 13128, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57947, 13128, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57948, 13129, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57949, 13129, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57950, 13129, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57951, 13129, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57952, 13130, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57953, 13130, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57954, 13130, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57955, 13130, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57956, 13131, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57957, 13131, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57958, 13131, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57959, 13131, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57960, 13132, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57961, 13132, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57962, 13132, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57963, 13133, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57964, 13133, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57965, 13133, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57966, 13133, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57967, 13134, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57968, 13134, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57969, 13134, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57970, 13134, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57971, 13135, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57972, 13135, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57973, 13135, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57974, 13135, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57975, 13135, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57976, 13136, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57977, 13136, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57978, 13136, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57979, 13136, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57980, 13137, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57981, 13137, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57982, 13137, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57983, 13137, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57984, 13138, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57985, 13138, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57986, 13138, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57987, 13138, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57988, 13138, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57989, 13138, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57990, 13139, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57991, 13139, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57992, 13139, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57993, 13139, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57994, 13139, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57995, 13139, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57996, 13140, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57997, 13140, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57998, 13140, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (57999, 13140, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58000, 13140, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58001, 13140, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58002, 13141, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58003, 13141, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58004, 13141, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58005, 13141, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58006, 13141, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58007, 13141, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58008, 13142, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58009, 13142, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58010, 13142, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58011, 13142, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58012, 13142, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58094, 13161, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58013, 13142, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58014, 13143, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58018, 13143, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58019, 13143, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58020, 13144, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58021, 13144, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58022, 13144, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58023, 13144, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58024, 13144, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58025, 13144, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58026, 13145, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58027, 13145, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58028, 13145, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58029, 13145, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58030, 13145, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58031, 13145, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58032, 13146, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58033, 13146, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58034, 13146, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58035, 13146, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58036, 13147, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58037, 13147, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58038, 13147, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58039, 13147, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58040, 13147, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58041, 13147, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58042, 13148, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58043, 13148, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58044, 13148, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58045, 13148, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58046, 13149, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58047, 13149, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58048, 13149, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58049, 13149, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58050, 13150, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58051, 13150, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58052, 13150, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58053, 13150, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58054, 13151, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58055, 13151, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58056, 13151, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58057, 13151, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58058, 13152, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58059, 13152, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58060, 13152, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58061, 13152, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58062, 13153, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58063, 13153, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58064, 13153, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58065, 13153, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58066, 13154, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58067, 13154, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58068, 13154, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58069, 13154, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58070, 13155, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58071, 13155, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58072, 13155, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58073, 13156, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58074, 13156, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58075, 13156, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58076, 13156, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58077, 13157, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58078, 13157, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58079, 13157, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58080, 13157, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58081, 13158, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58082, 13158, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58083, 13158, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58084, 13158, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58085, 13158, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58086, 13159, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58087, 13159, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58088, 13159, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58089, 13159, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58090, 13160, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58091, 13160, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58092, 13160, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58093, 13160, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58095, 13161, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58096, 13161, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58097, 13161, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58098, 13161, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58099, 13161, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58175, 13176, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58100, 13162, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58101, 13162, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58102, 13162, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58103, 13162, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58104, 13162, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58105, 13162, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58106, 13163, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58107, 13163, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58108, 13163, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58109, 13163, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58110, 13163, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58111, 13163, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58112, 13164, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58113, 13164, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58114, 13164, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58115, 13164, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58116, 13164, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58117, 13164, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58118, 13165, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58119, 13165, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58120, 13165, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58121, 13165, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58122, 13165, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58123, 13165, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58124, 13166, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58125, 13166, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58126, 13166, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58127, 13166, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58128, 13166, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58129, 13166, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58130, 13167, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58131, 13167, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58132, 13167, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58133, 13167, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58134, 13167, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58135, 13167, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58136, 13168, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58137, 13168, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58138, 13168, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58139, 13168, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58140, 13168, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58141, 13168, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58142, 13169, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58143, 13169, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58144, 13169, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58145, 13169, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58146, 13170, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58147, 13170, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58148, 13170, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58149, 13170, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58150, 13170, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58151, 13170, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58152, 13171, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58153, 13171, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58154, 13171, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58155, 13171, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58156, 13172, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58157, 13172, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58158, 13172, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58159, 13172, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58160, 13173, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58161, 13173, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58162, 13173, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58163, 13173, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58164, 13174, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58165, 13174, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58166, 13174, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58167, 13174, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58168, 13175, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58169, 13175, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58170, 13175, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58171, 13175, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58172, 13176, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58173, 13176, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58174, 13176, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58176, 13177, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58177, 13177, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58178, 13177, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58179, 13177, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58180, 13178, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58181, 13178, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58182, 13178, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58183, 13179, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58184, 13179, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58185, 13179, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58186, 13179, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58187, 13180, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58188, 13180, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58189, 13180, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58190, 13180, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58191, 13181, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58192, 13181, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58193, 13181, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58194, 13181, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58195, 13181, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58196, 13182, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58197, 13182, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58198, 13182, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58199, 13182, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58200, 13183, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58201, 13183, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58202, 13183, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58203, 13183, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58204, 13184, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58205, 13184, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58206, 13184, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58207, 13184, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58208, 13184, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58209, 13184, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58210, 13185, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58211, 13185, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58212, 13185, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58213, 13185, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58214, 13185, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58215, 13185, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58216, 13186, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58217, 13186, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58218, 13186, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58219, 13186, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58220, 13186, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58221, 13186, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58222, 13187, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58223, 13187, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58224, 13187, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58225, 13187, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58226, 13187, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58227, 13187, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58228, 13188, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58229, 13188, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58230, 13188, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58231, 13188, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58232, 13188, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58233, 13188, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58234, 13189, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58235, 13189, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58236, 13189, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58237, 13189, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58238, 13189, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58239, 13189, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58240, 13190, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58241, 13190, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58242, 13190, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58243, 13190, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58244, 13190, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58245, 13190, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58246, 13191, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58247, 13191, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58248, 13191, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58261, 13193, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58262, 13194, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58263, 13194, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58264, 13194, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58265, 13194, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58266, 13195, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58267, 13195, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58268, 13195, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58269, 13195, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58270, 13196, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58271, 13196, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58272, 13196, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58273, 13196, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58274, 13197, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58275, 13197, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58276, 13197, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58277, 13197, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58278, 13198, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58279, 13198, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58280, 13198, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58281, 13198, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58282, 13199, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58283, 13199, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58284, 13199, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58285, 13199, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58286, 13200, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58287, 13200, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58288, 13200, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58289, 13200, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58290, 13201, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58291, 13201, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58292, 13201, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58293, 13202, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58294, 13202, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58295, 13202, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58296, 13202, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58297, 13203, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58298, 13203, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58299, 13203, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58300, 13203, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58301, 13204, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58302, 13204, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58303, 13204, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58304, 13204, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58305, 13204, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58306, 13205, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58307, 13205, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58308, 13205, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58309, 13205, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58310, 13206, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58311, 13206, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58312, 13206, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58313, 13206, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58314, 13207, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58315, 13207, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58316, 13207, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58317, 13207, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58318, 13207, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58319, 13207, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58320, 13208, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58321, 13208, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58322, 13208, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58323, 13208, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58324, 13208, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58325, 13208, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58326, 13209, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58327, 13209, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58328, 13209, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58329, 13209, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58330, 13209, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58331, 13209, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58332, 13210, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58333, 13210, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58334, 13210, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58490, 13242, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58335, 13210, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58336, 13210, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58413, 13227, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58337, 13210, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58338, 13211, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58339, 13211, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58340, 13211, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58341, 13211, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58342, 13211, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58343, 13211, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58344, 13212, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58345, 13212, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58346, 13212, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58347, 13212, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58348, 13212, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58349, 13212, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58350, 13213, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58351, 13213, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58352, 13213, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58353, 13213, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58354, 13213, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58355, 13213, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58356, 13214, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58357, 13214, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58358, 13214, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58359, 13214, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58360, 13214, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58361, 13214, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58362, 13215, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58363, 13215, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58364, 13215, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58365, 13215, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58366, 13216, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58367, 13216, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58368, 13216, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58369, 13216, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58370, 13216, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58371, 13216, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58372, 13217, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58373, 13217, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58374, 13217, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58375, 13217, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58376, 13218, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58377, 13218, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58378, 13218, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58379, 13218, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58380, 13219, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58381, 13219, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58382, 13219, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58383, 13219, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58384, 13220, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58385, 13220, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58386, 13220, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58387, 13220, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58388, 13221, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58389, 13221, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58390, 13221, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58391, 13221, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58392, 13222, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58393, 13222, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58394, 13222, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58395, 13222, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58396, 13223, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58397, 13223, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58398, 13223, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58399, 13223, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58400, 13224, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58401, 13224, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58402, 13224, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58403, 13225, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58404, 13225, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58405, 13225, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58406, 13225, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58407, 13226, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58408, 13226, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58409, 13226, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58924, 13328, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58410, 13226, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58411, 13227, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58412, 13227, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58415, 13227, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58416, 13228, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58417, 13228, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58418, 13228, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58419, 13228, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58420, 13229, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58421, 13229, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58422, 13229, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58423, 13229, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58424, 13230, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58425, 13230, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58426, 13230, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58427, 13230, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58428, 13230, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58429, 13230, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58430, 13231, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58431, 13231, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58432, 13231, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58433, 13231, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58434, 13231, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58435, 13231, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58436, 13232, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58437, 13232, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58438, 13232, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58439, 13232, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58440, 13232, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58441, 13232, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58442, 13233, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58443, 13233, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58444, 13233, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58445, 13233, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58446, 13233, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58447, 13233, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58448, 13234, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58449, 13234, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58450, 13234, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58451, 13234, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58452, 13234, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58453, 13234, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58454, 13235, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58455, 13235, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58456, 13235, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58457, 13235, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58458, 13235, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58459, 13235, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58460, 13236, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58461, 13236, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58462, 13236, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58463, 13236, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58464, 13236, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58465, 13236, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58466, 13237, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58467, 13237, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58468, 13237, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58469, 13237, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58470, 13237, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58471, 13237, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58472, 13238, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58473, 13238, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58474, 13238, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58475, 13238, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58476, 13239, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58477, 13239, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58478, 13239, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58479, 13239, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58480, 13239, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58481, 13239, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58482, 13240, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58483, 13240, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58484, 13240, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58485, 13240, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58486, 13241, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58487, 13241, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58488, 13241, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58489, 13241, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58491, 13242, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58492, 13242, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58493, 13242, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58566, 13258, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58494, 13243, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58495, 13243, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58496, 13243, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58497, 13243, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58498, 13244, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58499, 13244, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58500, 13244, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58501, 13244, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58502, 13245, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58503, 13245, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58504, 13245, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58505, 13245, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58506, 13246, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58507, 13246, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58508, 13246, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58509, 13246, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58510, 13247, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58511, 13247, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58512, 13247, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58513, 13248, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58514, 13248, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58515, 13248, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58516, 13248, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58517, 13249, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58518, 13249, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58519, 13249, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58520, 13249, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58521, 13250, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58522, 13250, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58523, 13250, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58524, 13250, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58525, 13250, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58526, 13251, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58527, 13251, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58528, 13251, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58529, 13251, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58530, 13252, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58531, 13252, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58532, 13252, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58533, 13252, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58534, 13253, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58535, 13253, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58536, 13253, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58537, 13253, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58538, 13253, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58539, 13253, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58540, 13254, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58541, 13254, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58542, 13254, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58543, 13254, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58544, 13254, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58545, 13254, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58546, 13255, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58547, 13255, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58548, 13255, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58549, 13255, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58550, 13255, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58551, 13255, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58552, 13256, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58553, 13256, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58554, 13256, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58555, 13256, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58556, 13256, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58557, 13256, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58558, 13257, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58559, 13257, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58560, 13257, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58561, 13257, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58562, 13257, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58563, 13257, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58564, 13258, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58565, 13258, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58567, 13258, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58568, 13258, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58569, 13258, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58570, 13259, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58571, 13259, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58572, 13259, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58573, 13259, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58574, 13259, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58575, 13259, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58576, 13260, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58577, 13260, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58578, 13260, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58579, 13260, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58580, 13260, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58581, 13260, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58582, 13261, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58583, 13261, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58584, 13261, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58585, 13261, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58586, 13262, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58587, 13262, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58588, 13262, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58589, 13262, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58590, 13262, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58591, 13262, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58592, 13263, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58593, 13263, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58594, 13263, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58595, 13263, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58596, 13264, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58597, 13264, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58598, 13264, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58599, 13264, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58600, 13265, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58601, 13265, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58602, 13265, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58603, 13265, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58604, 13266, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58605, 13266, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58606, 13266, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58607, 13266, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58608, 13267, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58609, 13267, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58610, 13267, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58611, 13267, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58612, 13268, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58613, 13268, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58614, 13268, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58615, 13268, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58616, 13269, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58617, 13269, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58618, 13269, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58619, 13269, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58620, 13270, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58621, 13270, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58622, 13270, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58623, 13271, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58624, 13271, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58625, 13271, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58626, 13271, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58627, 13272, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58628, 13272, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58629, 13272, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58630, 13272, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58631, 13273, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58632, 13273, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58633, 13273, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58634, 13273, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58635, 13273, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58636, 13274, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58637, 13274, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58638, 13274, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58639, 13274, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58640, 13275, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58641, 13275, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58642, 13275, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58643, 13275, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58644, 13276, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58645, 13276, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58646, 13276, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58647, 13276, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58648, 13276, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58649, 13276, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58650, 13277, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58651, 13277, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58652, 13277, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58653, 13277, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58654, 13277, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58655, 13277, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58656, 13278, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58657, 13278, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58658, 13278, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58659, 13278, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58660, 13278, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58661, 13278, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58662, 13279, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58663, 13279, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58664, 13279, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58665, 13279, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58666, 13279, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58667, 13279, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58668, 13280, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58669, 13280, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58670, 13280, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58671, 13280, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58672, 13280, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58673, 13280, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58674, 13281, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58675, 13281, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58676, 13281, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58677, 13281, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58678, 13281, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58679, 13281, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58680, 13282, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58681, 13282, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58682, 13282, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58683, 13282, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58684, 13282, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58685, 13282, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58686, 13283, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58687, 13283, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58688, 13283, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58689, 13283, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58690, 13283, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58691, 13283, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58692, 13284, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58693, 13284, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58694, 13284, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58695, 13284, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58696, 13285, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58697, 13285, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58698, 13285, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58699, 13285, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58700, 13285, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58701, 13285, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58702, 13286, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58703, 13286, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58704, 13286, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58705, 13286, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58706, 13286, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58707, 13286, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58708, 13287, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58709, 13287, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58710, 13287, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58711, 13287, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58712, 13287, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58713, 13288, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58714, 13288, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58715, 13288, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58716, 13288, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58717, 13288, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58718, 13288, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58719, 13289, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58720, 13289, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58721, 13289, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58722, 13289, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58723, 13289, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58724, 13290, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58725, 13290, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58726, 13290, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58727, 13290, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58728, 13290, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58729, 13290, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58934, 13329, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58730, 13291, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58731, 13291, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58732, 13291, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58733, 13291, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58734, 13291, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58735, 13291, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58736, 13292, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58737, 13292, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58738, 13292, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58739, 13292, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58740, 13292, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58741, 13292, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58742, 13293, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58743, 13293, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58744, 13293, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58745, 13293, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58746, 13293, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58747, 13294, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58748, 13294, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58749, 13294, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58750, 13294, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58751, 13294, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58752, 13294, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58753, 13295, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58754, 13295, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58755, 13295, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58756, 13295, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58757, 13295, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58758, 13295, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58759, 13296, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58760, 13296, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58761, 13296, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58762, 13296, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58763, 13296, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58764, 13296, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58765, 13297, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58766, 13297, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58767, 13297, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58768, 13297, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58769, 13297, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58770, 13297, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58771, 13298, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58772, 13298, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58773, 13298, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58774, 13298, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58775, 13298, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58776, 13298, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58777, 13299, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58778, 13299, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58779, 13299, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58780, 13299, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58781, 13299, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58782, 13299, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58783, 13300, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58925, 13328, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58784, 13300, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58785, 13300, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58786, 13300, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58787, 13300, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58788, 13300, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58789, 13301, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58790, 13301, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58791, 13301, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58792, 13301, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58793, 13301, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58794, 13301, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58795, 13302, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58796, 13302, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58797, 13302, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58798, 13302, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58799, 13302, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58800, 13302, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58801, 13303, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58802, 13303, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58803, 13303, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58804, 13303, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58805, 13303, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58806, 13303, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58807, 13304, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58808, 13304, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58809, 13304, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58810, 13304, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58811, 13304, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58812, 13304, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58813, 13305, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58814, 13305, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58815, 13305, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58816, 13305, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58817, 13305, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58818, 13305, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58819, 13306, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58820, 13306, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58821, 13306, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58822, 13306, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58823, 13306, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58824, 13307, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58825, 13307, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58826, 13307, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58827, 13307, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58828, 13307, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58829, 13307, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58830, 13308, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58831, 13308, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58832, 13308, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58833, 13308, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58834, 13308, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58835, 13308, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58836, 13309, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58837, 13309, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58838, 13309, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58839, 13309, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58840, 13310, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58841, 13310, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58842, 13310, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58843, 13310, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58844, 13311, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58845, 13311, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58846, 13311, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58847, 13311, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58848, 13312, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58849, 13312, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58850, 13312, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58851, 13312, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58852, 13313, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58853, 13313, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58854, 13313, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58855, 13313, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58856, 13314, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58857, 13314, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58858, 13314, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58859, 13314, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58860, 13315, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58861, 13315, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58862, 13315, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58863, 13315, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58864, 13316, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58865, 13316, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58866, 13316, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58867, 13317, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58868, 13317, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58869, 13317, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58870, 13317, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58871, 13318, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58872, 13318, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58873, 13318, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58874, 13318, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58875, 13319, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58876, 13319, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58877, 13319, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58878, 13319, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58879, 13319, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58880, 13320, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58881, 13320, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58882, 13320, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58883, 13320, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58884, 13321, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58885, 13321, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58886, 13321, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58887, 13321, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58888, 13322, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58889, 13322, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58890, 13322, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58891, 13322, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58892, 13322, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58893, 13322, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58894, 13323, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58895, 13323, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58896, 13323, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58897, 13323, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58898, 13323, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58899, 13323, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58900, 13324, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58901, 13324, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58902, 13324, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58903, 13324, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58904, 13324, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58905, 13324, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58906, 13325, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58907, 13325, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58908, 13325, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58909, 13325, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58910, 13325, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58911, 13325, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58912, 13326, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58913, 13326, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58914, 13326, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58915, 13326, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58916, 13326, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58917, 13326, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58918, 13327, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58919, 13327, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58920, 13327, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58921, 13327, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58922, 13327, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58923, 13327, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58930, 13329, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58931, 13329, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58932, 13329, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58933, 13329, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58935, 13329, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58936, 13330, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58937, 13330, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58938, 13330, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58939, 13330, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58940, 13331, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58941, 13331, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58942, 13331, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58943, 13331, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58944, 13331, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58945, 13331, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58946, 13332, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58947, 13332, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58948, 13332, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58949, 13332, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58950, 13332, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58951, 13332, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58952, 13333, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58953, 13333, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58954, 13333, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58955, 13333, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58956, 13333, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58957, 13334, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58958, 13334, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58959, 13334, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58960, 13334, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58961, 13334, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58962, 13334, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58963, 13335, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58964, 13335, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58965, 13335, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58966, 13335, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58967, 13335, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58968, 13336, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58969, 13336, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58970, 13336, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58971, 13336, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58972, 13336, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58973, 13336, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58974, 13337, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58975, 13337, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58976, 13337, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58977, 13337, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58978, 13337, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58979, 13337, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58980, 13338, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58981, 13338, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58982, 13338, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58983, 13338, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58984, 13338, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58985, 13338, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58986, 13339, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58987, 13339, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58988, 13339, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58989, 13339, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58990, 13339, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58991, 13340, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58992, 13340, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58993, 13340, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58994, 13340, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58995, 13340, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58996, 13340, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58997, 13341, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58998, 13341, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (58999, 13341, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59000, 13341, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59001, 13341, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59002, 13341, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59003, 13342, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59004, 13342, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59005, 13342, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59006, 13342, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59007, 13342, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59008, 13342, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59009, 13343, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59010, 13343, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59011, 13343, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59012, 13343, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59013, 13343, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59014, 13343, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59015, 13344, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59016, 13344, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59017, 13344, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59018, 13344, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59019, 13344, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59020, 13344, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59021, 13345, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59022, 13345, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59023, 13345, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59024, 13345, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59025, 13345, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59026, 13345, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59027, 13346, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59028, 13346, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59029, 13346, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59030, 13346, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59031, 13346, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59032, 13346, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59033, 13347, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59034, 13347, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59035, 13347, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59036, 13347, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59037, 13347, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59038, 13347, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59039, 13348, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59040, 13348, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59041, 13348, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59042, 13348, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59043, 13348, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59044, 13348, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59045, 13349, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59046, 13349, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59047, 13349, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59048, 13349, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59049, 13349, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59050, 13349, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59051, 13350, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59052, 13350, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59053, 13350, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59054, 13350, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59055, 13350, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59056, 13350, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59057, 13351, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59058, 13351, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59059, 13351, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59060, 13351, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59061, 13351, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59062, 13351, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59063, 13352, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59064, 13352, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59065, 13352, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59066, 13352, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59067, 13352, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59068, 13353, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59069, 13353, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59070, 13353, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59071, 13353, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59072, 13353, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59073, 13353, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59074, 13354, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59075, 13354, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59076, 13354, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59077, 13354, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59078, 13354, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59079, 13354, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59080, 13355, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59081, 13355, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59082, 13355, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59083, 13355, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59084, 13355, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59085, 13355, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59086, 13356, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59087, 13356, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59088, 13356, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59089, 13356, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59090, 13356, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59091, 13357, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59092, 13357, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59093, 13357, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59094, 13357, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59095, 13357, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59096, 13357, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59097, 13358, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59098, 13358, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59099, 13358, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59100, 13358, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59101, 13358, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59102, 13359, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59103, 13359, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59104, 13359, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59105, 13359, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59106, 13359, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59107, 13359, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59108, 13360, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59109, 13360, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59110, 13360, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59111, 13360, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59112, 13360, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59113, 13360, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59114, 13361, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59115, 13361, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59116, 13361, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59117, 13361, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59118, 13361, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59119, 13361, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59120, 13362, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59121, 13362, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59122, 13362, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59123, 13362, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59124, 13362, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59125, 13363, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59126, 13363, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59127, 13363, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59128, 13363, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59129, 13363, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59130, 13363, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59131, 13364, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59132, 13364, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59133, 13364, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59134, 13364, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59915, 13498, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59135, 13364, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60044, 13522, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59136, 13364, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59137, 13365, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59138, 13365, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59139, 13365, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59140, 13365, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59141, 13365, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59142, 13365, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59143, 13366, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59144, 13366, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59145, 13366, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59146, 13366, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59147, 13366, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59148, 13366, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59149, 13367, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59150, 13367, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59151, 13367, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59152, 13367, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59153, 13367, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59154, 13367, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59155, 13368, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59156, 13368, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59157, 13368, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59158, 13368, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59159, 13368, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59160, 13368, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59161, 13369, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59162, 13369, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59163, 13369, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59164, 13369, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59165, 13369, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59166, 13369, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59167, 13370, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59168, 13370, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59169, 13370, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59170, 13370, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59171, 13370, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59172, 13370, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59173, 13371, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59174, 13371, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59175, 13371, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59176, 13371, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59177, 13371, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59178, 13371, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59179, 13372, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59180, 13372, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59181, 13372, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59182, 13372, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59183, 13372, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59184, 13372, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59185, 13373, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59186, 13373, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59187, 13373, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59188, 13373, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59189, 13373, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59190, 13373, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59191, 13374, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59197, 13375, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59454, 13419, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59198, 13375, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59199, 13375, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59200, 13375, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59201, 13375, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59202, 13376, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59203, 13376, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59204, 13376, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59205, 13376, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59206, 13376, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59207, 13376, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59208, 13377, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59209, 13377, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59210, 13377, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59211, 13377, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59212, 13377, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59213, 13377, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59214, 13378, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59215, 13378, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59216, 13378, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59217, 13378, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59218, 13378, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59219, 13378, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59220, 13379, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59221, 13379, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59222, 13379, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59223, 13379, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59224, 13379, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59225, 13380, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59226, 13380, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59227, 13380, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59228, 13380, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59229, 13380, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59230, 13380, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59231, 13381, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59232, 13381, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59233, 13381, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59234, 13381, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59235, 13381, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59236, 13382, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59237, 13382, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59238, 13382, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59239, 13382, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59240, 13382, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59241, 13382, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59242, 13383, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59243, 13383, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59244, 13383, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59245, 13383, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59246, 13383, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59247, 13383, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59248, 13384, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59249, 13384, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59250, 13384, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59251, 13384, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59252, 13384, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59253, 13384, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59254, 13385, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59255, 13385, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59256, 13385, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59257, 13385, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59258, 13385, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59259, 13386, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59260, 13386, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59261, 13386, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59262, 13386, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59263, 13386, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59264, 13386, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59265, 13387, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59266, 13387, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59267, 13387, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59529, 13432, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59268, 13387, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59269, 13387, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59270, 13387, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59271, 13388, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59272, 13388, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59273, 13388, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59274, 13388, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59275, 13388, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59276, 13388, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59277, 13389, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59278, 13389, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59279, 13389, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59280, 13389, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59281, 13389, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59282, 13389, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59283, 13390, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59284, 13390, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59285, 13390, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59286, 13390, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59287, 13390, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59288, 13390, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59289, 13391, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59290, 13391, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59291, 13391, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59292, 13391, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59293, 13391, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59294, 13391, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59295, 13392, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59296, 13392, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59297, 13392, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59298, 13392, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59299, 13392, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59300, 13392, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59301, 13393, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59302, 13393, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59303, 13393, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59304, 13393, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59305, 13393, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59306, 13393, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59307, 13394, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59308, 13394, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59309, 13394, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59310, 13394, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59311, 13394, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59312, 13394, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59313, 13395, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59314, 13395, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59315, 13395, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59316, 13395, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59317, 13395, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59318, 13395, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59319, 13396, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59320, 13396, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59321, 13396, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59322, 13396, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59323, 13396, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59324, 13396, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59325, 13397, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59326, 13397, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59327, 13397, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59328, 13397, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59329, 13397, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59330, 13397, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59331, 13398, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59332, 13398, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59333, 13398, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59334, 13398, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59335, 13398, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59336, 13399, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59337, 13399, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59338, 13399, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59339, 13399, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59340, 13399, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59341, 13399, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59342, 13400, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59343, 13400, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59344, 13400, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59345, 13400, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59346, 13400, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59347, 13400, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59348, 13401, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59349, 13401, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59350, 13401, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59351, 13401, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59352, 13401, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59353, 13401, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59354, 13402, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59355, 13402, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59356, 13402, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59357, 13402, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59358, 13402, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59359, 13403, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59360, 13403, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59361, 13403, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59362, 13403, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59363, 13403, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59364, 13403, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59365, 13404, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59366, 13404, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59367, 13404, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59368, 13404, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59369, 13404, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59370, 13405, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59371, 13405, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59372, 13405, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59373, 13405, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59374, 13405, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59375, 13405, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59376, 13406, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59377, 13406, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59378, 13406, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59379, 13406, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59380, 13406, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59381, 13406, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59382, 13407, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59383, 13407, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59384, 13407, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59385, 13407, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59386, 13407, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59387, 13407, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59388, 13408, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59389, 13408, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59390, 13408, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59391, 13408, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59392, 13408, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59393, 13409, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59394, 13409, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59395, 13409, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59396, 13409, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59397, 13409, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59398, 13409, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59916, 13498, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59399, 13410, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59400, 13410, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59401, 13410, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59402, 13410, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59403, 13410, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59404, 13410, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59405, 13411, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59406, 13411, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59407, 13411, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59408, 13411, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59409, 13411, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59410, 13411, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59411, 13412, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59412, 13412, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59413, 13412, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59414, 13412, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59415, 13412, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59416, 13412, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59417, 13413, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59418, 13413, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59419, 13413, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59420, 13413, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59421, 13413, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59422, 13413, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59423, 13414, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59424, 13414, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59425, 13414, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59426, 13414, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59427, 13414, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59428, 13414, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59429, 13415, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59430, 13415, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59431, 13415, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59432, 13415, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59433, 13415, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59434, 13415, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59435, 13416, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59436, 13416, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59437, 13416, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59438, 13416, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59439, 13416, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59440, 13416, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59441, 13417, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59442, 13417, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59443, 13417, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59444, 13417, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59445, 13417, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59446, 13417, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59447, 13418, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59448, 13418, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59449, 13418, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59450, 13418, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59451, 13418, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59452, 13418, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59455, 13419, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59456, 13419, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59457, 13419, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59458, 13419, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59459, 13420, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59460, 13420, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59461, 13420, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59462, 13420, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59463, 13420, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59464, 13420, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59465, 13421, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59466, 13421, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59467, 13421, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59468, 13421, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59469, 13421, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59470, 13422, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59471, 13422, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59472, 13422, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59473, 13422, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59474, 13422, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59475, 13422, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59476, 13423, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59477, 13423, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59478, 13423, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59479, 13423, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59480, 13423, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59481, 13423, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59482, 13424, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59483, 13424, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59484, 13424, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59485, 13424, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59486, 13424, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59487, 13424, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59488, 13425, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59489, 13425, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59490, 13425, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59491, 13425, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59492, 13425, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59493, 13426, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59494, 13426, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59495, 13426, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59496, 13426, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59497, 13426, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59498, 13426, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59499, 13427, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59500, 13427, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59501, 13427, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59502, 13427, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59503, 13427, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59504, 13428, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59505, 13428, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59506, 13428, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59507, 13428, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59508, 13428, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59509, 13428, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59510, 13429, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59511, 13429, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59512, 13429, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59513, 13429, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59514, 13429, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59515, 13429, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59516, 13430, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59517, 13430, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59518, 13430, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59519, 13430, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59520, 13430, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59521, 13430, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59522, 13431, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59523, 13431, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59524, 13431, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59525, 13431, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59526, 13431, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59527, 13432, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59528, 13432, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59657, 13454, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59660, 13454, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59530, 13432, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59531, 13432, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59532, 13432, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59533, 13433, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59534, 13433, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59535, 13433, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59536, 13433, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59537, 13433, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59538, 13433, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59539, 13434, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59540, 13434, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59541, 13434, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59542, 13434, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59543, 13434, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59544, 13434, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59545, 13435, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59546, 13435, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59547, 13435, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59548, 13435, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59549, 13435, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59550, 13435, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59551, 13436, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59552, 13436, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59553, 13436, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59554, 13436, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59555, 13436, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59556, 13436, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59557, 13437, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59558, 13437, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59559, 13437, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59560, 13437, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59561, 13437, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59562, 13437, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59563, 13438, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59564, 13438, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59565, 13438, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59566, 13438, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59567, 13438, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59568, 13438, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59569, 13439, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59570, 13439, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59571, 13439, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59572, 13439, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59573, 13439, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59574, 13439, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59575, 13440, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59576, 13440, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59577, 13440, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59578, 13440, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59579, 13440, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59580, 13440, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59581, 13441, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59582, 13441, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60038, 13521, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59583, 13441, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59584, 13441, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59585, 13441, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59586, 13441, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59587, 13442, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59588, 13442, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59589, 13442, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59590, 13442, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59591, 13442, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59592, 13442, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59593, 13443, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59594, 13443, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59595, 13443, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59596, 13443, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59597, 13443, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59598, 13443, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59599, 13444, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59600, 13444, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59601, 13444, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59602, 13444, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59603, 13444, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59604, 13445, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59605, 13445, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59606, 13445, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59607, 13445, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59608, 13445, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59609, 13445, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59610, 13446, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59611, 13446, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59612, 13446, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59613, 13446, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59614, 13446, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59615, 13446, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59616, 13447, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59617, 13447, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59618, 13447, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59619, 13447, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59620, 13447, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59621, 13447, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59622, 13448, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59623, 13448, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59624, 13448, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59625, 13448, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59626, 13448, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59627, 13449, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59628, 13449, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59629, 13449, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59630, 13449, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59631, 13449, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59632, 13449, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59633, 13450, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59634, 13450, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59635, 13450, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59636, 13450, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59637, 13450, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59638, 13451, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59639, 13451, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59640, 13451, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59641, 13451, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59642, 13451, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59643, 13451, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59644, 13452, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59645, 13452, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59646, 13452, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59647, 13452, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59648, 13452, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59649, 13452, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59650, 13453, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59651, 13453, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59652, 13453, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59653, 13453, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59654, 13453, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59655, 13453, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59656, 13454, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59658, 13454, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59659, 13454, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59661, 13455, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59662, 13455, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59663, 13455, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59664, 13455, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59665, 13455, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59666, 13455, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59667, 13456, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59668, 13456, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59669, 13456, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59670, 13456, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59671, 13456, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59672, 13456, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59673, 13457, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59674, 13457, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59675, 13457, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59676, 13457, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59677, 13457, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59678, 13457, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59679, 13458, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59680, 13458, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59681, 13458, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59682, 13458, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59683, 13458, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59684, 13458, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59685, 13459, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59686, 13459, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59687, 13459, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59688, 13459, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59689, 13459, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59690, 13459, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59691, 13460, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59692, 13460, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59693, 13460, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59694, 13460, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59695, 13460, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59696, 13460, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59697, 13461, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59698, 13461, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59699, 13461, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59700, 13461, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59701, 13461, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59702, 13461, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59703, 13462, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59704, 13462, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59705, 13462, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59706, 13462, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59707, 13462, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59708, 13462, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59709, 13463, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59710, 13463, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59711, 13463, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59712, 13463, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60039, 13521, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59713, 13463, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59714, 13463, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59715, 13464, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59716, 13464, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59717, 13464, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59718, 13464, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59719, 13464, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59720, 13464, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59721, 13465, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59722, 13465, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59723, 13465, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59724, 13465, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59725, 13465, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59726, 13465, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59727, 13466, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59728, 13466, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59729, 13466, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59730, 13466, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59731, 13466, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59732, 13466, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59733, 13467, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59734, 13467, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59735, 13467, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59736, 13467, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59737, 13467, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59738, 13468, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59739, 13468, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59740, 13468, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59741, 13468, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59742, 13468, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59743, 13468, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59744, 13469, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59745, 13469, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59746, 13469, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59747, 13469, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59748, 13469, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59749, 13469, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59750, 13470, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59751, 13470, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59752, 13470, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59753, 13470, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59754, 13470, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59755, 13470, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59756, 13471, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59757, 13471, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59758, 13471, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59759, 13471, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59760, 13471, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59761, 13472, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59762, 13472, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59763, 13472, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59764, 13472, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59765, 13472, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59766, 13472, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59767, 13473, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59768, 13473, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59769, 13473, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59770, 13473, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59771, 13473, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59772, 13474, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59773, 13474, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59774, 13474, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59775, 13474, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59776, 13474, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59777, 13474, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59778, 13475, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59779, 13475, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59780, 13475, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59781, 13475, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59782, 13475, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59783, 13475, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59784, 13476, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59785, 13476, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59786, 13476, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59787, 13476, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59788, 13476, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59789, 13476, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59790, 13477, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59791, 13477, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59792, 13477, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59793, 13477, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59794, 13477, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59795, 13478, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59796, 13478, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59797, 13478, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59798, 13478, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59799, 13478, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59800, 13478, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59801, 13479, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59802, 13479, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59803, 13479, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59804, 13479, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59805, 13479, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59806, 13479, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59807, 13480, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59808, 13480, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59809, 13480, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59810, 13480, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59811, 13480, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59812, 13480, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59813, 13481, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59814, 13481, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59815, 13481, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59816, 13481, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59817, 13481, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59818, 13481, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59819, 13482, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59820, 13482, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59821, 13482, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59822, 13482, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59823, 13482, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59824, 13482, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59825, 13483, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59826, 13483, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59827, 13483, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59828, 13483, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59829, 13483, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59830, 13483, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59831, 13484, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59832, 13484, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59833, 13484, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59834, 13484, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59835, 13484, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59836, 13484, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59837, 13485, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59838, 13485, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59839, 13485, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59840, 13485, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59914, 13498, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59841, 13485, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59918, 13499, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59842, 13485, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59843, 13486, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59844, 13486, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59845, 13486, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59846, 13486, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59847, 13486, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59848, 13486, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59849, 13487, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59850, 13487, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59851, 13487, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59852, 13487, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59853, 13487, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59854, 13487, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59855, 13488, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59856, 13488, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59857, 13488, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59858, 13488, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59859, 13488, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59860, 13488, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59861, 13489, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59862, 13489, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59863, 13489, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59864, 13489, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59865, 13489, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59866, 13489, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59867, 13490, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59868, 13490, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59869, 13490, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59870, 13490, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59871, 13490, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59872, 13491, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59873, 13491, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59874, 13491, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59875, 13491, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59876, 13491, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59877, 13491, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59878, 13492, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59879, 13492, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59880, 13492, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59881, 13492, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59882, 13492, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59883, 13492, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59884, 13493, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59885, 13493, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59886, 13493, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59887, 13493, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59888, 13493, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59889, 13493, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59890, 13494, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59891, 13494, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59892, 13494, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59893, 13494, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59894, 13494, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59895, 13495, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59896, 13495, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59897, 13495, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59898, 13495, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59899, 13495, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59900, 13495, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59901, 13496, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59902, 13496, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59903, 13496, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59904, 13496, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59905, 13496, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59906, 13497, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59907, 13497, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59908, 13497, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59909, 13497, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59910, 13497, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59911, 13497, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59912, 13498, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59913, 13498, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60040, 13521, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59917, 13498, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59919, 13499, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59920, 13499, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59921, 13499, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59922, 13499, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59923, 13499, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59924, 13500, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59925, 13500, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59926, 13500, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59927, 13500, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59928, 13500, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59929, 13501, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59930, 13501, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59931, 13501, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59932, 13501, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59933, 13501, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59934, 13501, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59935, 13502, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59936, 13502, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59937, 13502, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59938, 13502, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59939, 13502, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59940, 13502, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59941, 13503, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59942, 13503, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59943, 13503, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59944, 13503, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59945, 13503, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59946, 13503, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59947, 13504, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59948, 13504, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59949, 13504, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59950, 13504, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59951, 13504, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59952, 13504, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59953, 13505, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59954, 13505, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59955, 13505, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59956, 13505, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59957, 13505, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59958, 13505, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59959, 13506, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59960, 13506, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59961, 13506, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59962, 13506, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59963, 13506, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59964, 13506, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59965, 13507, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59966, 13507, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59967, 13507, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59968, 13507, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59969, 13507, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59970, 13507, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59971, 13508, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59972, 13508, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59973, 13508, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59974, 13508, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59975, 13508, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59976, 13508, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59977, 13509, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59978, 13509, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59979, 13509, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59980, 13509, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59981, 13509, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59982, 13509, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59983, 13510, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59984, 13510, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59985, 13510, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59986, 13510, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59987, 13510, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59988, 13510, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59989, 13511, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59990, 13511, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59991, 13511, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59992, 13511, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59993, 13511, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59994, 13511, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59995, 13512, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59996, 13512, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59997, 13512, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59998, 13512, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (59999, 13512, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60000, 13512, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60001, 13513, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60002, 13513, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60003, 13513, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60004, 13513, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60005, 13513, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60006, 13514, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60007, 13514, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60008, 13514, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60009, 13514, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60010, 13514, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60011, 13514, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60012, 13515, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60013, 13515, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60014, 13515, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60015, 13515, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60016, 13515, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60017, 13515, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60018, 13516, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60019, 13516, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60020, 13516, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60021, 13516, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60022, 13517, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60023, 13517, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60024, 13517, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60025, 13517, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60026, 13518, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60027, 13518, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60028, 13518, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60029, 13518, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60030, 13519, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60031, 13519, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60032, 13519, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60033, 13519, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60034, 13520, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60035, 13520, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60036, 13520, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60037, 13520, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60042, 13522, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60043, 13522, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60045, 13522, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60046, 13523, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60047, 13523, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60048, 13523, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60049, 13524, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60050, 13524, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60051, 13524, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60052, 13524, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60053, 13525, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60054, 13525, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60055, 13525, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60056, 13525, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60057, 13526, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60058, 13526, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60059, 13526, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60060, 13526, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60061, 13526, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60062, 13527, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60063, 13527, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60064, 13527, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60065, 13527, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60066, 13528, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60067, 13528, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60068, 13528, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60069, 13528, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60070, 13529, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60071, 13529, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60072, 13529, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60073, 13529, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60074, 13529, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60075, 13529, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60076, 13530, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60077, 13530, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60078, 13530, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60079, 13530, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60080, 13530, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60081, 13530, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60082, 13531, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60083, 13531, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60084, 13531, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60085, 13531, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60086, 13531, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60087, 13531, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60088, 13532, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60089, 13532, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60090, 13532, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60091, 13532, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60092, 13532, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60093, 13532, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60094, 13533, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60095, 13533, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60096, 13533, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60097, 13533, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60098, 13533, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60099, 13533, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60100, 13534, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60101, 13534, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60102, 13534, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60103, 13534, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60104, 13534, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60105, 13534, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60106, 13535, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60107, 13535, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60108, 13535, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60109, 13535, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60110, 13535, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60111, 13535, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60112, 13536, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60113, 13536, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60114, 13536, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60115, 13536, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60116, 13536, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60117, 13536, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60118, 13537, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60119, 13537, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60120, 13537, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60121, 13537, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60127, 13538, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60128, 13539, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60129, 13539, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60130, 13539, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60131, 13539, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60132, 13539, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60133, 13539, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60134, 13540, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60135, 13540, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60136, 13540, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60137, 13540, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60138, 13540, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60139, 13541, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60140, 13541, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60141, 13541, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60142, 13541, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60143, 13541, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60144, 13541, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60145, 13542, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60146, 13542, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60147, 13542, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60148, 13542, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60149, 13542, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60150, 13543, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60151, 13543, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60152, 13543, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60153, 13543, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60154, 13543, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60155, 13543, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60156, 13544, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60157, 13544, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60158, 13544, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60159, 13544, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60160, 13544, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60161, 13544, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60162, 13545, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60163, 13545, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60164, 13545, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60165, 13545, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60166, 13545, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60167, 13545, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60168, 13546, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60169, 13546, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60170, 13546, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60171, 13546, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60172, 13546, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60173, 13547, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60174, 13547, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60175, 13547, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60176, 13547, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60177, 13547, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60178, 13547, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60179, 13548, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60180, 13548, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60181, 13548, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60182, 13548, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60183, 13548, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60184, 13548, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60185, 13549, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60186, 13549, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60187, 13549, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60188, 13549, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60189, 13549, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60190, 13549, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60191, 13550, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60192, 13550, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60193, 13550, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60194, 13550, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60195, 13550, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60196, 13550, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60197, 13551, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60198, 13551, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60199, 13551, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60200, 13551, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60201, 13551, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60202, 13551, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60203, 13552, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60204, 13552, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60205, 13552, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60206, 13552, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60207, 13552, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60208, 13552, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60209, 13553, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60210, 13553, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60211, 13553, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60212, 13553, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60213, 13553, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60214, 13553, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60215, 13554, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60216, 13554, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60217, 13554, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60218, 13554, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60219, 13554, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60220, 13554, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60221, 13555, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60222, 13555, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60223, 13555, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60224, 13555, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60225, 13555, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60226, 13555, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60227, 13556, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60228, 13556, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60229, 13556, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60230, 13556, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60231, 13556, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60232, 13556, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60233, 13557, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60234, 13557, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60235, 13557, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60236, 13557, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60237, 13557, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60238, 13557, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60239, 13558, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60240, 13558, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60241, 13558, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60242, 13558, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60243, 13558, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60244, 13558, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60245, 13559, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60246, 13559, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60247, 13559, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60248, 13559, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60249, 13559, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60250, 13560, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60251, 13560, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60252, 13560, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60253, 13560, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60254, 13560, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60255, 13560, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60256, 13561, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60257, 13561, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60258, 13561, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60259, 13561, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60260, 13561, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60261, 13561, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60262, 13562, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60263, 13562, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60264, 13562, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60265, 13562, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60266, 13563, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60267, 13563, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60268, 13563, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60269, 13563, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60270, 13564, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60271, 13564, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60272, 13564, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60273, 13564, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60274, 13565, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60275, 13565, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60276, 13565, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60277, 13565, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60278, 13566, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60279, 13566, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60280, 13566, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60281, 13566, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60282, 13567, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60283, 13567, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60284, 13567, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60285, 13567, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60286, 13568, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60287, 13568, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60288, 13568, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60289, 13568, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60290, 13569, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60291, 13569, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60292, 13569, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60293, 13570, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60294, 13570, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60295, 13570, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60296, 13570, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60297, 13571, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60298, 13571, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60299, 13571, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60300, 13571, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60301, 13572, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60302, 13572, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60303, 13572, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60304, 13572, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60305, 13572, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60306, 13573, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60307, 13573, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60308, 13573, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60309, 13573, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60310, 13574, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60311, 13574, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60312, 13574, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60313, 13574, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60314, 13575, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60315, 13575, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60316, 13575, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60317, 13575, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60318, 13575, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60319, 13575, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60320, 13576, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60321, 13576, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60322, 13576, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60323, 13576, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60324, 13576, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60325, 13576, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60326, 13577, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60327, 13577, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60328, 13577, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60329, 13577, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60330, 13577, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60331, 13577, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60332, 13578, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60333, 13578, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60334, 13578, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60335, 13578, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60336, 13578, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60337, 13578, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60338, 13579, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60339, 13579, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60340, 13579, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60341, 13579, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60342, 13579, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60343, 13579, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60344, 13580, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60345, 13580, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60346, 13580, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60347, 13580, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60348, 13580, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60349, 13580, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60350, 13581, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60351, 13581, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60352, 13581, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60353, 13581, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60354, 13581, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60355, 13581, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60356, 13582, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60357, 13582, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60358, 13582, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60359, 13582, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60360, 13582, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60361, 13582, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60362, 13583, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60363, 13583, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60364, 13583, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60365, 13583, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60366, 13584, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60367, 13584, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60368, 13584, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60369, 13584, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60370, 13584, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60371, 13584, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60372, 13585, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60373, 13585, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60374, 13585, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60375, 13585, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60376, 13585, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60377, 13585, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60378, 13586, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60379, 13586, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60380, 13586, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60381, 13586, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60382, 13586, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60383, 13587, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60384, 13587, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60385, 13587, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60386, 13587, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60387, 13587, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60388, 13587, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60389, 13588, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60390, 13588, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60391, 13588, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60392, 13588, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60393, 13588, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60394, 13589, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60395, 13589, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60396, 13589, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60397, 13589, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60398, 13589, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60399, 13589, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60400, 13590, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60401, 13590, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60402, 13590, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60403, 13590, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60404, 13590, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60405, 13590, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60406, 13591, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60407, 13591, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60408, 13591, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60409, 13591, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60410, 13591, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60411, 13591, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60412, 13592, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60413, 13592, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60414, 13592, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60415, 13592, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60416, 13592, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60417, 13593, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60418, 13593, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60419, 13593, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60420, 13593, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60421, 13593, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60422, 13593, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60423, 13594, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60424, 13594, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60425, 13594, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60426, 13594, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60427, 13594, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60428, 13594, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60429, 13595, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60430, 13595, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60431, 13595, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60432, 13595, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60433, 13595, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60434, 13595, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60435, 13596, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60436, 13596, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60437, 13596, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60438, 13596, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60439, 13596, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60440, 13596, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60441, 13597, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60442, 13597, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60443, 13597, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60444, 13597, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60445, 13597, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60446, 13597, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60447, 13598, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60448, 13598, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60449, 13598, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60450, 13598, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60451, 13598, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60452, 13598, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60453, 13599, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60454, 13599, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60455, 13599, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60456, 13599, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60457, 13599, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60458, 13599, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60459, 13600, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60460, 13600, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60461, 13600, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60462, 13600, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60463, 13600, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60464, 13600, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60465, 13601, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60466, 13601, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60467, 13601, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60468, 13601, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60469, 13601, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60470, 13601, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60471, 13602, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60472, 13602, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60473, 13602, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60474, 13602, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60475, 13602, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60476, 13602, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60477, 13603, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60478, 13603, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60479, 13603, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60480, 13603, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60481, 13603, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60482, 13603, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60483, 13604, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60484, 13604, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60485, 13604, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60486, 13604, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60487, 13604, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60488, 13604, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60489, 13605, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60490, 13605, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60491, 13605, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60492, 13605, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60493, 13605, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60494, 13606, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60495, 13606, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60496, 13606, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60497, 13606, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60498, 13606, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60499, 13606, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60500, 13607, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60501, 13607, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60502, 13607, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60503, 13607, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60504, 13607, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60505, 13607, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60506, 13608, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60507, 13608, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60508, 13608, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60509, 13608, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60510, 13608, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60511, 13608, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60512, 13609, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60513, 13609, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60514, 13609, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60515, 13609, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60516, 13609, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60517, 13610, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60518, 13610, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60519, 13610, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60520, 13610, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60521, 13610, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60522, 13610, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60523, 13611, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60524, 13611, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60525, 13611, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60526, 13611, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60527, 13611, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60528, 13612, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60529, 13612, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60530, 13612, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60531, 13612, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60532, 13612, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60533, 13612, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60534, 13613, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60535, 13613, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60536, 13613, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60537, 13613, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60538, 13613, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60539, 13613, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60668, 13636, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60540, 13614, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60541, 13614, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60542, 13614, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60543, 13614, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60544, 13614, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60545, 13614, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60546, 13615, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60547, 13615, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60548, 13615, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60549, 13615, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60550, 13615, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60551, 13616, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60552, 13616, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60553, 13616, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60554, 13616, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60555, 13616, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60556, 13616, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60557, 13617, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60558, 13617, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60559, 13617, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60560, 13617, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60561, 13617, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60562, 13617, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60563, 13618, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60564, 13618, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60565, 13618, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60566, 13618, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60567, 13618, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60568, 13618, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60569, 13619, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60570, 13619, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60571, 13619, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60572, 13619, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60573, 13619, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60574, 13619, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60575, 13620, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60576, 13620, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60577, 13620, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60578, 13620, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60579, 13620, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60580, 13620, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60581, 13621, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60582, 13621, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60583, 13621, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60584, 13621, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60585, 13621, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60586, 13621, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60587, 13622, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60588, 13622, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60589, 13622, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60590, 13622, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60591, 13622, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60592, 13622, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60593, 13623, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60594, 13623, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60667, 13635, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60595, 13623, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60596, 13623, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60597, 13623, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60598, 13623, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60599, 13624, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60600, 13624, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60601, 13624, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60602, 13624, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60603, 13624, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60604, 13624, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60605, 13625, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60606, 13625, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60607, 13625, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60608, 13625, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60609, 13625, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60610, 13625, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60611, 13626, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60612, 13626, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60613, 13626, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60614, 13626, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60615, 13626, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60616, 13626, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60617, 13627, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60618, 13627, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60619, 13627, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60620, 13627, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60621, 13627, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60622, 13627, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60623, 13628, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60624, 13628, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60625, 13628, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60626, 13628, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60627, 13628, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60628, 13629, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60629, 13629, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60630, 13629, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60631, 13629, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60632, 13629, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60633, 13629, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60634, 13630, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60635, 13630, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60636, 13630, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60637, 13630, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60638, 13630, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60639, 13630, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60640, 13631, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60641, 13631, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60642, 13631, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60643, 13631, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60644, 13631, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60645, 13631, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60646, 13632, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60647, 13632, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60648, 13632, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60649, 13632, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60650, 13632, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60651, 13633, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60652, 13633, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60653, 13633, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60654, 13633, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60655, 13633, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60656, 13633, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60657, 13634, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60658, 13634, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60659, 13634, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60660, 13634, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60661, 13634, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60662, 13635, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60663, 13635, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60664, 13635, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60665, 13635, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60666, 13635, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60669, 13636, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60670, 13636, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60671, 13636, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60672, 13636, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60673, 13636, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60674, 13637, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60675, 13637, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60676, 13637, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60677, 13637, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60678, 13637, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60679, 13637, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60680, 13638, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60681, 13638, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60682, 13638, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60683, 13638, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60684, 13638, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60685, 13639, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60686, 13639, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60687, 13639, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60688, 13639, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60689, 13639, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60690, 13639, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60691, 13640, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60692, 13640, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60693, 13640, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60694, 13640, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60695, 13640, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60696, 13640, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60697, 13641, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60698, 13641, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60699, 13641, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60700, 13641, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60701, 13641, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60702, 13641, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60703, 13642, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60704, 13642, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60705, 13642, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60706, 13642, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60707, 13642, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60708, 13642, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60709, 13643, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60710, 13643, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60711, 13643, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60712, 13643, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60713, 13643, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60714, 13643, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60715, 13644, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60716, 13644, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60717, 13644, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60718, 13644, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60719, 13644, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60720, 13644, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60721, 13645, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60722, 13645, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60723, 13645, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60724, 13645, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60867, 13673, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61220, 13740, 'setdefault(), popitem(), pop(), fromkeys()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60725, 13645, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60726, 13645, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60727, 13646, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60728, 13646, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60729, 13646, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60730, 13646, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60731, 13646, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60732, 13646, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60733, 13647, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60734, 13647, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60735, 13647, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60736, 13647, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60737, 13647, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60738, 13647, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60739, 13648, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60740, 13648, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60741, 13648, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60742, 13648, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60743, 13648, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60744, 13648, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60745, 13649, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60746, 13649, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60747, 13649, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60748, 13649, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60749, 13649, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60750, 13649, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60751, 13650, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60752, 13650, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60753, 13650, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60754, 13650, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60755, 13650, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60756, 13650, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60757, 13651, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60758, 13651, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60759, 13651, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60760, 13651, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60761, 13651, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60762, 13652, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60763, 13652, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60764, 13652, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60765, 13652, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60766, 13652, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60767, 13652, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60768, 13653, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60769, 13653, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60770, 13653, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60771, 13653, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60772, 13653, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60773, 13653, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60774, 13654, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60775, 13654, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60776, 13654, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60777, 13654, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60778, 13655, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60779, 13655, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60780, 13655, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60781, 13655, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60782, 13656, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60783, 13656, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60784, 13656, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60785, 13656, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60786, 13657, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60787, 13657, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60788, 13657, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60789, 13657, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60790, 13658, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60791, 13658, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60792, 13658, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60793, 13658, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60794, 13659, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60795, 13659, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60796, 13659, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60797, 13659, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60798, 13660, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60799, 13660, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60800, 13660, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60801, 13660, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60802, 13661, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60803, 13661, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60804, 13661, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60805, 13662, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60806, 13662, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60807, 13662, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60808, 13662, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60809, 13663, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60810, 13663, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60811, 13663, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60812, 13663, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60813, 13664, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60814, 13664, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60815, 13664, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60816, 13664, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60817, 13664, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60818, 13665, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60819, 13665, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60820, 13665, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60821, 13665, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60822, 13666, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60823, 13666, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60824, 13666, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60825, 13666, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60826, 13667, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60827, 13667, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60828, 13667, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60829, 13667, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60830, 13667, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60831, 13667, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60832, 13668, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60833, 13668, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60834, 13668, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60835, 13668, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60836, 13668, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60837, 13668, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60838, 13669, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60839, 13669, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60840, 13669, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60841, 13669, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60842, 13669, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60843, 13669, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60844, 13670, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60845, 13670, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60846, 13670, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60847, 13670, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60848, 13670, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60849, 13670, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60850, 13671, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60851, 13671, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60852, 13671, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60853, 13671, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60854, 13671, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60855, 13671, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60856, 13672, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60857, 13672, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60858, 13672, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60859, 13672, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60860, 13672, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60861, 13672, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60862, 13673, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60863, 13673, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60864, 13673, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60865, 13673, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60866, 13673, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60868, 13674, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60869, 13674, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60870, 13674, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60871, 13674, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60872, 13674, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60873, 13674, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60874, 13675, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60875, 13675, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60876, 13675, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60877, 13675, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60878, 13676, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60879, 13676, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60880, 13676, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60881, 13676, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60882, 13676, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60883, 13676, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60884, 13677, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60885, 13677, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60886, 13677, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60887, 13677, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60888, 13677, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60889, 13677, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60890, 13678, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60891, 13678, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60892, 13678, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60893, 13678, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60894, 13678, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60895, 13679, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60896, 13679, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60897, 13679, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60898, 13679, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60899, 13679, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60900, 13679, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60901, 13680, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60902, 13680, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60903, 13680, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60904, 13680, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60905, 13680, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60906, 13681, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60907, 13681, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60908, 13681, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60909, 13681, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60910, 13681, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60911, 13681, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60912, 13682, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60913, 13682, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60914, 13682, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60915, 13682, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60916, 13682, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60917, 13682, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60918, 13683, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60919, 13683, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60920, 13683, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60921, 13683, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60922, 13683, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60923, 13683, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60924, 13684, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60925, 13684, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60926, 13684, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60927, 13684, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60928, 13684, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60929, 13685, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60930, 13685, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60931, 13685, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60932, 13685, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60933, 13685, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60934, 13685, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60935, 13686, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60936, 13686, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60937, 13686, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60938, 13686, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60939, 13686, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60940, 13686, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60941, 13687, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60942, 13687, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60943, 13687, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60944, 13687, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60945, 13687, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60946, 13687, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60947, 13688, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60948, 13688, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60949, 13688, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60950, 13688, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60951, 13688, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60952, 13688, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60953, 13689, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60954, 13689, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60955, 13689, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60956, 13689, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60957, 13689, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60958, 13689, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60959, 13690, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60960, 13690, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60961, 13690, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60962, 13690, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60963, 13690, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60964, 13690, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60965, 13691, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60966, 13691, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60967, 13691, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60968, 13691, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60969, 13691, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60970, 13691, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60971, 13692, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60972, 13692, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60973, 13692, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60974, 13692, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60975, 13692, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60976, 13692, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60977, 13693, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60978, 13693, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60979, 13693, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60980, 13693, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60981, 13693, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60982, 13693, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60983, 13694, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60984, 13694, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60985, 13694, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60986, 13694, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60987, 13694, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60988, 13694, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60989, 13695, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60990, 13695, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60991, 13695, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60992, 13695, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60993, 13695, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60994, 13695, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60995, 13696, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60996, 13696, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60997, 13696, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60998, 13696, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (60999, 13696, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61000, 13696, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61001, 13697, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61002, 13697, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61003, 13697, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61004, 13697, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61005, 13697, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61006, 13698, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61007, 13698, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61008, 13698, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61009, 13698, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61010, 13698, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61011, 13698, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61012, 13699, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61013, 13699, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61014, 13699, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61015, 13699, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61016, 13699, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61017, 13699, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61018, 13700, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61019, 13700, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61020, 13700, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61021, 13700, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61022, 13700, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61023, 13700, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61024, 13701, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61025, 13701, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61026, 13701, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61027, 13701, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61028, 13701, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61029, 13702, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61030, 13702, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61031, 13702, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61032, 13702, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61033, 13702, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61034, 13702, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61035, 13703, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61036, 13703, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61037, 13703, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61038, 13703, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61039, 13703, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61040, 13704, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61041, 13704, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61042, 13704, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61043, 13704, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61044, 13704, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61045, 13704, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61046, 13705, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61047, 13705, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61048, 13705, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61049, 13705, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61050, 13705, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61051, 13705, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61052, 13706, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61053, 13706, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61054, 13706, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61055, 13706, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61056, 13706, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61057, 13706, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61058, 13707, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61059, 13707, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61060, 13707, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61061, 13707, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61062, 13707, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61063, 13708, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61064, 13708, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61065, 13708, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61066, 13708, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61067, 13708, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61068, 13708, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61069, 13709, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61070, 13709, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61071, 13709, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61072, 13709, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61130, 13719, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61073, 13709, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61074, 13709, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61075, 13710, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61076, 13710, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61077, 13710, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61078, 13710, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61079, 13710, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61080, 13710, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61081, 13711, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61082, 13711, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61083, 13711, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61084, 13711, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61085, 13711, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61086, 13711, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61087, 13712, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61088, 13712, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61089, 13712, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61090, 13712, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61091, 13712, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61092, 13712, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61093, 13713, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61094, 13713, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61095, 13713, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61096, 13713, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61097, 13713, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61098, 13713, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61099, 13714, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61100, 13714, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61101, 13714, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61102, 13714, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61103, 13714, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61104, 13714, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61105, 13715, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61106, 13715, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61107, 13715, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61108, 13715, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61109, 13715, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61110, 13715, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61111, 13716, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61112, 13716, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61113, 13716, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61114, 13716, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61115, 13716, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61116, 13716, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61117, 13717, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61118, 13717, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61119, 13717, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61120, 13717, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61121, 13717, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61122, 13717, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61123, 13718, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61124, 13718, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61125, 13718, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61126, 13718, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61127, 13718, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61128, 13718, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61129, 13719, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61137, 13720, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61138, 13720, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61139, 13720, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61140, 13721, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61141, 13721, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61142, 13721, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61143, 13721, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61144, 13721, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61145, 13721, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61146, 13722, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61147, 13722, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61148, 13722, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61149, 13722, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61150, 13722, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61151, 13722, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61152, 13723, 'Тrun python file.py', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61153, 13723, 'python exec file.py', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61154, 13723, 'python file.py exec', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61155, 13723, 'python file.py', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61156, 13724, 'response.setHeader({''Some-Header'': ''Example''})', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61157, 13724, 'response.headers.add[''Some-Header''] = ''Example''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61158, 13724, 'return Response({''headers'': {''Some-Header'': ''Example''}})', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61159, 13724, 'response.headers[''Some-Header''] = ''Example''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61160, 13725, '1, 3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61161, 13725, 'Ошибку, так как i не присвоена', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61162, 13725, '1, 3, 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61163, 13725, 'Ошибку из-за неверного вывода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61164, 13725, '0, 2, 4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61165, 13726, 'Django ORM', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61166, 13726, 'GORM', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61167, 13726, 'SQLALchemy', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61168, 13726, 'ODB', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61169, 13727, 'Не более 23', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61170, 13727, 'Не более 3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61171, 13727, 'Не более 5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61172, 13727, 'Неограниченное количество', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61173, 13727, 'Не более 10', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61174, 13728, 'var a: int = 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61175, 13728, 'Integer a = 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61176, 13728, 'a = 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61177, 13728, 'a = 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61178, 13729, 'session.query(User).get(1)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61179, 13729, 'session.get(User).id(1)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61180, 13729, 'session.query(1).get(User)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61181, 13729, 'session.select(User).where.id(1)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61182, 13730, 'dict_object.add(key=''Example'')', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61183, 13730, 'dict_object.append({''key'': ''Example''})', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61184, 13730, 'dict_object[''key''] = ''Example''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61185, 13730, 'dict_object.key = ''Example'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61186, 13731, 'Для открытия и работы с файлами необходимо устанавливать отдельный модуль', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61187, 13731, 'Для открытия файлов существует встроенный метод openfile()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61188, 13731, 'Для открытия есть встроенный метод open()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61189, 13731, 'Для открытия и закрытия файлов используется модуль os', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61190, 13732, 'list_object.delete(index)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61191, 13732, 'list_object.remove(index)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61192, 13732, 'delete list_object[index]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61193, 13732, 'list_object[index] = None', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61194, 13733, 'Реализовать авторизацию через LoginManager (Flask-Login) и использовать current_user', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61195, 13733, 'Использовать встроенную функцию current_user', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61196, 13733, 'Использовать модуль для создания форм WTForms', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61197, 13733, 'Импортировать объект User''a из Werkzeug', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61198, 13734, 'list(filter(None, list_object))', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61199, 13734, 'for element in a:
if not element:
delete element', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61200, 13734, 'list_object.remove(None)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61201, 13734, 'list_object = [element for element in list_object if not element]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61202, 13735, 'Для создания сессии с базой данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61203, 13735, 'Для создания сессии между серверами', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61204, 13735, 'Для создания и хранения данных в сессии клиента', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61205, 13735, 'Для создания сессии на время соединения с сервером', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61206, 13736, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61207, 13736, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61208, 13736, '[False, True, False]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61209, 13737, '“”, ‘’, [], {}, None, 0, 0.0, False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61210, 13737, '“1”, ‘1’, [1], {“a”: 1}, 1, 1.0, True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61211, 13737, 'True, None', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61212, 13737, 'ни один из вышеперечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61213, 13738, 'ячейку памяти в которой хранится переменная', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61214, 13738, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61215, 13738, 'hash от 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61216, 13739, '[1, 2]  + [2,3]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61217, 13739, '{1, 2} + {2, 3}', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61218, 13739, '(1) + (2)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61221, 13740, 'update(), remove(), values(), copy()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61222, 13740, 'clear(), get(), push(), index()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61223, 13740, 'get(), set(), keys(), items()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61224, 13741, 'Для исправления ошибок в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61225, 13741, 'Для оптимизации в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61226, 13741, 'Для создания ошибок в коде', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61227, 13741, 'Для обработки ошибок в коде', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61228, 13742, 'set', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61229, 13742, 'array', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61230, 13742, 'list', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61231, 13742, 'bytes', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61232, 13742, 'map', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61233, 13742, 'frozenset', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61234, 13743, 'append(), extend(), pop()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61235, 13743, 'insert(), add(), delete()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61236, 13743, 'update(), clean(). pop()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61237, 13743, 'error(), __str__(), __del__()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61238, 13744, '0 // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61239, 13744, 'True // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61240, 13744, 'False // 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61241, 13744, '1 // False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61242, 13745, 'Для создания глобального класса', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61243, 13745, 'Для создания абстрактного класса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61244, 13745, 'Для создания любого класса в Python (базовый класс)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61245, 13745, 'Для создания Singleton-классов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61246, 13746, 'Список (list)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61247, 13746, 'Множество (set)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61248, 13746, 'Кортеж (tuple)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61249, 13746, 'Словарь (dict)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61250, 13747, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61251, 13747, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61252, 13747, '3', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61253, 13747, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61254, 13748, 'Чтобы пропустить выполнение всего цикла', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61255, 13748, 'Чтобы вернуть управление циклом и код ниже не выполнился в текущей итерации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61256, 13748, 'Чтобы остановить выполнение цикла и вызвать Exception', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61257, 13748, 'Чтобы забрать управление циклом и код ниже обязательно выполнился в текущей итерации', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61258, 13749, 'st', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61259, 13749, 'sto', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61260, 13749, 'to', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61261, 13749, 'Syntax Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61262, 13750, 'Оператор-заглушка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61263, 13750, 'Синоним оператора "continue" (пропустить)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61264, 13750, 'Данная оператор не используется в новых версиях Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61265, 13751, '2.0', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61266, 13751, '2.25', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61267, 13751, '9.0', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61268, 13751, '20.25', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61269, 13751, '21', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61270, 13752, '{''key'': ''value''} | {''key2'': ''value2''}', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61271, 13752, '[1, 2] + [3, 4]', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61272, 13752, '[1, 2] - [3, 4]', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61273, 13752, '[1, 2].extend([3, 4])', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61274, 13753, 'Syntax Error', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61275, 13753, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61276, 13753, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61277, 13753, '6', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61278, 13753, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61279, 13754, 'Чтобы экономить время разработки', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61280, 13754, 'Чтобы экономить ресурсы системы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61281, 13754, 'Чтобы оптимизировать скорость выполнения python-кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61282, 13754, 'Чтобы кешировать исполняемый код и удалять его, если тот не используется', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61283, 13754, 'Чтобы удалять неиспользуемые объекты в памяти', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61284, 13755, 'Определяет список и инициализирует его.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61285, 13755, 'Определяет функцию, которая ничего не делает.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61286, 13755, 'Определяет функцию, которая передает параметры.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61287, 13755, 'Определяет пустой класс.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61288, 13756, 'Набор сетевых библиотек для парсинга', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61289, 13756, 'Набор библиотек для создания мультипоточной обработки данных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61290, 13756, 'Конструктор сайтов на Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61291, 13756, 'Набор готовых модулей/функций для ускорения создания веб-сайта', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61292, 13757, 'user', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61293, 13757, 'bill', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61294, 13757, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61295, 13757, 'hillary', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61296, 13757, 'TypeError', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61297, 13758, 'Компилятор программ на Python', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61298, 13758, 'Шаблонизатор', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61299, 13758, 'Модуль для организации чат сервер/клиент', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61300, 13758, 'Инструмент отладки кода', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61301, 13759, '7', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61302, 13759, '12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61303, 13759, '24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61304, 13759, '36', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61305, 13759, '48', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61306, 13760, 'pip setup flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61307, 13760, 'pip i flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61308, 13760, 'pip freeze flask', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61309, 13760, 'pip install flask', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61310, 13761, 'Использовать метод cin()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61311, 13761, 'Использовать метод input()', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61312, 13761, 'Использовать метод readLine()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61313, 13761, 'Использовать метод get()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61314, 13761, 'Использовать метод read()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61315, 13762, 'form = request.form', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61316, 13762, 'form = response.form()', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61317, 13762, 'form = getattr(request, ''post_body'')', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61318, 13762, 'form = response.args', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61319, 13763, 'Time', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61320, 13763, 'time', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61321, 13763, 'localtime', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61322, 13763, 'clock', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61323, 13764, 'out', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61324, 13764, 'log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61325, 13764, 'write', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61326, 13764, 'print', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61327, 13765, 'return redirect("https://www.test.com", code=302)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61328, 13765, 'return abort("https://www.test.com", code=302)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61329, 13765, 'return flask.jsonify(status_code=400, redirect=True)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61330, 13765, 'return request.redirect("https://www.test.com", code=302)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61331, 13766, 'Модуль для описания и валидации ответов (response)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61332, 13766, 'Модульные приложения внутри глобального приложения во Flask''e', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61333, 13766, 'Валидатор форм (замена WTForms)', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61334, 13766, 'HTML-шаблонизатор', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61335, 13767, 'Hi, ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61336, 13767, 'Hi, name', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61337, 13767, 'Hi, John', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61338, 13767, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61339, 13768, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61340, 13768, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61341, 13768, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61342, 13768, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61343, 13768, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61344, 13768, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61345, 13769, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61346, 13769, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61347, 13769, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61348, 13769, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61349, 13769, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61350, 13770, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61351, 13770, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61352, 13770, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61353, 13770, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61354, 13770, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61355, 13770, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61356, 13771, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61357, 13771, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61358, 13771, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61359, 13771, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61360, 13771, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61361, 13772, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61362, 13772, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61363, 13772, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61364, 13772, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61365, 13772, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61366, 13772, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61367, 13773, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61368, 13773, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61369, 13773, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61370, 13773, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61371, 13773, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61372, 13773, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61373, 13774, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61374, 13774, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61375, 13774, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61376, 13774, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61377, 13774, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61378, 13774, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61379, 13775, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61380, 13775, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61381, 13775, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61382, 13775, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61383, 13775, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61384, 13776, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61385, 13776, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61386, 13776, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61387, 13776, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61388, 13776, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61389, 13776, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61444, 13786, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61445, 13786, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61390, 13777, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61391, 13777, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61392, 13777, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61393, 13777, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61394, 13777, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61395, 13777, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61396, 13778, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61397, 13778, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61398, 13778, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61399, 13778, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61400, 13778, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61401, 13778, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61402, 13779, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61403, 13779, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61404, 13779, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61405, 13779, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61406, 13779, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61407, 13779, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61408, 13780, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61409, 13780, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61410, 13780, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61411, 13780, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61412, 13780, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61413, 13780, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61414, 13781, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61415, 13781, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61416, 13781, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61417, 13781, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61418, 13781, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61419, 13781, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61420, 13782, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61421, 13782, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61422, 13782, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61423, 13782, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61424, 13782, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61425, 13782, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61426, 13783, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61427, 13783, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61428, 13783, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61429, 13783, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61430, 13783, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61431, 13783, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61432, 13784, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61433, 13784, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61434, 13784, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61435, 13784, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61436, 13784, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61437, 13784, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61438, 13785, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61439, 13785, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61440, 13785, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61441, 13785, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61442, 13785, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61443, 13785, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61446, 13786, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61447, 13786, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61448, 13786, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61449, 13786, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61450, 13787, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61451, 13787, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61452, 13787, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61453, 13787, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61454, 13787, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61455, 13787, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61456, 13788, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61457, 13788, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61458, 13788, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61459, 13788, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61460, 13788, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61461, 13789, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61462, 13789, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61463, 13789, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61464, 13789, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61465, 13789, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61466, 13789, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61467, 13790, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61468, 13790, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61469, 13790, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61470, 13790, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61471, 13790, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61472, 13790, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61473, 13791, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61474, 13791, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61475, 13791, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61476, 13791, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61477, 13791, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61478, 13791, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61479, 13792, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61480, 13792, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61481, 13792, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61482, 13792, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61483, 13792, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61484, 13793, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61485, 13793, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61486, 13793, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61487, 13793, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61488, 13793, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61489, 13793, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61490, 13794, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61491, 13794, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61492, 13794, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61493, 13794, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61494, 13794, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61495, 13795, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61496, 13795, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61497, 13795, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61498, 13795, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61499, 13795, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61500, 13795, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61501, 13796, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61502, 13796, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61503, 13796, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61504, 13796, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61505, 13796, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61506, 13796, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61507, 13797, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61508, 13797, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61509, 13797, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61510, 13797, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61511, 13797, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61512, 13797, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61513, 13798, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61514, 13798, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61515, 13798, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61516, 13798, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61517, 13798, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61518, 13799, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61519, 13799, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61648, 13821, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61650, 13821, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61520, 13799, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61521, 13799, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61522, 13799, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61523, 13799, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61524, 13800, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61525, 13800, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61526, 13800, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61527, 13800, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61528, 13800, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61529, 13800, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61530, 13801, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61531, 13801, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61532, 13801, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61533, 13801, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61534, 13801, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61535, 13801, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61536, 13802, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61537, 13802, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61538, 13802, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61539, 13802, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61540, 13802, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61541, 13802, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61542, 13803, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61543, 13803, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61544, 13803, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61545, 13803, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61546, 13803, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61547, 13803, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61548, 13804, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61549, 13804, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61550, 13804, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61551, 13804, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61552, 13804, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61553, 13804, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61554, 13805, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61555, 13805, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61556, 13805, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61557, 13805, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61558, 13805, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61559, 13805, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61560, 13806, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61561, 13806, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61562, 13806, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61563, 13806, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61564, 13806, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61565, 13806, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61566, 13807, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61567, 13807, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61568, 13807, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61569, 13807, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61570, 13807, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61571, 13807, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61572, 13808, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61573, 13808, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61574, 13808, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61575, 13808, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61576, 13808, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61577, 13808, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61578, 13809, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61579, 13809, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61580, 13809, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61581, 13809, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61582, 13809, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61583, 13809, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61584, 13810, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61585, 13810, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61586, 13810, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61587, 13810, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61588, 13810, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61589, 13810, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61590, 13811, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61591, 13811, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61592, 13811, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61593, 13811, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61594, 13811, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61595, 13812, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61596, 13812, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61597, 13812, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61598, 13812, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61599, 13812, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61600, 13812, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61601, 13813, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61602, 13813, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61603, 13813, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61604, 13813, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61605, 13813, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61606, 13813, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61607, 13814, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61608, 13814, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61609, 13814, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61610, 13814, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61611, 13814, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61612, 13814, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61613, 13815, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61614, 13815, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61615, 13815, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61616, 13815, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61617, 13815, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61618, 13816, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61619, 13816, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61620, 13816, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61621, 13816, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61622, 13816, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61623, 13816, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61624, 13817, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61625, 13817, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61626, 13817, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61627, 13817, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61628, 13817, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61629, 13818, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61630, 13818, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61631, 13818, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61632, 13818, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61633, 13818, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61634, 13818, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61635, 13819, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61636, 13819, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61637, 13819, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61638, 13819, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61639, 13819, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61640, 13819, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61641, 13820, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61642, 13820, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61643, 13820, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61644, 13820, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61645, 13820, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61646, 13820, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61647, 13821, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61649, 13821, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61651, 13821, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61652, 13822, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61653, 13822, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61654, 13822, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61655, 13822, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61656, 13822, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61657, 13822, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61658, 13823, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61659, 13823, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61660, 13823, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61661, 13823, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61662, 13823, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61663, 13823, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61664, 13824, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61665, 13824, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61666, 13824, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61667, 13824, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61668, 13824, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61669, 13824, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61670, 13825, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61671, 13825, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61672, 13825, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61673, 13825, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61674, 13825, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61675, 13825, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61676, 13826, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61677, 13826, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61678, 13826, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61679, 13826, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61680, 13826, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61681, 13826, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61682, 13827, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61683, 13827, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61684, 13827, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61685, 13827, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61686, 13827, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61687, 13827, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61688, 13828, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61689, 13828, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61690, 13828, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61691, 13828, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61692, 13828, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61693, 13828, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61694, 13829, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61695, 13829, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61696, 13829, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61697, 13829, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61698, 13829, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61699, 13829, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61700, 13830, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61701, 13830, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61702, 13830, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61703, 13830, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61704, 13830, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61705, 13830, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61706, 13831, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61707, 13831, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61708, 13831, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61709, 13831, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61710, 13831, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61711, 13831, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61712, 13832, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61713, 13832, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61714, 13832, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61715, 13832, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61716, 13832, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61717, 13832, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61718, 13833, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61719, 13833, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61720, 13833, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61721, 13833, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61722, 13833, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61723, 13833, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61724, 13834, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61725, 13834, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61726, 13834, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61727, 13834, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61728, 13834, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61729, 13835, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61730, 13835, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61731, 13835, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61732, 13835, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61733, 13835, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61734, 13835, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61735, 13836, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61736, 13836, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61737, 13836, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61738, 13836, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61739, 13836, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61740, 13836, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61741, 13837, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61742, 13837, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61743, 13837, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61744, 13837, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61745, 13837, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61746, 13837, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61747, 13838, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61748, 13838, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61749, 13838, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61750, 13838, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61751, 13838, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61752, 13839, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61753, 13839, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61754, 13839, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61755, 13839, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61756, 13839, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61757, 13839, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61758, 13840, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61759, 13840, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61760, 13840, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61761, 13840, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61762, 13840, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61763, 13841, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61764, 13841, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61765, 13841, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61766, 13841, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61767, 13841, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61768, 13841, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61769, 13842, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61770, 13842, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61771, 13842, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61772, 13842, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61773, 13842, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61774, 13842, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61775, 13843, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61776, 13843, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61777, 13843, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61778, 13843, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61779, 13843, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61780, 13843, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61781, 13844, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61782, 13844, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61783, 13844, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61784, 13844, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61785, 13844, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61786, 13845, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61787, 13845, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61788, 13845, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61789, 13845, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61790, 13845, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61791, 13845, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61792, 13846, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61793, 13846, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61794, 13846, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61795, 13846, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61796, 13846, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61797, 13846, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61798, 13847, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61799, 13847, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61800, 13847, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61801, 13847, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61802, 13847, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61803, 13847, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61804, 13848, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61805, 13848, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61806, 13848, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61807, 13848, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61808, 13848, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61809, 13848, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61810, 13849, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61811, 13849, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61812, 13849, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61813, 13849, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61814, 13849, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61815, 13849, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61816, 13850, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61817, 13850, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61818, 13850, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61819, 13850, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61820, 13850, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61821, 13850, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61822, 13851, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61823, 13851, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61824, 13851, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61825, 13851, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61826, 13851, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61827, 13851, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61828, 13852, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61829, 13852, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61830, 13852, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61831, 13852, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61905, 13865, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61832, 13852, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61833, 13852, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61834, 13853, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61835, 13853, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61836, 13853, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61837, 13853, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61838, 13853, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61839, 13853, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61840, 13854, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61841, 13854, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61842, 13854, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61843, 13854, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61844, 13854, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61845, 13854, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61846, 13855, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61847, 13855, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61848, 13855, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61849, 13855, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61850, 13855, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61851, 13855, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61852, 13856, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61853, 13856, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61854, 13856, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61855, 13856, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61856, 13856, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61857, 13856, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61858, 13857, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61859, 13857, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61860, 13857, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61861, 13857, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61862, 13857, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61863, 13858, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61864, 13858, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61865, 13858, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61866, 13858, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61867, 13858, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61868, 13858, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61869, 13859, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61870, 13859, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61871, 13859, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61872, 13859, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61873, 13859, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61874, 13859, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61875, 13860, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61876, 13860, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61877, 13860, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61878, 13860, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61879, 13860, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61880, 13860, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61881, 13861, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61882, 13861, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61883, 13861, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61884, 13861, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61885, 13861, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61886, 13862, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61887, 13862, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61888, 13862, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61889, 13862, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61890, 13862, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61891, 13862, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61892, 13863, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61893, 13863, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61894, 13863, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61895, 13863, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61896, 13863, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61897, 13864, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61898, 13864, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61899, 13864, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61900, 13864, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61901, 13864, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61902, 13864, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61903, 13865, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61904, 13865, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61906, 13865, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61907, 13865, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61908, 13865, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61909, 13866, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61910, 13866, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61911, 13866, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61912, 13866, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61913, 13866, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61914, 13866, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61915, 13867, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61916, 13867, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61917, 13867, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61918, 13867, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61919, 13867, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61920, 13868, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61921, 13868, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61922, 13868, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61923, 13868, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61924, 13868, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61925, 13868, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61926, 13869, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61927, 13869, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61928, 13869, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61929, 13869, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61930, 13869, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61931, 13869, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61932, 13870, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61933, 13870, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61934, 13870, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61935, 13870, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61936, 13870, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61937, 13870, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61938, 13871, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61939, 13871, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61940, 13871, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61941, 13871, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61942, 13871, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61943, 13871, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61944, 13872, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61945, 13872, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61946, 13872, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61947, 13872, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61948, 13872, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61949, 13872, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61950, 13873, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61951, 13873, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61952, 13873, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61953, 13873, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61954, 13873, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61955, 13873, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61956, 13874, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61957, 13874, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61958, 13874, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61959, 13874, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61960, 13874, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61961, 13874, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62212, 13923, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61962, 13875, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61963, 13875, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61964, 13875, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61965, 13875, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61966, 13875, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61967, 13875, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61968, 13876, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61969, 13876, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61970, 13876, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61971, 13876, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61972, 13876, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61973, 13876, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61974, 13877, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61975, 13877, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61976, 13877, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61977, 13877, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61978, 13877, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61979, 13877, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61980, 13878, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61981, 13878, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61982, 13878, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61983, 13878, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61984, 13878, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61985, 13878, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61986, 13879, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61987, 13879, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61988, 13879, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61989, 13879, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61990, 13879, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61991, 13879, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61992, 13880, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61993, 13880, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61994, 13880, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61995, 13880, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61996, 13880, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61997, 13881, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61998, 13881, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (61999, 13881, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62000, 13881, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62001, 13881, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62002, 13881, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62003, 13882, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62004, 13882, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62005, 13882, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62006, 13882, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62007, 13882, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62008, 13882, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62009, 13883, '1. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
4. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
5. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
6. <script src="script-5.js"></script> // Время загрузки скрипта 2s
7. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62010, 13883, '1. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
2. <script src="script-2.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62011, 13883, '1. <script src="script-2.js"></script> // Время загрузки скрипта 1s
2. <script async src="script-6.js"></script> // Время загрузки скрипта 1s
3. <script async src="script-1.js"></script> // Время загрузки скрипта 1.5s
4. <script src="script-5.js"></script> // Время загрузки скрипта 2s
5. <script defer src="script-3.js"></script> // Время загрузки скрипта 3s
6. <script defer src="script-4.js"></script> // Время загрузки скрипта 1.5s
7. <script defer src="script-7.js"></script> // Время загрузки скрипта 0.1s', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62012, 13884, '1. Создание промиса
2. Конец скрипта
3. Обработка промиса
4. Таймаут', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62013, 13884, '1. Обработка промиса
2. Создание промиса
3. Таймаут
4. Конец скрипта', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62014, 13884, '1. Таймаут
2. Создание промиса
3. Обработка промиса
4. Конец скрипта ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62015, 13884, '1. Создание промиса
2. Обработка промиса
3. Конец скрипта
4. Таймаут', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62016, 13885, 'True', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62017, 13885, 'False', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62018, 13885, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62019, 13886, 'small.js', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62020, 13886, 'big.js', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62021, 13887, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62022, 13887, '12', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62023, 13887, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62024, 13888, '1
2
3
4
5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62025, 13888, '0
1
3
4', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62026, 13888, '1
3
4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62027, 13888, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62028, 13889, '1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62029, 13889, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62030, 13889, '5', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62031, 13889, 'Ошибка', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62032, 13890, 'green', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62033, 13890, 'blue', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62034, 13890, 'red', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62035, 13891, 'Порталы используются для того, чтобы сделать веб-страницу более красивой и стильной. Они позволяют размещать элементы вне иерархии компонентов React, что упрощает создание сложных интерфейсов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62036, 13891, 'Порталы позволяют рендерить дочерние элементы в DOM-узел, который находится вне DOM-иерархии родительского компонента.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62037, 13891, 'Порталы предназначены для создания дополнительных окон и диалоговых окон на веб-странице, которые можно перемещать и изменять размеры. Они также могут использоваться для создания сложных анимаций и эффектов перехода между страницами.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62038, 13892, 'interface можно объявить несколько раз с одним и тем же именем, одноименные интерфейсы объединяются', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62039, 13892, 'interface можно расширять при помощи ключевого слова extends', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62040, 13892, 'interface может быть инплементирован классом при помощи ключевого слова implements', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62041, 13892, 'type может объединять несколько других type внутри себя (union types)', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62042, 13893, 'a, b, c, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62043, 13893, 'a, b, d, c', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62044, 13893, 'a, c, b, d', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62045, 13893, 'c, a, b, d', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62046, 13894, 'Это процесс, при котором функция возвращает случайные значения в зависимости от переданных аргументов.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62047, 13894, 'Это процесс, при котором функция переходит из одного состояния в другое, сохраняя своё имя и набор параметров, но меняя своё поведение в зависимости от внешних условий.', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62048, 13894, 'Это возможность определить несколько функций с одним и тем же именем, но разными параметрами.', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62049, 13895, 'С помощью свойства display', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62050, 13895, 'С помощью свойства opacity', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62051, 13895, 'С помощью свойства visibility', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62052, 13895, 'С помощью position:absolute', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62053, 13895, 'Уменьшить размеры элемента до нуля', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62054, 13896, '1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62055, 13896, '2
1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62056, 13896, '0
1
2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62057, 13897, '1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62058, 13897, '2', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62059, 13897, '3', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62060, 13897, '4', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62061, 13897, '5', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62062, 13898, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62063, 13898, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62064, 13898, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62065, 13898, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62066, 13898, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62067, 13898, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62068, 13899, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62069, 13899, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62070, 13899, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62071, 13899, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62072, 13899, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62073, 13900, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62074, 13900, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62075, 13900, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62076, 13900, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62077, 13900, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62078, 13900, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62079, 13901, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62080, 13901, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62081, 13901, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62082, 13901, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62083, 13901, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62272, 13934, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62084, 13902, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62085, 13902, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62086, 13902, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62087, 13902, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62088, 13902, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62089, 13902, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62090, 13903, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62091, 13903, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62092, 13903, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62093, 13903, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62094, 13903, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62095, 13903, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62096, 13904, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62097, 13904, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62098, 13904, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62099, 13904, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62100, 13904, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62101, 13904, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62102, 13905, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62103, 13905, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62104, 13905, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62105, 13905, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62106, 13905, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62107, 13906, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62108, 13906, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62109, 13906, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62110, 13906, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62111, 13906, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62112, 13906, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62113, 13907, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62114, 13907, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62115, 13907, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62116, 13907, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62117, 13907, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62118, 13907, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62119, 13908, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62120, 13908, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62121, 13908, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62122, 13908, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62123, 13908, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62124, 13908, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62125, 13909, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62126, 13909, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62127, 13909, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62128, 13909, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62129, 13909, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62130, 13909, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62131, 13910, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62132, 13910, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62133, 13910, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62134, 13910, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62135, 13910, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62136, 13910, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62137, 13911, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62138, 13911, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62139, 13911, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62140, 13911, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62141, 13911, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62142, 13911, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62143, 13912, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62274, 13934, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62144, 13912, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62145, 13912, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62146, 13912, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62147, 13912, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62148, 13912, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62149, 13913, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62150, 13913, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62151, 13913, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62152, 13913, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62153, 13913, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62154, 13913, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62155, 13914, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62156, 13914, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62157, 13914, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62158, 13914, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62159, 13914, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62160, 13914, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62161, 13915, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62162, 13915, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62163, 13915, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62164, 13915, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62165, 13915, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62166, 13915, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62167, 13916, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62168, 13916, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62169, 13916, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62170, 13916, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62171, 13916, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62172, 13916, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62173, 13917, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62174, 13917, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62175, 13917, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62176, 13917, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62177, 13917, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62178, 13917, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62179, 13918, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62180, 13918, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62181, 13918, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62182, 13918, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62183, 13918, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62184, 13919, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62185, 13919, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62186, 13919, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62187, 13919, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62188, 13919, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62189, 13919, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62190, 13920, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62191, 13920, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62192, 13920, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62193, 13920, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62194, 13920, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62195, 13920, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62196, 13921, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62197, 13921, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62198, 13921, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62199, 13921, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62200, 13921, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62201, 13921, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62202, 13922, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62203, 13922, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62204, 13922, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62205, 13922, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62206, 13922, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62207, 13923, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62208, 13923, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62209, 13923, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62210, 13923, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62211, 13923, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62213, 13924, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62214, 13924, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62215, 13924, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62216, 13924, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62217, 13924, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62218, 13925, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62219, 13925, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62220, 13925, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62221, 13925, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62222, 13925, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62223, 13925, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62224, 13926, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62225, 13926, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62226, 13926, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62227, 13926, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62228, 13926, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62229, 13926, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62230, 13927, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62231, 13927, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62232, 13927, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62233, 13927, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62234, 13927, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62235, 13927, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62236, 13928, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62237, 13928, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62238, 13928, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62239, 13928, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62240, 13928, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62241, 13929, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62242, 13929, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62243, 13929, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62244, 13929, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62245, 13929, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62246, 13929, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62247, 13930, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62248, 13930, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62249, 13930, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62250, 13930, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62251, 13930, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62252, 13930, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62253, 13931, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62254, 13931, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62255, 13931, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62256, 13931, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62257, 13931, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62258, 13931, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62259, 13932, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62260, 13932, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62261, 13932, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62262, 13932, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62263, 13932, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62264, 13932, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62265, 13933, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62266, 13933, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62267, 13933, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62268, 13933, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62269, 13933, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62270, 13933, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62271, 13934, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62273, 13934, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62275, 13934, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62276, 13934, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62277, 13935, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62278, 13935, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62279, 13935, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62280, 13935, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62281, 13935, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62282, 13935, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62283, 13936, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62284, 13936, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62285, 13936, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62286, 13936, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62287, 13936, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62288, 13936, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62289, 13937, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62290, 13937, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62291, 13937, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62292, 13937, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62293, 13937, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62294, 13937, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62295, 13938, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62296, 13938, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62297, 13938, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62298, 13938, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62299, 13938, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62300, 13938, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62301, 13939, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62302, 13939, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62303, 13939, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62304, 13939, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62305, 13939, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62306, 13939, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62307, 13940, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62308, 13940, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62309, 13940, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62310, 13940, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62311, 13940, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62312, 13940, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62313, 13941, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62314, 13941, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62315, 13941, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62316, 13941, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62317, 13941, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62318, 13942, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62319, 13942, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62320, 13942, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62321, 13942, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62322, 13942, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62323, 13942, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62324, 13943, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62325, 13943, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62326, 13943, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62327, 13943, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62328, 13943, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62329, 13943, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62330, 13944, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62331, 13944, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62332, 13944, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62333, 13944, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62334, 13944, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62335, 13944, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62336, 13945, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62337, 13945, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62338, 13945, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62339, 13945, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62340, 13945, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62341, 13946, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62342, 13946, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62343, 13946, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62344, 13946, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62345, 13946, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62346, 13946, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62347, 13947, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62348, 13947, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62349, 13947, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62350, 13947, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62351, 13947, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62352, 13948, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62353, 13948, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62354, 13948, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62355, 13948, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62356, 13948, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62357, 13948, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62358, 13949, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62359, 13949, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62360, 13949, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62361, 13949, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62362, 13949, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62363, 13949, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62364, 13950, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62365, 13950, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62366, 13950, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62367, 13950, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62368, 13950, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62369, 13950, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62370, 13951, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62371, 13951, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62372, 13951, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62373, 13951, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62374, 13951, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62375, 13952, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62376, 13952, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62377, 13952, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62378, 13952, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62379, 13952, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62380, 13952, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62381, 13953, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62382, 13953, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62383, 13953, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62384, 13953, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62385, 13953, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62386, 13953, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62387, 13954, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62388, 13954, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62389, 13954, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62390, 13954, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62391, 13954, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62392, 13954, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62393, 13955, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62394, 13955, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62395, 13955, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62396, 13955, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62397, 13955, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62398, 13955, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62399, 13956, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62400, 13956, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62401, 13956, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62470, 13968, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62402, 13956, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62403, 13956, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62404, 13956, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62405, 13957, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62406, 13957, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62407, 13957, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62408, 13957, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62409, 13957, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62410, 13957, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62411, 13958, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62412, 13958, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62413, 13958, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62414, 13958, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62415, 13958, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62416, 13958, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62417, 13959, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62418, 13959, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62419, 13959, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62420, 13959, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62421, 13959, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62422, 13959, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62423, 13960, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62424, 13960, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62425, 13960, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62426, 13960, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62427, 13960, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62428, 13960, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62429, 13961, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62430, 13961, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62431, 13961, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62432, 13961, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62433, 13961, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62434, 13961, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62435, 13962, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62436, 13962, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62437, 13962, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62438, 13962, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62439, 13962, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62440, 13962, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62441, 13963, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62442, 13963, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62443, 13963, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62444, 13963, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62445, 13963, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62446, 13963, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62447, 13964, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62448, 13964, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62449, 13964, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62450, 13964, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62451, 13964, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62452, 13965, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62453, 13965, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62454, 13965, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62455, 13965, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62456, 13965, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62457, 13965, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62458, 13966, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62459, 13966, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62460, 13966, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62461, 13966, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62462, 13966, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62463, 13966, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62464, 13967, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62465, 13967, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62466, 13967, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62467, 13967, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62468, 13967, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62469, 13967, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62471, 13968, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62600, 13990, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62472, 13968, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62473, 13968, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62474, 13968, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62475, 13969, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62476, 13969, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62477, 13969, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62478, 13969, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62479, 13969, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62480, 13969, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62481, 13970, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62482, 13970, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62483, 13970, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62484, 13970, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62485, 13970, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62486, 13971, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62487, 13971, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62488, 13971, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62489, 13971, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62490, 13971, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62491, 13971, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62492, 13972, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62493, 13972, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62494, 13972, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62495, 13972, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62496, 13972, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62497, 13972, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62498, 13973, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62499, 13973, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62500, 13973, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62501, 13973, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62502, 13973, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62503, 13973, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62504, 13974, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62505, 13974, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62506, 13974, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62507, 13974, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62508, 13974, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62509, 13975, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62510, 13975, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62511, 13975, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62512, 13975, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62513, 13975, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62514, 13975, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62515, 13976, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62516, 13976, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62517, 13976, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62518, 13976, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62519, 13976, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62520, 13976, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62521, 13977, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62522, 13977, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62523, 13977, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62524, 13977, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62525, 13977, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62526, 13977, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62527, 13978, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62528, 13978, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62529, 13978, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62530, 13978, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62531, 13978, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62532, 13978, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62533, 13979, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62534, 13979, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62535, 13979, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62536, 13979, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62537, 13979, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62538, 13979, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62539, 13980, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62540, 13980, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62541, 13980, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62542, 13980, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62543, 13980, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62544, 13980, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62545, 13981, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62546, 13981, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62547, 13981, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62548, 13981, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62549, 13981, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62550, 13981, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62551, 13982, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62552, 13982, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62553, 13982, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62554, 13982, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62555, 13982, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62556, 13982, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62557, 13983, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62558, 13983, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62559, 13983, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62560, 13983, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62561, 13983, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62562, 13983, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62563, 13984, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62564, 13984, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62565, 13984, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62566, 13984, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62567, 13984, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62568, 13984, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62569, 13985, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62570, 13985, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62571, 13985, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62572, 13985, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62573, 13985, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62574, 13985, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62575, 13986, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62576, 13986, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62577, 13986, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62578, 13986, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62579, 13986, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62580, 13986, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62581, 13987, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62582, 13987, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62583, 13987, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62584, 13987, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62585, 13987, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62586, 13988, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62587, 13988, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62588, 13988, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62589, 13988, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62590, 13988, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62591, 13988, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62592, 13989, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62593, 13989, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62594, 13989, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62595, 13989, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62596, 13989, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62597, 13989, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62598, 13990, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62599, 13990, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62601, 13990, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62602, 13990, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62603, 13990, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62604, 13991, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62605, 13991, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62606, 13991, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62607, 13991, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62608, 13991, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62609, 13992, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62610, 13992, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62611, 13992, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62612, 13992, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62613, 13992, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62614, 13992, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62615, 13993, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62616, 13993, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62617, 13993, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62618, 13993, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62619, 13993, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62620, 13994, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62621, 13994, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62622, 13994, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62623, 13994, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62624, 13994, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62625, 13994, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62626, 13995, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62627, 13995, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62628, 13995, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62629, 13995, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62630, 13995, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62631, 13995, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62632, 13996, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62633, 13996, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62634, 13996, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62635, 13996, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62636, 13996, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62637, 13996, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62638, 13997, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62639, 13997, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62640, 13997, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62641, 13997, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62642, 13997, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62643, 13998, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62644, 13998, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62645, 13998, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62646, 13998, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62647, 13998, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62648, 13998, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62649, 13999, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62650, 13999, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62651, 13999, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62652, 13999, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62653, 13999, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62654, 13999, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62655, 14000, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62656, 14000, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62657, 14000, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62658, 14000, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62659, 14000, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62660, 14000, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62661, 14001, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62662, 14001, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62663, 14001, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62664, 14001, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62665, 14001, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62666, 14001, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62667, 14002, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62668, 14002, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62669, 14002, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62670, 14002, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62671, 14002, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62672, 14002, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62673, 14003, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62674, 14003, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62675, 14003, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62676, 14003, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62677, 14003, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62678, 14003, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62679, 14004, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62680, 14004, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62681, 14004, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62682, 14004, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62683, 14004, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62684, 14004, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62685, 14005, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62686, 14005, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62687, 14005, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62688, 14005, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62689, 14005, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62690, 14005, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62691, 14006, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62692, 14006, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62693, 14006, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62694, 14006, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62695, 14006, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62696, 14006, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62697, 14007, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62698, 14007, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62699, 14007, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62700, 14007, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62701, 14007, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62702, 14007, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62703, 14008, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62704, 14008, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62705, 14008, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62706, 14008, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62707, 14008, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62708, 14008, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62709, 14009, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62710, 14009, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62711, 14009, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62712, 14009, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62713, 14009, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62714, 14009, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62715, 14010, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62716, 14010, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62717, 14010, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62718, 14010, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62719, 14010, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62720, 14011, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62721, 14011, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62722, 14011, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62723, 14011, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62724, 14011, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62725, 14011, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62726, 14012, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62727, 14012, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62728, 14012, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62729, 14012, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62730, 14012, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62731, 14012, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62732, 14013, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62733, 14013, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62734, 14013, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62735, 14013, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62736, 14013, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62737, 14013, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62738, 14014, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62739, 14014, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62740, 14014, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62741, 14014, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62742, 14014, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62743, 14015, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62744, 14015, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62745, 14015, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62746, 14015, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62747, 14015, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62748, 14015, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62749, 14016, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62750, 14016, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62751, 14016, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62752, 14016, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62753, 14016, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62754, 14017, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62755, 14017, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62756, 14017, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62757, 14017, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62758, 14017, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62759, 14017, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62760, 14018, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62761, 14018, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62762, 14018, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62763, 14018, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62764, 14018, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62765, 14018, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62766, 14019, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62767, 14019, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62768, 14019, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62769, 14019, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62770, 14019, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62771, 14019, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62772, 14020, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62773, 14020, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62774, 14020, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62775, 14020, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62776, 14020, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62777, 14021, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62778, 14021, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62779, 14021, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62780, 14021, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62781, 14021, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62782, 14021, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62783, 14022, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62784, 14022, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62785, 14022, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62786, 14022, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62787, 14022, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62788, 14022, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62789, 14023, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62790, 14023, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62791, 14023, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62792, 14023, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62855, 14034, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62793, 14023, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62794, 14023, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62795, 14024, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62796, 14024, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62797, 14024, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62798, 14024, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62799, 14024, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62800, 14024, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62801, 14025, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62802, 14025, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62803, 14025, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62804, 14025, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62805, 14025, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62806, 14025, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62807, 14026, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62808, 14026, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62809, 14026, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62810, 14026, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62811, 14026, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62812, 14026, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62813, 14027, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62814, 14027, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62815, 14027, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62816, 14027, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62817, 14027, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62818, 14027, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62819, 14028, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62820, 14028, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62821, 14028, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62822, 14028, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62823, 14028, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62824, 14028, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62825, 14029, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62826, 14029, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62827, 14029, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62828, 14029, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62829, 14029, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62830, 14029, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62831, 14030, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62832, 14030, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62833, 14030, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62834, 14030, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62835, 14030, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62836, 14030, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62837, 14031, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62838, 14031, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62839, 14031, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62840, 14031, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62841, 14031, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62842, 14031, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62843, 14032, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62844, 14032, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62845, 14032, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62846, 14032, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62847, 14032, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62848, 14032, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62849, 14033, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62850, 14033, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62851, 14033, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62852, 14033, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62853, 14033, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62854, 14034, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62856, 14034, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62857, 14034, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62858, 14034, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62859, 14034, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62860, 14035, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62861, 14035, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62862, 14035, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62863, 14035, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62864, 14035, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62865, 14035, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62866, 14036, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62867, 14036, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62868, 14036, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62869, 14036, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62870, 14036, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62871, 14036, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62872, 14037, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62873, 14037, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62874, 14037, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62875, 14037, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62876, 14037, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62877, 14038, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62878, 14038, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62879, 14038, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62880, 14038, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62881, 14038, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62882, 14038, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62883, 14039, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62884, 14039, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62885, 14039, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62886, 14039, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62887, 14039, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62888, 14040, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62889, 14040, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62890, 14040, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62891, 14040, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62892, 14040, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62893, 14040, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62894, 14041, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62895, 14041, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62896, 14041, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62897, 14041, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62898, 14041, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62899, 14041, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62900, 14042, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62901, 14042, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62902, 14042, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62903, 14042, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62904, 14042, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62905, 14042, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62906, 14043, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62907, 14043, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62908, 14043, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62909, 14043, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62910, 14043, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62911, 14044, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62912, 14044, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62913, 14044, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62914, 14044, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62915, 14044, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62916, 14044, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62917, 14045, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62918, 14045, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62919, 14045, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62920, 14045, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62921, 14045, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62922, 14045, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62923, 14046, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63112, 14078, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62924, 14046, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62925, 14046, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62926, 14046, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62927, 14046, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62928, 14046, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62929, 14047, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62930, 14047, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62931, 14047, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62932, 14047, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62933, 14047, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62934, 14047, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62935, 14048, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62936, 14048, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62937, 14048, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62938, 14048, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62939, 14048, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62940, 14048, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62941, 14049, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62942, 14049, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62943, 14049, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62944, 14049, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62945, 14049, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62946, 14049, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62947, 14050, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62948, 14050, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62949, 14050, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62950, 14050, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62951, 14050, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62952, 14050, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62953, 14051, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62954, 14051, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62955, 14051, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62956, 14051, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62957, 14051, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62958, 14051, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62959, 14052, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62960, 14052, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62961, 14052, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62962, 14052, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62963, 14052, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62964, 14052, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62965, 14053, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62966, 14053, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62967, 14053, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62968, 14053, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62969, 14053, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62970, 14053, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62971, 14054, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62972, 14054, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62973, 14054, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62974, 14054, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62975, 14054, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62976, 14054, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62977, 14055, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62978, 14055, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62979, 14055, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62980, 14055, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62981, 14055, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62982, 14055, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62983, 14056, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62984, 14056, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62985, 14056, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62986, 14056, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62987, 14056, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62988, 14057, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62989, 14057, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62990, 14057, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62991, 14057, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62992, 14057, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62993, 14057, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62994, 14058, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62995, 14058, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62996, 14058, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62997, 14058, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62998, 14058, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (62999, 14058, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63000, 14059, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63001, 14059, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63002, 14059, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63003, 14059, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63004, 14059, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63005, 14059, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63006, 14060, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63007, 14060, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63008, 14060, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63009, 14060, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63010, 14060, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63011, 14061, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63012, 14061, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63013, 14061, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63014, 14061, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63015, 14061, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63016, 14061, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63017, 14062, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63018, 14062, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63019, 14062, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63020, 14062, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63021, 14062, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63022, 14063, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63023, 14063, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63024, 14063, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63025, 14063, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63026, 14063, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63027, 14063, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63028, 14064, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63029, 14064, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63030, 14064, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63031, 14064, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63032, 14064, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63033, 14064, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63034, 14065, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63035, 14065, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63036, 14065, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63037, 14065, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63038, 14065, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63039, 14065, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63040, 14066, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63041, 14066, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63042, 14066, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63043, 14066, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63044, 14066, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63045, 14067, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63046, 14067, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63047, 14067, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63048, 14067, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63049, 14067, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63050, 14067, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63051, 14068, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63052, 14068, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63053, 14068, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63054, 14068, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63113, 14078, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63055, 14068, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63056, 14068, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63057, 14069, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63058, 14069, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63059, 14069, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63060, 14069, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63061, 14069, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63062, 14069, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63063, 14070, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63064, 14070, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63065, 14070, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63066, 14070, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63067, 14070, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63068, 14070, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63069, 14071, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63070, 14071, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63071, 14071, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63072, 14071, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63073, 14071, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63074, 14071, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63075, 14072, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63076, 14072, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63077, 14072, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63078, 14072, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63079, 14072, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63080, 14072, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63081, 14073, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63082, 14073, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63083, 14073, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63084, 14073, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63085, 14073, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63086, 14073, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63087, 14074, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63088, 14074, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63089, 14074, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63090, 14074, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63091, 14074, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63092, 14074, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63093, 14075, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63094, 14075, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63095, 14075, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63096, 14075, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63097, 14075, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63098, 14075, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63099, 14076, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63100, 14076, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63101, 14076, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63102, 14076, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63103, 14076, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63104, 14076, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63105, 14077, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63106, 14077, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63107, 14077, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63108, 14077, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63109, 14077, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63110, 14077, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63111, 14078, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63118, 14079, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63119, 14079, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63120, 14079, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63121, 14079, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63122, 14080, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63123, 14080, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63124, 14080, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63125, 14080, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63126, 14080, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63127, 14080, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63128, 14081, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63129, 14081, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63130, 14081, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63131, 14081, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63132, 14081, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63133, 14081, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63134, 14082, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63135, 14082, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63136, 14082, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63137, 14082, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63138, 14082, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63139, 14082, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63140, 14083, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63141, 14083, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63142, 14083, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63143, 14083, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63144, 14083, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63145, 14084, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63146, 14084, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63147, 14084, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63148, 14084, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63149, 14084, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63150, 14084, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63151, 14085, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63152, 14085, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63153, 14085, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63154, 14085, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63155, 14085, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63156, 14086, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63157, 14086, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63158, 14086, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63159, 14086, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63160, 14086, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63161, 14086, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63162, 14087, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63163, 14087, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63164, 14087, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63165, 14087, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63166, 14087, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63167, 14087, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63168, 14088, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63169, 14088, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63170, 14088, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63171, 14088, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63172, 14088, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63173, 14088, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63174, 14089, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63175, 14089, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63176, 14089, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63177, 14089, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63178, 14089, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63179, 14090, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63180, 14090, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63181, 14090, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63182, 14090, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63183, 14090, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63184, 14090, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63185, 14091, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63186, 14091, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63187, 14091, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63373, 14123, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63188, 14091, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63189, 14091, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63190, 14091, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63191, 14092, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63192, 14092, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63193, 14092, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63194, 14092, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63195, 14092, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63196, 14092, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63197, 14093, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63198, 14093, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63199, 14093, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63200, 14093, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63201, 14093, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63202, 14093, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63203, 14094, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63204, 14094, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63205, 14094, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63206, 14094, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63207, 14094, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63208, 14094, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63209, 14095, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63210, 14095, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63211, 14095, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63212, 14095, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63213, 14095, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63214, 14095, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63215, 14096, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63216, 14096, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63217, 14096, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63218, 14096, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63219, 14096, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63220, 14096, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63221, 14097, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63222, 14097, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63223, 14097, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63224, 14097, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63225, 14097, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63226, 14097, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63227, 14098, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63228, 14098, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63229, 14098, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63230, 14098, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63231, 14098, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63232, 14098, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63233, 14099, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63234, 14099, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63235, 14099, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63236, 14099, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63237, 14099, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63238, 14099, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63239, 14100, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63240, 14100, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63241, 14100, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63242, 14100, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63243, 14100, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63244, 14100, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63245, 14101, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63246, 14101, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63247, 14101, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63248, 14101, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63249, 14101, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63250, 14101, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63251, 14102, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63252, 14102, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63253, 14102, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63254, 14102, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63255, 14102, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63256, 14103, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63257, 14103, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63258, 14103, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63259, 14103, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63260, 14103, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63261, 14103, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63262, 14104, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63263, 14104, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63264, 14104, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63265, 14104, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63266, 14104, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63267, 14104, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63268, 14105, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63269, 14105, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63270, 14105, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63271, 14105, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63272, 14105, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63273, 14105, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63274, 14106, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63275, 14106, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63276, 14106, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63277, 14106, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63278, 14106, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63279, 14107, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63280, 14107, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63281, 14107, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63282, 14107, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63283, 14107, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63284, 14107, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63285, 14108, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63286, 14108, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63287, 14108, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63288, 14108, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63289, 14108, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63290, 14109, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63291, 14109, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63292, 14109, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63293, 14109, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63294, 14109, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63295, 14109, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63296, 14110, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63297, 14110, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63298, 14110, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63299, 14110, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63300, 14110, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63301, 14110, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63302, 14111, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63303, 14111, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63304, 14111, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63305, 14111, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63306, 14111, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63307, 14111, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63308, 14112, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63309, 14112, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63310, 14112, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63311, 14112, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63312, 14112, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63313, 14113, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63314, 14113, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63315, 14113, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63316, 14113, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63317, 14113, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63318, 14113, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63319, 14114, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63320, 14114, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63321, 14114, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63322, 14114, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63323, 14114, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63324, 14114, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63325, 14115, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63326, 14115, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63327, 14115, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63328, 14115, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63329, 14115, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63330, 14115, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63331, 14116, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63332, 14116, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63333, 14116, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63334, 14116, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63335, 14116, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63336, 14116, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63337, 14117, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63338, 14117, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63339, 14117, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63340, 14117, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63341, 14117, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63342, 14117, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63343, 14118, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63344, 14118, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63345, 14118, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63346, 14118, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63347, 14118, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63348, 14118, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63349, 14119, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63350, 14119, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63351, 14119, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63352, 14119, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63353, 14119, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63354, 14119, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63355, 14120, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63356, 14120, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63357, 14120, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63358, 14120, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63359, 14120, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63360, 14120, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63361, 14121, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63362, 14121, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63363, 14121, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63364, 14121, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63365, 14121, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63366, 14121, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63367, 14122, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63368, 14122, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63369, 14122, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63370, 14122, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63371, 14122, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63372, 14122, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63375, 14123, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63376, 14123, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63377, 14123, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63378, 14123, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63379, 14124, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63380, 14124, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63381, 14124, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63382, 14124, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63383, 14124, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63384, 14124, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63385, 14125, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63386, 14125, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63387, 14125, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63388, 14125, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63389, 14125, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63390, 14126, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63391, 14126, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63392, 14126, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63393, 14126, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63394, 14126, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63395, 14126, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63396, 14127, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63397, 14127, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63398, 14127, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63399, 14127, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63400, 14127, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63401, 14127, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63402, 14128, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63403, 14128, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63404, 14128, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63405, 14128, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63406, 14128, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63407, 14128, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63408, 14129, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63409, 14129, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63410, 14129, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63411, 14129, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63412, 14129, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63413, 14130, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63414, 14130, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63415, 14130, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63416, 14130, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63417, 14130, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63418, 14130, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63419, 14131, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63420, 14131, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63421, 14131, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63422, 14131, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63423, 14131, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63424, 14132, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63425, 14132, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63426, 14132, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63427, 14132, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63428, 14132, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63429, 14132, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63430, 14133, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63431, 14133, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63432, 14133, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63433, 14133, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63434, 14133, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63435, 14133, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63436, 14134, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63437, 14134, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63438, 14134, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63439, 14134, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63440, 14134, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63441, 14134, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63442, 14135, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63443, 14135, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63444, 14135, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63445, 14135, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63446, 14135, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63447, 14136, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63448, 14136, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63449, 14136, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63450, 14136, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63451, 14136, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63452, 14136, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63453, 14137, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63454, 14137, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63455, 14137, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63456, 14137, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63457, 14137, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63458, 14137, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63459, 14138, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63460, 14138, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63461, 14138, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63462, 14138, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63463, 14138, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63464, 14138, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63465, 14139, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63466, 14139, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63467, 14139, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63468, 14139, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63469, 14139, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63470, 14139, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63471, 14140, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63472, 14140, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63473, 14140, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63474, 14140, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63475, 14140, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63476, 14140, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63477, 14141, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63478, 14141, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63479, 14141, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63480, 14141, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63481, 14141, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63482, 14141, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63483, 14142, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63484, 14142, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63485, 14142, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63486, 14142, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63487, 14142, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63488, 14142, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63489, 14143, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63490, 14143, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63491, 14143, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63492, 14143, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63493, 14143, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63494, 14143, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63495, 14144, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63496, 14144, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63497, 14144, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63498, 14144, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63499, 14144, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63500, 14144, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63501, 14145, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63502, 14145, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63503, 14145, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63504, 14145, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63505, 14145, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63506, 14145, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63507, 14146, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63508, 14146, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63509, 14146, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63510, 14146, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63511, 14146, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63512, 14146, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63513, 14147, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63514, 14147, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63515, 14147, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63516, 14147, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63517, 14147, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63518, 14147, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63519, 14148, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63520, 14148, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63521, 14148, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63522, 14148, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63523, 14148, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63524, 14149, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63525, 14149, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63526, 14149, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63527, 14149, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63528, 14149, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63529, 14149, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63530, 14150, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63531, 14150, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63532, 14150, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63533, 14150, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63534, 14150, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63535, 14150, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63536, 14151, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63537, 14151, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63538, 14151, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63539, 14151, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63540, 14151, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63541, 14151, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63542, 14152, 'Сортирует по первичному ключу по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63543, 14152, 'Сортирует по первичному ключу по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63544, 14152, 'Сортирует по первой колонке по возрастанию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63545, 14152, 'Сортирует по первой колонке по убыванию', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63546, 14152, 'В случайном порядке', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63547, 14153, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63548, 14153, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63549, 14153, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63550, 14153, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63551, 14153, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63552, 14153, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63553, 14154, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63554, 14154, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63555, 14154, 'Все заказы, за 2020 год', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63556, 14154, 'Запрос составлен неверно', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63557, 14154, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63558, 14155, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63559, 14155, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63560, 14155, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63561, 14155, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63562, 14155, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63563, 14155, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63564, 14156, 'Select * from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63565, 14156, 'Select * from users desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63566, 14156, 'Select * from users order by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63567, 14156, 'Select * from users order by user_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63568, 14156, 'Select * order by user_id from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63569, 14156, 'Select * order by user_id desc from users;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63570, 14157, 'Select * from users order in user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63571, 14157, 'Select * from users order in user_id, user_type_id desc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63572, 14157, 'Select * from users order by user_id desc, user_type_id asc;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63573, 14157, 'Select * from users order by user_id asc, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63574, 14157, 'Select * from users order by user_id, user_type_id desc;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63575, 14157, 'Select * from users order by user_id, user_type_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63576, 14158, 'Все заказы, за 2020 год кроме 1.01 и 31.12', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63577, 14158, 'Все заказы, за 2020 год кроме 1.01', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63578, 14158, 'Все заказы, за 2020 год', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63579, 14158, 'Запрос составлен неверно', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63580, 14158, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63581, 14159, 'Select amount as Количество, ''Рубли'' as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63582, 14159, 'Select amount Количество, ''Рубли'' Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63583, 14159, 'Select amount as Количество, "Рубли" as Валюта from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63584, 14159, 'Select amount as ''Количество'', Рубли as ''Валюта'' from accounts;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63585, 14159, 'Select amount as ''Количество'', (select ''Рубли'') as Валюта from accounts;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63586, 14159, 'Select amount as Количество, ''Рубли'' as Валюта from;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63587, 14160, 'Количество столбцов определяется первым запросом, в последующих запросах добавляются/убираются лишние столбцы', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63588, 14160, 'Количество столбцов должно быть равно у каждого запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63589, 14160, 'Один столбец может хранить несколько типов данных, в зависимости от типа данных в каждом запросе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63590, 14160, 'В результирующем наборе используются имена столбцов, заданные в первом запросе', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63591, 14160, 'Предложение ORDER BY применяется к результату UNION, поэтому оно может быть указано только в конце всего составного запроса', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63592, 14160, 'Предложение ORDER BY необходимо указывать отдельно для каждого запроса, после чего объединять их c помощью UNION', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63593, 14161, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63594, 14161, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63595, 14161, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63596, 14161, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63597, 14161, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63598, 14161, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63599, 14162, 'Select address from offices except select address from departments union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63600, 14162, 'Select address from offices union Select address from stations except select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63601, 14162, 'Select address from offices union Select address from stations except all select address from departments;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63602, 14162, 'Select address from offices union all Select address from stations except all select address from departments;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63603, 14162, '(Select address from offices except select address from departments) union (Select address from stations except select address from departments);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63604, 14162, 'Все запросы верны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63605, 14163, 'Select name from departments where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63606, 14163, 'Select name from departments where department_id = (select department_id from transactions);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63607, 14163, 'Select name from departments where department_id = (select department_id from transactions where department_id < 10);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63608, 14163, 'Select name from transactions t left join departments d on t.department_id = d.department_id where transaction_id < 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63609, 14163, 'Select name from departments where department_id in (select department_id from transactions where transaction_id < 10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63610, 14163, 'Select name from transactions left join departments on department_id = department_id where transaction_id < 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63611, 14164, 'Select name from users where name = ''Г%'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63612, 14164, 'Select name from users where name = ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63613, 14164, 'Select name from users where name = ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63614, 14164, 'Select name from users where name like ''Г%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63615, 14164, 'Select name from users where name like ''%Г'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63616, 14164, 'Select name from users where name like ''Г_'';', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63617, 14165, 'Select * from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63618, 14165, 'Select * limit 10 from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63619, 14165, 'Select limit(10) from users where amount > 1000 and user_id <= 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63620, 14165, 'Select * from users where amount > 1000 and user_id <= 10 limit 10;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63621, 14165, 'Select * from users where amount > 1000 and user_id <= 10 and limit = 10;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63622, 14165, 'Select * from users where amount > 1000 and user_id <= 10 limit (10);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63623, 14166, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63624, 14166, 'Select user_id, sum(amount) from transactions where sum(amount) > 1000 group by user_id, sum(amount);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63625, 14166, 'Select user_id, sum(amount) from transactions group by user_id having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63626, 14166, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having amount > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63627, 14166, 'Select user_id, sum(amount) from transactions group by user_id having sum(amount) > 1000;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63628, 14166, 'Select user_id, sum(amount) from transactions group by user_id, sum(amount) having sum(amount) > 1000;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63629, 14167, 'Select biggest(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63630, 14167, 'Select max(amount) from transactions;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63631, 14167, 'Select sum(amount) from transactions;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63632, 14167, 'Select amount from transactions order by desc limit 1;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63633, 14167, 'Select amount from transactions order by asc limit 1;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63634, 14167, 'Select quantity from (Select max(quantity) as quantity from sale_lines);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63635, 14168, 'Select * from transactions t inner join departments d using (department_id);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63636, 14168, 'Select * from transactions t cross join departments d using (department_id);', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63637, 14168, 'Select * from transactions t outter join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63638, 14168, 'Select * from transactions t left join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63639, 14168, 'Select * from transactions t inner join departments d on t.department_id = d.department_id;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63640, 14168, 'Select * from transactions t cross join departments d on t.department_id = d.department_id;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63641, 14169, 'Character и character varying ничем не отличаются', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63642, 14169, 'Типа character varying не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63643, 14169, 'Charatcer имеет заданную длину, и дополняет строку пробелами, если она короче', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63644, 14169, 'Charatcer имеет изменяемую длину', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63645, 14169, 'Charatcer varying имеет изменяемую длину', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63646, 14169, 'Charatcer varying может хранить значения не только типа character, но и других типов', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63647, 14170, 'Select', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63648, 14170, 'Insert', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63649, 14170, 'Update', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63650, 14170, 'Delete', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63651, 14170, 'Alter', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63652, 14170, 'Truncate', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63653, 14171, 'Если Select найдет запись - вернет ''-'', в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63654, 14171, 'Если Select найдет запись - вернет NULL, в противном случае ''-''', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63655, 14171, 'Если Select найдет запись - вернет ее значение, в противном случае ''-''', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63656, 14171, 'Если Select найдет запись - вернет ее значение, в противном случае NULL', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63657, 14171, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63658, 14172, 'Все поля', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63659, 14172, 'Обязательных полей нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63660, 14172, 'Все, кроме полей с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63661, 14172, 'Только поля с default значением', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63662, 14172, 'Все, кроме полей с default значением или атрибутом autoincrement', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63663, 14172, 'Только поля с default значением или атрибутом autoincrement', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63664, 14173, 'Insert table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63665, 14173, 'Insert table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63666, 14173, 'Insert into table set value1 = 1 and value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63667, 14173, 'Insert into table set value1 = 1, value2 = 2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63668, 14173, 'Insert into table value1, value2 values 1,2;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63669, 14173, 'Insert into table (value1, value2) values (1,2);', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63670, 14174, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63671, 14174, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63672, 14174, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63673, 14174, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63674, 14175, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63675, 14175, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63676, 14175, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63677, 14175, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63678, 14176, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63679, 14176, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63680, 14176, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63681, 14176, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63682, 14177, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63683, 14177, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63684, 14177, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63685, 14177, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63686, 14178, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63687, 14178, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63688, 14178, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63689, 14178, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63690, 14179, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63691, 14179, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63692, 14179, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63693, 14179, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63694, 14180, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63695, 14180, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63696, 14180, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63697, 14180, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63698, 14181, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63699, 14181, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63700, 14181, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63701, 14182, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63702, 14182, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63703, 14182, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63704, 14182, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63705, 14183, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63706, 14183, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63707, 14183, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63708, 14183, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63709, 14184, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63710, 14184, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63711, 14184, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63712, 14184, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63713, 14184, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63714, 14185, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63715, 14185, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63716, 14185, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63717, 14185, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63718, 14186, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63719, 14186, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63720, 14186, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63721, 14186, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63722, 14187, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63723, 14187, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63724, 14187, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63725, 14187, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63726, 14187, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63727, 14187, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63728, 14188, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63729, 14188, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63730, 14188, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63731, 14188, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63732, 14188, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63733, 14188, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63734, 14189, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63735, 14189, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63736, 14189, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63737, 14189, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63738, 14189, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63739, 14189, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63740, 14190, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63741, 14190, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63742, 14190, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63743, 14190, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63744, 14190, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63745, 14190, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63746, 14191, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63747, 14191, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63748, 14191, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63749, 14191, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63750, 14191, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63751, 14191, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63752, 14192, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63753, 14192, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63754, 14192, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63755, 14192, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63756, 14192, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63757, 14192, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63758, 14193, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63759, 14193, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63760, 14193, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63761, 14193, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63762, 14193, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63763, 14193, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63764, 14194, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63765, 14194, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63766, 14194, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63767, 14194, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63768, 14194, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63769, 14194, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63770, 14195, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63771, 14195, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63772, 14195, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63773, 14195, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63774, 14196, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63775, 14196, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63776, 14196, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63777, 14196, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63778, 14196, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63779, 14196, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63780, 14197, 'Исследовательское тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63781, 14197, 'Независимое тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63782, 14197, 'Интеграционное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63783, 14197, 'Тестирование взаимодействия', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63784, 14198, 'Вы нашли все баги в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63785, 14198, 'Вы протестировали каждый оператор, ветку и комбинацию веток в программе', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63786, 14198, 'Вы протестировали все комбинации входных данных и условий', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63787, 14198, 'Вы уложились в запланированный дедлайн', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63788, 14199, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63789, 14199, 'Тестирование в условиях эксплуатации', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63790, 14199, 'Тестирование производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63791, 14199, 'Системное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63792, 14200, 'Взаимодействие с поставщиком тестового инструмента для определения лучших способов использования инструмента тестирования в проекте', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63793, 14200, 'Подготовка и получение тестовых данных', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63794, 14200, 'Внедрение тестов на всех уровнях тестирования, выполнение и логирование тестов', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63795, 14200, 'Создание тестовых спецификаций', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63796, 14201, 'Системный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63797, 14201, 'Интеграционный уровень тестирования', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63798, 14201, 'Модульный уровень тестирования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63799, 14201, 'Компонентное тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63800, 14202, '12, 16, 22', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63801, 14202, '24 ,27, 17', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63802, 14202, '22, 23, 24', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63803, 14202, '14, 15, 19', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63804, 14203, 'Валидация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63805, 14203, 'Тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63806, 14203, 'Отладка', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63807, 14203, 'Верификация', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63808, 14204, 'Инструменты производительности', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63809, 14204, 'Инструменты записи/воспроизведения', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63810, 14204, 'Ни один из перечисленных', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63811, 14205, 'Бета-тестирование', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63812, 14205, 'Тестирование удобства использования', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63813, 14205, 'Альфа-тестирование', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63814, 14205, 'Тестирование готового программного обеспечения', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63815, 14206, 'Мы не сможем запустить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63816, 14206, 'Может быть трудно повторить тест', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63817, 14206, 'Может быть трудно определить, прошел ли тест или не прошел', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63818, 14206, 'Мы не можем автоматизировать ввод данных пользователем', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63819, 14207, '1000, 5000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63820, 14207, '9999, 50000, 100000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63821, 14207, '10000, 50000, 99999', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63822, 14207, '1000, 99999', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63823, 14207, '9999, 10000, 50000, 99999, 10000', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63824, 14208, '1, 2, емкость - 1, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63825, 14208, '0, 1, емкость, емкость + 1', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63826, 14208, '0, 1, 2, емкость + 1, очень большое количество', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63827, 14208, '0, 1, 10, 100, емкость, емкость + 1', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63828, 14209, 'Эквивалентное разбиение', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63829, 14209, 'Анализ граничных значений
', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63830, 14209, 'Таблица решений', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63831, 14209, 'Гибридный анализ', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63832, 14210, 'Select * from table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63833, 14210, 'Select * from table as table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63834, 14210, 'Select % from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63835, 14210, 'Select % from table table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63836, 14210, 'Select all from table;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63837, 14210, 'Select * from table table;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63838, 14211, 'Select * from users where name = "Ivan";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63839, 14211, 'Select * from users where name = Ivan;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63840, 14211, 'Select * from users where name = ''Ivan'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63841, 14211, 'Select * from users where name = "%Ivan%";', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63842, 14211, 'Select * from users where name = %Ivan%;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63843, 14211, 'Select * from users where name = ''%Ivan%'';', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63844, 14212, 'Приоритеты всех перечисленных операций равны', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63845, 14212, 'AND и OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63846, 14212, 'AND > OR > NOT > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63847, 14212, 'NOT > AND > OR и IN', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63848, 14212, 'NOT > AND и OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63849, 14212, 'NOT > AND > OR > IN', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63850, 14213, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63851, 14213, 'Select address from offices union all Select address from departments union all Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63852, 14213, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63853, 14213, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63854, 14213, 'Select address from offices except Select address from departments except Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63855, 14213, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63856, 14214, 'Select address from offices union Select address from departments union Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63857, 14214, 'Select address from offices union all Select address from departments union all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63858, 14214, 'Select address from offices intersect Select address from departments intersect Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63859, 14214, 'Select address from offices intersect all Select address from departments intersect all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63860, 14214, 'Select address from offices except Select address from departments except Select address from stations;', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63861, 14214, 'Select address from offices except all Select address from departments except all Select address from stations;', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63862, 14215, 'git branch somebranch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63863, 14215, 'git checkout -b somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63864, 14215, 'git new somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63865, 14215, 'git checkout somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63866, 14215, 'git new -branch somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63867, 14215, 'git branch -v somebranch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63868, 14216, 'git hide', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63869, 14216, 'git archive', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63870, 14216, 'git abort', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63871, 14216, 'git stash', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63872, 14216, 'git stage', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63873, 14216, 'Такой команды нет', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63874, 14217, 'Такого понятия не существует', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63875, 14217, 'git commit --patch', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63876, 14217, 'git commit --fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63877, 14217, 'git patch', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63878, 14217, 'git fix', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63879, 14217, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63880, 14218, 'name', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63881, 14218, 'password', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63882, 14218, 'email', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63883, 14218, 'remote', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63884, 14219, 'git log', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63885, 14219, 'git reflog', true, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63886, 14219, 'git journal', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63887, 14219, 'git logref', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63888, 14219, 'git refs', false, false, NULL, NULL, NULL, NULL);
INSERT INTO public.candidate_answers VALUES (63889, 14219, 'Ничего из перечисленного', false, false, NULL, NULL, NULL, NULL);


--
-- Data for Name: candidate_questions; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.candidate_questions VALUES (2519, 96, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (16, 2, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3621, 132, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4067, 152, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4068, 152, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4069, 152, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4050, 152, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4051, 152, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4052, 152, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4053, 152, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4054, 152, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4055, 152, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4056, 152, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4057, 152, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4058, 152, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4060, 152, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4061, 152, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4062, 152, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4063, 152, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4064, 152, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4065, 152, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4066, 152, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4289, 162, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (18, 2, 'В следующем коде укажите строки, содержащие ошибки
public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4400, 167, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4402, 167, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10529, 481, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10530, 481, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10975, 500, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12979, 598, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5740, 227, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2630, 99, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2632, 99, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2633, 99, '<p>Какие из следующих объявлений приведут к ошибке компиляции?&nbsp;</p><pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2634, 99, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2635, 99, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2636, 99, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2637, 99, '<p>Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE</p><pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{ System.out.println("EXAMPLE") }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2638, 99, '<p>Следующий текст представляет содержимое файла MyClass.java Выберите верные утверждения. //содержимое MyClass.java&nbsp;</p><pre><code class="language-java">package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2639, 99, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2640, 99, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2641, 99, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2642, 99, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2643, 99, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2644, 99, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2645, 99, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2646, 99, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2647, 99, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2648, 99, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2649, 99, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2650, 99, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2651, 99, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2652, 99, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">class Mammal {
    public Mammal(int age) {
        System.out.print("Mammal");
    }
}

public class Platypus extends Mammal {
    public Platypus() {
        System.out.print("Platypus");
    }

    public static void main(String[] args) {
        new Mammal(5);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4397, 167, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4403, 167, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1, 1, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (31, 3, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (34, 3, 'Какие из перечисленных фактов являются достоверными?
', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2653, 99, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2654, 99, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9344, 414, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2655, 99, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2656, 99, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2657, 99, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2658, 99, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2659, 99, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2660, 99, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2661, 99, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2662, 99, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2663, 99, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2664, 99, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2665, 99, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2666, 99, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2667, 99, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2668, 99, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (56, 4, 'Какое главное преимущество использования лямбда выражений?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2669, 99, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2670, 99, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2671, 99, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2672, 99, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2673, 99, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2674, 99, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2675, 99, '<p>Какие из перечисленных фактов о данном коде достоверны?&nbsp;</p><pre><code class="language-java">interface HasVocalCords {
    public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
    public void bark();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2677, 99, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">//Course.java
package com.examplejava.courses;

class Course {
    public String courseName;
}

//ExampleJava.java
package com.examplejava;import com.examplejava.courses.Course;

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2678, 99, '<p>Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?</p><pre><code class="language-java">//ОТВЕТ
class MyCourse { Course c; }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3637, 133, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3638, 133, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2629, 99, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3639, 133, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3640, 133, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4091, 153, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4092, 153, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3641, 133, '<p>Учитывая следующий фрагмент кода, какое лямбда-выражение является лучшим выбором для accumulator с учетом правил применения параллельной редукции?</p><pre><code class="language-plaintext">public class TestAccumulator {
int i;

public void test() {
 BiFunction&lt;Integer,Integer,Integer&gt; accumulator = /*ОТВЕТ*/;
 System.out.print(Arrays.asList(1,2,3,4,5)
  .parallelStream()
  .reduce(0,accumulator,(s1, s2) -&gt; s1 + s2));
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3642, 133, '<p>С помощью какого из методов ScheduledExecutorService можно выпонять одно и то же действие в двух потоков в одно и то же время?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3643, 133, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3644, 133, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Comparator&lt;Integer&gt; c = (x, y) -&gt; y-x;
List&lt;Integer&gt; ints = Arrays.asList(3, 1, 4);
Collections.sort(ints, c);
System.out.println(Collections.binarySearch(ints, 1));</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3645, 133, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">class TestClass {
public TestClass(double count) {
 this.count = count;
}
public double count;
}
public class MainClass {
private void estimate(Predicate&lt;TestClass&gt; predicate, TestClass testClass) {
 System.out.print(predicate.test(testClass) ? "Good" : "Bad"); //A
}

public final static void main(String... sand) {
 new MainClass().estimate(s -&gt; s.count&lt;4, new TestClass(2)); //B
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3646, 133, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public void test(Supplier supplier) { // A
 supplier.get();
}

public static void main(String... electricSheep) { // B
 TestClass testClass = new TestClass();
 testClass.test(() -&gt; System.out.print("Complete")); // C
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3647, 133, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3648, 133, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; s = Stream.of(1); //A
IntStream is = s.mapToInt(x -&gt; x); //B
DoubleStream ds = s.mapToDouble(x -&gt; x); //C
Stream&lt;Integer&gt; s2 = ds.mapToInt(x -&gt; x); //D</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3649, 133, '<p>Какой из перечисленных вариантов ответа описывает поведение следующего метода?</p><pre><code class="language-plaintext">public static void removeTree(File file) {
if(!file.isFile()) //A
 for(File entry: file.listFiles()) //B
  removeTree(entry);
else file.delete();
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3650, 133, '<p>Какое из перечисленных решений позволит сделать код из примера потокобезопасным?</p><pre><code class="language-plaintext">class TestClass{
private double value;
   ReentrantLock lock = new ReentrantLock();

   public void test(double d){
       try{
           lock.lock();
           if(value &gt; d) value = value - d;
       }finally{
           lock.unlock();
       }
   }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4071, 153, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4072, 153, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4073, 153, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4074, 153, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4075, 153, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4076, 153, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5302, 208, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5303, 208, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2631, 99, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">package com.examplejava.courses

class Course {
    public String courseName;

    public void setCourseName(private String name) {
        courseName = name;
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3636, 133, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4090, 153, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4077, 153, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4078, 153, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4079, 153, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4080, 153, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4081, 153, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4083, 153, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4084, 153, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4085, 153, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4086, 153, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4087, 153, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4088, 153, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4089, 153, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4290, 162, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4291, 162, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4292, 162, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4293, 162, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4294, 162, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4295, 162, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4296, 162, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4297, 162, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4298, 162, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4299, 162, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (290, 18, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (292, 18, 'В следующем коде укажите строки, содержащие ошибки
public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (293, 18, 'Какие из перечисленных фактов являются достоверными?
', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2676, 99, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {
    };

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3654, 134, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3655, 134, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3656, 134, '<p>Учитывая следующий фрагмент кода, какое лямбда-выражение является лучшим выбором для accumulator с учетом правил применения параллельной редукции?</p><pre><code class="language-plaintext">public class TestAccumulator {
int i;

public void test() {
 BiFunction&lt;Integer,Integer,Integer&gt; accumulator = /*ОТВЕТ*/;
 System.out.print(Arrays.asList(1,2,3,4,5)
  .parallelStream()
  .reduce(0,accumulator,(s1, s2) -&gt; s1 + s2));
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4138, 155, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3657, 134, '<p>С помощью какого из методов ScheduledExecutorService можно выпонять одно и то же действие в двух потоков в одно и то же время?</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3658, 134, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3659, 134, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Comparator&lt;Integer&gt; c = (x, y) -&gt; y-x;
List&lt;Integer&gt; ints = Arrays.asList(3, 1, 4);
Collections.sort(ints, c);
System.out.println(Collections.binarySearch(ints, 1));</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3660, 134, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">class TestClass {
public TestClass(double count) {
 this.count = count;
}
public double count;
}
public class MainClass {
private void estimate(Predicate&lt;TestClass&gt; predicate, TestClass testClass) {
 System.out.print(predicate.test(testClass) ? "Good" : "Bad"); //A
}

public final static void main(String... sand) {
 new MainClass().estimate(s -&gt; s.count&lt;4, new TestClass(2)); //B
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (314, 21, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для ClassCastException и для RuntimeException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (315, 21, 'Какие из следующих утверждений не верны при переопределении метода?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (316, 21, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (317, 21, 'Какое главное преимущество использования лямбда выражений?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (318, 21, 'Есть класс Test с защищенной переменной. Из какого класса можно получить доступ к этой переменной?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (319, 21, 'Какие из следующих сигнатур методов не содержат ошибку?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (320, 21, 'Какое из следующих утверждений не является достоверным?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (321, 21, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (332, 24, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3652, 134, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3653, 134, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4398, 167, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4446, 169, '<p>Что выведет следующий код?</p><br><pre><code class="language-python">python<br>d = lambda p: p * 2<br>t = lambda p: p * 3<br>x = 2<br>x = d(x)<br>x = t(x)<br>x = d(x)<br>print(x)</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (333, 24, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?
', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (334, 24, 'Какие из утверждений являются достоверными в следующем коде?
interface HasExoskeleton {
abstract int getNumberOfSections();
}

abstract class Insect implements HasExoskeleton {
abstract int getNumberOfLegs();
}

public class Beetle extends Insect {
int getNumberofLegs() { return 6; }
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (335, 24, 'Каков результат выполнения следующего кода?
interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4484, 172, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2679, 100, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2680, 100, '<p>Какие из утверждений являются достоверными в следующем коде?&nbsp;</p><pre><code class="language-java">interface HasExoskeleton {
    abstract int getNumberOfSections();
}

abstract class Insect implements HasExoskeleton {
    abstract int getNumberOfLegs();
}

public class Beetle extends Insect {
    int getNumberofLegs() {
        return 6;
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2681, 100, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">interface Aquatic {
    public default int getNumberOfGills(int input) {
        return 2;
    }
}

public class ClownFish implements Aquatic {
    public String getNumberOfGills() {
        return "4";
    }

    public String getNumberOfGills(int input) {
        return "6";
    }

    public static void main(String[] args) {
        System.out.println(new ClownFish().getNumberOfGills(-1));
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2716, 101, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2717, 101, '<p>Какая общая цель статического и динамического тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2682, 100, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">abstract class Reptile {
    public final void layEggs() {
        System.out.println("Reptile laying eggs");
    }

    public static void main(String[] args) {
        Reptile reptile = new Lizard();
        reptile.layEggs();
    }
}

public class Lizard extends Reptile {
    public void layEggs() {
        System.out.println("Lizard laying eggs");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2683, 100, 'Что из перечисленного при наследовании может быть только скрыто и не может быть переопределено?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2684, 100, 'Заполните пробелы: ___ появляется когда программа заходит слишком глубоко в рекурсию, находясь в бесконечном цикле, тогда как ___ появляется при обращении к несуществующему объекту.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2685, 100, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2686, 100, 'Заполните пробелы: Приложение должно обрабатывать или объявлять ___ , но никогда не должно обрабатывать ___', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2687, 100, '<p>В следующем коде укажите строки, содержащие ошибки&nbsp;</p><pre><code class="language-java">public interface Herbivore {
    int amount = 10;

    public static void eatGrass();

    public int chew() {
        return 13;
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2688, 100, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2689, 100, 'Какое главное преимущество использования лямбда выражений?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2690, 100, 'Какое из следующих утверждений о конструкторах без аргументов является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2691, 100, 'Какие из следующих сигнатур методов не содержат ошибку?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2692, 100, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2693, 100, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2694, 100, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2695, 100, 'Объект какого из следующих типов данных может быть модифицирован после передачи в метод в качестве аргумента?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2696, 100, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2697, 100, '<p>Что выдаст следующий код после исполнения?</p><pre><code class="language-java">public class RopeSwing {
    private static Rope rope1 = new Rope();
    private static Rope rope2 = new Rope();

    {
        System.out.println(rope1.length);
    }

    public static void main(String[] args) {
        rope1.length = 2;
        rope2.length = 8;
        System.out.println(rope1.length);
    }
}

package rope;

public class Rope {
    public static int length = 0;
}
</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2698, 100, '<p>Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?&nbsp;</p><pre><code class="language-java">public class Order3 {
    final String value1 = "1";
    static String value2 = "2";
    String value3 = "3";

    { /*ПРОПУСК_1*/ }

    static { /*ПРОПУСК_2*/ }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2699, 100, '<p>Сколько ошибок компиляции в следующем коде?&nbsp;</p><pre><code class="language-java">public class RopeSwing {
    private static final String leftRope;
    private static final String rightRope;
    private static final String bench;
    private static final String name = "name";

    static {
        leftRope = "left";
        rightRope = "right";
    }

    static {
        name = "name";
        rightRope = "right";
    }

    public static void main(String[] args) {
        bench = "bench";
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2700, 100, '<p>Какие из следующих утверждений о перегруженных методах являются достоверными?&nbsp;</p><p>1) Перегруженные методы должны иметь одинаковое имя&nbsp;</p><p>2) Перегруженные методы должны иметь одинаковый тип возвращаемого значения&nbsp;</p><p>3) Перегруженные методы должны иметь разный список аргументов</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2701, 100, 'Если вы хотите построить Immutable объект, какое из следующих утверждений будет верно?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2702, 100, 'Что из следующего является правильным созданием ExecutorService ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2703, 100, 'Какая строка выведет сумму чисел от 2 до 5?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2704, 100, 'Какие варианты инициализации массива правильные?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2705, 100, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Test {
    public static void main(String[] args) {
        Cat cat = new Cat();
        cat.setKittyId(4);
        System.out.println(cat.kitty.id);
    }

    static class Cat {
        int id;
        String name;
        Cat kitty = new Cat();

        public void setKittyId(int kittyId) {
            this.kitty.id = kittyId;
        }
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2718, 101, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8355, 372, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2706, 100, '<p>Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?&nbsp;</p><pre><code class="language-java">package aquarium;

public class Water {
    boolean salty = false;
} package aquarium.jellies;

public class Water {
    boolean salty = true;
}

package employee;

!ИМПОРТЫ!

public class WaterFiller {
    Water water;
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2707, 100, '<p>Какие из утверждений являются достоверными в следующем коде?&nbsp;</p><pre><code class="language-java">public class Rodent {
    protected static Integer chew() throws Exception {
        System.out.println("Rodent is chewing");
        return 1;
    }
}

class Beaver extends Rodent {
    public Number chew() throws RuntimeException {
        System.out.println("Beaver is chewing on wood");
        return 2;
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2708, 100, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3661, 134, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public void test(Supplier supplier) { // A
 supplier.get();
}

public static void main(String... electricSheep) { // B
 TestClass testClass = new TestClass();
 testClass.test(() -&gt; System.out.print("Complete")); // C
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3662, 134, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3663, 134, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; s = Stream.of(1); //A
IntStream is = s.mapToInt(x -&gt; x); //B
DoubleStream ds = s.mapToDouble(x -&gt; x); //C
Stream&lt;Integer&gt; s2 = ds.mapToInt(x -&gt; x); //D</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3664, 134, '<p>Какой из перечисленных вариантов ответа описывает поведение следующего метода?</p><pre><code class="language-plaintext">public static void removeTree(File file) {
if(!file.isFile()) //A
 for(File entry: file.listFiles()) //B
  removeTree(entry);
else file.delete();
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3665, 134, '<p>Какое из перечисленных решений позволит сделать код из примера потокобезопасным?</p><pre><code class="language-plaintext">class TestClass{
private double value;
   ReentrantLock lock = new ReentrantLock();

   public void test(double d){
       try{
           lock.lock();
           if(value &gt; d) value = value - d;
       }finally{
           lock.unlock();
       }
   }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4047, 152, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4301, 163, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4302, 163, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4303, 163, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4304, 163, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4305, 163, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4306, 163, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11806, 541, '<p>Партиция это...</p>', 'Kafka', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2709, 101, '<p>Какой из методов проектирования тестов лучше всего характеризует процедуру составления тестовых сценариев на основании спецификации?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2710, 101, '<p>Что не является целью тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2711, 101, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2712, 101, '<p>Какие дефекты чаще всего намного дешевле поправить?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2713, 101, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2714, 101, '<p>Что является преимуществом независимого тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2715, 101, '<p>Даны данные о возрасте человека, который должен быть в пределах от 1 до 99. Используя анализ граничных значений выберите, какие значения нужно проверить?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2719, 101, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2720, 101, '<p>Что не является принципом тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2721, 101, '<p>Какая главная цель критериев выхода в тестировании ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2722, 101, '<p>Что не является функциональным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2723, 101, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3651, 134, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4059, 152, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4308, 163, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4310, 163, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4311, 163, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4313, 163, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (395, 27, 'Какое из следующих утверждений не является достоверным?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2724, 102, 'Какой принцип работы PhantomReferences?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2725, 102, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2726, 102, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2727, 102, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2728, 102, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2729, 102, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2730, 102, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2731, 102, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2732, 102, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2733, 102, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2734, 102, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2735, 102, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2736, 102, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2737, 102, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2738, 102, '<p>Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Instant start = Instant.now();
        someMethod();
        Instant end = Instant.now();
        long duration = /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2739, 102, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><p>
</p><pre><code class="language-java">import java.util.Optional;

public class Main {
    public static void main(String[] args) {
        Optional optional = Optional.ofNullable(null);
        System.out.println(optional);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2740, 102, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2837, 104, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2741, 102, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        LocalDate date = LocalDate.ofYearDay(2015, 4);
        date.minusMonths(1);
        System.out.println(date);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2742, 102, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2743, 102, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        IntStream intStream = IntStream.range(1, 6);
        System.out.println(intStream.average());
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2744, 102, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">interface I {
    public default void print() {
        System.out.println("default");
    }

    static void method() {
        System.out.println("static");
    }
}

public class Main {
    public static void main(String[] args) {
        I i = new I() {
        };
        i.print();
        I.method();
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2745, 102, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">class SuperClass {
    protected void method() {
        System.out.println("SuperClass");
    }
}

public class SubClass extends SuperClass {
    private void method() {
        System.out.println("SubClass");
    }

    public static void main(String[] args) {
        SubClass subClass = new SubClass();
        subClass.method();
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2746, 102, 'Как работает ключевое слово volatile?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2747, 102, 'Какие области памяти относятся к Heap Space?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2748, 102, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2749, 102, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2750, 102, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2751, 102, 'Что выведет в консоль такая строчка кода?
<code>System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2752, 102, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2753, 102, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2754, 102, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2755, 102, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2756, 102, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2757, 102, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2758, 102, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2759, 102, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2760, 102, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2761, 102, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2762, 102, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2763, 102, 'Что из следующего не является побитовой операцией?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2764, 102, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2765, 102, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2766, 102, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2767, 102, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main {
    static int a = 222;

    static {
        a = a-- - --a;
    }

    {
        a = a++ + ++a;
    }

    public static void main(String[] args) {
        System.out.println(a);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2768, 102, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2769, 102, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2770, 102, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2771, 102, '<p>Какой будет результат выполнения следующей программы?</p><pre><code class="language-java">
public class Outer {
	public int x; private int y; void cal(int a, int b) {
	x = a + 1; y = b;
}

	static class Inner {
		public static void main(String args[]) {
			Outer obj = new Outer(); obj.cal(2, 3);
			System.out.println(obj.x + " " + obj.y);
		}
	}

}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3728, 138, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2772, 102, '<p>Какой будет результат выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        new Main().test();
    }

    interface I {
        void print();
    }

    public I create() {
        return () -&gt; System.out.println("Hello!");
    }

    private I i = this::create;

    public void test() {
        i.print();
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2773, 102, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Stream&lt;Integer&gt; integerStream = Stream.of(13, 44, 2, 11, 29);
        Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i % 2 != 0));
        System.out.println(map.get(true));
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3678, 135, '<p>Какое из перечисленных названий является корректным для конфигурационного xml файла Hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3679, 135, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3680, 135, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3666, 135, 'Какой из следующих примеров описывает корректную структуру класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3668, 135, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3669, 135, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3670, 135, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3671, 135, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3672, 135, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3673, 135, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3674, 135, 'Какой из вариантов не является одним из модулей Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3675, 135, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3676, 135, 'Можно ли передать в запросе к контроллеру один и тот же параметр несколько раз? Пример: http://localhost:8080/confirm?code=test1&code=test2&code=test3', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2774, 103, 'Какой принцип работы PhantomReferences?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2775, 103, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2776, 103, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2777, 103, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2778, 103, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2779, 103, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2780, 103, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2781, 103, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2782, 103, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2783, 103, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2784, 103, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2785, 103, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2786, 103, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2787, 103, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2788, 103, '<p>Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Instant start = Instant.now();
        someMethod();
        Instant end = Instant.now();
        long duration = /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2789, 103, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><p>
</p><pre><code class="language-java">import java.util.Optional;

public class Main {
    public static void main(String[] args) {
        Optional optional = Optional.ofNullable(null);
        System.out.println(optional);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2790, 103, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2791, 103, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        LocalDate date = LocalDate.ofYearDay(2015, 4);
        date.minusMonths(1);
        System.out.println(date);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2838, 104, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2792, 103, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2793, 103, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        IntStream intStream = IntStream.range(1, 6);
        System.out.println(intStream.average());
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2794, 103, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">interface I {
    public default void print() {
        System.out.println("default");
    }

    static void method() {
        System.out.println("static");
    }
}

public class Main {
    public static void main(String[] args) {
        I i = new I() {
        };
        i.print();
        I.method();
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2795, 103, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">class SuperClass {
    protected void method() {
        System.out.println("SuperClass");
    }
}

public class SubClass extends SuperClass {
    private void method() {
        System.out.println("SubClass");
    }

    public static void main(String[] args) {
        SubClass subClass = new SubClass();
        subClass.method();
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2796, 103, 'Как работает ключевое слово volatile?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2797, 103, 'Какие области памяти относятся к Heap Space?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2798, 103, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2799, 103, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2800, 103, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2801, 103, 'Что выведет в консоль такая строчка кода?
<code>System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2802, 103, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2803, 103, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2804, 103, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2805, 103, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2806, 103, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2807, 103, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2808, 103, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2809, 103, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2810, 103, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2811, 103, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2812, 103, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2813, 103, 'Что из следующего не является побитовой операцией?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2814, 103, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2815, 103, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2816, 103, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2817, 103, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main {
    static int a = 222;

    static {
        a = a-- - --a;
    }

    {
        a = a++ + ++a;
    }

    public static void main(String[] args) {
        System.out.println(a);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2818, 103, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2819, 103, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2820, 103, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2821, 103, '<p>Какой будет результат выполнения следующей программы?</p><pre><code class="language-java">
public class Outer {
	public int x; private int y; void cal(int a, int b) {
	x = a + 1; y = b;
}

	static class Inner {
		public static void main(String args[]) {
			Outer obj = new Outer(); obj.cal(2, 3);
			System.out.println(obj.x + " " + obj.y);
		}
	}

}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2822, 103, '<p>Какой будет результат выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        new Main().test();
    }

    interface I {
        void print();
    }

    public I create() {
        return () -&gt; System.out.println("Hello!");
    }

    private I i = this::create;

    public void test() {
        i.print();
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8832, 392, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2823, 103, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Stream&lt;Integer&gt; integerStream = Stream.of(13, 44, 2, 11, 29);
        Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i % 2 != 0));
        System.out.println(map.get(true));
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3682, 136, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3683, 136, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {
    };

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3684, 136, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3685, 136, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3686, 136, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4095, 154, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4096, 154, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (500, 34, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<pre><code class="language-java">;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (501, 34, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (502, 34, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (503, 34, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2824, 104, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2825, 104, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2826, 104, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">package com.examplejava.courses

class Course {
    public String courseName;

    public void setCourseName(private String name) {
        courseName = name;
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2827, 104, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2828, 104, '<p>Какие из следующих объявлений приведут к ошибке компиляции?&nbsp;</p><pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2829, 104, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2830, 104, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2831, 104, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2832, 104, '<p>Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE</p><pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{ System.out.println("EXAMPLE") }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2833, 104, '<p>Следующий текст представляет содержимое файла MyClass.java Выберите верные утверждения. //содержимое MyClass.java&nbsp;</p><pre><code class="language-java">package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2834, 104, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2835, 104, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2836, 104, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8833, 392, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2839, 104, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2840, 104, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2841, 104, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2842, 104, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2843, 104, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2844, 104, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2845, 104, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2846, 104, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2847, 104, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">class Mammal {
    public Mammal(int age) {
        System.out.print("Mammal");
    }
}

public class Platypus extends Mammal {
    public Platypus() {
        System.out.print("Platypus");
    }

    public static void main(String[] args) {
        new Mammal(5);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2848, 104, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2849, 104, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2850, 104, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2851, 104, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2852, 104, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2853, 104, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2854, 104, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2855, 104, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2856, 104, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2857, 104, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2858, 104, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2859, 104, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2860, 104, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2861, 104, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2862, 104, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2863, 104, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2864, 104, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2865, 104, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2866, 104, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2867, 104, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2868, 104, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2869, 104, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2870, 104, '<p>Какие из перечисленных фактов о данном коде достоверны?&nbsp;</p><pre><code class="language-java">interface HasVocalCords {
    public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
    public void bark();
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2894, 105, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2871, 104, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {
    };

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2872, 104, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">//Course.java
package com.examplejava.courses;

class Course {
    public String courseName;
}

//ExampleJava.java
package com.examplejava;import com.examplejava.courses.Course;

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2873, 104, '<p>Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?</p><pre><code class="language-java">//ОТВЕТ
class MyCourse { Course c; }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3688, 136, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3689, 136, 'Для чего используется аннотация @Bean?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3690, 136, 'Можем ли мы послать объект как ответ метода обработчика контроллера?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3691, 136, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2875, 105, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2877, 105, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2878, 105, '<p>Какие из следующих объявлений приведут к ошибке компиляции?&nbsp;</p><pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2879, 105, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2880, 105, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2881, 105, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2882, 105, '<p>Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE</p><pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{ System.out.println("EXAMPLE") }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2883, 105, '<p>Следующий текст представляет содержимое файла MyClass.java Выберите верные утверждения. //содержимое MyClass.java&nbsp;</p><pre><code class="language-java">package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2884, 105, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2885, 105, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2886, 105, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2887, 105, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2888, 105, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2889, 105, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2890, 105, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2891, 105, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2892, 105, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2893, 105, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8834, 392, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2895, 105, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2896, 105, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2897, 105, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">class Mammal {
    public Mammal(int age) {
        System.out.print("Mammal");
    }
}

public class Platypus extends Mammal {
    public Platypus() {
        System.out.print("Platypus");
    }

    public static void main(String[] args) {
        new Mammal(5);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2898, 105, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2899, 105, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (600, 36, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2900, 105, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2901, 105, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2902, 105, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2903, 105, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2904, 105, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2905, 105, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2906, 105, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2907, 105, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2908, 105, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2909, 105, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2910, 105, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2911, 105, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2912, 105, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2913, 105, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2914, 105, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2915, 105, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2916, 105, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2917, 105, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2918, 105, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2919, 105, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2920, 105, '<p>Какие из перечисленных фактов о данном коде достоверны?&nbsp;</p><pre><code class="language-java">interface HasVocalCords {
    public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
    public void bark();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2921, 105, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {
    };

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2922, 105, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">//Course.java
package com.examplejava.courses;

class Course {
    public String courseName;
}

//ExampleJava.java
package com.examplejava;import com.examplejava.courses.Course;

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2936, 106, '<p>При каком типе кэширования сессия никогда не будет читать из кэша, а будет только писать в него во время чтения БД?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4458, 171, '<p>Как запустить скрипт python из терминала?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2923, 105, '<p>Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?</p><pre><code class="language-java">//ОТВЕТ
class MyCourse { Course c; }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3693, 136, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3694, 136, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3695, 136, '<p>Укажите верные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3692, 136, 'Можно ли использовать аннотацию @Component вместо @Service для классов бизнес логики?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4399, 167, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4447, 169, '<p>Что покажет этот код?</p><br><pre><code class="language-python">python<br>for i in range(5):<br>if i % 2 == 0:<br>continue<br>print(i)</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2874, 105, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3677, 135, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4113, 154, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4114, 154, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4115, 154, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4097, 154, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4098, 154, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4099, 154, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4100, 154, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4101, 154, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4102, 154, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4103, 154, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4104, 154, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4105, 154, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4106, 154, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4107, 154, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4108, 154, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4109, 154, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4110, 154, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4111, 154, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4112, 154, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3720, 137, '<p>Что означает статус файла new в выводе команды git status?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4314, 163, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4401, 167, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4449, 170, '<p>Что не является основным компонентом Docker Architecture</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4450, 170, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (650, 37, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (651, 37, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2876, 105, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">package com.examplejava.courses

class Course {
    public String courseName;

    public void setCourseName(private String name) {
        courseName = name;
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3667, 135, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4093, 154, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4320, 163, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4321, 163, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4322, 163, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4315, 163, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4316, 163, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4317, 163, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4318, 163, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4319, 163, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4404, 167, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4405, 167, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4406, 167, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4407, 167, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4408, 167, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4409, 167, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4410, 167, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8304, 369, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (694, 38, 'Какая строка выведет сумму чисел от 2 до 5?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2934, 106, '<p>Для каких приложений Docker подходит лучше всего</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2935, 106, '<p>Укажите верные утверждения о встраиваемых (Embeddable) классах</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2937, 106, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2938, 106, '<p>Какой тип кэширования наиболее подходящий для ситуации, когда данные в БД могут измениться сторонними процессами?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2939, 106, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2940, 106, '<p>Какой тип возвращаемого значения у этого выражения: session.createCriteria().uniqueResult()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2941, 106, '<p>Какой из провайдеров кэша второго уровня предполагается использовать только для тестов?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2942, 106, '<p>Укажите верное утверждение о методе session.load()</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2943, 106, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2924, 106, 'Какое главное преимущество использования лямбда выражений?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2925, 106, '<p>Какая из следующих строк правильно описывает создание нити?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        /*Недостающая строка*/
        Thread thread = new Thread(r);
        thread.start();
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2926, 106, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2927, 106, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2928, 106, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2929, 106, '<p>Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?&nbsp;</p><pre><code class="language-java">package aquarium;

public class Tank {
}

package aquarium.jellies;

public class Jelly {
}

package visitor;

!ИМПОРТЫ!

public class AquariumVisitor {
    public void admire(Jelly jelly) {
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2930, 106, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2931, 106, 'Заполните пробелы: Приложение должно обрабатывать или объявлять ___ , но никогда не должно обрабатывать ___', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2932, 106, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2933, 106, '<p>Какие из следующих утверждений о коде ниже являются достоверными?&nbsp;</p><pre><code class="language-java">List ages = new ArrayList&lt;&gt;();
ages.add(Integer.parseInt("5"));
ages.add(Integer.valueOf("6"));
ages.add(7);
ages.add(null);
for (int age : ages) System.out.print(age);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3681, 136, '<p>Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE</p><pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{ System.out.println("EXAMPLE") }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4094, 154, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4324, 164, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4325, 164, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4326, 164, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4327, 164, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4328, 164, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4329, 164, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4330, 164, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2944, 107, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2945, 107, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2946, 107, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2947, 107, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        IntStream intStream = IntStream.range(1, 6);
        System.out.println(intStream.average());
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2948, 107, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2949, 107, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        LocalDate date = LocalDate.ofYearDay(2015, 4);
        date.minusMonths(1);
        System.out.println(date);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2950, 107, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2951, 107, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2952, 107, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (719, 39, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (720, 39, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (722, 39, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (723, 39, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (724, 39, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2953, 107, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2954, 107, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2955, 107, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2956, 107, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2957, 107, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2958, 107, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3687, 136, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4116, 155, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4117, 155, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4118, 155, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4119, 155, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4120, 155, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4602, 177, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (725, 39, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (743, 39, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2961, 108, '<p>В приложении для заказа такси нельзя заказать машину по тарифу «Комфорт» после обновления. И водители, и пользователи не могут выбрать этот вариант поездки.</p><p>Какой приоритет у данной проблемы?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2962, 108, '<p>Команда тестирования постоянно находит от 90% до 95% дефектов, присутствующих в тестируемой системе. Хотя менеджер по тестированию понимает, что это хороший процент обнаружения дефектов для ее тестовой команды и отрасли, высшее руководство и руководители остаются разочарованными тестовой группой, говоря, что тестовая команда пропускает слишком много ошибок. Учитывая, что пользователи, как правило, довольны системой и что сбои, которые произошли, в основном имели мелкие последствия, какой из следующих принципов тестирования, скорее всего, поможет менеджеру по тестированию объяснить этим менеджерам и руководителям, почему некоторые дефекты, вероятно, будут пропущены?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4136, 155, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2963, 108, '<p>У 2% пользователей мобильной версии приложения название города отображается в неверном падеже: вместо «в Самаре» загружается «в Самара».</p><p>Какой приоритет у данной проблемы?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2964, 108, '<p>Что из перечисленного состоит из набора входных значений, предварительных условий выполнения и ожидаемых результатов?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2965, 108, '<p>Расположите тестовые сценарии из списка ниже в оптимальном порядке, реализующем проверку изменения данных клиента:</p><ol><li>Печать измененной записи клиента.</li><li>Изменить адрес клиента: номер дома и название улицы.</li><li>Захват и печать сообщения об ошибке на экране.</li><li>Изменить адреса клиента: Почтовый индекс.</li><li>Подтвердить существование клиента в базе данных, открыв эту запись.</li><li>Закрыть запись клиента и закрыть базу данных.</li><li>Попробовать добавить нового клиента без каких-либо деталей.</li></ol>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2966, 108, '<p>Отказ поля возникает при доступе нескольких пользователей к системе. Что из перечисленного верно?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2967, 108, '<p>Во время тестирования модуля тестировщик обнаруживает баг и назначает его на разработчика. Но разработчик отклоняет его, говоря, что это не баг. Что должен делать тестировщик?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2968, 108, '<p>Компания решает использовать инструмент автоматизации функционального выполнения тестов для тестирования GUI своего продукта. Графический интерфейс предполагается часто менять. Компания отправила некоторых ручных тестеров на 3-дневную программу обучения о том, как использовать инструмент. Что из перечисленного может быть правдой?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2969, 108, '<p>Что из приведенного ниже не является частью тестирования производительности?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2959, 108, '<p>Какое высказывание о статическом тестировании ложно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4122, 155, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4123, 155, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4124, 155, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4125, 155, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4126, 155, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (697, 39, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (699, 39, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1807, 80, '<p>Что не является целью тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2970, 108, '<p>Во время выполнения тестирования тест-менеджер описывает команде проекта следующую ситуацию: 90% тест-кейсов были выполнены. 20% тест-кейсов выявили дефекты. Обнаружено 127 дефектов. 112 дефектов были исправлены и прошли повторное тестирование. Для оставшихся 15 дефектов руководство проекта решило, что их не нужно исправлять до выпуска. Какое из следующих утверждений является наиболее разумной интерпретации этого отчета?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2971, 108, '<p>Стратегия тестирования, которая включает в себя понимание логики программы - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2972, 108, '<p>Вы являетесь тест-менеджером и говорите о старте системного тестирования. Разработчики говорят, что из-за изменения требований они смогут доставить систему вам для тестирования через 5 рабочих дней после установленной даты. Вы не можете изменить ресурсы (рабочие часы, инструменты тестирования и т.д). Какие шаги вы предпримете, чтобы вовремя завершить тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2973, 108, '<p>Что из следующего верно</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4137, 155, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3696, 137, '<p>Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?</p><pre><code class="language-java">//ОТВЕТ
class MyCourse { Course c; }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3697, 137, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3698, 137, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3699, 137, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3700, 137, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3701, 137, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3702, 137, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3703, 137, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3704, 137, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3705, 137, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3706, 137, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3707, 137, 'Для чего используется аннотация @Bean?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3708, 137, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3709, 137, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3710, 137, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3711, 137, '<p>Укажите верные утверждения об объекте SessionFactory</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3712, 137, '<p>Является ли объект Session потокобезопасным?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3713, 137, '<p>Укажите верные утверждения об объекте Session</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3714, 137, '<p>В какое состояние переходят все сущности, обслуживаемые PersistentContext при его закрытии?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3715, 137, '<p>На что указывает аннотация @Table?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3716, 137, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3717, 137, '<p>В чем разница между git pull и git fetch?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3718, 137, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (762, 41, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (763, 41, 'В следующем коде укажите строки, содержащие ошибки
<pre><code class="language-java">public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2975, 109, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2976, 109, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2977, 109, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2978, 109, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2979, 109, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2980, 109, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2974, 109, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3719, 137, '<p>С помощью какой команды просмотреть все изменения конкретного коммита?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4128, 155, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4129, 155, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4130, 155, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4131, 155, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4132, 155, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4133, 155, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4134, 155, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4135, 155, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4411, 167, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4331, 164, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4332, 164, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (787, 42, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<pre><code class="language-java">;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (789, 42, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4333, 164, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4334, 164, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2960, 108, '<p>Какие общие принципы тестирования характеризуются описаниями ниже? (Необходимо сопоставить)</p><p>W. Раннее тестирование</p><p>X. Кластеризация дефектов</p><p>Y. Парадокс Пестицида</p><p>Z. Заблуждение об отсутствии ошибок</p><p>1) Тестирование должно начаться в начале проекта</p><p>2) Соответствие требованиям и пригодность для использования</p><p>3) Небольшое количество модулей содержит большинство дефектов</p><p>4) Тестовые случаи должны регулярно обновляться и пересматриваться</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3721, 138, '<p>Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?</p><pre><code class="language-java">//ОТВЕТ
class MyCourse { Course c; }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3722, 138, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3723, 138, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3724, 138, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3725, 138, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3726, 138, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3727, 138, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3729, 138, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3730, 138, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3731, 138, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3732, 138, 'Для чего используется аннотация @Bean?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3733, 138, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3734, 138, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3735, 138, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3736, 138, '<p>Укажите верные утверждения об объекте SessionFactory</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3737, 138, '<p>Является ли объект Session потокобезопасным?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3738, 138, '<p>Укажите верные утверждения об объекте Session</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3739, 138, '<p>В какое состояние переходят все сущности, обслуживаемые PersistentContext при его закрытии?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3740, 138, '<p>На что указывает аннотация @Table?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3741, 138, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3742, 138, '<p>В чем разница между git pull и git fetch?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3743, 138, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3744, 138, '<p>С помощью какой команды просмотреть все изменения конкретного коммита?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3745, 138, '<p>Что означает статус файла new в выводе команды git status?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4121, 155, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4413, 167, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4414, 167, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4252, 160, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (818, 43, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2981, 110, '<p>Следующий запрос составлен некорректно. Как его исправить?&nbsp;<br>Известно что user_type_id типа bigint;</p><pre><code class="language-plaintext">Select * from users where user_type_id = NULL;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2982, 110, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2983, 110, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2984, 110, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2985, 110, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2986, 110, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2987, 110, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2988, 110, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2989, 110, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2990, 110, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2991, 110, '<p>Дана таблица users, содержащая в себе поля first_name и last_name. Какой из запросов выведет эти колонки с названиями "Имя" и "Фамилия"?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2992, 110, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2993, 110, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3151, 116, '<p>Что не является функциональным тестированием?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2994, 110, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2995, 110, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3746, 139, '<p>Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?</p><pre><code class="language-java">//ОТВЕТ
class MyCourse { Course c; }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3747, 139, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3748, 139, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4127, 155, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4451, 170, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4452, 170, '<p>При помощи какой команды можно удалить Docker контейнер</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4453, 170, '<p>Как установить актуальную версию Flask?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4454, 170, '<p>Для чего используется класс ABC?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4455, 170, '<p>Что такое "pass"в Python''e?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4585, 176, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4990, 194, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4953, 192, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5170, 202, '<p>Для чего используется "session" (из пакета flask)?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (721, 39, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5172, 202, '<p>Какие встроенные структуры данных существуют в python?</p>', 'Python', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5173, 202, '<p>Что будет напечатано при исполнении следующего кода?</p>print(type(1 / 2))', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5479, 216, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5480, 216, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2997, 111, '<p>Какая главная цель критериев выхода в тестировании ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2998, 111, '<p>Что такое бета-тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2999, 111, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3001, 111, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3002, 111, '<p>Что не является целью тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3003, 111, '<p>Даны данные о возрасте человека, который должен быть в пределах от 1 до 99. Используя анализ граничных значений выберите, какие значения нужно проверить?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3004, 111, '<p>Что из перечисленного не является техникой белого ящика?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3005, 111, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3006, 111, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3007, 111, '<p>Когда обнаружен и исправлен дефект ПО следует протестировать еще раз, чтобы подтвердить, что исходный дефект был успешно удален. Это называется…</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3008, 111, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3009, 111, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3010, 111, '<p>Какой нормальный порядок действий, в котором организовано тестирование ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3011, 111, '<p>Какое тестирование проверяет, что доработки не внесли новых ошибок в старый функционал?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3012, 111, '<p>В чем разница между тестированием компонентов и интеграционным тестированием?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4460, 171, '<p>Как удалить все объекты None из списка?</p><br><pre><code class="language-python">list_object = [None, 1, None]</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3013, 111, '<p>Поле ввода принимает Год рождения между 1900 и 2004 годах. Граничные значения для тестирования этого поля</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3014, 111, '<p>Когда необходимо выполнить регрессионное тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3015, 111, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3016, 111, '<p>Регрессионный тест:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3018, 111, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3019, 111, '<p>Проектирование тестов - это</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3020, 111, '<p>Что из перечисленного является допустимым набором классов эквивалентности для следующей проблемы: целочисленное поле должно содержать значения от 1 до 15</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3021, 111, '<p>Приемочное тестирование - это</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3022, 111, '<p>Что из приведенного ниже описывает <u>основные</u> преимущества проверки на ранних этапах жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3023, 111, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3024, 111, '<p>Учитывая следующие условия, какие из следующих значений для возраста охватывают все группы эквивалентности?</p><p>Если вам меньше 18 лет, вы слишком молоды, чтобы быть застрахованным. Если вам от 18 до 30 включительно, то предоставляется скидка 20%. Всем, кто старше 30 лет скидка не предоставляется.</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3025, 111, '<p>Какой из вариантов является функциональным тестом?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3766, 139, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3767, 139, '<p>В чем разница между git pull и git fetch?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3768, 139, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3769, 139, '<p>С помощью какой команды просмотреть все изменения конкретного коммита?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3770, 139, '<p>Что означает статус файла new в выводе команды git status?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3761, 139, '<p>Укажите верные утверждения об объекте SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3762, 139, '<p>Является ли объект Session потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3763, 139, '<p>Укажите верные утверждения об объекте Session</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3764, 139, '<p>В какое состояние переходят все сущности, обслуживаемые PersistentContext при его закрытии?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3765, 139, '<p>На что указывает аннотация @Table?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3749, 139, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3750, 139, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3756, 139, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3757, 139, 'Для чего используется аннотация @Bean?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3758, 139, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3759, 139, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3760, 139, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3751, 139, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3752, 139, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3753, 139, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3754, 139, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3755, 139, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5233, 205, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4070, 153, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4208, 159, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4244, 160, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4336, 164, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4456, 170, '<p>Что выведет следующий код?</p><br><pre><code class="language-python">python<br>d = lambda p: p * 2<br>t = lambda p: p * 3<br>x = 2<br>x = d(x)<br>x = t(x)<br>x = d(x)<br>print(x)</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4457, 170, '<p>Что покажет этот код?</p><br><pre><code class="language-python">python<br>for i in range(5):<br>if i % 2 == 0:<br>continue<br>print(i)</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4496, 173, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4497, 173, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2996, 111, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3791, 140, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3792, 140, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3793, 140, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3771, 140, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3772, 140, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3773, 140, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3774, 140, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3775, 140, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3776, 140, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3777, 140, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3778, 140, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3779, 140, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3780, 140, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3781, 140, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3782, 140, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3784, 140, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4158, 156, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3785, 140, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1897, 82, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3786, 140, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3787, 140, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3788, 140, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3789, 140, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3790, 140, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4082, 153, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4245, 160, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4448, 170, '<p>Для определения Docker Compose файла можно использовать YAML</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3000, 111, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3814, 141, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3815, 141, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3816, 141, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3794, 141, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3795, 141, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3796, 141, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3797, 141, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3798, 141, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3799, 141, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3800, 141, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3801, 141, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3802, 141, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3803, 141, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3804, 141, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3805, 141, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3807, 141, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5234, 205, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3808, 141, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3809, 141, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3810, 141, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3811, 141, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3812, 141, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3813, 141, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4140, 156, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4141, 156, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4142, 156, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4143, 156, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (961, 49, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3017, 111, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3818, 142, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3819, 142, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3820, 142, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3821, 142, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3822, 142, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3823, 142, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3824, 142, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3825, 142, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3826, 142, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3827, 142, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3828, 142, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3830, 142, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3831, 142, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3832, 142, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3833, 142, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3834, 142, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3835, 142, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3836, 142, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (985, 50, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (987, 50, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (978, 49, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4461, 171, '<p>Выберите правильное утверждение.</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4462, 171, '<p>Что такое pep-8?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4463, 171, '<p>Для чего используется конструкция try/except?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4464, 171, '<p>Укажите код, который вызовет ошибку:</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4465, 171, '<p>Какая структура данных является неизменной? (immutableUnmutable)</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4466, 171, '<p>Как установить актуальную версию Flask?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4467, 171, '<p>Как получить объект формы во Flask''e?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4468, 171, '<p>Какую ORM чаще выбирают вместе с фреймворком Flask?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3026, 112, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3027, 112, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3028, 112, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3029, 112, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3030, 112, '<p>Что является преимуществом независимого тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3031, 112, '<p>Что не является функциональным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3032, 112, '<p>Вид тестирования производительности, которое имитирует работу определенного количества бизнес пользователей на каком-либо общем (разделяемом ими) ресурсе&nbsp;</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3033, 112, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3034, 112, '<p>Что из перечисленного не является техникой белого ящика?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3035, 112, '<p>Когда обнаружен и исправлен дефект ПО следует протестировать еще раз, чтобы подтвердить, что исходный дефект был успешно удален. Это называется…</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3036, 112, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3037, 112, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3038, 112, '<p>В какой момент может начаться процесс тестирования во время процесса разработки ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3039, 112, '<p>В чем разница между тестированием компонентов и интеграционным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3040, 112, '<p>Основная причина, почему разработчики испытывают трудности с тестированием собственной работы:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3041, 112, '<p>Тестирование граничных значений ...</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3042, 112, '<p>Когда необходимо выполнить регрессионное тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3043, 112, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3044, 112, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3045, 112, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3046, 112, '<p>Нефункциональное тестирование системы включает:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3047, 112, '<p>Одно из полей формы содержит текстовое поле, которое принимает буквы в нижнем или верхнем регистре. Определите недопустимое значение класса эквивалентности.</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4632, 178, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6976, 290, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3048, 112, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3049, 112, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3050, 112, '<p>При отправке отчетов о найденных недочетах разработчикам, тестировщики должны:</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3051, 112, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1003, 50, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3052, 112, '<p>Что нужно включить в smoke-тестирование почтового клиента?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3053, 112, '<p>Приемочное тестирование - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3054, 112, '<p>При определении приоритетов для тестирования, наиболее важной целью является:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3055, 112, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3837, 142, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3838, 142, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3839, 142, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4159, 156, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4160, 156, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4161, 156, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4144, 156, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4145, 156, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4146, 156, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4147, 156, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4148, 156, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4149, 156, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4150, 156, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4152, 156, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4153, 156, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4154, 156, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4155, 156, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4156, 156, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4157, 156, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3079, 113, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4633, 178, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5045, 196, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5174, 202, '<p>Что делает следующий код?</p><br><pre><code class="language-python">def a(b, c, d): pass</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5175, 202, '<p>Что выведет следующий код?</p><br><pre><code class="language-python">python<br>d = lambda p: p * 2<br>t = lambda p: p * 3<br>x = 2<br>x = d(x)<br>x = t(x)<br>x = d(x)<br>print(x)</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5176, 202, '<p>Что покажет этот код?</p><br><pre><code class="language-python">python<br>for i in range(5):<br>if i % 2 == 0:<br>continue<br>print(i)</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5177, 202, '<p>Сколько библиотек можно импортировать в один проект?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5443, 214, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5696, 225, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3056, 113, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3057, 113, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3058, 113, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3059, 113, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3060, 113, '<p>Что является преимуществом независимого тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3061, 113, '<p>Что не является функциональным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3062, 113, '<p>Вид тестирования производительности, которое имитирует работу определенного количества бизнес пользователей на каком-либо общем (разделяемом ими) ресурсе&nbsp;</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3063, 113, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3064, 113, '<p>Что из перечисленного не является техникой белого ящика?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3065, 113, '<p>Когда обнаружен и исправлен дефект ПО следует протестировать еще раз, чтобы подтвердить, что исходный дефект был успешно удален. Это называется…</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3066, 113, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3067, 113, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3068, 113, '<p>В какой момент может начаться процесс тестирования во время процесса разработки ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3069, 113, '<p>В чем разница между тестированием компонентов и интеграционным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3070, 113, '<p>Основная причина, почему разработчики испытывают трудности с тестированием собственной работы:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3071, 113, '<p>Тестирование граничных значений ...</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3072, 113, '<p>Когда необходимо выполнить регрессионное тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3073, 113, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3074, 113, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3075, 113, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3076, 113, '<p>Нефункциональное тестирование системы включает:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3077, 113, '<p>Одно из полей формы содержит текстовое поле, которое принимает буквы в нижнем или верхнем регистре. Определите недопустимое значение класса эквивалентности.</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3078, 113, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3080, 113, '<p>При отправке отчетов о найденных недочетах разработчикам, тестировщики должны:</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3081, 113, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5163, 202, '<p>Выберите неверные утверждения про Docker Volume</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1369, 60, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3082, 113, '<p>Что нужно включить в smoke-тестирование почтового клиента?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3083, 113, '<p>Приемочное тестирование - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3084, 113, '<p>При определении приоритетов для тестирования, наиболее важной целью является:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3085, 113, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3817, 142, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4163, 157, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4164, 157, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4165, 157, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4166, 157, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4167, 157, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4168, 157, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4169, 157, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4170, 157, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4171, 157, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4172, 157, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4173, 157, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4175, 157, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4176, 157, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4177, 157, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4178, 157, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4179, 157, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4180, 157, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3086, 114, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3087, 114, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3088, 114, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3089, 114, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3090, 114, '<p>Что является преимуществом независимого тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3091, 114, '<p>Что не является функциональным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3092, 114, '<p>Вид тестирования производительности, которое имитирует работу определенного количества бизнес пользователей на каком-либо общем (разделяемом ими) ресурсе&nbsp;</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3093, 114, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3094, 114, '<p>Что из перечисленного не является техникой белого ящика?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3095, 114, '<p>Когда обнаружен и исправлен дефект ПО следует протестировать еще раз, чтобы подтвердить, что исходный дефект был успешно удален. Это называется…</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3096, 114, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3097, 114, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3098, 114, '<p>В какой момент может начаться процесс тестирования во время процесса разработки ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3099, 114, '<p>В чем разница между тестированием компонентов и интеграционным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3100, 114, '<p>Основная причина, почему разработчики испытывают трудности с тестированием собственной работы:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3101, 114, '<p>Тестирование граничных значений ...</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3102, 114, '<p>Когда необходимо выполнить регрессионное тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3103, 114, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3104, 114, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3105, 114, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3106, 114, '<p>Нефункциональное тестирование системы включает:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3107, 114, '<p>Одно из полей формы содержит текстовое поле, которое принимает буквы в нижнем или верхнем регистре. Определите недопустимое значение класса эквивалентности.</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3108, 114, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3109, 114, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3110, 114, '<p>При отправке отчетов о найденных недочетах разработчикам, тестировщики должны:</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4181, 157, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (970, 49, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1084, 52, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3111, 114, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3112, 114, '<p>Что нужно включить в smoke-тестирование почтового клиента?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3113, 114, '<p>Приемочное тестирование - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3114, 114, '<p>При определении приоритетов для тестирования, наиболее важной целью является:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3115, 114, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3829, 142, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4183, 157, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4184, 157, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4220, 159, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4343, 164, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4344, 164, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4345, 164, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4323, 164, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4337, 164, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4338, 164, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4339, 164, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4340, 164, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4341, 164, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4342, 164, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4471, 171, '<p>Что выведет следующий фрагмент кода?</p><br><pre><code class="language-python">python<br>a = [1,2,3,None,(),[],]<br>print(len(a))</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5171, 202, '<p>Выберите вариант ответа, где все методы есть методами словаря dict().</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5236, 205, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3116, 115, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3117, 115, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3118, 115, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3150, 116, '<p>Что является преимуществом независимого тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3119, 115, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3120, 115, '<p>Что является преимуществом независимого тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3121, 115, '<p>Что не является функциональным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3122, 115, '<p>Вид тестирования производительности, которое имитирует работу определенного количества бизнес пользователей на каком-либо общем (разделяемом ими) ресурсе&nbsp;</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3123, 115, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3124, 115, '<p>Что из перечисленного не является техникой белого ящика?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3125, 115, '<p>Когда обнаружен и исправлен дефект ПО следует протестировать еще раз, чтобы подтвердить, что исходный дефект был успешно удален. Это называется…</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3126, 115, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3127, 115, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3128, 115, '<p>В какой момент может начаться процесс тестирования во время процесса разработки ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3129, 115, '<p>В чем разница между тестированием компонентов и интеграционным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3130, 115, '<p>Основная причина, почему разработчики испытывают трудности с тестированием собственной работы:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3131, 115, '<p>Тестирование граничных значений ...</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3132, 115, '<p>Когда необходимо выполнить регрессионное тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3133, 115, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3134, 115, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3135, 115, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3136, 115, '<p>Нефункциональное тестирование системы включает:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3137, 115, '<p>Одно из полей формы содержит текстовое поле, которое принимает буквы в нижнем или верхнем регистре. Определите недопустимое значение класса эквивалентности.</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3138, 115, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3139, 115, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3140, 115, '<p>При отправке отчетов о найденных недочетах разработчикам, тестировщики должны:</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3141, 115, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1109, 52, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1163, 53, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3142, 115, '<p>Что нужно включить в smoke-тестирование почтового клиента?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3143, 115, '<p>Приемочное тестирование - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3144, 115, '<p>При определении приоритетов для тестирования, наиболее важной целью является:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3897, 145, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3145, 115, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3783, 140, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4139, 156, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4266, 161, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4415, 168, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4416, 168, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4417, 168, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4418, 168, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4419, 168, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4420, 168, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4421, 168, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4422, 168, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4423, 168, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4424, 168, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4425, 168, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4426, 168, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4472, 171, '<p>Что покажет этот код?</p><br><pre><code class="language-python">python<br>for i in range(5):<br>if i % 2 == 0:<br>continue<br>print(i)</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4498, 173, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4499, 173, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3147, 116, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3148, 116, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 'Теория тестирования', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3149, 116, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10859, 495, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3152, 116, '<p>Вид тестирования производительности, которое имитирует работу определенного количества бизнес пользователей на каком-либо общем (разделяемом ими) ресурсе&nbsp;</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3153, 116, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3154, 116, '<p>Что из перечисленного не является техникой белого ящика?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3155, 116, '<p>Когда обнаружен и исправлен дефект ПО следует протестировать еще раз, чтобы подтвердить, что исходный дефект был успешно удален. Это называется…</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3156, 116, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3157, 116, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3158, 116, '<p>В какой момент может начаться процесс тестирования во время процесса разработки ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3159, 116, '<p>В чем разница между тестированием компонентов и интеграционным тестированием?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3160, 116, '<p>Основная причина, почему разработчики испытывают трудности с тестированием собственной работы:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3161, 116, '<p>Тестирование граничных значений ...</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3162, 116, '<p>Когда необходимо выполнить регрессионное тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3163, 116, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3165, 116, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3166, 116, '<p>Нефункциональное тестирование системы включает:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3167, 116, '<p>Одно из полей формы содержит текстовое поле, которое принимает буквы в нижнем или верхнем регистре. Определите недопустимое значение класса эквивалентности.</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3168, 116, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3169, 116, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3170, 116, '<p>При отправке отчетов о найденных недочетах разработчикам, тестировщики должны:</p>', 'Теория тестирования', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3171, 116, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3172, 116, '<p>Что нужно включить в smoke-тестирование почтового клиента?</p>', 'Теория тестирования', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3173, 116, '<p>Приемочное тестирование - это</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5178, 203, '<p>Выберите неверные утверждения про Docker Volume</p>', 'Docker', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5179, 203, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5180, 203, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5181, 203, '<p>Что такое "pass"в Python''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5182, 203, '<p>Для чего используется Garbage Collector в Python''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3174, 116, '<p>При определении приоритетов для тестирования, наиболее важной целью является:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3175, 116, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3259, 119, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3840, 143, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3841, 143, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3842, 143, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3843, 143, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3844, 143, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3845, 143, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3846, 143, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3847, 143, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3848, 143, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3849, 143, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3850, 143, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3851, 143, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3853, 143, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3854, 143, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3855, 143, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3856, 143, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3857, 143, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3858, 143, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3146, 116, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3859, 143, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3860, 143, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3861, 143, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3862, 143, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4182, 157, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4346, 165, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4347, 165, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4348, 165, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4349, 165, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4350, 165, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3931, 146, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4351, 165, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4352, 165, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4353, 165, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4354, 165, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4355, 165, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4356, 165, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4357, 165, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4359, 165, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4360, 165, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4361, 165, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4362, 165, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4363, 165, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4364, 165, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3164, 116, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3883, 144, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3884, 144, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3885, 144, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3864, 144, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3865, 144, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3866, 144, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3867, 144, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3868, 144, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3869, 144, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3870, 144, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3871, 144, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3872, 144, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3873, 144, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3874, 144, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3876, 144, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3895, 145, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3896, 145, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3877, 144, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3878, 144, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3879, 144, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3880, 144, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3881, 144, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3882, 144, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4162, 157, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1305, 58, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4366, 165, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4367, 165, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4368, 165, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4365, 165, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4459, 171, '<p>Как удалить объект из списка по индексу (чтобы изменилась длина списка)?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4500, 173, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3176, 117, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3177, 117, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3178, 117, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3179, 117, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3180, 117, '<p>Что является преимуществом независимого тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3181, 117, '<p>Что не является функциональным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3182, 117, '<p>Вид тестирования производительности, которое имитирует работу определенного количества бизнес пользователей на каком-либо общем (разделяемом ими) ресурсе&nbsp;</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3183, 117, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3184, 117, '<p>Что из перечисленного не является техникой белого ящика?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3185, 117, '<p>Когда обнаружен и исправлен дефект ПО следует протестировать еще раз, чтобы подтвердить, что исходный дефект был успешно удален. Это называется…</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3186, 117, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3187, 117, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3188, 117, '<p>В какой момент может начаться процесс тестирования во время процесса разработки ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3189, 117, '<p>В чем разница между тестированием компонентов и интеграционным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3190, 117, '<p>Основная причина, почему разработчики испытывают трудности с тестированием собственной работы:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3191, 117, '<p>Тестирование граничных значений ...</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3192, 117, '<p>Когда необходимо выполнить регрессионное тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3193, 117, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3194, 117, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3195, 117, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3196, 117, '<p>Нефункциональное тестирование системы включает:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3197, 117, '<p>Одно из полей формы содержит текстовое поле, которое принимает буквы в нижнем или верхнем регистре. Определите недопустимое значение класса эквивалентности.</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3198, 117, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3199, 117, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3200, 117, '<p>При отправке отчетов о найденных недочетах разработчикам, тестировщики должны:</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4469, 171, '<p>Какие встроенные структуры данных существуют в python?</p>', 'Python', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1313, 59, 'Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?
<pre><code class="language-java">package aquarium;
public class Water {
boolean salty = false;
}

package aquarium.jellies;
public class Water {
boolean salty = true;
}

package employee;
!ИМПОРТЫ!
public class WaterFiller {
Water water;
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1315, 59, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3201, 117, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3202, 117, '<p>Что нужно включить в smoke-тестирование почтового клиента?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3203, 117, '<p>Приемочное тестирование - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3204, 117, '<p>При определении приоритетов для тестирования, наиболее важной целью является:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3205, 117, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3886, 145, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3887, 145, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3888, 145, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3889, 145, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3890, 145, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3891, 145, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3892, 145, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3893, 145, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3894, 145, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3898, 145, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3899, 145, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4470, 171, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>name = "snow storm"<br>print("%s" % name[6:8])</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1337, 60, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1338, 60, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3206, 118, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3207, 118, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3208, 118, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3209, 118, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3210, 118, '<p>Что является преимуществом независимого тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3211, 118, '<p>Что не является функциональным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3212, 118, '<p>Вид тестирования производительности, которое имитирует работу определенного количества бизнес пользователей на каком-либо общем (разделяемом ими) ресурсе&nbsp;</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3213, 118, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3214, 118, '<p>Что из перечисленного не является техникой белого ящика?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3215, 118, '<p>Когда обнаружен и исправлен дефект ПО следует протестировать еще раз, чтобы подтвердить, что исходный дефект был успешно удален. Это называется…</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3216, 118, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3217, 118, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3218, 118, '<p>В какой момент может начаться процесс тестирования во время процесса разработки ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3219, 118, '<p>В чем разница между тестированием компонентов и интеграционным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3220, 118, '<p>Основная причина, почему разработчики испытывают трудности с тестированием собственной работы:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3221, 118, '<p>Тестирование граничных значений ...</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3222, 118, '<p>Когда необходимо выполнить регрессионное тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3223, 118, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3224, 118, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3225, 118, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3226, 118, '<p>Нефункциональное тестирование системы включает:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3227, 118, '<p>Одно из полей формы содержит текстовое поле, которое принимает буквы в нижнем или верхнем регистре. Определите недопустимое значение класса эквивалентности.</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3228, 118, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3229, 118, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3230, 118, '<p>При отправке отчетов о найденных недочетах разработчикам, тестировщики должны:</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3231, 118, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3232, 118, '<p>Что нужно включить в smoke-тестирование почтового клиента?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3233, 118, '<p>Приемочное тестирование - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3234, 118, '<p>При определении приоритетов для тестирования, наиболее важной целью является:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3235, 118, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3900, 145, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3901, 145, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3902, 145, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3903, 145, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3904, 145, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3905, 145, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3906, 145, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3907, 145, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3908, 145, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4151, 156, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4369, 166, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4370, 166, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4371, 166, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4372, 166, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4373, 166, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4374, 166, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4375, 166, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4376, 166, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4377, 166, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4378, 166, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4379, 166, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4380, 166, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4474, 172, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3237, 119, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3238, 119, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 'Теория тестирования', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3239, 119, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3240, 119, '<p>Что является преимуществом независимого тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3241, 119, '<p>Что не является функциональным тестированием?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3243, 119, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3244, 119, '<p>Что из перечисленного не является техникой белого ящика?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3245, 119, '<p>Когда обнаружен и исправлен дефект ПО следует протестировать еще раз, чтобы подтвердить, что исходный дефект был успешно удален. Это называется…</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3246, 119, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3247, 119, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3248, 119, '<p>В какой момент может начаться процесс тестирования во время процесса разработки ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3249, 119, '<p>В чем разница между тестированием компонентов и интеграционным тестированием?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3250, 119, '<p>Основная причина, почему разработчики испытывают трудности с тестированием собственной работы:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3251, 119, '<p>Тестирование граничных значений ...</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3252, 119, '<p>Когда необходимо выполнить регрессионное тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3253, 119, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3254, 119, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3255, 119, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3256, 119, '<p>Нефункциональное тестирование системы включает:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3257, 119, '<p>Одно из полей формы содержит текстовое поле, которое принимает буквы в нижнем или верхнем регистре. Определите недопустимое значение класса эквивалентности.</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3258, 119, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3373, 123, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3260, 119, '<p>При отправке отчетов о найденных недочетах разработчикам, тестировщики должны:</p>', 'Теория тестирования', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3262, 119, '<p>Что нужно включить в smoke-тестирование почтового клиента?</p>', 'Теория тестирования', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3263, 119, '<p>Приемочное тестирование - это</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3264, 119, '<p>При определении приоритетов для тестирования, наиболее важной целью является:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3265, 119, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3909, 146, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3910, 146, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3911, 146, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3912, 146, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3913, 146, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3914, 146, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3915, 146, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3916, 146, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3917, 146, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3918, 146, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3919, 146, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3920, 146, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3922, 146, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3923, 146, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3924, 146, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3925, 146, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3926, 146, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3927, 146, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3266, 120, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3267, 120, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3268, 120, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3269, 120, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3270, 120, '<p>Что является преимуществом независимого тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3271, 120, '<p>Что не является функциональным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3928, 146, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3272, 120, '<p>Вид тестирования производительности, которое имитирует работу определенного количества бизнес пользователей на каком-либо общем (разделяемом ими) ресурсе&nbsp;</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3273, 120, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3274, 120, '<p>Что из перечисленного не является техникой белого ящика?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3275, 120, '<p>Когда обнаружен и исправлен дефект ПО следует протестировать еще раз, чтобы подтвердить, что исходный дефект был успешно удален. Это называется…</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3276, 120, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3277, 120, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3278, 120, '<p>В какой момент может начаться процесс тестирования во время процесса разработки ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3279, 120, '<p>В чем разница между тестированием компонентов и интеграционным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3280, 120, '<p>Основная причина, почему разработчики испытывают трудности с тестированием собственной работы:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3281, 120, '<p>Тестирование граничных значений ...</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3282, 120, '<p>Когда необходимо выполнить регрессионное тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3283, 120, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3284, 120, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3285, 120, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3286, 120, '<p>Нефункциональное тестирование системы включает:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3287, 120, '<p>Одно из полей формы содержит текстовое поле, которое принимает буквы в нижнем или верхнем регистре. Определите недопустимое значение класса эквивалентности.</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3288, 120, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3289, 120, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3290, 120, '<p>При отправке отчетов о найденных недочетах разработчикам, тестировщики должны:</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3291, 120, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3292, 120, '<p>Что нужно включить в smoke-тестирование почтового клиента?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3293, 120, '<p>Приемочное тестирование - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3294, 120, '<p>При определении приоритетов для тестирования, наиболее важной целью является:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3295, 120, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3929, 146, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3930, 146, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4174, 157, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4381, 166, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4382, 166, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4383, 166, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4384, 166, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4385, 166, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4386, 166, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4387, 166, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4530, 174, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4601, 177, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1371, 60, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1779, 79, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1780, 79, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1781, 79, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1783, 79, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3296, 121, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3297, 121, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3298, 121, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3299, 121, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3300, 121, '<p>Что является преимуществом независимого тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3301, 121, '<p>Что не является функциональным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3302, 121, '<p>Вид тестирования производительности, которое имитирует работу определенного количества бизнес пользователей на каком-либо общем (разделяемом ими) ресурсе&nbsp;</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3303, 121, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3304, 121, '<p>Что из перечисленного не является техникой белого ящика?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3971, 148, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3305, 121, '<p>Когда обнаружен и исправлен дефект ПО следует протестировать еще раз, чтобы подтвердить, что исходный дефект был успешно удален. Это называется…</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3306, 121, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3307, 121, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3308, 121, '<p>В какой момент может начаться процесс тестирования во время процесса разработки ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3309, 121, '<p>В чем разница между тестированием компонентов и интеграционным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3310, 121, '<p>Основная причина, почему разработчики испытывают трудности с тестированием собственной работы:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3311, 121, '<p>Тестирование граничных значений ...</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3312, 121, '<p>Когда необходимо выполнить регрессионное тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3313, 121, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3314, 121, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3315, 121, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3316, 121, '<p>Нефункциональное тестирование системы включает:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3317, 121, '<p>Одно из полей формы содержит текстовое поле, которое принимает буквы в нижнем или верхнем регистре. Определите недопустимое значение класса эквивалентности.</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3318, 121, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3319, 121, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3320, 121, '<p>При отправке отчетов о найденных недочетах разработчикам, тестировщики должны:</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3321, 121, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3322, 121, '<p>Что нужно включить в smoke-тестирование почтового клиента?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3323, 121, '<p>Приемочное тестирование - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3324, 121, '<p>При определении приоритетов для тестирования, наиболее важной целью является:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3325, 121, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3947, 147, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3948, 147, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3949, 147, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3950, 147, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3951, 147, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3952, 147, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3954, 147, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3933, 147, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3934, 147, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3935, 147, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3936, 147, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3937, 147, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3938, 147, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3939, 147, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3940, 147, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3941, 147, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3942, 147, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3943, 147, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3945, 147, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3946, 147, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4185, 158, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4186, 158, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4476, 172, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4637, 179, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5183, 203, '<p>Что такое веб-фреймворк (на примере Flask/Django)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5184, 203, '<p>Что такое Jinja?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5185, 203, '<p>Для чего используется "session" (из пакета flask)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5186, 203, '<p>Выберите вариант ответа, где все методы есть методами словаря dict().</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5187, 203, '<p>Какие встроенные структуры данных существуют в python?</p>', 'Python', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3326, 122, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3327, 122, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3328, 122, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 'Теория тестирования', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3330, 122, '<p>Что является преимуществом независимого тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3331, 122, '<p>Что не является функциональным тестированием?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3332, 122, '<p>Вид тестирования производительности, которое имитирует работу определенного количества бизнес пользователей на каком-либо общем (разделяемом ими) ресурсе&nbsp;</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3333, 122, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3334, 122, '<p>Что из перечисленного не является техникой белого ящика?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3335, 122, '<p>Когда обнаружен и исправлен дефект ПО следует протестировать еще раз, чтобы подтвердить, что исходный дефект был успешно удален. Это называется…</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3336, 122, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3337, 122, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3338, 122, '<p>В какой момент может начаться процесс тестирования во время процесса разработки ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3339, 122, '<p>В чем разница между тестированием компонентов и интеграционным тестированием?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3340, 122, '<p>Основная причина, почему разработчики испытывают трудности с тестированием собственной работы:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3341, 122, '<p>Тестирование граничных значений ...</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3342, 122, '<p>Когда необходимо выполнить регрессионное тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3343, 122, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1917, 82, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1918, 82, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main { public static void main(String[] args) { Stream&lt;Integer&gt; integerStream = Stream.of(13,44,2,11,29); Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i%2 != 0)); System.out.println(map.get(true)); } }</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2021, 85, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3345, 122, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3346, 122, '<p>Нефункциональное тестирование системы включает:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3347, 122, '<p>Одно из полей формы содержит текстовое поле, которое принимает буквы в нижнем или верхнем регистре. Определите недопустимое значение класса эквивалентности.</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3348, 122, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3349, 122, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3350, 122, '<p>При отправке отчетов о найденных недочетах разработчикам, тестировщики должны:</p>', 'Теория тестирования', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4388, 166, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4390, 166, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4391, 166, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4389, 166, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4480, 172, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3351, 122, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3352, 122, '<p>Что нужно включить в smoke-тестирование почтового клиента?</p>', 'Теория тестирования', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3353, 122, '<p>Приемочное тестирование - это</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3354, 122, '<p>При определении приоритетов для тестирования, наиболее важной целью является:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3355, 122, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3370, 123, '<p>Основная причина, почему разработчики испытывают трудности с тестированием собственной работы:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3371, 123, '<p>Тестирование граничных значений ...</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3972, 148, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3921, 146, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4187, 158, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4188, 158, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4189, 158, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4190, 158, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4191, 158, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4192, 158, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4193, 158, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4483, 172, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4727, 183, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4667, 180, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4668, 180, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1969, 84, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2022, 85, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2023, 85, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3356, 123, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3357, 123, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3358, 123, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3359, 123, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3360, 123, '<p>Что является преимуществом независимого тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3361, 123, '<p>Что не является функциональным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3362, 123, '<p>Вид тестирования производительности, которое имитирует работу определенного количества бизнес пользователей на каком-либо общем (разделяемом ими) ресурсе&nbsp;</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3363, 123, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3364, 123, '<p>Что из перечисленного не является техникой белого ящика?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3365, 123, '<p>Когда обнаружен и исправлен дефект ПО следует протестировать еще раз, чтобы подтвердить, что исходный дефект был успешно удален. Это называется…</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3366, 123, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3367, 123, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3368, 123, '<p>В какой момент может начаться процесс тестирования во время процесса разработки ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3369, 123, '<p>В чем разница между тестированием компонентов и интеграционным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3372, 123, '<p>Когда необходимо выполнить регрессионное тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3374, 123, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3375, 123, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3376, 123, '<p>Нефункциональное тестирование системы включает:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3377, 123, '<p>Одно из полей формы содержит текстовое поле, которое принимает буквы в нижнем или верхнем регистре. Определите недопустимое значение класса эквивалентности.</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3378, 123, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3379, 123, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3380, 123, '<p>При отправке отчетов о найденных недочетах разработчикам, тестировщики должны:</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3381, 123, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3382, 123, '<p>Что нужно включить в smoke-тестирование почтового клиента?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3383, 123, '<p>Приемочное тестирование - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1996, 84, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3384, 123, '<p>При определении приоритетов для тестирования, наиболее важной целью является:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3385, 123, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3863, 144, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2001, 84, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2002, 84, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2003, 84, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2004, 84, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2005, 84, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2006, 84, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2007, 84, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2008, 84, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2009, 84, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2010, 84, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3973, 148, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2011, 84, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2012, 84, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2013, 84, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2014, 84, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2015, 84, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4195, 158, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4196, 158, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4198, 158, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4199, 158, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4529, 174, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4723, 182, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4724, 182, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4725, 182, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4748, 183, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4782, 185, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4783, 185, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5188, 203, '<p>Что будет напечатано при исполнении следующего кода?</p>print(type(1 / 2))', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3236, 119, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3875, 144, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4205, 158, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4206, 158, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4207, 158, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4200, 158, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4201, 158, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4202, 158, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4203, 158, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4204, 158, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4300, 163, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3969, 148, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3974, 148, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4427, 168, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4428, 168, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4429, 168, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4430, 168, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4431, 168, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4432, 168, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2042, 85, 'Как работает ключевое слово volatile?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3242, 119, '<p>Вид тестирования производительности, которое имитирует работу определенного количества бизнес пользователей на каком-либо общем (разделяемом ими) ресурсе&nbsp;</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3975, 148, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3976, 148, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3977, 148, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3955, 148, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3956, 148, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3957, 148, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3958, 148, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3959, 148, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3960, 148, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3961, 148, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3962, 148, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3963, 148, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3964, 148, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3965, 148, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3966, 148, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3968, 148, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3970, 148, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4194, 158, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4307, 163, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4435, 168, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4436, 168, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4437, 168, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4433, 168, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4434, 168, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3261, 119, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3953, 147, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4197, 158, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4309, 163, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4412, 167, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4243, 160, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4335, 164, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4358, 165, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4478, 172, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4479, 172, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5325, 209, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5739, 227, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2070, 86, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2083, 86, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2084, 87, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3329, 122, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3932, 147, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4228, 159, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4229, 159, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4230, 159, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4209, 159, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4210, 159, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4211, 159, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4212, 159, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4213, 159, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4214, 159, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4215, 159, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4216, 159, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4217, 159, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4218, 159, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4219, 159, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4221, 159, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4222, 159, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4223, 159, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4224, 159, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4225, 159, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4226, 159, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4227, 159, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4438, 169, '<p>Что не является основным компонентом Docker Architecture</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4439, 169, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4440, 169, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4441, 169, '<p>При помощи какой команды можно удалить Docker контейнер</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4442, 169, '<p>Для определения Docker Compose файла можно использовать YAML</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4443, 169, '<p>Для чего используется класс ABC?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4444, 169, '<p>Что такое "pass"в Python''e?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4445, 169, '<p>Как установить актуальную версию Flask?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4576, 176, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5326, 209, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5466, 215, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5765, 228, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2140, 88, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2141, 88, 'Что из следующего не является побитовой операцией?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2142, 88, 'Какой будет результат выполнения следующей программы?
<pre><code class="language-java">public class Outer {
public int x;
private int y;
void cal(int a, int b) {
x = a + 1;
y = b;
}
static class Inner {
public static void main(String args[]) {
Outer obj = new Outer();
obj.cal(2, 3);
System.out.println(obj.x + " " + obj.y);
}
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2143, 88, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2144, 88, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2145, 88, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2146, 88, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2147, 88, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2148, 88, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main { public static void main(String[] args) { Stream&lt;Integer&gt; integerStream = Stream.of(13,44,2,11,29); Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i%2 != 0)); System.out.println(map.get(true)); } }</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3344, 122, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3944, 147, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4392, 167, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4231, 160, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4232, 160, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4233, 160, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4234, 160, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4235, 160, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4236, 160, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4237, 160, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4238, 160, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4239, 160, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4240, 160, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4241, 160, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4242, 160, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4481, 172, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3394, 124, '<p>Следующий запрос составлен некорректно. Как его исправить?&nbsp;<br>Известно что user_type_id типа bigint;</p><pre><code class="language-plaintext">Select * from users where user_type_id = NULL;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3395, 124, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3396, 124, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3397, 124, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3398, 124, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3399, 124, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3400, 124, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3386, 124, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3387, 124, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3388, 124, '<p>Даны данные о возрасте человека, который должен быть в пределах от 1 до 99. Используя анализ граничных значений выберите, какие значения нужно проверить?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3389, 124, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3390, 124, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3391, 124, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3392, 124, '<p>Приемочное тестирование - это</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3393, 124, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3967, 148, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2198, 89, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main { public static void main(String[] args) { Stream&lt;Integer&gt; integerStream = Stream.of(13,44,2,11,29); Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i%2 != 0)); System.out.println(map.get(true)); } }</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3401, 125, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3402, 125, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11389, 518, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3403, 125, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">package com.examplejava.courses

class Course {
    public String courseName;

    public void setCourseName(private String name) {
        courseName = name;
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3404, 125, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3405, 125, '<p>Какие из следующих объявлений приведут к ошибке компиляции?&nbsp;</p><pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3406, 125, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3407, 125, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3408, 125, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3409, 125, '<p>Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE</p><pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{ System.out.println("EXAMPLE") }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3410, 125, '<p>Следующий текст представляет содержимое файла MyClass.java Выберите верные утверждения. //содержимое MyClass.java&nbsp;</p><pre><code class="language-java">package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3411, 125, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3412, 125, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3413, 125, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3414, 125, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3415, 125, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3416, 125, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3417, 125, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3418, 125, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3419, 125, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3420, 125, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3421, 125, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3422, 125, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3423, 125, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3424, 125, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">class Mammal {
    public Mammal(int age) {
        System.out.print("Mammal");
    }
}

public class Platypus extends Mammal {
    public Platypus() {
        System.out.print("Platypus");
    }

    public static void main(String[] args) {
        new Mammal(5);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3425, 125, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3426, 125, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3427, 125, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3428, 125, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3429, 125, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9038, 400, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3430, 125, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3431, 125, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3432, 125, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3433, 125, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3434, 125, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3435, 125, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3436, 125, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3437, 125, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3438, 125, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3439, 125, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3440, 125, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3441, 125, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3442, 125, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3443, 125, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3444, 125, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3445, 125, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3446, 125, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3447, 125, '<p>Какие из перечисленных фактов о данном коде достоверны?&nbsp;</p><pre><code class="language-java">interface HasVocalCords {
    public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
    public void bark();
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3448, 125, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {
    };

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3449, 125, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">//Course.java
package com.examplejava.courses;

class Course {
    public String courseName;
}

//ExampleJava.java
package com.examplejava;import com.examplejava.courses.Course;

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3450, 125, '<p>Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?</p><pre><code class="language-java">//ОТВЕТ
class MyCourse { Course c; }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2206, 90, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2207, 90, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2237, 90, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2238, 90, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2239, 90, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2240, 90, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2241, 90, 'Что из следующего не является побитовой операцией?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2242, 90, 'Какой будет результат выполнения следующей программы?
<pre><code class="language-java">public class Outer {
public int x;
private int y;
void cal(int a, int b) {
x = a + 1;
y = b;
}
static class Inner {
public static void main(String args[]) {
Outer obj = new Outer();
obj.cal(2, 3);
System.out.println(obj.x + " " + obj.y);
}
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2243, 90, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2244, 90, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2245, 90, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2246, 90, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2247, 90, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2248, 90, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main { public static void main(String[] args) { Stream&lt;Integer&gt; integerStream = Stream.of(13,44,2,11,29); Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i%2 != 0)); System.out.println(map.get(true)); } }</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2201, 90, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2205, 90, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3453, 126, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">interface Aquatic {
    public default int getNumberOfGills(int input) {
        return 2;
    }
}

public class ClownFish implements Aquatic {
    public String getNumberOfGills() {
        return "4";
    }

    public String getNumberOfGills(int input) {
        return "6";
    }

    public static void main(String[] args) {
        System.out.println(new ClownFish().getNumberOfGills(-1));
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3454, 126, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">abstract class Reptile {
    public final void layEggs() {
        System.out.println("Reptile laying eggs");
    }

    public static void main(String[] args) {
        Reptile reptile = new Lizard();
        reptile.layEggs();
    }
}

public class Lizard extends Reptile {
    public void layEggs() {
        System.out.println("Lizard laying eggs");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3455, 126, 'Что из перечисленного при наследовании может быть только скрыто и не может быть переопределено?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3456, 126, 'Заполните пробелы: ___ появляется когда программа заходит слишком глубоко в рекурсию, находясь в бесконечном цикле, тогда как ___ появляется при обращении к несуществующему объекту.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3457, 126, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3458, 126, 'Заполните пробелы: Приложение должно обрабатывать или объявлять ___ , но никогда не должно обрабатывать ___', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3459, 126, '<p>В следующем коде укажите строки, содержащие ошибки&nbsp;</p><pre><code class="language-java">public interface Herbivore {
    int amount = 10;

    public static void eatGrass();

    public int chew() {
        return 13;
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3460, 126, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3461, 126, 'Какое главное преимущество использования лямбда выражений?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3462, 126, 'Какое из следующих утверждений о конструкторах без аргументов является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3463, 126, 'Какие из следующих сигнатур методов не содержат ошибку?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3464, 126, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3465, 126, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3471, 126, '<p>Сколько ошибок компиляции в следующем коде?&nbsp;</p><pre><code class="language-java">public class RopeSwing {
    private static final String leftRope;
    private static final String rightRope;
    private static final String bench;
    private static final String name = "name";

    static {
        leftRope = "left";
        rightRope = "right";
    }

    static {
        name = "name";
        rightRope = "right";
    }

    public static void main(String[] args) {
        bench = "bench";
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3472, 126, '<p>Какие из следующих утверждений о перегруженных методах являются достоверными?&nbsp;</p><p>1) Перегруженные методы должны иметь одинаковое имя&nbsp;</p><p>2) Перегруженные методы должны иметь одинаковый тип возвращаемого значения&nbsp;</p><p>3) Перегруженные методы должны иметь разный список аргументов</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3473, 126, 'Если вы хотите построить Immutable объект, какое из следующих утверждений будет верно?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3474, 126, 'Что из следующего является правильным созданием ExecutorService ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3475, 126, 'Какая строка выведет сумму чисел от 2 до 5?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3476, 126, 'Какие варианты инициализации массива правильные?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3507, 127, '<p>Что нужно включить в smoke-тестирование почтового клиента?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3508, 127, '<p>Приемочное тестирование - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6974, 290, '<p>Укажите верное утверждение о методе session.load()</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3477, 126, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Test {
    public static void main(String[] args) {
        Cat cat = new Cat();
        cat.setKittyId(4);
        System.out.println(cat.kitty.id);
    }

    static class Cat {
        int id;
        String name;
        Cat kitty = new Cat();

        public void setKittyId(int kittyId) {
            this.kitty.id = kittyId;
        }
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3478, 126, '<p>Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?&nbsp;</p><pre><code class="language-java">package aquarium;

public class Water {
    boolean salty = false;
} package aquarium.jellies;

public class Water {
    boolean salty = true;
}

package employee;

!ИМПОРТЫ!

public class WaterFiller {
    Water water;
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3479, 126, '<p>Какие из утверждений являются достоверными в следующем коде?&nbsp;</p><pre><code class="language-java">public class Rodent {
    protected static Integer chew() throws Exception {
        System.out.println("Rodent is chewing");
        return 1;
    }
}

class Beaver extends Rodent {
    public Number chew() throws RuntimeException {
        System.out.println("Beaver is chewing on wood");
        return 2;
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3480, 126, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3466, 126, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3467, 126, 'Объект какого из следующих типов данных может быть модифицирован после передачи в метод в качестве аргумента?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3468, 126, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3469, 126, '<p>Что выдаст следующий код после исполнения?</p><pre><code class="language-java">public class RopeSwing {
    private static Rope rope1 = new Rope();
    private static Rope rope2 = new Rope();

    {
        System.out.println(rope1.length);
    }

    public static void main(String[] args) {
        rope1.length = 2;
        rope2.length = 8;
        System.out.println(rope1.length);
    }
}

package rope;

public class Rope {
    public static int length = 0;
}
</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3470, 126, '<p>Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?&nbsp;</p><pre><code class="language-java">public class Order3 {
    final String value1 = "1";
    static String value2 = "2";
    String value3 = "3";

    { /*ПРОПУСК_1*/ }

    static { /*ПРОПУСК_2*/ }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3806, 141, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2272, 91, 'Как работает ключевое слово volatile?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2286, 91, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2287, 91, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2288, 91, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2289, 91, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2290, 91, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2291, 91, 'Что из следующего не является побитовой операцией?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2292, 91, 'Какой будет результат выполнения следующей программы?
<pre><code class="language-java">public class Outer {
public int x;
private int y;
void cal(int a, int b) {
x = a + 1;
y = b;
}
static class Inner {
public static void main(String args[]) {
Outer obj = new Outer();
obj.cal(2, 3);
System.out.println(obj.x + " " + obj.y);
}
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2293, 91, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2294, 91, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2295, 91, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2296, 91, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2297, 91, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9316, 413, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2298, 91, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main { public static void main(String[] args) { Stream&lt;Integer&gt; integerStream = Stream.of(13,44,2,11,29); Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i%2 != 0)); System.out.println(map.get(true)); } }</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3481, 127, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3482, 127, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3483, 127, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3484, 127, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3485, 127, '<p>Что является преимуществом независимого тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3486, 127, '<p>Что не является функциональным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3487, 127, '<p>Вид тестирования производительности, которое имитирует работу определенного количества бизнес пользователей на каком-либо общем (разделяемом ими) ресурсе&nbsp;</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3488, 127, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3489, 127, '<p>Что из перечисленного не является техникой белого ящика?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3490, 127, '<p>Когда обнаружен и исправлен дефект ПО следует протестировать еще раз, чтобы подтвердить, что исходный дефект был успешно удален. Это называется…</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3491, 127, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3492, 127, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3493, 127, '<p>В какой момент может начаться процесс тестирования во время процесса разработки ПО?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3494, 127, '<p>В чем разница между тестированием компонентов и интеграционным тестированием?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3495, 127, '<p>Основная причина, почему разработчики испытывают трудности с тестированием собственной работы:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3496, 127, '<p>Тестирование граничных значений ...</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3497, 127, '<p>Когда необходимо выполнить регрессионное тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3498, 127, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3499, 127, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3500, 127, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3501, 127, '<p>Нефункциональное тестирование системы включает:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3502, 127, '<p>Одно из полей формы содержит текстовое поле, которое принимает буквы в нижнем или верхнем регистре. Определите недопустимое значение класса эквивалентности.</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3503, 127, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3504, 127, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3505, 127, '<p>При отправке отчетов о найденных недочетах разработчикам, тестировщики должны:</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3506, 127, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3509, 127, '<p>При определении приоритетов для тестирования, наиболее важной целью является:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3510, 127, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3852, 143, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4312, 163, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4251, 160, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4253, 160, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4246, 160, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4247, 160, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4248, 160, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4249, 160, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4250, 160, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4631, 178, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4913, 191, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3451, 126, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3998, 149, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3999, 149, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4000, 149, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3978, 149, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3979, 149, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3980, 149, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3981, 149, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3982, 149, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3983, 149, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3984, 149, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3985, 149, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3986, 149, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3987, 149, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3988, 149, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3989, 149, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3991, 149, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3992, 149, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3993, 149, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3994, 149, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3995, 149, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3996, 149, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3997, 149, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4254, 161, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4255, 161, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4256, 161, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4257, 161, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4677, 180, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5189, 203, '<p>Что делает следующий код?</p><br><pre><code class="language-python">def a(b, c, d): pass</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5190, 203, '<p>Что выведет следующий код?</p><br><pre><code class="language-python">python<br>d = lambda p: p * 2<br>t = lambda p: p * 3<br>x = 2<br>x = d(x)<br>x = t(x)<br>x = d(x)<br>print(x)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3452, 126, '<p>Какие из утверждений являются достоверными в следующем коде?&nbsp;</p><pre><code class="language-java">interface HasExoskeleton {
    abstract int getNumberOfSections();
}

abstract class Insect implements HasExoskeleton {
    abstract int getNumberOfLegs();
}

public class Beetle extends Insect {
    int getNumberofLegs() {
        return 6;
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3990, 149, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4274, 161, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4275, 161, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4276, 161, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4258, 161, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4259, 161, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4260, 161, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4261, 161, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4262, 161, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4263, 161, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4264, 161, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4265, 161, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4267, 161, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4268, 161, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4269, 161, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4270, 161, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4271, 161, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4272, 161, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4273, 161, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4393, 167, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4394, 167, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4395, 167, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4396, 167, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3511, 128, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3512, 128, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3513, 128, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3514, 128, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3515, 128, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">interface I {
    public default void print() {
        System.out.println("default");
    }

    static void method() {
        System.out.println("static");
    }
}

public class Main {
    public static void main(String[] args) {
        I i = new I() {
        };
        i.print();
        I.method();
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3516, 128, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3517, 128, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3518, 128, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3519, 128, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3520, 128, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3521, 128, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3522, 128, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main {
    static int a = 222;

    static {
        a = a-- - --a;
    }

    {
        a = a++ + ++a;
    }

    public static void main(String[] args) {
        System.out.println(a);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3523, 128, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3524, 128, '<p>Какой будет результат выполнения следующей программы?</p><pre><code class="language-java">
public class Outer {
	public int x; private int y; void cal(int a, int b) {
	x = a + 1; y = b;
}

	static class Inner {
		public static void main(String args[]) {
			Outer obj = new Outer(); obj.cal(2, 3);
			System.out.println(obj.x + " " + obj.y);
		}
	}

}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3536, 129, 'Какое главное преимущество использования лямбда выражений?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4489, 172, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3525, 128, '<p>Какой будет результат выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        new Main().test();
    }

    interface I {
        void print();
    }

    public I create() {
        return () -&gt; System.out.println("Hello!");
    }

    private I i = this::create;

    public void test() {
        i.print();
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4001, 150, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4002, 150, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4003, 150, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4004, 150, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2422, 94, 'Как работает ключевое слово volatile?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4005, 150, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4006, 150, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4007, 150, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4008, 150, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4009, 150, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4010, 150, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4011, 150, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4012, 150, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4277, 162, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3526, 129, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3527, 129, '<p>Какие из утверждений являются достоверными в следующем коде?&nbsp;</p><pre><code class="language-java">interface HasExoskeleton {
    abstract int getNumberOfSections();
}

abstract class Insect implements HasExoskeleton {
    abstract int getNumberOfLegs();
}

public class Beetle extends Insect {
    int getNumberofLegs() {
        return 6;
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3528, 129, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">interface Aquatic {
    public default int getNumberOfGills(int input) {
        return 2;
    }
}

public class ClownFish implements Aquatic {
    public String getNumberOfGills() {
        return "4";
    }

    public String getNumberOfGills(int input) {
        return "6";
    }

    public static void main(String[] args) {
        System.out.println(new ClownFish().getNumberOfGills(-1));
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3529, 129, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">abstract class Reptile {
    public final void layEggs() {
        System.out.println("Reptile laying eggs");
    }

    public static void main(String[] args) {
        Reptile reptile = new Lizard();
        reptile.layEggs();
    }
}

public class Lizard extends Reptile {
    public void layEggs() {
        System.out.println("Lizard laying eggs");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3530, 129, 'Что из перечисленного при наследовании может быть только скрыто и не может быть переопределено?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3531, 129, 'Заполните пробелы: ___ появляется когда программа заходит слишком глубоко в рекурсию, находясь в бесконечном цикле, тогда как ___ появляется при обращении к несуществующему объекту.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3532, 129, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3533, 129, 'Заполните пробелы: Приложение должно обрабатывать или объявлять ___ , но никогда не должно обрабатывать ___', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3534, 129, '<p>В следующем коде укажите строки, содержащие ошибки&nbsp;</p><pre><code class="language-java">public interface Herbivore {
    int amount = 10;

    public static void eatGrass();

    public int chew() {
        return 13;
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3535, 129, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9317, 413, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3537, 129, 'Какое из следующих утверждений о конструкторах без аргументов является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3538, 129, 'Какие из следующих сигнатур методов не содержат ошибку?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3539, 129, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3540, 129, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3541, 129, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3542, 129, 'Объект какого из следующих типов данных может быть модифицирован после передачи в метод в качестве аргумента?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3543, 129, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3544, 129, '<p>Что выдаст следующий код после исполнения?</p><pre><code class="language-java">public class RopeSwing {
    private static Rope rope1 = new Rope();
    private static Rope rope2 = new Rope();

    {
        System.out.println(rope1.length);
    }

    public static void main(String[] args) {
        rope1.length = 2;
        rope2.length = 8;
        System.out.println(rope1.length);
    }
}

package rope;

public class Rope {
    public static int length = 0;
}
</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3545, 129, '<p>Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?&nbsp;</p><pre><code class="language-java">public class Order3 {
    final String value1 = "1";
    static String value2 = "2";
    String value3 = "3";

    { /*ПРОПУСК_1*/ }

    static { /*ПРОПУСК_2*/ }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3546, 129, '<p>Сколько ошибок компиляции в следующем коде?&nbsp;</p><pre><code class="language-java">public class RopeSwing {
    private static final String leftRope;
    private static final String rightRope;
    private static final String bench;
    private static final String name = "name";

    static {
        leftRope = "left";
        rightRope = "right";
    }

    static {
        name = "name";
        rightRope = "right";
    }

    public static void main(String[] args) {
        bench = "bench";
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3547, 129, '<p>Какие из следующих утверждений о перегруженных методах являются достоверными?&nbsp;</p><p>1) Перегруженные методы должны иметь одинаковое имя&nbsp;</p><p>2) Перегруженные методы должны иметь одинаковый тип возвращаемого значения&nbsp;</p><p>3) Перегруженные методы должны иметь разный список аргументов</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3548, 129, 'Если вы хотите построить Immutable объект, какое из следующих утверждений будет верно?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3549, 129, 'Что из следующего является правильным созданием ExecutorService ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3550, 129, 'Какая строка выведет сумму чисел от 2 до 5?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3551, 129, 'Какие варианты инициализации массива правильные?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3552, 129, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Test {
    public static void main(String[] args) {
        Cat cat = new Cat();
        cat.setKittyId(4);
        System.out.println(cat.kitty.id);
    }

    static class Cat {
        int id;
        String name;
        Cat kitty = new Cat();

        public void setKittyId(int kittyId) {
            this.kitty.id = kittyId;
        }
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3553, 129, '<p>Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?&nbsp;</p><pre><code class="language-java">package aquarium;

public class Water {
    boolean salty = false;
} package aquarium.jellies;

public class Water {
    boolean salty = true;
}

package employee;

!ИМПОРТЫ!

public class WaterFiller {
    Water water;
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3554, 129, '<p>Какие из утверждений являются достоверными в следующем коде?&nbsp;</p><pre><code class="language-java">public class Rodent {
    protected static Integer chew() throws Exception {
        System.out.println("Rodent is chewing");
        return 1;
    }
}

class Beaver extends Rodent {
    public Number chew() throws RuntimeException {
        System.out.println("Beaver is chewing on wood");
        return 2;
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3555, 129, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4021, 150, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4022, 150, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4023, 150, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3580, 130, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3581, 130, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (379, 26, 'Какие из следующих сигнатур методов не содержат ошибку?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4013, 150, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4014, 150, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4015, 150, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4016, 150, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4017, 150, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4018, 150, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4019, 150, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4020, 150, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4278, 162, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4279, 162, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4280, 162, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4281, 162, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3566, 130, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3567, 130, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3568, 130, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3569, 130, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3570, 130, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3571, 130, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3572, 130, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3573, 130, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3574, 130, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3575, 130, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3576, 130, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3577, 130, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3578, 130, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3579, 130, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">class Mammal {
    public Mammal(int age) {
        System.out.print("Mammal");
    }
}

public class Platypus extends Mammal {
    public Platypus() {
        System.out.print("Platypus");
    }

    public static void main(String[] args) {
        new Mammal(5);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (24, 2, 'Какие из следующих утверждений не верны при переопределении метода?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3582, 130, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3556, 130, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3557, 130, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3559, 130, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3560, 130, '<p>Какие из следующих объявлений приведут к ошибке компиляции?&nbsp;</p><pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3561, 130, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3562, 130, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3563, 130, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3564, 130, '<p>Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE</p><pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{ System.out.println("EXAMPLE") }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3565, 130, '<p>Следующий текст представляет содержимое файла MyClass.java Выберите верные утверждения. //содержимое MyClass.java&nbsp;</p><pre><code class="language-java">package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3583, 130, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3584, 130, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3585, 130, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3586, 130, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3587, 130, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3588, 130, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3589, 130, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3590, 130, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3591, 130, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3592, 130, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3593, 130, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3594, 130, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3595, 130, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3596, 130, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3597, 130, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3598, 130, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3599, 130, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3600, 130, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3601, 130, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3602, 130, '<p>Какие из перечисленных фактов о данном коде достоверны?&nbsp;</p><pre><code class="language-java">interface HasVocalCords {
    public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
    public void bark();
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3603, 130, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {
    };

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3604, 130, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">//Course.java
package com.examplejava.courses;

class Course {
    public String courseName;
}

//ExampleJava.java
package com.examplejava;import com.examplejava.courses.Course;

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3605, 130, '<p>Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?</p><pre><code class="language-java">//ОТВЕТ
class MyCourse { Course c; }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4282, 162, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (577, 36, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (578, 36, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (604, 36, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3558, 130, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">package com.examplejava.courses

class Course {
    public String courseName;

    public void setCourseName(private String name) {
        courseName = name;
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4044, 151, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4045, 151, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4046, 151, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4024, 151, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4025, 151, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4026, 151, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4027, 151, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4028, 151, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4029, 151, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4030, 151, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4031, 151, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4032, 151, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4033, 151, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4034, 151, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4035, 151, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2552, 97, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (25, 2, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4490, 172, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4037, 151, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4038, 151, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4039, 151, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4040, 151, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4041, 151, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4042, 151, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4043, 151, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4283, 162, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4284, 162, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4285, 162, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4286, 162, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4287, 162, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4288, 162, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3606, 131, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3607, 131, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3608, 131, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3609, 131, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3610, 131, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3611, 131, '<p>Учитывая следующий фрагмент кода, какое лямбда-выражение является лучшим выбором для accumulator с учетом правил применения параллельной редукции?</p><pre><code class="language-plaintext">public class TestAccumulator {
int i;

public void test() {
 BiFunction&lt;Integer,Integer,Integer&gt; accumulator = /*ОТВЕТ*/;
 System.out.print(Arrays.asList(1,2,3,4,5)
  .parallelStream()
  .reduce(0,accumulator,(s1, s2) -&gt; s1 + s2));
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3612, 131, '<p>С помощью какого из методов ScheduledExecutorService можно выпонять одно и то же действие в двух потоков в одно и то же время?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3613, 131, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3614, 131, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Comparator&lt;Integer&gt; c = (x, y) -&gt; y-x;
List&lt;Integer&gt; ints = Arrays.asList(3, 1, 4);
Collections.sort(ints, c);
System.out.println(Collections.binarySearch(ints, 1));</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3615, 131, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">class TestClass {
public TestClass(double count) {
 this.count = count;
}
public double count;
}
public class MainClass {
private void estimate(Predicate&lt;TestClass&gt; predicate, TestClass testClass) {
 System.out.print(predicate.test(testClass) ? "Good" : "Bad"); //A
}

public final static void main(String... sand) {
 new MainClass().estimate(s -&gt; s.count&lt;4, new TestClass(2)); //B
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3616, 131, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public void test(Supplier supplier) { // A
 supplier.get();
}

public static void main(String... electricSheep) { // B
 TestClass testClass = new TestClass();
 testClass.test(() -&gt; System.out.print("Complete")); // C
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (26, 2, 'Какое главное преимущество использования лямбда выражений?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4491, 172, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3617, 131, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3618, 131, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; s = Stream.of(1); //A
IntStream is = s.mapToInt(x -&gt; x); //B
DoubleStream ds = s.mapToDouble(x -&gt; x); //C
Stream&lt;Integer&gt; s2 = ds.mapToInt(x -&gt; x); //D</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3619, 131, '<p>Какой из перечисленных вариантов ответа описывает поведение следующего метода?</p><pre><code class="language-plaintext">public static void removeTree(File file) {
if(!file.isFile()) //A
 for(File entry: file.listFiles()) //B
  removeTree(entry);
else file.delete();
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3620, 131, '<p>Какое из перечисленных решений позволит сделать код из примера потокобезопасным?</p><pre><code class="language-plaintext">class TestClass{
private double value;
   ReentrantLock lock = new ReentrantLock();

   public void test(double d){
       try{
           lock.lock();
           if(value &gt; d) value = value - d;
       }finally{
           lock.unlock();
       }
   }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4036, 151, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2594, 98, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2602, 98, 'Как работает ключевое слово volatile?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3625, 132, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3626, 132, '<p>Учитывая следующий фрагмент кода, какое лямбда-выражение является лучшим выбором для accumulator с учетом правил применения параллельной редукции?</p><pre><code class="language-plaintext">public class TestAccumulator {
int i;

public void test() {
 BiFunction&lt;Integer,Integer,Integer&gt; accumulator = /*ОТВЕТ*/;
 System.out.print(Arrays.asList(1,2,3,4,5)
  .parallelStream()
  .reduce(0,accumulator,(s1, s2) -&gt; s1 + s2));
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3627, 132, '<p>С помощью какого из методов ScheduledExecutorService можно выпонять одно и то же действие в двух потоков в одно и то же время?</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3628, 132, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3629, 132, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Comparator&lt;Integer&gt; c = (x, y) -&gt; y-x;
List&lt;Integer&gt; ints = Arrays.asList(3, 1, 4);
Collections.sort(ints, c);
System.out.println(Collections.binarySearch(ints, 1));</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3622, 132, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3623, 132, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (3624, 132, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (17, 2, 'Каков результат выполнения следующего кода?
interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (19, 2, 'Какие из перечисленных фактов являются достоверными?
', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (20, 2, 'Каков результат выполнения следующего кода?
public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (21, 2, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для IllegalArgumentException и для ClassCastException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (22, 2, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (23, 2, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для ClassCastException и для RuntimeException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (27, 2, 'Есть класс Test с защищенной переменной. Из какого класса можно получить доступ к этой переменной?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (28, 2, 'Какие из следующих сигнатур методов не содержат ошибку?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (29, 2, 'Какое из следующих утверждений не является достоверным?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (30, 2, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3, 1, 'В следующем коде укажите строки, содержащие ошибки
public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4, 1, 'Какие из перечисленных фактов являются достоверными?
', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5, 1, 'Каков результат выполнения следующего кода?
public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (81, 6, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6, 1, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для IllegalArgumentException и для ClassCastException?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7, 1, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8, 1, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для ClassCastException и для RuntimeException?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9, 1, 'Какие из следующих утверждений не верны при переопределении метода?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10, 1, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11, 1, 'Какое главное преимущество использования лямбда выражений?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12, 1, 'Есть класс Test с защищенной переменной. Из какого класса можно получить доступ к этой переменной?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (13, 1, 'Какие из следующих сигнатур методов не содержат ошибку?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (14, 1, 'Какое из следующих утверждений не является достоверным?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (15, 1, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (280, 16, 'Какие из перечисленных фактов о данном коде достоверны?
interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2, 1, 'Каков результат выполнения следующего кода?
interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (32, 3, 'Каков результат выполнения следующего кода?
interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (33, 3, 'В следующем коде укажите строки, содержащие ошибки
public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (35, 3, 'Каков результат выполнения следующего кода?
public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (36, 3, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для IllegalArgumentException и для ClassCastException?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (37, 3, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (38, 3, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для ClassCastException и для RuntimeException?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (39, 3, 'Какие из следующих утверждений не верны при переопределении метода?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (40, 3, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (41, 3, 'Какое главное преимущество использования лямбда выражений?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (522, 35, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (42, 3, 'Есть класс Test с защищенной переменной. Из какого класса можно получить доступ к этой переменной?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (43, 3, 'Какие из следующих сигнатур методов не содержат ошибку?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (44, 3, 'Какое из следующих утверждений не является достоверным?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (45, 3, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (46, 4, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (47, 4, 'Каков результат выполнения следующего кода?
interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (48, 4, 'В следующем коде укажите строки, содержащие ошибки
public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (49, 4, 'Какие из перечисленных фактов являются достоверными?
', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (50, 4, 'Каков результат выполнения следующего кода?
public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (51, 4, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для IllegalArgumentException и для ClassCastException?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (52, 4, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (281, 16, 'Что такое ленивая инициализация?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (282, 16, 'Какой из следующих модификаторов доступа не может быть добавлен в интерфейсному методу?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1805, 80, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (53, 4, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для ClassCastException и для RuntimeException?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (54, 4, 'Какие из следующих утверждений не верны при переопределении метода?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (55, 4, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (57, 4, 'Есть класс Test с защищенной переменной. Из какого класса можно получить доступ к этой переменной?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (58, 4, 'Какие из следующих сигнатур методов не содержат ошибку?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (59, 4, 'Какое из следующих утверждений не является достоверным?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (60, 4, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (61, 5, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (62, 5, 'Каков результат выполнения следующего кода?
interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (63, 5, 'В следующем коде укажите строки, содержащие ошибки
public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (64, 5, 'Какие из перечисленных фактов являются достоверными?
', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (65, 5, 'Каков результат выполнения следующего кода?
public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (66, 5, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для IllegalArgumentException и для ClassCastException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (67, 5, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (68, 5, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для ClassCastException и для RuntimeException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (69, 5, 'Какие из следующих утверждений не верны при переопределении метода?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (523, 35, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (70, 5, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (71, 5, 'Какое главное преимущество использования лямбда выражений?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (72, 5, 'Есть класс Test с защищенной переменной. Из какого класса можно получить доступ к этой переменной?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (73, 5, 'Какие из следующих сигнатур методов не содержат ошибку?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (74, 5, 'Какое из следующих утверждений не является достоверным?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (75, 5, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (78, 6, 'Какие из утверждений являются достоверными в следующем коде:
//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (79, 6, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (80, 6, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (82, 6, 'Какое из следующих утверждений является достоверным при создании класса с максимально широким доступом.
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (77, 6, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные удтверждения.
//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (470, 34, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1808, 80, '<p>Какое из следующих утверждений верно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (83, 6, 'Класс может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (84, 6, 'Какое из следующих утверждений о наследовании является достоверным?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (85, 6, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (86, 6, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (87, 6, 'Какие из следующих утверждений об интерфейсах не верны?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (88, 6, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (89, 6, 'Какая переменная всегда доступна в любом экземпляре класса?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (90, 6, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (76, 6, 'Следующие компоненты Java класса расположены в случайном порядке. Выберите правильную последовательность их расположения в классе.
1. Комментарии
2. Импорты
3. Указание пакета
4. Методы
5. Объявление класса
6. Переменные
', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1869, 82, 'Какой принцип работы PhantomReferences?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1870, 82, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1871, 82, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (283, 16, 'Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?
package aquarium;
public class Water {
boolean salty = false;
}

package aquarium.jellies;
public class Water {
boolean salty = true;
}

package employee;
!ИМПОРТЫ!
public class WaterFiller {
Water water;
}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (284, 16, 'Какое из следующих утверждений о следующем коде является достоверным?
public class Create {
Create() {
System.out.print("1 ");
}
Create(int num) {
System.out.print("2 ");
}
Create(Integer num) {
System.out.print("3 ");
}
Create(Object num) {
System.out.print("4 ");
}
Create(int... nums) {
System.out.print("5 ");
}

public static void main(String[] args){
new Create(100);
new Create(100L);
}
}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (286, 17, 'Что такое ленивая инициализация?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (517, 35, 'Какой принцип работы PhantomReferences?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (518, 35, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (519, 35, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (520, 35, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (521, 35, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить при нехватке памяти?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (524, 35, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (525, 35, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (526, 35, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (527, 35, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (529, 35, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Stream<Integer> integerStream = Stream.of(13,44,2,11,29);
Map<Boolean, List<Integer>> map = integerStream.collect(Collectors.partitioningBy(i -> i%2 != 0));
System.out.println(map.get(true));
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (530, 35, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;
public class Main {
public static void main(String[] args) {
	Map<Integer, String> map = new HashMap<>();
map.put(1, "one");
map.put(2, "two");
map.put(3, "three");
Consumer<String> consumer = System.out::print;
map.forEach(consumer);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (605, 36, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (531, 35, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (532, 35, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (848, 43, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (291, 18, 'Каков результат выполнения следующего кода?
interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (294, 18, 'Каков результат выполнения следующего кода?
public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (295, 18, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для IllegalArgumentException и для ClassCastException?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (296, 18, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (297, 18, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для ClassCastException и для RuntimeException?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (298, 18, 'Какие из следующих утверждений не верны при переопределении метода?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (299, 18, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (300, 18, 'Какое главное преимущество использования лямбда выражений?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (301, 18, 'Есть класс Test с защищенной переменной. Из какого класса можно получить доступ к этой переменной?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (302, 18, 'Какие из следующих сигнатур методов не содержат ошибку?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (303, 18, 'Какое из следующих утверждений не является достоверным?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (304, 18, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (305, 19, 'Что из перечисленного является правильным названием метода в Java?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (306, 20, 'Что из перечисленного является правильным названием метода в Java?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (307, 21, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (308, 21, 'Каков результат выполнения следующего кода?
interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (309, 21, 'В следующем коде укажите строки, содержащие ошибки
public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (310, 21, 'Какие из перечисленных фактов являются достоверными?
', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (377, 26, 'Какое главное преимущество использования лямбда выражений?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (311, 21, 'Каков результат выполнения следующего кода?
public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (312, 21, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для IllegalArgumentException и для ClassCastException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (313, 21, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (287, 17, 'Какой из следующих модификаторов доступа не может быть добавлен в интерфейсному методу?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (289, 17, 'Какое из следующих утверждений о следующем коде является достоверным?
public class Create {
Create() {
System.out.print("1 ");
}
Create(int num) {
System.out.print("2 ");
}
Create(Integer num) {
System.out.print("3 ");
}
Create(Object num) {
System.out.print("4 ");
}
Create(int... nums) {
System.out.print("5 ");
}

public static void main(String[] args){
new Create(100);
new Create(100L);
}
}', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1812, 80, '<p>Что такое бета-тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (336, 24, 'Каков результат выполнения следующего кода?
class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}

public static void main(String[] args) {
new Mammal(5);
}
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (337, 24, 'Какие из следующих ответов могут быть вставлены на место /*ОТВЕТ*/ для успешной компиляции?
public interface CanHop {}

public class Frog implements CanHop {
public static void main(String[] args) {
/*ОТВЕТ*/ frog = new TurtleFrog();
}
}

public class BrazilianHornedFrog extends Frog {}
public class TurtleFrog extends Frog {}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (338, 24, 'Какие из перечисленных фактов являются достоверными?
', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (339, 24, 'Какие из перечисленных фактов о конкретном подклассе являются достоверными?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (340, 24, 'Каков результат выполнения следующего кода?
public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}

class Pelican extends Bird {
protected void fly() { System.out.println("Pelican is flying"); }
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (341, 24, 'Какие из перечисленных фактов о данном коде достоверны?
interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (342, 24, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для IllegalArgumentException и для ClassCastException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (343, 24, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (344, 24, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для ClassCastException и для RuntimeException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (345, 24, 'Заполните пробелы: Приложение должно обрабатывать или объявлять ___ , но никогда не должно обрабатывать ___
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (346, 24, 'Какое из следующих исключений является проверяемым?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (347, 24, 'Что такое ленивая инициализация?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (348, 24, 'Какое из следующих утверждений является достоверным?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (349, 24, '___ определяет какие атрибуты существуют в памяти, тогда как ___ определяет какие атрибуты доступны вызывающему.
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (350, 24, 'Какой из следующих модификаторов доступа не может быть добавлен в интерфейсному методу?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (351, 24, 'Какие их следующих классов содержатся в пакете java.util?
1) ArrayList
2) LocalDate
3) String', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (352, 24, 'Какое из следующих утверждений является достоверным?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (353, 24, 'Какое главное преимущество использования лямбда выражений?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (354, 24, 'Есть класс Test с защищенной переменной. Из какого класса можно получить доступ к этой переменной?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (355, 24, 'Какие из следующих утверждений о перегруженных методах являются достоверными?
1) Перегруженные методы должны иметь одинаковое имя
2) Перегруженные методы должны иметь одинаковый тип возвращаемого значения
3) Перегруженные методы должны иметь разный список аргументов
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (356, 24, 'Какой из следующих типов данных может быть модифицирован после передачи в метод в качестве аргумента?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (357, 24, 'Какие из следующих утверждений о коде ниже являются достоверными?
List<Integer> ages = new ArrayList<>();
ages.add(Integer.parseInt("5"));
ages.add(Integer.valueOf("6"));
ages.add(7);
ages.add(null);
for (int age : ages) System.out.print(age);', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (378, 26, 'Есть класс Test с защищенной переменной. Из какого класса можно получить доступ к этой переменной?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (358, 24, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (359, 24, 'Сколько ошибок компиляции в следующем коде?
public class RopeSwing {
private static final String leftRope;
private static final String rightRope;
private static final String bench;
private static final String name = "name";
static {
leftRope = "left";
rightRope = "right";
}
static {
name = "name";
rightRope = "right";
}
public static void main(String[] args){
bench = "bench";
}
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (360, 24, 'Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?
interface Secret {
String magic(double d);
}

class MySecret implements Secret {
public String magic(double d) {
return "Poof";
}
}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (361, 24, 'Какое из следующих утверждений о следующем коде является достоверным?
public class Create {
Create() {
System.out.print("1 ");
}
Create(int num) {
System.out.print("2 ");
}
Create(Integer num) {
System.out.print("3 ");
}
Create(Object num) {
System.out.print("4 ");
}
Create(int... nums) {
System.out.print("5 ");
}

public static void main(String[] args){
new Create(100);
new Create(100L);
}
}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1872, 82, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (362, 25, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (364, 25, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (422, 30, 'Какого класса не существует в пакете java.util.concurrent.atomic ?
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (365, 25, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (366, 25, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (391, 27, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (392, 27, 'Какое главное преимущество использования лямбда выражений?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (393, 27, 'Есть класс Test с защищенной переменной. Из какого класса можно получить доступ к этой переменной?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (363, 25, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (285, 17, 'Какие из перечисленных фактов о данном коде достоверны?
interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (288, 17, 'Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?
package aquarium;
public class Water {
boolean salty = false;
}

package aquarium.jellies;
public class Water {
boolean salty = true;
}

package employee;
!ИМПОРТЫ!
public class WaterFiller {
Water water;
}', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (367, 26, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (368, 26, 'Каков результат выполнения следующего кода?
interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (369, 26, 'В следующем коде укажите строки, содержащие ошибки
public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (370, 26, 'Какие из перечисленных фактов являются достоверными?
', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (371, 26, 'Каков результат выполнения следующего кода?
public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (372, 26, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для IllegalArgumentException и для ClassCastException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (373, 26, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (374, 26, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для ClassCastException и для RuntimeException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (375, 26, 'Какие из следующих утверждений не верны при переопределении метода?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (376, 26, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (380, 26, 'Какое из следующих утверждений не является достоверным?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (381, 26, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (382, 27, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (383, 27, 'Каков результат выполнения следующего кода?
interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (384, 27, 'В следующем коде укажите строки, содержащие ошибки
public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (385, 27, 'Какие из перечисленных фактов являются достоверными?
', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (423, 30, 'Какую задачу помогает выполнять класс CountDownLatch ?
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (386, 27, 'Каков результат выполнения следующего кода?
public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (387, 27, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для IllegalArgumentException и для ClassCastException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (388, 27, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (389, 27, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для ClassCastException и для RuntimeException?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (390, 27, 'Какие из следующих утверждений не верны при переопределении метода?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (394, 27, 'Какие из следующих сигнатур методов не содержат ошибку?
', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (396, 27, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (397, 28, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (398, 28, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (399, 28, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (400, 28, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (401, 28, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (402, 29, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (403, 29, 'Каков результат выполнения следующего кода?
interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (404, 29, 'В следующем коде укажите строки, содержащие ошибки
public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (405, 29, 'Какие из перечисленных фактов являются достоверными?
', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (406, 29, 'Каков результат выполнения следующего кода?
public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (407, 29, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для IllegalArgumentException и для ClassCastException?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (408, 29, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (409, 29, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для ClassCastException и для RuntimeException?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (410, 29, 'Какие из следующих утверждений не верны при переопределении метода?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (411, 29, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (412, 29, 'Какое главное преимущество использования лямбда выражений?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (413, 29, 'Есть класс Test с защищенной переменной. Из какого класса можно получить доступ к этой переменной?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (414, 29, 'Какие из следующих сигнатур методов не содержат ошибку?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (415, 29, 'Какое из следующих утверждений не является достоверным?
', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (416, 29, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (418, 30, 'Что не входит в новые возможности Java 9 — 11
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (419, 30, 'Что не является областью памяти JVM?
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (420, 30, 'Какой принцип работы PhantomReferences?
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (424, 30, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (425, 30, 'Выберите существующие состояния треда:
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (426, 30, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода:
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1814, 80, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (427, 30, 'Какой параметр запуска JVM используется для контроля размера стека потока?
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (429, 30, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Stream<Integer> integerStream = Stream.of(13,44,2,11,29);
Map<Boolean, List<Integer>> map = integerStream.collect(Collectors.partitioningBy(i -> i%2 != 0));
System.out.println(map.get(true));
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (430, 30, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;
public class Main {
public static void main(String[] args) {
	Map<Integer, String> map = new HashMap<>();
map.put(1, "one");
map.put(2, "two");
map.put(3, "three");
Consumer<String> consumer = System.out::print;
map.forEach(consumer);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (431, 30, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (432, 30, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (433, 30, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">class SuperClass {
protected void method() {
System.out.println("SuperClass");
}
}
public class SubClass extends SuperClass {
private void method()  {
System.out.println("SubClass");
 }
public static void main(String[] args) {
SubClass subClass = new SubClass();
subClass.method();
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (434, 30, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (435, 30, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (436, 30, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (437, 30, 'Какие из утверждений верны в отношении следующего кода?
<pre><code class="language-java">interface Readable {
void read();
default void print();
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (438, 30, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (439, 30, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (440, 30, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (608, 36, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (441, 30, 'Как работает ключевое слово volatile?
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (442, 30, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (443, 30, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (444, 30, 'Что такое интерфейс-маркер?
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (445, 30, 'В какое состояние переходит нить если она вызывает Thread.sleep()
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (446, 30, 'Что выведет в консоль такая строчка кода?
<pre><code class="language-java">System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (447, 30, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<pre><code class="language-java">;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (448, 30, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (449, 30, 'Отметьте правильные варианты формирования запросов к базе данных
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (450, 30, 'Отметьте основные классы и интерфейсы JDBC
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (451, 30, 'Какое из следующих утверждений верны?
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (452, 30, 'Выберите верные утверждения относительно локальных классов?
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (453, 30, 'Выберите верные утверждения относительно вложенных классов?
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (454, 30, 'Какие из следующих утверждений относительно переопределения методов верны?
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (467, 34, 'Какой принцип работы PhantomReferences?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (468, 34, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (469, 34, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (417, 30, 'Что такое функциональный интерфейс?
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (421, 30, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить при нехватке памяти?
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (428, 30, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.Optional;
public class Main {
public static void main(String[] args) {
Optional<Integer> optional = Optional.ofNullable(null);
System.out.println(optional);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (455, 30, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (456, 30, 'Выберите верные утверждения относительно ListIterator?
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (457, 30, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (458, 30, 'Что из следующего не является побитовой операцией?
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (459, 30, 'Какой будет результат выполнения следующей программы?
<pre><code class="language-java">public class Outer {
public int x;
private int y;
void cal(int a, int b) {
x = a + 1;
y = b;
}
static class Inner {
public static void main(String args[]) {
Outer obj = new Outer();
obj.cal(2, 3);
System.out.println(obj.x + " " + obj.y);
}
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (460, 30, 'Какие из следующих утверждений не являются верными?
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (461, 30, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (462, 30, 'Где хранится объект String, который мы создаем с помощью оператора new()?
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (463, 30, 'Выберите верное утверждение относительно анонимных классов?
<pre><code class="language-java"></code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (464, 30, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (465, 30, 'Какие области памяти относятся к Heap Space?
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (466, 30, 'Какой метод останавливает тред и освобождает монитор объекта?
<pre><code class="language-java"></code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1815, 80, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 'Теория тестирования', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1816, 80, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11388, 518, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (548, 35, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1817, 80, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1818, 80, '<p>Что не является функциональным тестированием?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1873, 82, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1874, 82, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (471, 34, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (472, 34, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (473, 34, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (474, 34, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (475, 34, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (476, 34, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (477, 34, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (478, 34, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.Optional;
public class Main {
public static void main(String[] args) {
Optional<Integer> optional = Optional.ofNullable(null);
System.out.println(optional);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (479, 34, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Stream<Integer> integerStream = Stream.of(13,44,2,11,29);
Map<Boolean, List<Integer>> map = integerStream.collect(Collectors.partitioningBy(i -> i%2 != 0));
System.out.println(map.get(true));
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (480, 34, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;
public class Main {
public static void main(String[] args) {
	Map<Integer, String> map = new HashMap<>();
map.put(1, "one");
map.put(2, "two");
map.put(3, "three");
Consumer<String> consumer = System.out::print;
map.forEach(consumer);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (481, 34, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (482, 34, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (483, 34, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">class SuperClass {
protected void method() {
System.out.println("SuperClass");
}
}
public class SubClass extends SuperClass {
private void method()  {
System.out.println("SubClass");
 }
public static void main(String[] args) {
SubClass subClass = new SubClass();
subClass.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (484, 34, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (485, 34, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (486, 34, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (487, 34, 'Какие из утверждений верны в отношении следующего кода?
<pre><code class="language-java">interface Readable {
void read();
default void print();
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (488, 34, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (489, 34, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (544, 35, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (490, 34, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (491, 34, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (492, 34, 'Как работает ключевое слово volatile?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (493, 34, 'Какие области памяти относятся к Heap Space?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (494, 34, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12250, 559, '<p>Какая библиотека отвечает за время?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (495, 34, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (496, 34, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (497, 34, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (498, 34, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (499, 34, 'Что выведет в консоль такая строчка кода?
<pre><code class="language-java">System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1161, 53, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (504, 34, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (505, 34, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (506, 34, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (507, 34, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (508, 34, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (509, 34, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (510, 34, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (511, 34, 'Что из следующего не является побитовой операцией?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (512, 34, 'Какой будет результат выполнения следующей программы?
<pre><code class="language-java">public class Outer {
public int x;
private int y;
void cal(int a, int b) {
x = a + 1;
y = b;
}
static class Inner {
public static void main(String args[]) {
Outer obj = new Outer();
obj.cal(2, 3);
System.out.println(obj.x + " " + obj.y);
}
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (513, 34, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (514, 34, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (515, 34, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (516, 34, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (528, 35, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.Optional;
public class Main {
public static void main(String[] args) {
Optional<Integer> optional = Optional.ofNullable(null);
System.out.println(optional);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (534, 35, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (535, 35, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (536, 35, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (537, 35, 'Какие из утверждений верны в отношении следующего кода?
<pre><code class="language-java">interface Readable {
void read();
default void print();
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (538, 35, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (539, 35, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (540, 35, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (541, 35, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (542, 35, 'Как работает ключевое слово volatile?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (543, 35, 'Какие области памяти относятся к Heap Space?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (545, 35, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (546, 35, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (547, 35, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9379, 415, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (549, 35, 'Что выведет в консоль такая строчка кода?
<pre><code class="language-java">System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (550, 35, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<pre><code class="language-java">;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (551, 35, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (552, 35, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (553, 35, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (554, 35, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (555, 35, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (556, 35, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (557, 35, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (558, 35, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (559, 35, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (560, 35, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (561, 35, 'Что из следующего не является побитовой операцией?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (563, 35, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (564, 35, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (565, 35, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (566, 35, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2104, 88, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2105, 88, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2106, 88, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2107, 88, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (533, 35, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">class SuperClass {
protected void method() {
System.out.println("SuperClass");
}
}
public class SubClass extends SuperClass {
private void method()  {
System.out.println("SubClass");
 }
public static void main(String[] args) {
SubClass subClass = new SubClass();
subClass.method();
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (562, 35, 'Какой будет результат выполнения следующей программы?
<pre><code class="language-java">public class Outer {
public int x;
private int y;
void cal(int a, int b) {
x = a + 1;
y = b;
}
static class Inner {
public static void main(String args[]) {
Outer obj = new Outer();
obj.cal(2, 3);
System.out.println(obj.x + " " + obj.y);
}
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (567, 36, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (569, 36, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (570, 36, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (571, 36, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (572, 36, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (573, 36, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (574, 36, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (575, 36, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (576, 36, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (579, 36, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (580, 36, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (838, 43, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6401, 259, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (581, 36, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (582, 36, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (583, 36, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (584, 36, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (585, 36, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (586, 36, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (587, 36, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (588, 36, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (589, 36, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (590, 36, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (591, 36, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1804, 80, '<p>Что является преимуществом независимого тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (648, 37, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1875, 82, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (568, 36, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (592, 36, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (593, 36, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (594, 36, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (595, 36, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (596, 36, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (597, 36, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (598, 36, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (599, 36, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (601, 36, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (602, 36, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (603, 36, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (606, 36, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (607, 36, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (609, 36, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (610, 36, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (611, 36, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (612, 36, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (613, 36, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (614, 36, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (615, 36, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (616, 36, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (618, 37, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1401, 61, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1402, 61, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (620, 37, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (621, 37, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (622, 37, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (623, 37, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (624, 37, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (625, 37, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (626, 37, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (627, 37, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (628, 37, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (629, 37, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (630, 37, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (688, 38, 'Какие из следующих утверждений являются достоверными?
<pre><code class="language-java">public class Bear {
protected void finalize() {
System.out.println("Roar!");
}
public static void main(String[] args) {
Bear bear = new Bear();
bear = null;
System.gc();
}
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (631, 37, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (839, 43, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (632, 37, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (633, 37, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (634, 37, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (635, 37, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (636, 37, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (637, 37, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (638, 37, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (639, 37, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (640, 37, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (641, 37, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (642, 37, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (643, 37, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (644, 37, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (645, 37, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (646, 37, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1876, 82, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1877, 82, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2139, 88, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (652, 37, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (653, 37, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (654, 37, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (655, 37, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (656, 37, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (657, 37, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (658, 37, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (659, 37, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (660, 37, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (661, 37, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (662, 37, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (663, 37, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (664, 37, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (665, 37, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (666, 37, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (850, 43, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (711, 39, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (667, 38, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">abstract class Reptile {
public final void layEggs() { System.out.println("Reptile laying eggs"); }
public static void main(String[] args) {
Reptile reptile = new Lizard();
reptile.layEggs();
}
}

public class Lizard extends Reptile {
public void layEggs() { System.out.println("Lizard laying eggs"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (668, 38, 'Какие из утверждений являются достоверными в следующем коде?
<pre><code class="language-java">public class Rodent {
protected static Integer chew() throws Exception {
System.out.println("Rodent is chewing");
return 1;
}
}

class Beaver extends Rodent {
public Number chew() throws RuntimeException {
System.out.println("Beaver is chewing on wood");
return 2;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (669, 38, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args){
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) {System.out.println("Orca diving");}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (670, 38, 'Какие из утверждений являются достоверными в следующем коде?
<pre><code class="language-java">interface HasExoskeleton {
abstract int getNumberOfSections();
}

abstract class Insect implements HasExoskeleton {
abstract int getNumberOfLegs();
}

public class Beetle extends Insect {
int getNumberofLegs() { return 6; }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (671, 38, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (672, 38, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (673, 38, 'В следующем коде укажите строки, содержащие ошибки
<pre><code class="language-java">public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (674, 38, 'Что из перечисленного при наследовании может быть только скрыто и не может быть переопределено?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (675, 38, 'Заполните пробелы: ___ появляется когда программа заходит слишком глубоко в рекурсию, находясь в бесконечном цикле, тогда как ___ появляется при обращении к несуществующему объекту.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (617, 37, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (619, 37, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (647, 37, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (649, 37, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (676, 38, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (678, 38, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (679, 38, 'Какое главное преимущество использования лямбда выражений?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (680, 38, 'Какое из следующих утверждений о конструкторах без аргументов является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (681, 38, 'Какие из следующих сигнатур методов не содержат ошибку?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (682, 38, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (683, 38, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (684, 38, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (686, 38, 'Объект какого из следующих типов данных может быть модифицирован после передачи в метод в качестве аргумента?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (687, 38, 'Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?
<pre><code class="language-java">package aquarium;
public class Water {
boolean salty = false;
}

package aquarium.jellies;
public class Water {
boolean salty = true;
}

package employee;
!ИМПОРТЫ!
public class WaterFiller {
Water water;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (772, 41, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (689, 38, 'Что выдаст следующий код после исполнения?
<pre><code class="language-java">import rope.*;
import static rope.Rope.*;
public class RopeSwing {
private static Rope rope1 = new Rope();
private static Rope rope2 = new Rope();
{
System.out.println(rope1.length);
}

public static void main(String[] args){
rope1.length = 2;
rope2.length = 8;
System.out.println(rope1.length);
}
}

package rope;
public class Rope {
public static int length = 0;
}
</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (690, 38, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
<pre><code class="language-java">public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (691, 38, 'Сколько ошибок компиляции в следующем коде?
<pre><code class="language-java">public class RopeSwing {
private static final String leftRope;
private static final String rightRope;
private static final String bench;
private static final String name = "name";
static {
leftRope = "left";
rightRope = "right";
}
static {
name = "name";
rightRope = "right";
}
public static void main(String[] args){
bench = "bench";
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (692, 38, 'Если вы хотите построить Immutable объект, какое из следующих утверждений будет верно?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (693, 38, 'Что из следующего является правильным созданием ExecutorService ?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (695, 38, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Test {
public static void main(String[] args) {
Cat cat = new Cat();
cat.setKittyId(4);
System.out.println(cat.kitty.id);
}
static class Cat {
int id;String name;
Cat kitty = new Cat();
public void
setKittyId(int kittyId) {
this.kitty.id = kittyId;
}
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (696, 38, 'Какие варианты инициализации массива правильные?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1211, 54, 'Какая строка выведет сумму чисел от 2 до 5?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (677, 38, 'Заполните пробелы: Приложение должно обрабатывать или объявлять ___ , но никогда не должно обрабатывать ___', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (685, 38, 'Какие из следующих утверждений о перегруженных методах являются достоверными?
1) Перегруженные методы должны иметь одинаковое имя
2) Перегруженные методы должны иметь одинаковый тип возвращаемого значения
3) Перегруженные методы должны иметь разный список аргументов', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (698, 39, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (700, 39, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (701, 39, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (702, 39, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (703, 39, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (704, 39, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (705, 39, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (706, 39, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (707, 39, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (708, 39, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (709, 39, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (710, 39, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (840, 43, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (712, 39, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (713, 39, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (714, 39, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (715, 39, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (716, 39, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (717, 39, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (718, 39, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1806, 80, '<p>Какой из методов проектирования тестов лучше всего характеризует процедуру составления тестовых сценариев на основании спецификации?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1878, 82, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2149, 89, 'Какой принцип работы PhantomReferences?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (726, 39, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (727, 39, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (728, 39, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (730, 39, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (731, 39, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (732, 39, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (733, 39, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (734, 39, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (735, 39, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (736, 39, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (737, 39, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (738, 39, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (739, 39, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (740, 39, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (741, 39, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (742, 39, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (744, 39, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (745, 39, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (746, 39, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (812, 43, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (813, 43, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (773, 41, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (805, 43, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (757, 41, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">abstract class Reptile {
public final void layEggs() { System.out.println("Reptile laying eggs"); }
public static void main(String[] args) {
Reptile reptile = new Lizard();
reptile.layEggs();
}
}

public class Lizard extends Reptile {
public void layEggs() { System.out.println("Lizard laying eggs"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (758, 41, 'Какие из утверждений являются достоверными в следующем коде?
<pre><code class="language-java">public class Rodent {
protected static Integer chew() throws Exception {
System.out.println("Rodent is chewing");
return 1;
}
}

class Beaver extends Rodent {
public Number chew() throws RuntimeException {
System.out.println("Beaver is chewing on wood");
return 2;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (759, 41, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args){
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) {System.out.println("Orca diving");}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2150, 89, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2151, 89, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2152, 89, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2153, 89, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2154, 89, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2155, 89, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2156, 89, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2157, 89, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2158, 89, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2159, 89, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.Optional;
public class Main {
public static void main(String[] args) {
Optional<Integer> optional = Optional.ofNullable(null);
System.out.println(optional);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2160, 89, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;
public class Main {
public static void main(String[] args) {
	Map<Integer, String> map = new HashMap<>();
map.put(1, "one");
map.put(2, "two");
map.put(3, "three");
Consumer<String> consumer = System.out::print;
map.forEach(consumer);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2161, 89, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2162, 89, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (764, 41, 'Что из перечисленного при наследовании может быть только скрыто и не может быть переопределено?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (765, 41, 'Заполните пробелы: ___ появляется когда программа заходит слишком глубоко в рекурсию, находясь в бесконечном цикле, тогда как ___ появляется при обращении к несуществующему объекту.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (766, 41, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (767, 41, 'Заполните пробелы: Приложение должно обрабатывать или объявлять ___ , но никогда не должно обрабатывать ___', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (768, 41, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (769, 41, 'Какое главное преимущество использования лямбда выражений?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (770, 41, 'Какое из следующих утверждений о конструкторах без аргументов является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (771, 41, 'Какие из следующих сигнатур методов не содержат ошибку?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (774, 41, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (775, 41, 'Какие из следующих утверждений о перегруженных методах являются достоверными?
1) Перегруженные методы должны иметь одинаковое имя
2) Перегруженные методы должны иметь одинаковый тип возвращаемого значения
3) Перегруженные методы должны иметь разный список аргументов', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (776, 41, 'Объект какого из следующих типов данных может быть модифицирован после передачи в метод в качестве аргумента?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (837, 43, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (777, 41, 'Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?
<pre><code class="language-java">package aquarium;
public class Water {
boolean salty = false;
}

package aquarium.jellies;
public class Water {
boolean salty = true;
}

package employee;
!ИМПОРТЫ!
public class WaterFiller {
Water water;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (778, 41, 'Какие из следующих утверждений являются достоверными?
<pre><code class="language-java">public class Bear {
protected void finalize() {
System.out.println("Roar!");
}
public static void main(String[] args) {
Bear bear = new Bear();
bear = null;
System.gc();
}
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (779, 41, 'Что выдаст следующий код после исполнения?
<pre><code class="language-java">import rope.*;
import static rope.Rope.*;
public class RopeSwing {
private static Rope rope1 = new Rope();
private static Rope rope2 = new Rope();
{
System.out.println(rope1.length);
}

public static void main(String[] args){
rope1.length = 2;
rope2.length = 8;
System.out.println(rope1.length);
}
}

package rope;
public class Rope {
public static int length = 0;
}
</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (780, 41, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
<pre><code class="language-java">public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (781, 41, 'Сколько ошибок компиляции в следующем коде?
<pre><code class="language-java">public class RopeSwing {
private static final String leftRope;
private static final String rightRope;
private static final String bench;
private static final String name = "name";
static {
leftRope = "left";
rightRope = "right";
}
static {
name = "name";
rightRope = "right";
}
public static void main(String[] args){
bench = "bench";
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (782, 41, 'Если вы хотите построить Immutable объект, какое из следующих утверждений будет верно?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (783, 41, 'Что из следующего является правильным созданием ExecutorService ?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (784, 41, 'Какая строка выведет сумму чисел от 2 до 5?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (846, 43, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (847, 43, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1655, 72, 'В следующем коде укажите строки, содержащие ошибки
<pre><code class="language-java">public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (788, 42, 'Какой будет результат выполнения следующей программы?
<pre><code class="language-java">public class Outer {
public int x;
private int y;
void cal(int a, int b) {
x = a + 1;
y = b;
}
static class Inner {
public static void main(String args[]) {
Outer obj = new Outer();
obj.cal(2, 3);
System.out.println(obj.x + " " + obj.y);
}
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (790, 42, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (791, 42, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (792, 42, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (793, 42, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (794, 42, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (795, 42, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (796, 42, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (797, 42, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (798, 42, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (799, 42, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (800, 42, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (801, 42, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (786, 41, 'Какие варианты инициализации массива правильные?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (802, 43, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (803, 43, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (806, 43, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (807, 43, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (808, 43, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (809, 43, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (810, 43, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (811, 43, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1657, 72, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1658, 72, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1659, 72, 'Какое главное преимущество использования лямбда выражений?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1660, 72, 'Какие из следующих утверждений являются достоверными?
<pre><code class="language-java">public class Bear {
protected void finalize() {
System.out.println("Roar!");
}
public static void main(String[] args) {
Bear bear = new Bear();
bear = null;
System.gc();
}
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (815, 43, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (816, 43, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (817, 43, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (819, 43, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (820, 43, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (821, 43, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (822, 43, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (823, 43, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (824, 43, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (825, 43, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (826, 43, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (827, 43, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (828, 43, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (829, 43, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (830, 43, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (831, 43, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (832, 43, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (833, 43, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (835, 43, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (836, 43, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (841, 43, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (842, 43, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (843, 43, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (844, 43, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (845, 43, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (851, 43, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (853, 44, 'Какие из утверждений являются достоверными в следующем коде?
<pre><code class="language-java">public class Rodent {
protected static Integer chew() throws Exception {
System.out.println("Rodent is chewing");
return 1;
}
}

class Beaver extends Rodent {
public Number chew() throws RuntimeException {
System.out.println("Beaver is chewing on wood");
return 2;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (854, 44, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args){
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) {System.out.println("Orca diving");}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (855, 44, 'Какие из утверждений являются достоверными в следующем коде?
<pre><code class="language-java">interface HasExoskeleton {
abstract int getNumberOfSections();
}

abstract class Insect implements HasExoskeleton {
abstract int getNumberOfLegs();
}

public class Beetle extends Insect {
int getNumberofLegs() { return 6; }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (856, 44, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (857, 44, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (858, 44, 'В следующем коде укажите строки, содержащие ошибки
<pre><code class="language-java">public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (859, 44, 'Что из перечисленного при наследовании может быть только скрыто и не может быть переопределено?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (860, 44, 'Заполните пробелы: ___ появляется когда программа заходит слишком глубоко в рекурсию, находясь в бесконечном цикле, тогда как ___ появляется при обращении к несуществующему объекту.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (861, 44, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (862, 44, 'Заполните пробелы: Приложение должно обрабатывать или объявлять ___ , но никогда не должно обрабатывать ___', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1071, 51, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (863, 44, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (864, 44, 'Какое главное преимущество использования лямбда выражений?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (865, 44, 'Какое из следующих утверждений о конструкторах без аргументов является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (866, 44, 'Какие из следующих сигнатур методов не содержат ошибку?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (867, 44, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (868, 44, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (869, 44, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (870, 44, 'Какие из следующих утверждений о перегруженных методах являются достоверными?
1) Перегруженные методы должны иметь одинаковое имя
2) Перегруженные методы должны иметь одинаковый тип возвращаемого значения
3) Перегруженные методы должны иметь разный список аргументов', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (871, 44, 'Объект какого из следующих типов данных может быть модифицирован после передачи в метод в качестве аргумента?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (935, 49, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (13745, 632, '<p>Для чего используется класс ABC?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (872, 44, 'Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?
<pre><code class="language-java">package aquarium;
public class Water {
boolean salty = false;
}

package aquarium.jellies;
public class Water {
boolean salty = true;
}

package employee;
!ИМПОРТЫ!
public class WaterFiller {
Water water;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (873, 44, 'Какие из следующих утверждений являются достоверными?
<pre><code class="language-java">public class Bear {
protected void finalize() {
System.out.println("Roar!");
}
public static void main(String[] args) {
Bear bear = new Bear();
bear = null;
System.gc();
}
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2199, 90, 'Какой принцип работы PhantomReferences?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (729, 39, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1662, 72, 'Какая из следующих строк правильно описывает создание нити?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
/*Недостающая строка*/
Thread thread = new Thread(r);
thread.start();
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1663, 72, 'Что такое рефлексия?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1809, 80, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1879, 82, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.Optional;
public class Main {
public static void main(String[] args) {
Optional<Integer> optional = Optional.ofNullable(null);
System.out.println(optional);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1880, 82, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;
public class Main {
public static void main(String[] args) {
	Map<Integer, String> map = new HashMap<>();
map.put(1, "one");
map.put(2, "two");
map.put(3, "three");
Consumer<String> consumer = System.out::print;
map.forEach(consumer);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1881, 82, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1882, 82, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1883, 82, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">class SuperClass {
protected void method() {
System.out.println("SuperClass");
}
}
public class SubClass extends SuperClass {
private void method()  {
System.out.println("SubClass");
 }
public static void main(String[] args) {
SubClass subClass = new SubClass();
subClass.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1884, 82, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1885, 82, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (874, 44, 'Что выдаст следующий код после исполнения?
<pre><code class="language-java">import rope.*;
import static rope.Rope.*;
public class RopeSwing {
private static Rope rope1 = new Rope();
private static Rope rope2 = new Rope();
{
System.out.println(rope1.length);
}

public static void main(String[] args){
rope1.length = 2;
rope2.length = 8;
System.out.println(rope1.length);
}
}

package rope;
public class Rope {
public static int length = 0;
}
</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (875, 44, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
<pre><code class="language-java">public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (876, 44, 'Сколько ошибок компиляции в следующем коде?
<pre><code class="language-java">public class RopeSwing {
private static final String leftRope;
private static final String rightRope;
private static final String bench;
private static final String name = "name";
static {
leftRope = "left";
rightRope = "right";
}
static {
name = "name";
rightRope = "right";
}
public static void main(String[] args){
bench = "bench";
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (877, 44, 'Если вы хотите построить Immutable объект, какое из следующих утверждений будет верно?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (878, 44, 'Что из следующего является правильным созданием ExecutorService ?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (879, 44, 'Какая строка выведет сумму чисел от 2 до 5?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (880, 44, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Test {
public static void main(String[] args) {
Cat cat = new Cat();
cat.setKittyId(4);
System.out.println(cat.kitty.id);
}
static class Cat {
int id;String name;
Cat kitty = new Cat();
public void
setKittyId(int kittyId) {
this.kitty.id = kittyId;
}
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (881, 44, 'Какие варианты инициализации массива правильные?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (949, 49, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1654, 72, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1810, 80, '<p>Какая общая цель статического и динамического тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1886, 82, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1887, 82, 'Какие из утверждений верны в отношении следующего кода?
<pre><code class="language-java">interface Readable {
void read();
default void print();
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1888, 82, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1889, 82, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1890, 82, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1891, 82, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1892, 82, 'Как работает ключевое слово volatile?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1893, 82, 'Какие области памяти относятся к Heap Space?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1894, 82, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1915, 82, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (760, 41, 'Какие из утверждений являются достоверными в следующем коде?
<pre><code class="language-java">interface HasExoskeleton {
abstract int getNumberOfSections();
}

abstract class Insect implements HasExoskeleton {
abstract int getNumberOfLegs();
}

public class Beetle extends Insect {
int getNumberofLegs() { return 6; }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (761, 41, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (785, 41, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Test {
public static void main(String[] args) {
Cat cat = new Cat();
cat.setKittyId(4);
System.out.println(cat.kitty.id);
}
static class Cat {
int id;String name;
Cat kitty = new Cat();
public void
setKittyId(int kittyId) {
this.kitty.id = kittyId;
}
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (804, 43, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (814, 43, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (834, 43, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (849, 43, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1213, 54, 'Какие варианты инициализации массива правильные?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (852, 44, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">abstract class Reptile {
public final void layEggs() { System.out.println("Reptile laying eggs"); }
public static void main(String[] args) {
Reptile reptile = new Lizard();
reptile.layEggs();
}
}

public class Lizard extends Reptile {
public void layEggs() { System.out.println("Lizard laying eggs"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (934, 49, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1127, 52, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (950, 49, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (936, 49, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (937, 49, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (938, 49, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (969, 49, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1656, 72, 'Заполните пробелы: ___ появляется когда программа заходит слишком глубоко в рекурсию, находясь в бесконечном цикле, тогда как ___ появляется при обращении к несуществующему объекту.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1811, 80, '<p>Даны данные о возрасте человека, который должен быть в пределах от 1 до 99. Используя анализ граничных значений выберите, какие значения нужно проверить?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1895, 82, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1896, 82, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1898, 82, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1899, 82, 'Что выведет в консоль такая строчка кода?
<pre><code class="language-java">System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1900, 82, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<pre><code class="language-java">;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1661, 72, 'Что выдаст следующий код после исполнения?
<pre><code class="language-java">import rope.*;
import static rope.Rope.*;
public class RopeSwing {
private static Rope rope1 = new Rope();
private static Rope rope2 = new Rope();
{
System.out.println(rope1.length);
}

public static void main(String[] args){
rope1.length = 2;
rope2.length = 8;
System.out.println(rope1.length);
}
}

package rope;
public class Rope {
public static int length = 0;
}
</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1813, 80, '<p>Что не является принципом тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (940, 49, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (941, 49, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (942, 49, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (943, 49, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (944, 49, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (945, 49, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (946, 49, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (947, 49, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1128, 52, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (948, 49, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (951, 49, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (952, 49, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (953, 49, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (954, 49, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (955, 49, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (956, 49, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (957, 49, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (958, 49, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (959, 49, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (960, 49, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (962, 49, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (963, 49, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (964, 49, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (965, 49, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (967, 49, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (968, 49, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (988, 50, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (989, 50, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (990, 50, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (991, 50, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (992, 50, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (993, 50, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (994, 50, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (995, 50, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (996, 50, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1129, 52, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (997, 50, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (971, 49, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (972, 49, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (973, 49, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (974, 49, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4746, 183, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (975, 49, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (976, 49, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (977, 49, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (979, 49, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (980, 49, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (981, 49, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (982, 49, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (983, 49, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (999, 50, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1000, 50, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1001, 50, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1002, 50, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1004, 50, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1005, 50, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1006, 50, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1007, 50, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1008, 50, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1009, 50, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1010, 50, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1011, 50, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1012, 50, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1013, 50, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1014, 50, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1015, 50, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1017, 50, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1018, 50, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1019, 50, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1020, 50, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1021, 50, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1022, 50, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1023, 50, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1024, 50, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1025, 50, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1026, 50, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1027, 50, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1028, 50, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1029, 50, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1030, 50, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1031, 50, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2236, 90, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2202, 90, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2203, 90, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2204, 90, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (984, 50, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (986, 50, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (998, 50, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1016, 50, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1901, 82, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1033, 50, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1035, 51, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1036, 51, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1037, 51, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1038, 51, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1039, 51, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1040, 51, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1130, 52, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1041, 51, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1042, 51, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1043, 51, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1044, 51, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4805, 186, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1045, 51, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1046, 51, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1047, 51, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1048, 51, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1083, 51, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1902, 82, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1903, 82, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1050, 51, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1051, 51, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1052, 51, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1053, 51, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1054, 51, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1055, 51, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1056, 51, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1057, 51, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1058, 51, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1059, 51, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1060, 51, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1061, 51, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1062, 51, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1063, 51, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1064, 51, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1065, 51, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1066, 51, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1067, 51, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1068, 51, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1069, 51, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1070, 51, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1072, 51, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1073, 51, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1074, 51, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1075, 51, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4806, 186, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1076, 51, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1077, 51, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1078, 51, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1079, 51, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1080, 51, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1081, 51, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1082, 51, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1032, 50, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (939, 49, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (966, 49, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1085, 52, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1087, 52, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1088, 52, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1089, 52, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1090, 52, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1091, 52, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1092, 52, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1093, 52, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1094, 52, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1095, 52, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1096, 52, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1097, 52, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4769, 184, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1098, 52, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1099, 52, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1100, 52, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1101, 52, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1102, 52, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1103, 52, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1104, 52, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1904, 82, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1905, 82, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1906, 82, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1907, 82, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1916, 82, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1086, 52, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1105, 52, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1106, 52, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1107, 52, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1108, 52, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1110, 52, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1111, 52, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1112, 52, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1113, 52, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1114, 52, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1115, 52, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1117, 52, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1118, 52, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1119, 52, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1120, 52, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1121, 52, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1122, 52, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1123, 52, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1124, 52, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1125, 52, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1126, 52, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1160, 53, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1131, 52, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1132, 52, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1133, 52, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1819, 81, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1135, 53, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1137, 53, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1138, 53, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1139, 53, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1140, 53, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1141, 53, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1142, 53, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1143, 53, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1144, 53, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1145, 53, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1146, 53, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1147, 53, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1148, 53, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1149, 53, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1150, 53, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1151, 53, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1152, 53, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1153, 53, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1154, 53, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1155, 53, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1156, 53, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1157, 53, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1158, 53, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1159, 53, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1908, 82, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1820, 81, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2019, 85, 'Какой принцип работы PhantomReferences?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1134, 53, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1136, 53, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1116, 52, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1162, 53, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1164, 53, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1165, 53, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1166, 53, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1167, 53, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1168, 53, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1169, 53, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1170, 53, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1171, 53, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1172, 53, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1173, 53, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1174, 53, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1175, 53, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1176, 53, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1177, 53, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1178, 53, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1179, 53, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1180, 53, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1181, 53, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1182, 53, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1183, 53, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5305, 208, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1372, 60, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1209, 54, 'Если вы хотите построить Immutable объект, какое из следующих утверждений будет верно?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1400, 61, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2020, 85, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1186, 54, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args){
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) {System.out.println("Orca diving");}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1187, 54, 'Какие из утверждений являются достоверными в следующем коде?
<pre><code class="language-java">interface HasExoskeleton {
abstract int getNumberOfSections();
}

abstract class Insect implements HasExoskeleton {
abstract int getNumberOfLegs();
}

public class Beetle extends Insect {
int getNumberofLegs() { return 6; }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1189, 54, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1190, 54, 'В следующем коде укажите строки, содержащие ошибки
<pre><code class="language-java">public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1191, 54, 'Что из перечисленного при наследовании может быть только скрыто и не может быть переопределено?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1192, 54, 'Заполните пробелы: ___ появляется когда программа заходит слишком глубоко в рекурсию, находясь в бесконечном цикле, тогда как ___ появляется при обращении к несуществующему объекту.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1193, 54, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1194, 54, 'Заполните пробелы: Приложение должно обрабатывать или объявлять ___ , но никогда не должно обрабатывать ___', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1195, 54, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1196, 54, 'Какое главное преимущество использования лямбда выражений?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1197, 54, 'Какое из следующих утверждений о конструкторах без аргументов является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1198, 54, 'Какие из следующих сигнатур методов не содержат ошибку?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1199, 54, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1200, 54, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1201, 54, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1202, 54, 'Какие из следующих утверждений о перегруженных методах являются достоверными?
1) Перегруженные методы должны иметь одинаковое имя
2) Перегруженные методы должны иметь одинаковый тип возвращаемого значения
3) Перегруженные методы должны иметь разный список аргументов', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1203, 54, 'Объект какого из следующих типов данных может быть модифицирован после передачи в метод в качестве аргумента?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1204, 54, 'Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?
<pre><code class="language-java">package aquarium;
public class Water {
boolean salty = false;
}

package aquarium.jellies;
public class Water {
boolean salty = true;
}

package employee;
!ИМПОРТЫ!
public class WaterFiller {
Water water;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1205, 54, 'Какие из следующих утверждений являются достоверными?
<pre><code class="language-java">public class Bear {
protected void finalize() {
System.out.println("Roar!");
}
public static void main(String[] args) {
Bear bear = new Bear();
bear = null;
System.gc();
}
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1206, 54, 'Что выдаст следующий код после исполнения?
<pre><code class="language-java">import rope.*;
import static rope.Rope.*;
public class RopeSwing {
private static Rope rope1 = new Rope();
private static Rope rope2 = new Rope();
{
System.out.println(rope1.length);
}

public static void main(String[] args){
rope1.length = 2;
rope2.length = 8;
System.out.println(rope1.length);
}
}

package rope;
public class Rope {
public static int length = 0;
}
</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1207, 54, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
<pre><code class="language-java">public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1228, 55, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1208, 54, 'Сколько ошибок компиляции в следующем коде?
<pre><code class="language-java">public class RopeSwing {
private static final String leftRope;
private static final String rightRope;
private static final String bench;
private static final String name = "name";
static {
leftRope = "left";
rightRope = "right";
}
static {
name = "name";
rightRope = "right";
}
public static void main(String[] args){
bench = "bench";
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1909, 82, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1910, 82, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1911, 82, 'Что из следующего не является побитовой операцией?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1184, 54, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">abstract class Reptile {
public final void layEggs() { System.out.println("Reptile laying eggs"); }
public static void main(String[] args) {
Reptile reptile = new Lizard();
reptile.layEggs();
}
}

public class Lizard extends Reptile {
public void layEggs() { System.out.println("Lizard laying eggs"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1185, 54, 'Какие из утверждений являются достоверными в следующем коде?
<pre><code class="language-java">public class Rodent {
protected static Integer chew() throws Exception {
System.out.println("Rodent is chewing");
return 1;
}
}

class Beaver extends Rodent {
public Number chew() throws RuntimeException {
System.out.println("Beaver is chewing on wood");
return 2;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1188, 54, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1210, 54, 'Что из следующего является правильным созданием ExecutorService ?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1212, 54, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Test {
public static void main(String[] args) {
Cat cat = new Cat();
cat.setKittyId(4);
System.out.println(cat.kitty.id);
}
static class Cat {
int id;String name;
Cat kitty = new Cat();
public void
setKittyId(int kittyId) {
this.kitty.id = kittyId;
}
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1034, 51, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1049, 51, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1214, 55, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1215, 55, 'Какой из следующих примеров описывает корректную структуру класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1216, 55, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1217, 55, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1218, 55, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1219, 55, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1220, 55, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1221, 55, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1222, 55, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1223, 55, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1224, 55, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1225, 55, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1226, 55, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1227, 55, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1230, 56, 'Какой из следующих примеров описывает корректную структуру класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1231, 56, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1233, 56, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2200, 90, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1229, 56, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1243, 56, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1232, 56, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1234, 56, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1235, 56, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1244, 57, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1245, 57, 'Какой из следующих примеров описывает корректную структуру класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1246, 57, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1247, 57, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1248, 57, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1249, 57, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1250, 57, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1251, 57, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1252, 57, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1253, 57, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1254, 57, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1255, 57, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1256, 57, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1257, 57, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1258, 57, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1236, 56, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1237, 56, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1238, 56, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1239, 56, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1405, 61, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5512, 217, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5995, 238, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6452, 262, '<p>Что такое бета-тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6950, 289, 'В чем разница аннотаций @Controller и @RestController?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1240, 56, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1241, 56, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1242, 56, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1324, 60, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1287, 58, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1326, 60, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1262, 58, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1263, 58, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1264, 58, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1265, 58, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1266, 58, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1267, 58, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1268, 58, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1269, 58, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1270, 58, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1271, 58, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1272, 58, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1273, 58, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1274, 58, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1275, 58, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1276, 58, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1277, 58, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1278, 58, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1279, 58, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1280, 58, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1281, 58, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1282, 58, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1283, 58, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1284, 58, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1285, 58, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1286, 58, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1259, 58, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1260, 58, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1261, 58, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1288, 58, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1289, 58, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1290, 58, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1291, 58, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1292, 58, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1293, 58, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1294, 58, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1295, 58, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1296, 58, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1297, 58, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1298, 58, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1299, 58, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1300, 58, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1301, 58, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1302, 58, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1303, 58, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1304, 58, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1306, 58, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1307, 58, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1308, 58, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1309, 59, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args){
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) {System.out.println("Orca diving");}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1310, 59, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1311, 59, 'Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?
<pre><code class="language-java">interface Secret {
String magic(double d);
}

class MySecret implements Secret {
public String magic(double d) {
return "Poof";
}
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1342, 60, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1312, 59, 'Какие из утверждений являются достоверными в следующем коде?
<pre><code class="language-java">public class Rodent {
protected static Integer chew() throws Exception {
System.out.println("Rodent is chewing");
return 1;
}
}

class Beaver extends Rodent {
public Number chew() throws RuntimeException {
System.out.println("Beaver is chewing on wood");
return 2;
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1314, 59, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Test {
public static void main(String[] args) {
Cat cat = new Cat();
cat.setKittyId(4);
System.out.println(cat.kitty.id);
}
static class Cat {
int id;String name;
Cat kitty = new Cat();
public void
setKittyId(int kittyId) {
this.kitty.id = kittyId;
}
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1316, 59, 'Что выдаст следующий код после исполнения?
<pre><code class="language-java">import rope.*;
import static rope.Rope.*;
public class RopeSwing {
private static Rope rope1 = new Rope();
private static Rope rope2 = new Rope();
{
System.out.println(rope1.length);
}

public static void main(String[] args){
rope1.length = 2;
rope2.length = 8;
System.out.println(rope1.length);
}
}

package rope;
public class Rope {
public static int length = 0;
}
</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1317, 59, 'Объект какого из следующих типов данных может быть модифицирован после передачи в метод в качестве аргумента?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1318, 59, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1319, 59, 'Какие из следующих утверждений не верны при переопределении метода?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1320, 59, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
int getValue()
{
return (true ? null : 0);
}
public static void main(String[] args) {
Main obj = new Main();
obj.getValue();
}
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1321, 59, '<p>Какой метод проектирования тестов в значительной степени зависит от предварительного знания системы?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1322, 59, '<p>Что из перечисленного состоит из набора входных значений, предварительных условий выполнения и ожидаемых результатов?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1323, 59, '<p>Какие методы наиболее эффективны, если документация устарела?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1325, 60, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1327, 60, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1328, 60, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1329, 60, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1330, 60, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1331, 60, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1332, 60, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1333, 60, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1334, 60, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1335, 60, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1373, 60, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1339, 60, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1340, 60, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1341, 60, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4972, 193, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1343, 60, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1344, 60, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1345, 60, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1346, 60, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1347, 60, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1348, 60, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1349, 60, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1350, 60, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1351, 60, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1352, 60, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1353, 60, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1354, 60, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1355, 60, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1357, 60, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1358, 60, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1359, 60, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1360, 60, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1361, 60, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1362, 60, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1363, 60, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1364, 60, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1365, 60, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1366, 60, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1367, 60, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1374, 61, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1375, 61, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1376, 61, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1377, 61, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1378, 61, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1379, 61, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4973, 193, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1380, 61, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1381, 61, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1382, 61, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1383, 61, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1384, 61, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1385, 61, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1386, 61, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1387, 61, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1388, 61, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1389, 61, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1390, 61, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1391, 61, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1392, 61, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1393, 61, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1394, 61, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1395, 61, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1396, 61, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1397, 61, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1398, 61, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1399, 61, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1403, 61, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1404, 61, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1406, 61, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1407, 61, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1408, 61, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1409, 61, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1410, 61, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1411, 61, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1412, 61, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1413, 61, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1414, 61, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1415, 61, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1416, 61, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1417, 61, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1418, 61, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1419, 61, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1420, 61, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1421, 61, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1422, 61, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1423, 61, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1336, 60, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1425, 62, 'Какие из утверждений являются достоверными в следующем коде?
<pre><code class="language-java">public class Rodent {
protected static Integer chew() throws Exception {
System.out.println("Rodent is chewing");
return 1;
}
}

class Beaver extends Rodent {
public Number chew() throws RuntimeException {
System.out.println("Beaver is chewing on wood");
return 2;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1426, 62, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args){
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) {System.out.println("Orca diving");}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1427, 62, 'Какие из утверждений являются достоверными в следующем коде?
<pre><code class="language-java">interface HasExoskeleton {
abstract int getNumberOfSections();
}

abstract class Insect implements HasExoskeleton {
abstract int getNumberOfLegs();
}

public class Beetle extends Insect {
int getNumberofLegs() { return 6; }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1428, 62, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1429, 62, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1430, 62, 'В следующем коде укажите строки, содержащие ошибки
<pre><code class="language-java">public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1431, 62, 'Что из перечисленного при наследовании может быть только скрыто и не может быть переопределено?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1356, 60, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1432, 62, 'Заполните пробелы: ___ появляется когда программа заходит слишком глубоко в рекурсию, находясь в бесконечном цикле, тогда как ___ появляется при обращении к несуществующему объекту.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1433, 62, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1434, 62, 'Заполните пробелы: Приложение должно обрабатывать или объявлять ___ , но никогда не должно обрабатывать ___', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1435, 62, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1436, 62, 'Какое главное преимущество использования лямбда выражений?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1437, 62, 'Какое из следующих утверждений о конструкторах без аргументов является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1438, 62, 'Какие из следующих сигнатур методов не содержат ошибку?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1439, 62, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1440, 62, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1441, 62, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1442, 62, 'Какие из следующих утверждений о перегруженных методах являются достоверными?
1) Перегруженные методы должны иметь одинаковое имя
2) Перегруженные методы должны иметь одинаковый тип возвращаемого значения
3) Перегруженные методы должны иметь разный список аргументов', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1443, 62, 'Объект какого из следующих типов данных может быть модифицирован после передачи в метод в качестве аргумента?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1444, 62, 'Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?
<pre><code class="language-java">package aquarium;
public class Water {
boolean salty = false;
}

package aquarium.jellies;
public class Water {
boolean salty = true;
}

package employee;
!ИМПОРТЫ!
public class WaterFiller {
Water water;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1445, 62, 'Какие из следующих утверждений являются достоверными?
<pre><code class="language-java">public class Bear {
protected void finalize() {
System.out.println("Roar!");
}
public static void main(String[] args) {
Bear bear = new Bear();
bear = null;
System.gc();
}
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1446, 62, 'Что выдаст следующий код после исполнения?
<pre><code class="language-java">import rope.*;
import static rope.Rope.*;
public class RopeSwing {
private static Rope rope1 = new Rope();
private static Rope rope2 = new Rope();
{
System.out.println(rope1.length);
}

public static void main(String[] args){
rope1.length = 2;
rope2.length = 8;
System.out.println(rope1.length);
}
}

package rope;
public class Rope {
public static int length = 0;
}
</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1447, 62, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
<pre><code class="language-java">public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1448, 62, 'Сколько ошибок компиляции в следующем коде?
<pre><code class="language-java">public class RopeSwing {
private static final String leftRope;
private static final String rightRope;
private static final String bench;
private static final String name = "name";
static {
leftRope = "left";
rightRope = "right";
}
static {
name = "name";
rightRope = "right";
}
public static void main(String[] args){
bench = "bench";
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1449, 62, 'Если вы хотите построить Immutable объект, какое из следующих утверждений будет верно?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1450, 62, 'Что из следующего является правильным созданием ExecutorService ?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1451, 62, 'Какая строка выведет сумму чисел от 2 до 5?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1452, 62, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Test {
public static void main(String[] args) {
Cat cat = new Cat();
cat.setKittyId(4);
System.out.println(cat.kitty.id);
}
static class Cat {
int id;String name;
Cat kitty = new Cat();
public void
setKittyId(int kittyId) {
this.kitty.id = kittyId;
}
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1453, 62, 'Какие варианты инициализации массива правильные?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1368, 60, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1821, 81, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1822, 81, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1823, 81, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1824, 81, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1825, 81, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1826, 81, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1827, 81, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4974, 193, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1828, 81, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1829, 81, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1830, 81, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1831, 81, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1832, 81, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1833, 81, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1834, 81, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1835, 81, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1836, 81, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1837, 81, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1838, 81, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1370, 60, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2301, 92, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1755, 79, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1757, 79, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1758, 79, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1759, 79, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1760, 79, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1761, 79, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1762, 79, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1763, 79, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1764, 79, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1765, 79, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1766, 79, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1767, 79, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1938, 83, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1768, 79, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1769, 79, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1770, 79, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1771, 79, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1772, 79, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1773, 79, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1774, 79, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1775, 79, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1776, 79, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1777, 79, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1778, 79, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2249, 91, 'Какой принцип работы PhantomReferences?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2250, 91, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2251, 91, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2252, 91, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2253, 91, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2254, 91, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1782, 79, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1784, 79, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1785, 79, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1786, 79, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1787, 79, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1788, 79, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1789, 79, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1790, 79, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1791, 79, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1792, 79, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1793, 79, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1794, 79, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1795, 79, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1796, 79, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1797, 79, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1798, 79, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1799, 79, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1800, 79, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5548, 219, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1801, 79, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1802, 79, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1803, 79, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1839, 81, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1840, 81, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1841, 81, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1842, 81, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1754, 79, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1843, 81, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1844, 81, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1845, 81, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1846, 81, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1847, 81, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1848, 81, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1849, 81, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1850, 81, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1851, 81, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1852, 81, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1853, 81, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1854, 81, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1855, 81, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1856, 81, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1857, 81, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1858, 81, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2299, 92, 'Какой принцип работы PhantomReferences?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1756, 79, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1859, 81, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1860, 81, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1861, 81, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1862, 81, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1863, 81, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1864, 81, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1865, 81, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1866, 81, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1867, 81, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1868, 81, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1912, 82, 'Какой будет результат выполнения следующей программы?
<pre><code class="language-java">public class Outer {
public int x;
private int y;
void cal(int a, int b) {
x = a + 1;
y = b;
}
static class Inner {
public static void main(String args[]) {
Outer obj = new Outer();
obj.cal(2, 3);
System.out.println(obj.x + " " + obj.y);
}
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1424, 62, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">abstract class Reptile {
public final void layEggs() { System.out.println("Reptile laying eggs"); }
public static void main(String[] args) {
Reptile reptile = new Lizard();
reptile.layEggs();
}
}

public class Lizard extends Reptile {
public void layEggs() { System.out.println("Lizard laying eggs"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1913, 82, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1914, 82, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1920, 83, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1922, 83, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1923, 83, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1924, 83, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1925, 83, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1926, 83, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1927, 83, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1928, 83, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1929, 83, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1930, 83, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1931, 83, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1932, 83, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1933, 83, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1934, 83, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1935, 83, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1936, 83, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1937, 83, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1939, 83, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1940, 83, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1970, 84, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1971, 84, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1942, 83, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1943, 83, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1944, 83, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1945, 83, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1946, 83, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1947, 83, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1948, 83, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1949, 83, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1950, 83, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1952, 83, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1953, 83, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1954, 83, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5374, 211, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1955, 83, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1956, 83, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1957, 83, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1958, 83, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1959, 83, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1960, 83, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1961, 83, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1962, 83, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1963, 83, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1964, 83, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1965, 83, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1966, 83, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1967, 83, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1968, 83, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1972, 84, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2017, 84, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1973, 84, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1974, 84, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1975, 84, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1976, 84, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1977, 84, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1978, 84, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1979, 84, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1980, 84, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1981, 84, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1982, 84, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1983, 84, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1984, 84, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1985, 84, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1986, 84, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1987, 84, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1988, 84, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1989, 84, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1990, 84, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1991, 84, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1992, 84, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1993, 84, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1994, 84, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1995, 84, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1997, 84, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1998, 84, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (1999, 84, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2000, 84, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2024, 85, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2016, 84, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2018, 84, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2025, 85, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2026, 85, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2027, 85, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2028, 85, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2029, 85, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.Optional;
public class Main {
public static void main(String[] args) {
Optional<Integer> optional = Optional.ofNullable(null);
System.out.println(optional);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2030, 85, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;
public class Main {
public static void main(String[] args) {
	Map<Integer, String> map = new HashMap<>();
map.put(1, "one");
map.put(2, "two");
map.put(3, "three");
Consumer<String> consumer = System.out::print;
map.forEach(consumer);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2031, 85, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2032, 85, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2033, 85, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">class SuperClass {
protected void method() {
System.out.println("SuperClass");
}
}
public class SubClass extends SuperClass {
private void method()  {
System.out.println("SubClass");
 }
public static void main(String[] args) {
SubClass subClass = new SubClass();
subClass.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2034, 85, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2035, 85, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2098, 87, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2036, 85, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2037, 85, 'Какие из утверждений верны в отношении следующего кода?
<pre><code class="language-java">interface Readable {
void read();
default void print();
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2038, 85, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2039, 85, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2040, 85, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2041, 85, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2043, 85, 'Какие области памяти относятся к Heap Space?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2044, 85, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2045, 85, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2046, 85, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2047, 85, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2048, 85, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2049, 85, 'Что выведет в консоль такая строчка кода?
<pre><code class="language-java">System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2050, 85, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<pre><code class="language-java">;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2051, 85, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2052, 85, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2053, 85, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2054, 85, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2055, 85, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2056, 85, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2057, 85, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2058, 85, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2059, 85, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2060, 85, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2061, 85, 'Что из следующего не является побитовой операцией?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2062, 85, 'Какой будет результат выполнения следующей программы?
<pre><code class="language-java">public class Outer {
public int x;
private int y;
void cal(int a, int b) {
x = a + 1;
y = b;
}
static class Inner {
public static void main(String args[]) {
Outer obj = new Outer();
obj.cal(2, 3);
System.out.println(obj.x + " " + obj.y);
}
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2063, 85, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2064, 85, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2065, 85, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2066, 85, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2067, 85, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2068, 85, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main { public static void main(String[] args) { Stream&lt;Integer&gt; integerStream = Stream.of(13,44,2,11,29); Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i%2 != 0)); System.out.println(map.get(true)); } }</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2108, 88, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5617, 222, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (1919, 83, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1921, 83, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (1941, 83, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (1951, 83, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2069, 86, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2071, 86, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2072, 86, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2073, 86, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2074, 86, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2075, 86, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2076, 86, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2077, 86, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2078, 86, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2079, 86, 'Какие из утверждений верны в отношении следующего кода?
<pre><code class="language-java">interface Readable {
void read();
default void print();
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2080, 86, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2081, 86, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2082, 86, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2099, 88, 'Какой принцип работы PhantomReferences?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2100, 88, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2101, 88, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2102, 88, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2103, 88, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2085, 87, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2086, 87, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2087, 87, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2088, 87, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2089, 87, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2090, 87, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2091, 87, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2092, 87, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2093, 87, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2094, 87, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2095, 87, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2096, 87, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2097, 87, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2109, 88, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.Optional;
public class Main {
public static void main(String[] args) {
Optional<Integer> optional = Optional.ofNullable(null);
System.out.println(optional);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2110, 88, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;
public class Main {
public static void main(String[] args) {
	Map<Integer, String> map = new HashMap<>();
map.put(1, "one");
map.put(2, "two");
map.put(3, "three");
Consumer<String> consumer = System.out::print;
map.forEach(consumer);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2111, 88, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2112, 88, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2113, 88, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">class SuperClass {
protected void method() {
System.out.println("SuperClass");
}
}
public class SubClass extends SuperClass {
private void method()  {
System.out.println("SubClass");
 }
public static void main(String[] args) {
SubClass subClass = new SubClass();
subClass.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2114, 88, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2115, 88, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2116, 88, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2117, 88, 'Какие из утверждений верны в отношении следующего кода?
<pre><code class="language-java">interface Readable {
void read();
default void print();
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2118, 88, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2264, 91, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2119, 88, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2120, 88, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2121, 88, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2122, 88, 'Как работает ключевое слово volatile?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2123, 88, 'Какие области памяти относятся к Heap Space?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2124, 88, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2125, 88, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2126, 88, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2127, 88, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2128, 88, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2129, 88, 'Что выведет в консоль такая строчка кода?
<pre><code class="language-java">System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2130, 88, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<pre><code class="language-java">;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2131, 88, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2132, 88, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2133, 88, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2134, 88, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2135, 88, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2136, 88, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2137, 88, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2196, 89, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2138, 88, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2163, 89, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">class SuperClass {
protected void method() {
System.out.println("SuperClass");
}
}
public class SubClass extends SuperClass {
private void method()  {
System.out.println("SubClass");
 }
public static void main(String[] args) {
SubClass subClass = new SubClass();
subClass.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2164, 89, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2165, 89, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2166, 89, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2167, 89, 'Какие из утверждений верны в отношении следующего кода?
<pre><code class="language-java">interface Readable {
void read();
default void print();
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2168, 89, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2169, 89, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2170, 89, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2171, 89, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2172, 89, 'Как работает ключевое слово volatile?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2173, 89, 'Какие области памяти относятся к Heap Space?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2174, 89, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2265, 91, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2175, 89, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2176, 89, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2177, 89, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2178, 89, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2179, 89, 'Что выведет в консоль такая строчка кода?
<pre><code class="language-java">System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2180, 89, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<pre><code class="language-java">;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2181, 89, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2182, 89, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2183, 89, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2184, 89, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2185, 89, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2186, 89, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2187, 89, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2188, 89, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2189, 89, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2190, 89, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2191, 89, 'Что из следующего не является побитовой операцией?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2192, 89, 'Какой будет результат выполнения следующей программы?
<pre><code class="language-java">public class Outer {
public int x;
private int y;
void cal(int a, int b) {
x = a + 1;
y = b;
}
static class Inner {
public static void main(String args[]) {
Outer obj = new Outer();
obj.cal(2, 3);
System.out.println(obj.x + " " + obj.y);
}
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2193, 89, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2194, 89, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2195, 89, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2197, 89, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2300, 92, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2208, 90, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2209, 90, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.Optional;
public class Main {
public static void main(String[] args) {
Optional<Integer> optional = Optional.ofNullable(null);
System.out.println(optional);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2210, 90, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;
public class Main {
public static void main(String[] args) {
	Map<Integer, String> map = new HashMap<>();
map.put(1, "one");
map.put(2, "two");
map.put(3, "three");
Consumer<String> consumer = System.out::print;
map.forEach(consumer);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2211, 90, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2212, 90, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2213, 90, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">class SuperClass {
protected void method() {
System.out.println("SuperClass");
}
}
public class SubClass extends SuperClass {
private void method()  {
System.out.println("SubClass");
 }
public static void main(String[] args) {
SubClass subClass = new SubClass();
subClass.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2214, 90, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2215, 90, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2345, 92, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2216, 90, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2217, 90, 'Какие из утверждений верны в отношении следующего кода?
<pre><code class="language-java">interface Readable {
void read();
default void print();
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2218, 90, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2219, 90, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2220, 90, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2221, 90, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2222, 90, 'Как работает ключевое слово volatile?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2223, 90, 'Какие области памяти относятся к Heap Space?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2224, 90, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2225, 90, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2226, 90, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2227, 90, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2228, 90, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2229, 90, 'Что выведет в консоль такая строчка кода?
<pre><code class="language-java">System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2230, 90, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<pre><code class="language-java">;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2231, 90, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2232, 90, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2233, 90, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2234, 90, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2235, 90, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2255, 91, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2256, 91, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2257, 91, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2258, 91, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2259, 91, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.Optional;
public class Main {
public static void main(String[] args) {
Optional<Integer> optional = Optional.ofNullable(null);
System.out.println(optional);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2260, 91, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;
public class Main {
public static void main(String[] args) {
	Map<Integer, String> map = new HashMap<>();
map.put(1, "one");
map.put(2, "two");
map.put(3, "three");
Consumer<String> consumer = System.out::print;
map.forEach(consumer);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2261, 91, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2262, 91, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2263, 91, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">class SuperClass {
protected void method() {
System.out.println("SuperClass");
}
}
public class SubClass extends SuperClass {
private void method()  {
System.out.println("SubClass");
 }
public static void main(String[] args) {
SubClass subClass = new SubClass();
subClass.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2266, 91, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2267, 91, 'Какие из утверждений верны в отношении следующего кода?
<pre><code class="language-java">interface Readable {
void read();
default void print();
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2268, 91, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2269, 91, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2270, 91, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2271, 91, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2273, 91, 'Какие области памяти относятся к Heap Space?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2274, 91, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2275, 91, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2276, 91, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2277, 91, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2278, 91, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2279, 91, 'Что выведет в консоль такая строчка кода?
<pre><code class="language-java">System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2280, 91, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<pre><code class="language-java">;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2281, 91, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2282, 91, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2283, 91, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2284, 91, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2285, 91, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2302, 92, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2303, 92, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2304, 92, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2305, 92, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2306, 92, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2307, 92, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2308, 92, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2309, 92, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.Optional;
public class Main {
public static void main(String[] args) {
Optional<Integer> optional = Optional.ofNullable(null);
System.out.println(optional);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2310, 92, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;
public class Main {
public static void main(String[] args) {
	Map<Integer, String> map = new HashMap<>();
map.put(1, "one");
map.put(2, "two");
map.put(3, "three");
Consumer<String> consumer = System.out::print;
map.forEach(consumer);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2311, 92, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2312, 92, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2346, 92, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2313, 92, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">class SuperClass {
protected void method() {
System.out.println("SuperClass");
}
}
public class SubClass extends SuperClass {
private void method()  {
System.out.println("SubClass");
 }
public static void main(String[] args) {
SubClass subClass = new SubClass();
subClass.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2314, 92, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2315, 92, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2316, 92, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2317, 92, 'Какие из утверждений верны в отношении следующего кода?
<pre><code class="language-java">interface Readable {
void read();
default void print();
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2318, 92, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2319, 92, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2320, 92, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2321, 92, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2322, 92, 'Как работает ключевое слово volatile?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2323, 92, 'Какие области памяти относятся к Heap Space?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2324, 92, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2325, 92, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2326, 92, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2327, 92, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2328, 92, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2329, 92, 'Что выведет в консоль такая строчка кода?
<pre><code class="language-java">System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2395, 93, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2330, 92, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<pre><code class="language-java">;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2331, 92, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2332, 92, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2402, 94, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2333, 92, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2334, 92, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2335, 92, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2336, 92, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2337, 92, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2338, 92, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2339, 92, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2340, 92, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2341, 92, 'Что из следующего не является побитовой операцией?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2342, 92, 'Какой будет результат выполнения следующей программы?
<pre><code class="language-java">public class Outer {
public int x;
private int y;
void cal(int a, int b) {
x = a + 1;
y = b;
}
static class Inner {
public static void main(String args[]) {
Outer obj = new Outer();
obj.cal(2, 3);
System.out.println(obj.x + " " + obj.y);
}
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2343, 92, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2344, 92, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5549, 219, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2347, 92, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2348, 92, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main { public static void main(String[] args) { Stream&lt;Integer&gt; integerStream = Stream.of(13,44,2,11,29); Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i%2 != 0)); System.out.println(map.get(true)); } }</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2349, 93, 'Какой принцип работы PhantomReferences?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2350, 93, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2351, 93, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2352, 93, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2353, 93, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2354, 93, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2355, 93, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2356, 93, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2357, 93, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2358, 93, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2359, 93, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.Optional;
public class Main {
public static void main(String[] args) {
Optional<Integer> optional = Optional.ofNullable(null);
System.out.println(optional);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2360, 93, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;
public class Main {
public static void main(String[] args) {
	Map<Integer, String> map = new HashMap<>();
map.put(1, "one");
map.put(2, "two");
map.put(3, "three");
Consumer<String> consumer = System.out::print;
map.forEach(consumer);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2361, 93, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2362, 93, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2396, 93, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5618, 222, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2363, 93, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">class SuperClass {
protected void method() {
System.out.println("SuperClass");
}
}
public class SubClass extends SuperClass {
private void method()  {
System.out.println("SubClass");
 }
public static void main(String[] args) {
SubClass subClass = new SubClass();
subClass.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2364, 93, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2365, 93, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2403, 94, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2404, 94, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2366, 93, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2367, 93, 'Какие из утверждений верны в отношении следующего кода?
<pre><code class="language-java">interface Readable {
void read();
default void print();
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2368, 93, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2369, 93, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2370, 93, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2371, 93, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2372, 93, 'Как работает ключевое слово volatile?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2373, 93, 'Какие области памяти относятся к Heap Space?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2374, 93, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2375, 93, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2376, 93, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2377, 93, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2378, 93, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2379, 93, 'Что выведет в консоль такая строчка кода?
<pre><code class="language-java">System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2380, 93, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<pre><code class="language-java">;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2381, 93, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2382, 93, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2383, 93, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2384, 93, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2385, 93, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2386, 93, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2387, 93, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2388, 93, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2389, 93, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2390, 93, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2391, 93, 'Что из следующего не является побитовой операцией?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2392, 93, 'Какой будет результат выполнения следующей программы?
<pre><code class="language-java">public class Outer {
public int x;
private int y;
void cal(int a, int b) {
x = a + 1;
y = b;
}
static class Inner {
public static void main(String args[]) {
Outer obj = new Outer();
obj.cal(2, 3);
System.out.println(obj.x + " " + obj.y);
}
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2393, 93, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2394, 93, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2613, 98, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2397, 93, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2398, 93, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main { public static void main(String[] args) { Stream&lt;Integer&gt; integerStream = Stream.of(13,44,2,11,29); Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i%2 != 0)); System.out.println(map.get(true)); } }</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2399, 94, 'Какой принцип работы PhantomReferences?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2400, 94, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2401, 94, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2405, 94, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2406, 94, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2407, 94, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2408, 94, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2409, 94, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.Optional;
public class Main {
public static void main(String[] args) {
Optional<Integer> optional = Optional.ofNullable(null);
System.out.println(optional);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2410, 94, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;
public class Main {
public static void main(String[] args) {
	Map<Integer, String> map = new HashMap<>();
map.put(1, "one");
map.put(2, "two");
map.put(3, "three");
Consumer<String> consumer = System.out::print;
map.forEach(consumer);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2411, 94, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2412, 94, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2413, 94, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">class SuperClass {
protected void method() {
System.out.println("SuperClass");
}
}
public class SubClass extends SuperClass {
private void method()  {
System.out.println("SubClass");
 }
public static void main(String[] args) {
SubClass subClass = new SubClass();
subClass.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2414, 94, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2415, 94, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2416, 94, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2417, 94, 'Какие из утверждений верны в отношении следующего кода?
<pre><code class="language-java">interface Readable {
void read();
default void print();
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2418, 94, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2419, 94, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2420, 94, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2421, 94, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2423, 94, 'Какие области памяти относятся к Heap Space?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2424, 94, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2425, 94, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2426, 94, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2427, 94, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2428, 94, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2429, 94, 'Что выведет в консоль такая строчка кода?
<pre><code class="language-java">System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2430, 94, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<pre><code class="language-java">;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2431, 94, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2432, 94, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2433, 94, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2434, 94, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2435, 94, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2436, 94, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2437, 94, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2438, 94, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2439, 94, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2440, 94, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2441, 94, 'Что из следующего не является побитовой операцией?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2442, 94, 'Какой будет результат выполнения следующей программы?
<pre><code class="language-java">public class Outer {
public int x;
private int y;
void cal(int a, int b) {
x = a + 1;
y = b;
}
static class Inner {
public static void main(String args[]) {
Outer obj = new Outer();
obj.cal(2, 3);
System.out.println(obj.x + " " + obj.y);
}
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2443, 94, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2444, 94, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2445, 94, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2446, 94, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2447, 94, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2448, 94, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main { public static void main(String[] args) { Stream&lt;Integer&gt; integerStream = Stream.of(13,44,2,11,29); Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i%2 != 0)); System.out.println(map.get(true)); } }</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2449, 95, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">abstract class Reptile {
public final void layEggs() { System.out.println("Reptile laying eggs"); }
public static void main(String[] args) {
Reptile reptile = new Lizard();
reptile.layEggs();
}
}

public class Lizard extends Reptile {
public void layEggs() { System.out.println("Lizard laying eggs"); }
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2450, 95, 'Какие из утверждений являются достоверными в следующем коде?
<pre><code class="language-java">public class Rodent {
protected static Integer chew() throws Exception {
System.out.println("Rodent is chewing");
return 1;
}
}

class Beaver extends Rodent {
public Number chew() throws RuntimeException {
System.out.println("Beaver is chewing on wood");
return 2;
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2451, 95, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args){
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) {System.out.println("Orca diving");}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2452, 95, 'Какие из утверждений являются достоверными в следующем коде?
<pre><code class="language-java">interface HasExoskeleton {
abstract int getNumberOfSections();
}

abstract class Insect implements HasExoskeleton {
abstract int getNumberOfLegs();
}

public class Beetle extends Insect {
int getNumberofLegs() { return 6; }
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2453, 95, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2454, 95, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2455, 95, 'В следующем коде укажите строки, содержащие ошибки
<pre><code class="language-java">public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2456, 95, 'Что из перечисленного при наследовании может быть только скрыто и не может быть переопределено?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2457, 95, 'Заполните пробелы: ___ появляется когда программа заходит слишком глубоко в рекурсию, находясь в бесконечном цикле, тогда как ___ появляется при обращении к несуществующему объекту.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2614, 98, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2458, 95, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2459, 95, 'Заполните пробелы: Приложение должно обрабатывать или объявлять ___ , но никогда не должно обрабатывать ___', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2460, 95, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2461, 95, 'Какое главное преимущество использования лямбда выражений?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2462, 95, 'Какое из следующих утверждений о конструкторах без аргументов является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2463, 95, 'Какие из следующих сигнатур методов не содержат ошибку?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2464, 95, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2465, 95, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2466, 95, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2467, 95, 'Какие из следующих утверждений о перегруженных методах являются достоверными?
1) Перегруженные методы должны иметь одинаковое имя
2) Перегруженные методы должны иметь одинаковый тип возвращаемого значения
3) Перегруженные методы должны иметь разный список аргументов', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2468, 95, 'Объект какого из следующих типов данных может быть модифицирован после передачи в метод в качестве аргумента?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2495, 96, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4747, 183, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2469, 95, 'Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?
<pre><code class="language-java">package aquarium;
public class Water {
boolean salty = false;
}

package aquarium.jellies;
public class Water {
boolean salty = true;
}

package employee;
!ИМПОРТЫ!
public class WaterFiller {
Water water;
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2470, 95, 'Какие из следующих утверждений являются достоверными?
<pre><code class="language-java">public class Bear {
protected void finalize() {
System.out.println("Roar!");
}
public static void main(String[] args) {
Bear bear = new Bear();
bear = null;
System.gc();
}
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2471, 95, 'Что выдаст следующий код после исполнения?
<pre><code class="language-java">import rope.*;
import static rope.Rope.*;
public class RopeSwing {
private static Rope rope1 = new Rope();
private static Rope rope2 = new Rope();
{
System.out.println(rope1.length);
}

public static void main(String[] args){
rope1.length = 2;
rope2.length = 8;
System.out.println(rope1.length);
}
}

package rope;
public class Rope {
public static int length = 0;
}
</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2472, 95, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
<pre><code class="language-java">public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2473, 95, 'Сколько ошибок компиляции в следующем коде?
<pre><code class="language-java">public class RopeSwing {
private static final String leftRope;
private static final String rightRope;
private static final String bench;
private static final String name = "name";
static {
leftRope = "left";
rightRope = "right";
}
static {
name = "name";
rightRope = "right";
}
public static void main(String[] args){
bench = "bench";
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2474, 95, 'Если вы хотите построить Immutable объект, какое из следующих утверждений будет верно?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2475, 95, 'Что из следующего является правильным созданием ExecutorService ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2476, 95, 'Какая строка выведет сумму чисел от 2 до 5?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2477, 95, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Test {
public static void main(String[] args) {
Cat cat = new Cat();
cat.setKittyId(4);
System.out.println(cat.kitty.id);
}
static class Cat {
int id;String name;
Cat kitty = new Cat();
public void
setKittyId(int kittyId) {
this.kitty.id = kittyId;
}
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2478, 95, 'Какие варианты инициализации массива правильные?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2479, 96, 'Какой принцип работы PhantomReferences?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2480, 96, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2481, 96, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2482, 96, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2483, 96, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2484, 96, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2485, 96, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2486, 96, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2487, 96, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2615, 98, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2488, 96, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2489, 96, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.Optional;
public class Main {
public static void main(String[] args) {
Optional<Integer> optional = Optional.ofNullable(null);
System.out.println(optional);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2490, 96, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;
public class Main {
public static void main(String[] args) {
	Map<Integer, String> map = new HashMap<>();
map.put(1, "one");
map.put(2, "two");
map.put(3, "three");
Consumer<String> consumer = System.out::print;
map.forEach(consumer);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2491, 96, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2492, 96, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2493, 96, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">class SuperClass {
protected void method() {
System.out.println("SuperClass");
}
}
public class SubClass extends SuperClass {
private void method()  {
System.out.println("SubClass");
 }
public static void main(String[] args) {
SubClass subClass = new SubClass();
subClass.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2494, 96, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2496, 96, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2497, 96, 'Какие из утверждений верны в отношении следующего кода?
<pre><code class="language-java">interface Readable {
void read();
default void print();
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2498, 96, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2499, 96, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2500, 96, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2501, 96, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2502, 96, 'Как работает ключевое слово volatile?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2503, 96, 'Какие области памяти относятся к Heap Space?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2504, 96, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2505, 96, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2506, 96, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2507, 96, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2508, 96, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2509, 96, 'Что выведет в консоль такая строчка кода?
<pre><code class="language-java">System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2510, 96, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<pre><code class="language-java">;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2511, 96, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2512, 96, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2513, 96, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2514, 96, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2515, 96, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2516, 96, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2517, 96, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2518, 96, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2520, 96, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2521, 96, 'Что из следующего не является побитовой операцией?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2522, 96, 'Какой будет результат выполнения следующей программы?
<pre><code class="language-java">public class Outer {
public int x;
private int y;
void cal(int a, int b) {
x = a + 1;
y = b;
}
static class Inner {
public static void main(String args[]) {
Outer obj = new Outer();
obj.cal(2, 3);
System.out.println(obj.x + " " + obj.y);
}
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2523, 96, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2524, 96, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2525, 96, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2526, 96, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2527, 96, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2528, 96, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main { public static void main(String[] args) { Stream&lt;Integer&gt; integerStream = Stream.of(13,44,2,11,29); Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i%2 != 0)); System.out.println(map.get(true)); } }</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2534, 97, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2535, 97, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2536, 97, 'Какие из следующих объявлений приведут к ошибке компиляции?
<pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2537, 97, 'Что будет выведено в консоль после исполнения следующего кода?
<pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2538, 97, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2539, 97, 'Укажите верные условия для следующего кода:
<pre><code class="language-java">public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2540, 97, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2541, 97, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2542, 97, 'Какие из перечисленных фактов о данном коде достоверны?
<pre><code class="language-java">interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2543, 97, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2544, 97, 'Каков результат выполнения следующего кода?
<pre><code class="language-java">class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2545, 97, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2546, 97, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2547, 97, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2548, 97, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2549, 97, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2550, 97, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2586, 98, 'Выберите существующие состояния треда: ', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2551, 97, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2530, 97, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2532, 97, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2533, 97, 'Какие из утверждений являются достоверными в следующем коде:
<pre><code class="language-java">//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2553, 97, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2554, 97, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2555, 97, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2556, 97, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2557, 97, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2558, 97, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2559, 97, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2560, 97, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2561, 97, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2562, 97, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2563, 97, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2564, 97, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2565, 97, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2566, 97, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2567, 97, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2568, 97, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2569, 97, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2570, 97, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2571, 97, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2572, 97, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2573, 97, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2574, 97, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2575, 97, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2576, 97, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2577, 97, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2578, 97, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2529, 97, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<pre><code class="language-java">//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2531, 97, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<pre><code class="language-java">//ОТВЕТ
class MyCourse {
Course c;
}</code>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2579, 98, 'Какой принцип работы PhantomReferences?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2580, 98, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2581, 98, 'Что не входит в новые возможности Java 9 — 11', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2582, 98, 'Что не является областью памяти JVM?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2584, 98, 'Какую задачу помогает выполнять класс CountDownLatch ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2589, 98, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.Optional;
public class Main {
public static void main(String[] args) {
Optional<Integer> optional = Optional.ofNullable(null);
System.out.println(optional);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2590, 98, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;
public class Main {
public static void main(String[] args) {
	Map<Integer, String> map = new HashMap<>();
map.put(1, "one");
map.put(2, "two");
map.put(3, "three");
Consumer<String> consumer = System.out::print;
map.forEach(consumer);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2591, 98, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2592, 98, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2593, 98, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">class SuperClass {
protected void method() {
System.out.println("SuperClass");
}
}
public class SubClass extends SuperClass {
private void method()  {
System.out.println("SubClass");
 }
public static void main(String[] args) {
SubClass subClass = new SubClass();
subClass.method();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2595, 98, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2596, 98, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2597, 98, 'Какие из утверждений верны в отношении следующего кода?
<pre><code class="language-java">interface Readable {
void read();
default void print();
}</code>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2598, 98, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2599, 98, 'Что будет выведено в консоль после выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2600, 98, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2601, 98, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2603, 98, 'Какие области памяти относятся к Heap Space?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2604, 98, 'Какой метод останавливает тред и освобождает монитор объекта?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2605, 98, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2606, 98, 'Какой будет результат выполнения следующего кода?
<pre><code class="language-java">public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2607, 98, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2608, 98, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2609, 98, 'Что выведет в консоль такая строчка кода?
<pre><code class="language-java">System.out.println(13>>>1);</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2610, 98, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<pre><code class="language-java">;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2611, 98, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2612, 98, 'Отметьте правильные варианты формирования запросов к базе данных', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2587, 98, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2588, 98, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (2616, 98, 'Выберите верные утверждения относительно вложенных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2617, 98, 'Какие из следующих утверждений относительно переопределения методов верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2618, 98, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2619, 98, 'Выберите верные утверждения относительно ListIterator?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2620, 98, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2621, 98, 'Что из следующего не является побитовой операцией?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2622, 98, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (2623, 98, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2624, 98, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2625, 98, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2626, 98, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2627, 98, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main { public static void main(String[] args) { Stream&lt;Integer&gt; integerStream = Stream.of(13,44,2,11,29); Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i%2 != 0)); System.out.println(map.get(true)); } }</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2628, 98, '<p>Какой будет результат выполнения следующей программы?</p><pre><code class="language-java">
public class Outer {
	public int x; private int y; void cal(int a, int b) {
	x = a + 1; y = b;
}

	static class Inner {
		public static void main(String args[]) {
			Outer obj = new Outer(); obj.cal(2, 3);
			System.out.println(obj.x + " " + obj.y);
		}
	}

}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (2583, 98, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (2585, 98, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (3630, 132, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">class TestClass {
public TestClass(double count) {
 this.count = count;
}
public double count;
}
public class MainClass {
private void estimate(Predicate&lt;TestClass&gt; predicate, TestClass testClass) {
 System.out.print(predicate.test(testClass) ? "Good" : "Bad"); //A
}

public final static void main(String... sand) {
 new MainClass().estimate(s -&gt; s.count&lt;4, new TestClass(2)); //B
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3631, 132, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public void test(Supplier supplier) { // A
 supplier.get();
}

public static void main(String... electricSheep) { // B
 TestClass testClass = new TestClass();
 testClass.test(() -&gt; System.out.print("Complete")); // C
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3632, 132, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3633, 132, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; s = Stream.of(1); //A
IntStream is = s.mapToInt(x -&gt; x); //B
DoubleStream ds = s.mapToDouble(x -&gt; x); //C
Stream&lt;Integer&gt; s2 = ds.mapToInt(x -&gt; x); //D</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (3634, 132, '<p>Какой из перечисленных вариантов ответа описывает поведение следующего метода?</p><pre><code class="language-plaintext">public static void removeTree(File file) {
if(!file.isFile()) //A
 for(File entry: file.listFiles()) //B
  removeTree(entry);
else file.delete();
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (3635, 132, '<p>Какое из перечисленных решений позволит сделать код из примера потокобезопасным?</p><pre><code class="language-plaintext">class TestClass{
private double value;
   ReentrantLock lock = new ReentrantLock();

   public void test(double d){
       try{
           lock.lock();
           if(value &gt; d) value = value - d;
       }finally{
           lock.unlock();
       }
   }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4048, 152, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4049, 152, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5697, 225, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6022, 240, '<p>Что покажет этот код?</p><br><pre><code class="language-python">python<br>for i in range(5):<br>if i % 2 == 0:<br>continue<br>print(i)</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4493, 172, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4494, 172, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4495, 172, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4485, 172, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4486, 172, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4487, 172, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4488, 172, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4492, 172, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4501, 173, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4502, 173, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4503, 173, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4504, 173, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4505, 173, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4506, 173, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4507, 173, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4508, 173, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4509, 173, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4510, 173, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4511, 173, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4512, 173, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4513, 173, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4514, 173, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4515, 173, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4516, 173, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4517, 173, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4518, 173, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4520, 174, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4521, 174, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4522, 174, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4524, 174, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4525, 174, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4526, 174, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4527, 174, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4528, 174, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4473, 172, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5023, 195, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4542, 175, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4543, 175, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4544, 175, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4545, 175, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4546, 175, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4547, 175, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4548, 175, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4549, 175, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4550, 175, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4551, 175, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4552, 175, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4553, 175, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4539, 174, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4540, 174, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4541, 174, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4532, 174, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4533, 174, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4534, 174, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4535, 174, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4536, 174, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4537, 174, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4538, 174, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4570, 176, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4571, 176, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4572, 176, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4573, 176, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4574, 176, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4575, 176, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4475, 172, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4477, 172, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5024, 195, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4482, 172, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4562, 175, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4563, 175, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4564, 175, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4554, 175, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4555, 175, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4556, 175, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4557, 175, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4558, 175, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4559, 175, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4560, 175, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4561, 175, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4519, 174, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4523, 174, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4531, 174, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4566, 176, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4567, 176, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4568, 176, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4588, 177, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4589, 177, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4590, 177, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4591, 177, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4792, 185, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4592, 177, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4593, 177, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4594, 177, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4595, 177, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4596, 177, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4597, 177, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4598, 177, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4599, 177, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4600, 177, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4586, 176, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4578, 176, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4579, 176, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4580, 176, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4581, 176, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4582, 176, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4583, 176, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4584, 176, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4603, 177, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4604, 177, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4605, 177, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4606, 177, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4607, 177, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4608, 177, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4609, 177, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4610, 177, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4612, 178, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4613, 178, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4614, 178, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4728, 183, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4615, 178, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4616, 178, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4617, 178, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4618, 178, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4619, 178, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4620, 178, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4621, 178, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4622, 178, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4624, 178, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4625, 178, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4626, 178, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4627, 178, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4628, 178, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4629, 178, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4630, 178, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4658, 180, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4659, 180, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4660, 180, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4662, 180, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4663, 180, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4664, 180, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4665, 180, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4666, 180, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4654, 179, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4655, 179, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4656, 179, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4639, 179, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4640, 179, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4641, 179, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4642, 179, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4643, 179, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4644, 179, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4645, 179, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4647, 179, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4648, 179, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4649, 179, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4650, 179, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4651, 179, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4652, 179, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4653, 179, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4678, 180, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4679, 180, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4671, 180, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4672, 180, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4673, 180, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4674, 180, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4675, 180, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4676, 180, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4680, 181, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4681, 181, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4682, 181, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4683, 181, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4684, 181, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4685, 181, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4686, 181, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4687, 181, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4688, 181, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4689, 181, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4690, 181, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4691, 181, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4693, 181, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4729, 183, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4694, 181, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4703, 182, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4704, 182, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4705, 182, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4706, 182, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4707, 182, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4708, 182, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4709, 182, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4710, 182, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4711, 182, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4712, 182, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4713, 182, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4714, 182, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4715, 182, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4716, 182, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4717, 182, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4718, 182, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4719, 182, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4720, 182, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4721, 182, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4722, 182, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4701, 181, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4696, 181, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4697, 181, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4698, 181, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4699, 181, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4744, 183, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4745, 183, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4730, 183, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4731, 183, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4732, 183, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4733, 183, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4734, 183, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4735, 183, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4736, 183, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4737, 183, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4739, 183, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4740, 183, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4741, 183, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4742, 183, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4743, 183, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4749, 184, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4750, 184, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4751, 184, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4752, 184, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4753, 184, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4941, 192, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4942, 192, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4943, 192, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4944, 192, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4770, 184, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4754, 184, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4755, 184, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4756, 184, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4757, 184, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4758, 184, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4759, 184, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4760, 184, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4804, 186, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4762, 184, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4763, 184, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4764, 184, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4765, 184, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4766, 184, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4767, 184, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4768, 184, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4772, 185, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4773, 185, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4774, 185, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4775, 185, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4776, 185, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4777, 185, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4778, 185, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4779, 185, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4780, 185, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4781, 185, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4790, 185, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4791, 185, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4726, 183, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4795, 186, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4796, 186, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4797, 186, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4798, 186, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4799, 186, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4800, 186, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4801, 186, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4802, 186, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4803, 186, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4793, 185, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4794, 185, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4785, 185, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4786, 185, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4787, 185, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4788, 185, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4789, 185, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5306, 208, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5673, 224, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5743, 227, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5744, 227, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5582, 220, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5996, 238, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6023, 240, '<p>Какую ORM чаще выбирают вместе с фреймворком Flask?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4819, 187, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4820, 187, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4821, 187, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4822, 187, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4823, 187, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4824, 187, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4825, 187, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4826, 187, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4827, 187, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4828, 187, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4829, 187, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4815, 186, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4816, 186, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4817, 186, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4808, 186, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4809, 186, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4975, 193, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4810, 186, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4811, 186, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4812, 186, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4813, 186, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4814, 186, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4738, 183, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4838, 187, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4839, 187, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4840, 187, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4818, 187, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4832, 187, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4833, 187, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4834, 187, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4835, 187, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4836, 187, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4837, 187, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4587, 176, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4565, 176, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4830, 187, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4831, 187, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4569, 176, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4938, 192, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4577, 176, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4807, 186, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4611, 178, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4623, 178, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4657, 180, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4661, 180, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5022, 195, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5742, 227, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5604, 221, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6123, 244, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4669, 180, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4670, 180, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4771, 184, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4900, 190, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4939, 192, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4761, 184, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4884, 189, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4885, 189, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4842, 188, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4843, 188, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4844, 188, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4846, 188, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4847, 188, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4848, 188, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4849, 188, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4850, 188, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4851, 188, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4852, 188, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4854, 188, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4864, 189, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4865, 189, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4866, 189, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4867, 189, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4868, 189, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4869, 189, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4870, 189, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4871, 189, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4872, 189, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4873, 189, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4874, 189, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4875, 189, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4901, 190, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4940, 192, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4976, 193, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4876, 189, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4877, 189, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4878, 189, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4879, 189, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4880, 189, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4881, 189, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4882, 189, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4883, 189, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4862, 188, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4857, 188, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4858, 188, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4859, 188, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4860, 188, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4886, 189, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4910, 191, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4911, 191, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4912, 191, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4908, 190, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4887, 190, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4888, 190, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4889, 190, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4890, 190, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4892, 190, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4893, 190, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4894, 190, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4895, 190, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4896, 190, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4897, 190, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4898, 190, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4902, 190, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4903, 190, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4904, 190, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4905, 190, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4906, 190, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4914, 191, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4915, 191, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4916, 191, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4917, 191, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4918, 191, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4919, 191, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4920, 191, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4921, 191, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4922, 191, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4923, 191, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4924, 191, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4925, 191, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4926, 191, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4927, 191, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4928, 191, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4929, 191, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4930, 191, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4931, 191, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4932, 191, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4934, 192, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4935, 192, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4936, 192, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4937, 192, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4956, 193, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4957, 193, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4958, 193, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4959, 193, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4960, 193, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4961, 193, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4962, 193, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4963, 193, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4964, 193, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4965, 193, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4966, 193, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4967, 193, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4968, 193, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4954, 192, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4946, 192, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4947, 192, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4948, 192, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4949, 192, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4950, 192, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4951, 192, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4952, 192, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4969, 193, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4970, 193, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (4971, 193, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4977, 193, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4978, 193, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (4980, 194, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4981, 194, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4982, 194, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4983, 194, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4984, 194, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4985, 194, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4986, 194, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4987, 194, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4988, 194, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4989, 194, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4992, 194, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4993, 194, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5065, 197, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5066, 197, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5067, 197, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5003, 195, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5004, 195, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5005, 195, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5006, 195, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5007, 195, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5008, 195, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5009, 195, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5010, 195, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5011, 195, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5012, 195, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5013, 195, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5015, 195, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5016, 195, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5017, 195, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5018, 195, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5019, 195, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5020, 195, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5021, 195, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4999, 194, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5000, 194, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5001, 194, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4994, 194, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4995, 194, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4996, 194, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4997, 194, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4998, 194, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5002, 195, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5014, 195, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4784, 185, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4979, 194, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5026, 196, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5027, 196, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5028, 196, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5030, 196, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5031, 196, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5032, 196, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5033, 196, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5034, 196, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5035, 196, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5036, 196, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5038, 196, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5068, 197, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5069, 197, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5046, 196, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5040, 196, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5041, 196, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5042, 196, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5043, 196, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5044, 196, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5048, 197, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5049, 197, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5050, 197, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5051, 197, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5052, 197, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5053, 197, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5054, 197, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5055, 197, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5056, 197, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5057, 197, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5058, 197, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5059, 197, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5061, 197, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5062, 197, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5063, 197, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5064, 197, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5047, 196, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5025, 196, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5091, 198, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5092, 198, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5093, 198, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5072, 198, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5073, 198, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5074, 198, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5075, 198, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5076, 198, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5077, 198, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5078, 198, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5079, 198, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5080, 198, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5081, 198, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5082, 198, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5084, 198, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5085, 198, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5086, 198, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5087, 198, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5088, 198, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5089, 198, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5090, 198, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5162, 201, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5070, 197, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5191, 203, '<p>Что покажет этот код?</p><br><pre><code class="language-python">python<br>for i in range(5):<br>if i % 2 == 0:<br>continue<br>print(i)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5192, 203, '<p>Сколько библиотек можно импортировать в один проект?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5221, 205, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4991, 194, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5094, 199, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5095, 199, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5096, 199, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5097, 199, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5098, 199, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5099, 199, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5100, 199, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5101, 199, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5102, 199, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5103, 199, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5104, 199, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5105, 199, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5106, 199, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5107, 199, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5108, 199, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5109, 199, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5110, 199, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5111, 199, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5112, 199, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5113, 199, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5114, 199, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5115, 199, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5116, 199, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5029, 196, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4861, 188, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5137, 200, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5138, 200, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5139, 200, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5117, 200, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6399, 259, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5118, 200, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5119, 200, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5120, 200, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5121, 200, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5122, 200, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5123, 200, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5124, 200, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5125, 200, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5126, 200, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5127, 200, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5128, 200, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5130, 200, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5131, 200, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5132, 200, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5133, 200, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5134, 200, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5135, 200, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5136, 200, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4933, 192, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4700, 181, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5215, 204, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5222, 205, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5223, 205, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6173, 246, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5037, 196, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5039, 196, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4863, 188, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4841, 188, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4845, 188, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4853, 188, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4855, 188, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4856, 188, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5129, 200, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5071, 198, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5083, 198, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4955, 192, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5160, 201, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4907, 190, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (4945, 192, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5161, 201, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5140, 201, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5141, 201, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5142, 201, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5143, 201, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5144, 201, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5145, 201, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5146, 201, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5147, 201, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5148, 201, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5149, 201, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5150, 201, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5151, 201, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5153, 201, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5154, 201, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5155, 201, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5156, 201, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5157, 201, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5158, 201, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5159, 201, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4635, 179, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5216, 205, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5217, 205, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5218, 205, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5152, 201, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4702, 181, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5194, 204, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5195, 204, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5196, 204, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5235, 205, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4692, 181, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4695, 181, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5060, 197, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4909, 190, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4891, 190, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4899, 190, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4634, 179, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4636, 179, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4638, 179, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5164, 202, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5166, 202, '<p>Что такое "pass"в Python''e?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5167, 202, '<p>Для чего используется Garbage Collector в Python''e?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5168, 202, '<p>Что такое веб-фреймворк (на примере Flask/Django)?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5169, 202, '<p>Что такое Jinja?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (4646, 179, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5165, 202, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5193, 204, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5197, 204, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5198, 204, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5199, 204, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5200, 204, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5201, 204, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5202, 204, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5203, 204, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5204, 204, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5205, 204, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5206, 204, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5207, 204, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5208, 204, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5209, 204, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5210, 204, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5211, 204, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5212, 204, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5213, 204, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5214, 204, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5237, 205, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5225, 205, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5226, 205, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5227, 205, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5229, 205, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5230, 205, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5231, 205, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5232, 205, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5275, 207, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5239, 206, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5240, 206, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5241, 206, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5242, 206, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5243, 206, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5244, 206, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5245, 206, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5246, 206, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5247, 206, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5248, 206, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5249, 206, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5250, 206, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5263, 207, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5264, 207, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5265, 207, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5266, 207, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5267, 207, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5268, 207, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5269, 207, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5270, 207, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5271, 207, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5272, 207, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5273, 207, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5259, 206, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5260, 206, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5261, 206, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5252, 206, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5253, 206, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5339, 210, '<p>Какой тест не может имитировать ситуации в реальном мире?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5254, 206, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5255, 206, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5256, 206, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5257, 206, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5258, 206, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5280, 207, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5281, 207, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5286, 208, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5287, 208, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5288, 208, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5290, 208, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5291, 208, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5292, 208, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5293, 208, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5294, 208, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5295, 208, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5296, 208, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5298, 208, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5299, 208, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5300, 208, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5301, 208, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5282, 207, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5283, 207, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5284, 207, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5276, 207, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5277, 207, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5278, 207, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5279, 207, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5238, 205, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5219, 205, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5340, 210, '<p>Какое тестирование обычно выполняется много раз и обычно развивается медленно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5476, 216, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5220, 205, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5224, 205, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5228, 205, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5309, 209, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5310, 209, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5311, 209, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5313, 209, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5314, 209, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5315, 209, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5316, 209, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5317, 209, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5318, 209, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5319, 209, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5321, 209, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5322, 209, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5323, 209, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5324, 209, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5328, 209, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5329, 209, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5330, 209, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5327, 209, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5331, 210, '<p>Какая главная цель критериев выхода в тестировании ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5332, 210, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5333, 210, '<p>Какая общая цель статического и динамического тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5334, 210, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5335, 210, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5336, 210, '<p>На чем основаны приемочные испытания?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5337, 210, '<p>Какой метод тестирования основан на спецификациях требований?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5341, 210, '<p>Что из приведенного ниже описывает <u>основные</u> преимущества проверки на ранних этапах жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5342, 210, '<p>Когда нужно выполнять Регрессионное тестирование?</p>', 'Теория тестирования', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5343, 210, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5344, 210, '<p>Вы являетесь тест-менеджером и говорите о старте системного тестирования. Разработчики говорят, что из-за изменения требований они смогут доставить систему вам для тестирования через 5 рабочих дней после установленной даты. Вы не можете изменить ресурсы (рабочие часы, инструменты тестирования и т.д). Какие шаги вы предпримете, чтобы вовремя завершить тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5345, 210, '<p>Какие методы наиболее эффективны, если документация устарела?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5346, 210, '<p>Что из перечисленного состоит из набора входных значений, предварительных условий выполнения и ожидаемых результатов?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5347, 210, '<p>Какое высказывание о статическом тестировании ложно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5348, 210, '<p>Компания решает использовать инструмент автоматизации функционального выполнения тестов для тестирования GUI своего продукта. Графический интерфейс предполагается часто менять. Компания отправила некоторых ручных тестеров на 3-дневную программу обучения о том, как использовать инструмент. Что из перечисленного может быть правдой?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5349, 210, '<p>У 2% пользователей мобильной версии приложения название города отображается в неверном падеже: вместо «в Самаре» загружается «в Самара».</p><p>Какой приоритет у данной проблемы?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5350, 210, '<p>Во время тестирования модуля тестировщик обнаруживает баг и назначает его на разработчика. Но разработчик отклоняет его, говоря, что это не баг. Что должен делать тестировщик?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5262, 207, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5377, 212, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5378, 212, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5449, 215, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5308, 209, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5312, 209, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5320, 209, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5338, 210, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5434, 214, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5351, 210, '<p>Какие общие принципы тестирования характеризуются описаниями ниже? (Необходимо сопоставить)</p><p>W. Раннее тестирование</p><p>X. Кластеризация дефектов</p><p>Y. Парадокс Пестицида</p><p>Z. Заблуждение об отсутствии ошибок</p><p>1) Тестирование должно начаться в начале проекта</p><p>2) Соответствие требованиям и пригодность для использования</p><p>3) Небольшое количество модулей содержит большинство дефектов</p><p>4) Тестовые случаи должны регулярно обновляться и пересматриваться</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5352, 210, '<p>Команда тестирования постоянно находит от 90% до 95% дефектов, присутствующих в тестируемой системе. Хотя менеджер по тестированию понимает, что это хороший процент обнаружения дефектов для ее тестовой команды и отрасли, высшее руководство и руководители остаются разочарованными тестовой группой, говоря, что тестовая команда пропускает слишком много ошибок. Учитывая, что пользователи, как правило, довольны системой и что сбои, которые произошли, в основном имели мелкие последствия, какой из следующих принципов тестирования, скорее всего, поможет менеджеру по тестированию объяснить этим менеджерам и руководителям, почему некоторые дефекты, вероятно, будут пропущены?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5353, 210, '<p>Используя технику предугадывания ошибок для преобразования температуры (Цельсия в Фаренгейт и Фаренгейт в Цельсия), скажите, какой набор данных ВЕРОЯТНЕЕ ВСЕГО будут использовать опытные тестировщики? (Формула: (32<strong>&nbsp;°F</strong>&nbsp;−&nbsp;32)&nbsp;×&nbsp;5/9&nbsp;=&nbsp;0<strong>&nbsp;°C</strong>)</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5307, 208, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5285, 208, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5289, 208, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5297, 208, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5304, 208, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5274, 207, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5375, 211, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5354, 211, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5355, 211, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5356, 211, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5357, 211, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5474, 216, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5358, 211, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5359, 211, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5360, 211, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5361, 211, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5362, 211, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5363, 211, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5364, 211, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5365, 211, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5367, 211, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5368, 211, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5369, 211, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5370, 211, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5371, 211, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5372, 211, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5373, 211, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5379, 212, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5380, 212, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5381, 212, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5382, 212, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5383, 212, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5384, 212, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5385, 212, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5386, 212, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5387, 212, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5388, 212, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5389, 212, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5473, 216, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5390, 212, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5391, 212, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5392, 212, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5393, 212, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5394, 212, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5395, 212, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5396, 212, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5397, 212, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5398, 212, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5399, 212, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5401, 213, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5402, 213, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5403, 213, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5404, 213, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5477, 216, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5478, 216, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5418, 213, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5419, 213, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5420, 213, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5421, 213, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5422, 213, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5400, 213, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5405, 213, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5406, 213, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5407, 213, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5408, 213, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5409, 213, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5410, 213, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5411, 213, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5436, 214, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5475, 216, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5412, 213, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5413, 213, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5414, 213, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5415, 213, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5416, 213, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5417, 213, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5447, 215, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5448, 215, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5446, 215, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5251, 206, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5444, 214, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5423, 214, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5424, 214, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5425, 214, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5426, 214, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5427, 214, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5428, 214, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5429, 214, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5430, 214, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5431, 214, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5432, 214, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5433, 214, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5437, 214, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5438, 214, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5439, 214, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5440, 214, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5441, 214, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5442, 214, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5450, 215, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5451, 215, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5452, 215, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5453, 215, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5454, 215, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5455, 215, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5456, 215, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5457, 215, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5458, 215, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5459, 215, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5460, 215, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5461, 215, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5462, 215, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5463, 215, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5464, 215, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5465, 215, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5469, 216, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5470, 216, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5471, 216, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5472, 216, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6562, 268, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5467, 215, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5481, 216, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5482, 216, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5483, 216, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5484, 216, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5485, 216, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5486, 216, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5487, 216, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5488, 216, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5489, 216, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5490, 216, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5491, 216, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5493, 217, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5494, 217, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5495, 217, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5496, 217, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5497, 217, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5498, 217, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5499, 217, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5500, 217, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5501, 217, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5502, 217, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5503, 217, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5513, 217, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5514, 217, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5506, 217, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5541, 219, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5543, 219, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5507, 217, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5508, 217, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5509, 217, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5510, 217, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5511, 217, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5515, 218, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5516, 218, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5517, 218, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5518, 218, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5519, 218, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5520, 218, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5521, 218, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5522, 218, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5523, 218, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5524, 218, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5525, 218, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5526, 218, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5528, 218, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5529, 218, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5445, 214, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5435, 214, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5468, 215, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5492, 217, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5544, 219, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5545, 219, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5546, 219, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5547, 219, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5504, 217, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5505, 217, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5376, 211, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5366, 211, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5535, 218, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5536, 218, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5537, 218, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5527, 218, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5531, 218, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5532, 218, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5533, 218, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5534, 218, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6172, 246, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6953, 289, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6954, 289, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5530, 218, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5562, 220, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5558, 219, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5559, 219, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5560, 219, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5538, 219, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5539, 219, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5540, 219, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5551, 219, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5552, 219, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5553, 219, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5554, 219, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5555, 219, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5556, 219, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5557, 219, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5675, 224, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5583, 220, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5563, 220, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5564, 220, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5566, 220, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5567, 220, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5568, 220, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5569, 220, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5570, 220, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5571, 220, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5572, 220, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5574, 220, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5575, 220, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5576, 220, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5577, 220, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5578, 220, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5579, 220, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5580, 220, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5584, 221, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5585, 221, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5586, 221, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5587, 221, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5674, 224, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5588, 221, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5899, 234, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5900, 234, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5901, 234, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5845, 232, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5846, 232, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5847, 232, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5848, 232, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5607, 222, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5608, 222, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5609, 222, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5610, 222, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5611, 222, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5612, 222, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5613, 222, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5614, 222, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5615, 222, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5616, 222, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5605, 221, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5589, 221, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5590, 221, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5591, 221, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5592, 221, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5593, 221, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5594, 221, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5595, 221, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5597, 221, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5598, 221, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5599, 221, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5600, 221, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5601, 221, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5602, 221, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5733, 227, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5603, 221, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5619, 222, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5620, 222, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5621, 222, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5622, 222, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5623, 222, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5624, 222, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5625, 222, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5626, 222, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5627, 222, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5628, 222, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5629, 222, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5630, 223, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5631, 223, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5632, 223, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5633, 223, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5634, 223, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5635, 223, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5636, 223, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5637, 223, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5638, 223, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5639, 223, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5640, 223, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5641, 223, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6206, 248, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6238, 250, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6239, 250, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5642, 223, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5643, 223, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5644, 223, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5645, 223, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5646, 223, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5647, 223, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5648, 223, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5649, 223, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5650, 223, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5651, 223, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5652, 223, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5654, 224, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5655, 224, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5656, 224, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5657, 224, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5658, 224, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5659, 224, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5660, 224, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5661, 224, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5662, 224, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5663, 224, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5664, 224, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5666, 224, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5667, 224, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6204, 248, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6205, 248, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6564, 268, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5653, 224, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5669, 224, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5670, 224, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5671, 224, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5672, 224, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5676, 225, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5677, 225, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5678, 225, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5679, 225, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5680, 225, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5681, 225, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5682, 225, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5683, 225, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5684, 225, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5685, 225, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5686, 225, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5687, 225, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5689, 225, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5690, 225, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5691, 225, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5692, 225, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5693, 225, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5694, 225, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5695, 225, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5665, 224, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5668, 224, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5698, 225, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5688, 225, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5722, 227, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5700, 226, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5701, 226, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5702, 226, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5704, 226, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5705, 226, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5706, 226, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5707, 226, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5708, 226, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5709, 226, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5710, 226, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5712, 226, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5768, 229, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5769, 229, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5770, 229, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5771, 229, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5903, 234, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5904, 234, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6024, 240, '<p>Как удалить объект из списка по индексу (чтобы изменилась длина списка)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6025, 240, '<p>Как удалить все объекты None из списка?</p><br><pre><code class="language-python">list_object = [None, 1, None]</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5723, 227, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5724, 227, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5725, 227, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5727, 227, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5728, 227, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5729, 227, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5730, 227, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5731, 227, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5732, 227, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5735, 227, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5736, 227, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5737, 227, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5738, 227, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5581, 220, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5719, 226, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5720, 226, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5721, 226, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5713, 226, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5714, 226, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5715, 226, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5716, 226, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5717, 226, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5718, 226, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5773, 229, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5774, 229, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5775, 229, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5776, 229, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5777, 229, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5778, 229, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5779, 229, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5948, 236, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5726, 227, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5734, 227, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5741, 227, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5561, 220, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5565, 220, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5573, 220, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5542, 219, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5550, 219, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5699, 226, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5703, 226, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5711, 226, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5606, 221, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5596, 221, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5766, 228, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5745, 228, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5746, 228, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5747, 228, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5748, 228, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5794, 230, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5749, 228, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5750, 228, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5751, 228, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5752, 228, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5753, 228, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5754, 228, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5755, 228, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5756, 228, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5758, 228, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5759, 228, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5760, 228, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5761, 228, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5762, 228, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5763, 228, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5764, 228, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5767, 228, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5788, 229, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5789, 229, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5790, 229, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5781, 229, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5782, 229, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5783, 229, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5784, 229, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5785, 229, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5786, 229, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5787, 229, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5791, 230, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5792, 230, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5793, 230, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5795, 230, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5796, 230, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5797, 230, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5798, 230, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5799, 230, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5800, 230, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5801, 230, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5802, 230, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5949, 236, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5950, 236, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5951, 236, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5997, 238, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6026, 240, '<p>Выберите правильное утверждение.</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6027, 240, '<p>Что такое pep-8?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6028, 240, '<p>Для чего используется конструкция try/except?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6029, 240, '<p>Какие встроенные структуры данных существуют в python?</p>', 'Python', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6030, 240, '<p>Укажите код, который вызовет ошибку:</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6956, 289, '<p>Каково назначение класса org.hibernate.CacheMode?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5757, 228, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5772, 229, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5780, 229, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5811, 230, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5812, 230, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5813, 230, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5804, 230, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5805, 230, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6579, 269, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5806, 230, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5807, 230, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5808, 230, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5809, 230, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5810, 230, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5838, 232, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5839, 232, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5840, 232, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5841, 232, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5842, 232, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5843, 232, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5844, 232, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5803, 230, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5835, 231, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5814, 231, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5815, 231, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5816, 231, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5817, 231, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5818, 231, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5819, 231, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5820, 231, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5821, 231, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5822, 231, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5823, 231, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5824, 231, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5825, 231, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5827, 231, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5909, 235, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5828, 231, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5829, 231, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5830, 231, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5831, 231, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5832, 231, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5833, 231, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5861, 233, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5862, 233, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5863, 233, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5864, 233, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5865, 233, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5866, 233, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5867, 233, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5868, 233, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5869, 233, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5870, 233, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5871, 233, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5857, 232, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5858, 232, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5859, 232, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5850, 232, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5853, 232, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5851, 232, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5852, 232, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5854, 232, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5855, 232, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5856, 232, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5884, 234, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5885, 234, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5886, 234, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5958, 237, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5959, 237, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5887, 234, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5888, 234, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5889, 234, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5890, 234, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5891, 234, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5892, 234, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5893, 234, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5894, 234, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5896, 234, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5897, 234, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5880, 233, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5881, 233, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5882, 233, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5873, 233, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5874, 233, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5875, 233, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5876, 233, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5877, 233, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5878, 233, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5879, 233, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5905, 234, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5883, 234, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5926, 235, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5927, 235, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5928, 235, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5906, 235, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5907, 235, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5908, 235, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6639, 273, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5910, 235, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5911, 235, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5912, 235, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5913, 235, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5914, 235, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5915, 235, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5916, 235, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5917, 235, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5919, 235, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5920, 235, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5921, 235, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5922, 235, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5923, 235, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5924, 235, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5925, 235, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5943, 236, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5944, 236, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5945, 236, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5895, 234, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5898, 234, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5902, 234, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5960, 237, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5961, 237, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5962, 237, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5963, 237, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6841, 284, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5918, 235, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5929, 236, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5930, 236, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5931, 236, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5932, 236, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5933, 236, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5934, 236, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5935, 236, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5936, 236, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5937, 236, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5938, 236, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5939, 236, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5940, 236, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5941, 236, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5942, 236, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5946, 236, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5947, 236, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5834, 231, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5952, 237, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5953, 237, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5954, 237, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5955, 237, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5956, 237, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5957, 237, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5964, 237, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5965, 237, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5966, 237, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5967, 237, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5968, 237, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5969, 237, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5970, 237, 'Что такое join point в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5971, 237, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5972, 237, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (5973, 237, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5974, 237, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5860, 233, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5991, 238, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5992, 238, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5872, 233, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5836, 231, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5826, 231, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5976, 238, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5977, 238, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5978, 238, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6068, 241, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5979, 238, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5980, 238, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5981, 238, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5982, 238, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5983, 238, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5984, 238, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5985, 238, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5986, 238, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5988, 238, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5989, 238, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (5993, 238, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5994, 238, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5975, 238, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6018, 239, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6019, 239, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6020, 239, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5998, 239, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5999, 239, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6000, 239, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6001, 239, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6002, 239, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6003, 239, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6004, 239, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6005, 239, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6006, 239, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6007, 239, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6008, 239, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6009, 239, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6011, 239, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6951, 289, '<p>Укажите верное утверждение о методе session.load()</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6012, 239, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6013, 239, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6014, 239, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6015, 239, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6016, 239, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6017, 239, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6031, 240, '<p>Какая структура данных является неизменной? (immutableUnmutable)</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6032, 240, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>name = "snow storm"<br>print("%s" % name[6:8])</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6033, 240, '<p>Что выведет следующий фрагмент кода?</p><br><pre><code class="language-python">python<br>a = [1,2,3,None,(),[],]<br>print(len(a))</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6034, 240, '<p>Как установить актуальную версию Flask?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6035, 240, '<p>Как получить объект формы во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6046, 241, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6047, 241, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6048, 241, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (5987, 238, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5837, 232, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5849, 232, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (5990, 238, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6010, 239, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6036, 241, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6037, 241, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6038, 241, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">package com.examplejava.courses

class Course {
    public String courseName;

    public void setCourseName(private String name) {
        courseName = name;
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6039, 241, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6040, 241, '<p>Какие из следующих объявлений приведут к ошибке компиляции?&nbsp;</p><pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6041, 241, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6042, 241, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6043, 241, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6044, 241, '<p>Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE</p><pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{ System.out.println("EXAMPLE") }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6045, 241, '<p>Следующий текст представляет содержимое файла MyClass.java Выберите верные утверждения. //содержимое MyClass.java&nbsp;</p><pre><code class="language-java">package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6021, 240, '<p>Как запустить скрипт python из терминала?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6049, 241, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6050, 241, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6051, 241, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6052, 241, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6053, 241, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6054, 241, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6055, 241, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6056, 241, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6057, 241, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6058, 241, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6059, 241, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">class Mammal {
    public Mammal(int age) {
        System.out.print("Mammal");
    }
}

public class Platypus extends Mammal {
    public Platypus() {
        System.out.print("Platypus");
    }

    public static void main(String[] args) {
        new Mammal(5);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6060, 241, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6061, 241, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6062, 241, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6063, 241, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6064, 241, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6065, 241, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6066, 241, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6067, 241, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6069, 241, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6070, 241, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6071, 241, 'Какие из следующих утверждений об интерфейсах не верны?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6072, 241, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6073, 241, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6074, 241, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6075, 241, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6076, 241, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6077, 241, 'Какая переменная всегда доступна в любом экземпляре класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6078, 241, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6079, 241, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6080, 241, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6081, 241, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6082, 241, '<p>Какие из перечисленных фактов о данном коде достоверны?&nbsp;</p><pre><code class="language-java">interface HasVocalCords {
    public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
    public void bark();
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6083, 241, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {
    };

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6084, 241, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">//Course.java
package com.examplejava.courses;

class Course {
    public String courseName;
}

//ExampleJava.java
package com.examplejava;import com.examplejava.courses.Course;

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6085, 241, '<p>Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?</p><pre><code class="language-java">//ОТВЕТ
class MyCourse { Course c; }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6086, 242, '<p>Какие из следующих объявлений приведут к ошибке компиляции?&nbsp;</p><pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6087, 242, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">class Mammal {
    public Mammal(int age) {
        System.out.print("Mammal");
    }
}

public class Platypus extends Mammal {
    public Platypus() {
        System.out.print("Platypus");
    }

    public static void main(String[] args) {
        new Mammal(5);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6088, 242, 'Какие из следующих утверждений не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6089, 242, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6090, 242, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6091, 242, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6092, 242, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6093, 242, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6094, 242, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6095, 242, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6096, 242, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6097, 242, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6098, 242, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6099, 242, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6100, 242, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6101, 243, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6102, 243, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6103, 243, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6104, 243, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6105, 243, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6106, 243, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6111, 243, 'Какой из приведенных вариантов не является типом Advice?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6112, 243, 'Какой из вариантов не является одним из модулей Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6113, 243, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6114, 243, 'Можно ли передать в запросе к контроллеру один и тот же параметр несколько раз? Пример: http://localhost:8080/confirm?code=test1&code=test2&code=test3', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6115, 243, 'Как добавить Component Scan в Spring Boot?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6107, 243, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6108, 243, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6109, 243, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6110, 243, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6116, 244, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6117, 244, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6118, 244, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6119, 244, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6120, 244, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6121, 244, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6122, 244, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6136, 244, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6137, 244, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6138, 244, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6124, 244, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6125, 244, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6126, 244, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6127, 244, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6128, 244, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6129, 244, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6130, 244, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6131, 244, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6132, 244, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6133, 244, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6134, 244, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6135, 244, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6139, 245, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6140, 245, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6141, 245, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6142, 245, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6143, 245, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6333, 255, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6334, 255, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6335, 255, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6303, 253, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6298, 253, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6299, 253, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6300, 253, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6301, 253, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6163, 246, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6164, 246, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6165, 246, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6167, 246, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6168, 246, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7205, 302, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6169, 246, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6170, 246, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6171, 246, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6159, 245, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6160, 245, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6161, 245, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6144, 245, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6145, 245, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6146, 245, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6147, 245, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6148, 245, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6149, 245, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6150, 245, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6152, 245, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6153, 245, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6154, 245, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6155, 245, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6156, 245, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6157, 245, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6158, 245, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6182, 246, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6183, 246, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6184, 246, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6162, 246, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6166, 246, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6174, 246, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6175, 246, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6176, 246, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6177, 246, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6178, 246, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6179, 246, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6180, 246, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6181, 246, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6151, 245, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6185, 247, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6186, 247, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6187, 247, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6192, 247, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6200, 247, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6201, 247, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6195, 247, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6196, 247, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6197, 247, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6198, 247, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6199, 247, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6188, 247, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6189, 247, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6190, 247, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6193, 247, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6194, 247, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6191, 247, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6202, 248, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6203, 248, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6207, 248, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6208, 248, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6209, 248, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6210, 248, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6211, 248, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6212, 248, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6213, 248, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6214, 248, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6215, 248, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6216, 248, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6217, 248, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6218, 248, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6219, 249, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6220, 249, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6221, 249, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6222, 249, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6223, 249, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6224, 249, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6225, 249, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6226, 249, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6227, 249, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6228, 249, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6229, 249, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6230, 249, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6231, 249, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6232, 249, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6233, 249, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6234, 249, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6235, 249, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6251, 250, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6252, 250, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6246, 250, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6975, 290, '<p>Какая из перечисленных конфигов включает кэш Hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6247, 250, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6248, 250, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6249, 250, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6250, 250, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6241, 250, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6244, 250, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6245, 250, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6242, 250, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6260, 251, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6268, 251, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6269, 251, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6263, 251, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6264, 251, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6265, 251, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6266, 251, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6267, 251, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6253, 251, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6254, 251, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6255, 251, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6256, 251, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6257, 251, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6258, 251, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6261, 251, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6262, 251, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6259, 251, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6285, 252, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6286, 252, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6280, 252, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6281, 252, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6282, 252, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6283, 252, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6284, 252, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6381, 258, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6271, 252, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6272, 252, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6273, 252, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6274, 252, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6275, 252, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6278, 252, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6279, 252, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6276, 252, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6294, 253, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6297, 253, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6287, 253, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6288, 253, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6289, 253, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6290, 253, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6291, 253, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6295, 253, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6296, 253, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6293, 253, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6319, 254, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6320, 254, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6314, 254, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6315, 254, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6316, 254, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6317, 254, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6318, 254, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6305, 254, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6306, 254, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6307, 254, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6308, 254, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6380, 258, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6402, 259, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6309, 254, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6312, 254, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6313, 254, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6310, 254, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6328, 255, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6331, 255, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6321, 255, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6322, 255, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6323, 255, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6324, 255, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6325, 255, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6329, 255, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6330, 255, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6327, 255, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6354, 256, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6348, 256, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6349, 256, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6350, 256, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6351, 256, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6362, 257, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6352, 256, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6339, 256, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6340, 256, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6341, 256, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6342, 256, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6343, 256, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6346, 256, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6347, 256, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6344, 256, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7026, 292, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6355, 257, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6356, 257, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6357, 257, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6358, 257, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6359, 257, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6360, 257, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6363, 257, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6361, 257, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6336, 255, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6337, 255, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6370, 257, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6371, 257, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6365, 257, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6366, 257, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6367, 257, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6368, 257, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6369, 257, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6364, 257, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6379, 258, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6387, 258, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6388, 258, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6382, 258, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6383, 258, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6384, 258, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6385, 258, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6386, 258, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6373, 258, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6374, 258, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6375, 258, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6376, 258, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6377, 258, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6378, 258, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6389, 259, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6390, 259, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6391, 259, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6392, 259, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6393, 259, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6425, 260, '<p>Во время тестирования модуля тестировщик обнаруживает баг и назначает его на разработчика. Но разработчик отклоняет его, говоря, что это не баг. Что должен делать тестировщик?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6345, 256, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6353, 256, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6338, 256, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6311, 254, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6304, 254, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6277, 252, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6332, 255, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6270, 252, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6326, 255, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6372, 258, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6243, 250, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6236, 250, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6237, 250, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6396, 259, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6404, 259, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6405, 259, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6400, 259, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6403, 259, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6397, 259, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6398, 259, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6395, 259, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6453, 262, '<p>Какие дефекты чаще всего намного дешевле поправить?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6454, 262, '<p>Что не является принципом тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6240, 250, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6394, 259, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6302, 253, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6292, 253, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6407, 260, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6408, 260, '<p>Какая общая цель статического и динамического тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6409, 260, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6410, 260, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6411, 260, '<p>На чем основаны приемочные испытания?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6412, 260, '<p>Какой метод тестирования основан на спецификациях требований?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6414, 260, '<p>Какой тест не может имитировать ситуации в реальном мире?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6415, 260, '<p>Какое тестирование обычно выполняется много раз и обычно развивается медленно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6416, 260, '<p>Что из приведенного ниже описывает <u>основные</u> преимущества проверки на ранних этапах жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6417, 260, '<p>Когда нужно выполнять Регрессионное тестирование?</p>', 'Теория тестирования', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6418, 260, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6419, 260, '<p>Вы являетесь тест-менеджером и говорите о старте системного тестирования. Разработчики говорят, что из-за изменения требований они смогут доставить систему вам для тестирования через 5 рабочих дней после установленной даты. Вы не можете изменить ресурсы (рабочие часы, инструменты тестирования и т.д). Какие шаги вы предпримете, чтобы вовремя завершить тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6420, 260, '<p>Какие методы наиболее эффективны, если документация устарела?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6421, 260, '<p>Что из перечисленного состоит из набора входных значений, предварительных условий выполнения и ожидаемых результатов?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6863, 285, 'Какой способы настройки контекста Spring вы знаете?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6422, 260, '<p>Какое высказывание о статическом тестировании ложно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6461, 262, '<p>Отказ поля возникает при доступе нескольких пользователей к системе. Что из перечисленного верно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6423, 260, '<p>Компания решает использовать инструмент автоматизации функционального выполнения тестов для тестирования GUI своего продукта. Графический интерфейс предполагается часто менять. Компания отправила некоторых ручных тестеров на 3-дневную программу обучения о том, как использовать инструмент. Что из перечисленного может быть правдой?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6406, 260, '<p>Какая главная цель критериев выхода в тестировании ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6413, 260, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6424, 260, '<p>У 2% пользователей мобильной версии приложения название города отображается в неверном падеже: вместо «в Самаре» загружается «в Самара».</p><p>Какой приоритет у данной проблемы?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6426, 260, '<p>Какие общие принципы тестирования характеризуются описаниями ниже? (Необходимо сопоставить)</p><p>W. Раннее тестирование</p><p>X. Кластеризация дефектов</p><p>Y. Парадокс Пестицида</p><p>Z. Заблуждение об отсутствии ошибок</p><p>1) Тестирование должно начаться в начале проекта</p><p>2) Соответствие требованиям и пригодность для использования</p><p>3) Небольшое количество модулей содержит большинство дефектов</p><p>4) Тестовые случаи должны регулярно обновляться и пересматриваться</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6427, 260, '<p>Команда тестирования постоянно находит от 90% до 95% дефектов, присутствующих в тестируемой системе. Хотя менеджер по тестированию понимает, что это хороший процент обнаружения дефектов для ее тестовой команды и отрасли, высшее руководство и руководители остаются разочарованными тестовой группой, говоря, что тестовая команда пропускает слишком много ошибок. Учитывая, что пользователи, как правило, довольны системой и что сбои, которые произошли, в основном имели мелкие последствия, какой из следующих принципов тестирования, скорее всего, поможет менеджеру по тестированию объяснить этим менеджерам и руководителям, почему некоторые дефекты, вероятно, будут пропущены?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6428, 260, '<p>Используя технику предугадывания ошибок для преобразования температуры (Цельсия в Фаренгейт и Фаренгейт в Цельсия), скажите, какой набор данных ВЕРОЯТНЕЕ ВСЕГО будут использовать опытные тестировщики? (Формула: (32<strong>&nbsp;°F</strong>&nbsp;−&nbsp;32)&nbsp;×&nbsp;5/9&nbsp;=&nbsp;0<strong>&nbsp;°C</strong>)</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6429, 261, '<p>Какая главная цель критериев выхода в тестировании ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6430, 261, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6431, 261, '<p>Какая общая цель статического и динамического тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6432, 261, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6434, 261, '<p>На чем основаны приемочные испытания?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6435, 261, '<p>Какой метод тестирования основан на спецификациях требований?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6437, 261, '<p>Какой тест не может имитировать ситуации в реальном мире?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6438, 261, '<p>Какое тестирование обычно выполняется много раз и обычно развивается медленно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6439, 261, '<p>Что из приведенного ниже описывает <u>основные</u> преимущества проверки на ранних этапах жизненного цикла ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6440, 261, '<p>Когда нужно выполнять Регрессионное тестирование?</p>', 'Теория тестирования', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6441, 261, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6460, 262, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6563, 268, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6527, 266, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6442, 261, '<p>Вы являетесь тест-менеджером и говорите о старте системного тестирования. Разработчики говорят, что из-за изменения требований они смогут доставить систему вам для тестирования через 5 рабочих дней после установленной даты. Вы не можете изменить ресурсы (рабочие часы, инструменты тестирования и т.д). Какие шаги вы предпримете, чтобы вовремя завершить тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6443, 261, '<p>Какие методы наиболее эффективны, если документация устарела?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6444, 261, '<p>Что из перечисленного состоит из набора входных значений, предварительных условий выполнения и ожидаемых результатов?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6445, 261, '<p>Какое высказывание о статическом тестировании ложно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6446, 261, '<p>Компания решает использовать инструмент автоматизации функционального выполнения тестов для тестирования GUI своего продукта. Графический интерфейс предполагается часто менять. Компания отправила некоторых ручных тестеров на 3-дневную программу обучения о том, как использовать инструмент. Что из перечисленного может быть правдой?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6447, 261, '<p>У 2% пользователей мобильной версии приложения название города отображается в неверном падеже: вместо «в Самаре» загружается «в Самара».</p><p>Какой приоритет у данной проблемы?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6448, 261, '<p>Во время тестирования модуля тестировщик обнаруживает баг и назначает его на разработчика. Но разработчик отклоняет его, говоря, что это не баг. Что должен делать тестировщик?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6449, 261, '<p>Какие общие принципы тестирования характеризуются описаниями ниже? (Необходимо сопоставить)</p><p>W. Раннее тестирование</p><p>X. Кластеризация дефектов</p><p>Y. Парадокс Пестицида</p><p>Z. Заблуждение об отсутствии ошибок</p><p>1) Тестирование должно начаться в начале проекта</p><p>2) Соответствие требованиям и пригодность для использования</p><p>3) Небольшое количество модулей содержит большинство дефектов</p><p>4) Тестовые случаи должны регулярно обновляться и пересматриваться</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6433, 261, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6436, 261, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6450, 261, '<p>Команда тестирования постоянно находит от 90% до 95% дефектов, присутствующих в тестируемой системе. Хотя менеджер по тестированию понимает, что это хороший процент обнаружения дефектов для ее тестовой команды и отрасли, высшее руководство и руководители остаются разочарованными тестовой группой, говоря, что тестовая команда пропускает слишком много ошибок. Учитывая, что пользователи, как правило, довольны системой и что сбои, которые произошли, в основном имели мелкие последствия, какой из следующих принципов тестирования, скорее всего, поможет менеджеру по тестированию объяснить этим менеджерам и руководителям, почему некоторые дефекты, вероятно, будут пропущены?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6451, 261, '<p>Используя технику предугадывания ошибок для преобразования температуры (Цельсия в Фаренгейт и Фаренгейт в Цельсия), скажите, какой набор данных ВЕРОЯТНЕЕ ВСЕГО будут использовать опытные тестировщики? (Формула: (32<strong>&nbsp;°F</strong>&nbsp;−&nbsp;32)&nbsp;×&nbsp;5/9&nbsp;=&nbsp;0<strong>&nbsp;°C</strong>)</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6455, 262, '<p>Что из перечисленного состоит из набора входных значений, предварительных условий выполнения и ожидаемых результатов?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6456, 262, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6457, 262, '<p>Какой нормальный порядок действий, в котором организовано тестирование ПО?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6458, 262, '<p>Регрессионный тест:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6459, 262, '<p>Стоимость устранения дефекта...</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6486, 264, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6462, 262, '<p>В приложении для заказа такси нельзя заказать машину по тарифу «Комфорт» после обновления. И водители, и пользователи не могут выбрать этот вариант поездки.</p><p>Какой приоритет у данной проблемы?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6463, 262, '<p>У 2% пользователей мобильной версии приложения название города отображается в неверном падеже: вместо «в Самаре» загружается «в Самара».</p><p>Какой приоритет у данной проблемы?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6464, 262, '<p>Какие из следующих требований будут проверены с помощью функционального тестирования системы?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6465, 262, '<p>Основываясь на технике предугадывания ошибки, что из следующего опытный тестировщик СКОРЕЕ ВСЕГО проверит в программе-календаре?</p>', 'Теория тестирования', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6466, 262, '<p>Какие общие принципы тестирования характеризуются описаниями ниже? (Необходимо сопоставить)</p><p>W. Раннее тестирование</p><p>X. Кластеризация дефектов</p><p>Y. Парадокс Пестицида</p><p>Z. Заблуждение об отсутствии ошибок</p><p>1) Тестирование должно начаться в начале проекта</p><p>2) Соответствие требованиям и пригодность для использования</p><p>3) Небольшое количество модулей содержит большинство дефектов</p><p>4) Тестовые случаи должны регулярно обновляться и пересматриваться</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6477, 263, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6478, 263, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6479, 263, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6480, 263, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6468, 263, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6469, 263, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6470, 263, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6471, 263, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6472, 263, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6475, 263, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6476, 263, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6473, 263, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6483, 263, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6491, 264, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6499, 264, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6500, 264, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6494, 264, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6495, 264, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6481, 263, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6496, 264, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6497, 264, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6498, 264, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6485, 264, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6487, 264, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6528, 266, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6488, 264, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6489, 264, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6492, 264, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6493, 264, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6490, 264, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6508, 265, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6501, 265, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6502, 265, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6503, 265, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6504, 265, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6505, 265, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6506, 265, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6507, 265, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6518, 266, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6519, 266, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6520, 266, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6521, 266, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6522, 266, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6523, 266, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6524, 266, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6525, 266, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6526, 266, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6529, 266, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6530, 266, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6531, 266, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6532, 266, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6533, 266, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6534, 266, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6536, 267, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6537, 267, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6538, 267, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6539, 267, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6958, 289, '<p>С помощью какой команды можно удалить ветку somebranch?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6959, 289, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6955, 289, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7143, 298, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6517, 265, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6511, 265, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6512, 265, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6513, 265, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6514, 265, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6515, 265, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6509, 265, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6510, 265, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6474, 263, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6482, 263, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6542, 267, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6550, 267, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6551, 267, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6545, 267, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6546, 267, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6547, 267, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6548, 267, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6549, 267, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6543, 267, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6544, 267, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6541, 267, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6559, 268, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6567, 268, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6568, 268, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6565, 268, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6566, 268, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6583, 269, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7027, 292, '<p>С помощью какой команды можно удалить ветку somebranch?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6552, 268, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6553, 268, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6554, 268, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6555, 268, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6556, 268, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6557, 268, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6560, 268, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6561, 268, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6558, 268, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6718, 277, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6803, 282, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6957, 289, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6982, 290, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7144, 298, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6484, 264, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6467, 263, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6586, 270, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6587, 270, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6588, 270, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6589, 270, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6590, 270, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6591, 270, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6585, 269, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6580, 269, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6581, 269, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6582, 269, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6570, 269, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6571, 269, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6572, 269, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6573, 269, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6574, 269, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6577, 269, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6578, 269, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6575, 269, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6592, 270, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6593, 270, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6594, 270, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6595, 270, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6596, 270, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6597, 270, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6598, 270, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6599, 270, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6600, 270, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6601, 270, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6602, 270, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6621, 272, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6622, 272, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6623, 272, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6618, 271, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6619, 271, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6613, 271, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6614, 271, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6615, 271, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6616, 271, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6617, 271, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6604, 271, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6605, 271, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6606, 271, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6971, 290, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6607, 271, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7028, 292, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6608, 271, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6611, 271, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6612, 271, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6609, 271, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6755, 279, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6756, 279, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6753, 279, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6754, 279, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6627, 272, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6635, 272, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6636, 272, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6630, 272, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6631, 272, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6632, 272, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6633, 272, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6634, 272, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6620, 272, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6624, 272, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6625, 272, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6628, 272, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6629, 272, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6626, 272, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6576, 269, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6584, 269, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6569, 269, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6644, 273, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6638, 273, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6640, 273, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6673, 275, '<p>Что из перечисленного состоит из набора входных значений, предварительных условий выполнения и ожидаемых результатов?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6641, 273, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6642, 273, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6643, 273, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6757, 279, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6758, 279, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6759, 279, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6535, 267, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6540, 267, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6652, 273, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6653, 273, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6647, 273, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6648, 273, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6649, 273, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6650, 273, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6651, 273, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6637, 273, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6645, 273, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6646, 273, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6661, 274, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6654, 274, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6655, 274, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6656, 274, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6657, 274, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6658, 274, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7145, 298, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7146, 298, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6977, 290, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6978, 290, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6659, 274, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6660, 274, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6671, 275, '<p>Какая общая цель статического и динамического тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6672, 275, '<p>Что не является принципом тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6674, 275, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6675, 275, '<p>Какое высказывание о статическом тестировании ложно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6676, 275, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6677, 275, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6678, 275, '<p>Какое тестирование проверяет, что доработки не внесли новых ошибок в старый функционал?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6679, 275, '<p>Регрессионный тест:</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6681, 275, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6682, 275, '<p>Когда нужно прекращать тестирование?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6683, 275, '<p>Отказ поля возникает при доступе нескольких пользователей к системе. Что из перечисленного верно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6684, 275, '<p>Какой набор тестовых данных демонстрирует разбиение на группы эквивалентности, чтобы проверить, является ли клиент подростком (13 - 19 лет) или нет?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6685, 275, '<p>Что из следующего верно</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6686, 275, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6687, 275, '<p>В приложении для заказа такси нельзя заказать машину по тарифу «Комфорт» после обновления. И водители, и пользователи не могут выбрать этот вариант поездки.</p><p>Какой приоритет у данной проблемы?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6688, 275, '<p>Какие общие принципы тестирования характеризуются описаниями ниже? (Необходимо сопоставить)</p><p>W. Раннее тестирование</p><p>X. Кластеризация дефектов</p><p>Y. Парадокс Пестицида</p><p>Z. Заблуждение об отсутствии ошибок</p><p>1) Тестирование должно начаться в начале проекта</p><p>2) Соответствие требованиям и пригодность для использования</p><p>3) Небольшое количество модулей содержит большинство дефектов</p><p>4) Тестовые случаи должны регулярно обновляться и пересматриваться</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6689, 275, '<p>Стратегия тестирования, которая включает в себя понимание логики программы - это</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6669, 274, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6670, 274, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6664, 274, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6665, 274, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6666, 274, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6667, 274, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6668, 274, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6662, 274, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6663, 274, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6680, 275, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6690, 275, '<p>Команда тестирования постоянно находит от 90% до 95% дефектов, присутствующих в тестируемой системе. Хотя менеджер по тестированию понимает, что это хороший процент обнаружения дефектов для ее тестовой команды и отрасли, высшее руководство и руководители остаются разочарованными тестовой группой, говоря, что тестовая команда пропускает слишком много ошибок. Учитывая, что пользователи, как правило, довольны системой и что сбои, которые произошли, в основном имели мелкие последствия, какой из следующих принципов тестирования, скорее всего, поможет менеджеру по тестированию объяснить этим менеджерам и руководителям, почему некоторые дефекты, вероятно, будут пропущены?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6691, 275, '<p>Используя технику предугадывания ошибок для преобразования температуры (Цельсия в Фаренгейт и Фаренгейт в Цельсия), скажите, какой набор данных ВЕРОЯТНЕЕ ВСЕГО будут использовать опытные тестировщики? (Формула: (32<strong>&nbsp;°F</strong>&nbsp;−&nbsp;32)&nbsp;×&nbsp;5/9&nbsp;=&nbsp;0<strong>&nbsp;°C</strong>)</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6692, 275, '<p>Какое утверждение о статическом анализе верно?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6693, 275, '<p>Во время выполнения тестирования тест-менеджер описывает команде проекта следующую ситуацию: 90% тест-кейсов были выполнены. 20% тест-кейсов выявили дефекты. Обнаружено 127 дефектов. 112 дефектов были исправлены и прошли повторное тестирование. Для оставшихся 15 дефектов руководство проекта решило, что их не нужно исправлять до выпуска. Какое из следующих утверждений является наиболее разумной интерпретации этого отчета?</p>', 'Теория тестирования', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6694, 276, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6695, 276, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6696, 276, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6697, 276, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6726, 277, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6727, 277, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6721, 277, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6722, 277, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6723, 277, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6724, 277, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6725, 277, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6712, 277, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6713, 277, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6714, 277, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6715, 277, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6768, 280, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6830, 284, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6979, 290, '<p>Каково назначение класса org.hibernate.CacheMode?</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6980, 290, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6716, 277, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6719, 277, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6720, 277, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6717, 277, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6701, 276, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6709, 276, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6710, 276, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6704, 276, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6705, 276, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6706, 276, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6707, 276, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6708, 276, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6699, 276, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6702, 276, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6703, 276, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6871, 286, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6700, 276, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6760, 279, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6761, 279, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6711, 277, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6743, 278, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6744, 278, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6738, 278, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6739, 278, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6740, 278, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6741, 278, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6742, 278, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6729, 278, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6730, 278, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6731, 278, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6732, 278, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6785, 281, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6733, 278, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6736, 278, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6737, 278, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6734, 278, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6752, 279, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6745, 279, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6746, 279, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6747, 279, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6748, 279, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6749, 279, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6751, 279, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6769, 280, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6777, 280, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6778, 280, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6772, 280, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6773, 280, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6774, 280, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6775, 280, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6776, 280, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6762, 280, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6763, 280, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6764, 280, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6765, 280, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6766, 280, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6767, 280, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6770, 280, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6771, 280, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6864, 285, 'В чем разница аннотаций @Controller и @RestController?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6779, 281, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6780, 281, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6781, 281, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6782, 281, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6811, 282, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6812, 282, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6806, 282, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6807, 282, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6808, 282, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6809, 282, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6810, 282, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6797, 282, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6798, 282, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6799, 282, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6800, 282, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6801, 282, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6804, 282, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6805, 282, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6802, 282, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6786, 281, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6794, 281, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6795, 281, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6789, 281, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6790, 281, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6791, 281, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6792, 281, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6793, 281, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6783, 281, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6784, 281, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6787, 281, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6788, 281, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6796, 282, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6820, 283, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6828, 283, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6829, 283, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6823, 283, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6824, 283, '<p>Укажите верные утверждения о session.contains()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6825, 283, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6826, 283, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6827, 283, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6813, 283, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6814, 283, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6815, 283, 'Что такое ленивая инициализация?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6816, 283, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6817, 283, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6818, 283, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6821, 283, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6822, 283, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6819, 283, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6831, 284, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6832, 284, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6833, 284, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6835, 284, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6836, 284, 'Какой модификатор может быть добавлен к интерфейсному методу?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6837, 284, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6838, 284, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6839, 284, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6840, 284, 'Какие из следующих утверждений не являются верными?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6850, 284, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6851, 284, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6852, 284, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6860, 285, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7068, 294, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6834, 284, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6842, 284, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6843, 284, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6844, 284, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6845, 284, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6846, 284, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6847, 284, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6848, 284, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6849, 284, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6735, 278, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6698, 276, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6853, 285, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6854, 285, '<p>Что из перечисленного является валидным для интерфейса Callable лямбда-выражением?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6855, 285, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6856, 285, '<p>Какой будет результат выполнения следующей программы?</p><pre><code class="language-java">
public class Outer {
	public int x; private int y; void cal(int a, int b) {
	x = a + 1; y = b;
}

	static class Inner {
		public static void main(String args[]) {
			Outer obj = new Outer(); obj.cal(2, 3);
			System.out.println(obj.x + " " + obj.y);
		}
	}

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6866, 285, '<p>В какой момент нужно добавить сообщение для первого коммита в ветке?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6867, 285, '<p>Каков результат выполнения команды "git clean -fd"?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6865, 285, '<p>Какой паттерн проектирования должен применяться для объекта SessionFactory?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6857, 285, '<p>В примере определены конфигурационные файлы и код. Какие из конфигурационных файлов будут использоваться для строк A и B соответственно?</p><pre><code class="language-plaintext">Testers.properties
name=The Tester
count=0

Testers_en.properties
name=Somebody
count=4

Testers_fr.properties
name=Somebody</code></pre><p>Код:</p><pre><code class="language-plaintext">Locale fr = new Locale("fr");
Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("Testers", fr);
b.getString("name"); //A
b.getString("count");  //B</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6858, 285, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public void test(Supplier supplier) { // A
 supplier.get();
}

public static void main(String... electricSheep) { // B
 TestClass testClass = new TestClass();
 testClass.test(() -&gt; System.out.print("Complete")); // C
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6859, 285, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6728, 278, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6861, 285, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6862, 285, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6868, 286, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6869, 286, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6873, 286, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6952, 289, '<p>Какая из перечисленных конфигов включает кэш Hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6981, 290, '<p>С помощью какой команды можно удалить ветку somebranch?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7197, 301, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7198, 301, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7199, 301, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7200, 301, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7194, 301, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7195, 301, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7196, 301, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7280, 306, '<p>Что такое специфичность (вес) селектора?</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7281, 306, '<p>Что мы можно делать с interface, чего не нельзя с type?</p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7282, 306, '<p>В каком порядке выведутся console.log?</p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7283, 306, '<p>Что такое перегрузка функции?</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7284, 306, '<p>Какими способами можно визуально скрыть элемент?</p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7285, 306, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9184, 408, '<p>Является ли объект Session потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9185, 408, '<p>Какая аннотация, поставленная над полем, указывает что поле является первичным ключом?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6879, 286, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6888, 286, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6889, 286, '<p>С помощью какой команды можно удалить ветку somebranch?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6890, 286, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6882, 286, '<p>Укажите верное утверждение о методе session.load()</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6883, 286, '<p>Какая из перечисленных конфигов включает кэш Hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6884, 286, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6885, 286, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6886, 286, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6887, 286, '<p>Каково назначение класса org.hibernate.CacheMode?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6870, 286, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6872, 286, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6874, 286, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Constants {
public static void main(String[] args) {
 ExecutorService service = Executors.newScheduledThreadPool(10);
 DoubleStream.of(1.23, 4.56) //A
  .forEach(c -&gt; service.submit( //B
   () -&gt; System.out.println(10*c)));
 service.execute(() -&gt; System.out.println("Test")); //С
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6973, 290, 'В чем разница аннотаций @Controller и @RestController?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6875, 286, '<p>Сколько из перечисленных выражений выкинут исключение, если будут выполняться отдельно друг от друга?</p><pre><code class="language-plaintext">List&lt;Integer&gt; original = new ArrayList&lt;&gt;(Arrays.asList(1,2,3,4,5));
List&lt;Integer&gt; var1 = new CopyOnWriteArrayList&lt;&gt;(original);
for(Integer w : var1)
var1.remove(w);

List&lt;Integer&gt; var2 = Collections.synchronizedList(original);
for(Integer w : var2)
var2.remove(w);

List&lt;Integer&gt; var3 = new ArrayList&lt;&gt;(original);
for(Integer w : var3)
var3.remove(w);
Queue&lt;Integer&gt; var4 = new ConcurrentLinkedQueue&lt;&gt;(original);
for(Integer w : var4)
var4.remove(w);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6876, 286, '<p>Какой из перечисленных вариантов нужно вставить на место комментария, чтобы класс выдал "false"?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s = Stream.generate(() -&gt; "test");
boolean match = s./*ОТВЕТ*/(String::isEmpty);
System.out.println(match);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6877, 286, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6878, 286, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6880, 286, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6881, 286, 'В чем разница аннотаций @Controller и @RestController?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6891, 287, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6892, 287, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6893, 287, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6894, 287, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6902, 287, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6911, 287, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6912, 287, '<p>С помощью какой команды можно удалить ветку somebranch?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6913, 287, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6905, 287, '<p>Укажите верное утверждение о методе session.load()</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6906, 287, '<p>Какая из перечисленных конфигов включает кэш Hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6907, 287, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6908, 287, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6909, 287, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6910, 287, '<p>Каково назначение класса org.hibernate.CacheMode?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6895, 287, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6896, 287, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6897, 287, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Constants {
public static void main(String[] args) {
 ExecutorService service = Executors.newScheduledThreadPool(10);
 DoubleStream.of(1.23, 4.56) //A
  .forEach(c -&gt; service.submit( //B
   () -&gt; System.out.println(10*c)));
 service.execute(() -&gt; System.out.println("Test")); //С
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6899, 287, '<p>Какой из перечисленных вариантов нужно вставить на место комментария, чтобы класс выдал "false"?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s = Stream.generate(() -&gt; "test");
boolean match = s./*ОТВЕТ*/(String::isEmpty);
System.out.println(match);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6948, 289, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6900, 287, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6901, 287, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6903, 287, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6904, 287, 'В чем разница аннотаций @Controller и @RestController?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6947, 289, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6914, 288, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6915, 288, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6916, 288, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6917, 288, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6918, 288, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6919, 288, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6920, 288, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Constants {
public static void main(String[] args) {
 ExecutorService service = Executors.newScheduledThreadPool(10);
 DoubleStream.of(1.23, 4.56) //A
  .forEach(c -&gt; service.submit( //B
   () -&gt; System.out.println(10*c)));
 service.execute(() -&gt; System.out.println("Test")); //С
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6939, 289, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6940, 289, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6941, 289, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6942, 289, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6943, 289, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Constants {
public static void main(String[] args) {
 ExecutorService service = Executors.newScheduledThreadPool(10);
 DoubleStream.of(1.23, 4.56) //A
  .forEach(c -&gt; service.submit( //B
   () -&gt; System.out.println(10*c)));
 service.execute(() -&gt; System.out.println("Test")); //С
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6945, 289, '<p>Какой из перечисленных вариантов нужно вставить на место комментария, чтобы класс выдал "false"?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s = Stream.generate(() -&gt; "test");
boolean match = s./*ОТВЕТ*/(String::isEmpty);
System.out.println(match);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6946, 289, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6949, 289, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6925, 288, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6934, 288, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6935, 288, '<p>С помощью какой команды можно удалить ветку somebranch?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6936, 288, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6928, 288, '<p>Укажите верное утверждение о методе session.load()</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6929, 288, '<p>Какая из перечисленных конфигов включает кэш Hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6930, 288, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6931, 288, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6932, 288, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6933, 288, '<p>Каково назначение класса org.hibernate.CacheMode?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (6921, 288, '<p>Сколько из перечисленных выражений выкинут исключение, если будут выполняться отдельно друг от друга?</p><pre><code class="language-plaintext">List&lt;Integer&gt; original = new ArrayList&lt;&gt;(Arrays.asList(1,2,3,4,5));
List&lt;Integer&gt; var1 = new CopyOnWriteArrayList&lt;&gt;(original);
for(Integer w : var1)
var1.remove(w);

List&lt;Integer&gt; var2 = Collections.synchronizedList(original);
for(Integer w : var2)
var2.remove(w);

List&lt;Integer&gt; var3 = new ArrayList&lt;&gt;(original);
for(Integer w : var3)
var3.remove(w);
Queue&lt;Integer&gt; var4 = new ConcurrentLinkedQueue&lt;&gt;(original);
for(Integer w : var4)
var4.remove(w);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6922, 288, '<p>Какой из перечисленных вариантов нужно вставить на место комментария, чтобы класс выдал "false"?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s = Stream.generate(() -&gt; "test");
boolean match = s./*ОТВЕТ*/(String::isEmpty);
System.out.println(match);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6923, 288, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6924, 288, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6926, 288, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6927, 288, 'В чем разница аннотаций @Controller и @RestController?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6898, 287, '<p>Сколько из перечисленных выражений выкинут исключение, если будут выполняться отдельно друг от друга?</p><pre><code class="language-plaintext">List&lt;Integer&gt; original = new ArrayList&lt;&gt;(Arrays.asList(1,2,3,4,5));
List&lt;Integer&gt; var1 = new CopyOnWriteArrayList&lt;&gt;(original);
for(Integer w : var1)
var1.remove(w);

List&lt;Integer&gt; var2 = Collections.synchronizedList(original);
for(Integer w : var2)
var2.remove(w);

List&lt;Integer&gt; var3 = new ArrayList&lt;&gt;(original);
for(Integer w : var3)
var3.remove(w);
Queue&lt;Integer&gt; var4 = new ConcurrentLinkedQueue&lt;&gt;(original);
for(Integer w : var4)
var4.remove(w);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6937, 289, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6938, 289, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6944, 289, '<p>Сколько из перечисленных выражений выкинут исключение, если будут выполняться отдельно друг от друга?</p><pre><code class="language-plaintext">List&lt;Integer&gt; original = new ArrayList&lt;&gt;(Arrays.asList(1,2,3,4,5));
List&lt;Integer&gt; var1 = new CopyOnWriteArrayList&lt;&gt;(original);
for(Integer w : var1)
var1.remove(w);

List&lt;Integer&gt; var2 = Collections.synchronizedList(original);
for(Integer w : var2)
var2.remove(w);

List&lt;Integer&gt; var3 = new ArrayList&lt;&gt;(original);
for(Integer w : var3)
var3.remove(w);
Queue&lt;Integer&gt; var4 = new ConcurrentLinkedQueue&lt;&gt;(original);
for(Integer w : var4)
var4.remove(w);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6960, 290, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6961, 290, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6962, 290, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6963, 290, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6964, 290, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6965, 290, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6966, 290, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Constants {
public static void main(String[] args) {
 ExecutorService service = Executors.newScheduledThreadPool(10);
 DoubleStream.of(1.23, 4.56) //A
  .forEach(c -&gt; service.submit( //B
   () -&gt; System.out.println(10*c)));
 service.execute(() -&gt; System.out.println("Test")); //С
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6967, 290, '<p>Сколько из перечисленных выражений выкинут исключение, если будут выполняться отдельно друг от друга?</p><pre><code class="language-plaintext">List&lt;Integer&gt; original = new ArrayList&lt;&gt;(Arrays.asList(1,2,3,4,5));
List&lt;Integer&gt; var1 = new CopyOnWriteArrayList&lt;&gt;(original);
for(Integer w : var1)
var1.remove(w);

List&lt;Integer&gt; var2 = Collections.synchronizedList(original);
for(Integer w : var2)
var2.remove(w);

List&lt;Integer&gt; var3 = new ArrayList&lt;&gt;(original);
for(Integer w : var3)
var3.remove(w);
Queue&lt;Integer&gt; var4 = new ConcurrentLinkedQueue&lt;&gt;(original);
for(Integer w : var4)
var4.remove(w);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6968, 290, '<p>Какой из перечисленных вариантов нужно вставить на место комментария, чтобы класс выдал "false"?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s = Stream.generate(() -&gt; "test");
boolean match = s./*ОТВЕТ*/(String::isEmpty);
System.out.println(match);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6969, 290, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6970, 290, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6972, 290, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6983, 291, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6984, 291, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6985, 291, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6986, 291, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6987, 291, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6988, 291, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6989, 291, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Constants {
public static void main(String[] args) {
 ExecutorService service = Executors.newScheduledThreadPool(10);
 DoubleStream.of(1.23, 4.56) //A
  .forEach(c -&gt; service.submit( //B
   () -&gt; System.out.println(10*c)));
 service.execute(() -&gt; System.out.println("Test")); //С
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6990, 291, '<p>Сколько из перечисленных выражений выкинут исключение, если будут выполняться отдельно друг от друга?</p><pre><code class="language-plaintext">List&lt;Integer&gt; original = new ArrayList&lt;&gt;(Arrays.asList(1,2,3,4,5));
List&lt;Integer&gt; var1 = new CopyOnWriteArrayList&lt;&gt;(original);
for(Integer w : var1)
var1.remove(w);

List&lt;Integer&gt; var2 = Collections.synchronizedList(original);
for(Integer w : var2)
var2.remove(w);

List&lt;Integer&gt; var3 = new ArrayList&lt;&gt;(original);
for(Integer w : var3)
var3.remove(w);
Queue&lt;Integer&gt; var4 = new ConcurrentLinkedQueue&lt;&gt;(original);
for(Integer w : var4)
var4.remove(w);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6991, 291, '<p>Какой из перечисленных вариантов нужно вставить на место комментария, чтобы класс выдал "false"?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s = Stream.generate(() -&gt; "test");
boolean match = s./*ОТВЕТ*/(String::isEmpty);
System.out.println(match);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6992, 291, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6993, 291, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6994, 291, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6995, 291, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6996, 291, 'В чем разница аннотаций @Controller и @RestController?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6997, 291, '<p>Укажите верное утверждение о методе session.load()</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (6998, 291, '<p>Какая из перечисленных конфигов включает кэш Hibernate?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (6999, 291, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7000, 291, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7001, 291, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7002, 291, '<p>Каково назначение класса org.hibernate.CacheMode?</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7003, 291, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7004, 291, '<p>С помощью какой команды можно удалить ветку somebranch?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7005, 291, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7006, 292, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7008, 292, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7009, 292, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7017, 292, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7049, 293, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7010, 292, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7011, 292, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7108, 296, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7109, 296, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7020, 292, '<p>Укажите верное утверждение о методе session.load()</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7021, 292, '<p>Какая из перечисленных конфигов включает кэш Hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7022, 292, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7023, 292, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7024, 292, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7029, 293, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7025, 292, '<p>Каково назначение класса org.hibernate.CacheMode?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7031, 293, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7032, 293, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7033, 293, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7034, 293, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7035, 293, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Constants {
public static void main(String[] args) {
 ExecutorService service = Executors.newScheduledThreadPool(10);
 DoubleStream.of(1.23, 4.56) //A
  .forEach(c -&gt; service.submit( //B
   () -&gt; System.out.println(10*c)));
 service.execute(() -&gt; System.out.println("Test")); //С
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7012, 292, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Constants {
public static void main(String[] args) {
 ExecutorService service = Executors.newScheduledThreadPool(10);
 DoubleStream.of(1.23, 4.56) //A
  .forEach(c -&gt; service.submit( //B
   () -&gt; System.out.println(10*c)));
 service.execute(() -&gt; System.out.println("Test")); //С
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7013, 292, '<p>Сколько из перечисленных выражений выкинут исключение, если будут выполняться отдельно друг от друга?</p><pre><code class="language-plaintext">List&lt;Integer&gt; original = new ArrayList&lt;&gt;(Arrays.asList(1,2,3,4,5));
List&lt;Integer&gt; var1 = new CopyOnWriteArrayList&lt;&gt;(original);
for(Integer w : var1)
var1.remove(w);

List&lt;Integer&gt; var2 = Collections.synchronizedList(original);
for(Integer w : var2)
var2.remove(w);

List&lt;Integer&gt; var3 = new ArrayList&lt;&gt;(original);
for(Integer w : var3)
var3.remove(w);
Queue&lt;Integer&gt; var4 = new ConcurrentLinkedQueue&lt;&gt;(original);
for(Integer w : var4)
var4.remove(w);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7037, 293, '<p>Какой из перечисленных вариантов нужно вставить на место комментария, чтобы класс выдал "false"?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s = Stream.generate(() -&gt; "test");
boolean match = s./*ОТВЕТ*/(String::isEmpty);
System.out.println(match);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7014, 292, '<p>Какой из перечисленных вариантов нужно вставить на место комментария, чтобы класс выдал "false"?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s = Stream.generate(() -&gt; "test");
boolean match = s./*ОТВЕТ*/(String::isEmpty);
System.out.println(match);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7015, 292, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7016, 292, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7018, 292, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7019, 292, 'В чем разница аннотаций @Controller и @RestController?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6610, 271, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7040, 293, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7050, 293, '<p>С помощью какой команды можно удалить ветку somebranch?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7051, 293, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7043, 293, '<p>Укажите верное утверждение о методе session.load()</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7044, 293, '<p>Какая из перечисленных конфигов включает кэш Hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7045, 293, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7046, 293, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7047, 293, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7048, 293, '<p>Каково назначение класса org.hibernate.CacheMode?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7069, 294, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7030, 293, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7007, 292, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7036, 293, '<p>Сколько из перечисленных выражений выкинут исключение, если будут выполняться отдельно друг от друга?</p><pre><code class="language-plaintext">List&lt;Integer&gt; original = new ArrayList&lt;&gt;(Arrays.asList(1,2,3,4,5));
List&lt;Integer&gt; var1 = new CopyOnWriteArrayList&lt;&gt;(original);
for(Integer w : var1)
var1.remove(w);

List&lt;Integer&gt; var2 = Collections.synchronizedList(original);
for(Integer w : var2)
var2.remove(w);

List&lt;Integer&gt; var3 = new ArrayList&lt;&gt;(original);
for(Integer w : var3)
var3.remove(w);
Queue&lt;Integer&gt; var4 = new ConcurrentLinkedQueue&lt;&gt;(original);
for(Integer w : var4)
var4.remove(w);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6603, 271, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7038, 293, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7039, 293, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7041, 293, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7042, 293, 'В чем разница аннотаций @Controller и @RestController?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6750, 279, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7052, 294, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7053, 294, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7054, 294, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7055, 294, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7056, 294, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7057, 294, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7110, 296, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9571, 425, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7061, 294, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7062, 294, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7064, 294, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7065, 294, 'В чем разница аннотаций @Controller и @RestController?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7063, 294, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7072, 294, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7073, 294, '<p>С помощью какой команды можно удалить ветку somebranch?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7074, 294, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7066, 294, '<p>Укажите верное утверждение о методе session.load()</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7067, 294, '<p>Какая из перечисленных конфигов включает кэш Hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7070, 294, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7071, 294, '<p>Каково назначение класса org.hibernate.CacheMode?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7058, 294, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Constants {
public static void main(String[] args) {
 ExecutorService service = Executors.newScheduledThreadPool(10);
 DoubleStream.of(1.23, 4.56) //A
  .forEach(c -&gt; service.submit( //B
   () -&gt; System.out.println(10*c)));
 service.execute(() -&gt; System.out.println("Test")); //С
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7059, 294, '<p>Сколько из перечисленных выражений выкинут исключение, если будут выполняться отдельно друг от друга?</p><pre><code class="language-plaintext">List&lt;Integer&gt; original = new ArrayList&lt;&gt;(Arrays.asList(1,2,3,4,5));
List&lt;Integer&gt; var1 = new CopyOnWriteArrayList&lt;&gt;(original);
for(Integer w : var1)
var1.remove(w);

List&lt;Integer&gt; var2 = Collections.synchronizedList(original);
for(Integer w : var2)
var2.remove(w);

List&lt;Integer&gt; var3 = new ArrayList&lt;&gt;(original);
for(Integer w : var3)
var3.remove(w);
Queue&lt;Integer&gt; var4 = new ConcurrentLinkedQueue&lt;&gt;(original);
for(Integer w : var4)
var4.remove(w);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7060, 294, '<p>Какой из перечисленных вариантов нужно вставить на место комментария, чтобы класс выдал "false"?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s = Stream.generate(() -&gt; "test");
boolean match = s./*ОТВЕТ*/(String::isEmpty);
System.out.println(match);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7075, 295, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7076, 295, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7077, 295, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7078, 295, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7079, 295, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7080, 295, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7081, 295, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7082, 295, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7084, 295, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7089, 295, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7090, 295, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7091, 295, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7092, 295, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7085, 295, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7086, 295, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7087, 295, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7088, 295, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7192, 301, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7193, 301, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7083, 295, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7102, 296, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7107, 296, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7103, 296, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7104, 296, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7105, 296, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7106, 296, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7093, 296, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7094, 296, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7095, 296, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7096, 296, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7097, 296, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7098, 296, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7099, 296, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7100, 296, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7101, 296, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7111, 297, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7112, 297, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9575, 425, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7120, 297, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7125, 297, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7126, 297, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7127, 297, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7128, 297, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7121, 297, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7122, 297, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7123, 297, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7124, 297, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7113, 297, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7730, 335, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7114, 297, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7115, 297, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7116, 297, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7117, 297, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7164, 299, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7157, 299, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7118, 297, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7119, 297, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7129, 298, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7130, 298, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7131, 298, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7132, 298, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7133, 298, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7134, 298, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7135, 298, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7136, 298, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7137, 298, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7138, 298, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7139, 298, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7140, 298, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7141, 298, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7142, 298, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7166, 300, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7167, 300, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7168, 300, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7169, 300, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7170, 300, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7171, 300, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7172, 300, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7156, 299, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7161, 299, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7162, 299, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7163, 299, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7158, 299, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7159, 299, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7160, 299, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7147, 299, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7148, 299, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7149, 299, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7150, 299, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7151, 299, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7152, 299, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7153, 299, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7154, 299, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7155, 299, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7208, 302, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7174, 300, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7179, 300, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7180, 300, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7181, 300, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7182, 300, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7175, 300, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7176, 300, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7177, 300, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7178, 300, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7165, 300, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7173, 300, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7183, 301, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7184, 301, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7274, 306, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7185, 301, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7186, 301, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7187, 301, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7188, 301, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7189, 301, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7190, 301, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7191, 301, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7202, 302, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7203, 302, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7204, 302, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7210, 302, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7215, 302, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7216, 302, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7217, 302, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7218, 302, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7211, 302, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7212, 302, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7213, 302, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7214, 302, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7201, 302, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7206, 302, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7207, 302, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7209, 302, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7289, 307, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7728, 335, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7219, 303, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7220, 303, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7221, 303, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7222, 303, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7223, 303, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7224, 303, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7225, 303, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7226, 303, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7292, 307, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7293, 307, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7295, 307, '<p>Что такое специфичность (вес) селектора?</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7296, 307, '<p>Что мы можно делать с interface, чего не нельзя с type?</p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7286, 306, '<p>Что выведет консоль?</p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7287, 306, '<p>Что выведет консоль?</p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7227, 303, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7228, 303, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7229, 303, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7230, 303, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7231, 303, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7232, 303, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7233, 303, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7234, 303, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7235, 303, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7236, 303, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7246, 304, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7251, 304, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7252, 304, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7253, 304, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7254, 304, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7247, 304, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7248, 304, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7249, 304, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7250, 304, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7237, 304, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7238, 304, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7239, 304, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7310, 308, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7240, 304, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7241, 304, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7242, 304, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7243, 304, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7244, 304, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7245, 304, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7255, 305, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7368, 312, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7369, 312, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7264, 305, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7269, 305, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7270, 305, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7271, 305, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7272, 305, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7265, 305, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7266, 305, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7267, 305, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7268, 305, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7256, 305, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7257, 305, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7258, 305, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7259, 305, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7260, 305, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7261, 305, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7262, 305, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7263, 305, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7290, 307, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7273, 306, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7275, 306, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7276, 306, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7277, 306, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7278, 306, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7279, 306, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7288, 307, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7291, 307, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7294, 307, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7297, 307, '<p>В каком порядке выведутся console.log?</p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7298, 307, '<p>Что такое перегрузка функции?</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7299, 307, '<p>Какими способами можно визуально скрыть элемент?</p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7300, 307, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7301, 307, '<p>Что выведет консоль?</p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7302, 307, '<p>Что выведет консоль?</p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7399, 314, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7400, 314, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7401, 314, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7402, 314, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7403, 314, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7404, 314, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7304, 308, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7305, 308, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7306, 308, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7307, 308, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7308, 308, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7309, 308, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7311, 308, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7312, 308, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7313, 308, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7314, 308, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7318, 309, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7319, 309, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7320, 309, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7321, 309, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7322, 309, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7323, 309, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7324, 309, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7325, 309, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7326, 309, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7327, 309, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7328, 309, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7329, 309, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7330, 309, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7331, 309, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7332, 309, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7334, 310, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7335, 310, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7336, 310, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7337, 310, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7338, 310, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7339, 310, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7340, 310, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7341, 310, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7315, 308, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7316, 308, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7317, 308, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7348, 311, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7349, 311, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7350, 311, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7351, 311, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7352, 311, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7353, 311, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7354, 311, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7355, 311, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7356, 311, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7357, 311, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7358, 311, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7359, 311, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7360, 311, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7361, 311, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7362, 311, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7364, 312, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7342, 310, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7365, 312, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7343, 310, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7389, 313, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7729, 335, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7366, 312, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7367, 312, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7344, 310, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7345, 310, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7346, 310, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7347, 310, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8072, 357, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8074, 357, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9509, 422, '<p>Выберите неверные утверждения про Docker Volume</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9810, 439, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7396, 314, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7397, 314, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7398, 314, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7372, 312, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7377, 312, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7378, 312, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7379, 312, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7380, 312, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7373, 312, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7374, 312, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7375, 312, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7376, 312, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7371, 312, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7381, 313, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7382, 313, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7383, 313, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7384, 313, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7385, 313, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7386, 313, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7387, 313, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7388, 313, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7390, 313, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7391, 313, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7392, 313, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7393, 313, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7394, 313, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7395, 313, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8124, 359, '<p>Что делает команда git reset --soft abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8141, 360, '<p>Выберите верные утверждения о методе detach класса Session:</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7405, 314, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7406, 314, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7407, 314, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7408, 314, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7409, 314, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7410, 314, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7412, 315, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7413, 315, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7414, 315, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7415, 315, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7416, 315, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7417, 315, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7418, 315, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7419, 315, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7420, 315, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7421, 315, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7422, 315, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7423, 315, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7424, 315, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7425, 315, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7426, 316, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7427, 316, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7428, 316, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7429, 316, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7430, 316, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7431, 316, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7333, 310, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7752, 336, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7441, 317, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7442, 317, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7443, 317, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7444, 317, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7445, 317, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7446, 317, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7447, 317, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7448, 317, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7449, 317, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7450, 317, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7451, 317, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7452, 317, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7453, 317, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7454, 317, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7455, 317, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7363, 312, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7433, 316, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7434, 316, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7435, 316, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7436, 316, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7437, 316, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7438, 316, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7439, 316, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7440, 316, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8113, 359, '<p>Для определения Docker Compose файла можно использовать YAML</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8127, 360, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7472, 319, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7473, 319, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7474, 319, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7475, 319, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7476, 319, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7477, 319, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7478, 319, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7479, 319, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7480, 319, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7456, 318, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7457, 318, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7481, 319, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7458, 318, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7459, 318, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7460, 318, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7461, 318, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7482, 319, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7462, 318, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7463, 318, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7464, 318, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7465, 318, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7466, 318, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7467, 318, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7468, 318, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7469, 318, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7470, 318, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7568, 325, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7569, 325, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8128, 360, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7370, 312, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7471, 319, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7520, 322, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7411, 315, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7303, 308, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7483, 319, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7484, 319, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7485, 319, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7487, 320, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7488, 320, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7489, 320, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7490, 320, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7491, 320, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7492, 320, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7493, 320, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7494, 320, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7495, 320, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7496, 320, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7497, 320, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7498, 320, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7499, 320, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7501, 321, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7502, 321, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7486, 320, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7500, 320, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7517, 322, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7518, 322, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7519, 322, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7521, 322, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7522, 322, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7523, 322, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7524, 322, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7525, 322, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7526, 322, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7527, 322, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7503, 321, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7504, 321, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7505, 321, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7506, 321, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7507, 321, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7508, 321, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7509, 321, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7510, 321, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7511, 321, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7512, 321, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7513, 321, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7514, 321, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7515, 321, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7732, 335, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7733, 335, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7734, 335, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7581, 326, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7531, 323, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7532, 323, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7533, 323, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7534, 323, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7535, 323, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7536, 323, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7537, 323, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7538, 323, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7539, 323, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7540, 323, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7541, 323, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7542, 323, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7543, 323, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7544, 323, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7545, 323, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7432, 316, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7529, 322, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7530, 322, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7546, 324, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7547, 324, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7548, 324, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7549, 324, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7550, 324, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7551, 324, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7516, 322, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7814, 340, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7528, 322, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7552, 324, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7553, 324, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7554, 324, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7555, 324, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7556, 324, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7557, 324, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7589, 326, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7558, 324, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7559, 324, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7560, 324, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7561, 325, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7562, 325, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7563, 325, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7564, 325, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7565, 325, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7566, 325, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7567, 325, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7570, 325, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7571, 325, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7572, 325, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7573, 325, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7574, 325, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7575, 325, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7577, 326, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7578, 326, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7579, 326, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7580, 326, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7582, 326, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7583, 326, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7584, 326, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7585, 326, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7586, 326, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7587, 326, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7588, 326, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8145, 360, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7590, 326, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7591, 327, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7592, 327, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7593, 327, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7594, 327, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7595, 327, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7596, 327, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7607, 328, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7608, 328, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7609, 328, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7610, 328, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7611, 328, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7612, 328, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7613, 328, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7614, 328, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7615, 328, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7616, 328, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7617, 328, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7618, 328, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7619, 328, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7620, 328, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7597, 327, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7598, 327, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7599, 327, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7600, 327, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7601, 327, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7602, 327, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7603, 327, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7749, 336, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7604, 327, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7605, 327, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7726, 335, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7621, 329, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7622, 329, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7623, 329, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8554, 382, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9187, 408, '<p>С помощью какой команды можно установить имя пользователя?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7606, 328, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7576, 326, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (6516, 265, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7625, 329, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7626, 329, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7628, 329, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7629, 329, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7630, 329, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7631, 329, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7632, 329, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7633, 329, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7634, 329, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7635, 329, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7636, 330, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7637, 330, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7638, 330, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7639, 330, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7640, 330, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7641, 330, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7750, 336, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7642, 330, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7643, 330, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7644, 330, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7645, 330, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7646, 330, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7647, 330, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7660, 331, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7665, 331, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7666, 331, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7667, 331, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7668, 331, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7669, 332, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7670, 332, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7671, 332, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7661, 331, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7662, 331, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7663, 331, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7664, 331, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7651, 331, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7652, 331, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7653, 331, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7767, 337, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7654, 331, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7655, 331, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7656, 331, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7657, 331, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7658, 331, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7659, 331, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8144, 360, '<p>С помощью какой команды можно посмотреть историю всех коммитов с сокращённым SHA-1 хэшем?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8270, 368, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7649, 330, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7650, 330, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8382, 374, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7672, 332, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7673, 332, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7674, 332, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7675, 332, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7676, 332, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7677, 332, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7678, 332, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7679, 332, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7680, 332, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7681, 332, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7682, 332, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7683, 332, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7684, 332, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7685, 332, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7686, 332, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7688, 333, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7689, 333, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7690, 333, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7691, 333, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7768, 337, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7692, 333, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7693, 333, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7694, 333, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7695, 333, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7696, 333, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7697, 333, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7698, 333, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7699, 333, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7700, 333, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7701, 333, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7816, 340, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7702, 334, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7703, 334, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7704, 334, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7705, 334, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7706, 334, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7707, 334, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7708, 334, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7709, 334, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7710, 334, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7711, 334, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7712, 334, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7713, 334, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7714, 334, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7715, 334, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7716, 334, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7718, 335, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7769, 337, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7719, 335, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7720, 335, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7721, 335, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7722, 335, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7723, 335, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7724, 335, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7725, 335, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7744, 336, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7745, 336, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7746, 336, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7747, 336, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7748, 336, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7736, 336, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7737, 336, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7738, 336, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7739, 336, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7740, 336, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7741, 336, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7742, 336, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7743, 336, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7817, 340, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7753, 337, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7754, 337, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7770, 337, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7763, 337, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7755, 337, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7756, 337, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7757, 337, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7758, 337, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7759, 337, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7760, 337, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8134, 360, '<p>Для определения Docker Compose файла можно использовать YAML</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8485, 380, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8546, 382, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7771, 338, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7772, 338, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7773, 338, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7774, 338, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7775, 338, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7776, 338, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7777, 338, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7778, 338, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7779, 338, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7731, 335, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7727, 335, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7717, 335, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7780, 338, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7785, 338, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7786, 338, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7787, 338, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7788, 338, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7781, 338, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7782, 338, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7783, 338, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7784, 338, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7762, 337, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7764, 337, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7765, 337, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7766, 337, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8142, 360, '<p>Что делает команда git reset --soft abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8553, 382, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8621, 385, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9191, 409, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7790, 339, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7791, 339, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7792, 339, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7793, 339, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7794, 339, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7822, 341, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7795, 339, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7796, 339, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7797, 339, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7798, 339, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7799, 339, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7800, 339, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7801, 339, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7802, 339, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7803, 339, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7804, 340, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7805, 340, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7806, 340, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7807, 340, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7808, 340, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7809, 340, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7810, 340, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7811, 340, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7812, 340, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7813, 340, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7815, 340, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8143, 360, '<p>Что делает команда git reset --mixed abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8550, 382, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8591, 384, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9633, 428, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7624, 329, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7627, 329, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7789, 339, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7820, 341, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7821, 341, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7823, 341, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7824, 341, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7825, 341, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7826, 341, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7827, 341, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7828, 341, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7829, 341, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7830, 341, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7831, 341, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7832, 341, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7833, 341, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7835, 342, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7836, 342, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7837, 342, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7838, 342, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7839, 342, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7891, 345, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7892, 345, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8139, 360, '<p>Является ли объект класса SessionFactory потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8596, 384, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9856, 442, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7819, 341, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7687, 333, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7841, 342, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7842, 342, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7843, 342, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7844, 342, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7845, 342, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7846, 342, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7847, 342, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7848, 342, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7893, 345, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8125, 360, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7850, 343, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7851, 343, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7852, 343, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7853, 343, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7854, 343, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7855, 343, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7856, 343, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7857, 343, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7858, 343, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7859, 343, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7860, 343, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7861, 343, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7862, 343, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7863, 343, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7880, 345, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8149, 361, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7881, 345, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7882, 345, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7864, 344, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7865, 344, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7883, 345, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7884, 345, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7866, 344, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7867, 344, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7885, 345, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7868, 344, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7869, 344, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7886, 345, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7887, 345, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7870, 344, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7888, 345, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7871, 344, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7889, 345, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7872, 344, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7890, 345, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7873, 344, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7874, 344, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7875, 344, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7876, 344, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7877, 344, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7878, 344, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8182, 362, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8183, 362, '<p>Выберите верные утверждения о методе detach класса Session:</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8180, 362, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7909, 347, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7910, 347, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7911, 347, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7912, 347, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7913, 347, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7914, 347, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7915, 347, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7916, 347, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7917, 347, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7918, 347, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7919, 347, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7920, 347, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7895, 346, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7896, 346, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7897, 346, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7898, 346, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7899, 346, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7900, 346, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7901, 346, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7902, 346, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7903, 346, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7904, 346, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7905, 346, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7906, 346, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7907, 346, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7908, 346, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8185, 362, '<p>Что делает команда git reset --mixed abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8187, 362, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9857, 442, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7921, 347, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7922, 347, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8160, 361, '<p>Является ли объект класса SessionFactory потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7923, 347, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7879, 345, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7751, 336, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7834, 342, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7840, 342, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7735, 336, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7924, 348, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7925, 348, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7926, 348, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7927, 348, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7928, 348, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7929, 348, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7818, 340, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7931, 348, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7932, 348, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7933, 348, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7934, 348, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7935, 348, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7936, 348, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7937, 348, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7938, 348, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8126, 360, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8303, 369, '<p>С помощью какой команды можно посмотреть историю всех коммитов с сокращённым SHA-1 хэшем?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7930, 348, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7958, 350, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8161, 361, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7959, 350, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7960, 350, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7961, 350, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7962, 350, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7963, 350, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7964, 350, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7965, 350, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7948, 349, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7953, 349, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7954, 349, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7955, 349, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7956, 349, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7949, 349, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7950, 349, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7951, 349, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7952, 349, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7940, 349, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7941, 349, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7942, 349, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7943, 349, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7944, 349, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7945, 349, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7946, 349, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7947, 349, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7957, 350, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7966, 350, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7967, 350, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7968, 350, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7983, 351, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7984, 351, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7985, 351, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7986, 351, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7972, 351, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7973, 351, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7974, 351, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7975, 351, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7976, 351, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7977, 351, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7978, 351, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7969, 350, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7979, 351, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7980, 351, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (7981, 351, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7982, 351, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7970, 350, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7971, 350, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7987, 352, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8018, 353, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8019, 353, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8176, 362, '<p>Для определения Docker Compose файла можно использовать YAML</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8178, 362, 'Что такое DispatcherServlet в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7988, 352, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7989, 352, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7990, 352, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7991, 352, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7992, 352, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7993, 352, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7994, 352, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7995, 352, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7996, 352, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7997, 352, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7998, 352, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (7999, 352, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (8000, 352, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8001, 352, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8002, 352, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8003, 352, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8004, 352, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8006, 353, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8007, 353, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8008, 353, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8048, 355, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8009, 353, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8010, 353, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8011, 353, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8012, 353, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8013, 353, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8014, 353, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8015, 353, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8016, 353, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8184, 362, '<p>Что делает команда git reset --soft abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8197, 363, '<p>Для определения Docker Compose файла можно использовать YAML</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9885, 444, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9887, 444, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9991, 451, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (7894, 346, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7761, 337, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7939, 349, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8162, 361, '<p>Выберите верные утверждения о методе detach класса Session:</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8146, 361, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8036, 355, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8037, 355, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8038, 355, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8039, 355, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8020, 354, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8021, 354, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8022, 354, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8023, 354, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8024, 354, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8353, 372, '<p>Что делает команда git reset --mixed abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8025, 354, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8026, 354, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8027, 354, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8028, 354, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8029, 354, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8030, 354, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8031, 354, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8032, 354, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8033, 354, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8034, 354, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8063, 356, '<p>Для определения Docker Compose файла можно использовать INI</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8064, 356, '<p>Выберите верные утверждения про Docker</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8066, 356, '<p>Какой из перечисленных статусов отображается в выводе команды git status для отслеживаемого, измененного файла</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8067, 356, '<p>Что делает команда git clone?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8068, 356, '<p>С помощью какой команды можно вывести все удаленные репозитории с url?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8069, 356, '<p>Чем отличается master и origin master?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8053, 356, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">package com.examplejava.courses

class Course {
    public String courseName;

    public void setCourseName(private String name) {
        courseName = name;
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8054, 356, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8055, 356, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8056, 356, 'Какое из следующих утверждений не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8057, 356, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9992, 451, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (8058, 356, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Test {
public static void someMethod(CyclicBarrier cb) { //A
 try { cb.await(); } catch (InterruptedException | BrokenBarrierException e) {
  // Handle exception
 }
}
public static void main(String[] args) {
 CyclicBarrier cb = new CyclicBarrier(10,
 () -&gt; System.out.println("Complete")); //B
 IntStream.iterate(1, i -&gt; 1).limit(5)
  .parallel().forEach(i -&gt; someMethod(cb)); //C
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8065, 356, 'Для чего служит аннотация @ComponentScan?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8059, 356, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8060, 356, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8061, 356, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from transactions where name like ''#_%'' escape ''#'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8062, 356, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8044, 355, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8049, 355, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8050, 355, '<p>Как убрать файл из staged area?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8051, 355, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8052, 355, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8045, 355, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8046, 355, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8047, 355, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8035, 355, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8040, 355, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8041, 355, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8042, 355, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8043, 355, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8071, 357, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8080, 357, '<p>Для определения Docker Compose файла можно использовать INI</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8081, 357, '<p>Выберите верные утверждения про Docker</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8083, 357, '<p>Какой из перечисленных статусов отображается в выводе команды git status для отслеживаемого, измененного файла</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8084, 357, '<p>Что делает команда git clone?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8085, 357, '<p>С помощью какой команды можно вывести все удаленные репозитории с url?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8086, 357, '<p>Чем отличается master и origin master?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8070, 357, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">package com.examplejava.courses

class Course {
    public String courseName;

    public void setCourseName(private String name) {
        courseName = name;
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8073, 357, 'Какое из следующих утверждений не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8075, 357, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Test {
public static void someMethod(CyclicBarrier cb) { //A
 try { cb.await(); } catch (InterruptedException | BrokenBarrierException e) {
  // Handle exception
 }
}
public static void main(String[] args) {
 CyclicBarrier cb = new CyclicBarrier(10,
 () -&gt; System.out.println("Complete")); //B
 IntStream.iterate(1, i -&gt; 1).limit(5)
  .parallel().forEach(i -&gt; someMethod(cb)); //C
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8082, 357, 'Для чего служит аннотация @ComponentScan?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8148, 361, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8076, 357, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8077, 357, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8078, 357, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from transactions where name like ''#_%'' escape ''#'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8079, 357, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8087, 358, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">package com.examplejava.courses

class Course {
    public String courseName;

    public void setCourseName(private String name) {
        courseName = name;
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8088, 358, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8089, 358, 'Как Java передает данные в метод?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8090, 358, 'Какое из следующих утверждений не является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8091, 358, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (8105, 359, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8140, 360, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8130, 360, '<p>Какие из перечисленных фактов о стримах (streams) являются верными?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8131, 360, '<p>Заполните пробелы: Метод close() не может кидать ___ в классе, наследующем ___.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8132, 360, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8133, 360, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8135, 360, 'Какой из приведенных вариантов не является типом Advice?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8136, 360, 'Что такое DispatcherServlet в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8137, 360, 'Можно ли передать в запросе к контроллеру один и тот же параметр несколько раз? Пример: http://localhost:8080/confirm?code=test1&code=test2&code=test3', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8138, 360, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8092, 358, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Test {
public static void someMethod(CyclicBarrier cb) { //A
 try { cb.await(); } catch (InterruptedException | BrokenBarrierException e) {
  // Handle exception
 }
}
public static void main(String[] args) {
 CyclicBarrier cb = new CyclicBarrier(10,
 () -&gt; System.out.println("Complete")); //B
 IntStream.iterate(1, i -&gt; 1).limit(5)
  .parallel().forEach(i -&gt; someMethod(cb)); //C
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8093, 358, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8094, 358, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (8095, 358, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from transactions where name like ''#_%'' escape ''#'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8096, 358, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (8097, 358, '<p>Для определения Docker Compose файла можно использовать INI</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8098, 358, '<p>Выберите верные утверждения про Docker</p>', 'Docker', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (8099, 358, 'Для чего служит аннотация @ComponentScan?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8100, 358, '<p>Какой из перечисленных статусов отображается в выводе команды git status для отслеживаемого, измененного файла</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8101, 358, '<p>Что делает команда git clone?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8102, 358, '<p>С помощью какой команды можно вывести все удаленные репозитории с url?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8103, 358, '<p>Чем отличается master и origin master?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8147, 361, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8005, 353, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8121, 359, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8122, 359, '<p>С помощью какой команды можно посмотреть историю всех коммитов с сокращённым SHA-1 хэшем?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8123, 359, '<p>Что делает команда git reset --mixed abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8118, 359, '<p>Выберите верные утверждения о методе detach класса Session:</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8119, 359, '<p>Является ли объект класса SessionFactory потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8120, 359, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8104, 359, '<p>Заполните пробелы: Метод close() не может кидать ___ в классе, наследующем ___.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8106, 359, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8107, 359, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8108, 359, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8109, 359, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8110, 359, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8350, 372, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8111, 359, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8112, 359, '<p>Какие из перечисленных фактов о стримах (streams) являются верными?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8114, 359, 'Что такое DispatcherServlet в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8115, 359, 'Можно ли передать в запросе к контроллеру один и тот же параметр несколько раз? Пример: http://localhost:8080/confirm?code=test1&code=test2&code=test3', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8116, 359, 'Какой из приведенных вариантов не является типом Advice?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8117, 359, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8017, 353, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8129, 360, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8167, 362, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8169, 362, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8170, 362, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8172, 362, '<p>Какие из перечисленных фактов о стримах (streams) являются верными?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8173, 362, '<p>Заполните пробелы: Метод close() не может кидать ___ в классе, наследующем ___.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8174, 362, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8175, 362, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8155, 361, '<p>Для определения Docker Compose файла можно использовать YAML</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8163, 361, '<p>Что делает команда git reset --soft abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8164, 361, '<p>Что делает команда git reset --mixed abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8165, 361, '<p>С помощью какой команды можно посмотреть историю всех коммитов с сокращённым SHA-1 хэшем?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8166, 361, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8150, 361, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8151, 361, '<p>Какие из перечисленных фактов о стримах (streams) являются верными?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8152, 361, '<p>Заполните пробелы: Метод close() не может кидать ___ в классе, наследующем ___.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8153, 361, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8154, 361, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8156, 361, 'Какой из приведенных вариантов не является типом Advice?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8157, 361, 'Что такое DispatcherServlet в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8158, 361, 'Можно ли передать в запросе к контроллеру один и тот же параметр несколько раз? Пример: http://localhost:8080/confirm?code=test1&code=test2&code=test3', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8159, 361, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8186, 362, '<p>С помощью какой команды можно посмотреть историю всех коммитов с сокращённым SHA-1 хэшем?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8181, 362, '<p>Является ли объект класса SessionFactory потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8168, 362, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8171, 362, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8209, 364, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8210, 364, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8211, 364, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8212, 364, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8213, 364, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8214, 364, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8205, 363, '<p>Что делает команда git reset --soft abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8206, 363, '<p>Что делает команда git reset --mixed abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8207, 363, '<p>С помощью какой команды можно посмотреть историю всех коммитов с сокращённым SHA-1 хэшем?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8208, 363, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8202, 363, '<p>Является ли объект класса SessionFactory потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8203, 363, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8204, 363, '<p>Выберите верные утверждения о методе detach класса Session:</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8190, 363, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8191, 363, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8192, 363, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8193, 363, '<p>Какие из перечисленных фактов о стримах (streams) являются верными?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8430, 377, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8194, 363, '<p>Заполните пробелы: Метод close() не может кидать ___ в классе, наследующем ___.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8195, 363, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8198, 363, 'Какой из приведенных вариантов не является типом Advice?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8199, 363, 'Что такое DispatcherServlet в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8200, 363, 'Можно ли передать в запросе к контроллеру один и тот же параметр несколько раз? Пример: http://localhost:8080/confirm?code=test1&code=test2&code=test3', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8201, 363, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8242, 366, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8215, 364, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8216, 364, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8217, 364, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (8218, 364, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8219, 364, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8220, 364, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (8502, 380, '<p>Что означает статус файла new в выводе команды git status?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8221, 364, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8222, 364, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8223, 364, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8177, 362, 'Какой из приведенных вариантов не является типом Advice?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8225, 365, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8226, 365, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8227, 365, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8228, 365, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8229, 365, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8230, 365, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8231, 365, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8232, 365, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8233, 365, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8234, 365, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8235, 365, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8236, 365, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8237, 365, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8238, 365, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11679, 534, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (8239, 366, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8240, 366, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8241, 366, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8599, 384, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8598, 384, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9886, 444, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8179, 362, 'Можно ли передать в запросе к контроллеру один и тот же параметр несколько раз? Пример: http://localhost:8080/confirm?code=test1&code=test2&code=test3', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8255, 367, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8256, 367, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8257, 367, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8258, 367, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8259, 367, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8260, 367, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8261, 367, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8262, 367, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8263, 367, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8264, 367, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8265, 367, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8266, 367, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8267, 367, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8268, 367, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8243, 366, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8244, 366, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8245, 366, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8246, 366, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8247, 366, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8248, 366, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8249, 366, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8250, 366, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9950, 448, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8251, 366, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8252, 366, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8253, 366, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8272, 368, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8273, 368, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8274, 368, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8275, 368, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8276, 368, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8277, 368, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8278, 368, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8279, 368, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8280, 368, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8349, 372, '<p>Является ли объект класса SessionFactory потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8281, 368, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8282, 368, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8283, 368, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8293, 369, '<p>Для определения Docker Compose файла можно использовать YAML</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8301, 369, '<p>Что делает команда git reset --soft abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8302, 369, '<p>Что делает команда git reset --mixed abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8298, 369, '<p>Является ли объект класса SessionFactory потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8299, 369, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8300, 369, '<p>Выберите верные утверждения о методе detach класса Session:</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8284, 369, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8285, 369, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8286, 369, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8287, 369, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8289, 369, '<p>Какие из перечисленных фактов о стримах (streams) являются верными?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8290, 369, '<p>Заполните пробелы: Метод close() не может кидать ___ в классе, наследующем ___.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8291, 369, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8292, 369, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8294, 369, 'Какой из приведенных вариантов не является типом Advice?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8295, 369, 'Что такое DispatcherServlet в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8296, 369, 'Можно ли передать в запросе к контроллеру один и тот же параметр несколько раз? Пример: http://localhost:8080/confirm?code=test1&code=test2&code=test3', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8297, 369, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9949, 448, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9993, 451, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8306, 370, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8307, 370, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8308, 370, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8320, 371, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8321, 371, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8322, 371, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8309, 370, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8323, 371, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8354, 372, '<p>С помощью какой команды можно посмотреть историю всех коммитов с сокращённым SHA-1 хэшем?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8324, 371, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8310, 370, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8325, 371, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8326, 371, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8327, 371, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8328, 371, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8329, 371, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8330, 371, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8311, 370, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8312, 370, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8331, 371, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8313, 370, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8314, 370, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8315, 370, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8316, 370, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8317, 370, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8318, 370, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8319, 370, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9994, 451, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9995, 451, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (8305, 370, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8333, 371, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8356, 373, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8357, 373, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8334, 371, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8358, 373, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8359, 373, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8360, 373, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8361, 373, '<p>Какие из перечисленных фактов о стримах (streams) являются верными?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8362, 373, '<p>Заполните пробелы: Метод close() не может кидать ___ в классе, наследующем ___.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8344, 372, '<p>Для определения Docker Compose файла можно использовать YAML</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8352, 372, '<p>Что делает команда git reset --soft abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8351, 372, '<p>Выберите верные утверждения о методе detach класса Session:</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8335, 372, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8336, 372, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8337, 372, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8338, 372, 'Отметьте основные классы и интерфейсы JDBC', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8339, 372, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8340, 372, '<p>Какие из перечисленных фактов о стримах (streams) являются верными?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8341, 372, '<p>Заполните пробелы: Метод close() не может кидать ___ в классе, наследующем ___.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8342, 372, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8343, 372, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8345, 372, 'Какой из приведенных вариантов не является типом Advice?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8346, 372, 'Что такое DispatcherServlet в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8347, 372, 'Можно ли передать в запросе к контроллеру один и тот же параметр несколько раз? Пример: http://localhost:8080/confirm?code=test1&code=test2&code=test3', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8348, 372, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8812, 392, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8365, 373, '<p>Для определения Docker Compose файла можно использовать YAML</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8373, 373, '<p>Что делает команда git reset --soft abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8374, 373, '<p>Что делает команда git reset --mixed abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8375, 373, '<p>С помощью какой команды можно посмотреть историю всех коммитов с сокращённым SHA-1 хэшем?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8376, 373, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8370, 373, '<p>Является ли объект класса SessionFactory потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8332, 371, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8371, 373, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8372, 373, '<p>Выберите верные утверждения о методе detach класса Session:</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8363, 373, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8364, 373, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8366, 373, 'Какой из приведенных вариантов не является типом Advice?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8367, 373, 'Что такое DispatcherServlet в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8368, 373, 'Можно ли передать в запросе к контроллеру один и тот же параметр несколько раз? Пример: http://localhost:8080/confirm?code=test1&code=test2&code=test3', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8369, 373, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8254, 367, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8188, 363, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8189, 363, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8196, 363, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8269, 368, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8271, 368, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8224, 365, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8378, 374, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8379, 374, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8380, 374, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8381, 374, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8408, 376, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8409, 376, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8813, 392, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8814, 392, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8393, 375, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8394, 375, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8395, 375, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8396, 375, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8397, 375, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8398, 375, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8399, 375, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8400, 375, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8401, 375, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8402, 375, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8403, 375, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8404, 375, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8405, 375, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8406, 375, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8839, 392, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8383, 374, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8384, 374, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8385, 374, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8386, 374, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8387, 374, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8388, 374, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8390, 374, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8391, 374, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8423, 377, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8424, 377, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8425, 377, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8426, 377, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8427, 377, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8428, 377, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8429, 377, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8431, 377, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8432, 377, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8433, 377, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8434, 377, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8435, 377, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8436, 377, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8410, 376, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8411, 376, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8412, 376, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8413, 376, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8414, 376, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8415, 376, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8416, 376, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8417, 376, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8418, 376, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8837, 392, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8419, 376, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8420, 376, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8421, 376, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8437, 378, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8438, 378, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8439, 378, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8440, 378, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8441, 378, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8442, 378, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8443, 378, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8444, 378, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8445, 378, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8446, 378, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8447, 378, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8448, 378, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8449, 378, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8450, 378, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8451, 378, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8452, 379, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8453, 379, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8454, 379, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8455, 379, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8456, 379, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8457, 379, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8458, 379, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Constants {
public static void main(String[] args) {
 ExecutorService service = Executors.newScheduledThreadPool(10);
 DoubleStream.of(1.23, 4.56) //A
  .forEach(c -&gt; service.submit( //B
   () -&gt; System.out.println(10*c)));
 service.execute(() -&gt; System.out.println("Test")); //С
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8512, 381, '<p>Какая из перечисленных лямбда-функций не может быть присвоена функциональному интерфейсу ToDoubleBiFunction?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8513, 381, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8514, 381, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8838, 392, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8463, 379, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8472, 379, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8473, 379, '<p>С помощью какой команды можно удалить ветку somebranch?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8474, 379, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8466, 379, '<p>Укажите верное утверждение о методе session.load()</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8467, 379, '<p>Какая из перечисленных конфигов включает кэш Hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8468, 379, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8469, 379, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8470, 379, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8471, 379, '<p>Каково назначение класса org.hibernate.CacheMode?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8459, 379, '<p>Сколько из перечисленных выражений выкинут исключение, если будут выполняться отдельно друг от друга?</p><pre><code class="language-plaintext">List&lt;Integer&gt; original = new ArrayList&lt;&gt;(Arrays.asList(1,2,3,4,5));
List&lt;Integer&gt; var1 = new CopyOnWriteArrayList&lt;&gt;(original);
for(Integer w : var1)
var1.remove(w);

List&lt;Integer&gt; var2 = Collections.synchronizedList(original);
for(Integer w : var2)
var2.remove(w);

List&lt;Integer&gt; var3 = new ArrayList&lt;&gt;(original);
for(Integer w : var3)
var3.remove(w);
Queue&lt;Integer&gt; var4 = new ConcurrentLinkedQueue&lt;&gt;(original);
for(Integer w : var4)
var4.remove(w);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8460, 379, '<p>Какой из перечисленных вариантов нужно вставить на место комментария, чтобы класс выдал "false"?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s = Stream.generate(() -&gt; "test");
boolean match = s./*ОТВЕТ*/(String::isEmpty);
System.out.println(match);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8461, 379, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8491, 380, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8462, 379, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8464, 379, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8465, 379, 'В чем разница аннотаций @Controller и @RestController?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8476, 380, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public void test(Supplier supplier) { // A
 supplier.get();
}

public static void main(String... electricSheep) { // B
 TestClass testClass = new TestClass();
 testClass.test(() -&gt; System.out.print("Complete")); // C
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8477, 380, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">System.out.println(Arrays.asList("post","get","update","delete")
.parallelStream().parallel() //A
.reduce(0,
 (a, b) -&gt; a.length() + b.length(), //B
 (a, b) -&gt; a + b)); //C</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8478, 380, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8479, 380, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8480, 380, '<p>Какие из следующих утверждений о перегруженных методах являются достоверными?&nbsp;</p><p>1) Перегруженные методы должны иметь одинаковое имя&nbsp;</p><p>2) Перегруженные методы должны иметь одинаковый тип возвращаемого значения&nbsp;</p><p>3) Перегруженные методы должны иметь разный список аргументов</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8481, 380, 'Объект какого из следующих типов данных может быть модифицирован после передачи в метод в качестве аргумента?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8482, 380, '<p>Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?&nbsp;</p><pre><code class="language-java">package aquarium;

public class Tank {
}

package aquarium.jellies;

public class Jelly {
}

package visitor;

!ИМПОРТЫ!

public class AquariumVisitor {
    public void admire(Jelly jelly) {
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8483, 380, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8484, 380, 'Что такое рефлексия?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8494, 380, '<p>Для определения Docker Compose файла можно использовать YAML</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8501, 380, '<p>С помощью какой команды к локальному гиту подключить репозиторий, находящийся по ссылке "https://repo.com/somerepo/somerepo.git"?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8503, 380, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8504, 380, '<p>Что делает команда git reset --soft abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8499, 380, '<p>Какой тип возвращаемого значения у этого выражения: session.createCriteria().uniqueResult()</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8500, 380, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8475, 380, '<p>Какие из перечисленных фактов о следующем коде являются верными, учитывая что test.txt - многострочный текстовый файл?</p><pre><code class="language-plaintext">private void test() throws IOException {
try (FileReader fileReader = new FileReader("test.txt");
 BufferedReader bufferedReader = new BufferedReader(fileReader)) {
 System.out.println(bufferedReader.readLine());
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8486, 380, '<p>Какие из утверждений являются достоверными в следующем коде?&nbsp;</p><pre><code class="language-java">public class Rodent {
    protected static Integer chew() throws Exception {
        System.out.println("Rodent is chewing");
        return 1;
    }
}

class Beaver extends Rodent {
    public Number chew() throws RuntimeException {
        System.out.println("Beaver is chewing on wood");
        return 2;
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8487, 380, '<p>Какие из перечисленных фактов о данном коде достоверны?&nbsp;</p><pre><code class="language-java">interface HasVocalCords {
    public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
    public void bark();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8488, 380, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8489, 380, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8495, 380, 'В чем разница между аннотациями @RequestMapping и @GetMapping', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8496, 380, 'Какие виды автоматического связывания существуют в Spring?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8497, 380, 'Можно ли передать в запросе к контроллеру один и тот же параметр несколько раз? Пример: http://localhost:8080/confirm?code=test1&code=test2&code=test3', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8498, 380, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8490, 380, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8492, 380, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8493, 380, '<p>Поле amount типа bigint таблицы users хранит количество копеек на счету пользователя. Выберите корректные запросы, которые вернут id пользователя и поле amount в рублях в формате "100.00".</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8505, 381, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8506, 381, '<p>Какие из перечисленных фактов о данном коде достоверны?&nbsp;</p><pre><code class="language-java">interface HasVocalCords {
    public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
    public void bark();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8507, 381, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        LocalDate date = LocalDate.ofYearDay(2015, 4);
        date.minusMonths(1);
        System.out.println(date);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8508, 381, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">System.out.println(Arrays.asList("post","get","update","delete")
.parallelStream().parallel() //A
.reduce(0,
 (a, b) -&gt; a.length() + b.length(), //B
 (a, b) -&gt; a + b)); //C</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8509, 381, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8510, 381, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; s = Stream.of(1); //A
IntStream is = s.mapToInt(x -&gt; x); //B
DoubleStream ds = s.mapToDouble(x -&gt; x); //C
Stream&lt;Integer&gt; s2 = ds.mapToInt(x -&gt; x); //D</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8548, 382, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8549, 382, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8522, 381, '<p>С помощью какой команды инициализируется новый репозиторий?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8523, 381, '<p>Что делает команда git clone?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8524, 381, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8521, 381, '<p>На что указывает аннотация @Entity?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8511, 381, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8518, 381, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8519, 381, 'Каким образом можно настроить транзакции в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8520, 381, 'В чем различия между аннотациями @RequestParam и  @PathVariable?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8515, 381, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8516, 381, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8517, 381, '<p>Выведите те записи таблицы transactions, где department_id, указанный у транзакции, существует в таблице departments</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8422, 377, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8407, 376, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7648, 330, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (7849, 343, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8633, 386, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8551, 382, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8552, 382, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8525, 382, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8527, 382, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8528, 382, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8529, 382, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8530, 382, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8531, 382, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8532, 382, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8533, 382, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8534, 382, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8535, 382, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8536, 382, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8537, 382, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8538, 382, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8539, 382, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8540, 382, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8541, 382, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8547, 382, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8542, 382, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8543, 382, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8544, 382, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8634, 386, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8545, 382, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8526, 382, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8555, 383, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8556, 383, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8557, 383, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8558, 383, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8559, 383, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8560, 383, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8561, 383, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8562, 383, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8563, 383, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8564, 383, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8565, 383, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8566, 383, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8567, 383, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8568, 383, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8569, 383, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8571, 384, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8572, 384, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8573, 384, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8574, 384, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8645, 386, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8646, 386, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8647, 386, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8576, 384, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8577, 384, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8578, 384, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8579, 384, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8580, 384, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8581, 384, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8582, 384, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8583, 384, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8584, 384, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8717, 388, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8585, 384, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8586, 384, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8592, 384, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8593, 384, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8594, 384, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8595, 384, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8587, 384, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8588, 384, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8589, 384, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8590, 384, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8648, 386, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8601, 385, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8602, 385, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8603, 385, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8604, 385, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8605, 385, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8606, 385, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8608, 385, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8609, 385, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8610, 385, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8611, 385, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8612, 385, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8613, 385, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8614, 385, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8718, 388, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8615, 385, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8616, 385, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8617, 385, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8618, 385, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8619, 385, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8649, 386, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8626, 385, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8627, 385, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8628, 385, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8622, 385, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8623, 385, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8624, 385, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8625, 385, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8630, 386, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8631, 386, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8632, 386, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8635, 386, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8636, 386, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8637, 386, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8638, 386, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8639, 386, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8640, 386, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8641, 386, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8642, 386, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8643, 386, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8644, 386, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8656, 386, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8657, 386, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8658, 386, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8652, 386, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8653, 386, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8654, 386, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8655, 386, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8660, 387, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8661, 387, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8662, 387, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8663, 387, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8664, 387, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8665, 387, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8700, 388, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9495, 421, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8666, 387, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8667, 387, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8668, 387, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8669, 387, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8670, 387, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8671, 387, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8672, 387, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8673, 387, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8703, 388, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8674, 387, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8691, 388, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8692, 388, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8693, 388, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8694, 388, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8695, 388, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8696, 388, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8697, 388, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8698, 388, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8699, 388, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8701, 388, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8974, 397, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8973, 397, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9033, 399, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8681, 387, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8689, 387, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8686, 387, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8687, 387, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8688, 387, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8682, 387, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8683, 387, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8684, 387, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8685, 387, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8677, 387, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8678, 387, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8679, 387, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8680, 387, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8711, 388, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8716, 388, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8704, 388, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8705, 388, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8706, 388, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8712, 388, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8713, 388, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8714, 388, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8715, 388, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8707, 388, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8708, 388, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8709, 388, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8710, 388, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8720, 389, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8721, 389, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8722, 389, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8723, 389, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8724, 389, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8725, 389, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8726, 389, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8727, 389, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8719, 388, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8690, 388, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8702, 388, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8741, 389, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8749, 389, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8746, 389, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8748, 389, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8729, 389, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8730, 389, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8731, 389, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8732, 389, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8733, 389, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8734, 389, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8735, 389, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8775, 390, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9352, 414, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8736, 389, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8742, 389, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8743, 389, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8744, 389, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8745, 389, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8737, 389, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8738, 389, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8739, 389, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8740, 389, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9034, 399, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9574, 425, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10230, 467, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10231, 467, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8751, 390, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8752, 390, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8753, 390, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8754, 390, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8755, 390, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8756, 390, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8757, 390, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8758, 390, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8759, 390, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8760, 390, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8761, 390, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8762, 390, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8763, 390, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8831, 392, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8765, 390, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8766, 390, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8767, 390, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8768, 390, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8769, 390, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8781, 391, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8782, 391, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8783, 391, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8784, 391, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8785, 391, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8787, 391, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8788, 391, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8789, 391, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8790, 391, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8791, 391, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8792, 391, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8793, 391, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8794, 391, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8771, 390, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8779, 390, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8776, 390, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8777, 390, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8778, 390, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8772, 390, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8773, 390, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8774, 390, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8836, 392, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8770, 390, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8795, 391, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8796, 391, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (8797, 391, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (8798, 391, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8799, 391, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (8800, 391, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (8802, 391, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8803, 391, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8804, 391, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8805, 391, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8801, 391, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8809, 391, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8806, 391, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8807, 391, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8808, 391, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8780, 391, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8629, 385, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8600, 385, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8607, 385, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8597, 384, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8570, 384, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8786, 391, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8575, 384, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8620, 385, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8816, 392, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8817, 392, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8818, 392, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8819, 392, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8820, 392, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8821, 392, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8822, 392, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8823, 392, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8825, 392, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8826, 392, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8835, 392, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8827, 392, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8828, 392, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8829, 392, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8830, 392, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9089, 402, '<p>Выберите неверные утверждения про Docker Volume</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9090, 402, '<p>Что не является этапом жизненного цикла Docker Container</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9091, 402, '<p>Как можно отследить состояние Docker</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9094, 402, '<p>Является ли объект Session потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9092, 402, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9093, 402, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10232, 467, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8841, 393, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8842, 393, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8843, 393, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8844, 393, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8845, 393, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8846, 393, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8847, 393, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8848, 393, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8849, 393, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8850, 393, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8851, 393, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8852, 393, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8853, 393, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8869, 393, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8866, 393, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8867, 393, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8854, 393, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8855, 393, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8856, 393, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8857, 393, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8858, 393, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8859, 393, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10329, 472, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10327, 472, 'Какие виды DI поддерживает Spring с помощью @Autowired?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8871, 394, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8872, 394, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8873, 394, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8874, 394, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9349, 414, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8875, 394, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8877, 394, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8878, 394, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8879, 394, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8880, 394, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8881, 394, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8882, 394, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8883, 394, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8884, 394, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8861, 393, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8868, 393, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8862, 393, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8863, 393, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8864, 393, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8865, 393, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8860, 393, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8901, 395, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8902, 395, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8903, 395, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8904, 395, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8891, 394, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9177, 408, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8905, 395, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8899, 394, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8906, 395, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8896, 394, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8907, 395, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8908, 395, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8897, 394, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8898, 394, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8909, 395, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8910, 395, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8911, 395, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8912, 395, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8913, 395, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8914, 395, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8886, 394, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8892, 394, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8893, 394, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8894, 394, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8895, 394, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8887, 394, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8888, 394, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8889, 394, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8971, 397, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8890, 394, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8916, 396, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8917, 396, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8918, 396, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8919, 396, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8920, 396, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8921, 396, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8922, 396, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9178, 408, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8923, 396, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8924, 396, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8925, 396, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8926, 396, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8927, 396, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8928, 396, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8929, 396, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8930, 396, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8931, 396, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8932, 396, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8933, 396, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8934, 396, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10330, 472, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10331, 472, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8936, 396, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8944, 396, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8941, 396, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8942, 396, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8943, 396, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8900, 395, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8915, 396, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8870, 394, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8876, 394, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8885, 394, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8937, 396, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8938, 396, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8939, 396, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8940, 396, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8935, 396, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8972, 397, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8945, 397, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8946, 397, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8947, 397, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8948, 397, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8949, 397, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9096, 402, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9097, 402, '<p>С помощью какой команды можно установить имя пользователя?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9083, 402, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9100, 403, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9101, 403, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9102, 403, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8966, 397, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8951, 397, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8952, 397, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8953, 397, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8954, 397, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8955, 397, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8956, 397, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8957, 397, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8958, 397, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8960, 397, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8961, 397, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8967, 397, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8968, 397, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8969, 397, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8970, 397, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8962, 397, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8963, 397, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8964, 397, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8965, 397, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8651, 386, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9088, 402, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9105, 403, '<p>Что не является этапом жизненного цикла Docker Container</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9106, 403, '<p>Как можно отследить состояние Docker</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9109, 403, '<p>Является ли объект Session потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9107, 403, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9108, 403, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9103, 403, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8950, 397, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8959, 397, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8976, 398, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8977, 398, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8978, 398, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8979, 398, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8980, 398, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8981, 398, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9116, 404, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8982, 398, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8983, 398, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8984, 398, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8985, 398, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8986, 398, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8987, 398, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8988, 398, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8989, 398, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8990, 398, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9007, 399, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9008, 399, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9009, 399, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8747, 389, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9036, 400, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8728, 389, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8810, 392, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8811, 392, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8815, 392, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8824, 392, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8659, 386, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9117, 404, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8650, 386, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8392, 375, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8996, 398, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9004, 398, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9001, 398, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9002, 398, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9003, 398, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8975, 398, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8991, 398, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8997, 398, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8998, 398, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8999, 398, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9000, 398, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8992, 398, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8993, 398, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8994, 398, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8995, 398, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9104, 403, '<p>Выберите неверные утверждения про Docker Volume</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9031, 399, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9037, 400, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9011, 399, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9013, 399, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9014, 399, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9015, 399, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9016, 399, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9017, 399, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9018, 399, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9019, 399, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9020, 399, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9021, 399, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9027, 399, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9028, 399, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9029, 399, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9030, 399, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9022, 399, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9023, 399, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9025, 399, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9024, 399, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10326, 472, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10526, 481, '<p>Выберите неверные утверждения про Docker Volume</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10404, 477, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10773, 492, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10609, 485, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11218, 511, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9035, 400, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9039, 400, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9040, 400, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9041, 400, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9042, 400, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9043, 400, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9437, 418, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9044, 400, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9045, 400, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9046, 400, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9047, 400, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9048, 400, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9049, 400, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9050, 400, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9051, 400, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9052, 400, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9053, 400, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9054, 400, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9026, 399, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9055, 400, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9056, 400, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9057, 400, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9058, 400, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9059, 400, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9060, 400, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9061, 400, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9062, 400, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9063, 400, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9064, 400, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9078, 401, '<p>В какой момент нужно добавить сообщение для первого коммита в ветке?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9079, 401, '<p>Что делает команда git clone?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9080, 401, '<p>С помощью какой команды можно удалить ветку somebranch?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9081, 401, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9082, 401, '<p>Что делает команда git reset --mixed abcdef?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9077, 401, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9065, 401, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9066, 401, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9118, 404, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9295, 413, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9067, 401, '<p>Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?</p><pre><code class="language-java">//ОТВЕТ
class MyCourse { Course c; }</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9068, 401, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9069, 401, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9072, 401, 'Можно ли передать в запросе к контроллеру один и тот же параметр несколько раз? Пример: http://localhost:8080/confirm?code=test1&code=test2&code=test3', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9073, 401, 'Для чего используется аннотация @Bean?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9074, 401, 'Какой способы настройки контекста Spring вы знаете?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9075, 401, 'Какой различные scope вы знаете у Spring бинов?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9076, 401, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9070, 401, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9071, 401, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9095, 402, '<p>Какая аннотация, поставленная над полем, указывает что поле является первичным ключом?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9084, 402, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9085, 402, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9086, 402, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9087, 402, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9099, 403, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9111, 403, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9112, 403, '<p>С помощью какой команды можно установить имя пользователя?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9110, 403, '<p>Какая аннотация, поставленная над полем, указывает что поле является первичным ключом?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9098, 403, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8750, 390, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8764, 390, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8840, 393, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9032, 399, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9005, 399, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9006, 399, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9010, 399, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9012, 399, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8288, 369, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9113, 404, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9114, 404, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9115, 404, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9217, 409, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9215, 409, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9216, 409, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9237, 411, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9129, 405, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9130, 405, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9131, 405, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9153, 406, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9132, 405, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9133, 405, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9134, 405, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9135, 405, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9136, 405, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9137, 405, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9138, 405, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9139, 405, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9140, 405, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9141, 405, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9142, 405, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9119, 404, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9120, 404, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9121, 404, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9122, 404, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9123, 404, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9124, 404, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9125, 404, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9126, 404, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9127, 404, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9149, 406, '<p>Выберите неверные утверждения про Docker Volume</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9150, 406, '<p>Что не является этапом жизненного цикла Docker Container</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9151, 406, '<p>Как можно отследить состояние Docker</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9156, 406, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9157, 406, '<p>С помощью какой команды можно установить имя пользователя?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9154, 406, '<p>Является ли объект Session потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9155, 406, '<p>Какая аннотация, поставленная над полем, указывает что поле является первичным ключом?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9143, 406, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9128, 405, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9144, 406, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9145, 406, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9152, 406, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9146, 406, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9147, 406, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9148, 406, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9158, 407, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9183, 408, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9308, 413, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9309, 413, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9296, 413, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9310, 413, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9311, 413, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9312, 413, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9262, 411, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9260, 411, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9261, 411, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9172, 407, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (8675, 387, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (8676, 387, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9159, 407, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9160, 407, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9161, 407, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9162, 407, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9163, 407, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9164, 407, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9165, 407, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9166, 407, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9167, 407, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9168, 407, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9169, 407, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9170, 407, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9171, 407, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9179, 408, '<p>Выберите неверные утверждения про Docker Volume</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9180, 408, '<p>Что не является этапом жизненного цикла Docker Container</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9181, 408, '<p>Как можно отследить состояние Docker</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9186, 408, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9173, 408, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9174, 408, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9175, 408, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9182, 408, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9176, 408, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9189, 409, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9284, 412, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9209, 409, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9214, 409, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9194, 409, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9195, 409, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9196, 409, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9197, 409, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9198, 409, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9199, 409, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9200, 409, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9201, 409, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9203, 409, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9204, 409, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9210, 409, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9211, 409, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9212, 409, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9213, 409, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9205, 409, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9206, 409, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9207, 409, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9208, 409, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9314, 413, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9472, 419, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9471, 419, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10519, 480, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10531, 481, '<p>Является ли объект Session потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10795, 493, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9188, 409, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9190, 409, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9192, 409, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9193, 409, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9202, 409, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9219, 410, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9220, 410, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9221, 410, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9222, 410, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9223, 410, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9224, 410, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9225, 410, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9226, 410, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9227, 410, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9228, 410, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9229, 410, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9230, 410, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9282, 412, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9231, 410, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9232, 410, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9233, 411, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9234, 411, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9235, 411, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9236, 411, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9254, 411, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9259, 411, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9239, 411, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9297, 413, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9240, 411, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9241, 411, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9242, 411, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9243, 411, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9244, 411, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9245, 411, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9246, 411, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9248, 411, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9249, 411, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9255, 411, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9256, 411, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9257, 411, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9258, 411, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9250, 411, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9251, 411, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9252, 411, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9253, 411, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9264, 412, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9265, 412, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9266, 412, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9267, 412, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9268, 412, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9269, 412, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9363, 415, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9496, 421, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9270, 412, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9271, 412, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9272, 412, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9273, 412, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9274, 412, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9275, 412, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9276, 412, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9277, 412, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9278, 412, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9279, 412, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9280, 412, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9281, 412, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10564, 483, '<p>С помощью какой команды можно установить имя пользователя?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10796, 493, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10948, 499, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9289, 412, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9290, 412, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9291, 412, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9285, 412, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9286, 412, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9287, 412, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9288, 412, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9293, 413, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9294, 413, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9298, 413, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9299, 413, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9300, 413, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9301, 413, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9302, 413, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9303, 413, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9304, 413, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9305, 413, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9306, 413, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9307, 413, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9319, 413, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9320, 413, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9321, 413, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9315, 413, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9318, 413, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9323, 414, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9324, 414, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9325, 414, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9326, 414, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9327, 414, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9328, 414, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9427, 417, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9329, 414, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9330, 414, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9331, 414, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9332, 414, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9333, 414, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9334, 414, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9335, 414, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9336, 414, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9337, 414, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9354, 415, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9355, 415, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9356, 415, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9357, 415, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9358, 415, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9380, 415, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9359, 415, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9360, 415, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9361, 415, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9362, 415, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9350, 414, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9351, 414, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9338, 414, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9339, 414, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9345, 414, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9346, 414, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9347, 414, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9348, 414, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9340, 414, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9341, 414, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9342, 414, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9343, 414, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9470, 419, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9491, 421, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9384, 416, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9385, 416, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9386, 416, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9387, 416, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9388, 416, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9389, 416, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9374, 415, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9382, 415, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9381, 415, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9364, 415, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9365, 415, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9366, 415, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9438, 418, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9439, 418, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9367, 415, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9368, 415, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9369, 415, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9375, 415, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9376, 415, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9377, 415, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9378, 415, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9370, 415, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9371, 415, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9372, 415, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9373, 415, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9445, 419, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9446, 419, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9447, 419, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9404, 416, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9412, 416, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9409, 416, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9410, 416, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9411, 416, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9383, 416, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9391, 416, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9478, 420, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9392, 416, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9393, 416, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9394, 416, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9395, 416, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9396, 416, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9440, 418, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9497, 421, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9397, 416, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9398, 416, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9399, 416, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9405, 416, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9406, 416, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9407, 416, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9408, 416, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9400, 416, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9401, 416, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9402, 416, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9403, 416, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10403, 477, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10794, 493, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11677, 534, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11678, 534, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9390, 416, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9292, 412, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9263, 412, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9521, 423, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9522, 423, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9283, 412, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9353, 415, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9322, 413, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9313, 413, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9218, 410, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10601, 485, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9414, 417, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9415, 417, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9416, 417, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9417, 417, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9418, 417, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9419, 417, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9420, 417, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9421, 417, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9422, 417, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9423, 417, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9424, 417, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9413, 417, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9425, 417, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9426, 417, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9455, 419, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9612, 427, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9770, 436, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9428, 418, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9429, 418, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9430, 418, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9431, 418, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9432, 418, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9433, 418, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9434, 418, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9435, 418, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9436, 418, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9441, 418, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9442, 418, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9443, 419, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9444, 419, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9464, 419, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9469, 419, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9449, 419, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9450, 419, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9451, 419, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9452, 419, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9453, 419, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9454, 419, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9694, 431, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9456, 419, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9458, 419, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9459, 419, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9465, 419, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9466, 419, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9467, 419, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9468, 419, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9460, 419, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9461, 419, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9462, 419, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9463, 419, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11379, 518, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9448, 419, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9457, 419, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9488, 421, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9489, 421, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9490, 421, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9492, 421, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9474, 420, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9475, 420, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9476, 420, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9477, 420, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10294, 470, 'Какой из вариантов не является одним из модулей Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9479, 420, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9480, 420, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9481, 420, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9482, 420, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9483, 420, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9484, 420, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9485, 420, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9486, 420, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9487, 420, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9493, 421, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9494, 421, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9498, 421, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9499, 421, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9500, 421, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9501, 421, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9502, 421, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9473, 420, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9510, 422, '<p>Что не является этапом жизненного цикла Docker Container</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9511, 422, '<p>Как можно отследить состояние Docker</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9517, 422, '<p>С помощью какой команды можно установить имя пользователя?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9514, 422, '<p>Является ли объект Session потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9515, 422, '<p>Какая аннотация, поставленная над полем, указывает что поле является первичным ключом?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9503, 422, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9504, 422, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9505, 422, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9512, 422, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9513, 422, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9506, 422, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9507, 422, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9508, 422, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9519, 423, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9520, 423, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9523, 423, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9539, 423, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9544, 423, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9545, 423, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9546, 423, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9525, 423, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9526, 423, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9665, 429, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9527, 423, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9528, 423, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9529, 423, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9530, 423, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9531, 423, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9532, 423, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9533, 423, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9534, 423, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9540, 423, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9541, 423, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9542, 423, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9543, 423, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9535, 423, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9536, 423, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9537, 423, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9538, 423, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9695, 431, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9549, 424, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9550, 424, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9551, 424, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9552, 424, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9553, 424, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9554, 424, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9555, 424, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9556, 424, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9557, 424, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9558, 424, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9559, 424, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9560, 424, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9561, 424, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9562, 424, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9563, 425, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9564, 425, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9565, 425, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9566, 425, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9567, 425, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9568, 425, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9569, 425, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9516, 422, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9247, 411, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10295, 470, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9548, 424, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9547, 423, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9518, 423, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9524, 423, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9579, 426, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9580, 426, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9581, 426, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9829, 440, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9582, 426, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9583, 426, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9584, 426, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9585, 426, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9586, 426, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9587, 426, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9588, 426, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9589, 426, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9590, 426, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9591, 426, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9592, 426, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9760, 436, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9761, 436, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9952, 448, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9577, 425, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10225, 467, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9238, 411, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9593, 427, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9594, 427, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9595, 427, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9596, 427, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9597, 427, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9598, 427, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9599, 427, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9638, 428, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9600, 427, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9601, 427, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9602, 427, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9603, 427, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9604, 427, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9605, 427, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9606, 427, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9607, 427, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9608, 427, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9609, 427, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9610, 427, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9611, 427, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9613, 427, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9614, 427, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9615, 427, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9616, 427, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9617, 427, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9618, 427, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9619, 427, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9620, 427, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9621, 427, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9622, 427, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9639, 428, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9645, 428, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9646, 428, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9578, 426, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9624, 428, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9625, 428, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9626, 428, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9627, 428, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9628, 428, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9630, 428, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9631, 428, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9632, 428, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9644, 428, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9652, 428, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9649, 428, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9650, 428, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9651, 428, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9623, 428, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9696, 431, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9629, 428, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9634, 428, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9635, 428, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9636, 428, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9637, 428, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9647, 428, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9648, 428, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9640, 428, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9641, 428, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9642, 428, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9643, 428, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8377, 374, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9811, 439, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9812, 439, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (8389, 374, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9669, 430, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9670, 430, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9671, 430, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9672, 430, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9653, 429, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9822, 440, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9654, 429, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9655, 429, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9656, 429, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9657, 429, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9658, 429, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9659, 429, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9660, 429, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9661, 429, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9662, 429, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9663, 429, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9664, 429, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9666, 429, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9667, 429, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9683, 431, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9668, 430, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9685, 431, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9686, 431, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9687, 431, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9688, 431, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9689, 431, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9690, 431, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9691, 431, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9692, 431, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9693, 431, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9674, 430, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9675, 430, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9676, 430, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9697, 431, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9677, 430, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9678, 430, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9679, 430, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9680, 430, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9681, 430, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9682, 430, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9684, 431, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9673, 430, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9699, 432, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9700, 432, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9701, 432, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9702, 432, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9703, 432, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9704, 432, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9705, 432, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9706, 432, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9707, 432, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9708, 432, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9709, 432, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9710, 432, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9711, 432, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9712, 432, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9714, 433, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9715, 433, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10296, 470, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9716, 433, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9717, 433, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9729, 434, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9730, 434, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9731, 434, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9732, 434, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9733, 434, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9734, 434, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9735, 434, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9736, 434, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9737, 434, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9738, 434, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9739, 434, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9740, 434, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9741, 434, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9742, 434, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9719, 433, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9720, 433, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9721, 433, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9722, 433, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9723, 433, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9724, 433, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9725, 433, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9726, 433, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9727, 433, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9728, 434, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9768, 436, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9743, 435, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9744, 435, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9745, 435, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9746, 435, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9747, 435, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9748, 435, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9749, 435, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9750, 435, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9751, 435, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9752, 435, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9753, 435, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9754, 435, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9755, 435, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9756, 435, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9757, 435, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9758, 436, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9759, 436, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9814, 439, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9762, 436, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9763, 436, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9764, 436, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9765, 436, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9766, 436, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9767, 436, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9769, 436, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9771, 436, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9772, 436, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9774, 437, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9775, 437, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9776, 437, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9777, 437, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9778, 437, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9779, 437, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9780, 437, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9781, 437, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9782, 437, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9783, 437, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9784, 437, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9785, 437, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9786, 437, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9787, 437, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9817, 439, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9859, 442, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9860, 442, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9861, 442, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9789, 438, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9790, 438, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9791, 438, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9792, 438, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9793, 438, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9794, 438, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9795, 438, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9796, 438, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9797, 438, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9798, 438, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9799, 438, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9800, 438, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9801, 438, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9802, 438, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9830, 440, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9831, 440, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10024, 453, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9803, 439, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9804, 439, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9805, 439, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9806, 439, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9807, 439, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9808, 439, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9809, 439, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9788, 438, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9818, 440, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9819, 440, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9820, 440, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9821, 440, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9823, 440, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9824, 440, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9825, 440, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9826, 440, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9827, 440, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9828, 440, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9832, 440, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9773, 437, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9813, 439, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9815, 439, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9816, 439, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9855, 442, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9834, 441, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9835, 441, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9836, 441, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9837, 441, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9838, 441, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9839, 441, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9840, 441, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9841, 441, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9842, 441, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9843, 441, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9844, 441, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9845, 441, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9846, 441, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9847, 441, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10247, 468, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10248, 468, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9848, 442, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9849, 442, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9850, 442, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10020, 453, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9851, 442, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9852, 442, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9853, 442, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9854, 442, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9863, 443, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9864, 443, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9865, 443, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9866, 443, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9867, 443, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9868, 443, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9869, 443, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9870, 443, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9871, 443, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9872, 443, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9873, 443, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9874, 443, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9875, 443, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (9876, 443, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9877, 443, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9879, 444, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9880, 444, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9881, 444, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9882, 444, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9883, 444, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9884, 444, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9833, 441, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9893, 445, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9894, 445, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9895, 445, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9896, 445, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9897, 445, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9898, 445, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9899, 445, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9900, 445, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9901, 445, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9902, 445, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9903, 445, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9904, 445, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9905, 445, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9906, 445, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9907, 445, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10069, 456, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9878, 444, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9889, 444, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9890, 444, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9891, 444, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9892, 444, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9888, 444, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9698, 432, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9909, 446, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9910, 446, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9911, 446, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9912, 446, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9913, 446, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9914, 446, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9915, 446, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9916, 446, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9917, 446, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9918, 446, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9919, 446, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9920, 446, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9921, 446, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9922, 446, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9924, 447, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9925, 447, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10246, 468, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10249, 468, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10250, 468, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11447, 521, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11700, 535, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11701, 535, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11702, 535, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11833, 543, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10021, 453, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9908, 446, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9939, 448, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9940, 448, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9941, 448, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9942, 448, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9943, 448, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9944, 448, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9945, 448, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9946, 448, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9947, 448, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9948, 448, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9926, 447, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9927, 447, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9928, 447, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9929, 447, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9930, 447, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9931, 447, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9932, 447, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9933, 447, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9934, 447, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9935, 447, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11531, 526, '<p>Для каких приложений Docker подходит лучше всего</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9936, 447, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9937, 447, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9938, 448, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9951, 448, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9858, 442, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9862, 442, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9923, 447, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9954, 449, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9955, 449, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9956, 449, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9957, 449, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9958, 449, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9959, 449, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9960, 449, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9961, 449, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9962, 449, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9963, 449, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9964, 449, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9965, 449, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9966, 449, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9967, 449, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9987, 451, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9988, 451, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10070, 456, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9989, 451, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9953, 449, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10022, 453, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9983, 451, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9984, 451, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9985, 451, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9986, 451, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9990, 451, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9969, 450, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9970, 450, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9971, 450, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9972, 450, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9973, 450, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9974, 450, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9975, 450, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9976, 450, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9977, 450, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9978, 450, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9979, 450, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9980, 450, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (9981, 450, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9982, 450, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9996, 451, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9997, 451, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9968, 450, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10023, 453, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10014, 453, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10015, 453, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9998, 452, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9999, 452, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10000, 452, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10001, 452, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10002, 452, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10003, 452, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10004, 452, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10005, 452, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10006, 452, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10007, 452, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10008, 452, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10009, 452, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10010, 452, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10011, 452, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10012, 452, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10013, 453, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10016, 453, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10017, 453, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10018, 453, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10019, 453, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10025, 453, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10026, 453, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10027, 453, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10044, 455, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10045, 455, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10028, 454, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10029, 454, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10030, 454, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10031, 454, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10032, 454, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10033, 454, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10034, 454, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10035, 454, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10036, 454, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10037, 454, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10038, 454, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10039, 454, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10040, 454, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10041, 454, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10042, 454, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10144, 461, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10145, 461, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10043, 455, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10046, 455, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10047, 455, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10048, 455, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10049, 455, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10050, 455, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10051, 455, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10052, 455, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10053, 455, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10054, 455, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10055, 455, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10056, 455, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10057, 455, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10058, 456, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10059, 456, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10060, 456, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10061, 456, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10062, 456, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10063, 456, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10064, 456, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10065, 456, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10066, 456, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10067, 456, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10068, 456, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10071, 456, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10072, 456, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10108, 459, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10109, 459, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10073, 457, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10074, 457, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10075, 457, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10076, 457, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10077, 457, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10078, 457, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10079, 457, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10080, 457, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10081, 457, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10082, 457, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10083, 457, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10084, 457, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10085, 457, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10086, 457, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10087, 457, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10088, 458, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10089, 458, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10090, 458, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10190, 464, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10104, 459, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10105, 459, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10106, 459, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10107, 459, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10110, 459, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10111, 459, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10112, 459, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10113, 459, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10114, 459, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10115, 459, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10116, 459, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10117, 459, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10091, 458, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10092, 458, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10093, 458, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10094, 458, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10095, 458, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10096, 458, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10097, 458, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10098, 458, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10099, 458, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10100, 458, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10101, 458, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10102, 458, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10118, 460, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10119, 460, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10120, 460, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10103, 459, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10121, 460, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9570, 425, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10122, 460, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10123, 460, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10124, 460, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10125, 460, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10126, 460, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10127, 460, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10128, 460, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10129, 460, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10130, 460, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10131, 460, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10132, 460, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10134, 461, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10135, 461, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10136, 461, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11723, 536, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11724, 536, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11725, 536, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11726, 536, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11656, 533, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11993, 551, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10138, 461, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10139, 461, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10140, 461, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10141, 461, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10142, 461, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10143, 461, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10146, 461, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10147, 461, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10149, 462, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10150, 462, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10151, 462, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10152, 462, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10153, 462, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10154, 462, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10155, 462, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10156, 462, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10157, 462, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10158, 462, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10159, 462, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10160, 462, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10161, 462, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10162, 462, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10179, 464, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10180, 464, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10181, 464, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10182, 464, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10133, 461, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10137, 461, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10191, 464, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10192, 464, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10213, 466, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10148, 462, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10178, 464, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10164, 463, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10165, 463, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10166, 463, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10167, 463, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10168, 463, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10169, 463, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10170, 463, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10171, 463, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10172, 463, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10173, 463, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10174, 463, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10175, 463, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10176, 463, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10177, 463, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12037, 553, '<p>Выберите правильный вариант, как установить заголовки в ответе?</p><br><pre><code class="language-python">response = Response(...)<br><_______><br>return response</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12038, 553, '<p>Что покажет этот код?</p><br><pre><code class="language-python">python<br>for i in range(5):<br>if i % 2 == 0:<br>continue<br>print(i)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12039, 553, '<p>Какую ORM чаще выбирают вместе с фреймворком Flask?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10183, 464, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10184, 464, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10185, 464, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10186, 464, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10187, 464, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10188, 464, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10189, 464, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10194, 465, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10195, 465, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10215, 466, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10196, 465, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10197, 465, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10198, 465, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10199, 465, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10200, 465, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10201, 465, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10202, 465, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10203, 465, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10204, 465, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10205, 465, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10206, 465, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10207, 465, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9572, 425, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10227, 467, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10228, 467, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10193, 465, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10208, 466, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10209, 466, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10210, 466, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10211, 466, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10212, 466, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10214, 466, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10216, 466, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10217, 466, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10218, 466, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10219, 466, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10220, 466, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10221, 466, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10222, 466, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (9573, 425, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9576, 425, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10224, 467, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10223, 467, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10226, 467, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10229, 467, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10233, 467, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10234, 467, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10235, 467, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10236, 467, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10237, 467, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9713, 433, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (9718, 433, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11539, 526, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11532, 526, '<p>Затрагивает ли операция persist состояния зависимых сущностей?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11533, 526, '<p>На что указывает аннотация @Table?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10163, 463, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10238, 468, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10239, 468, '<p>Следующий текст представляет содержимое файла MyClass.java Выберите верные утверждения. //содержимое MyClass.java&nbsp;</p><pre><code class="language-java">package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10240, 468, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10241, 468, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10242, 468, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10263, 468, '<p>Какое из перечисленных названий является корректным для конфигурационного xml файла Hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10264, 468, '<p>Является ли объект класса SessionFactory потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10265, 468, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10266, 468, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10267, 468, '<p>На что указывает аннотация @Table?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10243, 468, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10244, 468, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10245, 468, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10251, 468, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10252, 468, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10253, 468, 'В чем различия между аннотациями @RequestParam и  @PathVariable?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10254, 468, 'Какие есть способы указать Spring создавать бины лениво?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10255, 468, 'Какие есть свойства аннотация @Bean?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10256, 468, 'Как присвоить простые значния из файлов properties полям в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10257, 468, 'Можно ли передать в запросе к контроллеру один и тот же параметр несколько раз? Пример: http://localhost:8080/confirm?code=test1&code=test2&code=test3', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10258, 468, 'Как добавить Component Scan в Spring Boot?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10259, 468, 'Что такое join point в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10260, 468, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10261, 468, 'Можно ли использовать аннотацию @Component вместо @Service для классов бизнес логики?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10262, 468, 'В чем разница между аннотациями @RequestMapping и @GetMapping', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10268, 469, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10269, 469, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10270, 469, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10271, 469, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11536, 526, '<p>С помощью какой подготовить к коммиту новый файл или история его изменений?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11537, 526, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11538, 526, '<p>Что происходит с файлом, добавленным в .gitignore?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11534, 526, '<p>Какие типы данных нельзя использовать в полях класса Entity, входящих в первичный ключ, если нужно чтобы данный ключ мог использоваться для любой базы данных?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11535, 526, '<p>Что случится, если для конфигураци hibernate использована одновременно XML конфигурация и hibernate.property?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11540, 526, '<p>Consumer1 и Consumer2&nbsp;находятся в одной группе и читают сообщения из топика с двумя партициями.</p><p>Как распределятся сообщения по консьюмерам?</p>', 'Kafka', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11541, 526, '<p>Какое окно (windowing) в Kafka Streams является сеансовым?</p>', 'Kafka', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11834, 543, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11755, 537, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11756, 537, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10272, 469, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10273, 469, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10274, 469, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10275, 469, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10276, 469, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10277, 469, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10278, 469, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10279, 469, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10280, 469, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10281, 469, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10282, 469, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10289, 470, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10290, 470, '<p>Для чего необходим Docker Compose</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10291, 470, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10292, 470, '<p>Для определения Docker Compose файла можно использовать XML</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10299, 470, '<p>Укажите верные утверждения об объекте SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10300, 470, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10301, 470, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10283, 470, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">package com.examplejava.courses

class Course {
    public String courseName;

    public void setCourseName(private String name) {
        courseName = name;
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10284, 470, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">class Mammal {
    public Mammal(int age) {
        System.out.print("Mammal");
    }
}

public class Platypus extends Mammal {
    public Platypus() {
        System.out.print("Platypus");
    }

    public static void main(String[] args) {
        new Mammal(5);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10285, 470, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10286, 470, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10287, 470, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10288, 470, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10293, 470, 'В чем разница аннотаций @Controller и @RestController?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10297, 470, 'Можно ли передать в запросе к контроллеру один и тот же параметр несколько раз? Пример: http://localhost:8080/confirm?code=test1&code=test2&code=test3', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10298, 470, 'Чем является аннотация @SpringBootApplication?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10302, 471, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10303, 471, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10313, 471, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10314, 471, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10315, 471, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10316, 471, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10304, 471, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">class Mammal {
    public Mammal(int age) {
        System.out.print("Mammal");
    }
}

public class Platypus extends Mammal {
    public Platypus() {
        System.out.print("Platypus");
    }

    public static void main(String[] args) {
        new Mammal(5);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10305, 471, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10306, 471, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10307, 471, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10308, 471, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10309, 471, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10310, 471, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10311, 471, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10312, 471, 'Какие виды DI поддерживает Spring с помощью @Autowired?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10328, 472, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10317, 472, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10318, 472, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10319, 472, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">class Mammal {
    public Mammal(int age) {
        System.out.print("Mammal");
    }
}

public class Platypus extends Mammal {
    public Platypus() {
        System.out.print("Platypus");
    }

    public static void main(String[] args) {
        new Mammal(5);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10320, 472, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10321, 472, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10322, 472, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10323, 472, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10324, 472, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10325, 472, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10332, 473, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10333, 473, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10334, 473, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10335, 473, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10336, 473, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10337, 473, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10338, 473, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Constants {
public static void main(String[] args) {
 ExecutorService service = Executors.newScheduledThreadPool(10);
 DoubleStream.of(1.23, 4.56) //A
  .forEach(c -&gt; service.submit( //B
   () -&gt; System.out.println(10*c)));
 service.execute(() -&gt; System.out.println("Test")); //С
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10339, 473, '<p>Сколько из перечисленных выражений выкинут исключение, если будут выполняться отдельно друг от друга?</p><pre><code class="language-plaintext">List&lt;Integer&gt; original = new ArrayList&lt;&gt;(Arrays.asList(1,2,3,4,5));
List&lt;Integer&gt; var1 = new CopyOnWriteArrayList&lt;&gt;(original);
for(Integer w : var1)
var1.remove(w);

List&lt;Integer&gt; var2 = Collections.synchronizedList(original);
for(Integer w : var2)
var2.remove(w);

List&lt;Integer&gt; var3 = new ArrayList&lt;&gt;(original);
for(Integer w : var3)
var3.remove(w);
Queue&lt;Integer&gt; var4 = new ConcurrentLinkedQueue&lt;&gt;(original);
for(Integer w : var4)
var4.remove(w);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10340, 473, '<p>Какой из перечисленных вариантов нужно вставить на место комментария, чтобы класс выдал "false"?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s = Stream.generate(() -&gt; "test");
boolean match = s./*ОТВЕТ*/(String::isEmpty);
System.out.println(match);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10341, 473, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10342, 473, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10343, 473, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10344, 473, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10345, 473, 'В чем разница аннотаций @Controller и @RestController?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10346, 473, '<p>Укажите верное утверждение о методе session.load()</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10347, 473, '<p>Какая из перечисленных конфигов включает кэш Hibernate?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10348, 473, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10349, 473, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10350, 473, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10351, 473, '<p>Каково назначение класса org.hibernate.CacheMode?</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10352, 473, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10353, 473, '<p>С помощью какой команды можно удалить ветку somebranch?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10354, 473, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10361, 474, '<p>Выберите неверные утверждения про Docker Volume</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10362, 474, '<p>Что не является этапом жизненного цикла Docker Container</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10363, 474, '<p>Как можно отследить состояние Docker</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10368, 474, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10369, 474, '<p>С помощью какой команды можно установить имя пользователя?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10366, 474, '<p>Является ли объект Session потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10367, 474, '<p>Какая аннотация, поставленная над полем, указывает что поле является первичным ключом?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10355, 474, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10356, 474, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10357, 474, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10364, 474, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10365, 474, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10360, 474, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10358, 474, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10359, 474, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10371, 475, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10372, 475, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12040, 553, '<p>Сколько библиотек можно импортировать в один проект?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12041, 553, '<p>Как объявляется переменная в Python?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12042, 553, '<p>Как получить объект User с id=1 из БД через SQLAlchemy?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10376, 475, '<p>Выберите неверные утверждения про Docker Volume</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10377, 475, '<p>Что не является этапом жизненного цикла Docker Container</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10378, 475, '<p>Как можно отследить состояние Docker</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10383, 475, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10384, 475, '<p>С помощью какой команды можно установить имя пользователя?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10381, 475, '<p>Является ли объект Session потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10382, 475, '<p>Какая аннотация, поставленная над полем, указывает что поле является первичным ключом?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10370, 475, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10379, 475, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10380, 475, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10373, 475, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10374, 475, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10375, 475, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10391, 476, '<p>Выберите неверные утверждения про Docker Volume</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10392, 476, '<p>Что не является этапом жизненного цикла Docker Container</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10393, 476, '<p>Как можно отследить состояние Docker</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10398, 476, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10399, 476, '<p>С помощью какой команды можно установить имя пользователя?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10396, 476, '<p>Является ли объект Session потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10397, 476, '<p>Какая аннотация, поставленная над полем, указывает что поле является первичным ключом?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10385, 476, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10386, 476, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10387, 476, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10394, 476, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10395, 476, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10388, 476, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10389, 476, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10390, 476, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10400, 477, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10401, 477, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10421, 477, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10426, 477, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10427, 477, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10428, 477, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10407, 477, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10607, 485, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10408, 477, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10409, 477, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10410, 477, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10411, 477, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10412, 477, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10413, 477, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10414, 477, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10415, 477, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10416, 477, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10422, 477, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10423, 477, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10424, 477, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10425, 477, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10417, 477, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10418, 477, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10419, 477, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10420, 477, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10431, 478, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10432, 478, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10433, 478, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10434, 478, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10435, 478, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10436, 478, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10464, 479, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12119, 554, '<p>Как получить данные от пользователя?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10437, 478, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10438, 478, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10439, 478, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10440, 478, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10441, 478, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10442, 478, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10443, 478, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10444, 478, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10445, 478, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10446, 478, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10447, 478, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10448, 478, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10449, 478, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12043, 553, '<p>Как добавить/изменить в словарь данные?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12044, 553, '<p>Выберите правильный вариант</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12045, 553, '<p>Как удалить объект из списка по индексу (чтобы изменилась длина списка)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12046, 553, '<p>Каким способом можно получить текущего пользователя во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10451, 478, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10459, 478, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10456, 478, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10457, 478, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10458, 478, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10460, 479, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10461, 479, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10462, 479, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10463, 479, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10465, 479, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10466, 479, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10467, 479, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10468, 479, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10469, 479, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10470, 479, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10471, 479, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10472, 479, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10473, 479, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10452, 478, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10453, 478, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10454, 478, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10455, 478, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10450, 478, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10481, 479, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10430, 478, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10489, 479, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10486, 479, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10487, 479, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10488, 479, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10474, 479, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10475, 479, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10542, 482, '<p>Что не является этапом жизненного цикла Docker Container</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10543, 482, '<p>Как можно отследить состояние Docker</p>', 'Docker', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10544, 482, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10476, 479, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10482, 479, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10483, 479, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10484, 479, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10485, 479, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10477, 479, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10478, 479, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10479, 479, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10480, 479, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10490, 480, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10521, 481, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10491, 480, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10492, 480, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10522, 481, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10493, 480, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10494, 480, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10495, 480, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10523, 481, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10524, 481, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10525, 481, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10509, 480, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10510, 480, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10511, 480, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10516, 480, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10527, 481, '<p>Что не является этапом жизненного цикла Docker Container</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10528, 481, '<p>Как можно отследить состояние Docker</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10518, 480, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10497, 480, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10498, 480, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10545, 482, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10546, 482, '<p>Является ли объект Session потокобезопасным?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10499, 480, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10500, 480, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10501, 480, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10502, 480, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10503, 480, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10504, 480, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10505, 480, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10506, 480, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10512, 480, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10513, 480, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10514, 480, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10515, 480, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10507, 480, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10508, 480, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10517, 480, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10533, 481, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10534, 481, '<p>С помощью какой команды можно установить имя пользователя?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10532, 481, '<p>Какая аннотация, поставленная над полем, указывает что поле является первичным ключом?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10520, 481, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10496, 480, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10535, 482, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10536, 482, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10537, 482, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10538, 482, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10539, 482, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10540, 482, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10541, 482, '<p>Выберите неверные утверждения про Docker Volume</p>', 'Docker', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10547, 482, '<p>Какая аннотация, поставленная над полем, указывает что поле является первичным ключом?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10548, 482, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10549, 482, '<p>С помощью какой команды можно установить имя пользователя?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (10566, 484, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10556, 483, '<p>Выберите неверные утверждения про Docker Volume</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10557, 483, '<p>Что не является этапом жизненного цикла Docker Container</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10558, 483, '<p>Как можно отследить состояние Docker</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10563, 483, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10561, 483, '<p>Является ли объект Session потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10562, 483, '<p>Какая аннотация, поставленная над полем, указывает что поле является первичным ключом?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10550, 483, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10551, 483, 'Какое из следующих утверждений о наследовании является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10552, 483, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10559, 483, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10560, 483, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10553, 483, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10554, 483, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10555, 483, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12347, 565, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12371, 567, '<p>Какую ORM чаще выбирают вместе с фреймворком Flask?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10571, 484, '<p>Выберите неверные утверждения про Docker Volume</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10572, 484, '<p>Что не является этапом жизненного цикла Docker Container</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10573, 484, '<p>Как можно отследить состояние Docker</p>', 'Docker', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10578, 484, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10579, 484, '<p>С помощью какой команды можно установить имя пользователя?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10576, 484, '<p>Является ли объект Session потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10577, 484, '<p>Какая аннотация, поставленная над полем, указывает что поле является первичным ключом?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10565, 484, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10567, 484, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10574, 484, 'Что такое join ADvice в AOP?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10575, 484, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10568, 484, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10569, 484, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10570, 484, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10429, 477, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10402, 477, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10405, 477, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10406, 477, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10580, 485, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10581, 485, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10582, 485, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10583, 485, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10584, 485, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10606, 485, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10586, 485, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10587, 485, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10588, 485, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10589, 485, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10590, 485, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10591, 485, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10592, 485, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10593, 485, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10594, 485, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10595, 485, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10596, 485, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10602, 485, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10603, 485, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10604, 485, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10605, 485, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10597, 485, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10598, 485, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10599, 485, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10600, 485, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10611, 486, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10612, 486, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10613, 486, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10614, 486, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10615, 486, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10616, 486, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10617, 486, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10618, 486, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10619, 486, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10620, 486, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10621, 486, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10622, 486, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10623, 486, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10624, 486, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10625, 486, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10626, 486, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10627, 486, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10628, 486, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10629, 486, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12061, 553, '<p>Для чего используется continue в циклах? Выберите верное утверждение</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12062, 553, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>name = "snow storm"<br>print("%s" % name[6:8])</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12063, 553, '<p>Что такое "pass"в Python''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10631, 486, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10639, 486, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10636, 486, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10637, 486, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10638, 486, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10610, 486, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10632, 486, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10633, 486, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10634, 486, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10635, 486, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10630, 486, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10640, 487, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10641, 487, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10642, 487, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10643, 487, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10644, 487, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10645, 487, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10646, 487, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10647, 487, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10648, 487, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10649, 487, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10650, 487, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10651, 487, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10652, 487, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10653, 487, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10658, 487, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10662, 487, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10661, 487, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10654, 487, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10730, 490, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10722, 489, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12120, 554, '<p>Как получить объект формы во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10655, 487, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10659, 487, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10660, 487, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10656, 487, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10657, 487, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10663, 488, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10664, 488, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10665, 488, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10666, 488, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10667, 488, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10668, 488, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10741, 490, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10745, 490, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10744, 490, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10742, 490, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10743, 490, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10908, 498, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10909, 498, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10910, 498, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10911, 498, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10912, 498, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10913, 498, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10914, 498, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10915, 498, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12036, 553, '<p>Как запустить скрипт python из терминала?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10684, 488, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10689, 488, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10690, 488, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10691, 488, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10670, 488, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10731, 490, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11625, 531, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10671, 488, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10672, 488, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10673, 488, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10674, 488, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10675, 488, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10676, 488, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10677, 488, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10678, 488, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10679, 488, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10685, 488, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10686, 488, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10687, 488, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10688, 488, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10680, 488, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10681, 488, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10682, 488, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10683, 488, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10694, 489, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10695, 489, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10696, 489, 'Что такое интерфейс-маркер?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10697, 489, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10698, 489, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10699, 489, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12083, 554, '<p>Что покажет этот код?</p><br><pre><code class="language-python">python<br>for i in range(5):<br>if i % 2 == 0:<br>continue<br>print(i)</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12121, 554, '<p>Какая библиотека отвечает за время?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10700, 489, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10701, 489, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10702, 489, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10703, 489, '<p>Какой тип допускает вставку значения null?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10704, 489, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10705, 489, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10706, 489, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10708, 489, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10709, 489, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10710, 489, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10711, 489, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10712, 489, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10714, 489, '<p>Что такое Docker File</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10719, 489, '<p>На что указывает аннотация @Bean?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10720, 489, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10721, 489, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10715, 489, 'Какиой scope у Spring бинов по умолчанию', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10716, 489, 'Является ли Spring бин потокобезопасным?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10717, 489, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10718, 489, 'Что не является одной из основных реализаций ApplicationContext?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10723, 490, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10724, 490, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10725, 490, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10726, 490, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10727, 490, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10728, 490, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10729, 490, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10732, 490, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10733, 490, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10734, 490, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10735, 490, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10736, 490, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10737, 490, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10739, 490, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10740, 490, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10770, 492, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10771, 492, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10772, 492, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10764, 491, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10768, 491, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10767, 491, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10747, 491, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10748, 491, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10749, 491, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10750, 491, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10751, 491, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10752, 491, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10753, 491, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10754, 491, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10755, 491, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10756, 491, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10757, 491, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10758, 491, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10759, 491, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10786, 492, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10760, 491, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10765, 491, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10766, 491, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10762, 491, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10763, 491, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10787, 492, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10791, 492, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10790, 492, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10769, 492, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10774, 492, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10775, 492, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10776, 492, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10777, 492, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10692, 488, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10778, 492, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10779, 492, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10780, 492, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10781, 492, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10782, 492, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10783, 492, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10784, 492, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10669, 488, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10788, 492, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10789, 492, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10785, 492, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10792, 493, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10793, 493, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10814, 493, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10813, 493, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10797, 493, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10798, 493, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10799, 493, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10800, 493, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10802, 493, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10803, 493, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10804, 493, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10805, 493, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10806, 493, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10811, 493, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10812, 493, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10808, 493, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10809, 493, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10815, 494, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10816, 494, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10817, 494, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10818, 494, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10819, 494, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10820, 494, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10821, 494, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10822, 494, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10823, 494, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12084, 554, '<p>Какую ORM чаще выбирают вместе с фреймворком Flask?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12085, 554, '<p>Сколько библиотек можно импортировать в один проект?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12086, 554, '<p>Как объявляется переменная в Python?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12081, 554, '<p>Как запустить скрипт python из терминала?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12082, 554, '<p>Выберите правильный вариант, как установить заголовки в ответе?</p><br><pre><code class="language-python">response = Response(...)<br><_______><br>return response</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10839, 495, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10840, 495, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10841, 495, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10842, 495, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10843, 495, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10844, 495, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10845, 495, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10846, 495, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10847, 495, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10848, 495, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10849, 495, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10850, 495, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10833, 494, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10837, 494, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10836, 494, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10824, 494, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10825, 494, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10826, 494, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10827, 494, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10829, 494, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10830, 494, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10834, 494, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10835, 494, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10831, 494, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10832, 494, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12087, 554, '<p>Как получить объект User с id=1 из БД через SQLAlchemy?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12088, 554, '<p>Как добавить/изменить в словарь данные?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12089, 554, '<p>Выберите правильный вариант</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12090, 554, '<p>Как удалить объект из списка по индексу (чтобы изменилась длина списка)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12091, 554, '<p>Каким способом можно получить текущего пользователя во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10856, 495, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10860, 495, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10838, 495, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10851, 495, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10852, 495, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10853, 495, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10857, 495, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10858, 495, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10854, 495, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10855, 495, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10862, 496, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10863, 496, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10864, 496, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10865, 496, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10866, 496, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10867, 496, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10868, 496, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10869, 496, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10870, 496, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10871, 496, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10872, 496, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10873, 496, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10810, 493, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10801, 493, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10807, 493, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10693, 489, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10707, 489, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10713, 489, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10738, 490, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10828, 494, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10608, 485, '<p>В каких состояних сущность объекта не связана с Session?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10883, 496, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10882, 496, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10880, 496, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10881, 496, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10877, 496, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10878, 496, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10585, 485, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10906, 497, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10905, 497, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10885, 497, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10886, 497, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10887, 497, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10888, 497, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10889, 497, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10890, 497, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10891, 497, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10892, 497, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10893, 497, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10894, 497, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10895, 497, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10896, 497, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10897, 497, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10898, 497, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10903, 497, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10904, 497, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10900, 497, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10901, 497, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10907, 498, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12372, 567, '<p>Сколько библиотек можно импортировать в один проект?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12373, 567, '<p>Как объявляется переменная в Python?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12374, 567, '<p>Как получить объект User с id=1 из БД через SQLAlchemy?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12375, 567, '<p>Как добавить/изменить в словарь данные?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12376, 567, '<p>Выберите правильный вариант</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12377, 567, '<p>Как удалить объект из списка по индексу (чтобы изменилась длина списка)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12378, 567, '<p>Каким способом можно получить текущего пользователя во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10902, 497, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10884, 497, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10899, 497, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10746, 491, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10925, 498, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10929, 498, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10928, 498, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10916, 498, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10917, 498, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10918, 498, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10919, 498, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11102, 506, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11103, 506, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11646, 532, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10761, 491, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10921, 498, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10922, 498, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10926, 498, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10927, 498, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10923, 498, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10924, 498, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10970, 500, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10920, 498, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10879, 496, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10861, 496, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10874, 496, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10875, 496, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10876, 496, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10931, 499, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10932, 499, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10933, 499, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10934, 499, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11066, 504, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10935, 499, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10936, 499, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10937, 499, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10938, 499, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10939, 499, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10940, 499, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10941, 499, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10942, 499, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10944, 499, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10972, 500, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10952, 499, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10951, 499, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10949, 499, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10950, 499, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10946, 499, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10947, 499, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10974, 500, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10953, 500, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10954, 500, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10955, 500, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10956, 500, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10957, 500, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10958, 500, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10959, 500, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10960, 500, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10961, 500, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10962, 500, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10963, 500, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10964, 500, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10965, 500, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10966, 500, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10967, 500, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10968, 500, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10973, 500, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11017, 502, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11021, 502, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11020, 502, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11018, 502, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11019, 502, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10930, 499, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10943, 499, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10945, 499, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10994, 501, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10977, 501, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10978, 501, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10979, 501, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10980, 501, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10981, 501, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10982, 501, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10983, 501, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10984, 501, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10985, 501, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10986, 501, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10987, 501, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10988, 501, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10990, 501, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11217, 511, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10991, 501, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10992, 501, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11452, 522, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10971, 500, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10969, 500, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11016, 502, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10998, 501, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10997, 501, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10995, 501, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10996, 501, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10993, 501, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11000, 502, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11001, 502, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11002, 502, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11003, 502, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11004, 502, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11005, 502, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11006, 502, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11007, 502, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11008, 502, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11009, 502, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11010, 502, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11011, 502, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11012, 502, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11013, 502, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11015, 502, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11101, 506, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (10976, 501, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (10989, 501, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11044, 503, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11043, 503, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11023, 503, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11024, 503, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11025, 503, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11026, 503, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11027, 503, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11028, 503, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11029, 503, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11030, 503, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11031, 503, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11032, 503, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11033, 503, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11034, 503, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11035, 503, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11036, 503, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11041, 503, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11042, 503, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11038, 503, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11039, 503, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11061, 504, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11062, 504, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (10999, 502, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11063, 504, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11067, 504, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11045, 504, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11046, 504, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11047, 504, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11048, 504, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11049, 504, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11050, 504, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11051, 504, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11052, 504, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11053, 504, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11054, 504, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11055, 504, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11056, 504, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11057, 504, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11058, 504, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11059, 504, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11064, 504, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11065, 504, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11105, 506, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11014, 502, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11060, 504, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11040, 503, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11022, 503, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11122, 507, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11037, 503, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11069, 505, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11070, 505, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11071, 505, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11072, 505, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11073, 505, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11074, 505, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11075, 505, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11076, 505, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11077, 505, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11078, 505, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11079, 505, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11080, 505, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11081, 505, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11082, 505, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11456, 522, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11086, 505, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11090, 505, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11089, 505, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11068, 505, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11083, 505, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11087, 505, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11088, 505, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11084, 505, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11085, 505, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11256, 513, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11091, 506, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11092, 506, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11093, 506, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11094, 506, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11095, 506, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11096, 506, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11097, 506, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11098, 506, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11099, 506, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11100, 506, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11107, 506, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11108, 506, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11109, 506, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11113, 506, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11112, 506, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11104, 506, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11106, 506, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11110, 506, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11111, 506, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11114, 507, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11115, 507, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11116, 507, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11117, 507, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11118, 507, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11119, 507, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11120, 507, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11121, 507, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12468, 571, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11123, 507, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11124, 507, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11125, 507, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11126, 507, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11137, 508, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11138, 508, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11139, 508, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11140, 508, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11141, 508, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11142, 508, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11143, 508, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11144, 508, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11145, 508, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11146, 508, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11147, 508, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11148, 508, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11149, 508, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11151, 508, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11170, 509, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11171, 509, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11172, 509, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11132, 507, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11136, 507, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11135, 507, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11128, 507, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11133, 507, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11134, 507, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11130, 507, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11131, 507, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12368, 567, '<p>Как запустить скрипт python из терминала?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12703, 583, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11216, 511, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12704, 583, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12705, 583, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12701, 583, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12702, 583, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11155, 508, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11159, 508, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11158, 508, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11150, 508, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11152, 508, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11156, 508, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11157, 508, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11153, 508, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11154, 508, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11160, 509, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11161, 509, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11162, 509, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11163, 509, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11164, 509, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11165, 509, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11166, 509, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11167, 509, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11168, 509, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11209, 511, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11210, 511, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11211, 511, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11212, 511, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11213, 511, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11214, 511, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11215, 511, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11178, 509, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11182, 509, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11181, 509, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11169, 509, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11173, 509, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11174, 509, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11175, 509, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11179, 509, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11180, 509, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11176, 509, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11177, 509, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11184, 510, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11185, 510, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11186, 510, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11187, 510, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11188, 510, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11189, 510, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11190, 510, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11191, 510, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11192, 510, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11193, 510, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11194, 510, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11195, 510, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11201, 510, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11205, 510, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11204, 510, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11183, 510, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11423, 520, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11196, 510, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11197, 510, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11198, 510, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11202, 510, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11203, 510, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11199, 510, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11200, 510, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11206, 511, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11207, 511, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11208, 511, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12442, 569, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12441, 569, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11219, 511, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11220, 511, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11221, 511, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11222, 511, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11223, 511, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11224, 511, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11225, 511, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11226, 511, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11227, 511, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11228, 511, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11424, 520, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11230, 512, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11231, 512, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11232, 512, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11233, 512, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11234, 512, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11235, 512, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11236, 512, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11237, 512, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11238, 512, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11239, 512, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11240, 512, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11241, 512, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11243, 512, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11247, 512, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11251, 512, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11250, 512, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11229, 512, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11242, 512, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11244, 512, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11248, 512, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11249, 512, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11245, 512, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11246, 512, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11252, 513, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11253, 513, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11254, 513, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11255, 513, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11257, 513, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11258, 513, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11259, 513, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11276, 514, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11277, 514, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11278, 514, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11279, 514, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11280, 514, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11281, 514, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11282, 514, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11283, 514, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11284, 514, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11285, 514, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11286, 514, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11287, 514, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11270, 513, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11274, 513, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11273, 513, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11261, 513, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11262, 513, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11263, 513, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11264, 513, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11266, 513, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11267, 513, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11271, 513, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11272, 513, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11268, 513, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11269, 513, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12466, 571, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12467, 571, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12469, 571, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11293, 514, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11297, 514, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11296, 514, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11275, 514, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11288, 514, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11289, 514, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11290, 514, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11294, 514, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11295, 514, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11291, 514, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11292, 514, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11299, 515, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11300, 515, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11301, 515, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11302, 515, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11303, 515, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11304, 515, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11305, 515, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11306, 515, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11307, 515, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11308, 515, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11309, 515, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11310, 515, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11316, 515, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11320, 515, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11319, 515, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11425, 520, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11449, 521, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11312, 515, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11317, 515, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11318, 515, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11314, 515, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11315, 515, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11357, 517, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11321, 516, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11322, 516, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11323, 516, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11324, 516, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11325, 516, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11326, 516, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11327, 516, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11328, 516, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11329, 516, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11330, 516, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11331, 516, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11332, 516, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11333, 516, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11334, 516, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11335, 516, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11377, 518, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12489, 572, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12490, 572, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12491, 572, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11298, 515, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11626, 531, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11311, 515, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11313, 515, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11345, 517, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11346, 517, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11347, 517, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11348, 517, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11349, 517, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11350, 517, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11351, 517, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11352, 517, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11353, 517, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11354, 517, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11355, 517, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11356, 517, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11339, 516, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11343, 516, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11342, 516, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11340, 516, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11341, 516, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11337, 516, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11338, 516, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11370, 518, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11371, 518, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11373, 518, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11374, 518, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11375, 518, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11362, 517, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11366, 517, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11365, 517, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11344, 517, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11385, 518, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11358, 517, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11359, 517, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11363, 517, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11364, 517, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11360, 517, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11361, 517, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11336, 516, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11367, 518, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11368, 518, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11390, 519, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11391, 519, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11392, 519, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11393, 519, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11394, 519, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11395, 519, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11396, 519, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11397, 519, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11398, 519, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11399, 519, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11400, 519, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11401, 519, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11402, 519, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11404, 519, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11381, 518, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11386, 518, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11387, 518, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11383, 518, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11384, 518, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12588, 576, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12589, 576, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12590, 576, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12591, 576, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12592, 576, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11408, 519, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11412, 519, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11411, 519, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11403, 519, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11405, 519, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11409, 519, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11410, 519, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11406, 519, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11407, 519, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11413, 520, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11414, 520, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11415, 520, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11416, 520, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11417, 520, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11418, 520, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11419, 520, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11420, 520, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11421, 520, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11627, 531, '<p>Каково назначение класса org.hibernate.CacheMode?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11450, 521, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11462, 522, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11463, 522, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11464, 522, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11465, 522, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11458, 522, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11459, 522, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11460, 522, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11461, 522, 'Какие виды DI поддерживает Spring с помощью @Autowired?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11431, 520, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11435, 520, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11434, 520, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11422, 520, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11426, 520, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11427, 520, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11428, 520, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11432, 520, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11433, 520, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11429, 520, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11430, 520, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11260, 513, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11265, 513, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11448, 521, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11437, 521, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11438, 521, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">class Mammal {
    public Mammal(int age) {
        System.out.print("Mammal");
    }
}

public class Platypus extends Mammal {
    public Platypus() {
        System.out.print("Platypus");
    }

    public static void main(String[] args) {
        new Mammal(5);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11439, 521, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11440, 521, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11441, 521, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11442, 521, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11443, 521, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11444, 521, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11445, 521, 'Какое из следующих утверждений является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11446, 521, 'Какие виды DI поддерживает Spring с помощью @Autowired?', 'Spring', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11660, 533, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11436, 521, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11451, 522, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11453, 522, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">class Mammal {
    public Mammal(int age) {
        System.out.print("Mammal");
    }
}

public class Platypus extends Mammal {
    public Platypus() {
        System.out.print("Platypus");
    }

    public static void main(String[] args) {
        new Mammal(5);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11454, 522, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11455, 522, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11457, 522, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11466, 523, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11467, 523, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11468, 523, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11469, 523, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11470, 523, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11471, 523, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11472, 523, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11473, 523, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11474, 523, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11475, 523, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11476, 523, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11477, 523, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11478, 523, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11479, 523, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11504, 525, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11505, 525, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12056, 553, '<p>Выберите правильный вариант методов списка (list()):</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11480, 523, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11484, 524, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11483, 524, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11485, 524, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11486, 524, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11487, 524, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11488, 524, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11489, 524, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11490, 524, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11491, 524, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11492, 524, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11493, 524, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11494, 524, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11495, 524, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11496, 524, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11497, 524, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11498, 524, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11500, 524, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11501, 524, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11127, 507, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11129, 507, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11499, 524, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11503, 524, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11502, 524, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11506, 525, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11507, 525, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11508, 525, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11509, 525, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11510, 525, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Constants {
public static void main(String[] args) {
 ExecutorService service = Executors.newScheduledThreadPool(10);
 DoubleStream.of(1.23, 4.56) //A
  .forEach(c -&gt; service.submit( //B
   () -&gt; System.out.println(10*c)));
 service.execute(() -&gt; System.out.println("Test")); //С
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11511, 525, '<p>Сколько из перечисленных выражений выкинут исключение, если будут выполняться отдельно друг от друга?</p><pre><code class="language-plaintext">List&lt;Integer&gt; original = new ArrayList&lt;&gt;(Arrays.asList(1,2,3,4,5));
List&lt;Integer&gt; var1 = new CopyOnWriteArrayList&lt;&gt;(original);
for(Integer w : var1)
var1.remove(w);

List&lt;Integer&gt; var2 = Collections.synchronizedList(original);
for(Integer w : var2)
var2.remove(w);

List&lt;Integer&gt; var3 = new ArrayList&lt;&gt;(original);
for(Integer w : var3)
var3.remove(w);
Queue&lt;Integer&gt; var4 = new ConcurrentLinkedQueue&lt;&gt;(original);
for(Integer w : var4)
var4.remove(w);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11512, 525, '<p>Какой из перечисленных вариантов нужно вставить на место комментария, чтобы класс выдал "false"?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s = Stream.generate(() -&gt; "test");
boolean match = s./*ОТВЕТ*/(String::isEmpty);
System.out.println(match);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11513, 525, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11514, 525, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11515, 525, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11516, 525, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11517, 525, 'В чем разница аннотаций @Controller и @RestController?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11518, 525, '<p>Укажите верное утверждение о методе session.load()</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11519, 525, '<p>Какая из перечисленных конфигов включает кэш Hibernate?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11520, 525, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11521, 525, '<p>Укажите корректный способ создания SessionFactory</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11522, 525, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11523, 525, '<p>Каково назначение класса org.hibernate.CacheMode?</p>', 'Hibernate', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11524, 525, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11525, 525, '<p>С помощью какой команды можно удалить ветку somebranch?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11526, 525, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11481, 524, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11482, 524, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11528, 526, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">class Mammal {
    public Mammal(int age) {
        System.out.print("Mammal");
    }
}

public class Platypus extends Mammal {
    public Platypus() {
        System.out.print("Platypus");
    }

    public static void main(String[] args) {
        new Mammal(5);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11529, 526, '<p>Что происходит когда для ThreadExecutor назначено больше задач, чем доступных потоков?</p>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11530, 526, 'Какое из следующих утверждений о String не является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11661, 533, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11662, 533, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11663, 533, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11527, 526, '<p>Какой будет результат выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        new Main().test();
    }

    interface I {
        void print();
    }

    public I create() {
        return () -&gt; System.out.println("Hello!");
    }

    private I i = this::create;

    public void test() {
        i.print();
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11560, 527, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11564, 527, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11563, 527, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11542, 527, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11543, 527, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11544, 527, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11545, 527, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11546, 527, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11547, 527, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11548, 527, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11549, 527, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11550, 527, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11551, 527, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11552, 527, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11554, 527, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11555, 527, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11556, 527, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11557, 527, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11561, 527, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11562, 527, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11558, 527, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11559, 527, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11613, 531, 'Какое из следующих утверждений верны?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11630, 531, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11622, 531, '<p>Укажите верное утверждение о методе session.load()</p>', 'Hibernate', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11623, 531, '<p>Какая из перечисленных конфигов включает кэш Hibernate?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11553, 527, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11582, 528, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11583, 528, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11587, 528, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11586, 528, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11565, 528, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11566, 528, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11567, 528, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11568, 528, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11569, 528, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11570, 528, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11571, 528, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11572, 528, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11573, 528, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11574, 528, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11575, 528, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11577, 528, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11578, 528, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11579, 528, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11580, 528, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11584, 528, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11585, 528, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11581, 528, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11634, 532, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11635, 532, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11636, 532, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11637, 532, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11624, 531, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11576, 528, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11590, 529, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11588, 529, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11592, 529, '<p>Партиция это...</p>', 'Kafka', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11591, 529, '<p>Выберите правильный вариант</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11589, 529, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11593, 530, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11594, 530, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11595, 530, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11596, 530, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11597, 530, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11598, 530, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11599, 530, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11600, 530, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11601, 530, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11602, 530, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11603, 530, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11604, 530, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11605, 530, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11606, 530, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11607, 530, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11609, 531, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11610, 531, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11611, 531, 'Что такое функциональный интерфейс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11619, 531, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11628, 531, '<p>Что является головой (head)?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11629, 531, '<p>С помощью какой команды можно удалить ветку somebranch?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12122, 554, '<p>Какая функция выводит что-либо в консоль?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11608, 531, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11612, 531, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11614, 531, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Constants {
public static void main(String[] args) {
 ExecutorService service = Executors.newScheduledThreadPool(10);
 DoubleStream.of(1.23, 4.56) //A
  .forEach(c -&gt; service.submit( //B
   () -&gt; System.out.println(10*c)));
 service.execute(() -&gt; System.out.println("Test")); //С
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11615, 531, '<p>Сколько из перечисленных выражений выкинут исключение, если будут выполняться отдельно друг от друга?</p><pre><code class="language-plaintext">List&lt;Integer&gt; original = new ArrayList&lt;&gt;(Arrays.asList(1,2,3,4,5));
List&lt;Integer&gt; var1 = new CopyOnWriteArrayList&lt;&gt;(original);
for(Integer w : var1)
var1.remove(w);

List&lt;Integer&gt; var2 = Collections.synchronizedList(original);
for(Integer w : var2)
var2.remove(w);

List&lt;Integer&gt; var3 = new ArrayList&lt;&gt;(original);
for(Integer w : var3)
var3.remove(w);
Queue&lt;Integer&gt; var4 = new ConcurrentLinkedQueue&lt;&gt;(original);
for(Integer w : var4)
var4.remove(w);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11616, 531, '<p>Какой из перечисленных вариантов нужно вставить на место комментария, чтобы класс выдал "false"?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s = Stream.generate(() -&gt; "test");
boolean match = s./*ОТВЕТ*/(String::isEmpty);
System.out.println(match);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11617, 531, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11618, 531, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11620, 531, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11621, 531, 'В чем разница аннотаций @Controller и @RestController?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11631, 532, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11632, 532, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11633, 532, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11638, 532, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11639, 532, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11640, 532, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11641, 532, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11642, 532, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11643, 532, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11644, 532, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11645, 532, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12346, 565, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11647, 532, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11648, 532, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11649, 532, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11650, 532, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11651, 532, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11652, 532, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11653, 532, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11664, 533, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11665, 533, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11666, 533, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11667, 533, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11668, 533, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11669, 533, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11670, 533, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11671, 533, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11672, 533, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11673, 533, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11674, 533, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11675, 533, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11676, 533, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11680, 534, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11681, 534, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11682, 534, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11683, 534, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11684, 534, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11685, 534, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11686, 534, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11687, 534, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11752, 537, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11688, 534, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11689, 534, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11690, 534, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11691, 534, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11692, 534, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11693, 534, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11694, 534, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11695, 534, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11696, 534, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11697, 534, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11698, 534, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11699, 534, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11703, 535, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11704, 535, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11705, 535, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11706, 535, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11707, 535, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11708, 535, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11709, 535, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11710, 535, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11711, 535, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11712, 535, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11713, 535, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11714, 535, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11715, 535, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11716, 535, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12167, 556, '<p>Какая из этих коллекций является сортированной?</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11717, 535, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11718, 535, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11719, 535, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11720, 535, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11721, 535, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11722, 535, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11727, 536, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11728, 536, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11729, 536, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11730, 536, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11731, 536, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11732, 536, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11733, 536, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11734, 536, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11735, 536, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11736, 536, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11737, 536, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11738, 536, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11739, 536, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11740, 536, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11741, 536, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11742, 536, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11743, 536, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11744, 536, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11745, 536, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11748, 537, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11749, 537, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11750, 537, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11751, 537, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11753, 537, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11771, 538, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11772, 538, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11773, 538, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11774, 538, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11775, 538, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11776, 538, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11777, 538, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11778, 538, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11780, 538, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11779, 538, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11781, 538, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11764, 537, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11768, 537, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11767, 537, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11757, 537, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11758, 537, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11760, 537, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11761, 537, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11765, 537, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11766, 537, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11762, 537, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11763, 537, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11794, 539, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11792, 539, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11796, 539, '<p>Партиция это...</p>', 'Kafka', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11795, 539, '<p>Выберите правильный вариант</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12249, 559, '<p>Как получить объект формы во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11793, 539, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11799, 540, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11797, 540, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11801, 540, '<p>Партиция это...</p>', 'Kafka', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11800, 540, '<p>Выберите правильный вариант</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11798, 540, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11804, 541, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11802, 541, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11805, 541, '<p>Выберите правильный вариант</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11803, 541, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11807, 542, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11835, 543, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11836, 543, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11787, 538, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11791, 538, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11790, 538, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11783, 538, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11784, 538, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11788, 538, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11789, 538, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11785, 538, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11786, 538, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12047, 553, '<p>Как удалить все объекты None из списка?</p><br><pre><code class="language-python">list_object = [None, 1, None]</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12048, 553, '<p>Для чего используется "session" (из пакета flask)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12049, 553, '<p>Какой будет результат выполнения данной функции:</p><br><pre><code class="language-python">all([True, False, True])?</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11989, 550, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11988, 550, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11986, 550, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11987, 550, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11808, 542, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11809, 542, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11810, 542, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11811, 542, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11812, 542, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11813, 542, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11814, 542, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11815, 542, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11816, 542, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11817, 542, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11818, 542, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11819, 542, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11820, 542, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11821, 542, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11823, 543, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11824, 543, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11825, 543, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11826, 543, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11827, 543, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11828, 543, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11829, 543, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11830, 543, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11831, 543, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11832, 543, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11822, 543, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11837, 544, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11860, 545, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11861, 545, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11862, 545, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12390, 567, '<p>Для чего используется класс ABC?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11838, 544, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11839, 544, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11840, 544, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11841, 544, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11842, 544, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11843, 544, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11844, 544, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11845, 544, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11846, 544, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11847, 544, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11848, 544, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11849, 544, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11850, 544, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11851, 544, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11769, 538, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11770, 538, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11782, 538, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11930, 548, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11931, 548, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11874, 545, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11873, 545, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11854, 545, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11855, 545, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11856, 545, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11857, 545, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11858, 545, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11859, 545, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12423, 569, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11863, 545, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11864, 545, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11866, 545, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11867, 545, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11871, 545, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11872, 545, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11868, 545, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11869, 545, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11875, 546, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11876, 546, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11877, 546, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11878, 546, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11899, 547, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11900, 547, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11901, 547, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11902, 547, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11903, 547, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11904, 547, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11898, 547, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11369, 518, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12050, 553, '<p>Каким может быть значение а чтобы условие if not a было истинным</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11897, 546, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11896, 546, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11880, 546, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11881, 546, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11882, 546, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11883, 546, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11884, 546, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11885, 546, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11852, 545, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11886, 546, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11887, 546, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11889, 546, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11890, 546, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11894, 546, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11895, 546, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11891, 546, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11892, 546, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11905, 547, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11906, 547, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11907, 547, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11908, 547, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11909, 547, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11910, 547, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11911, 547, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11912, 547, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11913, 547, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11914, 547, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11915, 547, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11917, 547, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11918, 547, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11916, 547, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11920, 547, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11919, 547, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11921, 548, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11870, 545, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11922, 548, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11923, 548, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11924, 548, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11925, 548, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11926, 548, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11927, 548, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11928, 548, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11929, 548, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11932, 548, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11933, 548, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11934, 548, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11935, 548, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11936, 548, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11937, 548, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11938, 548, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11939, 548, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11940, 548, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11941, 548, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11942, 548, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11943, 548, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11372, 518, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11376, 518, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11378, 518, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11380, 518, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11963, 549, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11382, 518, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11853, 545, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11944, 549, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12051, 553, '<p>Что выведет id(1)</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12052, 553, '<p>Какое из выражений выбросит исключение TypeError</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11865, 545, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11962, 549, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11966, 549, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11965, 549, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11945, 549, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11946, 549, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11947, 549, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11948, 549, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11949, 549, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11950, 549, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11951, 549, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11952, 549, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11953, 549, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11954, 549, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11956, 549, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11957, 549, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11958, 549, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11959, 549, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11964, 549, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12016, 552, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11960, 549, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11961, 549, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11654, 533, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11992, 551, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11955, 549, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11655, 533, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11657, 533, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11658, 533, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11659, 533, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11968, 550, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11969, 550, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11970, 550, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11971, 550, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11972, 550, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11973, 550, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11974, 550, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11975, 550, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11976, 550, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11977, 550, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11979, 550, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11980, 550, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11981, 550, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11982, 550, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11983, 550, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12055, 553, '<p>Какие встроенные структуры данных существуют в python?</p>', 'Python', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12017, 552, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11984, 550, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12008, 551, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12012, 551, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12011, 551, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11990, 551, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11991, 551, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11994, 551, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11995, 551, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11996, 551, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11997, 551, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11998, 551, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11999, 551, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12000, 551, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12001, 551, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12002, 551, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12003, 551, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12004, 551, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12005, 551, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12009, 551, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12010, 551, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12006, 551, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12007, 551, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12013, 552, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12014, 552, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12053, 553, '<p>Выберите вариант ответа, где все методы есть методами словаря dict().</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12054, 553, '<p>Для чего используется конструкция try/except?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12018, 552, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12019, 552, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12020, 552, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12021, 552, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12022, 552, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12023, 552, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12024, 552, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {
    };

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12025, 552, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">//Course.java
package com.examplejava.courses;

class Course {
    public String courseName;
}

//ExampleJava.java
package com.examplejava;import com.examplejava.courses.Course;

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12026, 552, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12027, 552, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12028, 552, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12029, 552, '<p>Какая из следующих строк правильно описывает создание нити?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        /*Недостающая строка*/
        Thread thread = new Thread(r);
        thread.start();
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12030, 552, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12031, 552, '<p>Какая из этих коллекций является сортированной?</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12032, 552, '<p>Что из перечисленного можно вставить на место ответа в сигнатуре метода чтобы код скомпилировался?</p><pre><code class="language-plaintext">
public class TestClass {
private static &lt; /*Ответ*/ , U&gt; U add(T list, U element) {
 list.add(element);
 return element;
}

public static void main(String[] args) {
 List&lt;String&gt; values = new ArrayList&lt;&gt;();
 add(values, "duck");
 add(values, "duck");
 add(values, "goose");
 System.out.println(values);
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12033, 552, '<p>Заполните пробелы: Функциональный интерфейс ___ не принимает никаких аргументов, тогда как функциональный интерфейс _ имеет тип возвращаемого значения void.</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12034, 552, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; s = Stream.of(1); //A
IntStream is = s.mapToInt(x -&gt; x); //B
DoubleStream ds = s.mapToDouble(x -&gt; x); //C
Stream&lt;Integer&gt; s2 = ds.mapToInt(x -&gt; x); //D</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12035, 552, '<p>Какие поля всегда будут равны null у экземпляра описанного класса после его сериализации и последующей десериализации?</p><pre><code class="language-plaintext">public class Account implements Serializable {
/*Реализация геттеров и сеттеров опущена*/
private static final long serialUID = 999999L;
private transient String login = "admin";
private static String password = "toor";
private transient Integer attempts;
private List&lt;Account&gt; users = new ArrayList&lt;&gt;();
private Object object = null;

{ attempts = 10;}

public Account() {
 this.login = "root";
}
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12057, 553, '<p>Укажите код, который вызовет ошибку:</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12058, 553, '<p>Для чего используется класс ABC?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12059, 553, '<p>Какая структура данных является неизменной? (immutableUnmutable)</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12060, 553, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>x = True<br>y = False<br>z = False<br>if not x or y:<br>print(1)<br>elif not x or not y and z:<br>print(2)<br>elif not x or y or not y and x:<br>print(3)<br>else:<br>print(4)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12015, 552, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12064, 553, '<p>Что выведет следующий фрагмент кода?</p><br><pre><code class="language-python">python<br>x = 4.5<br>y = 2<br>print(x // y)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12065, 553, '<p>Укажите вариант с ошибкой:</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12066, 553, '<p>Что выведет следующий фрагмент кода?</p><br><pre><code class="language-python">python<br>a = [1,2,3,None,(),[],]<br>print(len(a))</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12067, 553, '<p>Для чего используется Garbage Collector в Python''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12068, 553, '<p>Что делает следующий код?</p><br><pre><code class="language-python">def a(b, c, d): pass</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12069, 553, '<p>Что такое веб-фреймворк (на примере Flask/Django)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12070, 553, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>kvps  = {"user","bill", "password","hillary"}<br>print(kvps[''password''])</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12071, 553, '<p>Что такое Jinja?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12072, 553, '<p>Что выведет следующий код?</p><br><pre><code class="language-python">python<br>d = lambda p: p * 2<br>t = lambda p: p * 3<br>x = 2<br>x = d(x)<br>x = t(x)<br>x = d(x)<br>print(x)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12073, 553, '<p>Как установить актуальную версию Flask?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12074, 553, '<p>Как получить данные от пользователя?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12075, 553, '<p>Как получить объект формы во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12076, 553, '<p>Какая библиотека отвечает за время?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12077, 553, '<p>Какая функция выводит что-либо в консоль?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12078, 553, '<p>Выберите вариант, чтобы правильно дополнить код таким образом, чтобы функция перенаправления пользователя.</p><br><pre><code class="language-python">from flask import Flask, redirect, request<br>from app import app<br><br>@app.route(''/redirect/'')<br>def redirect_page():<br><________></code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12079, 553, '<p>Что такое Blueprint во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12080, 553, '<p>Что будет показано в результате?</p><br><pre><code class="language-python">python<br>name = "John"<br>print(''Hi, %s'' % name)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12092, 554, '<p>Как удалить все объекты None из списка?</p><br><pre><code class="language-python">list_object = [None, 1, None]</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12093, 554, '<p>Для чего используется "session" (из пакета flask)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12094, 554, '<p>Какой будет результат выполнения данной функции:</p><br><pre><code class="language-python">all([True, False, True])?</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12095, 554, '<p>Каким может быть значение а чтобы условие if not a было истинным</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12096, 554, '<p>Что выведет id(1)</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12097, 554, '<p>Какое из выражений выбросит исключение TypeError</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12098, 554, '<p>Выберите вариант ответа, где все методы есть методами словаря dict().</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12099, 554, '<p>Для чего используется конструкция try/except?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12100, 554, '<p>Какие встроенные структуры данных существуют в python?</p>', 'Python', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12101, 554, '<p>Выберите правильный вариант методов списка (list()):</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12102, 554, '<p>Укажите код, который вызовет ошибку:</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12103, 554, '<p>Для чего используется класс ABC?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12104, 554, '<p>Какая структура данных является неизменной? (immutableUnmutable)</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12105, 554, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>x = True<br>y = False<br>z = False<br>if not x or y:<br>print(1)<br>elif not x or not y and z:<br>print(2)<br>elif not x or y or not y and x:<br>print(3)<br>else:<br>print(4)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12106, 554, '<p>Для чего используется continue в циклах? Выберите верное утверждение</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12107, 554, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>name = "snow storm"<br>print("%s" % name[6:8])</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12108, 554, '<p>Что такое "pass"в Python''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12109, 554, '<p>Что выведет следующий фрагмент кода?</p><br><pre><code class="language-python">python<br>x = 4.5<br>y = 2<br>print(x // y)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12110, 554, '<p>Укажите вариант с ошибкой:</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12111, 554, '<p>Что выведет следующий фрагмент кода?</p><br><pre><code class="language-python">python<br>a = [1,2,3,None,(),[],]<br>print(len(a))</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12112, 554, '<p>Для чего используется Garbage Collector в Python''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12113, 554, '<p>Что делает следующий код?</p><br><pre><code class="language-python">def a(b, c, d): pass</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12114, 554, '<p>Что такое веб-фреймворк (на примере Flask/Django)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12115, 554, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>kvps  = {"user","bill", "password","hillary"}<br>print(kvps[''password''])</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12116, 554, '<p>Что такое Jinja?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12117, 554, '<p>Что выведет следующий код?</p><br><pre><code class="language-python">python<br>d = lambda p: p * 2<br>t = lambda p: p * 3<br>x = 2<br>x = d(x)<br>x = t(x)<br>x = d(x)<br>print(x)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12118, 554, '<p>Как установить актуальную версию Flask?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12123, 554, '<p>Выберите вариант, чтобы правильно дополнить код таким образом, чтобы функция перенаправления пользователя.</p><br><pre><code class="language-python">from flask import Flask, redirect, request<br>from app import app<br><br>@app.route(''/redirect/'')<br>def redirect_page():<br><________></code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12124, 554, '<p>Что такое Blueprint во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12125, 554, '<p>Что будет показано в результате?</p><br><pre><code class="language-python">python<br>name = "John"<br>print(''Hi, %s'' % name)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12128, 555, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12129, 555, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12130, 555, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12131, 555, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12133, 555, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12134, 555, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12135, 555, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12136, 555, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12137, 555, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {
    };

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12138, 555, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">//Course.java
package com.examplejava.courses;

class Course {
    public String courseName;
}

//ExampleJava.java
package com.examplejava;import com.examplejava.courses.Course;

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12139, 555, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12140, 555, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12141, 555, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12142, 555, '<p>Какая из следующих строк правильно описывает создание нити?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        /*Недостающая строка*/
        Thread thread = new Thread(r);
        thread.start();
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12143, 555, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12144, 555, '<p>Какая из этих коллекций является сортированной?</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12145, 555, '<p>Что из перечисленного можно вставить на место ответа в сигнатуре метода чтобы код скомпилировался?</p><pre><code class="language-plaintext">
public class TestClass {
private static &lt; /*Ответ*/ , U&gt; U add(T list, U element) {
 list.add(element);
 return element;
}

public static void main(String[] args) {
 List&lt;String&gt; values = new ArrayList&lt;&gt;();
 add(values, "duck");
 add(values, "duck");
 add(values, "goose");
 System.out.println(values);
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12146, 555, '<p>Заполните пробелы: Функциональный интерфейс ___ не принимает никаких аргументов, тогда как функциональный интерфейс _ имеет тип возвращаемого значения void.</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12147, 555, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; s = Stream.of(1); //A
IntStream is = s.mapToInt(x -&gt; x); //B
DoubleStream ds = s.mapToDouble(x -&gt; x); //C
Stream&lt;Integer&gt; s2 = ds.mapToInt(x -&gt; x); //D</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12168, 556, '<p>Что из перечисленного можно вставить на место ответа в сигнатуре метода чтобы код скомпилировался?</p><pre><code class="language-plaintext">
public class TestClass {
private static &lt; /*Ответ*/ , U&gt; U add(T list, U element) {
 list.add(element);
 return element;
}

public static void main(String[] args) {
 List&lt;String&gt; values = new ArrayList&lt;&gt;();
 add(values, "duck");
 add(values, "duck");
 add(values, "goose");
 System.out.println(values);
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12148, 555, '<p>Какие поля всегда будут равны null у экземпляра описанного класса после его сериализации и последующей десериализации?</p><pre><code class="language-plaintext">public class Account implements Serializable {
/*Реализация геттеров и сеттеров опущена*/
private static final long serialUID = 999999L;
private transient String login = "admin";
private static String password = "toor";
private transient Integer attempts;
private List&lt;Account&gt; users = new ArrayList&lt;&gt;();
private Object object = null;

{ attempts = 10;}

public Account() {
 this.login = "root";
}
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12126, 555, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12127, 555, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12132, 555, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12193, 557, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; s = Stream.of(1); //A
IntStream is = s.mapToInt(x -&gt; x); //B
DoubleStream ds = s.mapToDouble(x -&gt; x); //C
Stream&lt;Integer&gt; s2 = ds.mapToInt(x -&gt; x); //D</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12151, 556, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12152, 556, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12153, 556, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12154, 556, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12155, 556, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12156, 556, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12157, 556, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12158, 556, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12159, 556, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12160, 556, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {
    };

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12161, 556, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">//Course.java
package com.examplejava.courses;

class Course {
    public String courseName;
}

//ExampleJava.java
package com.examplejava;import com.examplejava.courses.Course;

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12162, 556, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12163, 556, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12164, 556, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12165, 556, '<p>Какая из следующих строк правильно описывает создание нити?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        /*Недостающая строка*/
        Thread thread = new Thread(r);
        thread.start();
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12166, 556, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12169, 556, '<p>Заполните пробелы: Функциональный интерфейс ___ не принимает никаких аргументов, тогда как функциональный интерфейс _ имеет тип возвращаемого значения void.</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12322, 563, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12170, 556, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; s = Stream.of(1); //A
IntStream is = s.mapToInt(x -&gt; x); //B
DoubleStream ds = s.mapToDouble(x -&gt; x); //C
Stream&lt;Integer&gt; s2 = ds.mapToInt(x -&gt; x); //D</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12150, 556, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12210, 559, '<p>Как запустить скрипт python из терминала?</p>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (13332, 615, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13333, 615, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12171, 556, '<p>Какие поля всегда будут равны null у экземпляра описанного класса после его сериализации и последующей десериализации?</p><pre><code class="language-plaintext">public class Account implements Serializable {
/*Реализация геттеров и сеттеров опущена*/
private static final long serialUID = 999999L;
private transient String login = "admin";
private static String password = "toor";
private transient Integer attempts;
private List&lt;Account&gt; users = new ArrayList&lt;&gt;();
private Object object = null;

{ attempts = 10;}

public Account() {
 this.login = "root";
}
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12172, 557, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12173, 557, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12174, 557, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12175, 557, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12176, 557, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12177, 557, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12178, 557, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12179, 557, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12180, 557, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12181, 557, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12182, 557, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12183, 557, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {
    };

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12184, 557, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">//Course.java
package com.examplejava.courses;

class Course {
    public String courseName;
}

//ExampleJava.java
package com.examplejava;import com.examplejava.courses.Course;

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12185, 557, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12186, 557, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12187, 557, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12319, 563, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12391, 567, '<p>Какая структура данных является неизменной? (immutableUnmutable)</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12188, 557, '<p>Какая из следующих строк правильно описывает создание нити?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        /*Недостающая строка*/
        Thread thread = new Thread(r);
        thread.start();
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12189, 557, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12190, 557, '<p>Какая из этих коллекций является сортированной?</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12191, 557, '<p>Что из перечисленного можно вставить на место ответа в сигнатуре метода чтобы код скомпилировался?</p><pre><code class="language-plaintext">
public class TestClass {
private static &lt; /*Ответ*/ , U&gt; U add(T list, U element) {
 list.add(element);
 return element;
}

public static void main(String[] args) {
 List&lt;String&gt; values = new ArrayList&lt;&gt;();
 add(values, "duck");
 add(values, "duck");
 add(values, "goose");
 System.out.println(values);
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12192, 557, '<p>Заполните пробелы: Функциональный интерфейс ___ не принимает никаких аргументов, тогда как функциональный интерфейс _ имеет тип возвращаемого значения void.</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12194, 557, '<p>Какие поля всегда будут равны null у экземпляра описанного класса после его сериализации и последующей десериализации?</p><pre><code class="language-plaintext">public class Account implements Serializable {
/*Реализация геттеров и сеттеров опущена*/
private static final long serialUID = 999999L;
private transient String login = "admin";
private static String password = "toor";
private transient Integer attempts;
private List&lt;Account&gt; users = new ArrayList&lt;&gt;();
private Object object = null;

{ attempts = 10;}

public Account() {
 this.login = "root";
}
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11985, 550, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11967, 550, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11978, 550, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12196, 558, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12197, 558, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12198, 558, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12199, 558, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12200, 558, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12201, 558, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12202, 558, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12203, 558, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12204, 558, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12205, 558, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12206, 558, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12207, 558, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12208, 558, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12209, 558, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12343, 565, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12195, 558, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12149, 556, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12212, 559, '<p>Что покажет этот код?</p><br><pre><code class="language-python">python<br>for i in range(5):<br>if i % 2 == 0:<br>continue<br>print(i)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12213, 559, '<p>Какую ORM чаще выбирают вместе с фреймворком Flask?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12214, 559, '<p>Сколько библиотек можно импортировать в один проект?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12215, 559, '<p>Как объявляется переменная в Python?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12216, 559, '<p>Как получить объект User с id=1 из БД через SQLAlchemy?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12217, 559, '<p>Как добавить/изменить в словарь данные?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12218, 559, '<p>Выберите правильный вариант</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12219, 559, '<p>Как удалить объект из списка по индексу (чтобы изменилась длина списка)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12220, 559, '<p>Каким способом можно получить текущего пользователя во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12221, 559, '<p>Как удалить все объекты None из списка?</p><br><pre><code class="language-python">list_object = [None, 1, None]</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12222, 559, '<p>Для чего используется "session" (из пакета flask)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12223, 559, '<p>Какой будет результат выполнения данной функции:</p><br><pre><code class="language-python">all([True, False, True])?</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12224, 559, '<p>Каким может быть значение а чтобы условие if not a было истинным</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12225, 559, '<p>Что выведет id(1)</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12226, 559, '<p>Какое из выражений выбросит исключение TypeError</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12227, 559, '<p>Выберите вариант ответа, где все методы есть методами словаря dict().</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12228, 559, '<p>Для чего используется конструкция try/except?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12229, 559, '<p>Какие встроенные структуры данных существуют в python?</p>', 'Python', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12230, 559, '<p>Выберите правильный вариант методов списка (list()):</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12231, 559, '<p>Укажите код, который вызовет ошибку:</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12232, 559, '<p>Для чего используется класс ABC?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12233, 559, '<p>Какая структура данных является неизменной? (immutableUnmutable)</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12234, 559, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>x = True<br>y = False<br>z = False<br>if not x or y:<br>print(1)<br>elif not x or not y and z:<br>print(2)<br>elif not x or y or not y and x:<br>print(3)<br>else:<br>print(4)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12235, 559, '<p>Для чего используется continue в циклах? Выберите верное утверждение</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12236, 559, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>name = "snow storm"<br>print("%s" % name[6:8])</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12237, 559, '<p>Что такое "pass"в Python''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12238, 559, '<p>Что выведет следующий фрагмент кода?</p><br><pre><code class="language-python">python<br>x = 4.5<br>y = 2<br>print(x // y)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12239, 559, '<p>Укажите вариант с ошибкой:</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12240, 559, '<p>Что выведет следующий фрагмент кода?</p><br><pre><code class="language-python">python<br>a = [1,2,3,None,(),[],]<br>print(len(a))</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12241, 559, '<p>Для чего используется Garbage Collector в Python''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12242, 559, '<p>Что делает следующий код?</p><br><pre><code class="language-python">def a(b, c, d): pass</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12243, 559, '<p>Что такое веб-фреймворк (на примере Flask/Django)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12244, 559, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>kvps  = {"user","bill", "password","hillary"}<br>print(kvps[''password''])</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12245, 559, '<p>Что такое Jinja?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12246, 559, '<p>Что выведет следующий код?</p><br><pre><code class="language-python">python<br>d = lambda p: p * 2<br>t = lambda p: p * 3<br>x = 2<br>x = d(x)<br>x = t(x)<br>x = d(x)<br>print(x)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12247, 559, '<p>Как установить актуальную версию Flask?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12248, 559, '<p>Как получить данные от пользователя?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12251, 559, '<p>Какая функция выводит что-либо в консоль?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12320, 563, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12252, 559, '<p>Выберите вариант, чтобы правильно дополнить код таким образом, чтобы функция перенаправления пользователя.</p><br><pre><code class="language-python">from flask import Flask, redirect, request<br>from app import app<br><br>@app.route(''/redirect/'')<br>def redirect_page():<br><________></code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12253, 559, '<p>Что такое Blueprint во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12254, 559, '<p>Что будет показано в результате?</p><br><pre><code class="language-python">python<br>name = "John"<br>print(''Hi, %s'' % name)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12211, 559, '<p>Выберите правильный вариант, как установить заголовки в ответе?</p><br><pre><code class="language-python">response = Response(...)<br><_______><br>return response</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (13334, 615, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12255, 560, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12256, 560, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12257, 560, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12258, 560, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12259, 560, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12260, 560, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12261, 560, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12262, 560, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12263, 560, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12264, 560, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12265, 560, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12266, 560, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {
    };

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12267, 560, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">//Course.java
package com.examplejava.courses;

class Course {
    public String courseName;
}

//ExampleJava.java
package com.examplejava;import com.examplejava.courses.Course;

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12268, 560, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12269, 560, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12270, 560, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12271, 560, '<p>Какая из следующих строк правильно описывает создание нити?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        /*Недостающая строка*/
        Thread thread = new Thread(r);
        thread.start();
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12272, 560, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12273, 560, '<p>Какая из этих коллекций является сортированной?</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12315, 563, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12316, 563, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12321, 563, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12274, 560, '<p>Что из перечисленного можно вставить на место ответа в сигнатуре метода чтобы код скомпилировался?</p><pre><code class="language-plaintext">
public class TestClass {
private static &lt; /*Ответ*/ , U&gt; U add(T list, U element) {
 list.add(element);
 return element;
}

public static void main(String[] args) {
 List&lt;String&gt; values = new ArrayList&lt;&gt;();
 add(values, "duck");
 add(values, "duck");
 add(values, "goose");
 System.out.println(values);
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12275, 560, '<p>Заполните пробелы: Функциональный интерфейс ___ не принимает никаких аргументов, тогда как функциональный интерфейс _ имеет тип возвращаемого значения void.</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12276, 560, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; s = Stream.of(1); //A
IntStream is = s.mapToInt(x -&gt; x); //B
DoubleStream ds = s.mapToDouble(x -&gt; x); //C
Stream&lt;Integer&gt; s2 = ds.mapToInt(x -&gt; x); //D</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12297, 562, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12277, 560, '<p>Какие поля всегда будут равны null у экземпляра описанного класса после его сериализации и последующей десериализации?</p><pre><code class="language-plaintext">public class Account implements Serializable {
/*Реализация геттеров и сеттеров опущена*/
private static final long serialUID = 999999L;
private transient String login = "admin";
private static String password = "toor";
private transient Integer attempts;
private List&lt;Account&gt; users = new ArrayList&lt;&gt;();
private Object object = null;

{ attempts = 10;}

public Account() {
 this.login = "root";
}
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12278, 561, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12279, 561, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12280, 561, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12281, 561, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12282, 561, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12283, 561, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12284, 561, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12285, 561, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12286, 561, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12287, 561, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12288, 561, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12289, 561, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12290, 561, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12291, 561, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12292, 561, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12317, 563, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12318, 563, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12293, 562, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12294, 562, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12295, 562, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12296, 562, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12370, 567, '<p>Что покажет этот код?</p><br><pre><code class="language-python">python<br>for i in range(5):<br>if i % 2 == 0:<br>continue<br>print(i)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12298, 562, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12299, 562, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12300, 562, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12301, 562, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12302, 562, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12303, 562, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12304, 562, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12305, 562, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12306, 562, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12307, 562, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12308, 563, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12309, 563, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12310, 563, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12311, 563, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12312, 563, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12313, 563, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12314, 563, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12344, 565, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12323, 564, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12324, 564, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12325, 564, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12326, 564, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12327, 564, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12328, 564, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12329, 564, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12330, 564, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12331, 564, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12332, 564, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12333, 564, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12334, 564, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12335, 564, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12336, 564, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12337, 564, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12338, 565, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12339, 565, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12380, 567, '<p>Для чего используется "session" (из пакета flask)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12340, 565, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12341, 565, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12342, 565, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12345, 565, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12348, 565, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12349, 565, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12350, 565, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12351, 565, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12352, 565, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12355, 566, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12356, 566, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12357, 566, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12358, 566, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12359, 566, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12360, 566, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12361, 566, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12362, 566, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12363, 566, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12364, 566, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12365, 566, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12366, 566, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12367, 566, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12353, 566, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12354, 566, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12379, 567, '<p>Как удалить все объекты None из списка?</p><br><pre><code class="language-python">list_object = [None, 1, None]</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12381, 567, '<p>Какой будет результат выполнения данной функции:</p><br><pre><code class="language-python">all([True, False, True])?</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12382, 567, '<p>Каким может быть значение а чтобы условие if not a было истинным</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12383, 567, '<p>Что выведет id(1)</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12384, 567, '<p>Какое из выражений выбросит исключение TypeError</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12385, 567, '<p>Выберите вариант ответа, где все методы есть методами словаря dict().</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12386, 567, '<p>Для чего используется конструкция try/except?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12387, 567, '<p>Какие встроенные структуры данных существуют в python?</p>', 'Python', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12388, 567, '<p>Выберите правильный вариант методов списка (list()):</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12389, 567, '<p>Укажите код, который вызовет ошибку:</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12392, 567, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>x = True<br>y = False<br>z = False<br>if not x or y:<br>print(1)<br>elif not x or not y and z:<br>print(2)<br>elif not x or y or not y and x:<br>print(3)<br>else:<br>print(4)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12393, 567, '<p>Для чего используется continue в циклах? Выберите верное утверждение</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12394, 567, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>name = "snow storm"<br>print("%s" % name[6:8])</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12395, 567, '<p>Что такое "pass"в Python''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12396, 567, '<p>Что выведет следующий фрагмент кода?</p><br><pre><code class="language-python">python<br>x = 4.5<br>y = 2<br>print(x // y)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12397, 567, '<p>Укажите вариант с ошибкой:</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12398, 567, '<p>Что выведет следующий фрагмент кода?</p><br><pre><code class="language-python">python<br>a = [1,2,3,None,(),[],]<br>print(len(a))</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12399, 567, '<p>Для чего используется Garbage Collector в Python''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12400, 567, '<p>Что делает следующий код?</p><br><pre><code class="language-python">def a(b, c, d): pass</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12401, 567, '<p>Что такое веб-фреймворк (на примере Flask/Django)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12402, 567, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>kvps  = {"user","bill", "password","hillary"}<br>print(kvps[''password''])</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12403, 567, '<p>Что такое Jinja?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12404, 567, '<p>Что выведет следующий код?</p><br><pre><code class="language-python">python<br>d = lambda p: p * 2<br>t = lambda p: p * 3<br>x = 2<br>x = d(x)<br>x = t(x)<br>x = d(x)<br>print(x)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12405, 567, '<p>Как установить актуальную версию Flask?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12406, 567, '<p>Как получить данные от пользователя?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12407, 567, '<p>Как получить объект формы во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12408, 567, '<p>Какая библиотека отвечает за время?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12409, 567, '<p>Какая функция выводит что-либо в консоль?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12410, 567, '<p>Выберите вариант, чтобы правильно дополнить код таким образом, чтобы функция перенаправления пользователя.</p><br><pre><code class="language-python">from flask import Flask, redirect, request<br>from app import app<br><br>@app.route(''/redirect/'')<br>def redirect_page():<br><________></code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12411, 567, '<p>Что такое Blueprint во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12412, 567, '<p>Что будет показано в результате?</p><br><pre><code class="language-python">python<br>name = "John"<br>print(''Hi, %s'' % name)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12369, 567, '<p>Выберите правильный вариант, как установить заголовки в ответе?</p><br><pre><code class="language-python">response = Response(...)<br><_______><br>return response</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12413, 568, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12414, 568, '<p>Какой из перечисленных функциональных интерфейсов нужно вставить на место комментария, чтобы класс скомпилировался?</p><pre><code class="language-plaintext">public class Market {
private static void checkNumbers(List&lt;Double&gt; numbers, /*ОТВЕТ*/ lambda) {
 numbers.forEach(lambda);
}

public static void main(String[] right) {
 List&lt;Double&gt; numbers = Arrays.asList(1.2, 6.5, 3.0);
 checkNumbers(numbers, p -&gt; {
   String result = p&lt;5 ? "lower" : "higher";
   System.out.println(result);
  }
 );
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12415, 568, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12416, 568, '<p>Является ли объект класса SessionFactory потокобезопасным?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13355, 616, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12417, 568, '<p>С помощью какой команды можно узнать какие изменения были сделаны локально относительно последнего коммита?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12418, 568, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>kvps  = {"user","bill", "password","hillary"}<br>print(kvps[''password''])</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12419, 568, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12421, 569, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12422, 569, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12424, 569, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12425, 569, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12426, 569, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12427, 569, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12428, 569, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12429, 569, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12430, 569, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12432, 569, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12433, 569, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12434, 569, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12435, 569, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12439, 569, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12440, 569, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12436, 569, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12437, 569, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12438, 569, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12420, 569, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12443, 570, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12444, 570, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12445, 570, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12446, 570, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12447, 570, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12448, 570, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12449, 570, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12450, 570, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12451, 570, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12452, 570, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13115, 605, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12453, 570, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12454, 570, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12455, 570, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12456, 570, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12457, 570, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12458, 570, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12459, 570, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12460, 570, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12461, 570, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12462, 570, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12463, 570, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12464, 570, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12465, 570, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12431, 569, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (11746, 537, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11747, 537, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11754, 537, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12497, 572, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (11759, 537, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12470, 571, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12471, 571, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12472, 571, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12473, 571, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12474, 571, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12475, 571, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12476, 571, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12477, 571, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12478, 571, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12479, 571, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12480, 571, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12481, 571, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12482, 571, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12483, 571, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12484, 571, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12485, 571, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12486, 571, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12487, 571, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12488, 571, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12492, 572, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12493, 572, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12494, 572, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12495, 572, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12496, 572, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12498, 572, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12499, 572, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12500, 572, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12501, 572, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12502, 572, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12503, 572, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12504, 572, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12505, 572, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12506, 572, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12507, 572, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12508, 572, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12509, 572, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12510, 572, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12511, 572, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12513, 573, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12514, 573, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12515, 573, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12516, 573, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12517, 573, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12518, 573, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12980, 598, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12981, 598, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12535, 574, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12536, 574, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12537, 574, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12538, 574, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12539, 574, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12540, 574, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12541, 574, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12542, 574, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12543, 574, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12544, 574, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12545, 574, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12534, 573, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12533, 573, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12520, 573, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12521, 573, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12522, 573, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12872, 594, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12523, 573, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12524, 573, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12526, 573, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12527, 573, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12531, 573, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12532, 573, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12528, 573, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12529, 573, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (13378, 617, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13379, 617, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13380, 617, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13381, 617, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13382, 617, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12546, 574, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12547, 574, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12548, 574, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12549, 574, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12550, 574, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13081, 604, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12551, 574, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12552, 574, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12553, 574, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12554, 574, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12555, 574, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12556, 574, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12557, 574, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12530, 573, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12512, 573, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12519, 573, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12525, 573, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12558, 575, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12560, 575, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12561, 575, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12562, 575, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12563, 575, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12564, 575, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12630, 579, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12631, 579, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12632, 579, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12581, 576, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12582, 576, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12583, 576, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12584, 576, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12585, 576, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12586, 576, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12587, 576, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12580, 575, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12579, 575, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12566, 575, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12567, 575, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12568, 575, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12609, 578, 'Какое из следующих утверждений о статических переменных является достоверным?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12973, 598, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12569, 575, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12570, 575, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12572, 575, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12573, 575, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12577, 575, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12578, 575, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12574, 575, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12575, 575, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12593, 576, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12594, 576, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12595, 576, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12596, 577, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12597, 577, '<p>Какой из перечисленных функциональных интерфейсов нужно вставить на место комментария, чтобы класс скомпилировался?</p><pre><code class="language-plaintext">public class Market {
private static void checkNumbers(List&lt;Double&gt; numbers, /*ОТВЕТ*/ lambda) {
 numbers.forEach(lambda);
}

public static void main(String[] right) {
 List&lt;Double&gt; numbers = Arrays.asList(1.2, 6.5, 3.0);
 checkNumbers(numbers, p -&gt; {
   String result = p&lt;5 ? "lower" : "higher";
   System.out.println(result);
  }
 );
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12598, 577, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12599, 577, '<p>Является ли объект класса SessionFactory потокобезопасным?</p>', 'Hibernate', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12600, 577, '<p>С помощью какой команды можно узнать какие изменения были сделаны локально относительно последнего коммита?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12601, 577, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>kvps  = {"user","bill", "password","hillary"}<br>print(kvps[''password''])</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12602, 577, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13226, 610, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12604, 578, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12605, 578, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12606, 578, 'Как изменить значение переменной в immutable классе?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12607, 578, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12608, 578, 'Что из перечисленного является допустимым названием метода в Java?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12610, 578, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12611, 578, 'Выберите верные утверждения относительно локальных классов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12612, 578, 'Выберите верное утверждение относительно анонимных классов?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12613, 578, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12615, 578, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12633, 579, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12634, 579, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12635, 579, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12636, 579, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12621, 578, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12625, 578, '<p>Что делает команда git revert abcdef?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12624, 578, '<p>На что указывает аннотация @Column?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12603, 578, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12614, 578, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12616, 578, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12617, 578, 'Какое из следующих исключений является проверяемым?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12618, 578, 'Какая наилучшая причина использовать StringBuilder вместо String?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12622, 578, 'Что такое ViewResolver в Spring?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12623, 578, 'Какие stereotype аннотации для определния класса бином вы знаете?', 'Spring', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12619, 578, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12620, 578, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12576, 575, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12559, 575, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12565, 575, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12674, 581, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12771, 588, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12571, 575, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11893, 546, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 'Docker', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (11879, 546, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12626, 579, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12627, 579, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12628, 579, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12629, 579, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12664, 581, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12637, 579, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {
    };

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12638, 579, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">//Course.java
package com.examplejava.courses;

class Course {
    public String courseName;
}

//ExampleJava.java
package com.examplejava;import com.examplejava.courses.Course;

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12639, 579, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12640, 579, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12641, 579, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12642, 579, '<p>Какая из следующих строк правильно описывает создание нити?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        /*Недостающая строка*/
        Thread thread = new Thread(r);
        thread.start();
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12643, 579, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12644, 579, '<p>Какая из этих коллекций является сортированной?</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12645, 579, '<p>Что из перечисленного можно вставить на место ответа в сигнатуре метода чтобы код скомпилировался?</p><pre><code class="language-plaintext">
public class TestClass {
private static &lt; /*Ответ*/ , U&gt; U add(T list, U element) {
 list.add(element);
 return element;
}

public static void main(String[] args) {
 List&lt;String&gt; values = new ArrayList&lt;&gt;();
 add(values, "duck");
 add(values, "duck");
 add(values, "goose");
 System.out.println(values);
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12646, 579, '<p>Заполните пробелы: Функциональный интерфейс ___ не принимает никаких аргументов, тогда как функциональный интерфейс _ имеет тип возвращаемого значения void.</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12647, 579, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; s = Stream.of(1); //A
IntStream is = s.mapToInt(x -&gt; x); //B
DoubleStream ds = s.mapToDouble(x -&gt; x); //C
Stream&lt;Integer&gt; s2 = ds.mapToInt(x -&gt; x); //D</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12721, 584, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12823, 591, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12648, 579, '<p>Какие поля всегда будут равны null у экземпляра описанного класса после его сериализации и последующей десериализации?</p><pre><code class="language-plaintext">public class Account implements Serializable {
/*Реализация геттеров и сеттеров опущена*/
private static final long serialUID = 999999L;
private transient String login = "admin";
private static String password = "toor";
private transient Integer attempts;
private List&lt;Account&gt; users = new ArrayList&lt;&gt;();
private Object object = null;

{ attempts = 10;}

public Account() {
 this.login = "root";
}
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12651, 580, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12652, 580, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12653, 580, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12654, 580, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12650, 580, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12655, 580, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12656, 580, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12657, 580, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12658, 580, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12659, 580, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12660, 580, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12661, 580, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12662, 580, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12663, 580, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12649, 580, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12665, 581, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12666, 581, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12667, 581, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12668, 581, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12669, 581, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12670, 581, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12671, 581, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12672, 581, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12673, 581, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12675, 581, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12676, 581, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12677, 581, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12678, 581, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12679, 581, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12680, 581, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12681, 581, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12682, 581, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12683, 581, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12684, 581, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12685, 581, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12686, 581, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (11888, 546, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12691, 582, '<p>С помощью какой команды можно узнать какие изменения были сделаны локально относительно последнего коммита?</p>', 'Git', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12690, 582, '<p>Является ли объект класса SessionFactory потокобезопасным?</p>', 'Hibernate', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12687, 582, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12688, 582, '<p>Какой из перечисленных функциональных интерфейсов нужно вставить на место комментария, чтобы класс скомпилировался?</p><pre><code class="language-plaintext">public class Market {
private static void checkNumbers(List&lt;Double&gt; numbers, /*ОТВЕТ*/ lambda) {
 numbers.forEach(lambda);
}

public static void main(String[] right) {
 List&lt;Double&gt; numbers = Arrays.asList(1.2, 6.5, 3.0);
 checkNumbers(numbers, p -&gt; {
   String result = p&lt;5 ? "lower" : "higher";
   System.out.println(result);
  }
 );
}
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12692, 582, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>kvps  = {"user","bill", "password","hillary"}<br>print(kvps[''password''])</code></pre>', 'Python', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12693, 582, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12689, 582, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12722, 584, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12723, 584, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12865, 593, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12694, 583, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12695, 583, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12696, 583, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12697, 583, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12698, 583, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12699, 583, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12700, 583, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12706, 583, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12707, 583, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12708, 583, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12709, 584, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12710, 584, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12711, 584, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12712, 584, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12713, 584, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12714, 584, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12715, 584, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12716, 584, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12717, 584, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12718, 584, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12719, 584, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12720, 584, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12724, 585, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12725, 585, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12726, 585, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12727, 585, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13401, 618, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12728, 585, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12729, 585, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12730, 585, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12731, 585, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12732, 585, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12733, 585, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12734, 585, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12735, 585, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12736, 585, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12737, 585, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12738, 585, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12739, 586, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12740, 586, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13254, 611, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12741, 586, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12742, 586, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12743, 586, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12744, 586, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12866, 593, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12745, 586, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12746, 586, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12747, 586, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12748, 586, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12749, 586, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12750, 586, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12751, 586, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12752, 586, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12753, 586, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13424, 619, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12754, 587, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12755, 587, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12756, 587, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12757, 587, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12758, 587, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12759, 587, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12760, 587, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12761, 587, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12762, 587, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12763, 587, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12764, 587, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12765, 587, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12875, 594, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12766, 587, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12767, 587, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12768, 587, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12770, 588, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12772, 588, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12773, 588, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12774, 588, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12796, 589, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12797, 589, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12798, 589, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13447, 620, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13448, 620, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12778, 588, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12779, 588, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12780, 588, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12781, 588, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12782, 588, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12783, 588, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12769, 588, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12775, 588, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12776, 588, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12777, 588, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12784, 589, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12785, 589, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12786, 589, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12787, 589, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12788, 589, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12789, 589, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12790, 589, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12791, 589, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12792, 589, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12793, 589, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12794, 589, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12795, 589, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12844, 593, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12845, 593, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12846, 593, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13151, 607, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12812, 590, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12813, 590, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12799, 590, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12800, 590, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12801, 590, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12802, 590, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12803, 590, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12804, 590, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12805, 590, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12806, 590, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12807, 590, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12808, 590, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12809, 590, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12810, 590, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12811, 590, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12814, 591, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12824, 591, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12825, 591, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12826, 591, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12827, 591, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12828, 591, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12815, 591, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12816, 591, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12817, 591, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12818, 591, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12819, 591, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12820, 591, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12821, 591, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12822, 591, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12829, 592, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12830, 592, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12831, 592, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12832, 592, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12874, 594, 'Какое из утверждений об инкапсуляции не верно?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12876, 594, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12877, 594, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13180, 608, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13181, 608, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12839, 592, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12840, 592, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12841, 592, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12842, 592, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12843, 592, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12833, 592, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12834, 592, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12835, 592, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12836, 592, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12837, 592, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12838, 592, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12847, 593, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12848, 593, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12849, 593, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12850, 593, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12851, 593, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12852, 593, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12853, 593, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12854, 593, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12855, 593, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12856, 593, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12857, 593, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13281, 612, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12858, 593, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12859, 593, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12860, 593, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12861, 593, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12862, 593, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12863, 593, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12864, 593, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12873, 594, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12869, 594, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12870, 594, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 'Java Core', 'MULTIPLE', true);
INSERT INTO public.candidate_questions VALUES (12871, 594, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12878, 594, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {
    };

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12879, 594, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">//Course.java
package com.examplejava.courses;

class Course {
    public String courseName;
}

//ExampleJava.java
package com.examplejava;import com.examplejava.courses.Course;

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12880, 594, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12881, 594, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12882, 594, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12883, 594, '<p>Какая из следующих строк правильно описывает создание нити?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        /*Недостающая строка*/
        Thread thread = new Thread(r);
        thread.start();
    }
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12884, 594, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12885, 594, '<p>Какая из этих коллекций является сортированной?</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12886, 594, '<p>Что из перечисленного можно вставить на место ответа в сигнатуре метода чтобы код скомпилировался?</p><pre><code class="language-plaintext">
public class TestClass {
private static &lt; /*Ответ*/ , U&gt; U add(T list, U element) {
 list.add(element);
 return element;
}

public static void main(String[] args) {
 List&lt;String&gt; values = new ArrayList&lt;&gt;();
 add(values, "duck");
 add(values, "duck");
 add(values, "goose");
 System.out.println(values);
}
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12887, 594, '<p>Заполните пробелы: Функциональный интерфейс ___ не принимает никаких аргументов, тогда как функциональный интерфейс _ имеет тип возвращаемого значения void.</p>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12909, 595, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12910, 595, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12888, 594, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; s = Stream.of(1); //A
IntStream is = s.mapToInt(x -&gt; x); //B
DoubleStream ds = s.mapToDouble(x -&gt; x); //C
Stream&lt;Integer&gt; s2 = ds.mapToInt(x -&gt; x); //D</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12889, 594, '<p>Какие поля всегда будут равны null у экземпляра описанного класса после его сериализации и последующей десериализации?</p><pre><code class="language-plaintext">public class Account implements Serializable {
/*Реализация геттеров и сеттеров опущена*/
private static final long serialUID = 999999L;
private transient String login = "admin";
private static String password = "toor";
private transient Integer attempts;
private List&lt;Account&gt; users = new ArrayList&lt;&gt;();
private Object object = null;

{ attempts = 10;}

public Account() {
 this.login = "root";
}
}</code></pre>', 'Java Core', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12867, 594, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12868, 594, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 'Java Core', 'SINGLE', true);
INSERT INTO public.candidate_questions VALUES (12890, 595, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12891, 595, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12892, 595, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12893, 595, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12894, 595, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12895, 595, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12896, 595, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13449, 620, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12897, 595, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12898, 595, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12899, 595, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12900, 595, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12901, 595, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12902, 595, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12903, 595, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12904, 595, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12905, 595, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12906, 595, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12907, 595, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12908, 595, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12911, 595, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12912, 595, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12913, 596, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12914, 596, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12915, 596, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12916, 596, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12917, 596, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12918, 596, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12919, 596, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12920, 596, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13116, 605, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12921, 596, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12922, 596, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12923, 596, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12978, 598, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12924, 596, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12925, 596, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12926, 596, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12927, 596, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12928, 596, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12929, 596, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12930, 596, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12931, 596, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12932, 596, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12933, 596, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12934, 596, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12935, 596, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12936, 597, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12937, 597, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12938, 597, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12996, 599, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12939, 597, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12940, 597, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12941, 597, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12942, 597, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12943, 597, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12944, 597, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12945, 597, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12946, 597, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13143, 606, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12947, 597, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12948, 597, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12949, 597, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12950, 597, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12951, 597, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12952, 597, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12953, 597, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12954, 597, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12955, 597, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12956, 597, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12957, 597, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12958, 597, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12959, 598, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12960, 598, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12961, 598, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12962, 598, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12963, 598, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12964, 598, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12965, 598, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12966, 598, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13023, 600, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12967, 598, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12968, 598, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12969, 598, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12970, 598, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12971, 598, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12972, 598, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12974, 598, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12975, 598, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12976, 598, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12977, 598, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12982, 599, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12983, 599, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12984, 599, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12985, 599, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12986, 599, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12987, 599, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12988, 599, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12989, 599, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12990, 599, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12991, 599, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12992, 599, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12993, 599, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12994, 599, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12995, 599, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (12997, 599, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12998, 599, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (12999, 599, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13000, 599, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13001, 599, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13002, 599, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13003, 599, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13004, 599, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13034, 602, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13005, 600, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13006, 600, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13007, 600, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13008, 600, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13009, 600, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13236, 610, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13010, 600, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13011, 600, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13012, 600, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13013, 600, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13014, 600, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13015, 600, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13016, 600, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13017, 600, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13018, 600, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13019, 600, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13020, 600, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13021, 600, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13022, 600, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13024, 600, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13025, 600, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13026, 600, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13027, 600, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13028, 601, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 'Java Core', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13029, 601, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13030, 601, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13031, 601, '<p>Выберите правильный вариант</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13032, 601, '<p>Партиция это...</p>', 'Kafka', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13033, 602, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13035, 602, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13036, 602, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13037, 602, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13148, 607, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13038, 602, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13039, 602, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13040, 602, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13041, 602, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13042, 602, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13043, 602, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13044, 602, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13045, 602, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13046, 602, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13047, 602, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13048, 602, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13049, 602, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13050, 602, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13051, 602, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13052, 602, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13053, 602, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13054, 602, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13055, 602, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13056, 603, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13057, 603, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13058, 603, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13059, 603, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13060, 603, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13061, 603, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13062, 603, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13063, 603, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13064, 603, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13065, 603, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13149, 607, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13066, 603, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13067, 603, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13068, 603, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13069, 603, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13070, 603, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13071, 603, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13072, 603, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13073, 603, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13074, 603, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13075, 603, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13076, 603, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13077, 603, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13078, 603, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13079, 604, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13080, 604, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13082, 604, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13083, 604, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13084, 604, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13085, 604, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13086, 604, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13087, 604, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13088, 604, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13089, 604, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13090, 604, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13150, 607, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13091, 604, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13092, 604, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13093, 604, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13094, 604, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13095, 604, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13096, 604, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13097, 604, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13098, 604, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13099, 604, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13100, 604, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13101, 604, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13102, 605, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13103, 605, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13104, 605, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13105, 605, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13106, 605, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13107, 605, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13108, 605, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13493, 622, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13109, 605, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13110, 605, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13111, 605, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13112, 605, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13113, 605, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13114, 605, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13117, 605, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13118, 605, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13119, 605, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13120, 605, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13121, 605, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13122, 605, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13123, 605, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13124, 605, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13125, 606, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13126, 606, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13127, 606, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13128, 606, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13129, 606, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13130, 606, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13131, 606, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13132, 606, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13133, 606, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13134, 606, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13135, 606, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13197, 609, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13136, 606, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13137, 606, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13138, 606, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13139, 606, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13140, 606, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13141, 606, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13142, 606, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13144, 606, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13145, 606, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13146, 606, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13147, 606, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13237, 610, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13152, 607, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13153, 607, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13154, 607, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13155, 607, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13156, 607, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13157, 607, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13158, 607, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13159, 607, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13160, 607, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13161, 607, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13162, 607, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13163, 607, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13164, 607, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13165, 607, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13166, 607, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13167, 607, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13168, 607, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13169, 607, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13170, 607, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13171, 608, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13172, 608, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13173, 608, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13174, 608, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13175, 608, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13232, 610, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13176, 608, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13177, 608, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13178, 608, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13179, 608, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13182, 608, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13183, 608, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13184, 608, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13185, 608, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13186, 608, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13187, 608, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13188, 608, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13189, 608, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13190, 608, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13191, 608, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13192, 608, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13193, 608, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13194, 609, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13195, 609, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13196, 609, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13198, 609, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13199, 609, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13200, 609, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13201, 609, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13202, 609, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13203, 609, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13204, 609, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13233, 610, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13295, 613, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13205, 609, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13206, 609, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13207, 609, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13208, 609, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13209, 609, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13210, 609, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13211, 609, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13212, 609, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13213, 609, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13214, 609, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13215, 609, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13216, 609, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13217, 610, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13218, 610, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13219, 610, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13220, 610, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13221, 610, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13222, 610, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13223, 610, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13224, 610, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13225, 610, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13227, 610, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13228, 610, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13229, 610, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13230, 610, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13231, 610, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13265, 612, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13234, 610, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13235, 610, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13238, 610, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13239, 610, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13240, 611, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13241, 611, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13242, 611, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13243, 611, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13244, 611, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13245, 611, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13246, 611, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13247, 611, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13248, 611, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13249, 611, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13250, 611, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13251, 611, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13252, 611, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13253, 611, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13255, 611, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13256, 611, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13257, 611, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13258, 611, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13259, 611, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13260, 611, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13261, 611, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13262, 611, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13263, 612, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13264, 612, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13266, 612, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13286, 613, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13267, 612, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13268, 612, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13269, 612, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13270, 612, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13271, 612, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13272, 612, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13273, 612, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13274, 612, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13275, 612, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13276, 612, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13277, 612, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13278, 612, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13279, 612, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13280, 612, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13282, 612, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13283, 612, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13284, 612, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13285, 612, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13287, 613, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13288, 613, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13289, 613, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13290, 613, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13291, 613, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13292, 613, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13293, 613, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13294, 613, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13296, 613, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13297, 613, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13298, 613, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13299, 613, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13300, 613, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13301, 613, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13302, 613, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13303, 613, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13304, 613, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13305, 613, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13306, 613, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13307, 613, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13308, 613, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13309, 614, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13310, 614, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13311, 614, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13312, 614, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13522, 623, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13313, 614, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13314, 614, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13315, 614, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13316, 614, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13317, 614, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13318, 614, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13319, 614, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13320, 614, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13351, 615, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13321, 614, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13322, 614, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13323, 614, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13324, 614, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13325, 614, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13326, 614, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13327, 614, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13328, 614, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13329, 614, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13330, 614, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13331, 614, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13335, 615, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13336, 615, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13337, 615, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13338, 615, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13339, 615, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13340, 615, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13341, 615, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13342, 615, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13343, 615, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13344, 615, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13345, 615, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13346, 615, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13347, 615, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13348, 615, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13349, 615, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13350, 615, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13352, 615, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13353, 615, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13354, 615, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13356, 616, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13357, 616, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13358, 616, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13359, 616, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13360, 616, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13361, 616, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13362, 616, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13363, 616, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13364, 616, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13365, 616, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13366, 616, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13367, 616, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13368, 616, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13369, 616, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13370, 616, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13371, 616, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13372, 616, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13373, 616, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13374, 616, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13375, 616, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13376, 616, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13377, 616, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13383, 617, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13384, 617, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13385, 617, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13386, 617, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13529, 623, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13387, 617, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13388, 617, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13389, 617, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13390, 617, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13391, 617, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13392, 617, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13393, 617, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13394, 617, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13395, 617, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13396, 617, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13397, 617, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13398, 617, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13399, 617, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13400, 617, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13402, 618, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13403, 618, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13404, 618, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13405, 618, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13406, 618, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13407, 618, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13408, 618, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13409, 618, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13410, 618, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13411, 618, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13412, 618, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13413, 618, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13530, 623, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13414, 618, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13415, 618, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13416, 618, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13417, 618, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13418, 618, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13419, 618, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13420, 618, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13421, 618, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13422, 618, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13423, 618, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13425, 619, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13426, 619, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13427, 619, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13428, 619, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13429, 619, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13430, 619, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13431, 619, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13432, 619, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13433, 619, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13434, 619, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13435, 619, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13436, 619, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13437, 619, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13438, 619, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13439, 619, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13440, 619, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13441, 619, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13442, 619, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13443, 619, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13444, 619, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13445, 619, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13446, 619, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13450, 620, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13451, 620, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13452, 620, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13453, 620, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13454, 620, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13455, 620, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13456, 620, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13457, 620, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13458, 620, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13459, 620, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13460, 620, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13461, 620, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13462, 620, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13463, 620, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13607, 626, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13464, 620, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13465, 620, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13466, 620, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13467, 620, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13468, 620, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13469, 620, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13470, 621, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13471, 621, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13472, 621, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13473, 621, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13474, 621, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13557, 624, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13475, 621, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13476, 621, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13477, 621, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13561, 624, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13478, 621, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13479, 621, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13480, 621, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13481, 621, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13482, 621, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13483, 621, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13484, 621, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13485, 621, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13486, 621, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13487, 621, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13488, 621, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13489, 621, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13490, 621, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13491, 621, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13492, 621, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13494, 622, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13495, 622, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13496, 622, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13497, 622, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13498, 622, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13499, 622, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13500, 622, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13501, 622, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13502, 622, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13558, 624, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13744, 632, '<p>Укажите код, который вызовет ошибку:</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13503, 622, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13504, 622, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13740, 632, '<p>Выберите вариант ответа, где все методы есть методами словаря dict().</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13505, 622, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13506, 622, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13507, 622, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13508, 622, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13509, 622, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13510, 622, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13511, 622, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13512, 622, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13513, 622, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13514, 622, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13515, 622, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13516, 623, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13517, 623, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13518, 623, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13519, 623, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13520, 623, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13521, 623, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13523, 623, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13524, 623, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13525, 623, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13526, 623, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13527, 623, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13528, 623, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13531, 623, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13562, 625, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13532, 623, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13533, 623, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13534, 623, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13535, 623, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13536, 623, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13537, 623, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13538, 623, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13539, 624, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13540, 624, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13541, 624, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13542, 624, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13543, 624, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13544, 624, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13545, 624, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13546, 624, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13547, 624, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13548, 624, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13549, 624, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13608, 627, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13550, 624, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13551, 624, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13552, 624, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13553, 624, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13554, 624, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13555, 624, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13556, 624, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13559, 624, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13560, 624, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13563, 625, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13564, 625, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13565, 625, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13566, 625, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13567, 625, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13568, 625, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13569, 625, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13570, 625, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13571, 625, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13572, 625, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13573, 625, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13574, 625, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13575, 625, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13576, 625, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13577, 625, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13720, 631, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13578, 625, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13579, 625, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13580, 625, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13581, 625, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13582, 625, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13583, 625, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13584, 625, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13585, 626, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13586, 626, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13587, 626, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13588, 626, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13589, 626, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13590, 626, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13591, 626, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13592, 626, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13593, 626, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13594, 626, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13595, 626, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13596, 626, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13597, 626, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13598, 626, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13599, 626, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13600, 626, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13601, 626, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13602, 626, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13603, 626, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13604, 626, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13605, 626, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13606, 626, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13609, 627, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13610, 627, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13611, 627, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13612, 627, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13613, 627, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13614, 627, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13615, 627, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13616, 627, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13617, 627, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13618, 627, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13644, 628, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13646, 628, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13741, 632, '<p>Для чего используется конструкция try/except?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13619, 627, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13620, 627, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13621, 627, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13622, 627, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13623, 627, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13624, 627, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13625, 627, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13626, 627, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13627, 627, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13628, 627, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13629, 627, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13630, 627, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13631, 628, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13632, 628, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13633, 628, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13634, 628, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13635, 628, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13636, 628, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13637, 628, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13638, 628, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13639, 628, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13640, 628, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13641, 628, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13642, 628, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13643, 628, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13672, 629, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13645, 628, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13739, 632, '<p>Какое из выражений выбросит исключение TypeError</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13647, 628, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13648, 628, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13649, 628, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13650, 628, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13651, 628, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13652, 628, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13653, 628, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13654, 629, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13655, 629, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13656, 629, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13657, 629, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13658, 629, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13659, 629, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13660, 629, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13661, 629, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13662, 629, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13663, 629, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13664, 629, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13721, 631, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13665, 629, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13666, 629, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13667, 629, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13668, 629, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13669, 629, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13670, 629, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13671, 629, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13738, 632, '<p>Что выведет id(1)</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13673, 629, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13674, 629, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13742, 632, '<p>Какие встроенные структуры данных существуют в python?</p>', 'Python', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13675, 629, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13676, 629, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13677, 630, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13678, 630, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13679, 630, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13680, 630, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13681, 630, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13682, 630, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13683, 630, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13684, 630, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13685, 630, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13686, 630, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13687, 630, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13688, 630, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13689, 630, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13690, 630, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13691, 630, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13692, 630, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13693, 630, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13694, 630, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13695, 630, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13696, 630, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13697, 630, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13698, 630, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13699, 630, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13700, 631, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13701, 631, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13702, 631, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13703, 631, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13704, 631, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13743, 632, '<p>Выберите правильный вариант методов списка (list()):</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13705, 631, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13706, 631, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13707, 631, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13708, 631, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13709, 631, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13710, 631, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13711, 631, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13712, 631, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13713, 631, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13714, 631, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13715, 631, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13716, 631, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13717, 631, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13718, 631, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13719, 631, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13722, 631, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13723, 632, '<p>Как запустить скрипт python из терминала?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13724, 632, '<p>Выберите правильный вариант, как установить заголовки в ответе?</p><br><pre><code class="language-python">response = Response(...)<br><_______><br>return response</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13725, 632, '<p>Что покажет этот код?</p><br><pre><code class="language-python">python<br>for i in range(5):<br>if i % 2 == 0:<br>continue<br>print(i)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13726, 632, '<p>Какую ORM чаще выбирают вместе с фреймворком Flask?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13727, 632, '<p>Сколько библиотек можно импортировать в один проект?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13728, 632, '<p>Как объявляется переменная в Python?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13729, 632, '<p>Как получить объект User с id=1 из БД через SQLAlchemy?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13730, 632, '<p>Как добавить/изменить в словарь данные?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13731, 632, '<p>Выберите правильный вариант</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13732, 632, '<p>Как удалить объект из списка по индексу (чтобы изменилась длина списка)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13733, 632, '<p>Каким способом можно получить текущего пользователя во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13734, 632, '<p>Как удалить все объекты None из списка?</p><br><pre><code class="language-python">list_object = [None, 1, None]</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13735, 632, '<p>Для чего используется "session" (из пакета flask)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13736, 632, '<p>Какой будет результат выполнения данной функции:</p><br><pre><code class="language-python">all([True, False, True])?</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13737, 632, '<p>Каким может быть значение а чтобы условие if not a было истинным</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13746, 632, '<p>Какая структура данных является неизменной? (immutableUnmutable)</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13747, 632, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>x = True<br>y = False<br>z = False<br>if not x or y:<br>print(1)<br>elif not x or not y and z:<br>print(2)<br>elif not x or y or not y and x:<br>print(3)<br>else:<br>print(4)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13748, 632, '<p>Для чего используется continue в циклах? Выберите верное утверждение</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13749, 632, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>name = "snow storm"<br>print("%s" % name[6:8])</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13750, 632, '<p>Что такое "pass"в Python''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13751, 632, '<p>Что выведет следующий фрагмент кода?</p><br><pre><code class="language-python">python<br>x = 4.5<br>y = 2<br>print(x // y)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13752, 632, '<p>Укажите вариант с ошибкой:</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13753, 632, '<p>Что выведет следующий фрагмент кода?</p><br><pre><code class="language-python">python<br>a = [1,2,3,None,(),[],]<br>print(len(a))</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13754, 632, '<p>Для чего используется Garbage Collector в Python''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13755, 632, '<p>Что делает следующий код?</p><br><pre><code class="language-python">def a(b, c, d): pass</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13756, 632, '<p>Что такое веб-фреймворк (на примере Flask/Django)?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13757, 632, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>kvps  = {"user","bill", "password","hillary"}<br>print(kvps[''password''])</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13758, 632, '<p>Что такое Jinja?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13759, 632, '<p>Что выведет следующий код?</p><br><pre><code class="language-python">python<br>d = lambda p: p * 2<br>t = lambda p: p * 3<br>x = 2<br>x = d(x)<br>x = t(x)<br>x = d(x)<br>print(x)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13760, 632, '<p>Как установить актуальную версию Flask?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13761, 632, '<p>Как получить данные от пользователя?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13762, 632, '<p>Как получить объект формы во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13763, 632, '<p>Какая библиотека отвечает за время?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13764, 632, '<p>Какая функция выводит что-либо в консоль?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13765, 632, '<p>Выберите вариант, чтобы правильно дополнить код таким образом, чтобы функция перенаправления пользователя.</p><br><pre><code class="language-python">from flask import Flask, redirect, request<br>from app import app<br><br>@app.route(''/redirect/'')<br>def redirect_page():<br><________></code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13766, 632, '<p>Что такое Blueprint во Flask''e?</p>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13767, 632, '<p>Что будет показано в результате?</p><br><pre><code class="language-python">python<br>name = "John"<br>print(''Hi, %s'' % name)</code></pre>', 'Python', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13768, 633, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13769, 633, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13770, 633, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13771, 633, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13772, 633, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13773, 633, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13774, 633, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13775, 633, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13776, 633, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13777, 633, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13778, 633, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13779, 633, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13807, 634, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13918, 639, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13780, 633, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13781, 633, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13782, 633, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13783, 633, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13784, 633, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13785, 633, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13786, 633, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13787, 633, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13788, 633, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13789, 633, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13790, 633, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13791, 634, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13792, 634, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13793, 634, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13794, 634, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13795, 634, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13796, 634, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13797, 634, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13798, 634, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13968, 642, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13799, 634, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13800, 634, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13801, 634, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13802, 634, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13803, 634, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13804, 634, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13805, 634, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13806, 634, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13835, 635, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13808, 634, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13809, 634, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13810, 634, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13811, 634, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13812, 634, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13813, 634, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13814, 635, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13815, 635, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13816, 635, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13817, 635, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13818, 635, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13819, 635, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13820, 635, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13821, 635, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13822, 635, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13823, 635, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13824, 635, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13852, 636, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13853, 636, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13825, 635, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13826, 635, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13827, 635, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13828, 635, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13829, 635, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13830, 635, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13831, 635, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13832, 635, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13833, 635, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13834, 635, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13836, 635, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13837, 636, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13838, 636, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13839, 636, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13840, 636, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13841, 636, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13842, 636, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13843, 636, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13844, 636, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13845, 636, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13846, 636, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13847, 636, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13848, 636, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13849, 636, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13850, 636, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13851, 636, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13969, 642, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13854, 636, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13855, 636, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13856, 636, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13857, 636, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13858, 636, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13859, 636, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13860, 637, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13861, 637, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13862, 637, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13863, 637, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13864, 637, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13865, 637, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13866, 637, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13867, 637, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13868, 637, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13869, 637, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13870, 637, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13871, 637, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13872, 637, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13873, 637, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13874, 637, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13875, 637, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13876, 637, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13877, 637, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13878, 637, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13879, 637, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13880, 637, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13881, 637, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13882, 637, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14198, 652, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13883, 638, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13884, 638, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13885, 638, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13886, 638, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13887, 638, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13888, 638, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13889, 638, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13919, 639, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13920, 639, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13890, 638, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13891, 638, '<p><strong>Для чего нужны порталы в React?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13892, 638, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13893, 638, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13894, 638, '<p><strong>Что такое перегрузка функции?</strong></p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13895, 638, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 'React', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13896, 638, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13897, 638, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 'React', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13898, 639, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13899, 639, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13900, 639, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13901, 639, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13902, 639, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13903, 639, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13904, 639, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13905, 639, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13906, 639, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13907, 639, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13937, 640, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13908, 639, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13909, 639, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13910, 639, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13911, 639, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13912, 639, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13913, 639, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13914, 639, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13915, 639, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13916, 639, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14038, 645, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13917, 639, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13921, 640, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13922, 640, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13923, 640, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13924, 640, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13925, 640, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13926, 640, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13927, 640, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13928, 640, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13929, 640, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13930, 640, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13931, 640, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13932, 640, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13933, 640, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13934, 640, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13935, 640, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13936, 640, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13938, 640, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13939, 640, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13940, 640, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13941, 640, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13942, 640, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13943, 640, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13944, 641, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13945, 641, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13946, 641, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13947, 641, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13948, 641, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13949, 641, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13950, 641, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13951, 641, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13952, 641, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13953, 641, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13954, 641, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13955, 641, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13956, 641, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13957, 641, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13958, 641, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13959, 641, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13960, 641, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13961, 641, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13962, 641, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13963, 641, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13964, 641, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13965, 641, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13966, 641, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13967, 642, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13970, 642, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13971, 642, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13972, 642, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13973, 642, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13974, 642, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13975, 642, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13976, 642, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13977, 642, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14005, 643, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13978, 642, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13979, 642, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13980, 642, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13981, 642, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13982, 642, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13983, 642, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13984, 642, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13985, 642, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13986, 642, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13987, 642, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13988, 642, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13989, 642, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13990, 643, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13991, 643, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13992, 643, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13993, 643, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13994, 643, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13995, 643, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13996, 643, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14199, 652, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13997, 643, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (13998, 643, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (13999, 643, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14000, 643, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14001, 643, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14002, 643, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14003, 643, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14004, 643, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14035, 644, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14006, 643, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14153, 650, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14007, 643, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14008, 643, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14009, 643, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14010, 643, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14011, 643, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14012, 643, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14013, 644, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14014, 644, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14015, 644, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14016, 644, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14017, 644, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14018, 644, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14019, 644, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14020, 644, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14021, 644, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14022, 644, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14023, 644, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14024, 644, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14025, 644, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14026, 644, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14027, 644, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14028, 644, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14029, 644, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14030, 644, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14031, 644, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14032, 644, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14033, 644, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14034, 644, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14036, 645, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14037, 645, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14039, 645, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14040, 645, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14041, 645, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14042, 645, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14043, 645, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14044, 645, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14045, 645, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14046, 645, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14047, 645, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14048, 645, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14049, 645, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14050, 645, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14051, 645, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14052, 645, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14083, 647, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14084, 647, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14053, 645, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14054, 645, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14055, 645, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14056, 645, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14057, 645, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14058, 645, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14059, 646, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14060, 646, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14061, 646, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14062, 646, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14063, 646, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14064, 646, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14065, 646, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14210, 652, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14066, 646, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14067, 646, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14068, 646, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14069, 646, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14070, 646, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14071, 646, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14072, 646, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14073, 646, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14074, 646, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14075, 646, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14076, 646, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14077, 646, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14078, 646, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14079, 646, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14080, 646, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14081, 646, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14082, 647, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14085, 647, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14086, 647, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14087, 647, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14088, 647, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14089, 647, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14090, 647, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14091, 647, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14092, 647, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14120, 648, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14093, 647, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14094, 647, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14095, 647, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14096, 647, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14097, 647, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14098, 647, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14099, 647, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14100, 647, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14101, 647, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14102, 647, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14103, 647, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14104, 647, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14105, 648, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14106, 648, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14107, 648, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14108, 648, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14109, 648, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14110, 648, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14111, 648, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14200, 652, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14112, 648, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14113, 648, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14114, 648, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14115, 648, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14116, 648, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14117, 648, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14118, 648, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14119, 648, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14150, 649, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14121, 648, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14211, 652, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14122, 648, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14123, 648, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14124, 648, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14125, 648, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14126, 648, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14127, 648, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14128, 649, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14129, 649, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14130, 649, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14131, 649, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14132, 649, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14133, 649, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14134, 649, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14135, 649, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14136, 649, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14137, 649, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14138, 649, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14139, 649, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14140, 649, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14141, 649, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14142, 649, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14143, 649, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14144, 649, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14145, 649, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14146, 649, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14147, 649, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14148, 649, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14149, 649, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14151, 650, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14152, 650, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14154, 650, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14155, 650, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14156, 650, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14157, 650, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14158, 650, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14159, 650, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14160, 650, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14161, 650, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14162, 650, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14163, 650, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14164, 650, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14165, 650, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14166, 650, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14167, 650, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14197, 652, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14168, 650, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14169, 650, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14170, 650, '<p>В каких командах можно использовать ключевое слово limit?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14171, 650, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14172, 650, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14173, 650, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14174, 651, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14175, 651, '<p>Что является лучшим определением для завершения тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14176, 651, '<p>______ будет проводиться людьми на стороне клиента</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14177, 651, '<p>Что из перечисленного являются задачами тестировщика</p>', 'Теория тестирования', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14178, 651, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14179, 651, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14180, 651, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14181, 651, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14182, 651, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14183, 651, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14184, 651, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14185, 651, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14186, 651, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14187, 651, '<p>Как вывести все строки из таблицы table?</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14188, 651, '<p>Выберите верно составленные запросы:</p>', 'SQL', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14189, 651, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14190, 651, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14191, 651, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14192, 651, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14193, 651, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14194, 651, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14195, 651, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14196, 651, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14201, 652, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14202, 652, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14203, 652, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14204, 652, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14205, 652, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14206, 652, '<p>Если ожидаемый результат не указан:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14207, 652, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14208, 652, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14209, 652, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 'Теория тестирования', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14212, 652, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14213, 652, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14214, 652, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 'SQL', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14215, 652, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14216, 652, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14217, 652, '<p>Как применить патч в Git?</p>', 'Git', 'SINGLE', false);
INSERT INTO public.candidate_questions VALUES (14218, 652, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 'Git', 'MULTIPLE', false);
INSERT INTO public.candidate_questions VALUES (14219, 652, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 'Git', 'SINGLE', false);


--
-- Data for Name: candidate_tests; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.candidate_tests VALUES (2, 1, 'dc0WgLpRTrLFTI2LKzeFqIcR1ZVVJkFm', 'Описание теста', NULL, 'Ван ваныч', NULL, NULL, 'NEW', 1800, '2020-10-09 19:31:00.218837', 2, 'MIDDLE', 15, NULL, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (1, 1, 'xlHWcyWAZ6drbdX6oNRTI1iUbIYlDiAQ', 'Описание теста', NULL, 'Левина Александра', '2020-10-12 12:15:19.879861', '2020-10-12 12:16:12.936901', 'FINISHED', 1800, '2020-10-09 14:30:28.598798', 2, 'MIDDLE', 15, 0, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (3, 1, 'TNcc2BoF2Dum4UrMMZ2oaVUo8h0iorUY', 'Описание теста', NULL, 'sdf', '2020-10-12 18:41:13.732444', '2020-10-12 18:42:08.833604', 'FINISHED', 1800, '2020-10-09 20:28:35.045924', 2, 'MIDDLE', 15, 0, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (19, 12, '4saNCPdoeKsvygWIIWvRQ5qKimqvSMTp', '1', NULL, 'Последний тест', '2020-11-14 21:48:52.409208', '2020-11-14 21:49:45.534858', 'FINISHED', 60, '2020-11-14 21:48:44.887094', 2, 'JUNIOR', 1, 0, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (4, 1, 'MouYQumE1cFObMQFd3USNtOOIP9ghCp4', 'Описание теста', NULL, 'Фамилия Имя Отчество', '2020-11-14 20:33:53.322634', '2020-11-14 20:49:41.621181', 'FINISHED', 1800, '2020-11-14 20:32:56.382219', 2, 'MIDDLE', 15, 0, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (5, 1, 'AwnjzRIMpxEB549qfHHGMIHhXoDfl31K', 'Описание теста', NULL, '1; 1=1', NULL, NULL, 'NEW', 1800, '2020-11-14 20:58:54.219281', 2, 'MIDDLE', 15, NULL, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (16, 5, 'TwKExDyYanPPNlZLvhvgyJJ4SvPBWQ0N', 'блабла', NULL, '123', NULL, NULL, 'NEW', 3600, '2020-11-14 21:19:30.983163', 2, 'MIDDLE', 5, NULL, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (28, 11, 'Z56xB9fLEzeLatW7RN1FJ88SHA8W4hGx', '5', NULL, 'Тест варианта ответа', '2020-11-23 15:00:41.046989', '2020-11-23 15:01:03.627033', 'FINISHED', 300, '2020-11-23 15:00:35.198626', 2, 'JUNIOR', 5, 1, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (6, 2, 'rEph8kEinoMkrrljfLsXpw04bimct7Sw', 'Описание теста2', NULL, 'оооооооооооооооооооооооооооооооооооооооооооооооооооооооооооооооооооооооочень длинное фиоооооооооооооооооооооооооооооооооооооооооооооооооооооооооооооооооооо', '2020-11-14 21:00:27.913641', '2020-11-14 21:30:28.635749', 'FINISHED', 1800, '2020-11-14 20:59:53.313997', 2, 'JUNIOR', 15, 0, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (20, 12, 'tnLRvX7LQOrALD6ibbLLWlQfFWuhv3P8', '1', NULL, 'не отвеченный тест', '2020-11-14 21:50:39.395603', '2020-11-14 21:51:43.676633', 'FINISHED', 60, '2020-11-14 21:50:33.136321', 2, 'JUNIOR', 1, 0, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (18, 1, 'G2EFyJLJTHZlf87G8ATS12b59ySJHT0B', 'Описание теста', NULL, 'Я отвечаю на первый вопрос правильно', '2020-11-14 21:44:40.197577', '2020-11-14 21:45:11.565061', 'FINISHED', 1800, '2020-11-14 21:44:32.138809', 2, 'MIDDLE', 15, 0, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (21, 1, 'EYaAsB8BsHPBzavWqtQoFTXUrLC7KXfm', 'Описание теста', NULL, 'тест', NULL, NULL, 'NEW', 1800, '2020-11-14 21:57:14.374391', 2, 'MIDDLE', 15, NULL, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (36, 20, 'xLL0AzIL6pZhWAt0t4EdC8lmR3inl6ay', '', NULL, 'Пак Роман', '2020-11-26 12:25:12.771561', '2020-11-26 13:03:05.22474', 'FINISHED', 6000, '2020-11-25 20:24:05.079188', 2, 'JUNIOR', 50, 21, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (29, 1, 'koRedrXqa4nuBQTucF0kVDyJDouGq1KD', 'Описание теста', NULL, 'Пупкин 2', '2020-11-24 14:40:47.074081', '2020-11-24 14:42:41.160982', 'FINISHED', 1800, '2020-11-24 14:40:19.695978', 2, 'MIDDLE', 15, 3, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (24, 4, 'QANi2MZa7SPWcW2PEh2hvwOfPGitBY9E', 'Описание', NULL, 'Фамилия Имя Отчество', NULL, NULL, 'NEW', 2100, '2020-11-15 13:52:08.789262', 2, 'MIDDLE', 30, NULL, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (25, 11, 'lFwlSMITwLGpUkifzCyhEVHGvtLeW6Pt', '5', NULL, 'Отвечаю на первый вопрос 1 вариант, на второй вопрос 2 варианта', '2020-11-20 16:23:05.278618', '2020-11-20 16:23:37.48368', 'FINISHED', 300, '2020-11-20 16:22:39.066074', 2, 'JUNIOR', 5, 0, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (30, 15, 'RAOHaBSrMJ7BIx6naBYOqwk9dY4Itqu8', '', NULL, 'тест', '2020-11-24 19:11:39.136663', '2020-11-24 19:17:24.247842', 'FINISHED', 3600, '2020-11-24 19:10:27.04188', 2, 'SENIOR', 50, 8, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (17, 5, 'ZAyF6S3vxQ0a68OmsQxroi2o2VZ18kXj', 'блабла', NULL, '123', '2020-11-20 16:25:34.626362', '2020-11-20 16:25:45.174266', 'FINISHED', 3600, '2020-11-14 21:21:54.375787', 2, 'MIDDLE', 5, 0, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (26, 1, 'dLKLlgvUmfcOyja91QDqH7GsbCQYyQOz', 'Описание теста', NULL, 'тест', NULL, NULL, 'NEW', 1800, '2020-11-20 17:22:40.075748', 2, 'MIDDLE', 15, NULL, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (27, 1, '6HDBSvvV3xGWXPWX5RwUPWocdMlnxqmg', 'Описание теста', NULL, 'Пупкин', NULL, NULL, 'NEW', 1800, '2020-11-23 13:19:03.836123', 2, 'MIDDLE', 15, NULL, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (34, 19, 'HvFCChSub0ckx8aJSv8MvvK8OdProDQQ', '', 'Тест для Сани', 'Vasya Pupkin', NULL, NULL, 'NEW', 6000, '2020-11-25 19:32:01.416495', 2, 'SENIOR', 50, NULL, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (39, 20, 'TiBou6qQEviPOU0tDcpyW7dIAyFDNLjm', '', NULL, 'Varvara Алексеевна', '2020-12-03 15:22:13.225439', '2020-12-03 16:50:55.861331', 'FINISHED', 6000, '2020-12-02 17:19:38.138704', 2, 'JUNIOR', 50, 36, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (35, 19, 'k5bxPZFn1II6jOt03rSUFbhFVS2Nm7yM', '', NULL, 'Пупкин 3', '2020-11-25 20:08:07.408604', '2020-11-25 20:10:02.495996', 'FINISHED', 6000, '2020-11-25 20:07:44.921758', 2, 'SENIOR', 50, 9, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (37, 20, 'VJ376l1HAVx6QL4fZce38rFXl8MmEeoA', '', NULL, 'Диканский Александр Олегович', '2020-11-28 04:39:18.569601', '2020-11-28 05:53:33.277607', 'FINISHED', 6000, '2020-11-26 18:16:12.586207', 2, 'JUNIOR', 50, 36, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (38, 21, 'jDl8Vr5QZkp6eFO58YN0BB5yXYxFSnY4', '', NULL, 'Диканский Александр Олегович 2', '2020-11-30 03:11:56.543235', '2020-11-30 04:07:19.993719', 'FINISHED', 3600, '2020-11-26 18:18:37.494209', 2, 'MIDDLE', 30, 18, false, NULL, false, NULL, false);
INSERT INTO public.candidate_tests VALUES (42, 24, 'ZVxyOIAnIrqeAv3RNWFB1ZEDK0c97mkx', '', NULL, 'Ташлыков Андрей 2', NULL, NULL, 'NEW', 1800, '2020-12-03 16:09:33.394158', 2, 'SENIOR', 15, NULL, false, 'Java тест Senior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (41, 21, '12DQbc5QALC0hJ5O0YHfeBVffYnp4hHN', '', NULL, 'Ташлыков Андрей ', '2020-12-07 07:47:51.974163', '2020-12-07 08:38:56.550083', 'FINISHED', 3600, '2020-12-03 16:07:07.643159', 2, 'MIDDLE', 30, 19, false, 'Java тест Middle', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (43, 20, 'Oyu4zDXX4NQdN10d12x7gVCKKzH3Iyhg', '', NULL, 'Mironenka Mikita', '2020-12-07 18:08:24.107449', '2020-12-07 19:10:30.132604', 'FINISHED', 6000, '2020-12-03 16:11:52.160732', 2, 'JUNIOR', 50, 32, true, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (44, 21, 'qKWs2HaiZA5DWsJyS6sUPCpT1SODAu8A', '', NULL, 'Mironenka Mikita2', '2020-12-07 22:31:03.640987', '2020-12-07 23:30:42.307948', 'FINISHED', 3600, '2020-12-03 16:12:36.912113', 2, 'MIDDLE', 30, 13, false, 'Java тест Middle', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (50, 20, 'ghrMhcbMpuzcEN9QnsTvskhLlaVGH1Jp', '', NULL, 'Kirill.kiselev', '2020-12-09 13:28:52.804637', '2020-12-09 14:32:48.556591', 'FINISHED', 6000, '2020-12-09 13:27:29.928643', 2, 'JUNIOR', 50, 11, false, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (51, 20, '377tTjit1bxbk8N2TUpawZfTipfRusqn', '', NULL, 'Зарипов Динар', '2020-12-09 19:58:45.690883', '2020-12-09 20:28:43.137043', 'FINISHED', 6000, '2020-12-09 14:27:19.318388', 2, 'JUNIOR', 50, 34, true, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (49, 20, 'UbhlQeGcq8sACOrhsG7Ps78EsCCPqBpY', '', NULL, 'Бердников Владимир Александрович', '2020-12-09 14:30:39.247635', '2020-12-09 16:09:18.62084', 'FINISHED', 6000, '2020-12-09 12:05:13.46507', 2, 'JUNIOR', 50, 26, true, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (52, 20, 'NAwUyI8MFXGeCfGprC94yw6xJ8X5fwmr', '', NULL, 'Arsakaev Muslim', '2020-12-09 16:13:29.00203', '2020-12-09 17:49:01.555595', 'FINISHED', 6000, '2020-12-09 15:34:27.142912', 2, 'JUNIOR', 50, 23, true, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (53, 20, 'xaycbMZYjWTYPG454ZXGbGFX31OLAzl5', '', NULL, 'Анфаник Андрей', '2020-12-09 17:20:37.512688', '2020-12-09 17:55:44.514737', 'FINISHED', 6000, '2020-12-09 17:14:04.076114', 2, 'JUNIOR', 50, 31, true, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (62, 21, '120ojjOwg4G1jbJhpg0iBvHioSuVwB3C', '', NULL, 'Дружинин Арсений', '2020-12-23 13:32:24.709114', '2020-12-23 13:53:04.330071', 'FINISHED', 3600, '2020-12-22 12:07:58.767566', 2, 'MIDDLE', 30, 16, false, 'Java тест Middle', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (54, 21, 'wHLaXdnAOJLUexiemzYletwng1jTAwSl', '', NULL, 'Анфаник Андрей2', '2020-12-09 18:01:06.794', '2020-12-09 18:29:59.874102', 'FINISHED', 3600, '2020-12-09 18:00:26.282895', 2, 'MIDDLE', 30, 18, true, 'Java тест Middle', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (55, 29, 'GC9d14hS1x2omAgKBARmBF3xLzyMHSJd', '', NULL, 'Петров Иван Александрович', NULL, NULL, 'NEW', 1800, '2020-12-11 13:14:31.383801', 17, 'JUNIOR', 15, NULL, false, 'java junior test', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (57, 29, 'IUt4K9PIDBzaPjVeB9R77ML3BCmJHuqo', '', NULL, 'ермакова екатерина алексеевна', NULL, NULL, 'NEW', 1800, '2020-12-11 13:23:31.744692', 17, 'JUNIOR', 15, NULL, false, 'java junior test', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (56, 29, 'mSPRiH9WRheuCXiYiw5fKXJdHlamQV2F', '', NULL, 'Петров Иван Александрович', '2020-12-11 13:23:20.270471', '2020-12-11 13:23:43.18721', 'FINISHED', 1800, '2020-12-11 13:22:26.215818', 17, 'JUNIOR', 15, 5, false, 'java junior test', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (640, 96, 'YgvyZlvU4IpkHFHtOaNAeNLUjTaoQ0N1', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:34:37.855', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (59, 30, 'kKrSaGg5zG9ZfLpo63oi2qKWmWg1QFlJ', '', NULL, 'Пупкин 2', NULL, NULL, 'NEW', 1800, '2020-12-11 18:11:51.360705', 2, 'MIDDLE', 15, NULL, false, 'Супер-пупер тест ', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (58, 20, 'XZMEpbRtkexS2rUyfaNEk08FGWiI3mqn', '', NULL, 'Галянов Александр Сергеевич', '2020-12-11 16:56:48.051357', '2020-12-11 17:52:22.551061', 'FINISHED', 6000, '2020-12-11 16:01:16.575371', 2, 'JUNIOR', 50, 25, false, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (61, 20, 'Vbg2nzPovSBpPq43dX8peStSMITT78PB', '', NULL, 'Курин Степан  ', NULL, NULL, 'NEW', 6000, '2020-12-20 17:29:41.991136', 2, 'JUNIOR', 50, NULL, false, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (60, 20, 'YwvG3HkyDnmnDV54m6Jq40I5a2NlRptY', '', NULL, 'Андрющенко Александр', '2020-12-26 20:42:19.180693', '2020-12-26 21:22:00.987112', 'FINISHED', 6000, '2020-12-11 19:03:02.731016', 2, 'JUNIOR', 50, 24, false, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (90, 19, 'LPhW8cP3MnrXKQNB5IDW3bG5p8mtWuYh', '', NULL, 'AAA', '2021-03-29 15:56:36.337178', '2021-03-29 17:36:40.55262', 'FINISHED', 6000, '2021-03-29 15:54:36.240661', 2, 'SENIOR', 50, 0, false, 'Антон', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (91, 19, 'WzGUfN7XTzwmtmtgrnZqXXz1D4drPwSn', '', NULL, 'aaa', NULL, NULL, 'NEW', 6000, '2021-03-29 15:58:42.402656', 2, 'SENIOR', 50, NULL, false, 'Антон', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (72, 36, 'b40QW4hkldxvfRh9qvsaOqs3yf2Ecrbi', '', NULL, 'Иванов Иван Иванович', '2020-12-24 14:17:51.936538', '2020-12-24 14:18:21.711726', 'FINISHED', 900, '2020-12-24 14:17:00.308001', 18, 'MIDDLE', 10, 2, false, 'Java', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (92, 19, '8OwrYOudaMPb7QiallY3IjFRJ0YWnqyh', '', NULL, 'asdsad', NULL, NULL, 'NEW', 6000, '2021-03-29 16:03:46.106804', 2, 'SENIOR', 50, NULL, false, 'Антон', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (86, 42, 'f3sOnQxGGdXw9xte2O8ecXDXkE48x00C', '', NULL, 'Василий Пупкин166', '2021-03-11 20:28:15.842186', '2021-03-11 20:29:06.148517', 'FINISHED', 1800, '2021-03-11 20:27:28.80564', 2, 'SENIOR', 15, 3, false, 'Супер-мега-питонист', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (93, 19, 'kwd4URkXHEYXWhC1m77ctKOt2NYhwDwd', '', NULL, 'A A', NULL, NULL, 'NEW', 6000, '2021-03-29 16:04:41.812769', 2, 'SENIOR', 50, NULL, false, 'Антон', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (80, 40, 'uc2v44xpWhbcbB1tyhA1hRSEeFBvoqfO', '', NULL, 'Пупкин 55', '2021-02-04 13:40:40.432075', '2021-02-04 13:44:14.845692', 'FINISHED', 1800, '2021-02-04 13:40:28.999299', 2, 'JUNIOR', 15, 9, false, 'Тестировщик', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (81, 20, 'rWICFiN84rfuYN0LZMDCHOVnlOO6BTQZ', '', NULL, 'Пупкин55', NULL, NULL, 'NEW', 6000, '2021-03-05 13:38:42.449205', 2, 'JUNIOR', 50, NULL, false, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (82, 19, 'JeFMh5r7G0MBv41LASy7JwbFj9M3OHGo', '', NULL, 'фф', NULL, NULL, 'NEW', 6000, '2021-03-10 11:38:55.812155', 2, 'SENIOR', 50, NULL, false, 'Антон', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (84, 20, '0COYSBBLnVWXo5RVJbiDsSF7Pxbxf8Bz', '', NULL, 'Ivanovich', NULL, NULL, 'NEW', 6000, '2021-03-10 14:54:05.589602', 2, 'JUNIOR', 50, NULL, false, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (85, 19, '3cq5SC3gYQLDnUWazr9ZZaQRufXxjfEB', '', NULL, 'AAAA3', NULL, NULL, 'NEW', 6000, '2021-03-10 14:58:04.566577', 2, 'SENIOR', 50, NULL, false, 'Антон', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (94, 19, 'yOa87VeR7l7vSEgEp6cr2a97YzVCwAga', '', NULL, 'dsf', NULL, NULL, 'NEW', 6000, '2021-03-29 16:07:29.958075', 2, 'SENIOR', 50, NULL, false, 'Антон', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (83, 20, 'DxmIGSg9FC2j45TcFYIobHMhodTLyuvc', '', NULL, 'Крец Владислав', '2021-03-10 17:14:35.374779', '2021-03-10 17:41:56.900813', 'FINISHED', 6000, '2021-03-10 12:12:43.098685', 2, 'JUNIOR', 50, 44, true, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (87, 43, 'fKPsnVk2PDNvDXjopUivzrioCf2kdiG2', '', NULL, 'Пупкин 2021', '2021-03-22 15:41:18.162109', '2021-03-22 15:42:24.264616', 'FINISHED', 1800, '2021-03-22 15:40:56.714917', 2, 'SENIOR', 15, 1, false, 'Супер синьор', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (79, 20, 'PsRghZwUEhRW7HCnirISApbCINpiIh73', '', NULL, 'Деев Михаил Александрович', '2021-01-18 08:29:13.04895', '2021-01-18 09:29:01.969764', 'FINISHED', 6000, '2021-01-15 16:14:35.824248', 2, 'JUNIOR', 50, 25, false, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (88, 19, 'pktdFCeU4zflCgBCh1YUCnhQK6SaYDKt', '', NULL, 'Test test', NULL, NULL, 'NEW', 6000, '2021-03-29 15:41:01.709701', 2, 'SENIOR', 50, NULL, false, 'Антон', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (89, 19, 'NFIBuqMEWXwcN5IH9AcJZ7PLgTYrdHr5', '', NULL, 'asdsad', NULL, NULL, 'NEW', 6000, '2021-03-29 15:42:29.494959', 2, 'SENIOR', 50, NULL, false, 'Антон', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (95, 21, 'pU1Ip6oQE4eXUNYjXSEiQvkgev7yaBcL', '', NULL, 'gfh', NULL, NULL, 'NEW', 3600, '2021-03-29 16:10:16.819336', 2, 'MIDDLE', 30, NULL, false, 'Java тест Middle', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (96, 19, 'SAHL4KfHwCC6JXUjviBPYiUPUSlvpVOu', '', NULL, 'aaa', NULL, NULL, 'NEW', 6000, '2021-03-29 16:13:52.745663', 2, 'SENIOR', 50, NULL, false, 'Антон', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (97, 20, 'UxjLP6xFgf8hDA4cwaKvgzSEheeDnrMi', '', NULL, ' a a a', '2021-04-03 10:18:57.13783', '2021-04-03 11:59:00.892884', 'FINISHED', 6000, '2021-03-29 16:14:03.338034', 2, 'JUNIOR', 50, 1, false, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (98, 19, 'fZT3t5fN1vEnqN2toa4p4JBjXj34SR0X', '', NULL, 'Антоний', '2021-04-04 17:37:01.149894', '2021-04-04 19:17:04.206093', 'FINISHED', 6000, '2021-04-04 17:36:45.471547', 2, 'SENIOR', 50, 2, true, 'Антон', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (102, 19, 'AQSYMPsvYGHGR3Rt4vvD9HGDjNGCTU4B', '', NULL, 'яя', NULL, NULL, 'NEW', 6000, '2021-04-16 12:19:04.370071', 2, 'SENIOR', 50, NULL, false, 'Антон', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (100, 21, 'Nv5gRDUx1gAlpyvs75GtVaWCu6ipKI9E', '', NULL, 'о', '2021-04-09 15:37:05.22662', '2021-04-09 16:37:07.667532', 'FINISHED', 3600, '2021-04-09 15:36:57.951202', 2, 'MIDDLE', 30, 0, false, 'Java тест Middle', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (99, 20, 'JOzezM5BUhVgNbKz3LYCUq7vSAp0Wpzj', '', NULL, 'Александр Андрющенко', '2021-04-09 14:00:55.518913', '2021-04-09 15:20:31.469823', 'FINISHED', 6000, '2021-04-07 18:40:27.286389', 2, 'JUNIOR', 50, 36, false, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (103, 19, '9AfRsnRUmyvTAdekh4Yjw7eQbW4yVwBL', '', NULL, 'выффывф', NULL, NULL, 'NEW', 6000, '2021-04-16 13:23:08.680668', 2, 'SENIOR', 50, NULL, false, 'Антон', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (101, 44, 'zfvK67M9p1gYFxAzMGdZYmf1MgDxawWe', '', NULL, 'Фамилия Имя Отчество', '2021-04-09 16:35:46.974029', '2021-04-09 17:05:47.721673', 'FINISHED', 1800, '2021-04-09 16:35:35.017023', 2, 'JUNIOR', 15, 0, false, 'Тест', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (118, 50, 'nJpjgP2bD3QkWPIV5KLPMOnbfYlN4f62', '', NULL, 'Петрова Яна', NULL, NULL, 'NEW', 3600, '2021-11-08 20:09:57.227068', 2, 'JUNIOR', 30, NULL, false, 'QA TestLab', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (120, 50, 'JBqV3y8nYYiRoC2d99TnhUZYZ2PuCuxR', '', NULL, 'Зирина Кристина Ильгизаровна', NULL, NULL, 'NEW', 3600, '2021-11-08 20:11:22.008885', 2, 'JUNIOR', 30, NULL, false, 'QA TestLab', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (121, 50, '7PTSOgNdbTEgogD5SYCTN60VVUn6aaK1', '', NULL, 'Ковалева Анастасия', NULL, NULL, 'NEW', 3600, '2021-11-08 20:14:07.463416', 2, 'JUNIOR', 30, NULL, false, 'QA TestLab', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (105, 20, 'i3fwKnzpoEsqvuMCax4QIJAjX4tg3lAx', '', NULL, 'Максимов Владимир', '2021-07-21 22:20:27.771824', '2021-07-21 22:31:37.167539', 'FINISHED', 6000, '2021-07-21 22:19:56.306106', 2, 'JUNIOR', 50, 8, false, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (104, 20, 'LzQHTSONjdYBLTrjJu42vRO014YuraNy', '', NULL, 'Владимир Максимов', '2021-07-21 19:14:38.403386', '2021-07-21 20:54:41.046838', 'FINISHED', 6000, '2021-07-21 19:14:24.490799', 2, 'JUNIOR', 50, 0, false, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (123, 50, 'GLxSkZm572zsTH9PB2HX4W646dYzpfEW', '', NULL, 'Сташевский Александр', NULL, NULL, 'NEW', 3600, '2021-11-08 20:21:17.613128', 2, 'JUNIOR', 30, NULL, false, 'QA TestLab', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (106, 45, 'P6hATcDWosjALFdVD4KT2CHBoaYr6AWt', '', NULL, 'Маск', '2021-11-02 21:08:08.52073', '2021-11-02 21:09:45.83649', 'FINISHED', 3600, '2021-11-02 21:07:38.517162', 2, 'MIDDLE', 30, 3, false, 'Java 1', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (107, 42, 'Y9oAKRzlK7n8OUG8Hgury9u52cJV5Y2I', '', NULL, 'Вова Питонист', '2021-11-02 21:09:22.343635', '2021-11-02 21:10:44.028773', 'FINISHED', 1800, '2021-11-02 21:09:14.918817', 2, 'SENIOR', 15, 2, true, 'Супер-мега-питонист', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (116, 50, 'BEChKH7CVuQYfYgl8Nbd1RNMdrWcK1L5', '', NULL, 'Нуртазин Ильяс Жасланович', '2021-11-08 19:26:13.804361', '2021-11-08 20:21:20.860094', 'FINISHED', 3600, '2021-11-08 09:26:27.228561', 2, 'JUNIOR', 30, 26, false, 'QA TestLab', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (125, 20, 'fajIaDwVNHG83d14Z8BF9dFpmGdywjou', '', NULL, 'Test Java Junior', '2022-01-19 21:45:26.027935', '2022-01-19 23:25:29.051364', 'FINISHED', 6000, '2022-01-18 12:33:41.524571', 2, 'JUNIOR', 50, 0, true, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (136, 55, 'sDSyjiLVhVHAuz8cCfG6tUB3VQc2NSyI', '', NULL, 'Зарубина Юлия', '2022-06-02 16:58:28.810523', '2022-06-02 17:16:23.289146', 'FINISHED', 1800, '2022-05-30 17:12:33.167314', 40, NULL, 15, 8, false, 'Зарубина Юлия', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (109, 47, 'A7IyXH2U3U09Dq0zjgeMZZFEUbIeMt2D', '', NULL, 'Вова пхп', '2021-11-02 21:12:37.069337', '2021-11-02 21:42:38.491235', 'FINISHED', 1800, '2021-11-02 21:12:25.645835', 2, 'JUNIOR', 15, 0, true, 'пхп джуниор', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (119, 50, 'FuBNm8nkP2CGW6uN8QAFYw8L936P9ohN', '', NULL, 'Дмитриев Сергей', '2021-11-09 17:01:06.573807', '2021-11-09 18:00:57.92759', 'FINISHED', 3600, '2021-11-08 20:10:31.22243', 2, 'JUNIOR', 30, 14, false, 'QA TestLab', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (291, 71, 'kbCFavzNNbgV3QT0TdqAQc8UJeAL0cSt', '', NULL, 'Обухов Никита ', NULL, NULL, 'NEW', 2700, '2023-04-18 12:48:09.396597', 40, NULL, 23, NULL, false, 'Тест Java', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (131, 53, '7DOJ8OVGUcDOExUbAXf0ISNlgfbvKDEp', '', NULL, 'Опа Опа Опа', '2022-04-02 06:24:11.912759', '2022-04-02 06:27:41.241243', 'FINISHED', 1800, '2022-04-02 06:20:30.828475', 50, 'SENIOR', 15, 1, false, 'Java', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (110, 48, 'zTRGsQW24lSiPO5lFHRtX9gNAHab2802', '', NULL, 'Иванов Иван', '2021-11-03 11:07:50.878578', '2021-11-03 11:18:02.985608', 'FINISHED', 1800, '2021-11-03 11:07:41.715812', 2, 'JUNIOR', 15, 3, false, 'Максим sql', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (126, 21, 'WGmwldYdYJvb7iONujRHktA1Zc2Cd8Pr', '', NULL, 'Test Java Middle', '2022-01-27 20:03:43.429178', '2022-01-27 21:03:46.00782', 'FINISHED', 3600, '2022-01-18 12:34:23.845062', 2, 'MIDDLE', 30, 4, true, 'Java тест Middle', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (122, 50, 'tS3y43ecRtkvxw6jS3LzH8CotiPIhpSf', '', NULL, 'Тимофеева Анна', '2021-11-09 20:40:34.873659', '2021-11-09 21:08:54.816206', 'FINISHED', 3600, '2021-11-08 20:16:48.003253', 2, 'JUNIOR', 30, 21, false, 'QA TestLab', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (111, 49, 'kdWPAahTsrq90FhNAkGhzIM9TeeiEbG8', '', NULL, 'Шерова', '2021-11-03 11:55:33.603195', '2021-11-03 12:07:53.274689', 'FINISHED', 3600, '2021-11-03 11:54:44.363562', 2, 'JUNIOR', 30, 23, false, 'тест', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (108, 46, 'IB38UWTHOrygnSs2SkyipGbL8PfUSSJO', '', NULL, 'Маск тестер', '2021-11-02 21:12:10.023088', '2021-11-02 21:42:13.491155', 'FINISHED', 1800, '2021-11-02 21:12:02.900233', 2, 'MIDDLE', 15, 0, false, 'Тестирование Маск', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (112, 50, 'm9cEyRa7jwRMlma8fv9N2EeyyFIgz1NJ', '', NULL, 'Пестрецова Анна Петровна', NULL, NULL, 'NEW', 3600, '2021-11-08 09:13:58.573833', 2, 'JUNIOR', 30, NULL, false, 'QA TestLab', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (113, 50, 'Aq2tYFJd1ZnPhsCsBsMZ6f3DZCEHvKpe', '', NULL, 'Лихолат Елизавета Геннадьевна', NULL, NULL, 'NEW', 3600, '2021-11-08 09:15:50.952515', 2, 'JUNIOR', 30, NULL, false, 'QA TestLab', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (114, 50, '6Bdk3rdIvpZlw0C3seFfU4GC9AhCRZ4t', '', NULL, 'Сидорин Алексей', NULL, NULL, 'NEW', 3600, '2021-11-08 09:17:08.39919', 2, 'JUNIOR', 30, NULL, false, 'QA TestLab', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (115, 50, 'tGd7v4HKLqcsR7kM0tiKvOniNx3hr2Ck', '', NULL, 'Смагин Дмитрий Владимирович', NULL, NULL, 'NEW', 3600, '2021-11-08 09:18:13.282994', 2, 'JUNIOR', 30, NULL, false, 'QA TestLab', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (128, 24, 'j0QhPT64qlBEx3HoyP1fc44S5U0wHRK5', '', NULL, 'Test Java Senior', NULL, NULL, 'NEW', 1800, '2022-03-23 16:37:32.115648', 2, 'SENIOR', 15, NULL, false, 'Java тест Senior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (117, 50, 'XWkrAitvM9ZYwt5dZxGfOjbw5BX8TTwA', '', NULL, 'Вьюгова Маргарита Вячеславовна', NULL, NULL, 'NEW', 3600, '2021-11-08 20:07:53.284641', 2, 'JUNIOR', 30, NULL, false, 'QA TestLab', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (129, 21, 'STTHrnXUR6VCIiNzsV3YWp6x6UMMAIwb', '', NULL, 'Test 2', NULL, NULL, 'NEW', 3600, '2022-03-23 16:37:56.06083', 2, 'MIDDLE', 30, NULL, false, 'Java тест Middle', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (124, 51, 'bzWyTmKEh6fK9kFWr7keTt1hbkyunFO9', '', NULL, 'Наталья Иванова', '2021-11-18 13:07:33.861346', '2021-11-18 13:08:23.206041', 'FINISHED', 1800, '2021-11-18 13:05:59.15871', 2, 'JUNIOR', 15, 4, false, 'QA специалист', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (127, 50, '0t762D4giPzKKZMg5sSuUOVqMth7cSDf', '', NULL, 'Test QA Middle', NULL, NULL, 'NEW', 3600, '2022-01-18 12:35:09.807779', 2, 'JUNIOR', 30, NULL, false, 'QA TestLab', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (135, 54, 'tVT2qe1hbhxHpaGXOHkyckP5BhZ7V7TK', '', NULL, 'Коробов Вадим', '2022-05-30 17:15:46.013277', '2022-05-30 17:30:51.339914', 'FINISHED', 1800, '2022-05-30 17:07:28.029139', 40, NULL, 15, 14, false, 'Коробов Вадим', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (132, 53, 'YrxkAIJ34caH2iraatm1DtW0bc6ca5Va', '', NULL, 'd d  dd', '2022-04-02 06:30:37.933921', '2022-04-02 07:00:38.258773', 'FINISHED', 1800, '2022-04-02 06:30:31.34176', 50, 'SENIOR', 15, 1, false, 'Java', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (130, 20, '0UdIRZ77eXfRt4hSFwCjlvtrhlstEnoH', '', NULL, 'Java test 3', '2022-03-23 16:52:34.190862', '2022-03-23 18:32:36.602669', 'FINISHED', 6000, '2022-03-23 16:38:14.145298', 2, 'JUNIOR', 50, 2, true, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (134, 53, 'DEWgu2v4n2VNf2aGy4xl1PkuWzmnYPca', '', NULL, 'fffffffffff', '2022-04-02 07:29:00.906061', '2022-04-02 07:59:02.785931', 'FINISHED', 1800, '2022-04-02 07:28:55.725193', 50, 'SENIOR', 15, 1, false, 'Java', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (133, 53, 'Xgg0LzbJuHsjPmFO5ceSelLq9Ixzphiq', '', NULL, 'ыав', '2022-04-02 07:10:54.814261', '2022-04-02 07:22:50.621108', 'FINISHED', 1800, '2022-04-02 07:10:45.850081', 50, 'SENIOR', 15, 15, false, 'Java', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (137, 56, 'FGjQXJ2FjTwOBP2dnBoyw6YROGQDZbkt', '', NULL, 'Ал-Дамм Гасим', NULL, NULL, 'NEW', 3600, '2022-06-06 13:21:06.932016', 40, NULL, 30, NULL, false, 'Java for Junior+', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (138, 56, 'PC0cCNNyNLNSe8SKFMY7yJZNZpBbyZRT', '', NULL, 'Мария Семенюк', NULL, NULL, 'NEW', 3600, '2022-06-06 13:25:08.082783', 40, NULL, 30, NULL, false, 'Java for Junior+', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (139, 56, 'FeOLmLLyS0fjtuIspDHmeyBHpVlzfmYr', '', NULL, 'Мария Семенюк', '2022-06-06 16:15:34.473838', '2022-06-06 16:50:56.076405', 'FINISHED', 3600, '2022-06-06 13:26:48.76729', 40, NULL, 30, 13, false, 'Java for Junior+', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (142, 58, 'KBL7wKcLtJVMVJ7TUtDuYTqiJvbkl1db', '', NULL, 'Дмитрий', '2022-06-10 15:54:46.299765', '2022-06-10 16:16:53.259591', 'FINISHED', 2700, '2022-06-10 15:47:30.099338', 40, NULL, 23, 12, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (140, 58, 'ahcxhL33vBONmFz0Catp39uhzquIh7Ej', '', NULL, 'Влад', '2022-06-13 10:58:03.307834', '2022-06-13 11:21:56.394399', 'FINISHED', 2700, '2022-06-10 14:58:48.112275', 40, NULL, 23, 15, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (143, 58, 'OJsagQ1YyVT8Qp4j6vbTF9ya0EeVOlmO', '', NULL, 'Антон', '2022-06-15 14:06:55.650643', '2022-06-15 14:51:58.54364', 'FINISHED', 2700, '2022-06-13 13:32:29.442609', 40, NULL, 23, 8, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (145, 58, 'y2YMJqs5e6qHslwDQfKVcx8PHrpzzrco', '', NULL, 'Леонтий', NULL, NULL, 'NEW', 2700, '2022-06-13 17:40:35.453307', 40, NULL, 23, NULL, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (146, 58, 'AtshoQdxulf9D7BWLjWRZGHbHz5xJZ8X', '', NULL, 'Леонтий', '2022-06-13 17:44:26.165794', '2022-06-13 18:26:12.982618', 'FINISHED', 2700, '2022-06-13 17:41:03.460429', 40, NULL, 23, 17, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (170, 59, 'N2SO8Mx6BqDmQtfqQbbSrNbCeDKVNTAp', '', NULL, 'Вова Тест 2', '2022-06-29 00:02:53.164118', '2022-06-29 00:04:34.163889', 'FINISHED', 1800, '2022-06-29 00:02:44.706444', 2, NULL, 15, 10, false, 'Python Pro', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (158, 58, 'H9d6NRjhNg6D3qUdVcQfNNPXYDsnpeb1', '', NULL, 'Евгения Митрофанова', '2022-06-23 16:57:04.056596', '2022-06-23 17:38:19.231612', 'FINISHED', 2700, '2022-06-23 15:48:28.807911', 40, NULL, 23, 10, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (147, 58, '0YaDswiefDrZXuO9shGIProa0rZaqgGR', '', NULL, 'Елизавета', '2022-06-14 14:56:08.078035', '2022-06-14 15:41:10.934489', 'FINISHED', 2700, '2022-06-13 17:42:42.322099', 40, NULL, 23, 10, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (148, 58, 'BfxZoT8aUeHIm0k7EVDvjKAcQlBwh8YJ', '', NULL, 'Игорь Князев', '2022-06-14 17:57:21.367967', '2022-06-14 18:32:41.123023', 'FINISHED', 2700, '2022-06-14 13:44:28.558049', 40, NULL, 23, 19, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (141, 58, 'vH8ZCYoEPaxhmKTfBDmBHHY31f1Wb6A1', '', NULL, 'Влад', '2022-06-14 19:44:03.536707', '2022-06-14 20:21:01.420182', 'FINISHED', 2700, '2022-06-10 15:09:40.201515', 40, NULL, 23, 12, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (144, 58, '8GFnnpoik5g7giVGAQ4T06MUG8Xc5p3Y', '', NULL, 'Иван', '2022-06-13 20:12:45.432009', '2022-06-13 20:50:21.764934', 'FINISHED', 2700, '2022-06-13 13:33:33.296548', 40, NULL, 23, 9, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (149, 58, 'lRJppDvKyYSVP4Or0I4p9u94yzCX4qH2', '', NULL, 'Петров Константин', '2022-06-16 11:46:40.867415', '2022-06-16 12:28:22.986861', 'FINISHED', 2700, '2022-06-16 11:41:43.32956', 40, NULL, 23, 6, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (151, 58, 'RqkTrV0bFt4FjbDHv5bew0mA5dPv0fnp', '', NULL, 'Колошиц Глеб', '2022-06-16 14:01:55.656437', '2022-06-16 14:46:49.43923', 'FINISHED', 2700, '2022-06-16 13:26:25.89097', 40, NULL, 23, 10, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (163, 58, 'NZmx6CfilR028BR9UxK7TZEhMcE5NZoe', '', NULL, 'Осипатов Никита', '2022-06-24 14:12:25.237618', '2022-06-24 14:55:42.248756', 'FINISHED', 2700, '2022-06-24 11:07:43.744315', 40, NULL, 23, 17, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (150, 58, 'KzIpnPZyBgZsaFmDHv3OoqwuuQwLEBvN', '', NULL, 'Федор Марков', '2022-06-16 18:51:28.931474', '2022-06-16 19:01:37.006039', 'FINISHED', 2700, '2022-06-16 13:22:34.168145', 40, NULL, 23, 7, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (152, 58, '0kritZHSrFtoBrhEz3WnzcRTmj92iHnL', '', NULL, 'Мария Пикус', '2022-06-17 14:27:28.668858', '2022-06-17 15:01:23.639915', 'FINISHED', 2700, '2022-06-16 17:01:22.138116', 40, NULL, 23, 13, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (154, 58, 'lLlPETSIK91jsnfKrbfWKVanVRN37w19', '', NULL, 'Беседин Михаил', '2022-06-19 16:43:25.404985', '2022-06-19 17:14:03.99255', 'FINISHED', 2700, '2022-06-17 18:29:03.116656', 40, NULL, 23, 11, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (161, 58, '0Z53G7GaNIX6TfCreONRTcOIJIeWr5r9', '', NULL, 'Конторов Олег', '2022-06-24 10:52:46.102902', '2022-06-24 11:33:10.334694', 'FINISHED', 2700, '2022-06-24 10:43:48.254916', 40, NULL, 23, 11, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (155, 58, 'ZGalZaClIFJMSu2LerGwBRfAbtYvBQW7', '', NULL, 'Бакулина Юлия', '2022-06-20 19:26:51.866101', '2022-06-20 20:11:49.945126', 'FINISHED', 2700, '2022-06-20 10:29:27.558992', 40, NULL, 23, 14, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (153, 58, 'f9MOchtHzvD8lg20T9h6SxtYYD0FGfKI', '', NULL, 'Куликов Александр', '2022-06-21 12:55:58.449141', '2022-06-21 13:30:19.959821', 'FINISHED', 2700, '2022-06-16 17:01:46.14805', 40, NULL, 23, 11, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (156, 58, 'HpBznvfYWk7E7lruPHjGLhWOgsBGBgdd', '', NULL, 'Шведов Вадим', '2022-06-23 14:53:40.690801', '2022-06-23 15:28:29.217246', 'FINISHED', 2700, '2022-06-23 11:49:08.341175', 40, NULL, 23, 14, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (157, 58, 'w4sDhXo4hdRpv9Dx0JOYZlwVnwt986k8', '', NULL, 'Лазарев Никита', '2022-06-23 14:57:28.958087', '2022-06-23 15:40:48.123248', 'FINISHED', 2700, '2022-06-23 14:45:44.730311', 40, NULL, 23, 13, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (164, 58, 'O0QLHdzN0vIGL4SNqcQSIaM8qqyJeovN', '', NULL, 'Шерхонов Алексей', '2022-06-26 17:39:41.689969', '2022-06-26 18:07:01.824703', 'FINISHED', 2700, '2022-06-24 11:17:29.401631', 40, NULL, 23, 10, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (159, 58, 'JbFk1JhtsE2v0wBw9xq3WcM7ftFaIINZ', '', NULL, 'Андрей Елисеев', '2022-06-24 15:55:50.868711', '2022-06-24 16:37:36.257918', 'FINISHED', 2700, '2022-06-24 10:39:37.289773', 40, NULL, 23, 9, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (168, 58, 'BGeCpJUtRoTX7y2xULf6cpSEXk8ExGOq', '', NULL, 'Максим Ананьев', '2022-06-24 17:06:47.041081', '2022-06-24 17:32:05.032846', 'FINISHED', 2700, '2022-06-24 17:00:30.568999', 40, NULL, 23, 12, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (165, 58, 'WDxQsKIeKbesdb510ibnmX3AiVmuFB5M', '', NULL, 'Кузин Иван', '2022-06-26 21:44:49.883204', '2022-06-26 22:22:31.407466', 'FINISHED', 2700, '2022-06-24 13:40:18.656637', 40, NULL, 23, 12, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (166, 58, 'WdseYcOYbRhJGlVxG1Va2qx6zmZfHwXW', '', NULL, 'Юлия Коротенко', '2022-06-25 21:04:47.565597', '2022-06-25 21:49:47.755721', 'FINISHED', 2700, '2022-06-24 13:41:25.37033', 40, NULL, 23, 0, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (167, 58, '4YPHaPIj3jPDV98GbC8nyIhGyg1kXK2q', '', NULL, 'Григорий Александрович', '2022-06-26 11:25:38.864843', '2022-06-26 12:10:09.07187', 'FINISHED', 2700, '2022-06-24 15:12:39.168663', 40, NULL, 23, 7, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (174, 58, 'pp4r92eAcb6K6bXM8lHnVMhhL73hI2JG', '', NULL, 'Платонов Никита', '2022-07-01 11:00:06.819941', '2022-07-01 11:26:31.64258', 'FINISHED', 2700, '2022-06-29 16:54:37.786271', 40, NULL, 23, 10, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (171, 60, 'TmMWLvrTvM52MVKid2qOZW1m78DeE0FW', '', NULL, 'Вова пайтон тест 2', '2022-06-29 00:07:22.898831', '2022-06-29 00:10:35.386235', 'FINISHED', 1800, '2022-06-29 00:07:15.3247', 2, NULL, 15, 6, false, 'Python Pro', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (169, 59, 'CkZnwx1GZgDgfL555KGiInEXWXLnHuNA', '', NULL, 'Вова Тест', '2022-06-28 23:57:34.417371', '2022-06-28 23:58:34.037035', 'FINISHED', 1800, '2022-06-28 23:57:21.106247', 2, NULL, 15, 4, false, 'Python Pro', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (173, 58, 'McJuPcli73N2vdva55A6NvnWcSvy30yV', '', NULL, 'Николай Горбунков', NULL, NULL, 'NEW', 2700, '2022-06-29 16:00:19.556517', 40, NULL, 23, NULL, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (162, 58, 'HXnzgclEV9NUCYthn1jKxu2RdNU4SCKH', '', NULL, 'Анастасия Соколова', '2022-07-22 16:26:44.474469', '2022-07-22 17:11:44.839866', 'FINISHED', 2700, '2022-06-24 11:05:35.648112', 40, NULL, 23, 0, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (172, 58, '2VCH1caOr44RcGYPFq4l75t4TBWVvqKJ', '', NULL, 'Stanislav Felshtyn', '2022-06-29 17:01:44.543453', '2022-06-29 17:46:43.706048', 'FINISHED', 2700, '2022-06-29 15:59:11.089901', 40, NULL, 23, 14, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (177, 58, 'WQKasqnZHbULmwAG4dRviVywVvBQYSnz', '', NULL, 'Лазарев Никита', NULL, NULL, 'NEW', 2700, '2022-07-04 10:18:16.210466', 40, NULL, 23, NULL, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (182, 58, 'YMby33YXygSzk6AxeuOZd6U9tHnzv3tW', '', NULL, 'Скирченко Александр', NULL, NULL, 'NEW', 2700, '2022-07-04 10:21:19.117371', 40, NULL, 23, NULL, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (176, 58, 'OXEU9ERH76vXLDsIygIfFEXHvyTPk5bp', '', NULL, 'Сергей Кошелев', '2022-07-04 14:03:36.72162', '2022-07-04 14:45:40.955487', 'FINISHED', 2700, '2022-07-04 10:16:40.931468', 40, NULL, 23, 12, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (175, 58, 'yhIzYzpzbbrq9emPiKVLyUncbeWpoeXT', '', NULL, 'Проскуряков Анатолий', '2022-06-30 11:05:54.473064', '2022-06-30 11:49:40.729575', 'FINISHED', 2700, '2022-06-29 17:20:21.737586', 40, NULL, 23, 3, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (180, 58, 'Do05ACgAv7i66RTp1wBggwUJ4di9KXu3', '', NULL, 'Калимов Даниил', '2022-07-04 17:02:15.169089', '2022-07-04 17:42:33.536444', 'FINISHED', 2700, '2022-07-04 10:19:41.740054', 40, NULL, 23, 13, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (184, 58, 'ZpMlwKnRQQxT5BPHYrjvnYJM1AtJLq42', '', NULL, 'Пштыр Андрей', '2022-07-04 17:45:39.433632', '2022-07-04 18:23:08.897515', 'FINISHED', 2700, '2022-07-04 10:22:20.296346', 40, NULL, 23, 9, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (185, 58, 'wdGEaOZ6PdnjbyEGUIsDjyi9UsIVQTYN', '', NULL, 'Калинин Андрей', '2022-07-05 05:45:47.630372', '2022-07-05 06:30:48.118556', 'FINISHED', 2700, '2022-07-04 10:23:04.801313', 40, NULL, 23, 9, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (181, 58, 'KkyOaNQbWIL4fxUdeuKUgBJXrdQozGjR', '', NULL, 'Никита', '2022-07-05 17:50:51.477766', '2022-07-05 18:35:04.869239', 'FINISHED', 2700, '2022-07-04 10:20:48.750996', 40, NULL, 23, 13, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (160, 58, 'eW2bhrwORDLWAAkwsgSUkNfi84bXkDl3', '', NULL, 'Вячеслав Булатов', '2022-06-26 14:03:38.600169', '2022-06-26 14:44:43.189026', 'FINISHED', 2700, '2022-06-24 10:41:13.314183', 40, NULL, 23, 19, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (218, 58, 'VFioeS9ChRPC3h2ynJ2f8mYuAzhm6SQf', '', NULL, 'Саня Турулин', '2022-07-13 12:11:59.15272', '2022-07-13 12:56:56.194104', 'FINISHED', 2700, '2022-07-12 12:09:34.594965', 40, NULL, 23, 11, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (183, 58, 'oPiRGURJchbi5XtY73GPy5Opn7R5UWKy', '', NULL, 'Алтухов Максим', '2022-07-04 13:12:15.236093', '2022-07-04 13:57:15.510729', 'FINISHED', 2700, '2022-07-04 10:21:47.38535', 40, NULL, 23, 14, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (187, 58, 'kgruEAPGJy2IrBLQloCnS0eaeVmmah8j', '', NULL, 'andrey310320', '2022-07-04 13:48:54.872694', '2022-07-04 14:15:39.868754', 'FINISHED', 2700, '2022-07-04 13:36:57.612018', 40, NULL, 23, 8, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (190, 58, 'wcOWkqID2cMOJNA236dCCV32nmRZ3wWn', '', NULL, 'Бадма Бардаев', '2022-07-05 23:27:39.303804', '2022-07-06 00:07:36.617177', 'FINISHED', 2700, '2022-07-04 19:06:58.6352', 40, NULL, 23, 9, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (186, 58, 'FMuGUiddHjsZ8p7sSC88NZJAECEV83Fa', '', NULL, 'Ростиславский Максим', '2022-07-04 14:42:11.951779', '2022-07-04 15:23:40.019588', 'FINISHED', 2700, '2022-07-04 13:35:52.684058', 40, NULL, 23, 13, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (178, 58, '2eTXSrgZDys0PfvXQP8qMaEPzy3toRqS', '', NULL, 'Цыбук Иван', '2022-07-04 15:14:41.044299', '2022-07-04 15:59:28.827415', 'FINISHED', 2700, '2022-07-04 10:18:48.875924', 40, NULL, 23, 10, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (189, 58, 'woRMVp9yAlqxAL0prQKMUtMi4QI8zFJr', '', NULL, 'antonelizarow9987', NULL, NULL, 'NEW', 2700, '2022-07-04 19:06:20.630912', 40, NULL, 23, NULL, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (191, 58, 'HBgM2pQcU28a95VJfabQqILrsPPekWdt', '', NULL, 'Левенцов Дмитрий', NULL, NULL, 'NEW', 2700, '2022-07-04 19:07:23.246384', 40, NULL, 23, NULL, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (193, 58, '6qbQD4hwVBUey6FVotPXpEZegBDWiHHu', '', NULL, 'Останин Роман', NULL, NULL, 'NEW', 2700, '2022-07-04 19:08:49.378356', 40, NULL, 23, NULL, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (179, 58, 'eVNgwdKlKV1zS2PIu41FyLAlrixFToU8', '', NULL, 'Михайлов Дмитрий', '2022-07-06 13:10:06.047713', '2022-07-06 13:51:28.568626', 'FINISHED', 2700, '2022-07-04 10:19:18.830443', 40, NULL, 23, 8, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (195, 58, 'B490u1dHITx58O2C7D6igdEyg3CyiNnc', '', NULL, 'VK Vsevolod Kolobov', '2022-07-04 20:09:35.387597', '2022-07-04 20:33:41.287769', 'FINISHED', 2700, '2022-07-04 19:23:11.268162', 40, NULL, 23, 11, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (199, 58, 'Oi0oXCorJy8gMwo6eMFVFYZ4plLLzgtM', '', NULL, 'Михайлов Александр', NULL, NULL, 'NEW', 2700, '2022-07-05 09:41:59.562008', 40, NULL, 23, NULL, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (194, 58, 'TLx39i3DsURvJwNRTQgpW3UX41QJ6M4r', '', NULL, 'Воловникова Елизавета', '2022-07-05 09:23:13.086646', '2022-07-05 09:53:51.272617', 'FINISHED', 2700, '2022-07-04 19:22:18.891355', 40, NULL, 23, 16, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (206, 58, 'JQIyBNMQq7r80DH6RD1cNRaIhxIO2Hrb', '', NULL, 'Nargis Mukhidinova', '2022-07-11 17:26:38.050524', '2022-07-11 17:41:26.75902', 'FINISHED', 2700, '2022-07-07 11:01:11.982028', 40, NULL, 23, 3, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (210, 57, 'yPfxIz8l4eyADWvPuxX96vRcOdILMz0h', '', NULL, 'Степан Панов', '2022-07-07 18:54:43.994452', '2022-07-07 19:11:39.110982', 'FINISHED', 2700, '2022-07-07 18:35:11.218846', 40, NULL, 23, 16, false, 'QA Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (202, 61, 'qTsDQykhhYum5HqL7vP71Y3Nvw6g8knw', '', NULL, 'аоаоаы', '2022-07-06 14:43:38.1582', '2022-07-06 14:43:59.494693', 'FINISHED', 1800, '2022-07-06 14:43:31.837043', 53, NULL, 15, 2, true, 'Питонодокер', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (203, 61, 'fOaMmLG6ZtnaUmtu3E6gK0kzTVLO8D26', '', NULL, 'Максимов Владимир Докерович', NULL, NULL, 'NEW', 1800, '2022-07-06 14:44:26.814324', 53, NULL, 15, NULL, false, 'Питонодокер', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (188, 58, '1FCSQe5LJzDmgXKDI1LK26Nc4mf98gNF', '', NULL, 'Александр Сологуб', '2022-07-05 11:40:51.5206', '2022-07-05 12:06:02.90986', 'FINISHED', 2700, '2022-07-04 18:59:06.055339', 40, NULL, 23, 14, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (208, 58, 'xCnyMcpucOn3fe682BkHIKO6pgw65SxA', '', NULL, 'Артур Cахаутдинов', '2022-07-07 19:49:29.711674', '2022-07-07 20:18:15.913466', 'FINISHED', 2700, '2022-07-07 11:02:21.613937', 40, NULL, 23, 11, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (196, 58, 'W2u3os3ErT6jcQ1Bf0xx0WkkmDJ7IAvw', '', NULL, 'Никита Ким', '2022-07-05 10:51:43.754949', '2022-07-05 11:31:30.487', 'FINISHED', 2700, '2022-07-05 09:31:51.6739', 40, NULL, 23, 10, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (200, 58, 'GzmTkdAF6GI1gVe2vJU7x9eYCxsVwnpK', '', NULL, '2Андрей Калинин2', '2022-07-05 12:01:15.75174', '2022-07-05 12:35:56.108345', 'FINISHED', 2700, '2022-07-05 11:13:14.836864', 40, NULL, 23, 9, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (198, 58, 'wn9UxUtHJgsySe51UI0VOMiLwUXTuQmJ', '', NULL, 'Васильев Дмитрий', '2022-07-05 13:30:14.924572', '2022-07-05 14:09:27.343703', 'FINISHED', 2700, '2022-07-05 09:36:04.090656', 40, NULL, 23, 11, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (192, 58, '6SO0xz0xiHyTAbrssQaBZWNTMVPiuOWL', '', NULL, 'Останин Роман', '2022-07-05 14:07:54.931772', '2022-07-05 14:46:33.832695', 'FINISHED', 2700, '2022-07-04 19:07:55.280155', 40, NULL, 23, 14, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (204, 58, 'BF6w4VGluAXhdz9DAE9mNwJiMaycp2rz', '', NULL, 'Куликов Александр', NULL, NULL, 'NEW', 2700, '2022-07-07 10:57:43.718351', 40, NULL, 23, NULL, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (197, 58, 'COdTSogmXakBmPKN1lWpmtEPNWUIgztJ', '', NULL, 'Andrey Konstantinov', '2022-07-05 20:46:07.693514', '2022-07-05 20:54:17.119352', 'FINISHED', 2700, '2022-07-05 09:35:11.354653', 40, NULL, 23, 6, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (205, 58, 'xXmk0TOoIVaMtRZIWotVXNaferRpfyuB', '', NULL, 'Nikita Rudnicki', '2022-07-07 12:14:52.43262', '2022-07-07 12:45:24.561797', 'FINISHED', 2700, '2022-07-07 11:00:25.229519', 40, NULL, 23, 14, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (207, 58, 'OQLSyEruS28Cn3afQXd86byS2Rdci3Gt', '', NULL, 'Егор Жуганов', '2022-07-08 17:00:41.05162', '2022-07-08 17:45:41.737153', 'FINISHED', 2700, '2022-07-07 11:01:50.038615', 40, NULL, 23, 12, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (216, 58, 'jRGpzLKYSnLsOUSzPFykTkF5jDmojX9b', '', NULL, 'Garett Ambient', NULL, NULL, 'NEW', 2700, '2022-07-12 12:06:31.863541', 40, NULL, 23, NULL, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (209, 58, 'cgFcSaLVQQaHXX0w3Q0OQqvw2FqX9ldN', '', NULL, 'Степан Панов', '2022-07-07 18:35:35.702039', '2022-07-07 18:54:35.78745', 'FINISHED', 2700, '2022-07-07 18:34:56.94406', 40, NULL, 23, 5, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (212, 58, 'TGGVzNiBh25ceqkxUJqK80eRc2cUnaJp', '', NULL, 'Денис Добренко', NULL, NULL, 'NEW', 2700, '2022-07-11 11:26:55.413295', 40, NULL, 23, NULL, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (213, 58, 'gVLnqxlGsLZhvAo61biihpZyPWgSzqRv', '', NULL, 'Васильев Анатолий', '2022-07-11 13:55:42.507592', '2022-07-11 14:40:44.398323', 'FINISHED', 2700, '2022-07-11 11:28:06.230723', 40, NULL, 23, 10, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (215, 58, 'Rfy9I5pQ0FlFouutldiibSi1mlH1FeXB', '', NULL, 'Дмитрий Пефтиев', '2022-07-12 14:24:12.833219', '2022-07-12 15:09:12.83975', 'FINISHED', 2700, '2022-07-12 12:05:35.846519', 40, NULL, 23, 1, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (214, 58, 'lflUlRP63EvoabgG8zWNSNedokHvxXxN', '', NULL, 'emil nazyrov', '2022-07-12 12:10:36.875121', '2022-07-12 12:50:52.646754', 'FINISHED', 2700, '2022-07-12 12:04:43.80838', 40, NULL, 23, 6, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (211, 58, 'TTvsO1kUTjo7EEk1amdoqBkhOyjKoSck', '', NULL, 'bog7673', '2022-07-13 00:44:05.986779', '2022-07-13 01:24:30.979847', 'FINISHED', 2700, '2022-07-11 11:25:17.281928', 40, NULL, 23, 8, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (201, 58, 'VlYT0aUVf6WzHS6uum6XQVvWDD27JbBn', '', NULL, 'Анна Брусницына', '2022-07-05 15:59:37.093654', '2022-07-05 16:26:10.352816', 'FINISHED', 2700, '2022-07-05 15:16:18.90536', 40, NULL, 23, 11, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (222, 58, 'vwxOI04fVeYeF0KbKd4SG5TYsqMdoPaL', '', NULL, 'Дмитрий Деев', NULL, NULL, 'NEW', 2700, '2022-07-14 17:20:16.566634', 40, NULL, 23, NULL, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (223, 58, 'piLRPm1W1cHB8oGZyrCrduyW3gtgTLDD', '', NULL, 'Илья Горюнов', NULL, NULL, 'NEW', 2700, '2022-07-14 17:21:18.100077', 40, NULL, 23, NULL, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (225, 58, 'DmEBGS5qxtSC1YKkUpjZyZdOuJ1GFwvv', '', NULL, 'Марина Дмитриева', '2022-07-14 20:53:24.946174', '2022-07-14 21:27:29.296009', 'FINISHED', 2700, '2022-07-14 17:35:39.481733', 40, NULL, 23, 12, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (217, 58, 'P9EhzlW0DqHvFkD0w2lhVy69KlLUF0BY', '', NULL, 'Александр Ческидов', '2022-07-12 15:24:21.252315', '2022-07-12 16:03:06.728312', 'FINISHED', 2700, '2022-07-12 12:07:24.80762', 40, NULL, 23, 19, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (220, 58, '0aTsfaBgOKgKL04cJl0wcBss2Ioc3iUz', '', NULL, 'Алексей Рожко', '2022-07-15 13:33:14.750028', '2022-07-15 14:15:35.988147', 'FINISHED', 2700, '2022-07-14 17:11:47.167448', 40, NULL, 23, 8, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (221, 58, 'w1Kk4pCZxASbmGAXnvtciO4jZTshVukm', '', NULL, 'Цепаев Павел', '2022-07-16 15:43:22.896175', '2022-07-16 16:28:21.390365', 'FINISHED', 2700, '2022-07-14 17:12:56.095705', 40, NULL, 23, 8, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (224, 58, 'k6IhYboHUmtEcD6I7o739qp9OCffh6db', '', NULL, 'Ольга Мотылева', '2022-07-14 17:41:04.802057', '2022-07-14 18:20:40.622765', 'FINISHED', 2700, '2022-07-14 17:34:52.244426', 40, NULL, 23, 13, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (227, 58, 'XTBGsnzglhJp5bg4AxGdScHX4Rvr9hQL', '', NULL, 'Артем Васильев', '2022-07-15 11:49:12.116153', '2022-07-15 12:19:00.361685', 'FINISHED', 2700, '2022-07-15 09:36:08.780761', 40, NULL, 23, 5, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (241, 20, 'jL3prkNpRuRUuBmeIAY4mQjQvQD4dfZu', '', NULL, 'Test Java', NULL, NULL, 'NEW', 6000, '2022-07-31 11:29:43.226342', 2, 'JUNIOR', 50, NULL, false, 'Java тест Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (219, 58, 'f3vXf6pdzn5n47Rb6ekeJUUgENCK38IK', '', NULL, 'Антонов Владимир', '2022-07-15 15:32:38.465748', '2022-07-15 16:17:33.802767', 'FINISHED', 2700, '2022-07-14 17:10:46.827608', 40, NULL, 23, 7, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (226, 58, 'rn1L6KoAhUrLYWU1kQ1I5g47bB1iUNaY', '', NULL, 'Газизов Анвар', '2022-07-15 16:02:25.848172', '2022-07-15 16:41:50.619601', 'FINISHED', 2700, '2022-07-15 09:35:23.834364', 40, NULL, 23, 13, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (256, 66, 'FyQokEVvpdTaFUpEwt26SkwArCsfdnci', '', NULL, 'Anchutin Egor', '2023-03-31 13:57:02.494314', '2023-03-31 14:09:39.229645', 'FINISHED', 2700, '2023-03-31 13:53:54.48723', 40, NULL, 23, 6, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (240, 60, '3vqlGKGwRZayWZrNZkPxG5Kc2Yj1s4th', '', NULL, 'Test Python', '2022-07-31 12:03:13.983633', '2022-07-31 12:33:17.763201', 'FINISHED', 1800, '2022-07-31 11:28:50.279125', 2, NULL, 15, 1, true, 'Python Pro', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (228, 58, 'FPekYRKNcvXbJAVCAryU2k4mjpaq1p06', '', NULL, 'savin.yura2014', '2022-07-18 14:26:34.679212', '2022-07-18 14:55:46.868806', 'FINISHED', 2700, '2022-07-18 14:22:44.150519', 40, NULL, 23, 8, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (239, 58, 'TDx8TRzwp0ZvZCoi5swgTnHcJw6yHrXj', '', NULL, 'Нина Пихота', '2022-07-24 10:09:41.046127', '2022-07-24 10:33:03.283145', 'FINISHED', 2700, '2022-07-22 13:48:54.767961', 40, NULL, 23, 10, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (230, 58, 'j0msgKowghfxGkv8nTlxaD1rAjRAd7Yq', '', NULL, 'wolflammen0', '2022-07-18 18:50:37.973579', '2022-07-18 19:18:44.648277', 'FINISHED', 2700, '2022-07-18 14:47:29.528647', 40, NULL, 23, 4, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (246, 58, 'IEjOniU6vUhZLtoZTbI7ZFF0guxpxieC', '', NULL, 'Яценко Виктор', '2022-10-11 18:24:33.613594', '2022-10-11 19:08:38.046144', 'FINISHED', 2700, '2022-10-10 14:28:32.108492', 40, NULL, 23, 15, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (234, 58, '6kH1OcHutDUbjxRZySbp67WVrmEy4NPo', '', NULL, 'Анна Ульянова', '2022-07-20 23:46:16.675828', '2022-07-21 00:24:57.595961', 'FINISHED', 2700, '2022-07-20 15:05:46.824987', 40, NULL, 23, 15, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (247, 66, 'hlXlQt0h5yg20aIy2ognYNtf0K8dlXaY', '', NULL, 'Пробный', '2023-03-28 10:26:09.158765', '2023-03-28 10:27:04.900297', 'FINISHED', 2700, '2023-03-28 10:25:58.367813', 40, NULL, 23, 3, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (235, 58, 'a2WIKoAPAzM7fsSdC4jRu1E9Twf6Ai9d', '', NULL, 'Алексей Шемякин', '2022-07-21 11:36:09.575664', '2022-07-21 12:20:52.78445', 'FINISHED', 2700, '2022-07-20 15:06:38.961096', 40, NULL, 23, 11, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (236, 58, '8gsauXs6MuNAd8R9PefktO2bwsh23zo3', '', NULL, 'sm1le88man', NULL, NULL, 'NEW', 2700, '2022-07-21 14:09:56.011434', 40, NULL, 23, NULL, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (237, 58, 'ymLNDYgUzczxWA7hZ9UM9DZ57fURZnQu', '', NULL, 'norkandom', NULL, NULL, 'NEW', 2700, '2022-07-21 14:11:41.761006', 40, NULL, 23, NULL, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (242, 63, 'Y8BrLqFGic4WngTzkNAk32W2VTjKb3GG', '', NULL, 'Стажеров Антон', '2022-08-30 12:55:48.053016', '2022-08-30 12:57:28.262591', 'FINISHED', 1800, '2022-08-30 12:55:29.830963', 37, NULL, 15, 5, false, 'Java', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (233, 58, 'BR2VEBV187Ugjeu9Iweu9MxIp4r2qNUY', '', NULL, 'Никита Пологов', '2022-07-21 16:53:29.142477', '2022-07-21 17:16:24.670205', 'FINISHED', 2700, '2022-07-20 15:04:43.794453', 40, NULL, 23, 13, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (231, 58, 'j01hYzihRinhBlduPuBlRVpRN8rvAIHt', '', NULL, 'Gleb Serduk MoniGGleb', '2022-07-21 21:55:11.781693', '2022-07-21 22:13:40.809643', 'FINISHED', 2700, '2022-07-20 15:02:56.246296', 40, NULL, 23, 3, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (248, 66, 'zd9cuJYslKzDjXEzIIBpVLzwU7TdoiMy', '', NULL, 'Иванова Юля', NULL, NULL, 'NEW', 2700, '2023-03-31 13:28:45.957064', 40, NULL, 23, NULL, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (249, 66, '93vog5oB1Aj2MW9mDe60VDkhgJIpBeS5', '', NULL, 'Бойков Денис', NULL, NULL, 'NEW', 2700, '2023-03-31 13:49:26.004065', 40, NULL, 23, NULL, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (541, 90, '2re6jgh7RaUlRT1bfY6tj87ctSeQivEs', '', NULL, 'F G', '2023-10-03 11:16:23.621858', '2023-10-03 11:16:32.328327', 'FINISHED', 1800, '2023-10-03 11:16:17.325777', 51, NULL, 15, 1, true, 'Testy', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (238, 58, 'cHILC2Vt3FQTuK5NqctG5tPjrdfkRJox', '', NULL, 'windrag000', '2022-07-22 14:15:07.188233', '2022-07-22 14:52:38.19754', 'FINISHED', 2700, '2022-07-22 09:47:04.433874', 40, NULL, 23, 13, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (232, 58, 'dar9YOOZMR66xta0EHPjTi6iD1LjzBV1', '', NULL, 'Фанина Маргарита', '2022-07-22 14:26:37.177576', '2022-07-22 14:55:42.501892', 'FINISHED', 2700, '2022-07-20 15:03:50.856253', 40, NULL, 23, 4, true, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (229, 58, '8UgX2KKil45gNdJrQxdEkEblDyJwTleP', '', NULL, 'pochtamaksa95', '2022-07-18 14:33:31.250015', '2022-07-18 15:14:20.903443', 'FINISHED', 2700, '2022-07-18 14:27:34.422038', 40, NULL, 23, 13, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (243, 65, 'uqy6AZ9S32IVgvQ0wVqd1GYm1GrJMzM0', '', NULL, 'Иванов Иван', '2022-08-31 10:11:27.559705', '2022-08-31 10:12:25.242259', 'FINISHED', 1800, '2022-08-31 10:10:45.962072', 37, NULL, 15, 3, false, 'Java x5', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (257, 66, '9hHyEW9auriLve43dxtrxbiRHNZwYuZJ', '', NULL, 'Вельтман Алексей', '2023-03-31 14:01:49.583316', '2023-03-31 14:20:38.207378', 'FINISHED', 2700, '2023-03-31 13:54:27.39436', 40, NULL, 23, 11, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (244, 58, 'xKZnwidfDnlqEyfz9AJRGliSr2214kZv', '', NULL, 'Любарский Кирилл', '2022-10-09 17:34:20.936064', '2022-10-09 18:11:43.53873', 'FINISHED', 2700, '2022-10-07 16:22:20.533876', 40, NULL, 23, 16, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (245, 58, 'aFxDf5G720EqxIU5A7FwtINxb7kYSnaZ', '', NULL, 'Коломиец Илья', '2022-10-11 23:41:52.078702', '2022-10-12 00:24:37.468044', 'FINISHED', 2700, '2022-10-10 13:31:56.752606', 40, NULL, 23, 15, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (259, 66, 'JzuprNJsIB1Yw3gJRdQkc1rKPu5Nzuxo', '', NULL, 'Саенко Егор', '2023-04-03 09:35:11.752586', '2023-04-03 10:12:08.59551', 'FINISHED', 2700, '2023-03-31 13:55:26.785385', 40, NULL, 23, 10, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (252, 66, 'Ug0w8bkJyosn9Ps1lPhYhzr2DvQh7Fnb', '', NULL, 'Shamuratov Azim', '2023-03-31 17:55:23.032216', '2023-03-31 18:30:56.553624', 'FINISHED', 2700, '2023-03-31 13:51:24.915315', 40, NULL, 23, 11, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (258, 66, '5uJAr6KT0XFe4USLNTuCf98pqleHy3Y5', '', NULL, 'Орлов Леонид', '2023-03-31 20:23:35.931843', '2023-03-31 20:58:14.767552', 'FINISHED', 2700, '2023-03-31 13:54:57.376291', 40, NULL, 23, 12, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (254, 66, 'XQfVOuBhcBO0MqfMs1PyyjyqJ2kV6RDb', '', NULL, 'Михайлов Юрий', '2023-03-31 15:18:35.030786', '2023-03-31 15:41:46.884764', 'FINISHED', 2700, '2023-03-31 13:52:38.546362', 40, NULL, 23, 7, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (263, 66, 'kdS1LKEzr9Zw5JzxLoEXk3raMYsVQmRQ', '', NULL, 'Музипов Рамиль', '2023-04-14 11:51:53.169079', '2023-04-14 12:21:17.632702', 'FINISHED', 2700, '2023-04-14 10:50:08.570379', 40, NULL, 23, 9, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (255, 66, '1tey6SpRFCya61md8MnuyQnpz462kJBl', '', NULL, 'Абреков Эльдар', '2023-03-31 17:55:25.943826', '2023-03-31 18:31:06.472724', 'FINISHED', 2700, '2023-03-31 13:53:08.421767', 40, NULL, 23, 9, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (261, 57, 'way2NBDQb3HBby0iNRV97tfKbpfUCFvZ', '', NULL, 'Ева Бомбина', '2023-04-11 23:06:16.024544', '2023-04-11 23:21:33.018358', 'FINISHED', 2700, '2023-04-11 18:44:17.200606', 40, NULL, 23, 18, false, 'QA Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (260, 57, 'VuaUJzHU6vxnfwZcq9oQL18k8Wq0CzAy', '', NULL, 'Сдобнов Александр', '2023-04-11 14:45:25.614916', '2023-04-11 15:04:15.294116', 'FINISHED', 2700, '2023-04-11 14:44:21.620174', 40, NULL, 23, 10, false, 'QA Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (262, 67, 'kRcDsrmAXXAHjp2jmMkc81eLoNLgZ0xs', '', NULL, 'Иванов Иван', '2023-04-12 11:46:27.714421', '2023-04-12 11:51:56.566812', 'FINISHED', 1800, '2023-04-12 11:45:51.903732', 40, NULL, 15, 10, false, 'QA Junior+/Middle-', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (264, 66, 'jOoPMdUnutuZImMRcvTk4uvdSIgQhhSn', '', NULL, 'Башкиров Эльдар', '2023-04-14 11:55:51.677541', '2023-04-14 12:07:54.474304', 'FINISHED', 2700, '2023-04-14 10:55:02.091667', 40, NULL, 23, 8, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (253, 66, 'Qdqpz6IPBCsVmjE1VXHBf51o0FogIEt8', '', NULL, 'Чернявский Дмитрий', '2023-04-04 17:06:48.669076', '2023-04-04 17:50:17.477346', 'FINISHED', 2700, '2023-03-31 13:51:54.793043', 40, NULL, 23, 10, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (265, 66, 'roYPepFzSang99xlARqcDdUm0nvroghg', '', NULL, 'Каримов Динар', '2023-05-01 15:07:44.33383', '2023-05-01 15:25:21.207617', 'FINISHED', 2700, '2023-04-14 11:02:15.100977', 40, NULL, 23, 8, true, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (266, 66, 'jp0pWmk4rdr8mG382eaeUhpf5YJXKX04', '', NULL, 'Ракитин Леонид', NULL, NULL, 'NEW', 2700, '2023-04-14 11:04:02.251904', 40, NULL, 23, NULL, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (250, 66, 'awEYMa6RmCxth3TwK3qqsolLNAwXgGQm', '', NULL, 'Соловьева Ольга', '2023-04-01 18:22:21.762273', '2023-04-01 19:01:09.805013', 'FINISHED', 2700, '2023-03-31 13:50:20.566856', 40, NULL, 23, 13, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (270, 66, 'awNpgb7vtBAvAQ5TmBIQyysSmI8wkfaT', '', NULL, 'Перевалов Никита', NULL, NULL, 'NEW', 2700, '2023-04-14 12:12:34.424353', 40, NULL, 23, NULL, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (271, 66, '1FeW0uwiey4B2i9qeuLiyMTpHeCyzi2U', '', NULL, 'Артур Валиев', '2023-04-18 15:08:09.526823', '2023-04-18 15:45:26.413418', 'FINISHED', 2700, '2023-04-14 12:15:48.352508', 40, NULL, 23, 6, true, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (272, 66, '3NitF2ZtlQR7bBU9NPXMbvVcF7nhZ88s', '', NULL, 'Ксендзовский Илья', '2023-04-14 12:32:05.350467', '2023-04-14 13:12:10.244962', 'FINISHED', 2700, '2023-04-14 12:22:51.51773', 40, NULL, 23, 11, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (286, 71, 'f6kG3rFjmw4nWXEXks9lZgJTPNoStPfB', '', NULL, 'Проба', '2023-04-17 18:07:50.549465', '2023-04-17 18:08:37.056412', 'FINISHED', 2700, '2023-04-17 18:07:45.566064', 40, NULL, 23, 5, true, 'Тест Java', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (269, 66, 'gdr00vhetskYGUhoWljlgsUwJ4I4X6Sq', '', NULL, 'Кондратов Виктор', '2023-04-14 13:16:08.16211', '2023-04-14 13:46:59.512865', 'FINISHED', 2700, '2023-04-14 12:08:18.164765', 40, NULL, 23, 12, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (280, 66, '8SIh8RuVeYAX8eJHk7oPaocEiE81PpaT', '', NULL, 'Золотов Владимир Юрьевич', '2023-04-17 13:44:21.869754', '2023-04-17 14:11:13.698915', 'FINISHED', 2700, '2023-04-17 13:41:42.807145', 40, NULL, 23, 8, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (267, 66, 'JgWKUSkRorHzbBfIiBTzr8I5zP5suLiH', '', NULL, 'Гусейнов Ахмед', '2023-04-14 14:56:38.319705', '2023-04-14 15:33:08.843795', 'FINISHED', 2700, '2023-04-14 11:20:55.980309', 40, NULL, 23, 11, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (289, 71, 'xVp8KpvMMTBb3qHDcTqIFVf8FfjJeIQL', '', NULL, 'Краже Роберт', '2023-04-17 18:49:47.041166', '2023-04-17 19:31:59.077823', 'FINISHED', 2700, '2023-04-17 18:48:15.028348', 40, NULL, 23, 15, false, 'Тест Java', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (282, 66, 'VZzfEqi4dyXK7ynzoDNtspBRwbTLAC4h', '', NULL, 'Проба', '2023-04-17 17:02:23.806373', '2023-04-17 17:10:27.166187', 'FINISHED', 2700, '2023-04-17 17:02:14.185396', 40, NULL, 23, 6, true, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (273, 66, 'J1LU6s7KNokA6CbN0l2ZuWD6SrRnrXOr', '', NULL, 'Богатова Валентина', '2023-04-14 16:36:23.316412', '2023-04-14 16:58:27.892894', 'FINISHED', 2700, '2023-04-14 14:09:08.574611', 40, NULL, 23, 9, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (276, 66, 'Db6FIRo8jq0ZYpeDXKaIeh1PAWnchsCu', '', NULL, 'Шайдуров Илья', '2023-04-17 17:36:08.800197', '2023-04-17 18:11:11.866711', 'FINISHED', 2700, '2023-04-17 10:52:35.593971', 40, NULL, 23, 11, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (275, 68, 'tC5haHi0fmZsXE2z3zcD3hR5fg7EdoZt', '', NULL, 'Решетова Инна', '2023-04-14 17:35:45.864342', '2023-04-14 17:45:20.262708', 'FINISHED', 2700, '2023-04-14 17:35:30.686914', 40, NULL, 23, 20, false, 'QA Middle', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (283, 66, 'emaU4pf49NKzv5i8hPHs1eSWq8IPqZJA', '', NULL, 'Test', '2023-04-17 17:11:15.343995', '2023-04-17 17:12:03.780023', 'FINISHED', 2700, '2023-04-17 17:11:07.342798', 40, NULL, 23, 6, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (295, 72, '8O4dhXiorEFEoonCu0WvV3tf2cK5j5Rk', '', NULL, ' Трацевский Станислав Рудольфович', '2023-04-20 16:58:36.959259', '2023-04-20 17:22:41.451934', 'FINISHED', 2700, '2023-04-20 13:35:50.087627', 59, NULL, 23, 11, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (274, 66, 'VVYUE6lr1Cupxv0SqCcq1iVN01IoN36L', '', NULL, 'Кабак Елизавета', '2023-04-15 05:33:15.184747', '2023-04-15 06:06:56.991714', 'FINISHED', 2700, '2023-04-14 17:34:22.977975', 40, NULL, 23, 7, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (268, 66, 'd4kLznQ1QgUpHDrZPzD20aSowrMg38W2', '', NULL, 'Мельников Вадим', '2023-04-16 14:25:30.682821', '2023-04-16 14:45:29.757791', 'FINISHED', 2700, '2023-04-14 11:22:10.552198', 40, NULL, 23, 6, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (277, 66, 'RDxvoqsYizZsh9gFFm6RR6oZsQpmyvrO', '', NULL, 'Тигров Михаил', '2023-04-17 11:11:33.550421', '2023-04-17 11:28:57.972399', 'FINISHED', 2700, '2023-04-17 11:10:56.380114', 40, NULL, 23, 10, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (284, 58, 'LzKuQEsmqei6sEP1VzRKedaioIGRqY6p', '', NULL, 'Проба', '2023-04-17 17:13:16.866246', '2023-04-17 17:14:02.483029', 'FINISHED', 2700, '2023-04-17 17:13:02.274189', 40, NULL, 23, 8, false, 'Java for Junior+', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (288, 71, 'xxvlPcqBXnexvx6833yarVD6NW7BuZgL', '', NULL, 'Шайдуров Илья', '2023-04-18 10:53:13.534565', '2023-04-18 11:37:26.609944', 'FINISHED', 2700, '2023-04-17 18:14:24.429359', 40, NULL, 23, 12, false, 'Тест Java', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (294, 71, 'TWx3oUZNGIAQmOkfOCRVHY7BB5FkwUV2', '', NULL, 'Проба', '2023-04-19 17:33:32.359255', '2023-04-19 18:18:36.043308', 'FINISHED', 2700, '2023-04-19 17:33:03.835238', 40, NULL, 23, 6, true, 'Тест Java', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (281, 66, 'r6ShBS5ekF4MgkWtM8FoHSenywbnRxyv', '', NULL, ' Гребенюк Алексей Андреевич', '2023-04-17 18:01:07.426104', '2023-04-17 18:17:45.987722', 'FINISHED', 2700, '2023-04-17 14:02:13.039076', 40, NULL, 23, 6, true, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (285, 69, 'qdOP5ww7GYRiatYyd2C574LVemTDWvbi', '', NULL, 'Test2', '2023-04-17 18:03:52.045051', '2023-04-17 18:05:30.429164', 'FINISHED', 2700, '2023-04-17 18:03:45.611242', 40, NULL, 23, 4, false, 'Java Junior+/Middle', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (278, 66, 'aj2wLLcirUV5XCoXI0Nnda0SHgkNCRwm', '', NULL, 'Березин Михаил', '2023-04-17 17:52:06.818015', '2023-04-17 18:17:15.999548', 'FINISHED', 2700, '2023-04-17 12:33:40.438602', 40, NULL, 23, 10, false, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (287, 71, 'WCuSjOOMSEJyj3KcRWSMvt4EappFWRHq', '', NULL, 'Золотов Владимир', '2023-04-17 18:26:25.994662', '2023-04-17 18:52:38.553228', 'FINISHED', 2700, '2023-04-17 18:13:29.872959', 40, NULL, 23, 15, false, 'Тест Java', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (292, 71, 'QCwDtReAGxgFbMEEsGUl2F1RTIQJF294', '', NULL, 'Пушпышев Антон', '2023-04-18 15:11:45.078025', '2023-04-18 15:46:09.22221', 'FINISHED', 2700, '2023-04-18 14:58:44.833993', 40, NULL, 23, 19, false, 'Тест Java', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (290, 71, 'JEmOZOpjW9i0Wa3ENe0Syq2zG2F8DeQD', '', NULL, 'Обухов Никита Викторович', '2023-04-18 12:22:01.531676', '2023-04-18 13:07:01.63078', 'FINISHED', 2700, '2023-04-18 12:14:48.60122', 40, NULL, 23, 4, false, 'Тест Java', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (297, 72, 'J7a4dlkRvKv6skjGoYfslCdK7F2185x2', '', NULL, 'Ларионова Галина', '2023-04-21 16:13:06.645051', '2023-04-21 16:37:54.934959', 'FINISHED', 2700, '2023-04-20 18:19:34.575785', 59, NULL, 23, 11, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (293, 71, 'hwMzL2BUczenQhBLPj5JOTD5Myz0vPau', '', NULL, 'Потякин Артём Владимирович', '2023-04-18 15:10:12.604607', '2023-04-18 15:49:37.276316', 'FINISHED', 2700, '2023-04-18 15:07:11.304629', 40, NULL, 23, 13, false, 'Тест Java', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (279, 66, 'K8WigXkzDXLAR6lgK6BCJBSiM6Hm5bft', '', NULL, 'Андреев Валентин Владимирович', '2023-04-18 18:23:43.269467', '2023-04-18 18:52:34.654603', 'FINISHED', 2700, '2023-04-17 12:34:22.772293', 40, NULL, 23, 7, true, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (296, 72, '8ifMWULrzevwCa6a373tsDWgnt5d7KnB', '', NULL, 'Подгорный Андрей', '2023-04-20 17:32:36.04425', '2023-04-20 17:47:54.634961', 'FINISHED', 2700, '2023-04-20 17:24:22.824679', 59, NULL, 23, 11, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (298, 72, 'G4nwQQHLFGTYKBGlxTPK7pOvc511H0FE', '', NULL, 'Калимов Даниил', NULL, NULL, 'NEW', 2700, '2023-04-24 16:11:44.018261', 59, NULL, 23, NULL, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (300, 72, 'vdPHh739TQ4Y6BO7x8w7jFLmVEYAYfHX', '', NULL, 'Аккулов Омар', '2023-04-24 16:26:06.537155', '2023-04-24 17:05:08.505328', 'FINISHED', 2700, '2023-04-24 16:24:03.491294', 59, NULL, 23, 12, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (299, 72, 'EpyaN8oQlyWE5NJ7DOikeMYRKromAa8b', '', NULL, 'Красник Владислав Сергеевич', '2023-04-24 17:09:10.32877', '2023-04-24 17:32:25.968779', 'FINISHED', 2700, '2023-04-24 16:12:29.788945', 59, NULL, 23, 10, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (301, 72, 'QyPiWbqrhry2MTNojQ7uKWAxRCmKNqzn', '', NULL, 'Константин Шитихин', '2023-04-25 15:04:20.407309', '2023-04-25 15:48:17.580597', 'FINISHED', 2700, '2023-04-24 17:20:58.308658', 59, NULL, 23, 10, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (303, 72, 'caklLqk92OQdoNuNRec7Q6HmS4veEBYi', '', NULL, 'Александр Бабаев', NULL, NULL, 'NEW', 2700, '2023-04-26 13:31:00.853588', 59, NULL, 23, NULL, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (305, 72, 'Cp8QUgY6XVHEanLUTsyqibMWko9gGy3G', '', NULL, 'Roman Shabalin', '2023-04-27 08:45:12.21012', '2023-04-27 09:19:47.202675', 'FINISHED', 2700, '2023-04-26 18:34:34.739429', 59, NULL, 23, 12, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (302, 72, 'HqX7L5u2TpM0vesBkX3zCuUwV5BvNPrz', '', NULL, 'Егоров Илья', '2023-04-26 00:43:25.917617', '2023-04-26 01:14:05.410199', 'FINISHED', 2700, '2023-04-25 17:22:04.381572', 59, NULL, 23, 11, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (304, 72, 'kGDx1s0B1gPalDs9DuIMOHHiQjevTVCt', '', NULL, 'Халитов Алмаз', '2023-04-26 18:17:26.228521', '2023-04-26 18:53:38.691691', 'FINISHED', 2700, '2023-04-26 18:12:04.672331', 59, NULL, 23, 12, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (311, 73, 'dxFQxyydEeQb8AF5qQ26UEa2UBuXsNA0', '', NULL, 'Чаплыгин Артем', '2023-04-27 11:09:08.489272', '2023-04-27 11:39:11.550214', 'FINISHED', 1800, '2023-04-27 11:08:22.286191', 40, NULL, 15, 0, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (313, 73, 'AWlLY8INe4d5vqa0zWEoCv8xSbMdJSn1', '', NULL, 'Калюжный Степан', '2023-04-27 11:38:43.318443', '2023-04-27 11:58:35.773371', 'FINISHED', 1800, '2023-04-27 11:08:58.060965', 40, NULL, 15, 14, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (307, 73, '8T1T7C19MnlMwshNTXQMcd8In7N8fXdQ', '', NULL, 'Проба', '2023-04-27 11:01:08.767674', '2023-04-27 11:01:50.694517', 'FINISHED', 1800, '2023-04-27 11:01:04.272704', 40, NULL, 15, 4, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (309, 73, 'vg2mT77b1LTXLHN7fscaRMR7ClPHQzVV', '', NULL, 'Корнилов Сергей', NULL, NULL, 'NEW', 1800, '2023-04-27 11:06:48.158868', 40, NULL, 15, NULL, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (321, 73, 'A4AteUK4YHsYl2KyaBYYGd9WmoS6Ztdg', '', NULL, 'Костенко Анатолий', '2023-05-01 14:03:22.97104', '2023-05-01 14:14:50.298605', 'FINISHED', 1800, '2023-04-27 15:00:08.422942', 40, NULL, 15, 12, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (314, 73, 'zgai776H8TMiPLlRqc39MHr5d3lEINtC', '', NULL, 'Евич Максим', NULL, NULL, 'NEW', 1800, '2023-04-27 11:11:17.476796', 40, NULL, 15, NULL, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (306, 73, 'qtfR9Ziit9aSmH100ZQc9q42udctCbqz', '', NULL, 'Иванов Дмитрий', '2023-04-27 16:31:57.419684', '2023-04-27 16:51:27.488355', 'FINISHED', 1800, '2023-04-27 11:00:34.938034', 40, NULL, 15, 9, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (317, 73, 'Vkpi2kCmaZ8IYrR7n8nEn898wrFrN1rO', '', NULL, 'Струй Ирина', NULL, NULL, 'NEW', 1800, '2023-04-27 11:28:43.754444', 40, NULL, 15, NULL, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (327, 73, 'TPGB5dLTwECyz12Pnt5RNxfCOnpqolXx', '', NULL, 'Ныров Арсен', '2023-05-01 16:48:28.78676', '2023-05-01 17:11:44.672888', 'FINISHED', 1800, '2023-04-28 18:05:58.59242', 40, NULL, 15, 13, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (312, 72, 'L1C3nlxMqNPl1ZhRfW8gI1OVsvBpdIbw', '', NULL, 'Белянин Андрей Алексеевич', '2023-04-27 11:21:44.487079', '2023-04-27 11:37:22.07773', 'FINISHED', 2700, '2023-04-27 11:08:45.836049', 59, NULL, 23, 7, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (323, 73, '3QIDjkBizTPj9yilIjvmMJ2htVK9fVDO', '', NULL, 'Кудрин Эдгар', '2023-04-27 19:21:53.897144', '2023-04-27 19:45:25.69479', 'FINISHED', 1800, '2023-04-27 18:18:01.494948', 40, NULL, 15, 11, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (322, 73, 'TqkSmyEOt4J1sqZ6vtR4uq5eQpyfbgxO', '', NULL, 'Швецов Анатолий', '2023-04-28 12:12:09.683846', '2023-04-28 12:25:17.830149', 'FINISHED', 1800, '2023-04-27 18:17:05.540987', 40, NULL, 15, 12, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (310, 73, 'GTxbIkFR8pKuIlkfY28fNMTM46XtU69O', '', NULL, 'Светенков Антон', '2023-04-27 11:20:42.791702', '2023-04-27 11:38:53.795743', 'FINISHED', 1800, '2023-04-27 11:07:26.83832', 40, NULL, 15, 12, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (318, 73, 'eXSHFSBiVa0bTAsenFcEpWWGcDGyOyAH', '', NULL, 'Черединин Роман', '2023-04-27 11:52:40.108685', '2023-04-27 12:12:08.979915', 'FINISHED', 1800, '2023-04-27 11:29:24.289712', 40, NULL, 15, 12, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (319, 73, 'FXU7s7a7VY1Ci58LNjDzx1pcOEpda8UI', '', NULL, 'Азизов Азиз', '2023-04-27 11:36:01.792594', '2023-04-27 12:05:23.619717', 'FINISHED', 1800, '2023-04-27 11:30:22.004789', 40, NULL, 15, 12, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (308, 73, '4jMUUSimxhnARBfbxGqQeql1rDRxN2gM', '', NULL, 'Хафизова Рушания', '2023-04-27 11:49:12.227456', '2023-04-27 12:04:01.779808', 'FINISHED', 1800, '2023-04-27 11:05:25.018022', 40, NULL, 15, 10, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (315, 73, '1dHIg9c7gjNPy5o5bUd6QyDGov2HS9yf', '', NULL, 'Цыбенова Светлана', '2023-04-27 11:43:00.183288', '2023-04-27 12:02:11.140726', 'FINISHED', 1800, '2023-04-27 11:11:57.069351', 40, NULL, 15, 13, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (320, 73, 'nR4xzzu1CTDhJCy2kb1rjk6dkieSpfA6', '', NULL, 'Шайдоров Дмитрий', '2023-04-27 17:04:06.033163', '2023-04-27 17:13:58.603087', 'FINISHED', 1800, '2023-04-27 14:58:27.793262', 40, NULL, 15, 9, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (316, 73, 'jfiHqsIK7rbpzXU9KTNvkvvbLUu27A0m', '', NULL, 'Соловьёв Никита', '2023-04-28 08:08:02.63602', '2023-04-28 08:22:11.100694', 'FINISHED', 1800, '2023-04-27 11:13:22.706872', 40, NULL, 15, 9, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (325, 73, 'HOXdP9akLezisdMQMyK9LhcDOgiRY88u', '', NULL, 'Христофоров Ярослав', '2023-04-28 14:13:47.729454', '2023-04-28 14:30:49.585456', 'FINISHED', 1800, '2023-04-28 14:09:51.92069', 40, NULL, 15, 12, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (332, 72, '9uOsvwSMK3CoCdTg1amOoJtTRRWd8yDG', '', NULL, 'Марк Биктиряков', NULL, NULL, 'NEW', 2700, '2023-05-02 12:10:45.636346', 59, NULL, 23, NULL, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (324, 73, '2hvjYiVXIZZraAU4zqBIJjptsRcURBg9', '', NULL, 'Харитонова Марина', '2023-04-28 13:26:10.650977', '2023-04-28 13:44:52.96907', 'FINISHED', 1800, '2023-04-28 11:28:21.297658', 40, NULL, 15, 13, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (639, 96, 'RxAsAtKokjfsAvyVLXgUpgtPr2j0T9gQ', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:31:13.429', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (335, 72, 'q252W9x0YeDB8GJOpif4HxQkiAehGnO3', '', NULL, 'Левенцов Дмитрий', '2023-05-02 15:59:05.69268', '2023-05-02 16:27:53.355484', 'FINISHED', 2700, '2023-05-02 14:16:04.87342', 59, NULL, 23, 10, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (331, 72, 'rAejOTzoL7328F2gW94IVHwGd1FbYjXs', '', NULL, 'Евгений Тархов', '2023-05-02 12:05:24.165334', '2023-05-02 12:44:24.176333', 'FINISHED', 2700, '2023-05-02 12:00:20.204946', 59, NULL, 23, 14, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (326, 73, 'M983uw758xAURyhGr8ECFhswbx0KrUcs', '', NULL, 'Голуб Игорь', '2023-04-29 21:17:07.156058', '2023-04-29 21:30:37.555776', 'FINISHED', 1800, '2023-04-28 14:15:30.145245', 40, NULL, 15, 10, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (334, 73, 'yEtReniasKole8UW99J2fHo9LOVaiYC0', '', NULL, 'Кенебаев Манас', NULL, NULL, 'NEW', 1800, '2023-05-02 13:36:41.396307', 40, NULL, 15, NULL, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (328, 73, 'CTHZlZ5ugncKuH7DMizNEreK7FYHAlKe', '', NULL, 'Андреев Кирилл', '2023-04-28 18:32:28.013866', '2023-04-28 18:46:11.814473', 'FINISHED', 1800, '2023-04-28 18:16:37.540001', 40, NULL, 15, 12, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (251, 66, 'QiOqKkKfzyyySj9GjeR27Fcn80kadwTK', '', NULL, 'Максимов Константин', '2023-05-02 14:50:10.302086', '2023-05-02 15:26:56.510032', 'FINISHED', 2700, '2023-03-31 13:50:54.461185', 40, NULL, 23, 11, true, 'Java-разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (338, 72, 'bLzh48DgTOH0j9M4bjsQF3aMiABhavZe', '', NULL, 'Пилпилашвили Максим', '2023-05-02 18:14:30.580888', '2023-05-02 18:59:31.854513', 'FINISHED', 2700, '2023-05-02 15:57:05.025636', 59, NULL, 23, 5, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (329, 73, 'rPuIHUuVcZHG4cN6nOOsZQHSfTNiG9YK', '', NULL, 'Величко Александр', '2023-05-02 22:03:46.286801', '2023-05-02 22:32:57.795424', 'FINISHED', 1800, '2023-04-28 18:17:28.629888', 40, NULL, 15, 10, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (339, 73, 'b2kHtSUL6zwk490wnjf3lsrccqJiJraI', '', NULL, 'Трифонов Никита', '2023-05-03 09:36:17.492015', '2023-05-03 09:49:54.836329', 'FINISHED', 1800, '2023-05-02 19:25:42.686049', 40, NULL, 15, 13, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (342, 73, '5QJTQlWcmAjDFuCRnzribJ5lgiK669Cx', '', NULL, 'Korolyov Maxim', '2023-05-03 13:32:46.484672', '2023-05-03 13:43:08.88744', 'FINISHED', 1800, '2023-05-03 11:15:33.348784', 40, NULL, 15, 12, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (341, 73, '32fcHc9vtnhRazwRKcv4Rde7Kt6OXvjt', '', NULL, 'Молофеев Максим', '2023-05-03 11:26:29.435626', '2023-05-03 11:46:01.834051', 'FINISHED', 1800, '2023-05-02 19:28:57.406815', 40, NULL, 15, 8, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (330, 73, 'ytIGvdug4lt2nme7niZgix5ZRcyGGOUi', '', NULL, 'Кузнецов Сергей', '2023-05-10 17:23:42.99435', '2023-05-10 17:48:00.184698', 'FINISHED', 1800, '2023-05-02 09:00:45.327044', 40, NULL, 15, 13, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (344, 73, 'pEDt698VVAKjFM6VQigimsS2UyZDpX3l', '', NULL, 'Степанов Григорий', '2023-05-03 13:33:00.209315', '2023-05-03 13:50:36.744226', 'FINISHED', 1800, '2023-05-03 12:54:18.737027', 40, NULL, 15, 14, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (337, 72, 'JExVYeyGqmszN6Q84bJdaJFT2aUCzOMb', '', NULL, 'Шайдуллов Шамиль', '2023-05-03 17:05:19.946464', '2023-05-03 17:43:57.365159', 'FINISHED', 2700, '2023-05-02 15:39:46.69236', 59, NULL, 23, 10, true, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (336, 72, '9r2YSKjS5EIdaEQ2ssRMXf0CmUR5LTgA', '', NULL, 'Пилпилашвили Максим', '2023-05-03 13:30:26.896063', '2023-05-03 13:58:46.580524', 'FINISHED', 2700, '2023-05-02 14:22:59.817486', 59, NULL, 23, 10, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (343, 73, 'AGav5WERAAJNQ33vDwMR5qcVrRj2srR7', '', NULL, 'Андреев Никита', '2023-05-10 21:35:25.72076', '2023-05-10 22:01:35.414247', 'FINISHED', 1800, '2023-05-03 11:20:10.749693', 40, NULL, 15, 10, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (347, 73, 'SgGiSdSbzDqV9eszCIIzZTuHOBSMDV9W', '', NULL, 'Беликов Владимир', NULL, NULL, 'NEW', 1800, '2023-05-03 12:59:01.84245', 40, NULL, 15, NULL, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (333, 73, 'OsNxF7OlT3ZNQYwaWEsvhUgPfTYJjbSX', '', NULL, 'Хиджакадзе Георгий', '2023-05-03 12:41:37.930507', '2023-05-03 13:01:29.425652', 'FINISHED', 1800, '2023-05-02 13:35:19.341012', 40, NULL, 15, 11, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (369, 75, 'XqAzdEMAUGzAGgJh8M9S3WWfcirUF9dj', '', NULL, 'Сергей Тинькофф', '2023-05-15 09:12:11.92649', '2023-05-15 09:50:41.846365', 'FINISHED', 3600, '2023-05-05 15:34:14.426069', 59, NULL, 30, 6, false, 'Java разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (340, 73, 'ZRc5leWZn8Y4jImN7dpkqSzJwYg8DcN6', '', NULL, 'Мелехин Виталий', '2023-05-03 13:40:01.377682', '2023-05-03 14:08:49.716739', 'FINISHED', 1800, '2023-05-02 19:27:46.630326', 40, NULL, 15, 9, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (348, 73, 'PSpOxhMZ5fthMvVpYAY4BOM3vimdhqPI', '', NULL, 'Шепелев Евгений', '2023-05-03 13:55:45.839931', '2023-05-03 14:16:52.533988', 'FINISHED', 1800, '2023-05-03 12:59:48.775394', 40, NULL, 15, 11, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (359, 75, 'zFx68NKyq7E9pdKjdQSxRSqRb1CjL4yA', '', NULL, 'тест 30 вопросов', '2023-05-05 12:15:58.419952', '2023-05-05 12:16:36.730817', 'FINISHED', 3600, '2023-05-05 12:15:51.613051', 59, NULL, 30, 4, false, 'Java разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (353, 73, '58UcqJ2O0Y7xqffc1kj2ajoh8n9VW4cT', '', NULL, 'Маталин Михаил', '2023-05-05 12:13:46.327936', '2023-05-05 12:27:30.817294', 'FINISHED', 1800, '2023-05-03 16:39:24.96425', 40, NULL, 15, 12, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (352, 72, 'dfyjhRP9ZXLsLEdWcOUEAWd6Nv5Fhsry', '', NULL, 'Никита', NULL, NULL, 'NEW', 2700, '2023-05-03 15:21:15.210181', 59, NULL, 23, NULL, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (351, 73, '5bcQBu9LHlQBE7aktZLgKbk6gzia63D0', '', NULL, 'Проба1', '2023-05-03 15:11:24.636693', '2023-05-03 15:41:29.247381', 'FINISHED', 1800, '2023-05-03 15:11:14.186927', 40, NULL, 15, 8, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (365, 73, 'ZUfO16eIBJnzpgxBaFx9hrwCdnBk0zER', '', NULL, 'Кирилов Владислав', '2023-05-09 17:34:10.33961', '2023-05-09 17:41:10.0551', 'FINISHED', 1800, '2023-05-05 15:16:38.154735', 40, NULL, 15, 10, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (346, 73, 'jnDoMI8Amu62N5Th48iBBNSXSxckfESB', '', NULL, 'Кенебаев Манас', '2023-05-03 16:54:16.630158', '2023-05-03 17:10:14.658735', 'FINISHED', 1800, '2023-05-03 12:58:22.228704', 40, NULL, 15, 14, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (349, 72, 'P2KWicj6cnZYcRayadnNp73YGEvhx1NI', '', NULL, 'Андрей', '2023-05-03 18:11:58.171912', '2023-05-03 18:29:37.460051', 'FINISHED', 2700, '2023-05-03 14:29:26.598001', 59, NULL, 23, 7, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (345, 73, 'qgd9QpM89sHEEGh6z3rHXKzq2EpB8Nij', '', NULL, 'Агантаев Александр', '2023-05-03 13:28:10.07702', '2023-05-03 13:47:31.748836', 'FINISHED', 1800, '2023-05-03 12:57:13.314985', 40, NULL, 15, 11, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (356, 74, 'WyjyMuEZom2kZYbLzzynJ385UtSb8ikV', '', NULL, 'test', '2023-05-04 12:17:02.64907', '2023-05-04 12:17:54.039082', 'FINISHED', 2700, '2023-05-04 12:16:53.795673', 59, NULL, 23, 2, false, 'Java Dev Middle-', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (364, 73, 'DXmc03NaFWy9fYEruDQZzbXMDZiI3cPw', '', NULL, 'Лобов Павел', NULL, NULL, 'NEW', 1800, '2023-05-05 15:15:52.449892', 40, NULL, 15, NULL, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (355, 72, '4cZgTSLSzMUcSziCH2z9uioR0g9pgDrz', '', NULL, 'Калянов Виктор', '2023-05-04 12:27:47.099076', '2023-05-04 12:54:14.659703', 'FINISHED', 2700, '2023-05-04 11:37:11.493884', 59, NULL, 23, 12, false, 'Java Middle- ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (367, 73, 'kEBHU1Bd30AkNikYBqsTVI5pryb9tASx', '', NULL, 'Ширяев Роман', '2023-05-05 22:12:57.909705', '2023-05-05 22:32:47.739779', 'FINISHED', 1800, '2023-05-05 15:26:30.759723', 40, NULL, 15, 11, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (358, 74, 'aZ7AgavPtVtFVlD6DKEgBeGEpXdUReFC', '', NULL, 'Субачев Данил', NULL, NULL, 'NEW', 2700, '2023-05-05 12:02:51.986821', 59, NULL, 23, NULL, false, 'Java Dev Middle-', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (370, 73, 'kKBMNs76dkIc8KMaUR0zFRT9oyBhQr4k', '', NULL, 'Слепцов Константин', '2023-05-05 15:48:45.201489', '2023-05-05 16:13:48.886596', 'FINISHED', 1800, '2023-05-05 15:44:02.96684', 40, NULL, 15, 13, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (357, 74, 'SeD8At6ZTmJcHf86T2mNApqcUCKkVcIO', '', NULL, 'Никита', '2023-05-05 11:15:52.682764', '2023-05-05 11:49:24.071231', 'FINISHED', 2700, '2023-05-05 11:13:48.639761', 59, NULL, 23, 12, false, 'Java Dev Middle-', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (363, 75, 'Udvnjj3HQoV48RJaRaCPaayLy30pKNN9', '', NULL, 'Целуйко Константин', '2023-05-05 22:39:57.181141', '2023-05-05 23:11:37.67669', 'FINISHED', 3600, '2023-05-05 14:25:35.767975', 59, NULL, 30, 13, false, 'Java разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (360, 75, 'hKCPX4UmUMhCAXsG1TcbyQykvrkLKjEz', '', NULL, 'Михаил', '2023-05-05 13:15:10.103657', '2023-05-05 13:51:41.668243', 'FINISHED', 3600, '2023-05-05 13:08:35.692121', 59, NULL, 30, 11, false, 'Java разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (362, 75, 'X5YElvXWfRKvZ3kEC3AqvRuIpXwb03YI', '', NULL, 'Ряднов Никита', '2023-05-05 14:40:32.291902', '2023-05-05 15:26:39.913825', 'FINISHED', 3600, '2023-05-05 14:22:40.860647', 59, NULL, 30, 11, false, 'Java разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (372, 75, 'oR6SjDQc53rHx1kWWFo1MxWKeYl6Ook2', '', NULL, 'Марина', '2023-05-05 22:42:15.621513', '2023-05-05 23:09:55.741536', 'FINISHED', 3600, '2023-05-05 15:49:20.493933', 59, NULL, 30, 9, true, 'Java разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (379, 71, 'lZugq8R2f76x9kwzAHWm2tuleEZEyhIp', '', NULL, 'Проба', '2023-05-10 11:42:19.84718', '2023-05-10 11:43:01.383902', 'FINISHED', 2700, '2023-05-10 11:42:14.560134', 40, NULL, 23, 6, false, 'Тест Java', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (368, 73, 'S5inz8ybkMoxZUkX02t98XDexfGJvZ5w', '', NULL, 'Кошмелев Дмитрий', '2023-05-08 10:18:40.031076', '2023-05-08 10:29:36.763256', 'FINISHED', 1800, '2023-05-05 15:27:20.161058', 40, NULL, 15, 11, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (361, 75, 'EWHqomkpn9QEXvQ19qT4M2HNqEJkqWqy', '', NULL, 'Илья', '2023-05-05 21:34:53.777456', '2023-05-05 22:17:17.811174', 'FINISHED', 3600, '2023-05-05 14:16:34.153891', 59, NULL, 30, 13, false, 'Java разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (371, 73, 'ckYf1QyQKQzUk3PqbB7E3DXyE1qUsOC1', '', NULL, 'Красавцев Александр', '2023-05-05 15:52:18.757854', '2023-05-05 16:00:36.01049', 'FINISHED', 1800, '2023-05-05 15:47:11.343406', 40, NULL, 15, 12, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (373, 75, 'QnrpYdg0BGaGqqaIQ6KO3wV91KMsUq3c', '', NULL, 'Эдуард Черкашин', '2023-05-05 15:57:45.780934', '2023-05-05 16:52:43.632703', 'FINISHED', 3600, '2023-05-05 15:54:23.510887', 59, NULL, 30, 3, false, 'Java разработчик', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (378, 73, 'HyQiSbLVaT5wCMDISqxS4TlRjCTpQSj6', '', NULL, 'Сим Александр', '2023-05-10 10:21:06.096948', '2023-05-10 10:41:09.183023', 'FINISHED', 1800, '2023-05-10 10:04:43.932723', 40, NULL, 15, 14, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (380, 76, 'QIqcnT2ek9T8LNXchgYNSlyw6B3Iz8Hj', '', NULL, 'Проба', '2023-05-10 11:45:56.306678', '2023-05-10 11:47:04.259861', 'FINISHED', 3600, '2023-05-10 11:45:51.823052', 40, NULL, 30, 6, false, 'Пробный тест', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (381, 77, 'QVbUingojFAPfpTEnIzRHIBM8wYowpu3', '', NULL, 'Тест1', '2023-05-10 11:48:16.711175', '2023-05-10 11:48:49.473526', 'FINISHED', 3600, '2023-05-10 11:47:53.938198', 59, NULL, 30, 3, false, 'Пробный', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (350, 73, 'Up9TycRHhTwQGb1OySW38aiF4ncUcN7d', '', NULL, 'Kuzhel Egor', '2023-05-03 14:58:53.165572', '2023-05-03 15:13:06.997083', 'FINISHED', 1800, '2023-05-03 14:51:53.161331', 40, NULL, 15, 13, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (366, 73, 'VDcUCiYsH1NHv8WXmFxSww1hYkE3pm1c', '', NULL, 'Никитчик Роман', '2023-05-10 10:34:11.91579', '2023-05-10 10:53:19.036635', 'FINISHED', 1800, '2023-05-05 15:19:22.915209', 40, NULL, 15, 13, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (376, 73, '2TGnLpFZsgKsm72F3hWqH8eSGWGM7sOy', '', NULL, 'Некрасов Степан', '2023-05-10 17:38:25.857691', '2023-05-10 18:07:50.345816', 'FINISHED', 1800, '2023-05-10 09:49:43.138549', 40, NULL, 15, 10, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (382, 78, 'vTV6fvfX7C656pmtg4MavahqhDAHm1p1', '', NULL, 'Проба', '2023-05-11 10:29:38.397424', '2023-05-11 10:30:35.967026', 'FINISHED', 3600, '2023-05-11 10:28:56.383277', 60, NULL, 30, 7, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (383, 79, 'gA3iyhrsIb7G1J1Ud6veqdrcWkeLHee9', '', NULL, 'Проба', '2023-05-11 10:32:01.639454', '2023-05-11 10:32:45.167396', 'FINISHED', 1800, '2023-05-11 10:31:51.531831', 60, NULL, 15, 4, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (354, 73, 'y1HEEu0qAQzaN0ydRHAoamq3lHJdoMj8', '', NULL, 'Журавлева Анна', '2023-05-16 17:27:14.91727', '2023-05-16 17:48:24.572321', 'FINISHED', 1800, '2023-05-03 16:57:58.639081', 40, NULL, 15, 8, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (375, 73, 'L3kWGRqKO2sKe65loY0Y2fNYvN2YrRoy', '', NULL, 'Янгулбаев Малик', '2023-05-12 15:38:36.599463', '2023-05-12 15:54:33.638484', 'FINISHED', 1800, '2023-05-10 09:49:09.337185', 40, NULL, 15, 13, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (374, 73, 'uXsWJSsXtbFLducYCPqaWIZihQPnrG0u', '', NULL, 'Асадова Медина', '2023-05-31 13:05:59.756712', '2023-05-31 13:22:04.065668', 'FINISHED', 1800, '2023-05-10 09:48:10.917886', 40, NULL, 15, 10, true, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (387, 78, 'bvQFPYydhD7vtjGKGLBG9BbIbs5qlsq5', '', NULL, 'Варданян Геворг ', '2023-05-15 21:21:29.459585', '2023-05-15 21:55:16.818604', 'FINISHED', 3600, '2023-05-11 10:47:24.017579', 60, NULL, 30, 22, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (388, 78, 'IYDv9JBjrG7k0rdZoSkxsQNHHv3jsWb1', '', NULL, 'Иванов Сергей', '2023-05-11 11:06:57.324693', '2023-05-11 11:47:45.997718', 'FINISHED', 3600, '2023-05-11 10:49:04.262387', 60, NULL, 30, 13, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (406, 81, 'XdAnUNQRhh5rzf692xdVUG4EIttR0pt2', '', NULL, 'Плиев Георгий', '2023-05-15 16:23:38.798459', '2023-05-15 16:33:00.869327', 'FINISHED', 1800, '2023-05-15 16:21:54.219439', 60, NULL, 15, 6, false, 'Тест на Java Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (403, 81, 'htmwbR5g0VJ2Mpex5uwPTvztKRdOLosq', '', NULL, 'Шабунин Егор', '2023-05-12 22:03:24.204391', '2023-05-12 22:24:10.288308', 'FINISHED', 1800, '2023-05-12 18:31:10.98889', 60, NULL, 15, 6, false, 'Тест на Java Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (377, 73, 'tMwe1CEb8gFhUsT4kueUiTSRFFSg1axh', '', NULL, 'Чеерчиев Шамиль', '2023-05-10 12:47:47.484669', '2023-05-10 13:11:12.143936', 'FINISHED', 1800, '2023-05-10 09:51:32.78756', 40, NULL, 15, 12, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (392, 78, 'R4nY7BXJ0IEOP2pSHUPsXpMjgMGZXUFH', '', NULL, 'Тюрников Святослав', '2023-05-11 21:08:34.424339', '2023-05-11 21:49:30.254809', 'FINISHED', 3600, '2023-05-11 14:22:50.795114', 60, NULL, 30, 18, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (391, 78, 'buB5b7zrvWhIzyH0I2oKjyjRzY77jE0y', '', NULL, 'Лосев Артем ', '2023-05-11 12:09:39.203675', '2023-05-11 13:09:41.012007', 'FINISHED', 3600, '2023-05-11 11:42:23.062985', 60, NULL, 30, 7, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (385, 78, 'Ss055qx6ujg17goPTrf5uoe5d0aO2uij', '', NULL, 'Артамонов Константин', '2023-05-11 12:20:21.893775', '2023-05-11 13:18:32.861648', 'FINISHED', 3600, '2023-05-11 10:42:07.167917', 60, NULL, 30, 21, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (384, 78, 'MPpEB7KmjRwChOhSUImf533WKAd40Hvr', '', NULL, 'Разумовский Виктор ', '2023-05-11 12:39:56.361798', '2023-05-11 13:11:44.488597', 'FINISHED', 3600, '2023-05-11 10:36:48.306626', 60, NULL, 30, 20, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (389, 78, 'A9FloMcfdPT0WpMdLBwjUkjbI9f0o5IF', '', NULL, 'Коротких Алексей', '2023-05-11 19:29:53.038314', '2023-05-11 20:23:09.583786', 'FINISHED', 3600, '2023-05-11 10:58:03.971738', 60, NULL, 30, 16, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (386, 78, '8Bgl4GI6rOAzoW6bRJJBcCVbAlHj2DUa', '', NULL, 'Кудрявцев Максим ', '2023-05-11 21:54:16.043028', '2023-05-11 22:38:40.561667', 'FINISHED', 3600, '2023-05-11 10:43:10.920432', 60, NULL, 30, 19, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (398, 78, 'eU5kqfHhJY4yM9kxE0cSb9o58l1uidq9', '', NULL, 'Корниенко Михаил', '2023-05-12 16:06:07.04076', '2023-05-12 16:52:50.239493', 'FINISHED', 3600, '2023-05-11 18:44:47.85593', 60, NULL, 30, 19, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (396, 78, 'u1WBQ6xkrgkCbZi7pGmU0CE555mQRxV4', '', NULL, 'Широкова Анастасия', '2023-05-11 14:49:28.106971', '2023-05-11 15:46:03.960609', 'FINISHED', 3600, '2023-05-11 14:44:17.872163', 60, NULL, 30, 18, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (394, 78, 'ysiKK2lqwwVrX4tRwCzGNMTcC1sbQqvY', '', NULL, 'Белов Юрий', '2023-05-11 15:00:08.19767', '2023-05-11 15:44:21.912289', 'FINISHED', 3600, '2023-05-11 14:31:21.443417', 60, NULL, 30, 18, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (395, 79, '3bCa1DGhrflf6zlTauYBY5tKOcdR5aGi', '', NULL, 'Братаев Максим', '2023-05-11 14:54:40.514589', '2023-05-11 15:11:36.269243', 'FINISHED', 1800, '2023-05-11 14:41:33.599165', 60, NULL, 15, 11, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (400, 78, 'cW0kCCzZ7q0kFPoOZ3isXmov4nJOe7iG', '', NULL, 'Ваньков Роман', NULL, NULL, 'NEW', 3600, '2023-05-12 17:47:09.192069', 60, NULL, 30, NULL, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (397, 78, 'vY4Y1WXIzyG6bMhUsJf2ZczjrPkRwjK3', '', NULL, 'Джатдоев Алибек', '2023-05-11 17:16:10.345708', '2023-05-11 17:42:20.101488', 'FINISHED', 3600, '2023-05-11 17:12:30.846101', 60, NULL, 30, 22, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (390, 78, 'rk0stMwMjbr7SPpYqBeh7bM2jELPvSuL', '', NULL, 'Князев Игорь', '2023-05-13 12:52:23.550936', '2023-05-13 13:30:41.298489', 'FINISHED', 3600, '2023-05-11 11:39:34.21595', 60, NULL, 30, 23, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (399, 78, 'pox18ghVUGsVNs3KDrC558eiIx03hCou', '', NULL, 'Саенко Егор', '2023-05-13 19:54:27.145851', '2023-05-13 20:51:40.399177', 'FINISHED', 3600, '2023-05-12 17:03:54.473824', 60, NULL, 30, 21, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (401, 80, 'UnHoFi5oiQiqax23CcD3y9XniottnHDL', '', NULL, 'проба', '2023-05-12 18:13:21.234993', '2023-05-12 18:13:59.747055', 'FINISHED', 2700, '2023-05-12 18:13:12.924207', 60, NULL, 23, 2, false, 'Тест на Java Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (393, 78, 'xjhqmGQV0rC9597kRzK1L8PUOPMRzpeq', '', NULL, 'Андрющенко Александр', '2023-05-13 15:55:41.309983', '2023-05-13 16:51:56.290131', 'FINISHED', 3600, '2023-05-11 14:28:54.584489', 60, NULL, 30, 15, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (402, 81, 'flVsJqwuGu90LDRx9Pfpn1FWXnbb26KA', '', NULL, 'проба', '2023-05-12 18:15:34.699619', '2023-05-12 18:15:59.322305', 'FINISHED', 1800, '2023-05-12 18:15:27.156092', 60, NULL, 15, 3, true, 'Тест на Java Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (408, 81, 'LmG8BmfiXTtsdb3UaLdxtYc28TTIotQb', '', NULL, 'Хлебко Сергей', '2023-05-18 16:01:42.683056', '2023-05-18 16:10:40.833001', 'FINISHED', 1800, '2023-05-18 14:36:35.305967', 60, NULL, 15, 8, false, 'Тест на Java Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (409, 78, 'ZWKc4EuoWPxaZOWIiy8X0Fzog2ilJr2m', '', NULL, 'Филиппов Лев', '2023-05-18 18:18:06.07361', '2023-05-18 19:07:24.202153', 'FINISHED', 3600, '2023-05-18 16:08:31.090228', 60, NULL, 30, 18, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (407, 79, 'glQ4YYyo7U5pkRdReUWestuEC8BCDO1c', '', NULL, 'Соловьев Андрей', '2023-05-15 21:37:29.980656', '2023-05-15 22:07:32.945573', 'FINISHED', 1800, '2023-05-15 16:45:19.773046', 60, NULL, 15, 11, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (405, 79, '1R6RZ8Jx90g2MzFvdjPjJib32EsZBZ8f', '', NULL, 'Аня Тостановская', '2023-05-15 16:20:55.375963', '2023-05-15 16:39:15.702486', 'FINISHED', 1800, '2023-05-15 16:00:35.325163', 60, NULL, 15, 9, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (404, 79, '8lntOeBXyqvw0jK0HfWdHFC37BqNHX74', '', NULL, 'Хлебко Сергей ', '2023-05-15 20:12:36.679643', '2023-05-15 20:22:48.130111', 'FINISHED', 1800, '2023-05-15 15:28:34.62432', 60, NULL, 15, 12, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (416, 78, 'GCJ86dUO7oXTFgRGeAmqcYsv8sHFB8Eu', '', NULL, 'Андриянов Артем', '2023-05-19 17:04:42.67303', '2023-05-19 17:43:34.769295', 'FINISHED', 3600, '2023-05-19 17:03:34.372466', 60, NULL, 30, 20, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (415, 78, 's5rPSluNkvs8m6AM9SCyZT7NScEJVREq', '', NULL, 'Шульга Антон', '2023-05-20 22:22:25.854418', '2023-05-20 23:21:32.635031', 'FINISHED', 3600, '2023-05-19 17:02:03.279145', 60, NULL, 30, 18, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (412, 78, 'iuY1yeevAd6LdMpJE7a54lMW54VrtKHF', '', NULL, 'Косоруков Роман', '2023-05-19 18:23:35.990066', '2023-05-19 19:22:12.505628', 'FINISHED', 3600, '2023-05-19 15:43:18.516812', 60, NULL, 30, 25, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (410, 79, 'qaxhFrzZS9umIcrCHvLdYoVs9CIXeOFP', '', NULL, 'Нуруллах', '2023-05-21 22:19:58.638879', '2023-05-21 22:35:46.515333', 'FINISHED', 1800, '2023-05-19 12:13:00.844167', 60, NULL, 15, 12, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (418, 79, 'e88OhI6rZvojLfMxoHEHTeG2scTPNgLn', '', NULL, 'Ярослав Смолин', '2023-05-24 11:22:41.799005', '2023-05-24 11:32:57.369978', 'FINISHED', 1800, '2023-05-23 17:35:17.303131', 60, NULL, 15, 8, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (413, 78, 'cEPVzZxMBKn5jmlvqC3tWXLGZpzxPvOW', '', NULL, 'Карп Дмитрий', '2023-05-21 15:15:18.365149', '2023-05-21 15:55:58.409663', 'FINISHED', 3600, '2023-05-19 16:54:33.028634', 60, NULL, 30, 18, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (417, 79, 'ThkYrshDo4KsvvLMSGmXXE7nJebWd9St', '', NULL, 'Васильева Юлия', '2023-05-23 10:43:15.244682', '2023-05-23 11:12:33.381402', 'FINISHED', 1800, '2023-05-22 10:19:48.187406', 60, NULL, 15, 11, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (414, 78, 'SgyHqdFwb5JHWR7AMb4740ng91WnUTbx', '', NULL, 'Наумов Андрей', '2023-05-24 12:44:04.847441', '2023-05-24 13:43:37.32085', 'FINISHED', 3600, '2023-05-19 17:00:20.898027', 60, NULL, 30, 23, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (420, 79, '9jpxtqWZwdr0xEjVo5n9aPSqEGDgMIen', '', NULL, 'Сергей Семенов', '2023-05-25 12:38:55.94998', '2023-05-25 12:52:03.573541', 'FINISHED', 1800, '2023-05-25 11:58:56.118915', 60, NULL, 15, 10, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (419, 78, 'm76XYMlLnqi2ELQKb0KQyIi1Ng68yOfP', '', NULL, 'Anatoly Chykiliou', '2023-05-24 22:37:12.352872', '2023-05-24 23:37:09.916313', 'FINISHED', 3600, '2023-05-24 14:46:18.873069', 60, NULL, 30, 14, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (421, 79, 'gQE8FWCtQPaCcGgVb7OIexo1COyPFyO3', '', NULL, 'Захарова Екатерина', NULL, NULL, 'NEW', 1800, '2023-05-25 12:39:02.237513', 60, NULL, 15, NULL, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (411, 78, 'vpWbwzmP5aQJ5kwIBP7gWVPOAoSy1Tka', '', NULL, 'Краюхина Марина', '2023-05-26 16:37:02.013078', '2023-05-26 17:27:03.317142', 'FINISHED', 3600, '2023-05-19 15:08:46.48867', 60, NULL, 30, 19, true, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (447, 79, 'tT2XicPMnwciROesONfkLxwI8QPhooOn', '', NULL, 'Бугельская Анна', '2023-06-06 16:51:38.571228', '2023-06-06 17:09:38.418884', 'FINISHED', 1800, '2023-06-05 15:45:42.352392', 60, NULL, 15, 10, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (422, 81, '3YGh3VMW5y5RS6ggpOo997zu0LTnDn1Z', '', NULL, 'Данил Пудовкин', '2023-05-25 19:17:32.098211', '2023-05-25 19:27:34.17359', 'FINISHED', 1800, '2023-05-25 13:35:47.132935', 60, NULL, 15, 8, false, 'Тест на Java Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (430, 79, 'Jya2zjDPMboirHy7tbpj5OpCkVncb0Bu', '', NULL, 'Зурабов Аслан', '2023-06-01 10:37:02.638739', '2023-06-01 10:58:12.183979', 'FINISHED', 1800, '2023-06-01 10:36:18.723884', 60, NULL, 15, 12, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (429, 79, 'H0sBrR0EhaiwIVrn6EJvFzIZj7uhQN7E', '', NULL, 'Полина Кузнецова ', '2023-06-01 15:22:07.178171', '2023-06-01 15:45:04.067716', 'FINISHED', 1800, '2023-06-01 10:33:40.141159', 60, NULL, 15, 11, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (424, 79, 'Ru7uKJRoKh75HfIR20tHS3KLYRGPR5aD', '', NULL, 'Фоменко Павел', '2023-05-26 11:44:30.271845', '2023-05-26 11:54:37.593297', 'FINISHED', 1800, '2023-05-25 17:07:25.772196', 60, NULL, 15, 11, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (427, 78, 'iJm2ZUKBP93OiTG1LcBIRCwyCKXdK5LW', '', NULL, 'Кулаков Юрий', NULL, NULL, 'NEW', 3600, '2023-05-26 17:53:58.035847', 60, NULL, 30, NULL, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (426, 79, 'jh1IXxmkpcwAR7lhgdTsHYVKQDkgT52F', '', NULL, 'Щербинин Сергей', '2023-05-28 23:41:44.254666', '2023-05-28 23:53:41.649007', 'FINISHED', 1800, '2023-05-26 12:43:42.546303', 60, NULL, 15, 12, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (423, 78, 'IIxPa1FNwjHkQSg48UbZFx5M12zNXyco', '', NULL, 'Никита Комиссаров', '2023-05-26 12:25:41.950153', '2023-05-26 12:46:21.787504', 'FINISHED', 3600, '2023-05-25 15:41:13.352044', 60, NULL, 30, 20, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (438, 79, 'ya4hPFOKG4G1PS27sAM92ZaZ0VCKXKXO', '', NULL, 'Станкевич Константин', '2023-06-01 17:00:59.943431', '2023-06-01 17:12:25.318941', 'FINISHED', 1800, '2023-06-01 16:28:23.452834', 60, NULL, 15, 13, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (428, 78, 'lhRAbZY0pDZUNHypIXpKKN9yEU9EtFTQ', '', NULL, 'Казачков Никита', '2023-05-30 15:11:17.183003', '2023-05-30 15:40:07.490614', 'FINISHED', 3600, '2023-05-29 14:18:19.077096', 60, NULL, 30, 14, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (431, 79, '32bMs0JR92kYTzSGRdsoWi6hi9FaFnfI', '', NULL, 'Семёнов Серей ', '2023-06-01 10:42:19.095138', '2023-06-01 10:52:58.684686', 'FINISHED', 1800, '2023-06-01 10:37:25.937485', 60, NULL, 15, 14, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (448, 79, 'sLzvYg7rakL9W5iRqT5lgUfxirGEiwwW', '', NULL, 'Рахмаев Умар', '2023-06-05 17:36:01.767559', '2023-06-05 17:49:19.135484', 'FINISHED', 1800, '2023-06-05 17:35:04.670368', 60, NULL, 15, 9, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (457, 79, '0veS5tsUGfJ5bYIXA9GvsJnsLW1hVkKi', '', NULL, 'Гареев Ильнур', '2023-06-08 21:29:43.519612', '2023-06-08 21:40:56.220775', 'FINISHED', 1800, '2023-06-08 15:54:09.750964', 60, NULL, 15, 10, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (449, 79, '6ZJUcFzPo6OfSSRnWYwANAYGeTvWkyl6', '', NULL, 'Оюн Ролан', '2023-06-06 19:42:37.237004', '2023-06-06 20:06:14.90804', 'FINISHED', 1800, '2023-06-06 16:59:35.606278', 60, NULL, 15, 14, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (446, 79, 'xkQtJApoy8neACDvdbzG9t5RtgMkiEot', '', NULL, 'Холмогоров Алексей', '2023-06-05 17:04:17.214516', '2023-06-05 17:28:04.650551', 'FINISHED', 1800, '2023-06-05 12:45:52.052476', 60, NULL, 15, 12, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (425, 79, 'NJaqpGrq69ZXLQQuprvH8sKcBOzBX7To', '', NULL, 'Мартаков Даниил', '2023-06-14 16:40:20.996077', '2023-06-14 16:52:37.243454', 'FINISHED', 1800, '2023-05-25 17:17:26.486181', 60, NULL, 15, 6, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (435, 79, 'tQno0LnHzyitxTjgMhtXOYNVTqCHi3jG', '', NULL, 'Сергей Степанов', '2023-06-01 14:02:03.354114', '2023-06-01 14:30:04.153682', 'FINISHED', 1800, '2023-06-01 13:43:21.387549', 60, NULL, 15, 10, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (436, 79, 'kfeO2xAAp7tBjy22NhlQ36vs5dnUMx0d', '', NULL, 'Татьянкин Владислав', NULL, NULL, 'NEW', 1800, '2023-06-01 14:53:06.247798', 60, NULL, 15, NULL, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (434, 79, 'bQoe9uHC5V3EzDDLwZnMokGjha0nLTHT', '', NULL, 'Пахтусов Иван', '2023-06-01 14:04:42.313601', '2023-06-01 14:18:28.854234', 'FINISHED', 1800, '2023-06-01 13:22:05.601961', 60, NULL, 15, 9, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (441, 79, 'xtAm7iwZOHQUqGxMIsko7KNbo2pgHVe2', '', NULL, 'Гамаюнов Данила', '2023-06-02 19:50:58.765651', '2023-06-02 20:05:32.591817', 'FINISHED', 1800, '2023-06-02 11:44:00.240205', 60, NULL, 15, 12, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (444, 79, 'TcMv5bXILxJW2uQvLYXOAmiz1zvoQYn3', '', NULL, 'Шиликхин Александр', '2023-06-04 13:17:38.896694', '2023-06-04 13:39:37.665373', 'FINISHED', 1800, '2023-06-02 17:22:54.498052', 60, NULL, 15, 12, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (445, 79, '5shXmOOqmxg5bz5D3azUIrm2OnhUpxMy', '', NULL, 'Силин Евгений ', '2023-06-03 10:16:04.478449', '2023-06-03 10:27:21.465637', 'FINISHED', 1800, '2023-06-02 17:23:39.734375', 60, NULL, 15, 12, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (440, 79, '3pPzHeUhuRKDiPtTyFgrJTGJNMtrTMLZ', '', NULL, 'Июров Тимофей', '2023-06-01 19:16:38.100892', '2023-06-01 19:40:53.488922', 'FINISHED', 1800, '2023-06-01 18:39:42.912656', 60, NULL, 15, 13, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (443, 79, 'qlMlnWEOYpDTxWECmsPf68EkAOVSXqah', '', NULL, 'Смирнов Сергей', NULL, NULL, 'NEW', 1800, '2023-06-02 14:20:27.957371', 60, NULL, 15, NULL, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (439, 79, '0VPU4wLOTDIGq32AxhB3dGiPoOWJdkJ8', '', NULL, 'Михаил Судаков', '2023-06-01 22:13:59.047526', '2023-06-01 22:29:10.097937', 'FINISHED', 1800, '2023-06-01 16:40:19.842604', 60, NULL, 15, 10, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (432, 79, 'NOLNP8lBQQ9c0Tyyw7QfinlvvRDERaCa', '', NULL, 'Махалин Роман', '2023-06-04 21:46:14.566123', '2023-06-04 22:04:46.577523', 'FINISHED', 1800, '2023-06-01 12:11:25.478774', 60, NULL, 15, 12, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (451, 79, 'i5EfWz0BjMClqsg4zmgBtp1BXduMeU0a', '', NULL, 'Журавлев Максим', NULL, NULL, 'NEW', 1800, '2023-06-07 10:27:11.709628', 60, NULL, 15, NULL, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (442, 79, 'UXzPlXbuG1xdm255pUVghrDDtfzA9kXg', '', NULL, 'Шамраев Александр', '2023-06-05 20:54:17.483697', '2023-06-05 21:15:04.241216', 'FINISHED', 1800, '2023-06-02 13:49:33.568176', 60, NULL, 15, 11, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (453, 79, 'pja8I9D9qVXcN6IYVvfNF03dTkBRybUY', '', NULL, 'Валякин Максим', '2023-06-07 11:56:50.182685', '2023-06-07 12:06:52.358804', 'FINISHED', 1800, '2023-06-07 11:55:33.301166', 60, NULL, 15, 11, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (452, 79, 'hkx76rvjuIYaTHGDRPmi1NRjRS3eDhkr', '', NULL, 'Жданов Максим', '2023-06-07 21:41:06.291598', '2023-06-07 21:55:15.155995', 'FINISHED', 1800, '2023-06-07 10:32:41.973412', 60, NULL, 15, 12, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (450, 79, 'vQ1N2A07pUJnOVIojqa3KYKs8LYj0xpB', '', NULL, 'Лушников Егор', '2023-06-07 10:49:28.751235', '2023-06-07 11:08:29.013909', 'FINISHED', 1800, '2023-06-06 18:47:52.300341', 60, NULL, 15, 10, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (455, 79, 'UCSPhndjB1mjJpuBLagEniqUgIg0CbXZ', '', NULL, 'Кузин Игорь', '2023-06-08 11:14:17.880784', '2023-06-08 11:40:06.138966', 'FINISHED', 1800, '2023-06-08 10:10:09.193781', 60, NULL, 15, 13, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (454, 79, 'j1RtpeLv8ABZe3YWtjDwAeUaUwTEnr6j', '', NULL, 'проба', '2023-06-07 12:33:42.599517', '2023-06-07 12:35:37.508864', 'FINISHED', 1800, '2023-06-07 12:33:15.953577', 60, NULL, 15, 6, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (456, 79, 'sXnqPhcvzdX3dFTeG3csLuTdra3DNBD9', '', NULL, 'Буров Андрей', '2023-06-08 14:43:26.736948', '2023-06-08 15:00:38.194008', 'FINISHED', 1800, '2023-06-08 14:23:26.986904', 60, NULL, 15, 11, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (459, 79, 'qzyajHHiJ8IwvC7kEwIMoE1fZTXcpNte', '', NULL, 'Аюпов Илгиз', '2023-06-09 11:56:38.998415', '2023-06-09 12:26:22.32858', 'FINISHED', 1800, '2023-06-09 11:48:25.857232', 60, NULL, 15, 12, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (460, 79, 'XEPj9QzNsiWE40xSjsMhRYdyrywhBAnS', '', NULL, 'Фабристов Альберт', '2023-06-09 11:57:33.183271', '2023-06-09 12:16:30.006674', 'FINISHED', 1800, '2023-06-09 11:53:10.46699', 60, NULL, 15, 11, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (458, 79, 'FrwFYRxihkQTR80yFTALAdiOMNP5tFM2', '', NULL, 'Мария Михайлова', '2023-06-09 15:50:06.931332', '2023-06-09 16:15:12.636639', 'FINISHED', 1800, '2023-06-09 10:49:38.188971', 60, NULL, 15, 12, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (462, 79, 'RbRu3TfXi0gPlWLC8q1QpEegHbbucRXE', '', NULL, 'Дуцев Илья', '2023-06-09 17:20:08.085437', '2023-06-09 17:28:40.116098', 'FINISHED', 1800, '2023-06-09 13:10:28.578097', 60, NULL, 15, 10, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (433, 79, 'IADRoUapJx0DgQbodXwl60CcSzoZPljO', '', NULL, 'Пахомов Матвей', '2023-06-16 13:40:21.192331', '2023-06-16 14:09:48.242744', 'FINISHED', 1800, '2023-06-01 13:20:42.983193', 60, NULL, 15, 8, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (437, 79, 'xx84V4po0no6tdY1JF20b04fWrbD0DAR', '', NULL, 'Есавкина Арина', '2023-06-01 19:51:40.710593', '2023-06-01 20:19:31.924837', 'FINISHED', 1800, '2023-06-01 14:54:49.679182', 60, NULL, 15, 11, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (461, 79, '1Qrt8zlt97dqKtWrxviOiQfsPBkQbR7C', '', NULL, 'Степанов Артем', '2023-06-09 13:11:28.260182', '2023-06-09 13:23:09.03174', 'FINISHED', 1800, '2023-06-09 13:06:34.040404', 60, NULL, 15, 9, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (464, 79, 'bsEdp6W7VhcpresomzOwNMkT8cx1wrV0', '', NULL, 'Якушенко Николай', NULL, NULL, 'NEW', 1800, '2023-06-13 09:47:27.086763', 60, NULL, 15, NULL, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (465, 79, 'TxCM8QifEm7FoWkLuxcn6Hro5L90HF07', '', NULL, 'Кулинич Дмитрий', '2023-06-14 14:52:59.767408', '2023-06-14 15:08:30.54235', 'FINISHED', 1800, '2023-06-13 17:46:59.276436', 60, NULL, 15, 11, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (466, 79, 'vPMsdnrM5AJwDp9YjnRwYW8oj3LsVxnI', '', NULL, 'Пантелеева Елена', NULL, NULL, 'NEW', 1800, '2023-06-14 16:18:07.003476', 60, NULL, 15, NULL, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (484, 81, 'qtnmlaiCAFkyjxcEWRHWxbL5Chohyn0T', '', NULL, 'Коваленков Максим', '2023-08-10 17:22:36.689008', '2023-08-10 17:33:24.036068', 'FINISHED', 1800, '2023-08-10 17:15:31.61025', 60, NULL, 15, 8, false, 'Тест на Java Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (467, 79, '0McYzj2MEp0vrm1NN7Bfrcu34k0Z4B4R', '', NULL, 'Глеб Игоревич', '2023-06-15 00:37:49.065704', '2023-06-15 00:53:12.741424', 'FINISHED', 1800, '2023-06-14 17:19:45.336158', 60, NULL, 15, 10, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (463, 79, 'L4Yjqo05oNmdwHOziJCyQNunWxlKQF9t', '', NULL, 'Терентьев Александр', '2023-06-17 20:40:18.385871', '2023-06-17 21:05:13.224649', 'FINISHED', 1800, '2023-06-09 13:39:19.140996', 60, NULL, 15, 12, false, 'Тест на React', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (483, 81, 'ko2leiB25NIjhAw3gBt504CxvpvA6GL5', '', NULL, 'Федоренко Егор', '2023-08-11 15:28:28.336743', '2023-08-11 15:39:52.542582', 'FINISHED', 1800, '2023-08-10 17:06:58.654391', 60, NULL, 15, 10, false, 'Тест на Java Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (468, 83, 'TBUC0kgUJiZmG72voI0pNbdMZvQ1u2ph', '', NULL, 'Проба раз', '2023-07-04 15:58:51.594067', '2023-07-04 16:00:33.803373', 'FINISHED', 3600, '2023-07-04 15:58:24.907593', 40, NULL, 30, 5, false, 'Проба', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (469, 73, 'eFF5dnaftgKT0Kseu7pSVDP3MX6ussd8', '', NULL, 'Пуцикин Антон', NULL, NULL, 'NEW', 1800, '2023-07-05 16:21:57.569304', 40, NULL, 15, NULL, false, 'Тест для Frontend', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (479, 78, 'VOqG2dLsFQkje9SmYD5AeWGfiMTAIXdr', '', NULL, 'Колпащиков Максим', '2023-08-09 13:35:02.181701', '2023-08-09 14:02:54.845637', 'FINISHED', 3600, '2023-08-09 13:31:34.421419', 60, NULL, 30, 15, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (470, 84, 'HIE6rSmjnnHghvrFlHSzdYIfSlpCqLD8', '', NULL, 'Проба1', '2023-07-14 18:54:54.686891', '2023-07-14 18:55:29.593712', 'FINISHED', 2700, '2023-07-14 18:54:47.251156', 40, NULL, 23, 4, true, 'Java for Junior+', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (476, 81, 'a07aUBMq1z3uYk8vF7C7t5jOuu8sR8Z3', '', NULL, 'Павлов Артём', '2023-08-09 13:36:27.371868', '2023-08-09 13:44:14.78893', 'FINISHED', 1800, '2023-08-08 17:29:25.547016', 60, NULL, 15, 7, false, 'Тест на Java Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (478, 78, 'C08CtYOX8qTflKYKyCRK8oZSYJtRVyxU', '', NULL, 'Егоров Илья', '2023-08-09 13:25:34.256564', '2023-08-09 14:25:14.102008', 'FINISHED', 3600, '2023-08-09 13:22:22.535138', 60, NULL, 30, 16, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (472, 85, '7tuuHTKXxjjlvAFvoFzvy2tzgNP5rbhP', '', NULL, 'Даниил', '2023-07-15 12:56:04.459687', '2023-07-15 13:17:35.088803', 'FINISHED', 1800, '2023-07-14 18:56:56.347992', 40, NULL, 15, 7, false, 'Java for Junior+', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (473, 71, 'lfWApd6kDIcuVAflGHPTZclfmhgLtC1P', '', NULL, 'Тест-проба', NULL, NULL, 'NEW', 2700, '2023-07-31 15:27:35.832312', 40, NULL, 23, NULL, false, 'Тест Java', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (477, 78, 'P7SZ65I4XxJ2mKzaaGDIE9ivf0iH7s4b', '', NULL, 'Смирнов Михаил', '2023-08-13 00:22:41.923972', '2023-08-13 01:22:40.564444', 'FINISHED', 3600, '2023-08-09 13:21:45.294996', 60, NULL, 30, 11, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (474, 81, 'yTbaGUC4i0cTBn7U2UvRvNXZEzKnARQo', '', NULL, 'Яколин Лев', '2023-08-07 17:45:31.381427', '2023-08-07 18:00:39.610283', 'FINISHED', 1800, '2023-08-07 17:43:07.743752', 60, NULL, 15, 10, false, 'Тест на Java Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (475, 81, '69OqAAqpZ2nDWiOQuKGbp0EkvL39wnjt', '', NULL, 'Кирьянов Никита', '2023-08-08 13:50:19.604508', '2023-08-08 13:59:57.818486', 'FINISHED', 1800, '2023-08-08 13:47:50.053492', 60, NULL, 15, 11, false, 'Тест на Java Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (481, 81, 'KONSjsUu7FR4QOgfwO1UjTzwgyel5s6u', '', NULL, 'Яковишин Максим', '2023-08-10 16:15:04.083589', '2023-08-10 16:24:45.759689', 'FINISHED', 1800, '2023-08-10 16:13:16.504293', 60, NULL, 15, 4, false, 'Тест на Java Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (482, 81, '3tdRyk52pe1ZMmnAanfmkWbPtxQsst9I', '', NULL, 'Когут Евгений', NULL, NULL, 'NEW', 1800, '2023-08-10 17:06:10.280954', 60, NULL, 15, NULL, false, 'Тест на Java Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (480, 78, 'YxhAoSi19Hh35EmpWGREaGnI9ELkWwYP', '', NULL, 'Улютичев Федор', '2023-08-10 16:09:59.374455', '2023-08-10 17:10:02.726327', 'FINISHED', 3600, '2023-08-10 10:47:09.804488', 60, NULL, 30, 12, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (489, 78, 'j3BhgceAofbocCFaJWCN7ClBaYdxQKjy', '', NULL, 'Мікіта Рашэтнік', '2023-08-18 15:27:59.454228', '2023-08-18 16:27:46.737698', 'FINISHED', 3600, '2023-08-15 12:32:55.285262', 60, NULL, 30, 13, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (486, 78, 'PBi9DYW8aoRxngBeVKokNqLzIIAV9Z6r', '', NULL, 'Сердюк Глеб', '2023-08-15 01:46:18.522664', '2023-08-15 02:20:40.255997', 'FINISHED', 3600, '2023-08-14 17:44:03.793577', 60, NULL, 30, 14, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (488, 78, '51SgLZCGZ2iTIUxL9xOpmt2xGK8COqXP', '', NULL, 'Шандакова Галина', '2023-08-15 16:05:51.212011', '2023-08-15 17:02:19.417191', 'FINISHED', 3600, '2023-08-15 11:35:54.191327', 60, NULL, 30, 24, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (497, 86, '9TupuulPp82dip0vC0gfqa4YoAViFiK5', '', NULL, 'Пузанов Максим', '2023-08-21 16:40:52.89219', '2023-08-21 17:17:14.015198', 'FINISHED', 2700, '2023-08-21 14:33:47.397234', 60, NULL, 23, 15, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (487, 86, 'dsg0YKKUcaZ9wpmLFvGjaYbQtJqYUZyT', '', NULL, 'я', '2023-08-15 11:22:39.553457', '2023-08-15 11:24:02.627053', 'FINISHED', 2700, '2023-08-15 11:21:51.884307', 60, NULL, 23, 7, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (492, 86, 'vPwnCiHYmzVNraXOgvgcFULqCSc7WuiA', '', NULL, 'Арифулин Александр', '2023-08-15 15:55:15.401195', '2023-08-15 16:37:31.957843', 'FINISHED', 2700, '2023-08-15 15:48:35.950727', 60, NULL, 23, 20, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (495, 86, 'G3bHBZLtfOcuDGPvYqDnl0vRJqmXPwlr', '', NULL, 'Фаритов Ильнар', '2023-08-18 12:10:30.24229', '2023-08-18 12:31:58.493755', 'FINISHED', 2700, '2023-08-18 12:02:39.103417', 60, NULL, 23, 15, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (493, 86, 'Mc9UZBXRSimfozzz9QSM1wUSeLlMAm6a', '', NULL, 'Шеин Вадим', '2023-08-18 14:41:23.647569', '2023-08-18 15:25:30.702134', 'FINISHED', 2700, '2023-08-18 10:33:45.51343', 60, NULL, 23, 12, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (485, 78, 'TWnZZGBWZctI9e8tKFxZclXNVr9u8sUV', '', NULL, 'Краснюков Иван Алексеевич', '2023-08-20 15:19:39.394764', '2023-08-20 16:18:08.44513', 'FINISHED', 3600, '2023-08-14 16:46:38.679455', 60, NULL, 30, 20, false, 'Тест на Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (490, 86, 'NonUcYKus7a2fare1yB6ZIbbfsOUY1Xl', '', NULL, 'Полина Маевская', '2023-08-18 17:47:46.220109', '2023-08-18 18:32:17.785617', 'FINISHED', 2700, '2023-08-15 12:33:16.90367', 60, NULL, 23, 11, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (494, 86, 'j4YmwOUiGvlhUAJj4Jhfoc02ogFykQeh', '', NULL, 'Виноградов Роман', '2023-08-18 23:25:27.456965', '2023-08-18 23:59:03.065013', 'FINISHED', 2700, '2023-08-18 12:02:07.203283', 60, NULL, 23, 13, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (496, 86, 'ixs3nhxM46h6GhfcLgw7KzxwUgH95HOF', '', NULL, 'Линник Даниил', '2023-08-22 13:35:27.999695', '2023-08-22 14:20:02.500949', 'FINISHED', 2700, '2023-08-18 12:42:52.37134', 60, NULL, 23, 16, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (491, 86, 'TeK0nCQzHAOJRFahZC35zrDfltOIfSCC', '', NULL, 'Мусылманбеков Болат', '2023-08-21 18:45:04.976639', '2023-08-21 19:09:35.327678', 'FINISHED', 2700, '2023-08-15 15:47:43.66856', 60, NULL, 23, 10, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (498, 86, 'PATx8AYEkuxO9ZXzM5dro3V4QJqVSFp9', '', NULL, 'Марунчак Игорь', '2023-08-21 18:53:01.286022', '2023-08-21 19:13:42.39964', 'FINISHED', 2700, '2023-08-21 15:57:49.701461', 60, NULL, 23, 14, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (499, 86, 'pqy5sPPBhENDc7rmI154eIPlWUDUKNb3', '', NULL, 'Колбасов Святослав', '2023-08-23 14:28:23.335971', '2023-08-23 14:49:43.724732', 'FINISHED', 2700, '2023-08-23 13:31:57.758302', 60, NULL, 23, 13, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (500, 86, 'vvSgMMjhVyGVWcK0NumwxLZXDNpiUNcP', '', NULL, 'Моллаев Зайнал', '2023-08-23 15:24:46.069092', '2023-08-23 16:03:17.45766', 'FINISHED', 2700, '2023-08-23 13:35:09.926761', 60, NULL, 23, 15, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (471, 85, 'WEtI2Suf29pG363AhECagUj25btRU4hT', '', NULL, 'Проба 1', '2023-07-14 18:56:09.199849', '2023-07-14 18:56:39.152804', 'FINISHED', 1800, '2023-07-14 18:56:02.386775', 40, NULL, 15, 2, false, 'Java for Junior+', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (501, 86, 'XrnXNZClWizz884aOtjZJHcmdqTqa2Qa', '', NULL, 'Калачев Захар', '2023-08-24 12:22:56.360117', '2023-08-24 13:05:11.769269', 'FINISHED', 2700, '2023-08-23 15:23:45.29443', 60, NULL, 23, 17, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (512, 86, 'C6oeapBqtytwwfytq4Jtro9cs0MU4DWE', '', NULL, 'Куликов Александр', '2023-09-07 12:12:03.523679', '2023-09-07 12:41:56.263117', 'FINISHED', 2700, '2023-09-07 12:01:07.444792', 60, NULL, 23, 12, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (502, 86, 'aG3BDMhJb6xaIErspnb7wtuCHVj38fUN', '', NULL, 'Смирнов Олег', '2023-08-25 21:06:36.638961', '2023-08-25 21:51:39.648923', 'FINISHED', 2700, '2023-08-23 18:15:51.125628', 60, NULL, 23, 10, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (504, 86, 'rzZ15F00OrO3U3s9lJwELmiWWNBtToXN', '', NULL, 'Ступень Юрий', '2023-08-28 11:10:25.345858', '2023-08-28 11:55:26.449805', 'FINISHED', 2700, '2023-08-25 15:56:45.919854', 60, NULL, 23, 10, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (520, 86, 'QplA2hjrcE1vXjmtaSOXlwRZvUip6o1z', '', NULL, 'Teliamishev Arsen', '2023-09-14 17:16:30.211592', '2023-09-14 17:34:54.885691', 'FINISHED', 2700, '2023-09-14 16:37:57.513218', 60, NULL, 23, 14, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (503, 86, 'kCAZHDcbZ4HX2sSJVXXd5FzKHmjvqun4', '', NULL, 'Йовановски Ненад', '2023-08-28 19:47:00.293079', '2023-08-28 20:31:28.030382', 'FINISHED', 2700, '2023-08-25 15:39:57.42083', 60, NULL, 23, 12, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (507, 86, 'EDUPWfNUYhSqaeFAd6RyE1Letu9O2CZ0', '', NULL, 'Andrei', '2023-09-25 17:41:38.339445', '2023-09-25 18:09:23.444683', 'FINISHED', 2700, '2023-09-04 18:24:08.467393', 60, NULL, 23, 13, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (505, 86, '55y9plI0ILcGJVaIht1O18H16P30L8HA', '', NULL, 'Platov Ivan', '2023-08-29 15:29:02.59761', '2023-08-29 16:10:05.333226', 'FINISHED', 2700, '2023-08-29 13:25:43.247119', 60, NULL, 23, 16, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (514, 86, '8c9yusRL9fc5lSehITCRTPhO7JUBULJw', '', NULL, 'Копылов Дмитрий', '2023-09-07 19:59:53.02743', '2023-09-07 20:27:50.992585', 'FINISHED', 2700, '2023-09-07 18:42:37.549031', 60, NULL, 23, 6, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (506, 86, '77vdXHBEkYgGPlPNlMN9Ljx5PjRY0t28', '', NULL, 'Спиридонов Алексей', '2023-09-04 11:29:54.497074', '2023-09-04 12:14:55.651006', 'FINISHED', 2700, '2023-09-04 10:52:39.716448', 60, NULL, 23, 11, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (515, 86, 'hhctCUkPQXzga4lCSNUnGdNMgNrgc7HI', '', NULL, 'Утешев Николай', '2023-09-11 21:06:10.496048', '2023-09-11 21:44:26.135712', 'FINISHED', 2700, '2023-09-11 16:05:18.348268', 60, NULL, 23, 16, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (508, 86, 'kyxmW3DilpYHEf6wtDzfJUxGKQ1nMqPA', '', NULL, 'Сергеев Никита', '2023-09-05 15:55:58.956032', '2023-09-05 16:32:13.747067', 'FINISHED', 2700, '2023-09-05 15:53:20.71317', 60, NULL, 23, 19, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (509, 86, 'DOF67bsiYt2HAejIVqH7zevAvnv0RF0U', '', NULL, 'Северинов Алексей', '2023-09-06 14:05:14.02157', '2023-09-06 14:36:52.995267', 'FINISHED', 2700, '2023-09-06 12:59:02.231876', 60, NULL, 23, 12, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (524, 86, 'b5JSejSqOPrqOiUlVkC8RbiR2LnoyOss', '', NULL, 'Щербаков Ярослав', '2023-09-26 14:05:36.439322', '2023-09-26 14:50:37.145449', 'FINISHED', 2700, '2023-09-25 17:21:28.450374', 60, NULL, 23, 6, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (517, 86, 'fo6XPRT47m2wQkwFeR2oYWOuBdbRlR4K', '', NULL, 'Горбунков Николай', '2023-09-12 12:10:45.32172', '2023-09-12 12:35:22.94388', 'FINISHED', 2700, '2023-09-12 11:48:16.30112', 60, NULL, 23, 14, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (510, 86, 'YE4UE9N2Sh1Mx1Nx5PjNOfOeTd5pDQDc', '', NULL, 'Антонов Александр', '2023-09-06 15:20:44.088707', '2023-09-06 15:35:22.388035', 'FINISHED', 2700, '2023-09-06 15:20:20.862265', 60, NULL, 23, 12, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (511, 86, 'qnj6QECxq7lLYXv13HZRDWTjRaUsAjPK', '', NULL, 'Бойков Денис', NULL, NULL, 'NEW', 2700, '2023-09-07 10:37:38.197854', 60, NULL, 23, NULL, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (525, 71, '1zLTWnEQZXJhMUXDtH5gFa5zqAhkMxCk', '', NULL, 'Пуцикин Антон', '2023-09-26 12:33:38.066342', '2023-09-26 13:18:41.97184', 'FINISHED', 2700, '2023-09-26 12:33:17.010445', 40, NULL, 23, 0, true, 'Тест Java', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (516, 86, 'GUCZsaD3wB1M39b0KM90yT5yk44Wx3wO', '', NULL, 'Борисов Илья', '2023-09-12 16:14:24.009861', '2023-09-12 16:58:30.987555', 'FINISHED', 2700, '2023-09-11 18:15:50.147999', 60, NULL, 23, 12, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (530, 93, 'Hh3el85Ggv8L9iNErPzuZwiNLeEJe5I8', '', NULL, 'С', '2023-09-27 15:39:14.213737', '2023-09-27 15:50:24.264909', 'FINISHED', 1800, '2023-09-27 15:39:03.957743', 51, NULL, 15, 15, false, 'React Test', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (513, 86, 'C9US0T1hTXhG1rbptlHVkpfaxwQCaXlk', '', NULL, 'Бульдович Андрей', '2023-09-15 11:22:30.532383', '2023-09-15 11:55:52.518035', 'FINISHED', 2700, '2023-09-07 13:00:10.925399', 60, NULL, 23, 10, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (519, 86, 'tOTEuNmY9XYqQPOQ91SO8R6qR7wZHJ4v', '', NULL, 'Земцов Сергей', '2023-09-14 14:55:11.063646', '2023-09-14 15:24:15.61883', 'FINISHED', 2700, '2023-09-14 14:43:54.294797', 60, NULL, 23, 13, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (521, 85, 'SrGlsFJLIFoAKXgUJQiPSiFVHqg9FQvF', '', NULL, 'Ческидов', '2023-09-21 14:27:15.170775', '2023-09-21 14:57:05.377546', 'FINISHED', 1800, '2023-09-21 14:19:15.425705', 40, NULL, 15, 15, false, 'Java for Junior+', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (522, 85, 'eNvfxVik56DNVMlclKNCOOmbnfs0wWuY', '', NULL, 'Чикилев', '2023-09-21 14:57:58.477071', '2023-09-21 15:24:56.982817', 'FINISHED', 1800, '2023-09-21 14:20:42.408489', 40, NULL, 15, 12, false, 'Java for Junior+', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (523, 87, 'Z1vAo8ZPVIuHdOEHwFVmGr18OEfWgPJA', '', NULL, 'fghfhg', '2023-09-24 17:43:43.830834', '2023-09-24 17:44:20.302154', 'FINISHED', 1800, '2023-09-24 17:43:23.250379', 51, NULL, 15, 4, false, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (526, 91, 'P5yr9NwomMdJMDFFUSEkym3jvNlvriDL', '', NULL, 'кристина', '2023-09-26 14:33:50.893731', '2023-09-26 14:35:01.606765', 'FINISHED', 2700, '2023-09-26 14:33:34.765536', 60, NULL, 23, 3, false, 'Java ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (527, 86, 'PBO76l6178qselxE2kZAKD584iaBx80F', '', NULL, 'кристина', '2023-09-26 14:36:09.883554', '2023-09-26 14:37:20.268282', 'FINISHED', 2700, '2023-09-26 14:36:02.462881', 60, NULL, 23, 6, true, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (531, 71, 'zgJKbZSvrL1trkkSTKjK0EcgHDdwLfsp', '', NULL, 'cfasdf', '2023-09-28 14:47:18.239766', '2023-09-28 14:48:29.914277', 'FINISHED', 2700, '2023-09-28 14:27:17.732615', 40, NULL, 23, 4, true, 'Тест Java', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (529, 90, 'keTRmi74NEx5PADdYkTKVz7LYS4EVcjk', '', NULL, 'ФИО...', '2023-09-27 11:33:35.24864', '2023-09-27 11:33:46.503227', 'FINISHED', 1800, '2023-09-27 11:33:17.157685', 51, NULL, 15, 0, true, 'Testy', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (528, 86, '8ZWqxabPuKDVyu64orq1tOdGmex4QNPW', '', NULL, 'Щербаков Ярослав ', '2023-09-27 10:19:43.964261', '2023-09-27 11:04:44.476651', 'FINISHED', 2700, '2023-09-26 14:37:51.898182', 60, NULL, 23, 14, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (532, 86, 'O5Tg2OIcbRLBXkGzEvFFJcOot1dHblOZ', '', NULL, 'Харьков Александр', NULL, NULL, 'NEW', 2700, '2023-09-29 11:49:53.078024', 60, NULL, 23, NULL, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (537, 86, '9MdhNYy5ehjkx0gsKBDol6pLJTJZ1h9B', '', NULL, 'Прыймак Александр', '2023-10-16 23:16:08.151902', '2023-10-17 00:00:53.223821', 'FINISHED', 2700, '2023-10-02 13:09:00.625078', 60, NULL, 23, 16, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (539, 90, '7P9RSOShnEPKDuunmX1dWscamEzzgmkt', '', NULL, 'Hdfgdfgdf Dfdgdgdfg', '2023-10-03 11:15:19.79908', '2023-10-03 11:15:31.423914', 'FINISHED', 1800, '2023-10-03 11:14:58.496627', 51, NULL, 15, 1, false, 'Testy', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (538, 86, 'rr6jhJ6WdRHtk0Kx1dRZ6dM61mVGacSX', '', NULL, 'Грязных Вадим', '2023-10-04 15:58:34.004167', '2023-10-04 16:16:25.626569', 'FINISHED', 2700, '2023-10-02 13:29:31.585048', 60, NULL, 23, 5, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (518, 86, 'keCCbJUbhkFM9HuxLPMkMRq05bEoAWqD', '', NULL, 'Иванов Виталий', '2023-10-06 16:24:50.974736', '2023-10-06 17:03:58.031417', 'FINISHED', 2700, '2023-09-13 15:44:45.841096', 60, NULL, 23, 16, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (540, 90, 's3fhjSeZSaGWaKYgxecWAc3Ca9DzWdTF', '', NULL, 'Hdfg Dfghfghfhfgh', '2023-10-03 11:15:57.077753', '2023-10-03 11:16:05.182014', 'FINISHED', 1800, '2023-10-03 11:15:51.592355', 51, NULL, 15, 1, false, 'Testy', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (535, 96, 'Nw88auWbeGrdlHEV2Ct1py2BuncKO51U', '', NULL, 'fghfgh', '2023-10-09 10:23:12.193401', '2023-10-09 11:08:16.854429', 'FINISHED', 2700, '2023-09-29 16:51:11.568494', 51, NULL, 23, 0, true, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (534, 96, 'GC6Fonrf5T5BqH3xlcgW0dLhDdNdvR1R', '', NULL, 'fhfgh', '2023-10-09 11:08:39.839748', '2023-10-09 11:53:41.941787', 'FINISHED', 2700, '2023-09-29 16:05:38.532298', 51, NULL, 23, 0, true, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (533, 96, 'POnePzxDQlO4GtuVMUtoxBZn20H6rCNf', '', NULL, 'dfgdgdfg', '2023-10-09 12:51:48.025059', '2023-10-09 13:36:52.138946', 'FINISHED', 2700, '2023-09-29 16:04:18.675903', 51, NULL, 23, 0, true, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (542, 87, '443vxSnvsiIMGU7FjMKGW7vbwKdu12OV', '', NULL, 'ФЫВ', '2023-10-03 14:18:37.28426', '2023-10-03 14:48:41.071423', 'FINISHED', 1800, '2023-10-03 14:15:47.36349', 51, NULL, 15, 0, false, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (543, 87, '2X4CFqvUgWoBOW2EY1HYq1SjrkzsJpMg', '', NULL, 'ASD', '2023-10-03 16:42:38.903928', '2023-10-03 17:12:41.347759', 'FINISHED', 1800, '2023-10-03 16:42:19.820514', 51, NULL, 15, 0, true, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (568, 88, '2NrfEq618MVE7dDeNS7Ar5aGJRrUE0LV', '', NULL, 's', '2023-10-12 11:37:02.253574', '2023-10-12 12:07:05.228892', 'FINISHED', 1800, '2023-10-12 11:36:40.143485', 51, NULL, 15, 0, false, 'Test Name', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (554, 92, 'X8Ui6ukQwWmi0xGcHmJjw4D7WGh5X2Mf', '', NULL, 's', '2023-10-10 15:25:21.151573', '2023-10-10 16:55:25.266544', 'FINISHED', 5400, '2023-10-10 15:25:09.154931', 51, NULL, 45, 0, true, 'Test', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (547, 86, 'iG4KLt92ge3FEAlq3A4pRWLH5tvQbmBS', '', NULL, 'Медведев Антон', '2023-10-06 12:39:18.557998', '2023-10-06 13:24:19.211852', 'FINISHED', 2700, '2023-10-06 12:37:36.39383', 60, NULL, 23, 4, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (548, 86, '4cgwsNFNFc7cyJjelbp2dGbqQkSaY16P', '', NULL, ' Медведев Антон 2', NULL, NULL, 'NEW', 2700, '2023-10-06 13:30:24.917787', 60, NULL, 23, NULL, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (567, 92, 'r4fQ2G4kpwuh7EZ7R78uvBlyTeqKsxFI', '', NULL, 's', '2023-10-11 16:13:58.965046', '2023-10-11 17:44:03.114877', 'FINISHED', 5400, '2023-10-11 16:13:44.519336', 51, NULL, 45, 0, false, 'Test', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (557, 89, 'xedbj5KV0kvj5xh5xDNeuYkHFVqNsama', '', NULL, 'Ф', '2023-10-10 16:18:50.286736', '2023-10-10 17:03:55.282535', 'FINISHED', 2700, '2023-10-10 16:18:34.073943', 51, NULL, 23, 0, true, 'vnvcvbcvb', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (545, 86, '62mGzfZtMiqYohDx7bdKIsufIJm71nnr', '', NULL, 'Бадеев Никита', '2023-10-06 16:49:39.224108', '2023-10-06 17:18:30.23662', 'FINISHED', 2700, '2023-10-05 17:25:05.08491', 60, NULL, 23, 14, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (536, 96, 'qqHbQI7og1Fah7sSMicjYC56aDu2uTN6', '', NULL, 'лорлоролр', '2023-10-09 09:36:40.539052', '2023-10-09 10:21:41.768052', 'FINISHED', 2700, '2023-10-02 12:29:19.333395', 51, NULL, 23, 0, true, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (580, 87, '7j8A3Do5vgWsIZCg5Xn1VkXscHDfXZRl', '', NULL, 'TEST', '2023-10-30 13:08:57.107798', '2023-10-30 13:38:59.028814', 'FINISHED', 1800, '2023-10-30 13:08:09.30699', 51, NULL, 15, 2, false, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (549, 86, 'MPwMcFK7fO4kmJn7TOkOrYTXnbE3KZrV', '', NULL, 'Дзвоник Евгений', '2023-10-09 10:00:43.315403', '2023-10-09 10:45:18.026683', 'FINISHED', 2700, '2023-10-09 09:53:50.138181', 60, NULL, 23, 14, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (558, 87, 'FYNVaJLkLcEFUHvSXz177HiApY3flBHW', '', NULL, 's', '2023-10-10 17:04:55.726615', '2023-10-10 17:35:00.342219', 'FINISHED', 1800, '2023-10-10 17:04:49.423277', 51, NULL, 15, 0, true, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (551, 86, 'YwPV50ma9ZQnOrvsEMRNjqOOhAVrsoKT', '', NULL, 'Адаменко Кирилл', '2023-10-09 15:43:11.852887', '2023-10-09 16:02:02.058954', 'FINISHED', 2700, '2023-10-09 15:41:34.532013', 60, NULL, 23, 14, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (544, 87, 'H4bjBCCfrn1I7xtKl4j03pBz08j3uPHY', '', NULL, 'ASD', '2023-10-05 17:02:37.669546', '2023-10-05 17:32:41.939499', 'FINISHED', 1800, '2023-10-03 16:59:07.723214', 51, NULL, 15, 0, false, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (550, 86, 'HKIyu3jofHxPtHl3oFq1RvjKzf8dPVsD', '', NULL, 'Шайхатаров Андрей', '2023-10-10 16:20:02.192691', '2023-10-10 16:41:22.213248', 'FINISHED', 2700, '2023-10-09 14:08:49.37697', 60, NULL, 23, 12, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (566, 87, 'ZbSSLVSCZRQaxXtw2WMtMr8wZOuoMQgl', '', NULL, 'as', '2023-10-11 15:33:57.201068', '2023-10-11 16:03:57.921233', 'FINISHED', 1800, '2023-10-11 15:33:34.40337', 51, NULL, 15, 2, false, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (552, 89, 'H2RzKCTIfAsZfbu9jHF7CRYVGcGZgAQQ', '', NULL, 'ASD', '2023-10-10 14:08:38.82771', '2023-10-10 14:53:40.032342', 'FINISHED', 2700, '2023-10-10 13:28:13.888475', 51, NULL, 23, 1, true, 'vnvcvbcvb', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (565, 87, 'uGzaPwQpkuMlDJjNUMExXMQBO60CqROE', '', NULL, 'a', '2023-10-11 14:49:43.008016', '2023-10-11 15:19:47.836644', 'FINISHED', 1800, '2023-10-11 14:49:30.78743', 51, NULL, 15, 0, false, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (564, 87, 'PwSpGDJ6Fl5jA46xvw04NkfOVEAOnItZ', '', NULL, 'ф', '2023-10-11 14:15:58.293173', '2023-10-11 14:46:02.77174', 'FINISHED', 1800, '2023-10-11 14:13:42.417903', 51, NULL, 15, 0, true, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (573, 86, '7ksAjuoRGzsXrvqC6UOPPj7xW86CeGZa', '', NULL, 'Сайдам Рустам', '2023-10-18 10:22:01.427016', '2023-10-18 11:04:01.694947', 'FINISHED', 2700, '2023-10-17 19:23:27.439089', 60, NULL, 23, 10, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (553, 92, 'AOBMevPLTOVdO5m1XpKiWhAEUYhy6NJK', '', NULL, 's', '2023-10-10 14:55:01.912635', '2023-10-10 16:25:05.207136', 'FINISHED', 5400, '2023-10-10 14:54:42.040404', 51, NULL, 45, 0, true, 'Test', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (555, 89, 'mlkUVEorkhAgsfh0aQhfPYm6UB8anQA5', '', NULL, 'd', '2023-10-10 15:56:12.853043', '2023-10-10 16:41:15.238357', 'FINISHED', 2700, '2023-10-10 15:56:02.984338', 51, NULL, 23, 1, false, 'vnvcvbcvb', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (563, 87, 'WojqPOQ6mU2ioOCW2ZYXAn1NT5EVyrAR', '', NULL, 'r', '2023-10-11 13:37:34.860222', '2023-10-11 14:07:37.697944', 'FINISHED', 1800, '2023-10-11 13:36:45.746043', 51, NULL, 15, 0, false, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (562, 87, 'HPn0ZmlnvS1e9IOITxWl5SGwqDTxMoQV', '', NULL, 'в', '2023-10-11 12:59:03.90412', '2023-10-11 13:29:07.623789', 'FINISHED', 1800, '2023-10-11 12:57:46.127961', 51, NULL, 15, 0, false, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (570, 86, 'y9KPypU7vwKUUSeNQbF6bTKSw8ecP20U', '', NULL, 'Фидаров Георгий', NULL, NULL, 'NEW', 2700, '2023-10-16 11:54:39.737393', 60, NULL, 23, NULL, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (560, 89, 'xoLiWCZq0042W8abeNUWVOOSusYF2xVq', '', NULL, 'd', '2023-10-11 10:52:54.410029', '2023-10-11 11:37:57.410306', 'FINISHED', 2700, '2023-10-11 10:52:31.215089', 51, NULL, 23, 0, true, 'vnvcvbcvb', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (559, 92, 'yIq7Ig3QgUzgalkXQ2ghgMGWnf41kS3n', '', NULL, 'asd', '2023-10-11 10:14:08.293025', '2023-10-11 11:44:12.422391', 'FINISHED', 5400, '2023-10-11 10:13:42.853493', 51, NULL, 45, 1, true, 'Test', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (561, 87, 'YWEDJ0qyypp3WwLk0WIYPa3OmIROkPh1', '', NULL, 'a', '2023-10-11 11:14:59.133606', '2023-10-11 11:45:02.424051', 'FINISHED', 1800, '2023-10-11 11:14:46.800653', 51, NULL, 15, 0, false, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (579, 89, 'gGp4KwIYSRrCAFFAKLt8EyzuUgyrtzjp', '', NULL, 'hjghjg', NULL, NULL, 'NEW', 2700, '2023-10-30 13:04:25.13232', 51, NULL, 23, NULL, false, 'vnvcvbcvb', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (569, 86, 'LxLBrZPFMUrC2MGzJ06WaTb0oGEMwRyq', '', NULL, 'Любимов Данил', '2023-10-16 11:47:08.029797', '2023-10-16 12:04:19.802682', 'FINISHED', 2700, '2023-10-16 11:46:07.977215', 60, NULL, 23, 14, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (577, 88, 'VH9y4fafi60XMCHOlKQwknVsnXhMR30P', '', NULL, 'asd', '2023-10-27 16:35:58.368622', '2023-10-27 17:06:01.538292', 'FINISHED', 1800, '2023-10-27 16:34:25.408898', 51, NULL, 15, 0, true, 'Test Name', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (571, 96, 'cZwL0XI3HtZHRiz7cJFqFTsJTu1rfUZS', '', NULL, 'f', NULL, NULL, 'NEW', 2700, '2023-10-17 15:51:43.884224', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (572, 96, 'xiMfc86Id3bNYg70KIphqnY5yOI4z8dC', '', NULL, 'fghfgh', NULL, NULL, 'NEW', 2700, '2023-10-17 15:51:57.108889', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (578, 86, 'FDQlM8cL9NUFX4lvbBaDDrwza9qce8Ey', '', NULL, 'Владислав Шепетков', '2023-10-29 20:42:31.782873', '2023-10-29 21:27:29.913701', 'FINISHED', 2700, '2023-10-27 16:50:06.191686', 60, NULL, 23, 14, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (574, 86, 'Y34lN5fX1Mqfpz0j78Z5ufFe6oW83NPh', '', NULL, ' Доценко Илья ', NULL, NULL, 'NEW', 2700, '2023-10-17 19:28:57.844881', 60, NULL, 23, NULL, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (575, 86, 'GVgIudtJkYHFiukmxmo8J156Ac5Bm8iU', '', NULL, 'Козырин Михаил', '2023-10-29 23:49:45.254592', '2023-10-30 00:34:37.008675', 'FINISHED', 2700, '2023-10-27 15:50:32.21557', 60, NULL, 23, 14, false, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (576, 87, 'LroXY47xZ0d8DziUvSlednZQPauLbhOv', '', NULL, 'asd', '2023-10-27 16:28:29.967077', '2023-10-27 16:58:31.523308', 'FINISHED', 1800, '2023-10-27 16:28:13.319868', 51, NULL, 15, 0, true, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (581, 96, 'NGqy0Twt3aiY86ixap6lPJ6X1G6Cfk8q', '', NULL, 'fgdfg', NULL, NULL, 'NEW', 2700, '2023-10-30 13:15:00.806032', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (546, 86, '9pHJejzECLqZSJuAplVDTVHGRSvbMUlV', '', NULL, 'Вячеслаев Сергей', '2023-10-30 12:50:25.25636', '2023-10-30 13:30:37.3517', 'FINISHED', 2700, '2023-10-06 11:38:26.701041', 60, NULL, 23, 14, true, 'Тест Java Developer ', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (582, 88, '5ixLECeFaG0kGEgFkiXis57g6GAJ9iKV', '', NULL, 'test vlad', '2023-10-31 15:23:33.670737', '2023-10-31 15:24:28.192394', 'FINISHED', 1800, '2023-10-31 15:20:50.543937', 51, NULL, 15, 2, true, 'Test Name', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (585, 87, 'Bkibs4pcVla73SgHUDbe4UMx3h7NRP26', '', NULL, 'Рычков Владислав Витальевич', NULL, NULL, 'NEW', 1800, '2023-11-01 09:48:08.701448', 51, NULL, 15, NULL, false, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (583, 87, 'uoLGSW4usJFElQscCvHGeVPqLGwBGcGw', '', NULL, 'тест', '2023-11-01 07:38:54.334406', '2023-11-01 08:08:58.888096', 'FINISHED', 1800, '2023-11-01 07:38:20.052377', 51, NULL, 15, 2, true, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (586, 87, 'vMSGGN26YjqLXkK5c0w8GxHG66tQBJtK', '', NULL, 'Рычков Владислав Витальевич тест длинного имени', NULL, NULL, 'NEW', 1800, '2023-11-01 09:48:39.353615', 51, NULL, 15, NULL, false, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (556, 89, 'SenUVfNSuuI1cOQxxzOW9KrxLXuPuLWD', '', NULL, 'Ф', '2023-10-11 09:40:51.379943', '2023-10-11 10:25:52.272972', 'FINISHED', 2700, '2023-10-10 16:18:33.852967', 51, NULL, 23, 0, false, 'vnvcvbcvb', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (587, 87, 'HvQ8Gu6Vcb2Op45KJ95v3nicVoxvCBC9', '', NULL, 'qwrweqrwer', NULL, NULL, 'NEW', 1800, '2023-11-01 10:08:23.360168', 51, NULL, 15, NULL, false, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (614, 101, 'tdACgHdDCvNpHgzDr6IxWKUD1AZYckAD', '', NULL, 'fghj', NULL, NULL, 'NEW', 2700, '2023-11-16 15:49:13.809', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (584, 87, 'EquDrm1JYjiXcjTbOaQqHBPsJQ0SPH5D', '', NULL, 'еуые', '2023-11-01 09:51:52.976194', '2023-11-01 10:21:54.139975', 'FINISHED', 1800, '2023-11-01 09:46:39.326612', 51, NULL, 15, 0, true, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (615, 96, '6rfuVGAljQaJp0EXvEsK2CHzreuBTIV6', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 15:50:07.978', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (588, 87, 'Wa38wZzh3FetryMNK77cnLujBTNpZ3xc', '', NULL, 'qwrweqrwer', '2023-11-01 10:08:48.485542', '2023-11-01 10:38:49.172795', 'FINISHED', 1800, '2023-11-01 10:08:23.373282', 51, NULL, 15, 2, true, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (616, 96, 'Twouey8kcDlJuvsBE8RZhpimwgRmzyZj', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 15:51:32.668', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (617, 96, 'eKasQOFg4n2YMbGbKJS0i5Xw25J1gIAi', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 15:52:21.442', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (618, 96, 'C66R6iODZ8UjNUaPYg4ecLfha1D6GmHU', '', NULL, 'ghgh', NULL, NULL, 'NEW', 2700, '2023-11-16 15:53:13.782', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (589, 87, '8aQs2kuOK8vEdhs9mHAclinKn4YDcjEB', '', NULL, 'zfgadfg', '2023-11-01 10:53:15.691063', '2023-11-01 11:23:19.258975', 'FINISHED', 1800, '2023-11-01 10:52:46.952041', 51, NULL, 15, 0, true, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (619, 96, 'UbXxtP2pZOLTpKPrgBl4vBEcXBuqNVRb', '', NULL, 'ьролр', NULL, NULL, 'NEW', 2700, '2023-11-16 15:53:45.33', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (620, 96, 'fUmiHcYz1L4pcXWScyN23NkWvGOUl8lr', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 15:55:21.804', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (621, 96, 'JIx5GNuZ0rBd1lNZZpN4b80ibJ3ntCrO', '', NULL, 'ьролр', NULL, NULL, 'NEW', 2700, '2023-11-16 15:55:40.442', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (622, 96, 'asgULi8itNQp02iEHurvEC4oPm2VErxy', '', NULL, 'llhjl', NULL, NULL, 'NEW', 2700, '2023-11-16 15:59:04.022', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (623, 101, '1z4p5xmSxnKgv3dc0t62YUaeiZCiNNvB', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:04:24.356', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (624, 96, '6vcOqEM2zc9ZQAbcY500tuKkgpTDGoWC', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:05:10.075', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (625, 101, 'PZ8tqEcaGmCWGG2Xxgn310PYZu0yw8Dp', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:06:33.888', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (626, 96, 'mF5BDiwtL7VNumYm4IJlN0mPiOBUWgFM', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:06:58.045', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (593, 96, '1rR4CYTgaAnP4ZXdEquVdNxoTsNW0Yma', '', NULL, 'fdgfdg', NULL, NULL, 'NEW', 2700, '2023-11-01 16:56:25.242433', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (590, 87, 'xUqsIj15KAEQhsPdeVZeBg5pcx9XxM7z', '', NULL, 'sdfasdfads', '2023-11-01 11:03:42.105345', '2023-11-01 11:33:44.277397', 'FINISHED', 1800, '2023-11-01 10:53:38.473102', 51, NULL, 15, 5, false, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (627, 96, 'V9L1HWqajcgf6xX0CmIzo5H0Om5vAoYK', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:10:04.944', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (591, 87, 'c3vgwgCHOl4VupkavM2t70T94wU4lzKb', '', NULL, '123123', '2023-11-01 12:37:55.876796', '2023-11-01 13:07:59.459166', 'FINISHED', 1800, '2023-11-01 12:36:43.150424', 51, NULL, 15, 4, false, 'dfdf', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (628, 96, 'hCUduMNJLzBdsHT3FXAobmfLj46u0k7u', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:10:48.123', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (629, 101, 'l8uHIujEkYiJzScnNnTIbZuA0uAqG7QZ', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:12:28.169', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (594, 89, 'UCVwcZJiTdaXs4Po6gGmi0gtwPbTAlBq', '', NULL, 'ASD', '2023-11-02 12:18:29.839999', '2023-11-02 13:03:32.191885', 'FINISHED', 2700, '2023-11-02 12:17:19.129962', 51, NULL, 23, 1, false, 'vnvcvbcvb', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (595, 101, '6TV8O6L2kd7jqLTueSa5BmSHDnwp2xZw', '', NULL, 'Ирина Константин', NULL, NULL, 'NEW', 2700, '2023-11-03 15:01:45.969973', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (596, 101, 'z0aVNEFffp0kLTi3xzyqq56za0EqKBbf', '', NULL, 'рорпо', NULL, NULL, 'NEW', 2700, '2023-11-03 15:02:26.068292', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (597, 101, 'QKMTM6nLd6MpBkJ7gEreNoyf5vBYZIdI', '', NULL, 'пврнв', NULL, NULL, 'NEW', 2700, '2023-11-03 15:03:30.060406', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (598, 101, '5nzVHW7CgPn3YPIDLAp1QjRevsMjwdBs', '', NULL, 'впкпкп', NULL, NULL, 'NEW', 2700, '2023-11-03 15:06:43.531075', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (599, 101, 'rIDe177zTALYDX0kriMPBLrreXqLnyfa', '', NULL, 'ы', NULL, NULL, 'NEW', 2700, '2023-11-03 21:34:49.551898', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (600, 101, 'MzdcSAKnqFWoHSYyw1yKHEYkS5OhR0Is', '', NULL, 'kjhjkh', NULL, NULL, 'NEW', 2700, '2023-11-16 11:02:03.35', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (601, 90, 'V5mQ8tcXFNfR4ANKvEdJ4gzdsoybCDFJ', '', NULL, 'v', NULL, NULL, 'NEW', 1800, '2023-11-16 11:23:01.018', 51, NULL, 15, NULL, false, 'Testy', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (602, 101, 's8axZoE7NQ4QcuYvfI3hb3Ast4UAYo2O', '', NULL, 'fgfg', NULL, NULL, 'NEW', 2700, '2023-11-16 13:46:49.101', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (603, 101, 'KWr7tTjnohY95vLNWLXTR9r2Ka9NBRmI', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 15:11:57.767', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (604, 101, 'Fwn5HHSmxM56OUre1GPEh7W6WYjLoXnj', '', NULL, 'ьролр', NULL, NULL, 'NEW', 2700, '2023-11-16 15:27:17.004', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (605, 101, 'xDnkfMUViDYMDhovTcmYTGhDKkpTAaOp', '', NULL, 'dfgd', NULL, NULL, 'NEW', 2700, '2023-11-16 15:27:46.25', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (606, 101, 'MpNW8TsxzqtMj8dJz9w45NGAh094HDls', '', NULL, 'dfgdg', NULL, NULL, 'NEW', 2700, '2023-11-16 15:28:12.284', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (607, 101, 'c2YwrYzYxBx7OREkGfBr4WmB8OpR5b0b', '', NULL, 'xdfxfsdf', NULL, NULL, 'NEW', 2700, '2023-11-16 15:28:37.062', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (608, 101, 'LofrjUXWRWrMMfKEZpIG6TZ9qL4gTFVf', '', NULL, 'dfdf', NULL, NULL, 'NEW', 2700, '2023-11-16 15:29:05.671', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (609, 101, '7qbVxWj7qALisosh7znDKIUePsQJZ2xb', '', NULL, 'vnvn', NULL, NULL, 'NEW', 2700, '2023-11-16 15:32:24.55', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (610, 101, 'mdUxjMBkCeuZp43CHnS81LAnxOr3IQ6N', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 15:33:01.666', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (611, 101, 'gMdhHHRwDH3ZK2ZS65U981LjbI6CGWlh', '', NULL, 'ьролр', NULL, NULL, 'NEW', 2700, '2023-11-16 15:36:08.941', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (612, 101, '0aJMsjKxj0rQ0eX46sKcregRO3rcsUHU', '', NULL, 'ghfgh', NULL, NULL, 'NEW', 2700, '2023-11-16 15:46:39.741', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (613, 96, '05vhoSAkXLhzVRg0oD7IycUWKDRtXseJ', '', NULL, 'fghgh', NULL, NULL, 'NEW', 2700, '2023-11-16 15:48:01.718', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (630, 96, '7ThuD3ghxAbdFwDnb94e8ezX1fuoZ87p', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:18:38.838', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (631, 96, '9Bq13k3QF2kShR32kefDesq8MXmJPa1m', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:19:51.769', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (632, 92, 'IsE8pQGfXIt09Z9cYBKoAtXyVSxBd16J', '', NULL, 'fgh', NULL, NULL, 'NEW', 5400, '2023-11-16 16:20:28.376', 51, NULL, 45, NULL, false, 'Test', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (633, 96, 'DZ0aniyh4K34NqNynVEKMQPEHX8pwift', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:22:28.239', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (634, 96, 'xpBVAC1v37YFasYokL5xnaQQhXUdNF8m', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:23:36.707', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (635, 96, '5mLb5QDTRvVu3rMkwNFisBgOq6zOPkXG', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:24:06.588', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (636, 96, 'PawC1CQCcmrCI8gXVL1eKgpVxDKN1VkS', '', NULL, 'ьролр', NULL, NULL, 'NEW', 2700, '2023-11-16 16:24:33.693', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (637, 96, 'kMFFlZH7f6IBEkI4gWZ5zljJynt7BTpd', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:27:30.328', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (638, 93, 'oBVNRmdJJFI5M0Tz0ukKSHXtF8kqXcpV', '', NULL, 'fgh', NULL, NULL, 'NEW', 1800, '2023-11-16 16:29:10.182', 51, NULL, 15, NULL, false, 'React Test', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (641, 96, 'TQwrJpEcKKp29TkB18B3wTplVM6w7l6d', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:36:07.278', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (642, 96, 'XOVMgPOvdc6Xo5eV2nZwuQOiLRV7u7jP', '', NULL, 'ьролр', NULL, NULL, 'NEW', 2700, '2023-11-16 16:36:44.323', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (643, 96, 'XzlIdBhvEJKx1Dm6teLOPMMN5Ge5UFOA', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:38:28.485', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (644, 96, '3it6qs2404zK8x3cJBqCiwCaiwX4Oh4h', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:39:09.494', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (645, 96, 'NI90rKJKREw6SDn99rzieX9Cx3GA9xzs', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:42:04.053', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (646, 96, 'SROuFUcRmM5yMSJPdWoW08SI93wuNB1B', '', NULL, 'ьролр', NULL, NULL, 'NEW', 2700, '2023-11-16 16:44:53.173', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (647, 96, 'GRn4pKDiwzBhX2yeuykIAKCNJGkvXIJx', '', NULL, 'ьролр', NULL, NULL, 'NEW', 2700, '2023-11-16 16:45:12.753', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (648, 96, 'R8W0mlzAjmhIv0d2D97j4boqQEMbfhqy', '', NULL, 'fgh', NULL, NULL, 'NEW', 2700, '2023-11-16 16:45:44.305', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (649, 96, 'CWnEr18jV4EuUZIpb8TZADFbqzx8Tm2Q', '', NULL, 'ьролр', NULL, NULL, 'NEW', 2700, '2023-11-16 16:47:05.546', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (650, 96, 'o0NTAsyZyNzvAarzRdrWIdrMSc3GSwOf', '', NULL, 'ьролрhgj', NULL, NULL, 'NEW', 2700, '2023-11-16 16:48:33.023', 51, NULL, 23, NULL, false, 'fhfgh', true, NULL, false);
INSERT INTO public.candidate_tests VALUES (651, 101, '1DvK7G5gzlJNKy7BAQ1oXZMx331Hm6P7', '', NULL, 'hgjghj', NULL, NULL, 'NEW', 2700, '2023-11-16 16:49:21.97', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (652, 101, '97yBM9BuzCha81wXKkQ0JBeOqT9GyTIw', '', NULL, 'аывап', NULL, NULL, 'NEW', 2700, '2023-11-22 09:20:51.364', 51, NULL, 23, NULL, false, 'QA Junior', false, NULL, false);
INSERT INTO public.candidate_tests VALUES (592, 87, 'ydBQHbSgyAJIzjySDJzPdBuZ4oZNsFCG', '', NULL, '123123', '2023-11-01 13:25:03.985719', '2023-11-01 13:55:04.548919', 'FINISHED', 1800, '2023-11-01 13:23:41.639718', 51, NULL, 15, 4, false, 'dfdf', false, NULL, false);


--
-- Data for Name: company_infos; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.company_infos VALUES (1, 'OOO', 'Тестлаб', '7707796608', '774301001', NULL, '044525974', NULL, '30101810145250000974', 'Тинькофф Банк', 'г. Москва, Волоколамское шоссе, д.15/22', 'г. Москва, Волоколамское шоссе, д.15/22', 'Мелешко Максим Константинович', 'Мелешко Максим Константинович', 'г. Москва, Волоколамское шоссе, д.15/22', 'I', '2022-03-23 10:35:09.986255+00', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru');
INSERT INTO public.company_infos VALUES (2, 'OOO', 'Тестлаб', '7707796608', '774301001', '1137746103648', '044525974', NULL, '30101810145250000974', 'Тинькофф Банк', 'г. Москва, Волоколамское шоссе, д.15/22', 'г. Москва, Волоколамское шоссе, д.15/22', 'Мелешко Максим Константинович', 'Мелешко Максим Константинович', 'г. Москва, Волоколамское шоссе, д.15/22', 'I', '2022-04-04 20:41:57.401525+00', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru');
INSERT INTO public.company_infos VALUES (3, 'IP', 'Юрдическое', '1111111111', '111111111', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'Получатель Получателевич', 'г. Адрес, ул. Почтовая', 'I', '2022-04-06 03:06:24.441836+00', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru');
INSERT INTO public.company_infos VALUES (4, 'OOO', 'Тестлаб', '0001111199', '111111111', '1111111111111', '111111111', '11111111111111111111', '11111111111111111111', 'Банковский банк', 'ул. Юридическая, д. 7', 'ул. Фактическая, д. 7', 'Генеральный Директор Фиович', 'Получатель Получателевич', 'г. Адрес, ул. Почтовая', 'U', '2022-06-28 20:51:15.844785+00', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru');
INSERT INTO public.company_infos VALUES (5, 'IP', 'Юридическое название компании', '1111111111', '111111111', '111111111111111', '111111111', '11111111111111111111', '11111111111111111111', 'Название банка', 'Юридический адрес', 'Фактический адрес', 'ФИО Генерального директора', 'ФИО Получателя писем', 'Почтовый адрес', 'I', '2022-07-06 10:19:13.93424+00', 'ble89305@jeoce.com', 'ble89305@jeoce.com');
INSERT INTO public.company_infos VALUES (6, 'OOO', 'ТестПро', '1009990011', '129140124', '4128491849118', '424999201', '49124190249102941209', '41249192849812498499', 'Альфа банк', 'г. Москва, ул. Юридическая, д1', 'г. Москва, ул. Фактическая , д2', 'Владимиров Владимир Владимирович', 'Владимиров Владимир Владимирович', 'г. Москва, ул. Почтовая , д1', 'I', '2022-07-11 12:53:19.019237+00', 'iredplanet@gmail.com', 'iredplanet@gmail.com');


--
-- Data for Name: company_infos_history; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.company_infos_history VALUES (1546, 4, 'IP', 'Юрдическое', '1111111111', '111111111', '1111111111111', '111111111', '11111111111111111111', '11111111111111111111', 'Банковский банк', 'ул. Юридическая, д. 7', 'ул. Фактическая, д. 7', 'Генеральный Директор Фиович', 'Получатель Получателевич', 'г. Адрес, ул. Почтовая', 'I', '2022-05-29 14:56:03.968032+00', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru');


--
-- Data for Name: flyway_schema_history; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.flyway_schema_history VALUES (1, '0', 'init', 'SQL', 'V0__init.sql', 1649828415, 'test_sys', '2020-10-08 21:34:49.643949', 1604, true);
INSERT INTO public.flyway_schema_history VALUES (2, '1.0.0.0', 'name for user', 'SQL', 'V1_0_0_0__name_for_user.sql', 230793259, 'test_sys', '2020-10-08 21:34:51.275704', 64, true);
INSERT INTO public.flyway_schema_history VALUES (3, '1.0.0.4', 'viewed filed for candidate tests', 'SQL', 'V1_0_0_4__viewed_filed_for_candidate_tests.sql', -997205543, 'test_sys', '2020-10-15 22:13:40.609164', 3, true);
INSERT INTO public.flyway_schema_history VALUES (4, '1.0.0.1', 'rates', 'SQL', 'V1_0_0_1__rates.sql', -1107947469, 'test_sys', '2020-11-03 18:52:30.842449', 172, true);
INSERT INTO public.flyway_schema_history VALUES (5, '1.0.0.2', 'orders', 'SQL', 'V1_0_0_2__orders.sql', 854634631, 'test_sys', '2020-11-03 18:52:31.04875', 162, true);
INSERT INTO public.flyway_schema_history VALUES (6, '1.0.0.3', 'orders view', 'SQL', 'V1_0_0_3__orders_view.sql', 22318102, 'test_sys', '2020-11-03 18:52:31.232748', 54, true);
INSERT INTO public.flyway_schema_history VALUES (7, '1.0.0.5', 'drop extra constraint', 'SQL', 'V1_0_0_5__drop_extra_constraint.sql', 2075540875, 'test_sys', '2020-11-14 23:35:34.27037', 3, true);
INSERT INTO public.flyway_schema_history VALUES (8, '1.0.0.6', 'name for candidate test', 'SQL', 'V1_0_0_6__name_for_candidate_test.sql', -1577611407, 'test_sys', '2020-12-03 14:31:06.878391', 3, true);
INSERT INTO public.flyway_schema_history VALUES (9, '1.0.0.7', 'user phone filed extended', 'SQL', 'V1_0_0_7__user_phone_filed_extended.sql', 1477439917, 'test_sys', '2020-12-06 20:53:44.096018', 3, true);
INSERT INTO public.flyway_schema_history VALUES (10, '1.0.0.8', 'subjects for different emails', 'SQL', 'V1_0_0_8__subjects_for_different_emails.sql', -1978247955, 'test_sys', '2020-12-06 20:53:44.137701', 3, true);
INSERT INTO public.flyway_schema_history VALUES (11, NULL, 'add topics', 'SQL', 'R__add_topics.sql', -1494040620, 'test_sys', '2021-04-14 18:47:49.487956', 10, true);
INSERT INTO public.flyway_schema_history VALUES (12, '1.0.0.9', 'company infos', 'SQL', 'V1_0_0_9__company_infos.sql', 1871814884, 'test_sys', '2022-03-23 04:18:35.901706', 180, true);
INSERT INTO public.flyway_schema_history VALUES (13, '1.0.0.10', 'subscription', 'SQL', 'V1_0_0_10__subscription.sql', -32190714, 'test_sys', '2022-04-02 06:11:10.118923', 9, true);
INSERT INTO public.flyway_schema_history VALUES (14, '1.0.0.11', 'orders doc request', 'SQL', 'V1_0_0_11__orders_doc_request.sql', -243431032, 'test_sys', '2022-04-06 05:37:46.944045', 7, true);
INSERT INTO public.flyway_schema_history VALUES (15, '1.0.0.12', 'question level simplified', 'SQL', 'V1_0_0_12__question_level_simplified.sql', -590782347, 'test_sys', '2022-05-21 23:39:11.222971', 22, true);
INSERT INTO public.flyway_schema_history VALUES (16, '1.0.0.13', 'sys param invoice path', 'SQL', 'V1_0_0_13__sys_param_invoice_path.sql', 940757315, 'test_sys', '2022-05-29 17:47:59.410063', 3, true);
INSERT INTO public.flyway_schema_history VALUES (17, '1.0.0.14', 'sys param invoice path', 'SQL', 'V1_0_0_14__sys_param_invoice_path.sql', -2007508314, 'test_sys', '2022-05-29 17:53:46.075811', 3, true);
INSERT INTO public.flyway_schema_history VALUES (18, '1.0.0.15', 'order drop not null', 'SQL', 'V1_0_0_15__order_drop_not_null.sql', 1341618219, 'test_sys', '2022-06-20 14:23:36.73898', 3, true);
INSERT INTO public.flyway_schema_history VALUES (19, '1.0.0.16', 'questions drop not null', 'SQL', 'V1_0_0_16__questions_drop_not_null.sql', -1526758419, 'test_sys', '2022-06-20 14:55:46.72031', 3, true);
INSERT INTO public.flyway_schema_history VALUES (20, '1.0.1.0', 'add position to tests', 'SQL', 'V1_0_1_0__add_position_to_tests.sql', -321444848, 'test_sys', '2023-11-15 16:01:37.300719', 3, true);
INSERT INTO public.flyway_schema_history VALUES (21, '1.0.1.1', 'add result code table', 'SQL', 'V1_0_1_1__add_result_code_table.sql', 907044214, 'test_sys', '2023-11-15 16:01:37.33411', 88, true);
INSERT INTO public.flyway_schema_history VALUES (22, '1.0.1.2', 'add history to tests', 'SQL', 'V1_0_1_2__add_history_to_tests.sql', 1520420209, 'test_sys', '2023-11-20 19:00:21.420214', 3, true);
INSERT INTO public.flyway_schema_history VALUES (23, '1.0.1.3', 'add position to questions', 'SQL', 'V1_0_1_3__add_position_to_questions.sql', 249378104, 'test_sys', '2023-11-22 17:15:17.517823', 23, true);
INSERT INTO public.flyway_schema_history VALUES (24, '1.0.1.4', 'add archived flag to candidate tests', 'SQL', 'V1_0_1_4__add_archived_flag_to_candidate_tests.sql', 1846472943, 'test_sys', '2023-11-24 15:34:55.763432', 60, true);
INSERT INTO public.flyway_schema_history VALUES (25, NULL, 'add topics', 'DELETE', 'R__add_topics.sql', -1494040620, 'dbu_testlab', '2024-06-07 13:45:52.658238', 0, true);


--
-- Data for Name: orders; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.orders VALUES (1, '12345123451234512322', 'BANK_CARD', 99999.00, 1, 'NEW', 3, 51, '2022-04-06 05:04:50.265288', NULL, 'I', '2022-04-06 05:04:50.265288', '', '', 30, NULL, NULL, NULL, NULL);
INSERT INTO public.orders VALUES (2, '12345123451234512422', 'WIRE_TRANSFER', 99999.00, 1, 'PENDING', 3, 51, '2022-04-06 05:04:50.323423', NULL, 'I', '2022-04-06 05:04:50.323423', '', '', 30, NULL, NULL, NULL, NULL);
INSERT INTO public.orders VALUES (3, '12345123451234512522', 'BANK_CARD', 99999.00, 1, 'CONFIRMED', 3, 51, '2022-04-06 05:04:50.331623', NULL, 'I', '2022-04-06 05:04:50.331623', '', '', 30, NULL, NULL, NULL, NULL);
INSERT INTO public.orders VALUES (4, '12345123451234512622', 'WIRE_TRANSFER', 99999.00, 1, 'CANCELED', 3, 51, '2022-04-06 05:04:50.340095', NULL, 'I', '2022-04-06 05:04:50.340095', '', '', 30, NULL, NULL, NULL, NULL);
INSERT INTO public.orders VALUES (5, NULL, 'WIRE_TRANSFER', 56900.00, 1000, 'NEW', 5, 51, '2022-06-20 14:25:35.506873', NULL, 'I', '2022-06-20 14:25:35.505321', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', 30, NULL, NULL, NULL, NULL);
INSERT INTO public.orders VALUES (6, NULL, 'WIRE_TRANSFER', 14900.00, 50, 'NEW', 3, 51, '2022-06-28 23:51:24.250666', NULL, 'I', '2022-06-28 23:51:24.248986', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', 30, NULL, NULL, NULL, NULL);
INSERT INTO public.orders VALUES (7, NULL, 'WIRE_TRANSFER', 56900.00, 1000, 'NEW', 5, 53, '2022-07-06 13:17:45.434714', NULL, 'I', '2022-07-06 13:17:45.433961', 'ble89305@jeoce.com', 'ble89305@jeoce.com', 30, NULL, NULL, NULL, NULL);
INSERT INTO public.orders VALUES (8, NULL, 'WIRE_TRANSFER', 14900.00, 50, 'NEW', 3, 39, '2022-07-11 15:53:26.087568', NULL, 'I', '2022-07-11 15:53:26.086844', 'iredplanet@gmail.com', 'iredplanet@gmail.com', 30, NULL, NULL, NULL, NULL);
INSERT INTO public.orders VALUES (9, NULL, 'WIRE_TRANSFER', 27900.00, 200, 'NEW', 4, 39, '2022-07-11 22:52:54.976573', NULL, 'I', '2022-07-11 22:52:54.97587', 'iredplanet@gmail.com', 'iredplanet@gmail.com', 30, NULL, NULL, NULL, NULL);
INSERT INTO public.orders VALUES (10, NULL, 'WIRE_TRANSFER', 14900.00, 50, 'NEW', 3, 37, '2022-08-30 12:51:32.268461', NULL, 'I', '2022-08-30 12:51:32.266812', 'mmeleshko@loylabs.ru', 'mmeleshko@loylabs.ru', 30, NULL, NULL, NULL, NULL);
INSERT INTO public.orders VALUES (11, NULL, 'WIRE_TRANSFER', 14900.00, 50, 'NEW', 3, 2, '2023-07-18 12:28:51.884056', NULL, 'I', '2023-07-18 12:28:51.882732', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', 30, NULL, NULL, NULL, NULL);
INSERT INTO public.orders VALUES (12, NULL, 'WIRE_TRANSFER', 14900.00, 50, 'NEW', 3, 2, '2023-11-02 16:34:32.626571', NULL, 'I', '2023-11-02 16:34:32.625756', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', 30, NULL, NULL, NULL, NULL);
INSERT INTO public.orders VALUES (13, NULL, 'WIRE_TRANSFER', 56900.00, 1000, 'NEW', 5, 2, '2023-11-02 16:35:03.766712', NULL, 'I', '2023-11-02 16:35:03.766225', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', 30, NULL, NULL, NULL, NULL);


--
-- Data for Name: orders_history; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--



--
-- Data for Name: questions; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.questions VALUES (415, 'Какой из следующих примеров описывает корректную структуру класса?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:17.822584', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (425, 'Какой из предложенных вариантов описывает правильно инкапсулированный класс?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:19.810198', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (427, 'Какие из следующих выражений верны и для абстрактных классов, и для интерфейсов?', 1, 'MULTIPLE', 'JUNIOR', 'I', '2020-11-24 19:32:20.219433', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1058, '<p>Какая из перечисленных записей эквивалента записи <strong>from("direct:income").multicast().to("direct:first", "direct:second", "direct:third"); &nbsp;</strong>в Java DSL Apache Camel?</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 18:02:52.247893', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1015, '<p>Какой скрипт стартует Kafka брокер?</p>', 18, 'SINGLE', NULL, 'U', '2022-07-01 13:53:26.266936', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1037, '<p>Где Kafka хранит оффсеты?</p>', 18, 'MULTIPLE', NULL, 'I', '2022-07-05 19:03:55.319905', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (942, '<p>Как запустить скрипт python из терминала?</p>', 17, 'SINGLE', NULL, 'U', '2022-06-20 14:59:38.95128', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (967, '<p>Выберите правильный вариант, как установить заголовки в ответе?</p><br><pre><code class="language-python">response = Response(...)<br><_______><br>return response</code></pre>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:10:45.950782', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (991, '<p>Что покажет этот код?</p><br><pre><code class="language-python">python<br>for i in range(5):<br>if i % 2 == 0:<br>continue<br>print(i)</code></pre>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:12:46.486605', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (421, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">package com.examplejava.courses

class Course {
    public String courseName;

    public void setCourseName(private String name) {
        courseName = name;
    }
}</code></pre>', 1, 'SINGLE', 'JUNIOR', 'U', '2021-04-04 19:34:04.485773', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (422, '<p>Что будет выведено в консоль в ходе выполнения следующей программы:&nbsp;</p><pre><code class="language-java">int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar); int age = 20;
System.out.print(" "); System.out.print((float)age);</code></pre>', 1, 'SINGLE', 'JUNIOR', 'U', '2021-04-04 19:34:24.625342', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (423, '<p>Какие из следующих объявлений приведут к ошибке компиляции?&nbsp;</p><pre><code class="language-java">char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5</code></pre>', 1, 'MULTIPLE', 'JUNIOR', 'U', '2021-04-04 19:34:48.867936', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (424, '<p>Что будет выведено в консоль после исполнения следующего кода?&nbsp;</p><pre><code class="language-java">int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code></pre>', 1, 'SINGLE', 'JUNIOR', 'U', '2021-04-04 19:35:06.749127', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (426, '<p>Укажите верные условия для следующего кода:</p><pre><code class="language-java">public class Person {
    public int height;

    public void setHeight(int newHeight) {
        if (newHeight &lt;= 300) height = newHeight;
    }
//...
}</code></pre>', 1, 'SINGLE', 'JUNIOR', 'U', '2021-04-04 19:35:41.879448', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (428, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public abstract class Bird {
    private void fly() {
        System.out.println("Bird is flying");
    }

    public static void main(String[] args) {
        Bird bird = new Pelican();
        bird.fly();
    }
}

class Pelican extends Bird {
    protected void fly() {
        System.out.println("Pelican is flying");
    }
}</code></pre>', 1, 'SINGLE', 'JUNIOR', 'U', '2021-04-04 19:36:25.966945', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1079, '<p>Что такое Selectors в ActiveMQ?</p>', 19, 'SINGLE', NULL, 'I', '2022-12-04 22:15:09.059685', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (417, '<p>Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE</p><pre><code class="language-java">public class ExampleCode {
//ОТВЕТ
{ System.out.println("EXAMPLE") }</code></pre>', 1, 'MULTIPLE', 'JUNIOR', 'U', '2021-04-04 19:38:49.964994', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (416, '<p>Следующий текст представляет содержимое файла MyClass.java Выберите верные утверждения. //содержимое MyClass.java&nbsp;</p><pre><code class="language-java">package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code></pre>', 1, 'MULTIPLE', 'JUNIOR', 'U', '2021-04-04 19:38:25.3262', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (419, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">class Course {
    private String courseName;
}

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 1, 'SINGLE', 'JUNIOR', 'U', '2021-04-04 19:39:47.051991', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (434, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 1, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (432, '<p>Какие из утверждений являются достоверными в следующем коде?&nbsp;</p><pre><code class="language-java">interface HasExoskeleton {
    abstract int getNumberOfSections();
}

abstract class Insect implements HasExoskeleton {
    abstract int getNumberOfLegs();
}

public class Beetle extends Insect {
    int getNumberofLegs() {
        return 6;
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (968, '<p>Какую ORM чаще выбирают вместе с фреймворком Flask?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:10:50.750207', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (992, '<p>Сколько библиотек можно импортировать в один проект?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:12:50.828986', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (970, '<p>Выберите правильный вариант</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:10:59.749001', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1016, '<p>Что нужно запустить, перед тем как запускать сервер Kafka?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-01 13:48:16.433356', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (443, 'Выберите ответ, в котором ключевые слова в порядке, в котором они используются вместе', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:22.831051', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (444, 'Какие из перечисленных утверждений о блоке finally являются достоверными?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:22.977039', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (445, 'Заполните пробелы: Ключевое слово ___ используется в объявлении методов, когда как ключевое слово ___ используется чтобы выбросить исключение', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:23.126281', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1038, '<p>Партиция это...</p>', 18, 'SINGLE', NULL, 'U', '2022-07-05 20:23:03.964607', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (448, 'Какие из следующих утверждений не являются достоверными?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:23.558914', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (449, 'Какой из следующих классов нужно использовать в catch(...) чтобы перехватывать любые ошибки и исключения?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:23.718333', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1059, '<p>Какая из перечисленных записей Java DSL Apache Camel означает параллельную доставку сообщения?</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 18:15:47.357347', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1080, '<p>Что такое Retroactive Consumer в ActiveMQ?</p>', 19, 'SINGLE', NULL, 'I', '2022-12-04 22:39:43.573701', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (452, 'Если исключение совпадает с двумя или более блоками catch, какой из них будет выполнен?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:24.140761', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (453, 'Если при выполнении выражения try оба блока catch и finally выбрасывают исключения, что вернется вызывающему функцию?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:24.281257', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (454, 'Заполните пробелы: Блок finally может появляться ___ раз, а блок catch ___ раз', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:24.414992', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (455, 'Для какой из следующих ошибок стоит выбрасывать java.lang.Error в веб-приложении?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:24.551018', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1100, '<p><strong>В каком порядке исполняются скрипты?</strong></p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 23, 'SINGLE', NULL, 'U', '2023-04-27 11:02:52.704597', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (458, 'Какой импорт нужно добавить в класс чтобы использовать в нем классы Exception, RuntimeException и Throwable', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:25.013034', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (459, 'Какой из следующих классов типа Throwable не рекомендуется перехватывать?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:25.150244', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (460, 'Что такое ленивая инициализация?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:25.282464', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (442, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">class Mammal {
    public Mammal(int age) {
        System.out.print("Mammal");
    }
}

public class Platypus extends Mammal {
    public Platypus() {
        System.out.print("Platypus");
    }

    public static void main(String[] args) {
        new Mammal(5);
    }
}</code></pre>', 1, 'SINGLE', 'JUNIOR', 'U', '2021-04-04 19:14:37.067733', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (438, 'Что из перечисленного при наследовании может быть только скрыто и не может быть переопределено?', 1, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (439, 'Какие из перечисленных фактов являются достоверными?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (446, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для IllegalArgumentException и для ClassCastException?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (461, 'Какая из техник позволяет создать в классе переменную, общую для всех экземпляров класса?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:25.422965', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (462, 'Как изменить значение переменной в immutable классе?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:25.559072', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (463, 'Какая из техник позволяет создать класс, у которого не может быть больше одного экземпляра?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:25.699714', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (464, 'Какое из утверждений об инкапсуляции не верно?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:25.842683', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (466, 'Класс, определяющий переменную экземпляра с таким же именем как у класса-предка, ___ эту переменную, а класс, определяющий статический метод с такой же сигнатурой, как у статического метода в классе-предке ___ этот метод.', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:26.12232', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (467, 'Объект может быть присвоен переменной ___ автоматически, но требует явного приведения типа при присваивании переменной ___ ', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:26.300197', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (468, '___ методы должны иметь разные списки параметров, тогда как ___ методы должны иметь точно такой же тип возвращаемого значения.', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:26.441297', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (469, 'Какое из следующих утверждений о наследовании является достоверным?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:26.57745', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (470, 'Какой из следующих модификаторов не добавляется неявно ко всем переменным интерфейсов?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:26.722935', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (471, 'Что из перечисленного является лучшей причиной сделать дефолтный интерфейсный метод?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:26.936681', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (472, '___ это первый неабстрактный класс-потомок, в котором обязательна реализация всех унаследованных абстрактных методов.', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:27.080381', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (473, 'Какие из следующих утверждений об интерфейсах не верны?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:27.267073', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (474, 'Перегруженные и переопределенные методы всегда имеют ___ ?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:27.422056', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (475, 'Вы пишете код, который взаимодействует с классом, написание которого еще не закончено другим разработчиком. Какой элемент языка Java облегчит разработку, позволяя взаимодействовать с этим классом?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:27.57215', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (476, 'Какой из следующих модификаторов доступа не может быть добавлен к методу интерфейса?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:27.711896', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (944, '<p>Как объявляется переменная в Python?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:07:52.032042', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (969, '<p>Как получить объект User с id=1 из БД через SQLAlchemy?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:10:55.229383', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (479, 'Исключая дефолтные и статические методы, ___ может содержать и абстрактные и конкретные методы, тогда как ___ содержит только абстрактные методы.', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:28.136187', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (480, 'Какой модификатор может быть добавлен к интерфейсному методу?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:28.294873', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (993, '<p>Что покажет этот код?</p><br><pre><code class="language-python">python<br>for j in ''Hi! I''m mister Robert'':<br>if j == '''''':<br>print("Найдено")<br>break<br>else:<br>print("Готово")</code></pre>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:19:16.548486', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (482, 'Какое из следующих утверждений о String не является достоверным?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:28.643212', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (483, 'Какое из следующих утверждений является достоверным?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:28.782098', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (994, '<p>Consumer1 находится в Group1.&nbsp;<br>Consumer2 находится в Group2.&nbsp;<br>Producer отправляет 2 сообщения в топик, к которому подключены Consumer1 и Consumer2.</p><p>Как распределятся сообщения по консьюмерам?</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 20:21:06.891927', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (486, 'Какое из следующих утверждений является достоверным?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:29.263736', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (487, 'Какая переменная всегда доступна в любом экземпляре класса?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:29.405997', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1017, '<p>Какие скрипты предназначены для создания топика Kafka?</p>', 18, 'MULTIPLE', NULL, 'U', '2022-07-01 13:51:48.980682', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (489, 'Как Java передает данные в метод?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:29.691761', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1039, '<p>Какое расширение имеет файл, в котором хранятся сообщения из партиции?</p>', 18, 'SINGLE', NULL, 'U', '2022-07-05 19:30:15.693271', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (465, 'Какие из следующих утверждений не верны при переопределении метода?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (1081, '<p>Какой параметр настройки в ActiveMQ позволяет ограничить размер сообщения?</p>', 19, 'SINGLE', NULL, 'I', '2022-12-04 22:44:22.589584', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (491, 'С помощью какой команды можно вызвать один конструктор из другого конструктора в одном и том же классе?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:30.005389', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (492, 'Какие модификаторы доступа используются для того чтобы сделать члены класса доступными для подклассов, но недоступными внутри пакета?', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:30.157218', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (497, '___ используется для вызова конструктора в классе-предке, тогда как ___ используется для обращения к членам класса-предка.', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:30.867889', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (945, '<p>Как добавить/изменить в словарь данные?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:08:17.241578', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (995, '<p>Consumer1 и Consumer2&nbsp;находятся в одной группе.<br>Producer отправляет 2 сообщения в топик, к которому подключены Consumer1 и Consumer2. Выбрана стратегия распределения по хэшу.</p><p>Как распределятся сообщения по консьюмерам?</p>', 18, 'SINGLE', NULL, 'U', '2022-06-23 20:30:55.498882', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1018, '<p>Какой скрипт служит для отправки сообщений в топик Kafka?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-01 16:35:36.086182', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1040, '<p>Сколько файлов с записями из топика может быть создано в рамках одной партиции? Файлы индексов не учитываются.</p>', 18, 'SINGLE', NULL, 'I', '2022-07-05 20:26:34.191723', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1060, '<p>Какой из перечисленных вариантов &nbsp;правильно описывает использование предикатов в Java DSL Apache Camel?</p>', 22, 'SINGLE', NULL, 'U', '2022-10-08 19:03:45.35036', 'editor@loylabs.ru', 'editor@loylabs.ru', true, NULL);
INSERT INTO public.questions VALUES (1082, '<p>С каким элементом сообщения (Message) работает механизм селекторов (Selectors) в ActiveMQ?</p>', 19, 'SINGLE', NULL, 'I', '2022-12-04 22:49:16.916826', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (493, 'Какие из следующих сигнатур методов не содержат ошибку?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (494, 'Что из перечисленного является допустимым названием метода в Java?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (495, 'Какое из следующих утверждений о статических переменных является достоверным?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (496, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (946, '<p>Как удалить объект из списка по индексу (чтобы изменилась длина списка)?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:08:23.351577', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (971, '<p>Каким способом можно получить текущего пользователя во Flask''e?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:11:03.57051', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (996, '<p>Consumer1 и Consumer2&nbsp;находятся в одной группе.<br>Producer отправляет 2 сообщения в топик, к которому подключены Consumer1 и Consumer2. Выбрана стратегия распределения по кругу.</p><p>Как распределятся сообщения по консьюмерам?</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 20:31:22.10879', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1019, '<p>Возможно ли наличие нескольких брокеров-лидеров?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-01 16:38:27.933613', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1041, '<p>Какое окно (windowing) в Kafka Streams является скользящим?</p>', 18, 'SINGLE', NULL, 'U', '2022-07-05 21:21:41.988219', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1061, '<p>Какой компонент (Component) Apache Camel требуется использовать для создания маршрута (Route), который должен вызываться с использованием крон выражения?</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 19:13:31.202173', 'editor@loylabs.ru', 'editor@loylabs.ru', true, NULL);
INSERT INTO public.questions VALUES (1083, '<p><span style="color:rgb(17,17,17);">Что будет в случае, когда потребитель (Consumer) неожиданно отключается в ActiveMQ?</span></p>', 19, 'SINGLE', NULL, 'I', '2022-12-05 21:27:32.804155', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (515, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (516, 'Какую задачу помогает выполнять класс CountDownLatch ?', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (947, '<p>Как удалить все объекты None из списка?</p><br><pre><code class="language-python">list_object = [None, 1, None]</code></pre>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:09:12.291351', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (972, '<p>Для чего используется "session" (из пакета flask)?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:11:07.520364', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (997, '<p>В кафка топик отправлено следующее сообщение:<br>873:payload:0</p><p>Что произойдет?</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 20:38:21.586772', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1020, '<p>Какой скрипт служит для получения сообщений из топика?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-01 16:40:34.225728', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1042, '<p>Что такое окно (windowing) в Kafka Streams?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-05 21:17:34.001469', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1062, '<p>Основное назначение фреймворка Apache Camel?</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 19:18:26.949409', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1084, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 23, 'SINGLE', NULL, 'U', '2023-04-19 14:50:38.570089', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (538, 'Как работает ключевое слово volatile?', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (539, 'Какие области памяти относятся к Heap Space?', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (948, '<p>Какой будет результат выполнения данной функции:</p><br><pre><code class="language-python">all([True, False, True])?</code></pre>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:09:20.580686', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (570, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 2, 'SINGLE', 'JUNIOR', 'U', '2020-12-03 21:04:50.221386', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (973, '<p>Каким может быть значение а чтобы условие if not a было истинным</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:11:11.60947', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (572, '<p>Какая главная цель критериев выхода в тестировании ПО?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 21:12:01.44017', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (573, '<p>Что такое бета-тестирование?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 21:20:26.157364', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (574, '<p>Какие дефекты чаще всего намного дешевле поправить?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 21:21:27.027207', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (575, '<p>Какое из следующих утверждений верно?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 21:25:03.407322', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (576, '<p>Что из перечисленного справедливо для регрессионного тестирования?</p>', 2, 'MULTIPLE', 'JUNIOR', 'I', '2020-12-03 22:47:42.018217', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (577, '<p>Какое <strong>главное </strong>преимущество разработки тестов на раннем этапе жизненного цикла ПО?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 22:50:30.000796', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (998, '<p>Клиент, принимающий сообщения из топика, называется:</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 20:42:05.275782', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (579, '<p>Какой из методов проектирования тестов лучше всего характеризует процедуру составления тестовых сценариев на основании спецификации?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 22:52:46.137584', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (580, '<p>Какой принцип наилучшим образом подходит под описание, когда тесты проектируются и пишутся третьей стороной?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 22:53:24.093145', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (581, '<p>Что является преимуществом независимого тестирования?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 22:53:59.545142', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (582, '<p>Что является лучшим определением для завершения тестирования?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 22:54:35.544047', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (583, '<p>Какая общая цель статического и динамического тестирования?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 22:55:41.521577', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1021, '<p>Что из перечисленного гарантирует Kafka?</p>', 18, 'MULTIPLE', NULL, 'I', '2022-07-03 12:20:17.185888', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (585, '<p>Что не является целью тестирования?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 22:56:52.700965', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (586, '<p>Что не является принципом тестирования?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 22:57:26.560346', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (587, '<p>Даны данные о возрасте человека, который должен быть в пределах от 1 до 99. Используя анализ граничных значений выберите, какие значения нужно проверить?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 22:58:12.766701', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1043, '<p>Какое окно (windowing) в Kafka Streams является сеансовым?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-05 21:22:45.157787', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (589, '<p>______ будет проводиться людьми на стороне клиента</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 23:00:34.103891', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (590, '<p>Что не является функциональным тестированием?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 23:01:09.884143', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1063, '<p>Как выглядит описание REST сервиса в Apache Camel?</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 19:35:26.536537', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1085, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 23, 'SINGLE', NULL, 'U', '2023-04-19 14:38:30.614594', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (597, '<p>Что из перечисленного не является техникой белого ящика?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 10:54:12.824034', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (949, '<p>Создание переменных в цикле является плохим подходом, но иногда, такое происходит. Выберите верное утверждение:</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:09:24.632197', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (974, '<p>Что выведет id(1)</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:11:15.857515', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (999, '<p>Клиент, посылающий сообщения в топик, называется:</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 20:43:14.296832', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1022, '<p>Может ли консьюмер в кафка заново прочитать уже прочитанное сообщение?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-03 12:30:50.338112', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1044, '<p>Какой класс требуется унаследовать при создании маршрутов в Java DSL Apache Camel?</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 14:08:05.785141', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (440, '<p>Какие из перечисленных фактов о данном коде достоверны?&nbsp;</p><pre><code class="language-java">interface HasVocalCords {
    public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
    public void bark();
}</code></pre>', 1, 'SINGLE', 'JUNIOR', 'U', '2021-04-04 19:13:02.657908', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (615, '<p>Регрессионный тест:</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 12:28:55.452226', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (616, '<p>Разница между повторным тестированием и регрессионным тестированием в том, что</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 12:29:57.666336', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (617, '<p>Какой метод тестирования основан на спецификациях требований?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 12:30:40.420712', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (441, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {
    };

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 1, 'SINGLE', 'JUNIOR', 'U', '2021-04-04 19:13:46.858234', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1064, '<p>Какое хранилище &nbsp;используется по умолчанию в ActiveMQ, начиная с версии 5.4?</p>', 19, 'SINGLE', NULL, 'I', '2022-10-23 17:27:44.098349', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1086, '<p><strong>Какой скрипт загрузится первым?</strong></p><pre><code class="language-plaintext">&lt;script src="big.js" defer&gt;&lt;/script&gt;
&lt;script src="small.js" defer&gt;&lt;/script&gt;


big.js занимает 2mb памяти
small.js занимает 2kb памяти
</code></pre>', 23, 'SINGLE', NULL, 'I', '2023-04-19 14:38:23.068916', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (420, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">//Course.java
package com.examplejava.courses;

class Course {
    public String courseName;
}

//ExampleJava.java
package com.examplejava;import com.examplejava.courses.Course;

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 1, 'SINGLE', 'JUNIOR', 'U', '2021-04-04 19:33:41.910114', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (418, '<p>Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?</p><pre><code class="language-java">//ОТВЕТ
class MyCourse { Course c; }</code></pre>', 1, 'MULTIPLE', 'JUNIOR', 'U', '2021-04-04 19:39:20.807904', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (591, '<p>Вид тестирования производительности, которое имитирует работу определенного количества бизнес пользователей на каком-либо общем (разделяемом ими) ресурсе&nbsp;</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 10:47:48.132177', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (592, '<p>Что из перечисленного являются задачами тестировщика</p>', 2, 'MULTIPLE', 'JUNIOR', 'I', '2021-04-12 10:48:52.489099', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (593, '<p>Тестирование, которое направлено на поиск дефектов в интерфейсах и во взаимодействии между компонентами это</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 10:49:59.987654', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (594, '<p>Кондиционер выключается, когда температура опускается ниже 18, и включается, когда выше 21. Определите эквивалентные значения, относящиеся к классу, когда температура выше 21</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 10:51:24.839648', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (598, '<p>Процесс анализа и устранения причин отказов в ПО - это</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 10:55:02.827373', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (599, '<p>Когда обнаружен и исправлен дефект ПО следует протестировать еще раз, чтобы подтвердить, что исходный дефект был успешно удален. Это называется…</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 10:56:11.882638', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (600, '<p>Что из перечисленного содержит ценную задачу для команды тестирования?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 10:57:00.94234', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (601, '<p>Какие типы инструментов используются для регрессионного тестирования?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 10:57:40.314609', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (602, '<p>Какой нормальный порядок действий, в котором организовано тестирование ПО?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 10:58:29.132431', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (603, '<p>Какое тестирование проверяет, что доработки не внесли новых ошибок в старый функционал?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 11:01:12.142647', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (604, '<p>Какое тестирование может быть проведено для ПО, чтобы получить обратную связь от рынка?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 11:02:17.462224', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (606, '<p>_______ включает в себя функции тестирования черного ящика и белого ящика</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 11:04:08.262827', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (607, '<p>В какой момент может начаться процесс тестирования во время процесса разработки ПО?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 12:16:58.200818', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (608, '<p>В чем разница между тестированием компонентов и интеграционным тестированием?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 12:17:48.757603', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (609, '<p>Основная причина, почему разработчики испытывают трудности с тестированием собственной работы:</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 12:18:34.250499', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (610, '<p>Тестирование граничных значений ...</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 12:24:31.195394', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (611, '<p>Поле ввода принимает Год рождения между 1900 и 2004 годах. Граничные значения для тестирования этого поля</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 12:25:19.758867', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (612, '<p>На чем основаны приемочные испытания?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 12:26:08.783346', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (613, '<p>Когда необходимо выполнить регрессионное тестирование?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 12:27:25.365099', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (614, '<p>Если ожидаемый результат не указан:</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 12:28:05.684625', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (950, '<p>Выберите правильное утверждение.</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:09:31.057072', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (623, '<p>Одно из полей формы содержит текстовое поле, которое принимает буквы в нижнем или верхнем регистре. Определите недопустимое значение класса эквивалентности.</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 12:47:17.374152', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (619, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 2, 'SINGLE', 'JUNIOR', 'U', '2021-04-12 12:36:53.983226', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (975, '<p>Какое из выражений выбросит исключение TypeError</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:11:21.067355', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (621, '<p>Какую информацию не обязательно включать в баг-репорт?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 12:38:54.214183', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (622, '<p>Нефункциональное тестирование системы включает:</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 12:46:40.07817', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (624, '<p>В системе, предназначенной для разработки налога, который должен быть выплачен: у сотрудника есть $4000 зарплаты свободной от налогов. Следующие $1500 облагается налогом в 10%. Следующие $28000 облагается налогом в 22%. Любая дальнейшая сумма облагается налогом на 40%.</p><p>Какая из этих групп чисел попадет в один и тот же класс эквивалентности?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 14:18:53.536849', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (625, '<p>Когда нужно прекращать тестирование?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 14:19:38.027523', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1000, '<p>Консьюмеры могут объединяться в:</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 20:45:58.05433', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1023, '<p>Транзакционность Kafka выражается в...</p>', 18, 'SINGLE', NULL, 'I', '2022-07-03 12:56:48.742802', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (605, '<p>Какой тест не может имитировать ситуации в реальном мире?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (1065, '<p>Какие протоколы поддерживает ActiveMQ?</p>', 19, 'MULTIPLE', NULL, 'I', '2022-10-23 18:19:51.06298', 'editor@loylabs.ru', 'editor@loylabs.ru', true, NULL);
INSERT INTO public.questions VALUES (627, '<p>Какой набор тестовых данных демонстрирует разбиение на группы эквивалентности, чтобы проверить, является ли клиент подростком (13 - 19 лет) или нет?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 14:24:00.551011', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (951, '<p>Что такое pep-8?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:09:35.530625', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (629, '<p>Проектирование тестов - это</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 14:28:17.366418', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (630, '<p>Какова основная причина тестирования программного обеспечения перед релизом?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 14:29:18.130569', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (631, '<p>При отправке отчетов о найденных недочетах разработчикам, тестировщики должны:</p>', 2, 'MULTIPLE', 'JUNIOR', 'I', '2021-04-12 14:30:16.549343', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (976, '<p>Выберите вариант ответа, где все методы есть методами словаря dict().</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:11:34.088976', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (633, '<p>В системе бронирования авиабилетов количество свободных мест в каждой модели самолета является входными данными. Самолет может иметь любое положительное количество свободных мест, вплоть до заданной вместимости самолета. Используя анализ граничных значений, был создан список входных данных. Какой из следующих списков является правильным?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 14:34:16.883252', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (634, '<p>Что из перечисленного является допустимым набором классов эквивалентности для следующей проблемы: целочисленное поле должно содержать значения от 1 до 15</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 14:36:47.778585', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1001, '<p>Как заставить два консьюмера читать сообщения параллельно и независимо друг от друга?</p>', 18, 'MULTIPLE', NULL, 'I', '2022-06-23 20:51:33.292658', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (637, '<p>Что нужно включить в smoke-тестирование почтового клиента?</p>', 2, 'MULTIPLE', 'JUNIOR', 'I', '2021-04-12 20:04:36.736037', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (638, '<p>Приемочное тестирование - это</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 20:06:57.027502', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (639, '<p>Надежность, практичность, эффективность - это</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 20:07:58.923652', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (640, '<p>Какое тестирование обычно выполняется много раз и обычно развивается медленно?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 20:08:33.995781', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (641, '<p>Что из приведенного ниже описывает <u>основные</u> преимущества проверки на ранних этапах жизненного цикла ПО?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 20:09:29.958973', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (642, '<p>При определении приоритетов для тестирования, наиболее важной целью является:</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 20:10:17.271657', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (705, 'Что такое join ADvice в AOP?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:16.419201', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (643, '<p>В системе, предназначенной для расчета налога, подлежащего уплате:</p><p>У сотрудника есть $4000 зарплаты не облагаемой налогом. Следующие $1500 облагаются по ставке 10%, следующие $28000 облагается налогом в 22%.</p><p>Любая последующая сумма облагается налогом в размере 40%.</p><p>Какой из вариантов является допустимым тестовым случаем анализа граничных значений?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 20:11:17.505072', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (644, '<p>Учитывая следующие условия, какие из следующих значений для возраста охватывают все группы эквивалентности?</p><p>Если вам меньше 18 лет, вы слишком молоды, чтобы быть застрахованным. Если вам от 18 до 30 включительно, то предоставляется скидка 20%. Всем, кто старше 30 лет скидка не предоставляется.</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 20:11:59.262937', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (645, '<p>Когда нужно выполнять Регрессионное тестирование?</p>', 2, 'MULTIPLE', 'JUNIOR', 'I', '2021-04-12 20:12:56.926654', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (646, '<p>Какие из следующих требований будут проверены с помощью функционального тестирования системы?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 20:13:34.054774', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1024, '<p>Как работает auto-commit оффсета для консьюмера в кафка?</p>', 18, 'SINGLE', NULL, 'U', '2022-07-03 13:26:39.874347', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (648, '<p>При тестировании системы расчета оценок тестировщик определяет, что все баллы от 90 до 100 будут давать оценку А, а баллы ниже 90 не будут. Этот анализ известен как:</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 20:15:50.111207', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1045, '<p>Какого типа <span style="color:rgb(51,51,51);">DSL не существует в Apache Camel?</span></p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 14:17:13.426798', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1066, '<p>Сколько типов ACKNOWLEDGE существует для потребителя (Consumer) в ActiveMQ?</p>', 19, 'SINGLE', NULL, 'I', '2022-10-23 21:21:40.625865', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1087, '<p><strong>Что вернёт выражение?</strong></p><pre><code class="language-plaintext">function add(x: string, y: string): string;
function add(x: number, y: number): number {
return x + y;
}


add(’1’,’2’);
</code></pre>', 23, 'SINGLE', NULL, 'I', '2023-04-19 14:40:37.422015', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (952, '<p>Для чего используется конструкция try/except?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:09:39.440399', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (977, '<p>Какие встроенные структуры данных существуют в python?</p>', 17, 'MULTIPLE', NULL, 'I', '2022-06-20 15:11:37.929736', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1002, '<p>В каждой партиции есть брокер, который работает с клиентами, и к которому остальные брокеры обращаются за сообщениями. Это...</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 21:16:08.238638', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1025, '<p>Сработает ли auto-commit для консьюмера, если им не было получено никаких сообщений?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-03 13:30:29.747051', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1046, '<p>В какой момент происходит создание о<span style="color:rgb(17,17,17);">бъекта обмена (Exchange) в Apache Camel?</span></p>', 22, 'SINGLE', NULL, 'U', '2022-10-08 17:10:39.763085', 'editor@loylabs.ru', 'editor@loylabs.ru', true, NULL);
INSERT INTO public.questions VALUES (656, '<p>Какой из вариантов является функциональным тестом?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 20:24:14.245605', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions VALUES (1067, '<p>В каком случае поддерживается&nbsp;транзакционность в рамках сессии потребителя (Consumer) ActiveMQ?&nbsp;</p>', 19, 'SINGLE', NULL, 'I', '2022-10-23 21:35:45.75642', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1088, '<p><strong>Что выведется в консоль?</strong></p><pre><code class="language-plaintext">for (let i = 0; i &lt; 7; ++i){


if(i===2) {
continue;
}


if(i===5) {
break;
}


console.log(i);
}
</code></pre>', 23, 'SINGLE', NULL, 'I', '2023-04-19 14:41:58.157037', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (649, '<p>Вы являетесь тест-менеджером и говорите о старте системного тестирования. Разработчики говорят, что из-за изменения требований они смогут доставить систему вам для тестирования через 5 рабочих дней после установленной даты. Вы не можете изменить ресурсы (рабочие часы, инструменты тестирования и т.д). Какие шаги вы предпримете, чтобы вовремя завершить тестирование?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (657, '<p>Какое утверждение о статическом анализе верно?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (665, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 10, 'SINGLE', 'JUNIOR', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions VALUES (660, '<p>Что не является этапом жизненного цикла Docker Container</p>', 10, 'SINGLE', 'JUNIOR', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions VALUES (661, '<p>Что не является основным компонентом Docker Architecture</p>', 10, 'SINGLE', 'JUNIOR', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions VALUES (662, '<p>Выберите неверные утверждения про Docker Volume</p>', 10, 'MULTIPLE', 'JUNIOR', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions VALUES (663, '<p>Что такое Docker File</p>', 10, 'SINGLE', 'JUNIOR', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions VALUES (664, '<p>Выберите верные утверждения про Docker</p>', 10, 'MULTIPLE', 'JUNIOR', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions VALUES (666, '<p>Для чего необходим Docker Compose</p>', 10, 'SINGLE', 'JUNIOR', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions VALUES (667, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 10, 'SINGLE', 'JUNIOR', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions VALUES (668, '<p>При помощи какой команды можно удалить Docker контейнер</p>', 10, 'SINGLE', 'JUNIOR', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions VALUES (669, '<p>Для определения Docker Compose файла можно использовать JSON</p>', 10, 'SINGLE', 'JUNIOR', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions VALUES (670, '<p>Для определения Docker Compose файла можно использовать YAML</p>', 10, 'SINGLE', 'JUNIOR', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions VALUES (671, '<p>Для определения Docker Compose файла можно использовать XML</p>', 10, 'SINGLE', 'JUNIOR', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions VALUES (672, '<p>Для определения Docker Compose файла можно использовать INI</p>', 10, 'SINGLE', 'JUNIOR', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions VALUES (673, '<p>Может ли Docker контейнер перезапускаться (по умолчанию) при возникновении ошибки</p>', 10, 'SINGLE', 'JUNIOR', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions VALUES (953, '<p>Выберите правильный вариант методов списка (list()):</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:09:43.223656', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (675, '<p>Как можно отследить состояние Docker</p>', 10, 'MULTIPLE', 'JUNIOR', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions VALUES (676, '<p>Какие виды перезагрузки контейнера есть в Docker</p>', 10, 'MULTIPLE', 'JUNIOR', 'I', '2021-04-15 11:30:45.662368', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (677, '<p>Для балансировки нагрузки между контейнерами Docker можно использовать средства оркестрации</p>', 10, 'SINGLE', 'JUNIOR', 'I', '2021-04-15 11:35:49.685426', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (679, 'Для чего служит аннотация @ComponentScan?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:42:34.331817', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (681, 'В чем разница аннотаций @Controller и @RestController?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:10.497858', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (682, 'Выбирите верное утверждение относительно @ResponseBody и ResponseEntity?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:10.712522', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (683, 'Какой из вариантов не является одним из модулей Spring?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:10.946704', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (684, 'Какой способы настройки контекста Spring вы знаете?', 13, 'MULTIPLE', 'JUNIOR', 'I', '2021-06-12 22:43:11.20078', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (685, 'Какой различные scope вы знаете у Spring бинов?', 13, 'MULTIPLE', 'JUNIOR', 'I', '2021-06-12 22:43:11.464622', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (686, 'Какие виды автоматического связывания существуют в Spring?', 13, 'MULTIPLE', 'JUNIOR', 'I', '2021-06-12 22:43:11.682307', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (687, 'Является ли Spring бин потокобезопасным?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:11.912632', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (688, 'Какие stereotype аннотации для определния класса бином вы знаете?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:12.14332', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (689, 'Что такое DispatcherServlet в Spring?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:12.371349', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (690, 'Что такое ViewResolver в Spring?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:12.621351', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (691, 'В чем различия между аннотациями @RequestParam и  @PathVariable?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:12.86575', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (692, 'Каким образом можно настроить транзакции в Spring?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:13.094845', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (693, 'Можем ли мы послать объект как ответ метода обработчика контроллера?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:13.426757', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (694, 'Что не является одной из основных реализаций ApplicationContext?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:13.691331', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (695, 'Какие есть способы указать Spring создавать бины лениво?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:13.925924', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (696, 'Какие есть свойства аннотация @Bean?', 13, 'MULTIPLE', 'JUNIOR', 'I', '2021-06-12 22:43:14.166446', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (697, 'Какие виды DI поддерживает Spring с помощью @Autowired?', 13, 'MULTIPLE', 'JUNIOR', 'I', '2021-06-12 22:43:14.409007', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (698, 'Какиой scope у Spring бинов по умолчанию', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:14.737178', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (699, 'Как присвоить простые значния из файлов properties полям в Spring?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:14.973397', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (674, '<p>Для каких приложений Docker подходит лучше всего</p>', 10, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (700, 'Можно ли передать в запросе к контроллеру один и тот же параметр несколько раз? Пример: http://localhost:8080/confirm?code=test1&code=test2&code=test3', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:15.20609', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (701, 'Как добавить Component Scan в Spring Boot?', 13, 'MULTIPLE', 'JUNIOR', 'I', '2021-06-12 22:43:15.482818', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (702, 'Чем является аннотация @SpringBootApplication?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:15.721755', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (703, 'Какой из приведенных вариантов не является типом Advice?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:15.956182', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (704, 'Что такое join point в AOP?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:16.186682', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (706, 'Можно ли использовать аннотацию @Component вместо @Service для классов бизнес логики?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:16.684887', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (707, 'В чем разница между аннотациями @RequestMapping и @GetMapping', 13, 'MULTIPLE', 'JUNIOR', 'I', '2021-06-12 22:43:16.911107', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (708, 'Верно ли утверждение, что каждое Spring Boot приложение - это веб приложение работающее со встроенным Tomcat?', 13, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:43:17.18342', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (680, 'Для чего используется аннотация @Bean?', 13, 'SINGLE', 'JUNIOR', 'U', '2021-06-12 22:46:28.11798', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (954, '<p>Укажите код, который вызовет ошибку:</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:09:47.870418', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (710, '<p>Что вернет следующий запрос?</p><pre><code class="language-plaintext">Select 0;</code></pre>', 7, 'SINGLE', 'JUNIOR', 'U', '2021-09-16 12:28:04.613365', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (711, '<p>Дана таблица users, содержащая в себе поля first_name и last_name. Какой из запросов выведет эти колонки с названиями "Имя" и "Фамилия"?</p>', 7, 'MULTIPLE', 'JUNIOR', 'I', '2021-09-16 12:29:27.323417', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (712, '<p>Как вывести все строки из таблицы table?</p>', 7, 'MULTIPLE', 'JUNIOR', 'I', '2021-09-16 12:30:43.582212', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (713, '<p>В каком порядке сортировки вернет значения следующий запрос?</p><pre><code class="language-plaintext">Select * from table;</code></pre>', 7, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 12:31:21.565912', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (714, '<p>Выберите верно составленные запросы:</p>', 7, 'MULTIPLE', 'JUNIOR', 'I', '2021-09-16 12:32:45.287113', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (715, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date between ''2020-01-01'' and ''2020-12-31'';</code></pre>', 7, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 12:33:24.458855', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (716, '<p>Следующий запрос составлен некорректно. Как его исправить?&nbsp;<br>Известно что user_type_id типа bigint;</p><pre><code class="language-plaintext">Select * from users where user_type_id = NULL;</code></pre>', 7, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 12:34:08.752097', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (717, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 7, 'SINGLE', 'JUNIOR', 'U', '2021-09-16 12:34:52.965975', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (718, '<p>Выберите запрос, который выведет все значения таблицы users, отсортированными по убыванию user_id.</p>', 7, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 12:35:28.953654', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (719, '<p>Выберите запросы, которые выведут все значения таблицы users, отсортированными по возрастанию user_id и убыванию user_type_id.</p>', 7, 'MULTIPLE', 'JUNIOR', 'I', '2021-09-16 12:36:00.592369', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (720, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from orders where order_date &gt; 2020-01-01 and order_date &lt;= 2020-12-31;</code></pre>', 7, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 12:36:43.405337', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (721, '<p>Выберите запросы, которые выведут в столбец "Количество" значение поля amount всех строк из таблицы accounts, а в столбец "Валюта" везде выведет "Рубли".</p>', 7, 'MULTIPLE', 'JUNIOR', 'I', '2021-09-16 12:37:18.667155', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (722, '<p>Выберите корректные условия, необходимые для выполнения операции UNION</p>', 7, 'MULTIPLE', 'JUNIOR', 'I', '2021-09-16 12:37:58.589174', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (723, '<p>Выберите верный запрос, который выведет каждую строку таблицы users по 3 раза.</p>', 7, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 12:38:46.319949', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (724, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все содержащиеся в таблицах адреса, в том числе повторяющиеся.</p>', 7, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 12:39:20.470281', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (725, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся во всех таблицах.</p>', 7, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 12:40:06.868023', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (726, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести по одному разу только те адреса, которые содержатся в таблице offices и при этом отсутствуют в таблицах departments и stations.</p>', 7, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 12:40:46.758568', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (769, '<p>Укажите неверные утверждения о классе, представляющим hibernate сущность (entity):</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 13:10:59.808809', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (770, '<p>Укажите верные утверждения о классе, представляющим hibernate сущность (entity):</p>', 14, 'MULTIPLE', 'JUNIOR', 'I', '2021-09-16 13:11:27.517692', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (956, '<p>Какая структура данных является неизменной? (immutableUnmutable)</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:09:56.56058', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (960, '<p>Для чего используется Garbage Collector в Python''e?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:10:16.802238', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (727, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите неверный запрос чтобы вывести по одному разу адреса, содержащиеся в таблице offices, и адреса, содержащиеся в таблице stations, при этом все перечисленные адреса должны отсутствать в таблице departments.</p>', 7, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 12:41:44.396918', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (728, '<p>Даны таблицы: offices, departments, stations. Каждая таблица содержит поле address строкового типа. Выберите верный запрос чтобы вывести все имеющиеся адреса в первом столбце, а во втором посчитать количество их упоминаний во всех перечисленных таблицах.</p>', 7, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 12:42:19.883195', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (729, '<p>Дана таблица:</p><pre><code class="language-plaintext">CREATE TABLE public.offices
(
	office_id bigint NOT NULL,
	address character varying,
	type_name character varying,
	amount bigint
);</code></pre><p>Выберите корректные запросы чтобы сгруппировать офисы по type_name, посчитать и вывести их тип, количество и сумму всех amount.</p>', 7, 'MULTIPLE', 'JUNIOR', 'I', '2021-09-16 12:43:26.463214', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (955, '<p>Для чего используется класс ABC?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:09:52.803308', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (978, '<p>Что будет напечатано при исполнении следующего кода?</p>print(type(1 / 2))', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:11:42.09931', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1003, '<p>Всего в топик было отправлено 10 сообщений. Консьюмер прочитал 5, после чего отключился. После возвращения консьюмера в сеть, он будет...</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 21:30:21.733204', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1026, '<p>Какие модели запросов для передачи данных используются консьюмерами в kafka?</p>', 18, 'MULTIPLE', NULL, 'I', '2022-07-03 13:51:48.94882', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1047, '<p>В Apache Camel объект, который создает сообщения и отправляет в конечную точку, называется:</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 15:40:41.989338', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1068, '<p>Как создать транзакционность в рамках сессии потребителя (Consumer) ActiveMQ?</p>', 19, 'SINGLE', NULL, 'I', '2022-10-23 21:44:30.877786', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1089, '<p><strong>Что выведется в алерт?</strong></p><pre><code class="language-plaintext">var arr = [];
arr.push(1);
arr.push(5);
arr.push(2);


alert( Math.max.apply(null, arr) );
</code></pre>', 23, 'SINGLE', NULL, 'I', '2023-04-19 14:42:30.948261', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (750, '<p>Что из перечисленного входит в основные интерфейсы Hibernate?</p>', 14, 'MULTIPLE', 'JUNIOR', 'I', '2021-09-16 13:00:46.533082', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (753, '<p>Какое из перечисленных названий является корректным для конфигурационного xml файла Hibernate?</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 13:02:27.071584', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (752, '<p>Какая из перечисленных конфигов включает кэш Hibernate?</p>', 14, 'SINGLE', 'JUNIOR', 'U', '2021-09-16 13:02:36.443318', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (751, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 14, 'MULTIPLE', 'JUNIOR', 'U', '2021-09-16 13:02:43.257641', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (754, '<p>Является ли объект класса SessionFactory потокобезопасным?</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 13:03:08.97971', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (755, '<p>Какой паттерн проектирования должен применяться для объекта SessionFactory?</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 13:03:35.621849', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (756, '<p>Является ли объект Session потокобезопасным?</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 13:03:57.976072', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (757, '<p>Укажите верные утверждения об объекте Session</p>', 14, 'MULTIPLE', 'JUNIOR', 'I', '2021-09-16 13:04:29.561694', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (758, '<p>Укажите верные утверждения об объекте SessionFactory</p>', 14, 'MULTIPLE', 'JUNIOR', 'I', '2021-09-16 13:04:59.88201', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (759, '<p>Укажите корректный способ создания SessionFactory</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 13:05:37.333266', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (760, '<p>Укажите верные утверждения о классах Session и SessionFactory</p>', 14, 'MULTIPLE', 'JUNIOR', 'I', '2021-09-16 13:06:16.30252', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (761, '<p>Укажите верные утверждения о конфигурации Hibernate</p>', 14, 'MULTIPLE', 'JUNIOR', 'I', '2021-09-16 13:06:48.260176', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (762, '<p>В какое состояние переходят все сущности, обслуживаемые PersistentContext при его закрытии?</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 13:07:08.181996', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (763, '<p>В каких состояних сущность объекта не связана с Session?</p>', 14, 'MULTIPLE', 'JUNIOR', 'I', '2021-09-16 13:07:24.295092', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (764, '<p>На что указывает аннотация @Entity?</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 13:08:09.830357', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (765, '<p>На что указывает аннотация @Table?</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 13:08:39.598867', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (766, '<p>На что указывает аннотация @Bean?</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 13:09:13.929225', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (768, '<p>Какая аннотация, поставленная над полем, указывает что поле является первичным ключом?</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 13:10:17.979949', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (767, '<p>На что указывает аннотация @Column?</p>', 14, 'SINGLE', 'JUNIOR', 'U', '2021-09-16 13:10:24.059839', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (979, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>x = True<br>y = False<br>z = False<br>if not x or y:<br>print(1)<br>elif not x or not y and z:<br>print(2)<br>elif not x or y or not y and x:<br>print(3)<br>else:<br>print(4)</code></pre>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:11:45.890419', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1004, '<p>Какие из перечисленных полей не входят в сообщение Kafka?</p>', 18, 'MULTIPLE', NULL, 'I', '2022-06-23 21:42:11.943747', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1027, '<p>Как называется модель запросов для передачи данных консьюмером в kafka, в которой консьюмер сам решает когда ему послать запрос на получение данных с сервера?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-03 13:53:35.8119', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1048, '<p>В Apache Camel объект, который принимает сообщения, называется:</p><p>&nbsp;</p><p><br>&nbsp;</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 15:41:49.425009', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1069, '<p>Какие типы ACKNOWLEDGE существует для потребителя (Consumer) в ActiveMQ?</p>', 19, 'MULTIPLE', NULL, 'I', '2022-11-06 17:29:32.19572', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1090, '<p><strong>Какой цвет будет у элемента?</strong></p><pre><code class="language-plaintext">&lt;div class="App"&gt;
&lt;div id="box" className="box"&gt;&lt;/div&gt;
&lt;/div&gt;


&lt;style&gt;
#box {
background-color: green;
}


.App .box {
background-color: blue;
}


.box {
width: 50px;
height: 50px;
background-color: red;
}
&lt;/style&gt;
</code></pre>', 23, 'SINGLE', NULL, 'I', '2023-04-19 14:43:07.147638', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (957, '<p>Для чего используется continue в циклах? Выберите верное утверждение</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:10:01.806105', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (980, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>name = "snow storm"<br>print("%s" % name[6:8])</code></pre>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:11:50.200457', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1005, '<p>Чтобы кафка создавала копии данных на нескольких брокерах, нужно:</p>', 18, 'SINGLE', NULL, 'U', '2022-06-23 23:20:21.313281', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1028, '<p>Как называется модель запросов для передачи данных консьюмером в kafka, в которой сервер сам решает когда ему отправлять данные в консьюмер?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-03 13:55:34.738377', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1049, '<p>Какие из перечисленных записей Java DSL Apache Camel описывают получение сообщения из очереди c именем errors?</p>', 22, 'MULTIPLE', NULL, 'U', '2022-10-08 17:23:30.593464', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1070, '<p>Какой параметр является уникальным у потребителя (Consumer) при подключении к Topic в ActiveMQ?</p>', 19, 'SINGLE', NULL, 'I', '2022-11-06 18:09:09.343377', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1091, '<p><strong>Что такое специфичность (вес) селектора?</strong></p>', 23, 'SINGLE', NULL, 'U', '2023-04-27 11:04:18.80285', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (958, '<p>Что такое "pass"в Python''e?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:10:07.739575', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (981, '<p>Что выведет следующий фрагмент кода?</p><br><pre><code class="language-python">python<br>x = 4.5<br>y = 2<br>print(x // y)</code></pre>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:11:54.388996', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1006, '<p>Какое максимально допустимое значение фактора репликации?</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 22:32:15.260623', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1029, '<p>Выберите верные аргументы для скрипта kafka-topics.sh, чтобы он отобразил информацию о топике TestLab на сервере localhost:9092.</p>', 18, 'MULTIPLE', NULL, 'I', '2022-07-05 15:55:47.841448', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1050, '<p>Как будет выглядеть запись в Java DSL Apache Camel, которая принимает сообщение из очереди и вызывает метод в классе, в котором имеется несколько методов ?</p><p>&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p><p><br>&nbsp;</p>', 22, 'SINGLE', NULL, 'U', '2022-10-08 17:19:23.944803', 'editor@loylabs.ru', 'editor@loylabs.ru', true, NULL);
INSERT INTO public.questions VALUES (1071, '<p>Какой механизм в ActiveMQ позволяет отправить одно сообщение в &nbsp;очередь (Queue) и топик (Topic) за одну операцию?</p>', 19, 'SINGLE', NULL, 'I', '2022-11-06 18:33:02.156071', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1092, '<p><strong>Для чего нужны порталы в React?</strong></p>', 23, 'SINGLE', NULL, 'U', '2023-04-27 11:04:10.931531', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (914, '<p>С помощью какой команды можно узнать какие изменения были сделаны локально относительно последнего коммита?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:01:22.736199', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (959, '<p>Укажите вариант с ошибкой:</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:10:12.211372', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (982, '<p>Что выведет следующий фрагмент кода?</p><br><pre><code class="language-python">python<br>a = [1,2,3,None,(),[],]<br>print(len(a))</code></pre>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:11:58.079816', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1007, '<p>Что произойдет, если брокер-лидер уйдет в офлайн?</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 22:36:09.77929', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1030, '<p>Какой из перечисленных аргументов не относится к скрипту kafka-topics.sh?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-05 15:59:20.596971', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1051, '<p>Какого объекта не существует в Apache Camel?</p>', 22, 'SINGLE', NULL, 'U', '2022-10-08 16:13:49.410417', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1072, '<p>Какой механизм в ActiveMQ позволяет мониторить сообщения, отправленные в &nbsp;очередь (Queue), из топика (Topic)?</p>', 19, 'SINGLE', NULL, 'I', '2022-11-06 18:41:55.448707', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1093, '<p><strong>Что можно делать с interface, чего нельзя с type?</strong></p>', 23, 'MULTIPLE', NULL, 'U', '2023-05-03 15:13:31.949794', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (983, '<p>Что делает следующий код?</p><br><pre><code class="language-python">def a(b, c, d): pass</code></pre>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:12:02.499791', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1008, '<p>Какой максимальный размер сообщения в Кафке?</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 22:38:54.413151', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1031, '<p>Предполагается ли что kafka streams будет обрабатывать одну запись несколько раз?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-05 16:22:15.712649', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1052, '<p>Какой элемент нужно использовать в Apache Camel, чтобы произвести дополнительные операции над полученным сообщением?</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 16:26:51.404316', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1073, '<p>Возможно ли получать потребителю (Consumer) сообщения напрямую из Composite Queue в ActiveMQ?</p>', 19, 'SINGLE', NULL, 'I', '2022-11-06 18:49:38.561146', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1094, '<p><strong>В каком порядке выведутся console.log?</strong></p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 23, 'SINGLE', NULL, 'U', '2023-04-27 11:03:53.511877', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (916, '<p>С помощью какой команды можно спрятать все незакомиченные изменения в отдельное хранилище?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:02:08.943982', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (961, '<p>Что такое веб-фреймворк (на примере Flask/Django)?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:10:21.291447', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (984, '<p>Что будет напечатано?</p><br><pre><code class="language-python">python<br>kvps  = {"user","bill", "password","hillary"}<br>print(kvps[''password''])</code></pre>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:12:06.458977', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1009, '<p>Для чего нужен zookeeper?</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 23:07:09.813853', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1032, '<p>Kafka streams служит для мгновенного получения и обработки данных</p>', 18, 'SINGLE', NULL, 'I', '2022-07-05 16:23:09.132027', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1053, '<p>Что является компонентом (Component) Apache Camel в следующем выражении <span class="text-small" style="color:hsl(0, 0%, 0%);"><strong>"from("file://home?delete=true").process( new FileProcessor()).to("file://var");"</strong></span> ?</p>', 22, 'SINGLE', NULL, 'U', '2022-10-08 16:39:25.417384', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1074, '<p>Какой механизм в ActiveMQ используется в случае, если количество потребителей (Consumer) динамичное?</p>', 19, 'SINGLE', NULL, 'U', '2022-12-04 16:18:58.272154', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1095, '<p><strong>Что такое перегрузка функции?</strong></p>', 23, 'SINGLE', NULL, 'U', '2023-04-28 15:07:37.457819', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (917, '<p>С помощью какой команды можно отменить слияние веток при конфликте?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:02:34.845002', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (962, '<p>Что такое Jinja?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:10:25.086987', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (985, '<p>Что выведет следующий код?</p><br><pre><code class="language-python">python<br>d = lambda p: p * 2<br>t = lambda p: p * 3<br>x = 2<br>x = d(x)<br>x = t(x)<br>x = d(x)<br>print(x)</code></pre>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:12:10.441374', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1010, '<p>Consumer1 и Consumer2&nbsp;находятся в одной группе и читают сообщения из топика с двумя партициями.</p><p>Как распределятся сообщения по консьюмерам?</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 23:10:47.891207', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1033, '<p>Что такое Sink Processor в Kafka streams?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-05 17:59:13.742104', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1054, '<p>Какой метод требуется переопределить при создании маршрута (Route) в Java DSL Apache Camel?</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 16:53:19.502215', 'editor@loylabs.ru', 'editor@loylabs.ru', true, NULL);
INSERT INTO public.questions VALUES (1075, '<p>В чем главное отличие <span style="color:rgb(33,37,41);">Virtual Topic от Composite Destination в ActiveMQ?</span></p>', 19, 'SINGLE', NULL, 'U', '2022-12-04 16:28:52.22043', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1096, '<p><strong>Какими способами можно визуально скрыть элемент?</strong></p>', 23, 'MULTIPLE', NULL, 'U', '2023-04-27 11:03:36.18629', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (963, '<p>Как установить актуальную версию Flask?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:10:29.140181', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (986, '<p>Как получить данные от пользователя?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:12:16.658747', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1011, '<p>Что будет если при распределении сообщений между партициями по хэшу ключа, отправить сообщение без ключа?&nbsp;</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 23:15:47.321712', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1034, '<p>Что такое Source Processor в Kafka streams?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-05 18:07:35.32091', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1055, '<p>Как будет выглядеть запись в Java DSL Apache Camel, которая отправляет файл в очередь сообщений?</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 17:04:34.203242', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1076, '<p>Какое ограничение имеет механизм <span style="color:rgb(33,37,41);">Composite Destination в ActiveMQ?</span></p>', 19, 'SINGLE', NULL, 'I', '2022-12-04 16:38:15.10986', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1077, '<p>Какой максимальный приоритет может быть выставлен для потребителя (Consumer) в ActiveMQ?</p>', 19, 'SINGLE', NULL, 'I', '2022-12-04 17:07:43.77115', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1097, '<p><strong>Что</strong><span style="color:rgb(51,51,51);"><strong> выведет консоль?</strong></span></p><pre><code class="language-plaintext">(function() {
	f();

	f = function() {
		console.log(1);
	}
})()

function f() {
	console.log(2)
}

f();</code></pre><p>&nbsp;</p>', 23, 'SINGLE', NULL, 'I', '2023-04-26 19:48:44.189921', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (918, '<p>Как применить патч в Git?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:03:02.916312', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (919, '<p>Что делает команда git branch без аргументов?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:03:30.643083', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (920, '<p>С помощью какой команды можно удалить ветку somebranch?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:04:43.08271', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (964, '<p>Как получить объект формы во Flask''e?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:10:33.110589', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (987, '<p>Какая библиотека отвечает за время?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:12:26.319281', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1012, '<p>Есть топик с 2 партициями. Сообщения из топика принимает группа из 3 консюмеров. Как будут задействованы консюмеры в чтении партиций?</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 23:25:18.720212', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (893, '<p>С помощью какой команды инициализируется новый репозиторий?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:50:04.258587', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (894, '<p>С помощью какой подготовить к коммиту новый файл или история его изменений?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:50:35.477698', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (895, '<p>С помощью какой команды закоммитить подготовленные файлы?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:50:59.487108', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (896, '<p>В какой момент нужно добавить сообщение для первого коммита в ветке?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:51:32.817697', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (897, '<p>С помощью какой команды просмотреть все внесенные изменения перед коммитом?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:51:59.398608', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (898, '<p>С помощью какой команды к локальному гиту подключить репозиторий, находящийся по ссылке "https://repo.com/somerepo/somerepo.git"?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:52:26.537765', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (899, '<p>С помощью какой команды можно загрузить все изменения из удаленного репозитория?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:52:54.037851', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (900, '<p>Какая из перечисленных последовательностей команд является аналогом выполнения операции git pull?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:53:16.968859', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (901, '<p>С помощью какой команды можно создать ветку "somebranch"?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:53:45.196686', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (902, '<p>С помощью какой команды можно отменить все изменения файла "test.txt" до его коммита?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:54:12.429439', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (903, '<p>Что делает команда git clone?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:54:49.346906', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (904, '<p>В чем разница между git pull и git fetch?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:55:15.799221', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (905, '<p>Что является головой (head)?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:55:42.269169', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (906, '<p>Что означает статус файла untracked в выводе команды git status?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:56:11.376092', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (907, '<p>Что означает статус файла new в выводе команды git status?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:56:33.745518', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (908, '<p>Какой из перечисленных статусов отображается в выводе команды git status для отслеживаемого, измененного файла</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:56:57.56711', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (909, '<p>В каких случаях команда git status является обязательной?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:57:20.206433', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (910, '<p>Чем отличается master и origin master?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:59:08.765439', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (911, '<p>С помощью какой команды просмотреть список всех коммитов?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 14:59:35.626036', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (912, '<p>С помощью какой команды просмотреть все изменения конкретного коммита?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:00:31.125115', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (913, '<p>С помощью какой команды можно узнать кто автор строчки в файле, используя систему Git?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:00:57.503776', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (915, '<p>Как убрать файл из staged area?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:01:42.925685', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1098, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 23, 'SINGLE', NULL, 'U', '2023-04-27 11:03:12.307651', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1035, '<p>Что такое Stream Processor в Kafka streams?</p>', 18, 'SINGLE', NULL, 'U', '2022-07-05 18:46:09.673169', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1056, '<p>Какой компонент (Component) использовать в маршруте (Route) Apache Camel для взаимодействия с базой данных?</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 17:13:06.201579', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (921, '<p>Что означает ошибка "fatal: The current branch somebranch has no upstream branch"?</p>', 15, 'MULTIPLE', 'JUNIOR', 'I', '2021-10-05 15:05:13.753385', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (922, '<p>С помощью какой команды можно удалить все untracked файлы?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:05:41.123046', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (923, '<p>Каков результат выполнения команды "git clean -fd"?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:06:04.252847', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (924, '<p>Что происходит с файлом, добавленным в .gitignore?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:06:26.794031', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (925, '<p>Как добавить директорию в git?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:06:49.883366', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (926, '<p>С помощью какой команды можно установить имя пользователя?</p>', 15, 'MULTIPLE', 'JUNIOR', 'I', '2021-10-05 15:07:21.833088', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (927, '<p>С помощью какой команды можно вывести все удаленные репозитории с url?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:07:46.593918', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (928, '<p>Какие свойства конфигурации после установки Git необходимы для начала работы?</p>', 15, 'MULTIPLE', 'JUNIOR', 'I', '2021-10-05 15:08:08.48258', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (929, '<p>С помощью какой команды можно просмотреть список меток?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:08:35.7831', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (930, '<p>С помощью какой команды можно посмотреть историю всех коммитов с сокращённым SHA-1 хэшем?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-05 15:09:15.73346', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (931, '<p>Как отредактировать последний коммит?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-12 14:17:31.676424', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (932, '<p>Что делает команда git revert abcdef?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-12 14:17:59.006088', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (933, '<p>Что делает команда git reset --hard abcdef?</p>', 15, 'MULTIPLE', 'JUNIOR', 'I', '2021-10-12 14:18:35.440453', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (934, '<p>Что делает команда git reset --mixed abcdef?</p>', 15, 'MULTIPLE', 'JUNIOR', 'I', '2021-10-12 14:19:03.066787', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (935, '<p>Что делает команда git reset --soft abcdef?</p>', 15, 'MULTIPLE', 'JUNIOR', 'I', '2021-10-12 14:19:32.634702', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (936, '<p>Какой режим git reset используется по умолчанию?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-12 14:19:56.375909', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (937, '<p>С помощью какой команды можно посмотреть журнал ссылок?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-12 14:20:36.742014', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (938, '<p>Сохраняются ли удаленные коммиты после git reset?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-12 14:21:06.214334', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (939, '<p>Сохраняются ли удаленные коммиты после git revert?</p>', 15, 'SINGLE', 'JUNIOR', 'I', '2021-10-12 14:21:34.309786', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (433, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">interface Aquatic {
    public default int getNumberOfGills(int input) {
        return 2;
    }
}

public class ClownFish implements Aquatic {
    public String getNumberOfGills() {
        return "4";
    }

    public String getNumberOfGills(int input) {
        return "6";
    }

    public static void main(String[] args) {
        System.out.println(new ClownFish().getNumberOfGills(-1));
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (429, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">abstract class Reptile {
    public final void layEggs() {
        System.out.println("Reptile laying eggs");
    }

    public static void main(String[] args) {
        Reptile reptile = new Lizard();
        reptile.layEggs();
    }
}

public class Lizard extends Reptile {
    public void layEggs() {
        System.out.println("Lizard laying eggs");
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (447, 'Заполните пробелы: ___ появляется когда программа заходит слишком глубоко в рекурсию, находясь в бесконечном цикле, тогда как ___ появляется при обращении к несуществующему объекту.', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (450, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (451, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для ClassCastException и для RuntimeException?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (456, 'Заполните пробелы: Приложение должно обрабатывать или объявлять ___ , но никогда не должно обрабатывать ___', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (457, 'Какое из следующих исключений является проверяемым?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (436, '<p>В следующем коде укажите строки, содержащие ошибки&nbsp;</p><pre><code class="language-java">public interface Herbivore {
    int amount = 10;

    public static void eatGrass();

    public int chew() {
        return 13;
    }
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (736, '<p>Выберите верный запрос, который выведет суммы поля amount таблицы transactions для каждой пары user_id, department_id начиная с самой большой, и только для первых 10 пар.</p>', 7, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (544, '<p>Какой будет результат выполнения следующего кода?</p><pre><code class="language-java">List list = new ArrayList&lt;&gt;();
list.add("One");
list.add("Two");
list.add("Three");
list.stream().forEach(s -&gt; {
System.out.println(s);
list.add(s + "New");
});</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (435, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">interface Nocturnal {
    default boolean isBlind() {
        return true;
    }
}

public class Owl implements Nocturnal {
    public boolean isBlind() {
        return false;
    }

    public static void main(String[] args) {
        Nocturnal nocturnal = (Nocturnal) new Owl();
        System.out.println(nocturnal.isBlind());
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (477, 'Какое из следующих утверждений о конструкторах без аргументов является достоверным?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (478, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (484, 'Какая наилучшая причина использовать StringBuilder вместо String?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (485, 'Какое главное преимущество использования лямбда выражений?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (488, 'Есть класс Test с protected переменной. Из какого класса можно получить доступ к этой переменной?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (490, 'Какое из следующих утверждений о конструкторах без аргументов является достоверным?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (513, 'Какой принцип работы PhantomReferences?', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (498, 'Какое из следующих утверждений не является достоверным?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (500, 'Объект какого из следующих типов данных может быть модифицирован после передачи в метод в качестве аргумента?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (510, 'Что такое функциональный интерфейс?', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (511, 'Что не входит в новые возможности Java 9 — 11', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (512, 'Что не является областью памяти JVM?', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (503, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (504, '<p>Какие из следующих утверждений о коде ниже являются достоверными?&nbsp;</p><pre><code class="language-java">List ages = new ArrayList&lt;&gt;();
ages.add(Integer.parseInt("5"));
ages.add(Integer.valueOf("6"));
ages.add(7);
ages.add(null);
for (int age : ages) System.out.print(age);</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (505, '<p>Что выдаст следующий код после исполнения?</p><pre><code class="language-java">public class RopeSwing {
    private static Rope rope1 = new Rope();
    private static Rope rope2 = new Rope();

    {
        System.out.println(rope1.length);
    }

    public static void main(String[] args) {
        rope1.length = 2;
        rope2.length = 8;
        System.out.println(rope1.length);
    }
}

package rope;

public class Rope {
    public static int length = 0;
}
</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (506, '<p>Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?&nbsp;</p><pre><code class="language-java">public class Order3 {
    final String value1 = "1";
    static String value2 = "2";
    String value3 = "3";

    { /*ПРОПУСК_1*/ }

    static { /*ПРОПУСК_2*/ }
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (507, '<p>Сколько ошибок компиляции в следующем коде?&nbsp;</p><pre><code class="language-java">public class RopeSwing {
    private static final String leftRope;
    private static final String rightRope;
    private static final String bench;
    private static final String name = "name";

    static {
        leftRope = "left";
        rightRope = "right";
    }

    static {
        name = "name";
        rightRope = "right";
    }

    public static void main(String[] args) {
        bench = "bench";
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (508, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (737, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 7, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (499, '<p>Какие из следующих утверждений о перегруженных методах являются достоверными?&nbsp;</p><p>1) Перегруженные методы должны иметь одинаковое имя&nbsp;</p><p>2) Перегруженные методы должны иметь одинаковый тип возвращаемого значения&nbsp;</p><p>3) Перегруженные методы должны иметь разный список аргументов</p>', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (517, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (518, 'Выберите существующие состояния треда: ', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (519, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (520, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (526, 'Если вы хотите построить Immutable объект, какое из следующих утверждений будет верно?', 1, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (529, 'Что из следующего является правильным созданием ExecutorService ?', 1, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (530, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (531, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (536, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (537, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (532, '<p>Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Instant start = Instant.now();
        someMethod();
        Instant end = Instant.now();
        long duration = /*КОД*/
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (521, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><p>
</p><pre><code class="language-java">import java.util.Optional;

public class Main {
    public static void main(String[] args) {
        Optional optional = Optional.ofNullable(null);
        System.out.println(optional);
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (533, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (535, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        LocalDate date = LocalDate.ofYearDay(2015, 4);
        date.minusMonths(1);
        System.out.println(date);
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (534, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (524, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        IntStream intStream = IntStream.range(1, 6);
        System.out.println(intStream.average());
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (525, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">interface I {
    public default void print() {
        System.out.println("default");
    }

    static void method() {
        System.out.println("static");
    }
}

public class Main {
    public static void main(String[] args) {
        I i = new I() {
        };
        i.print();
        I.method();
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (548, '<p>Какой будет результат выполнения следующего кода?</p><pre><code class="language-java"> public class Main {
    int getValue() {
        return (true ? null : 0);
    }

    public static void main(String[] args) {
        Main obj = new Main();
        obj.getValue();
    }
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (527, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">class SuperClass {
    protected void method() {
        System.out.println("SuperClass");
    }
}

public class SubClass extends SuperClass {
    private void method() {
        System.out.println("SubClass");
    }

    public static void main(String[] args) {
        SubClass subClass = new SubClass();
        subClass.method();
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (528, '<p>Какая из следующих строк правильно описывает создание нити?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        /*Недостающая строка*/
        Thread thread = new Thread(r);
        thread.start();
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (540, 'Какой метод останавливает тред и освобождает монитор объекта?', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (541, 'Что такое рефлексия?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (542, 'Какая строка выведет сумму чисел от 2 до 5?', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (547, 'Какие варианты инициализации массива правильные?', 1, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (550, 'Что такое интерфейс-маркер?', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (551, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (552, 'Что выведет в консоль такая строчка кода?
<code>System.out.println(13>>>1);</code>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (553, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (554, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (555, 'Отметьте правильные варианты формирования запросов к базе данных', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (556, 'Отметьте основные классы и интерфейсы JDBC', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (557, 'Какое из следующих утверждений верны?', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (558, 'Выберите верные утверждения относительно локальных классов?', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (559, 'Выберите верные утверждения относительно вложенных классов?', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (560, 'Какие из следующих утверждений относительно переопределения методов верны?', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (561, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (562, 'Выберите верные утверждения относительно ListIterator?', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (563, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (564, 'Что из следующего не является побитовой операцией?', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (566, 'Какие из следующих утверждений не являются верными?', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (567, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (568, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (738, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 7, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (545, '<p>Какой будет результат выполнения следующего кода?</p><pre><code class="language-java">class Nullable {
    public static String hello() {
        return "Hello!";
    }
}

class Test {
    public static void main(String[] args) {
        Nullable nullable = null;
        System.out.println(nullable.hello());
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (549, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main {
    static int a = 222;

    static {
        a = a-- - --a;
    }

    {
        a = a++ + ++a;
    }

    public static void main(String[] args) {
        System.out.println(a);
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (546, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Test {
    public static void main(String[] args) {
        Cat cat = new Cat();
        cat.setKittyId(4);
        System.out.println(cat.kitty.id);
    }

    static class Cat {
        int id;
        String name;
        Cat kitty = new Cat();

        public void setKittyId(int kittyId) {
            this.kitty.id = kittyId;
        }
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (569, 'Выберите верное утверждение относительно анонимных классов?', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (578, '<p>Какой метод проектирования тестов в значительной степени зависит от предварительного знания системы?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (584, '<p>Какие методы наиболее эффективны, если документация устарела?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (588, '<p>Что из перечисленного состоит из набора входных значений, предварительных условий выполнения и ожидаемых результатов?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (514, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (523, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (565, '<p>Какой будет результат выполнения следующей программы?</p><pre><code class="language-java">
public class Outer {
	public int x; private int y; void cal(int a, int b) {
	x = a + 1; y = b;
}

	static class Inner {
		public static void main(String args[]) {
			Outer obj = new Outer(); obj.cal(2, 3);
			System.out.println(obj.x + " " + obj.y);
		}
	}

}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (543, '<p>Какой будет результат выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        new Main().test();
    }

    interface I {
        void print();
    }

    public I create() {
        return () -&gt; System.out.println("Hello!");
    }

    private I i = this::create;

    public void test() {
        i.print();
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (522, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Stream&lt;Integer&gt; integerStream = Stream.of(13, 44, 2, 11, 29);
        Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i % 2 != 0));
        System.out.println(map.get(true));
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (596, '<p>На каком этапе используется статическое тестирование?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (502, '<p>Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?&nbsp;</p><pre><code class="language-java">package aquarium;

public class Water {
    boolean salty = false;
} package aquarium.jellies;

public class Water {
    boolean salty = true;
}

package employee;

!ИМПОРТЫ!

public class WaterFiller {
    Water water;
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (501, '<p>Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?&nbsp;</p><pre><code class="language-java">package aquarium;

public class Tank {
}

package aquarium.jellies;

public class Jelly {
}

package visitor;

!ИМПОРТЫ!

public class AquariumVisitor {
    public void admire(Jelly jelly) {
    }
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (733, '<p>Поле amount типа bigint таблицы users хранит количество копеек на счету пользователя. Выберите корректные запросы, которые вернут id пользователя и поле amount в рублях в формате "100.00".</p>', 7, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (789, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 14, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (509, '<p>Какое из следующих утверждений о следующем коде является достоверным?&nbsp;</p><pre><code class="language-java">public class Create {
    Create() {
        System.out.print("1 ");
    }

    Create(int num) {
        System.out.print("2 ");
    }

    Create(Integer num) {
        System.out.print("3 ");
    }

    Create(Object num) {
        System.out.print("4 ");
    }

    Create(int... nums) {
        System.out.print("5 ");
    }

    public static void main(String[] args) {
        new Create(100);
        new Create(100L);
    }
}
</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (481, '<p>Какие их следующих классов содержатся в пакете java.util?&nbsp;</p><p>1) ArrayList</p><p>2) LocalDate&nbsp;</p><p>3) String</p>', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (790, '<p>Какой тип кэширования наиболее подходящий для ситуации, когда данные в БД могут измениться сторонними процессами?</p>', 14, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (988, '<p>Где правильно создана переменная?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:12:32.248946', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (430, '<p>Какие из утверждений являются достоверными в следующем коде?&nbsp;</p><pre><code class="language-java">public class Rodent {
    protected static Integer chew() throws Exception {
        System.out.println("Rodent is chewing");
        return 1;
    }
}

class Beaver extends Rodent {
    public Number chew() throws RuntimeException {
        System.out.println("Beaver is chewing on wood");
        return 2;
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (431, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (437, '<p>Какие из следующих ответов могут быть вставлены на место /*ОТВЕТ*/ для успешной компиляции?</p><pre><code class="language-java"> public interface CanHop {
}

public class Frog implements CanHop {
    public static void main(String[] args) {
        /*ОТВЕТ*/ frog = new TurtleFrog();
    }
}

public class BrazilianHornedFrog extends Frog {
}

public class TurtleFrog extends Frog {
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (595, '<p>Какое высказывание о статическом тестировании ложно?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (618, '<p>Стоимость устранения дефекта...</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (620, '<p>Что из приведенного ниже не является частью тестирования производительности?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (626, '<p>Отказ поля возникает при доступе нескольких пользователей к системе. Что из перечисленного верно?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (628, '<p>Компания решает использовать инструмент автоматизации функционального выполнения тестов для тестирования GUI своего продукта. Графический интерфейс предполагается часто менять. Компания отправила некоторых ручных тестеров на 3-дневную программу обучения о том, как использовать инструмент. Что из перечисленного может быть правдой?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (632, '<p>Что из следующего верно</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (635, '<p>В приложении для заказа такси нельзя заказать машину по тарифу «Комфорт» после обновления. И водители, и пользователи не могут выбрать этот вариант поездки.</p><p>Какой приоритет у данной проблемы?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (636, '<p>У 2% пользователей мобильной версии приложения название города отображается в неверном падеже: вместо «в Самаре» загружается «в Самара».</p><p>Какой приоритет у данной проблемы?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (647, '<p>Основываясь на технике предугадывания ошибки, что из следующего опытный тестировщик СКОРЕЕ ВСЕГО проверит в программе-календаре?</p>', 2, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (650, '<p>Во время тестирования модуля тестировщик обнаруживает баг и назначает его на разработчика. Но разработчик отклоняет его, говоря, что это не баг. Что должен делать тестировщик?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (734, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 7, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (651, '<p>Какие общие принципы тестирования характеризуются описаниями ниже? (Необходимо сопоставить)</p><p>W. Раннее тестирование</p><p>X. Кластеризация дефектов</p><p>Y. Парадокс Пестицида</p><p>Z. Заблуждение об отсутствии ошибок</p><p>1) Тестирование должно начаться в начале проекта</p><p>2) Соответствие требованиям и пригодность для использования</p><p>3) Небольшое количество модулей содержит большинство дефектов</p><p>4) Тестовые случаи должны регулярно обновляться и пересматриваться</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (652, '<p>Использование автоматизации тестирования обеспечит наилучшую отдачу от инвестиций в ...?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (653, '<p>Стратегия тестирования, которая включает в себя понимание логики программы - это</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (739, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 7, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (654, '<p>Команда тестирования постоянно находит от 90% до 95% дефектов, присутствующих в тестируемой системе. Хотя менеджер по тестированию понимает, что это хороший процент обнаружения дефектов для ее тестовой команды и отрасли, высшее руководство и руководители остаются разочарованными тестовой группой, говоря, что тестовая команда пропускает слишком много ошибок. Учитывая, что пользователи, как правило, довольны системой и что сбои, которые произошли, в основном имели мелкие последствия, какой из следующих принципов тестирования, скорее всего, поможет менеджеру по тестированию объяснить этим менеджерам и руководителям, почему некоторые дефекты, вероятно, будут пропущены?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (655, '<p>Используя технику предугадывания ошибок для преобразования температуры (Цельсия в Фаренгейт и Фаренгейт в Цельсия), скажите, какой набор данных ВЕРОЯТНЕЕ ВСЕГО будут использовать опытные тестировщики? (Формула: (32<strong>&nbsp;°F</strong>&nbsp;−&nbsp;32)&nbsp;×&nbsp;5/9&nbsp;=&nbsp;0<strong>&nbsp;°C</strong>)</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (658, '<p>Расположите тестовые сценарии из списка ниже в оптимальном порядке, реализующем проверку изменения данных клиента:</p><ol><li>Печать измененной записи клиента.</li><li>Изменить адрес клиента: номер дома и название улицы.</li><li>Захват и печать сообщения об ошибке на экране.</li><li>Изменить адреса клиента: Почтовый индекс.</li><li>Подтвердить существование клиента в базе данных, открыв эту запись.</li><li>Закрыть запись клиента и закрыть базу данных.</li><li>Попробовать добавить нового клиента без каких-либо деталей.</li></ol>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (659, '<p>Во время выполнения тестирования тест-менеджер описывает команде проекта следующую ситуацию: 90% тест-кейсов были выполнены. 20% тест-кейсов выявили дефекты. Обнаружено 127 дефектов. 112 дефектов были исправлены и прошли повторное тестирование. Для оставшихся 15 дефектов руководство проекта решило, что их не нужно исправлять до выпуска. Какое из следующих утверждений является наиболее разумной интерпретации этого отчета?</p>', 2, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (749, '<p>Как вставить несколько строк за один запрос?</p>', 7, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (730, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 7, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (731, '<p>Выберите корректные запросы, которые выведут любые имена, заканчивающиеся на "аша".</p>', 7, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (732, '<p>Выберите верный запрос, который выведет таблицу с единственным столбцом, содержащим текст "Имя = name", где name - значение поля name таблицы users.</p>', 7, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (735, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 7, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (740, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 7, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (741, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from transactions where name like ''#_%'' escape ''#'';</code></pre>', 7, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (742, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 7, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (743, '<p>В каких командах можно использовать ключевое слово limit?</p>', 7, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (744, '<p>Выведите те записи таблицы transactions, где department_id, указанный у транзакции, существует в таблице departments</p>', 7, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (745, '<p>Каково возвращаемое значение следующей функции: NULLIF(yourField,''abc'')</p>', 7, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (746, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 7, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (747, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 7, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (748, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 7, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (771, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 14, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (772, '<p>Какие типы данных нельзя использовать в полях класса Entity, входящих в первичный ключ, если нужно чтобы данный ключ мог использоваться для любой базы данных?</p>', 14, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (773, '<p>Укажите верные утверждения о встраиваемых (Embeddable) классах</p>', 14, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (774, '<p>Что случится, если для конфигураци hibernate использована одновременно XML конфигурация и hibernate.property?</p>', 14, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (775, '<p>Выберите верные утверждения о методе persist класса Session:</p>', 14, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (776, '<p>Затрагивает ли операция persist состояния зависимых сущностей?</p>', 14, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (777, '<p>Выберите верные утверждения о методе detach класса Session:</p>', 14, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (778, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 14, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (779, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 14, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (780, '<p>Что делает метод session.evict()?</p>', 14, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (781, '<p>Что делает Hibernate, если вы укажете следующую настройку:&nbsp;</p><pre><code class="language-plaintext">hibernate.hbm2ddl.auto = create</code></pre>', 14, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (782, '<p>Каково назначение класса org.hibernate.CacheMode?</p>', 14, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (783, '<p>Какой тип возвращаемого значения у этого выражения: session.createCriteria().uniqueResult()</p>', 14, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (784, '<p>Укажите верные утверждения о session.contains()</p>', 14, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (785, '<p>Укажите верное утверждение о методе session.load()</p>', 14, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (786, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 14, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (787, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 14, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (788, '<p>Укажите верные утверждения о стратегиях загрузки (fetch strategy) и типе загрузки fetchMode.EAGER при использовании SQLQuery</p>', 14, 'MULTIPLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (791, '<p>При каком типе кэширования сессия никогда не будет читать из кэша, а будет только писать в него во время чтения БД?</p>', 14, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (792, '<p>Какой из провайдеров кэша второго уровня предполагается использовать только для тестов?</p>', 14, 'SINGLE', 'MIDDLE', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (793, '<p>Какие из перечисленных изменений, внесенные вне зависимости друг от друга, заставят этот код скомпилироваться без ошибок?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable {
public void close() throws Exception { //A
 throw new Exception("Can''t close");
}
public static void main(String[] args) { //B
 try (TestClass t = new TestClass()) {
  System.out.println("trying");
 } //C
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (794, '<p>Что из перечисленного может заменить комментарий, чтобы код скомпилировался?</p><pre><code class="language-plaintext">public static void main(String[] args) {
try {
 throw new IOException();
} catch (/*ответ*/) { }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (795, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-plaintext">public class Test {
static class SomeAutoCloseable implements AutoCloseable {
public void close() {
System.out.print("A");
} }
static class SomeCloseable implements Closeable {
public void close() {
System.out.print("B");
throw new RuntimeException();
} }
public static void main(String[] args) {
try (SomeAutoCloseable d = new SomeAutoCloseable(); SomeCloseable w = new SomeCloseable()) {
System.out.print("C");
} catch (Exception e) {
System.out.print("D");
} finally {
System.out.print("E");
} } }</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (796, '<p>Что из перечисленного выведет TEST и AssertionError, при условии что число меньше нуля?</p>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (797, '<p>Что из перечисленного можно вставить на место /*КОММЕНТАРИЙ*/, при условии что код должен компилироваться?</p><pre><code class="language-plaintext">public class Test {
static class PrimaryException extends Exception { }
static class SecondaryException extends PrimaryException { }
public static void main(String[] args) throws PrimaryException {
 try {
  throw new PrimaryException();
 } catch (PrimaryException | RuntimeException e) {
  /*КОММЕНТАРИЙ*/
  throw e;
 }
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (798, '<p>Что из перечисленного можно вставить на место /*КОММЕНТАРИЙ*/, при условии что код должен компилироваться?</p><pre><code class="language-java">public class Test {
static class PrimaryException extends Exception { }
static class SecondaryException extends PrimaryException { }
public static void main(String[] args) throws PrimaryException {
 try {
  throw new PrimaryException();
 } catch (PrimaryException | SecondaryException e) {
  /*КОММЕНТАРИЙ*/
  throw e;
 }
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (799, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">public class Test {
static class Res implements AutoCloseable {
 public void close() {
  throw new RuntimeException("flop");
 }
}
public static void main(String[] args) {
 try (Res res1 = new Res(); Res res2 = new Res();) {
  throw new RuntimeException("flip");
 } catch(Exception e) {
  System.out.println(e.getMessage()
   + " " + e.getSuppressed().length);
 }
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (800, '<p>Какие интерфейсы должен наследовать класс, использующийся в качестве ресурса в блоке try-with-resources</p>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (801, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (802, '<p>Какие строки нужно изменить чтобы код скомпилировался?</p><pre><code class="language-java">ExecutorService service = Executors.newSingleThreadScheduledExecutor();
service.scheduleWithFixedDelay(() -&gt; { //A
System.out.println("Testing");
return null; //B
}, 0, 1, TimeUnit.MINUTES);
Future&lt;?&gt; result = service.submit(() -&gt; System.out.println("Something")); //C
System.out.println(result.get()); //D</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (803, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (804, '<p>Что происходит когда для ThreadExecutor назначено больше задач, чем доступных потоков?</p>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (817, '<p>Что из перечисленного является рекомендуемым способом выполнения асинхронной задачи?</p>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (805, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (989, '<p>Какая функция выводит что-либо в консоль?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:12:36.882615', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (806, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-plaintext">Integer integer1 = Arrays.asList(1,2,3,4,5).stream().findAny().get();
synchronized(integer1) { //A
Integer integer2 = Arrays.asList(6,7,8,9,10)
.parallelStream()
.sorted()
.findAny().get(); //B
System.out.println(integer1+" "+integer2);
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (807, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">System.out.println(Arrays.asList("post","get","update","delete")
.parallelStream().parallel() //A
.reduce(0,
 (a, b) -&gt; a.length() + b.length(), //B
 (a, b) -&gt; a + b)); //C</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (808, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (809, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (810, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public void test(BlockingDeque&lt;Integer&gt; deque) {
deque.offer(777);
deque.offerFirst(666, 1, TimeUnit.SECONDS);
deque.offerLast(888, 7, TimeUnit.HOURS);
System.out.print(deque.pollFirst(200, TimeUnit.NANOSECONDS));
System.out.print(" "+deque.pollLast(1, TimeUnit.MINUTES));
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (811, '<p>Что из перечисленного является валидным для интерфейса Callable лямбда-выражением?</p>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (812, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Constants {
public static void main(String[] args) {
 ExecutorService service = Executors.newScheduledThreadPool(10);
 DoubleStream.of(1.23, 4.56) //A
  .forEach(c -&gt; service.submit( //B
   () -&gt; System.out.println(10*c)));
 service.execute(() -&gt; System.out.println("Test")); //С
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (813, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Test {
public static void someMethod(CyclicBarrier cb) { //A
 try { cb.await(); } catch (InterruptedException | BrokenBarrierException e) {
  // Handle exception
 }
}
public static void main(String[] args) {
 CyclicBarrier cb = new CyclicBarrier(10,
 () -&gt; System.out.println("Complete")); //B
 IntStream.iterate(1, i -&gt; 1).limit(5)
  .parallel().forEach(i -&gt; someMethod(cb)); //C
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (814, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
private TestClass() { super(); }

private static TestClass instance;

public static synchronized TestClass getInstance() { //A
 if (instance == null) instance = new TestClass(); //B
 return instance;
}

private int products;

public int getProductCount() { return products; }

public void makeProductsAvailable(int value) { products += value; } //C

public void sellProducts(int value) {
 synchronized (this) { //D
  products -= value;
 }
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (815, '<p>Какие из перечисленных фактов о многопоточности являются верными?</p>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (816, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Counter {
public static Integer makeCount(int exhibitNumber) {
 //Какая-то реализация метода
}

public static void printFuture(Future&lt;?&gt; future) {
 try {
  System.out.println(future.get());
 } catch (Exception e) {
  System.out.println("Exception");
 }
}

public static void main(String[] args) throws InterruptedException, ExecutionException {
 ExecutorService service = Executors.newSingleThreadExecutor();
 final List&lt;Future&lt;?&gt;&gt; list = new ArrayList&lt;&gt;();
 IntStream.range(0, 10).forEach(i -&gt; list.add(
  service.submit(() -&gt; makeCount(i))));
 list.stream().forEach(future -&gt; printFuture(future));
 service.shutdown();
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (870, '<p>Какие из перечисленных фактов являются верными?</p>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (829, '<p>Сколько раз следующий код напечатает A при исполнении?</p><pre><code class="language-plaintext">public class TestClass {
private void waiting(CyclicBarrier c) {
 try {
  c.await();
  System.out.print("A");
 } catch (Exception e) {}
}

public void row(ExecutorService service) {
 final CyclicBarrier cb = new CyclicBarrier(5);
 IntStream.iterate(1, i-&gt; i+1)
  .limit(12)
  .forEach(i -&gt; service.submit(() -&gt; waiting(cb)));
}

public static void main(String[] oars) {
 ExecutorService service = null;
 try {
  service = Executors.newCachedThreadPool();
  new TestClass().row(service);
 } finally {
  service.isShutdown();
 }
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (818, '<p>Сколько из перечисленных выражений выкинут исключение, если будут выполняться отдельно друг от друга?</p><pre><code class="language-plaintext">List&lt;Integer&gt; original = new ArrayList&lt;&gt;(Arrays.asList(1,2,3,4,5));
List&lt;Integer&gt; var1 = new CopyOnWriteArrayList&lt;&gt;(original);
for(Integer w : var1)
var1.remove(w);

List&lt;Integer&gt; var2 = Collections.synchronizedList(original);
for(Integer w : var2)
var2.remove(w);

List&lt;Integer&gt; var3 = new ArrayList&lt;&gt;(original);
for(Integer w : var3)
var3.remove(w);
Queue&lt;Integer&gt; var4 = new ConcurrentLinkedQueue&lt;&gt;(original);
for(Integer w : var4)
var4.remove(w);</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (819, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (820, '<p>Заполните пробелы: использование класса ___ требует переопределения абстрактного метода compute(), возвращающего дженерик, в то время как использование класса ___ требует переопределения абстрактного метода compute(), возвращающего void.</p>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (821, '<p>Учитывая следующий фрагмент кода, какое лямбда-выражение является лучшим выбором для accumulator с учетом правил применения параллельной редукции?</p><pre><code class="language-plaintext">public class TestAccumulator {
int i;

public void test() {
 BiFunction&lt;Integer,Integer,Integer&gt; accumulator = /*ОТВЕТ*/;
 System.out.print(Arrays.asList(1,2,3,4,5)
  .parallelStream()
  .reduce(0,accumulator,(s1, s2) -&gt; s1 + s2));
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (822, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (823, '<p>Какая из этих коллекций является сортированной?</p>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (824, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public void sleep() {
 try {
  Thread.sleep(5000);
 } catch (Exception e) {}
}

public String getQuestion(TestClass r) {
 synchronized {
  sleep();
  if(r != null) r.getAnswer(null);
  return "Question";
 }
}

public synchronized String getAnswer(TestClass r) {
 sleep();
 if(r != null) r.getAnswer(null);
 return "Answer";
}

public static void main(String... ununused) {
 final TestClass r1 = new TestClass();
 final TestClass r2 = new TestClass();
 ExecutorService s = Executors.newFixedThreadPool(2);
 s.submit(() -&gt; r1.getQuestion(r2));
 s.execute(() -&gt; r2.getAnswer(r1));
 s.shutdown();
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (825, '<p>С помощью какого из методов ScheduledExecutorService можно выпонять одно и то же действие в двух потоков в одно и то же время?</p>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (826, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (827, '<p>Какие из перечисленных фактов о стримах (streams) являются верными?</p>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (856, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; s = Stream.of(1); //A
IntStream is = s.mapToInt(x -&gt; x); //B
DoubleStream ds = s.mapToDouble(x -&gt; x); //C
Stream&lt;Integer&gt; s2 = ds.mapToInt(x -&gt; x); //D</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (828, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (830, '<p>Какой метод доступен и для экземпляра List и для экземпляра Stream?</p>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (844, '<p>Какая из перечисленных лямбда-функций не может быть присвоена функциональному интерфейсу ToDoubleBiFunction?</p>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (831, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">class TestClass {
private String name;
public TestClass(String name) {
 this.name = name;
}

public int compareTo(TestClass m) {
 return name.compareTo(m.name);
}

public String toString() {
 return name;
}
}
public class MainClass {
public static void main(String[] args) {
 Set&lt;TestClass&gt; set = new TreeSet&lt;&gt;();
 set.add(new TestClass("test1"));
 set.add(new TestClass("test2"));
 set.add(new TestClass("test1"));
 System.out.println(set.iterator().next());
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (832, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = new ArrayList&lt;&gt;();
list.add("Test1");
list.add(String::new);
list.add("Test2");
list.remove(0);
System.out.println(list.get(0));</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (833, '<p>Какая строка в методе main() не компилируется или указывет на класс, который не компилируется?</p><pre><code class="language-plaintext">interface Caracal&lt;C&gt; {
void draw(C c);
}
class CaracalClass&lt;C&gt; implements Caracal&lt;C&gt; {
public void draw(C c) {
 System.out.println(c);
}
}
class FloppaClass implements Caracal&lt;Floppa&gt; {
public void draw(Floppa c) {
 System.out.println(c);
}
}
class FloppaCaracal implements Caracal&lt;Floppa&gt; {
public void draw(C c) {
 System.out.println(c);
}
}
public class Floppa {
public static void main(String[] args) {
 Caracal&lt;Floppa&gt; c1 = c -&gt; System.out.println(c); //A
 Caracal&lt;Floppa&gt; c2 = new CaracalClass&lt;&gt;(); //B
 Caracal&lt;Floppa&gt; c3 = new FloppaClass(); //C
 Caracal&lt;Floppa&gt; c4 = new FloppaCaracal(); //D
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (834, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Comparator&lt;Integer&gt; c = (x, y) -&gt; y-x;
List&lt;Integer&gt; ints = Arrays.asList(3, 1, 4);
Collections.sort(ints, c);
System.out.println(Collections.binarySearch(ints, 1));</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (835, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (836, '<p>Нужно чтобы код вывел в консоль каждую строку дважды. Почему он не выводит?</p><pre><code class="language-java">LinkedList&lt;String&gt; list = new LinkedList&lt;&gt;();
list.add("Test1");
list.add("Test2");
list.stream().forEach(System.out::println);
Iterator it = list.iterator();
while (it.hasNext())
System.out.println(it.next());</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (837, '<p>Какой тип допускает вставку значения null?</p>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (838, '<p>Что из перечисленного можно вставить на место ответа в сигнатуре метода чтобы код скомпилировался?</p><pre><code class="language-plaintext">
public class TestClass {
private static &lt; /*Ответ*/ , U&gt; U add(T list, U element) {
 list.add(element);
 return element;
}

public static void main(String[] args) {
 List&lt;String&gt; values = new ArrayList&lt;&gt;();
 add(values, "duck");
 add(values, "duck");
 add(values, "goose");
 System.out.println(values);
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (839, '<p>Что из перечисленного нельзя вставить на место ответа чтобы код скомпилировался?</p><pre><code class="language-plaintext">private void output( /*Ответ*/ &lt;?&gt; x) {
x.forEach(System.out::println);
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (840, '<p>Что из перечисленного нужно вставить на место ответа чтобы код скомпилировался и вывел "Tested 2 items"?</p><pre><code class="language-plaintext">class TestClass&lt;T /*Ответ1*/ Collection&gt; {
T item;

public void clean(T items) {
 System.out.println("Tested " + items.size() + " items");
}

}
public class MainClass {
public static void main(String[] args) {
TestClass&lt;List&gt; testClass = new /*Ответ2*/
testClass.clean(Arrays.asList("test1", "test2")); }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (841, '<p>Заполните пробелы: Функциональный интерфейс ___ не принимает никаких аргументов, тогда как функциональный интерфейс _ имеет тип возвращаемого значения void.</p>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (842, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">class TestClass {
public TestClass(double count) {
 this.count = count;
}
public double count;
}
public class MainClass {
private void estimate(Predicate&lt;TestClass&gt; predicate, TestClass testClass) {
 System.out.print(predicate.test(testClass) ? "Good" : "Bad"); //A
}

public final static void main(String... sand) {
 new MainClass().estimate(s -&gt; s.count&lt;4, new TestClass(2)); //B
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (843, '<p>Какой из перечисленных функциональных интерфейсов может быть вставлен на место ответа чтобы класс скомпилировался?</p><pre><code class="language-plaintext">public class TestClass {
public void testing(/*Ответ*/ lambda) {
 //Какая-то реализация
}

public static void main(String[] debris) {
 new TestClass().testing((s,p) -&gt; s+p);
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (1013, '<p>Внутри одной группы консьюмеров, партиции назначаются:</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 23:32:07.408728', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (845, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
private static int CAPACITY = 100;
public int counter(int counterCurrent, IntUnaryOperator&lt;Integer&gt; counter) {
 return counter.applyAsInt(counterCurrent);
}

public static void main(String...theater) {
 final TestClass test = new TestClass();
 final int counterOld = 50;
 final int counterNew = test.counter(counterOld,t -&gt; {
  if(t&gt;CAPACITY) {
   throw new RuntimeException("Overload");
  }
  return t+1;
 });
 System.out.print(counterNew);
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (846, '<p>Какой из перечисленных функциональных интерфейсов нужно вставить на место комментария, чтобы класс скомпилировался?</p><pre><code class="language-plaintext">public class Market {
private static void checkNumbers(List&lt;Double&gt; numbers, /*ОТВЕТ*/ lambda) {
 numbers.forEach(lambda);
}

public static void main(String[] right) {
 List&lt;Double&gt; numbers = Arrays.asList(1.2, 6.5, 3.0);
 checkNumbers(numbers, p -&gt; {
   String result = p&lt;5 ? "lower" : "higher";
   System.out.println(result);
  }
 );
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (847, '<p>Какие из перечисленных лямбда выражений можно передать в метод test()?</p><pre><code class="language-plaintext">public class TestClass {
public void test(BinaryOperator&lt;Long&gt; lambda) {
 lambda.apply(2L, 4L);
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (848, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public void test(Supplier supplier) { // A
 supplier.get();
}

public static void main(String... electricSheep) { // B
 TestClass testClass = new TestClass();
 testClass.test(() -&gt; System.out.print("Complete")); // C
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (849, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (850, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.length() &gt; 5;
Stream&lt;String&gt; stream = Stream.iterate("-", (s) -&gt; s + s);
boolean b1 = stream.noneMatch(predicate);
boolean b2 = stream.anyMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (851, '<p>Какие из терминальных операций стримов являются редукциями?</p>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (852, '<p>Какой из перечисленных вариантов нужно вставить на место комментария, чтобы класс выдал "false"?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s = Stream.generate(() -&gt; "test");
boolean match = s./*ОТВЕТ*/(String::isEmpty);
System.out.println(match);</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (853, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (854, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (855, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (857, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s1 = Stream.empty();
Stream&lt;String&gt; s2 = Stream.empty();
Map&lt;Boolean, List&lt;String&gt;&gt; map1 = s1.collect(Collectors.partitioningBy(b -&gt; b.startsWith("c")));
Map&lt;Boolean, List&lt;String&gt;&gt; map2 = s2.collect(Collectors.groupingBy(b -&gt; b.startsWith("c")));
System.out.println(map1 + " " + map2);</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (858, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (859, '<p>Какой из перечисленных вариантов ответа создает правильную локаль?</p>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (860, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (861, '<p>В примере определены конфигурационные файлы и код. Какие из конфигурационных файлов будут использоваться для строк A и B соответственно?</p><pre><code class="language-plaintext">Testers.properties
name=The Tester
count=0

Testers_en.properties
name=Somebody
count=4

Testers_fr.properties
name=Somebody</code></pre><p>Код:</p><pre><code class="language-plaintext">Locale fr = new Locale("fr");
Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("Testers", fr);
b.getString("name"); //A
b.getString("count");  //B</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (862, '<p>Что из перечисленного можно вставить на место ответа чтобы получить дату "20 августа, 2011 год"?</p><pre><code class="language-plaintext">public class TestClass {
public static void main(String[] args) {
 LocalDate date = /*ОТВЕТ*/
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (863, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">LocalDate date = LocalDate.parse("2021–06–30", DateTimeFormatter.ISO_LOCAL_DATE);
date.plusDays(2);
date.plusHours(3);
System.out.println(date.getYear() + " " + date.getMonth() + " "+ date.getDayOfMonth());</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (864, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">LocalDateTime d = LocalDateTime.of(2021, 5, 10, 10, 10, 10);
Period p = Period.of(1, 2, 3);
d = d.minus(p);
DateTimeFormatter f = DateTimeFormatter.ofLocalizedTime(FormatStyle.SHORT);
System.out.println(d.format(f));</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (865, '<p>Какие из перечисленных примеров выдаст в консоль все значения переменной properties класса Propreties?</p>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (866, '<p>Какие из перечисленных исправлений, примененных независимо друг от друга, заставят код скомпилироваться?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable {
public void close() throws Exception { //A
 throw new Exception("Closing...");
}

public static void main(String[] args) { //B
 try (TestClass t = new TestClass()) {
  System.out.println("Trying...");
 } //C
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (867, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">class App {
   String data = "data";
   public void doAppStuff() {
     System.out.println(data);
   }
}
class GoodApp extends App{
   String data = "good data";
   public void doAppStuff() {
   }
}
public class AppUser{
   public static void main(String[] args) {
       App w = new GoodApp();
       ((App)w).doAppStuff();
   }

}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (868, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
static class TestAC implements AutoCloseable {
 public void close() {
  System.out.print("A");
  throw new RuntimeException();
 }
}

static class TestC implements Closeable {
 public void close() {
  System.out.print("B");
  throw new RuntimeException();
 }
}

public static void main(String[] args) {
 try {TestAC d = new TestAC(); TestC w = new TestC()}
 {
  System.out.print("C");
 } catch (Exception e) {
  System.out.print("D");
 } finally {
  System.out.print("E");
 }
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (869, '<p>Какая из перечисленных команд для командной строки заставит TestClass упасть на assert?</p><pre><code class="language-plaintext">public class TestClass {
public static void main(String[] args) {
 String s = null;
 assert s != null;
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (871, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Deque&lt;Integer&gt; d = new ArrayDeque&lt;&gt;();
d.push(10);
d.offerLast(20);
d.push(30);
d.peekFirst();
d.removeLast();
d.pop();
System.out.println(d);</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (872, '<p>Какой из перечисленных функциональных интерфейсов может заменить функцию checkPi?</p><pre><code class="language-plaintext">interface Checker{
   public boolean checkPi(double value);
}
public class TestClass {
   public void test(double value){
       boolean b = new Checker(){
           public boolean checkPi(double val){
               return val == 3.14;
           }
       }.checkPi(value);
   }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (873, '<p>Заполните пробелы: Метод close() не может кидать ___ в классе, наследующем ___.</p>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (874, '<p>Какой из перечисленных классов, вставленных на место комментария, заставит следующий код компилироваться?</p><pre><code class="language-plaintext">InputStream is = new BufferedInputStream(new FileInputStream("test.txt"));
InputStream wrapper = new /*ОТВЕТ*/(is);</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (875, '<p>Какой из перечисленных вариантов ответа описывает поведение следующего метода?</p><pre><code class="language-plaintext">public static void removeTree(File file) {
if(!file.isFile()) //A
 for(File entry: file.listFiles()) //B
  removeTree(entry);
else file.delete();
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (876, '<p>Какие из перечисленных фактов о следующем коде являются верными, учитывая что test.txt - многострочный текстовый файл?</p><pre><code class="language-plaintext">private void test() throws IOException {
try (FileReader fileReader = new FileReader("test.txt");
 BufferedReader bufferedReader = new BufferedReader(fileReader)) {
 System.out.println(bufferedReader.readLine());
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (877, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (878, '<p>Какие поля всегда будут равны null у экземпляра описанного класса после его сериализации и последующей десериализации?</p><pre><code class="language-plaintext">public class Account implements Serializable {
/*Реализация геттеров и сеттеров опущена*/
private static final long serialUID = 999999L;
private transient String login = "admin";
private static String password = "toor";
private transient Integer attempts;
private List&lt;Account&gt; users = new ArrayList&lt;&gt;();
private Object object = null;

{ attempts = 10;}

public Account() {
 this.login = "root";
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (879, '<p>Каково значение поля login экземпляра класса Account после его сериализации и последующей десериализации?</p><pre><code class="language-plaintext">public class Account implements Serializable {
protected transient String login = "Василий";
public void setName(String login) { this.login = login; }
public String getName() { return login; }

public Account() {
 this.login = "Аркадий";
}
}
public class Eagle extends Account implements Serializable {
{ this.login = "Виталий"; }

public Eagle() {
 this.login = "Александр";
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (880, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (881, '<p>Что выведет следующий код?</p><pre><code class="language-plaintext">Path path = Path.get("/folder/.././ext","../test.txt");
path.normalize().relativize("/out");
System.out.println(path);</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (882, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (883, '<p>Какие из перечисленных строк кода выведут "9"?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = Arrays.asList(3,4,6,9,2,5,7);
System.out.println(list.stream().reduce(Integer.MIN_VALUE, (a, b)-&gt;a&gt;b?a:b)); //A
System.out.println(list.stream().max(Integer::max).get()); //B
System.out.println(list.stream().max(Integer::compare).get()); //C
System.out.println(list.stream().max((a, b)-&gt;a&gt;b?a:b)); //D</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (884, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (885, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; stream = IntStream.rangeClosed(10, 15).boxed(); //A
Object obj = stream.collect(Collectors.partitioningBy(x-&gt;x%2==0)); //B
System.out.println(obj);</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (886, '<p>Какие из перечисленных вариантов ответа показывают синтаксически-корректное использование assert?</p>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (965, '<p>Выберите вариант, чтобы правильно дополнить код таким образом, чтобы функция перенаправления пользователя.</p><br><pre><code class="language-python">from flask import Flask, redirect, request<br>from app import app<br><br>@app.route(''/redirect/'')<br>def redirect_page():<br><________></code></pre>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:10:37.309946', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (887, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (888, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Duration d1 = Duration.ofMillis(1100);
Duration d2 = Duration.ofSeconds(61);
System.out.println(d1 + ", " + d2);</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (889, '<p>Какие из перечисленных фактов о следующем коде являются верными? Учтите что test1.txt существует, а test2.txt не существует?</p><pre><code class="language-plaintext">public class FileCopier {
   public static void testCopy(Path p1, Path p2) throws Exception {
       Files.copy(p1, p2, StandardCopyOption.COPY_ATTRIBUTES, StandardCopyOption.REPLACE_EXISTING);
   }

   public static void main(String[] args) throws Exception {
       Path p1 = Paths.get("C:\\test1.txt");
       Path p2  = Paths.get("C:\\test2.txt");
       testCopy(p1, p2);
       if(Files.isSameFile(p1, p2)){
           System.out.println("OK");
       } else {
           System.out.println("NOT OK");
       }
   }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (890, '<p>Что нужно вставить на место комментариев чтобы код успешно скомпилировался?</p><pre><code class="language-plaintext">public class TestClass {
   private Map&lt;String, Integer&gt; values = new HashMap&lt;String, Integer&gt;();
   private ReadWriteLock lock = new ReentrantReadWriteLock();
   public void setValuesForName(String name, Integer values){
 //Ответ 1
       try{
           values.put(name, values);
       }finally{
  //Ответ 2
       }
   }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (891, '<p>Какие из перечисленных фактов о следующем коде и ресурсных файлах являются верными?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("fr", "CA"));
Locale l = new Locale("jp", "JP");
ResourceBundle rb = ResourceBundle.getBundle("lines", l);
String msg = rb.getString("initialization");
System.out.println(msg);</code></pre><pre><code class="language-plaintext">Содержимое lines.properties:
initialization=Hello

Содержимое lines_fr_FR.properties:
initialization=je suis un mangeur de grenouilles</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions VALUES (892, '<p>Какое из перечисленных решений позволит сделать код из примера потокобезопасным?</p><pre><code class="language-plaintext">class TestClass{
private double value;
   ReentrantLock lock = new ReentrantLock();

   public void test(double d){
       try{
           lock.lock();
           if(value &gt; d) value = value - d;
       }finally{
           lock.unlock();
       }
   }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:51:14.317417', 'editor@loylabs.ru', 'editor@loylabs.ru', true, NULL);
INSERT INTO public.questions VALUES (966, '<p>Что такое Blueprint во Flask''e?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:10:41.520568', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (990, '<p>Что будет показано в результате?</p><br><pre><code class="language-python">python<br>name = "John"<br>print(''Hi, %s'' % name)</code></pre>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:12:42.019133', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1014, '<p>Как называется конфигурационный файл в zookeeper?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-01 13:41:26.343512', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1036, '<p>Что такое Stream в Kafka streams?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-05 18:46:19.534539', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1057, '<p>Возможно ли в Apache Camel перенаправить одно и тоже сообщение нескольким потребителям?</p>', 22, 'SINGLE', NULL, 'U', '2022-10-08 19:15:27.344653', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1078, '<p>Какой приоритет по умолчанию выставляется для потребителя (Consumer) в ActiveMQ?</p><p>&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p><p><br>&nbsp;</p>', 19, 'SINGLE', NULL, 'I', '2022-12-04 17:10:14.25419', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions VALUES (1099, '<p><strong>Что выведет консоль?</strong></p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 23, 'SINGLE', NULL, 'U', '2023-04-27 11:03:04.970748', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);


--
-- Data for Name: questions_history; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.questions_history VALUES (175, 570, '<p>Что из перечисленного обычно не включается в отчет об обнаруженном дефекте?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2020-12-03 21:04:41.899092', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (176, 571, '<ul><li><strong>жирный </strong><i>курсив </i><u>подчеркнутый</u> <i><strong><u>все&nbsp;</u></strong></i></li></ul><p>&nbsp;</p><ol><li>п</li><li>4</li><li>7</li><li><span class="text-huge">еее</span></li><li><span class="text-tiny">нннн</span></li><li><span class="text-big">еее</span></li><li><span class="text-small">6ннн</span></li><li><span style="color:hsl(0, 75%, 60%);">аааа</span></li><li><span style="color:hsl(180, 75%, 60%);">нннн</span></li><li><span style="color:hsl(270, 75%, 60%);">нннн</span></li></ol><p>рр</p><p>и</p>', 2, 'MULTIPLE', 'MIDDLE', 'I', '2020-12-03 21:07:56.504256', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (177, 571, '<ul><li><strong>жирный </strong><i>курсив </i><u>подчеркнутый</u> <i><strong><u>все&nbsp;</u></strong></i></li></ul><p>&nbsp;</p><ol><li>п</li><li>4</li><li>7</li><li><span class="text-huge">еее</span></li><li><span class="text-tiny">нннн</span></li><li><span class="text-big">еее</span></li><li><span class="text-small">6ннн</span></li><li><span style="color:hsl(0, 75%, 60%);">аааа</span></li><li><span style="color:hsl(180, 75%, 60%);">нннн</span></li><li><span style="color:hsl(270, 75%, 60%);">нннн</span></li></ol><p>рр</p><p>и</p>', 2, 'MULTIPLE', 'MIDDLE', 'D', '2020-12-03 21:08:16.274063', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (193, 522, 'Что будет выведено в консоль после выполнения следующего кода?
<code>public class Main {
public static void main(String[] args) {
Stream<Integer> integerStream = Stream.of(13,44,2,11,29);
Map<Boolean, List<Integer>> map = integerStream.collect(Collectors.partitioningBy(i -> i%2 != 0));
System.out.println(map.get(true));
}
}</code>', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:34.810386', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (204, 522, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main { public static void main(String[] args) { Stream&lt;Integer&gt; integerStream = Stream.of(13,44,2,11,29); Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i%2 != 0)); System.out.println(map.get(true)); } }</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2020-12-04 12:42:14.852739', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (287, 565, 'Какой будет результат выполнения следующей программы?
<code>public class Outer {
public int x;
private int y;
void cal(int a, int b) {
x = a + 1;
y = b;
}
static class Inner {
public static void main(String args[]) {
Outer obj = new Outer();
obj.cal(2, 3);
System.out.println(obj.x + " " + obj.y);
}
}
}</code>', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:42.481746', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (299, 521, 'Что будет выведено в консоль после выполнения следующего кода?
<code>import java.util.Optional;
public class Main {
public static void main(String[] args) {
Optional<Integer> optional = Optional.ofNullable(null);
System.out.println(optional);
}
}</code>', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:34.654068', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (310, 521, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><p>
</p><pre><code class="language-java">import java.util.Optional;

public class Main {
    public static void main(String[] args) {
        Optional optional = Optional.ofNullable(null);
        System.out.println(optional);
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2021-04-04 18:08:56.359594', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (324, 549, 'Какой будет результат выполнения следующего кода?
<code>public class Main {
static int a = 222;
static
{
a = a-- - --a;
}
{
a = a++ + ++a;
}
public static void main(String[] args) {
System.out.println(a);
}
}</code>', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:39.582778', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (337, 549, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-plaintext">public class Main {
    static int a = 222;

    static {
        a = a-- - --a;
    }

    {
        a = a++ + ++a;
    }

    public static void main(String[] args) {
        System.out.println(a);
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2021-04-04 18:21:46.242902', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (346, 543, 'Какой будет результат выполнения следующего кода?
<code>public class Main {
public static void main(String[] args) {
new Main().test();
}
interface I { void print(); }
public I create() {
return () -> System.out.println("Hello!");
}
private I i = this::create;
public void test() {
i.print();
}
}</code>', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:38.516454', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (357, 544, 'Какой будет результат выполнения следующего кода?
<code>List<String> list = new ArrayList<>();
list.add("One");
list.add("Two");
list.add("Three");
list.stream().forEach(s -> {
System.out.println(s);
list.add(s + "New");
});</code>', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:38.673477', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (368, 544, '<p>Какой будет результат выполнения следующего кода?</p><pre><code class="language-java">List list = new ArrayList&lt;&gt;();
list.add("One");
list.add("Two");
list.add("Three");
list.stream().forEach(s -&gt; {
System.out.println(s);
list.add(s + "New");
});</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 18:25:08.871379', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (377, 545, 'Какой будет результат выполнения следующего кода?
<code>class Nullable {
public static String hello() {
return "Hello!";
}
}
class Test {
public static void main(String[] args) {
Nullable nullable = null;
System.out.println(nullable.hello());
}
}</code>', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:38.833462', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (388, 546, 'Какой будет результат выполнения следующего кода?
<code>public class Test {
public static void main(String[] args) {
Cat cat = new Cat();
cat.setKittyId(4);
System.out.println(cat.kitty.id);
}
static class Cat {
int id;String name;
Cat kitty = new Cat();
public void
setKittyId(int kittyId) {
this.kitty.id = kittyId;
}
}
}</code>', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:38.990997', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (399, 546, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Test {
    public static void main(String[] args) {
        Cat cat = new Cat();
        cat.setKittyId(4);
        System.out.println(cat.kitty.id);
    }

    static class Cat {
        int id;
        String name;
        Cat kitty = new Cat();

        public void setKittyId(int kittyId) {
            this.kitty.id = kittyId;
        }
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 18:27:42.633706', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1179, 498, 'Какое из следующих утверждений не является достоверным?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:31.041074', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (408, 548, 'Какой будет результат выполнения следующего кода?
<code>public class Main {
int getValue()
{
return (true ? null : 0);
}
public static void main(String[] args) {
Main obj = new Main();
obj.getValue();
}
}</code>', 1, 'MULTIPLE', 'MIDDLE', 'I', '2020-11-24 19:32:39.396055', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (417, 548, '<p>Какой будет результат выполнения следующего кода?</p><pre><code class="language-java"> public class Main {
    int getValue() {
        return (true ? null : 0);
    }

    public static void main(String[] args) {
        Main obj = new Main();
        obj.getValue();
    }
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2021-04-04 18:29:15.677075', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (426, 548, '<p>Какой будет результат выполнения следующего кода?</p><pre><code class="language-java"> public class Main {
    int getValue() {
        return (true ? null : 0);
    }

    public static void main(String[] args) {
        Main obj = new Main();
        obj.getValue();
    }
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2021-04-04 18:30:09.170365', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (435, 532, 'Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?
<code>public class Main {
public static void main(String[] args) {
Instant start = Instant.now();
someMethod();
Instant end = Instant.now();
long duration = /*КОД*/
}
}</code>', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:36.537921', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (446, 533, 'Какие из утверждений верны в отношении следующего кода?
<code>interface Readable {
void read();
default void print();
}</code>', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:36.723203', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (455, 534, 'Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?
<code>public class Main {
public static void main(String[] args) {
List<String> list1 = Arrays.asList("A", "B");
List<String> list2 = Arrays.asList("C", "D");
/*КОД*/
}
}</code>', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:36.879086', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (464, 534, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2021-04-04 18:37:58.953092', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (475, 535, 'Что будет выведено в консоль после выполнения следующего кода?
<code>public class Main {
public static void main(String[] args) {
LocalDate date = LocalDate.ofYearDay(2015, 4);
date.minusMonths(1);
System.out.println(date);
}
}</code>', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:37.035166', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (486, 522, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main { public static void main(String[] args) { Stream&lt;Integer&gt; integerStream = Stream.of(13,44,2,11,29); Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i%2 != 0)); System.out.println(map.get(true)); } }</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2020-12-04 13:05:41.992157', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (497, 523, 'Что будет выведено в консоль после выполнения следующего кода?
<code>import java.util.HashMap;
import java.util.Map;
import java.util.function.Consumer;
public class Main {
public static void main(String[] args) {
	Map<Integer, String> map = new HashMap<>();
map.put(1, "one");
map.put(2, "two");
map.put(3, "three");
Consumer<String> consumer = System.out::print;
map.forEach(consumer);
}
}</code>', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:34.961722', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (510, 524, 'Что будет выведено в консоль после выполнения следующего кода?
<code>import java.util.stream.IntStream;
public class Main {
public static void main(String[] args) {
IntStream intStream = IntStream.range(1, 6);
System.out.println(intStream.average());
}
}</code>', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:35.138206', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (521, 525, 'Что будет выведено в консоль после выполнения следующего кода?
<code>interface I {
public default void print() {
System.out.println("default");
}
static void method() {
System.out.println("static");
}
}
public class Main {
public static void main(String[] args) {
I i = new I(){};
i.print();
I.method();
}
}</code>', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:35.317033', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (532, 527, 'Что будет выведено в консоль после выполнения следующего кода?
<code>class SuperClass {
protected void method() {
System.out.println("SuperClass");
}
}
public class SubClass extends SuperClass {
private void method()  {
System.out.println("SubClass");
 }
public static void main(String[] args) {
SubClass subClass = new SubClass();
subClass.method();
}
}</code>', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:35.692202', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (543, 528, 'Какая из следующих строк правильно описывает создание нити?
<code>public class Main {
public static void main(String[] args) {
/*Недостающая строка*/
Thread thread = new Thread(r);
thread.start();
}
}</code>', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:35.85579', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (556, 501, 'Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?
<code>package aquarium;
public class Tank{}

package aquarium.jellies;
public class Jelly{}

package visitor;
!ИМПОРТЫ!
public class AquariumVisitor{
public void admire(Jelly jelly) {}
}
</code>', 1, 'MULTIPLE', 'MIDDLE', 'I', '2020-11-24 19:32:31.518312', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (569, 502, 'Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?
<code>package aquarium;
public class Water {
boolean salty = false;
}

package aquarium.jellies;
public class Water {
boolean salty = true;
}

package employee;
!ИМПОРТЫ!
public class WaterFiller {
Water water;
}</code>', 1, 'MULTIPLE', 'MIDDLE', 'I', '2020-11-24 19:32:31.663871', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1119, 751, '<p>Что из перечисленного не является состоянием сущности Hibernate?</p>', 14, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 13:01:32.6593', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1141, 823, '<p>Какая из этих коллекций является сортированной?</p>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:54:28.154065', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (779, 433, 'Каков результат выполнения следующего кода?
<code>interface Aquatic {
public default int getNumberOfGills(int input) { return 2; }
}
public class ClownFish implements Aquatic {
public String getNumberOfGills() { return "4"; }
public String getNumberOfGills(int input) { return "6"; }
public static void main(String[] args) {
System.out.println(new ClownFish().getNumberOfGills(-1));
}
}</code>', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:21.31094', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (582, 501, '<p>Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?&nbsp;</p><pre><code class="language-java">package aquarium;

public class Tank {
} package aquarium.jellies;

public class Jelly {
} package visitor;!ИМПОРТЫ!

public class AquariumVisitor {
    public void admire(Jelly jelly) {
    }
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2021-04-04 18:51:33.063398', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (595, 503, 'Какие из следующих утверждений являются достоверными?
<code>public class Bear {
protected void finalize() {
System.out.println("Roar!");
}
public static void main(String[] args) {
Bear bear = new Bear();
bear = null;
System.gc();
}
}</code>', 1, 'MULTIPLE', 'MIDDLE', 'I', '2020-11-24 19:32:31.804939', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (606, 504, 'Какие из следующих утверждений о коде ниже являются достоверными?
<code>List<Integer> ages = new ArrayList<>();
ages.add(Integer.parseInt("5"));
ages.add(Integer.valueOf("6"));
ages.add(7);
ages.add(null);
for (int age : ages) System.out.print(age);</code>', 1, 'MULTIPLE', 'MIDDLE', 'I', '2020-11-24 19:32:31.944422', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (619, 505, 'Что выдаст следующий код после исполнения?
<code>import rope.*;
import static rope.Rope.*;
public class RopeSwing {
private static Rope rope1 = new Rope();
private static Rope rope2 = new Rope();
{
System.out.println(rope1.length);
}

public static void main(String[] args){
rope1.length = 2;
rope2.length = 8;
System.out.println(rope1.length);
}
}

package rope;
public class Rope {
public static int length = 0;
}
</code>', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:32.085125', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (632, 506, 'Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?
<code>public class Order3 {
final String value1 = "1";
static String value2 = "2";
String value3 = "3";
{
//ПРОПУСК_1
}
static {
//ПРОПУСК_2
}
}</code>', 1, 'MULTIPLE', 'MIDDLE', 'I', '2020-11-24 19:32:32.2359', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (645, 507, 'Сколько ошибок компиляции в следующем коде?
<code>public class RopeSwing {
private static final String leftRope;
private static final String rightRope;
private static final String bench;
private static final String name = "name";
static {
leftRope = "left";
rightRope = "right";
}
static {
name = "name";
rightRope = "right";
}
public static void main(String[] args){
bench = "bench";
}
}</code>', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:32.379156', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (658, 508, 'Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?
<code>interface Secret {
String magic(double d);
}

class MySecret implements Secret {
public String magic(double d) {
return "Poof";
}
}</code>', 1, 'MULTIPLE', 'MIDDLE', 'I', '2020-11-24 19:32:32.552032', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (671, 509, 'Какое из следующих утверждений о следующем коде является достоверным?
<code>public class Create {
Create() {
System.out.print("1 ");
}
Create(int num) {
System.out.print("2 ");
}
Create(Integer num) {
System.out.print("3 ");
}
Create(Object num) {
System.out.print("4 ");
}
Create(int... nums) {
System.out.print("5 ");
}

public static void main(String[] args){
new Create(100);
new Create(100L);
}
}</code>', 1, 'MULTIPLE', 'MIDDLE', 'I', '2020-11-24 19:32:32.692373', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (682, 499, 'Какие из следующих утверждений о перегруженных методах являются достоверными?
1) Перегруженные методы должны иметь одинаковое имя
2) Перегруженные методы должны иметь одинаковый тип возвращаемого значения
3) Перегруженные методы должны иметь разный список аргументов', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:31.1786', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (691, 481, 'Какие их следующих классов содержатся в пакете java.util?
<code>1) ArrayList
2) LocalDate
3) String</code>', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:28.492284', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (702, 440, 'Какие из перечисленных фактов о данном коде достоверны?
<code>interface HasVocalCords {
public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
public void bark();
}</code>', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:22.355687', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (713, 440, '<p>Какие из перечисленных фактов о данном коде достоверны?&nbsp;</p><pre><code class="language-java">interface HasVocalCords {
    public abstract void makeSound();
}

public interface CanBark extends HasVocalCords {
    public void bark();
}</code></pre>', 1, 'SINGLE', 'JUNIOR', 'U', '2021-04-04 19:11:21.595857', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (724, 441, 'Каков результат выполнения следующего кода?
<code>public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args) {
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) { System.out.println("Orca diving"); }
}</code>', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:22.492934', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (737, 442, 'Каков результат выполнения следующего кода?
<code>class Mammal {
public Mammal(int age) {
System.out.print("Mammal");
}
}

public class Platypus extends Mammal {
public Platypus() {
System.out.print("Platypus");
}
public static void main(String[] args) {
new Mammal(5);
}
}</code>', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:22.633229', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (748, 430, 'Какие из утверждений являются достоверными в следующем коде?
<code>public class Rodent {
protected static Integer chew() throws Exception {
System.out.println("Rodent is chewing");
return 1;
}
}

class Beaver extends Rodent {
public Number chew() throws RuntimeException {
System.out.println("Beaver is chewing on wood");
return 2;
}
}</code>', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:20.84156', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1132, 767, '<p>На что указывает аннотация @Column?</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:09:45.651971', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1225, 557, 'Какое из следующих утверждений верны?', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:41.202865', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (757, 431, 'Каков результат выполнения следующего кода?
<code>public abstract class Whale {
public abstract void dive() {};
public static void main(String[] args){
Whale whale = new Orca();
whale.dive();
}
}

class Orca extends Whale {
public void dive(int depth) {System.out.println("Orca diving");}
}</code>', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:21.000242', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (768, 432, 'Какие из утверждений являются достоверными в следующем коде?
<code>interface HasExoskeleton {
abstract int getNumberOfSections();
}

abstract class Insect implements HasExoskeleton {
abstract int getNumberOfLegs();
}

public class Beetle extends Insect {
int getNumberofLegs() { return 6; }
}</code>', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:21.16863', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (790, 435, 'Каков результат выполнения следующего кода?
<code>interface Nocturnal {
default boolean isBlind() { return true; }
}

public class Owl implements Nocturnal {
public boolean isBlind() { return false; }
public static void main(String[] args) {
Nocturnal nocturnal = (Nocturnal) new Owl();
System.out.println(nocturnal.isBlind());
}
}</code>', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:21.582435', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (801, 435, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">interface Nocturnal {
    default boolean isBlind() {
        return true;
    }
}

public class Owl implements Nocturnal {
    public boolean isBlind() {
        return false;
    }

    public static void main(String[] args) {
        Nocturnal nocturnal = (Nocturnal) new Owl();
        System.out.println(nocturnal.isBlind());
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 19:18:22.586554', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (810, 436, 'В следующем коде укажите строки, содержащие ошибки
<code>public inteface Herbivore {
int amount = 10;
public static void eatGrass();
public int chew() { return 13; }
}</code>', 1, 'MULTIPLE', 'MIDDLE', 'I', '2020-11-24 19:32:21.723352', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (823, 437, 'Какие из следующих ответов могут быть вставлены на место /*ОТВЕТ*/ для успешной компиляции?
<code>public interface CanHop {}

public class Frog implements CanHop {
public static void main(String[] args) {
/*ОТВЕТ*/ frog = new TurtleFrog();
}
}

public class BrazilianHornedFrog extends Frog {}
public class TurtleFrog extends Frog {}</code>', 1, 'MULTIPLE', 'MIDDLE', 'I', '2020-11-24 19:32:21.85699', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (832, 420, 'Какие из утверждений являются достоверными в следующем коде:
<code>//Course.java
package com.examplejava.courses;
class Course {
public String courseName;
}

//ExampleJava.java
package com.examplejava;
import com.examplejava.courses.Course;
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:18.786681', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (841, 420, '<p>Какие из утверждений являются достоверными в следующем коде:&nbsp;</p><pre><code class="language-java">//Course.java
package com.examplejava.courses;

class Course {
    public String courseName;
}

//ExampleJava.java
package com.examplejava;import com.examplejava.courses.Course;

class ExampleJava {
    public static void main(String args[]) {
        Course c = new Course();
        c.courseName = "Java";
        System.out.println(c.courseName);
    }
}</code></pre>', 1, 'SINGLE', 'JUNIOR', 'U', '2021-04-04 19:33:00.579234', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (850, 421, 'Какие из утверждений являются достоверными в следующем коде:
<code>package com.examplejava.courses
class Course {
public String courseName;
public void setCourseName(private String name) {
courseName = name;
}
}</code>', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:18.993985', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (863, 422, 'Что будет выведено в консоль в ходе выполнения следующей программы:
<code>int myChar = 97;
int yourChar = 98;
System.out.println((char)myChar + (char)yourChar);
int age = 20;
System.out.print(" ");
System.out.print((float)age);</code>', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:19.197008', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (874, 423, 'Какие из следующих объявлений приведут к ошибке компиляции?
<code>char a = ''a''; //строка 1
char b = -10; //строка 2
char c = ''1''; //строка 3
integer d = 1000; //строка 4
char f = 10; //строка 5
</code>', 1, 'MULTIPLE', 'JUNIOR', 'I', '2020-11-24 19:32:19.416128', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (883, 424, 'Что будет выведено в консоль после исполнения следующего кода?
<code>int a = 10;
long b = 20;
short c = 30;
System.out.println(++a + b++ * c);</code>', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:19.606445', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (892, 426, 'Укажите верные условия для следующего кода:
<code>public class Person {
public int height;
public void setHeight(int newHeight) {
if (newHeight <= 300)
height = newHeight;
}
//...
}</code>', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:20.016384', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (903, 428, 'Каков результат выполнения следующего кода?
<code>public abstract class Bird {
private void fly() { System.out.println("Bird is flying"); }
public static void main(String[] args) {
Bird bird = new Pelican();
bird.fly();
}
}
class Pelican extends Bird {
protected void fly() {System.out.println("Pelican is flying"); }
}</code>', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:20.428826', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (914, 429, 'Какой будет результат выполнения следующего кода?
<code>abstract class Reptile {
public final void layEggs() { System.out.println("Reptile laying eggs"); }
public static void main(String[] args) {
Reptile reptile = new Lizard();
reptile.layEggs();
}
}

public class Lizard extends Reptile {
public void layEggs() { System.out.println("Lizard laying eggs"); }
}</code>', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:20.629864', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (923, 416, 'Следующий текст представляет содержимое файла MyClass.java
Выберите верные утверждения.
<code>//содержимое MyClass.java
package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code>', 1, 'MULTIPLE', 'JUNIOR', 'I', '2020-11-24 19:32:18.044064', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (932, 416, '<p>Следующий текст представляет содержимое файла MyClass.java Выберите верные утверждения. //содержимое MyClass.java&nbsp;</p><pre><code class="language-java">package com.examplejava;
import java.util.Date;
class Student{}
class Course{}</code></pre>', 1, 'MULTIPLE', 'JUNIOR', 'U', '2021-04-04 19:38:07.224412', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1174, 513, 'Какой принцип работы PhantomReferences?', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:33.250517', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (941, 417, 'Какой из следующих вариантов ответа нужно вставить на место //ОТВЕТ, чтобы при запуске программа вывела EXAMPLE
<code>public class ExampleCode {
//ОТВЕТ
{
System.out.println("EXAMPLE")
}</code>', 1, 'MULTIPLE', 'JUNIOR', 'I', '2020-11-24 19:32:18.192033', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (952, 418, 'Класс Course определен в пакете com.examplejava . Файл класса находится в директории /mycode/com/examplejava/Course.class и исполнение происходит в директории /mycode. Какой из следующих ответов нужно вставить на место //ОТВЕТ чтобы импортировать класс Course в нижеописанный класс MyCourse?
<code>//ОТВЕТ
class MyCourse {
Course c;
}</code>', 1, 'MULTIPLE', 'JUNIOR', 'I', '2020-11-24 19:32:18.37691', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1674, 940, '<p>Тестовый вопрос</p>', 11, 'SINGLE', 'JUNIOR', 'D', '2022-07-11 23:32:32.09129', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (961, 419, 'Какие из утверждений являются достоверными в следующем коде:
<code>class Course {
private String courseName;
}
class ExampleJava {
public static void main(String args[]) {
Course c = new Course();
c.courseName = "Java";
System.out.println(c.courseName);
}
}</code>', 1, 'SINGLE', 'JUNIOR', 'I', '2020-11-24 19:32:18.591108', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1006, 619, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 2, 'SINGLE', 'JUNIOR', 'I', '2021-04-12 12:36:31.811729', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1017, 619, '<p>Номера заказов в системе управления запасами могут варьироваться от 10000 до 99999 включительно. Какие из следующих входных данных могут быть результатом проектирования тестов только для допустимого класса эквивалентности и допустимых границ?</p>', 2, 'SINGLE', 'JUNIOR', 'U', '2021-04-12 12:36:45.30742', 'editor@mail.ru', 'editor@mail.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1021, 665, '<p>Какая команда определяет порт предназначенный для открытия в Dockerfile</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-04-15 11:05:20.32313', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1022, 660, '<p>Что не является этапом жизненного цикла Docker Container</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-04-15 11:01:01.344946', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1023, 661, '<p>Что не является основным компонентом Docker Architecture</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-04-15 11:02:34.034883', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1024, 662, '<p>Выберите неверные утверждения про Docker Volume</p>', 14, 'MULTIPLE', 'JUNIOR', 'I', '2021-04-15 11:03:38.650309', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1025, 663, '<p>Что такое Docker File</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-04-15 11:04:06.843316', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1026, 664, '<p>Выберите верные утверждения про Docker</p>', 14, 'MULTIPLE', 'JUNIOR', 'I', '2021-04-15 11:04:55.811415', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1027, 666, '<p>Для чего необходим Docker Compose</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-04-15 11:05:46.588727', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1028, 667, '<p>При помощи какой команды можно отобразить все запущенные Docker контейнеры</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-04-15 11:06:09.997392', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1029, 668, '<p>При помощи какой команды можно удалить Docker контейнер</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-04-15 11:06:32.676893', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1030, 669, '<p>Для определения Docker Compose файла можно использовать JSON</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-04-15 11:06:56.291221', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1031, 670, '<p>Для определения Docker Compose файла можно использовать YAML</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-04-15 11:07:09.619882', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1032, 671, '<p>Для определения Docker Compose файла можно использовать XML</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-04-15 11:07:22.58887', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1033, 672, '<p>Для определения Docker Compose файла можно использовать INI</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-04-15 11:07:34.827202', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1034, 673, '<p>Может ли Docker контейнер перезапускаться (по умолчанию) при возникновении ошибки</p>', 14, 'SINGLE', 'JUNIOR', 'I', '2021-04-15 11:07:46.035164', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1035, 674, '<p>Для каких приложений Docker подходит лучше всего</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-04-15 11:08:14.091855', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1036, 675, '<p>Как можно отследить состояние Docker</p>', 14, 'MULTIPLE', 'JUNIOR', 'I', '2021-04-15 11:08:34.957831', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1050, 678, 'Для чего служит аннотация @ComponentScan?', 1, 'SINGLE', 'JUNIOR', 'I', '2021-06-12 22:36:20.049086', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1051, 678, 'Для чего служит аннотация @ComponentScan?', 1, 'SINGLE', 'JUNIOR', 'D', '2021-06-12 22:41:21.471436', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1068, 680, 'Для чего используется аннотация @Bean?', 13, 'MULTIPLE', 'JUNIOR', 'I', '2021-06-12 22:43:10.210247', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1077, 680, 'Для чего используется аннотация @Bean?', 13, 'MULTIPLE', 'JUNIOR', 'U', '2021-06-12 22:45:53.643269', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1082, 710, '<p>Тест</p>', 7, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 12:26:43.071583', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1095, 717, '<p>Выберите вариант ответа, в котором операторы AND, OR, NOT, IN выставлены по убыванию приоритета выполнения.<br>Операторы, перечисленные через "и", относятся к одной группе.</p>', 7, 'SINGLE', 'JUNIOR', 'I', '2021-09-16 12:34:42.829427', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1106, 752, '<p>Какая из перечисленных конфигов включает кэш Hibernate?</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:02:00.269971', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL, NULL);
INSERT INTO public.questions_history VALUES (1153, 434, 'Какие из следующих утверждений верны и для абстрактных классов, и для интерфейсов?', 1, 'MULTIPLE', 'MIDDLE', 'I', '2020-11-24 19:32:21.448748', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1178, 496, 'Какие из следующих утверждений о вызове this() внутри конструктора не являются достоверными?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:30.723408', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1154, 432, '<p>Какие из утверждений являются достоверными в следующем коде?&nbsp;</p><pre><code class="language-java">interface HasExoskeleton {
    abstract int getNumberOfSections();
}

abstract class Insect implements HasExoskeleton {
    abstract int getNumberOfLegs();
}

public class Beetle extends Insect {
    int getNumberofLegs() {
        return 6;
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 19:17:09.368862', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1155, 433, '<p>Каков результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">interface Aquatic {
    public default int getNumberOfGills(int input) {
        return 2;
    }
}

public class ClownFish implements Aquatic {
    public String getNumberOfGills() {
        return "4";
    }

    public String getNumberOfGills(int input) {
        return "6";
    }

    public static void main(String[] args) {
        System.out.println(new ClownFish().getNumberOfGills(-1));
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 19:17:41.364216', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1156, 429, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">abstract class Reptile {
    public final void layEggs() {
        System.out.println("Reptile laying eggs");
    }

    public static void main(String[] args) {
        Reptile reptile = new Lizard();
        reptile.layEggs();
    }
}

public class Lizard extends Reptile {
    public void layEggs() {
        System.out.println("Lizard laying eggs");
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 19:36:58.736222', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1157, 438, 'Что из перечисленного при наследовании может быть только скрыто и не может быть переопределено?', 1, 'MULTIPLE', 'MIDDLE', 'I', '2020-11-24 19:32:21.997613', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1158, 439, 'Какие из перечисленных фактов являются достоверными?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:22.191066', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1159, 446, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для IllegalArgumentException и для ClassCastException?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:23.270072', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1160, 447, 'Заполните пробелы: ___ появляется когда программа заходит слишком глубоко в рекурсию, находясь в бесконечном цикле, тогда как ___ появляется при обращении к несуществующему объекту.', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:23.416457', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1161, 450, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для Exception и для IOException?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:23.85866', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1162, 451, 'Какое из следующих утверждений достоверно для выражения try, имеющего блоки catch одновременно для ClassCastException и для RuntimeException?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:24.004812', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1163, 456, 'Заполните пробелы: Приложение должно обрабатывать или объявлять ___ , но никогда не должно обрабатывать ___', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:24.689199', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1164, 457, 'Какое из следующих исключений является проверяемым?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:24.824418', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1165, 436, '<p>В следующем коде укажите строки, содержащие ошибки&nbsp;</p><pre><code class="language-java">public interface Herbivore {
    int amount = 10;

    public static void eatGrass();

    public int chew() {
        return 13;
    }
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2021-04-04 19:19:47.693035', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1166, 435, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">interface Nocturnal {
    default boolean isBlind() {
        return true;
    }
}

public class Owl implements Nocturnal {
    public boolean isBlind() {
        return false;
    }

    public static void main(String[] args) {
        Nocturnal nocturnal = (Nocturnal) new Owl();
        System.out.println(nocturnal.isBlind());
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 19:18:56.295622', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1167, 465, 'Какие из следующих утверждений не верны при переопределении метода?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:25.985085', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1168, 477, 'Какое из следующих утверждений о конструкторах без аргументов является достоверным?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:27.850861', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1169, 478, 'Какое из перечисленных утверждений не является достоверным одновременно и для абстрактных классов и для интерфейсов?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:27.990264', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1170, 484, 'Какая наилучшая причина использовать StringBuilder вместо String?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:28.979326', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1171, 485, 'Какое главное преимущество использования лямбда выражений?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:29.121765', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1172, 488, 'Есть класс Test с protected переменной. Из какого класса можно получить доступ к этой переменной?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:29.550405', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1173, 490, 'Какое из следующих утверждений о конструкторах без аргументов является достоверным?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:29.839142', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1175, 493, 'Какие из следующих сигнатур методов не содержат ошибку?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:30.308073', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1176, 494, 'Что из перечисленного является допустимым названием метода в Java?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:30.443886', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1177, 495, 'Какое из следующих утверждений о статических переменных является достоверным?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:30.584025', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1180, 500, 'Объект какого из следующих типов данных может быть модифицирован после передачи в метод в качестве аргумента?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:31.355973', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1181, 510, 'Что такое функциональный интерфейс?', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:32.833176', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1182, 511, 'Что не входит в новые возможности Java 9 — 11', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:32.969915', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1183, 512, 'Что не является областью памяти JVM?', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:33.108222', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1184, 503, '<p>Какие из следующих утверждений являются достоверными?&nbsp;</p><pre><code class="language-java">public class Bear {
    protected void finalize() {
        System.out.println("Roar!");
    }

    public static void main(String[] args) {
        Bear bear = new Bear();
        bear = null;
        System.gc();
    }
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2021-04-04 18:53:05.917429', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1185, 504, '<p>Какие из следующих утверждений о коде ниже являются достоверными?&nbsp;</p><pre><code class="language-java">List ages = new ArrayList&lt;&gt;();
ages.add(Integer.parseInt("5"));
ages.add(Integer.valueOf("6"));
ages.add(7);
ages.add(null);
for (int age : ages) System.out.print(age);</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2021-04-04 18:54:15.20133', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1186, 505, '<p>Что выдаст следующий код после исполнения?</p><pre><code class="language-java">public class RopeSwing {
    private static Rope rope1 = new Rope();
    private static Rope rope2 = new Rope();

    {
        System.out.println(rope1.length);
    }

    public static void main(String[] args) {
        rope1.length = 2;
        rope2.length = 8;
        System.out.println(rope1.length);
    }
}

package rope;

public class Rope {
    public static int length = 0;
}
</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 18:55:45.350115', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1187, 506, '<p>Чем можно заменить пропуски в коде, для того чтобы он скомпилировался?&nbsp;</p><pre><code class="language-java">public class Order3 {
    final String value1 = "1";
    static String value2 = "2";
    String value3 = "3";

    { /*ПРОПУСК_1*/ }

    static { /*ПРОПУСК_2*/ }
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2021-04-04 19:02:00.389338', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1188, 507, '<p>Сколько ошибок компиляции в следующем коде?&nbsp;</p><pre><code class="language-java">public class RopeSwing {
    private static final String leftRope;
    private static final String rightRope;
    private static final String bench;
    private static final String name = "name";

    static {
        leftRope = "left";
        rightRope = "right";
    }

    static {
        name = "name";
        rightRope = "right";
    }

    public static void main(String[] args) {
        bench = "bench";
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 19:02:51.150791', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1189, 508, '<p>Каким лямбда-выражением можно заменить класс MySecret чтобы он возвращал то же значение?&nbsp;</p><pre><code class="language-java">interface Secret {
    String magic(double d);
}

class MySecret implements Secret {
    public String magic(double d) {
        return "Poof";
    }
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2021-04-04 19:03:27.346621', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1190, 499, '<p>Какие из следующих утверждений о перегруженных методах являются достоверными?&nbsp;</p><p>1) Перегруженные методы должны иметь одинаковое имя&nbsp;</p><p>2) Перегруженные методы должны иметь одинаковый тип возвращаемого значения&nbsp;</p><p>3) Перегруженные методы должны иметь разный список аргументов</p>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 19:05:45.916991', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1191, 515, 'Какого класса не существует в пакете java.util.concurrent.atomic ?', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:33.611731', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1192, 516, 'Какую задачу помогает выполнять класс CountDownLatch ?', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:33.803399', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1193, 517, 'Какой класс используется для хранения переменных, которые будут иметь свои значения для каждого потока?', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:34.003031', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1194, 518, 'Выберите существующие состояния треда: ', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:34.171919', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1195, 519, 'Выберите основные проблемы, которые могут встретиться при написании многопоточного кода: ', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:34.338981', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1196, 520, 'Какой параметр запуска JVM используется для контроля размера стека потока?', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:34.494137', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1197, 526, 'Если вы хотите построить Immutable объект, какое из следующих утверждений будет верно?', 1, 'MULTIPLE', 'MIDDLE', 'I', '2020-11-24 19:32:35.493271', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1198, 529, 'Что из следующего является правильным созданием ExecutorService ?', 1, 'MULTIPLE', 'MIDDLE', 'I', '2020-11-24 19:32:36.064159', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1199, 530, 'Какие из следующих функциональных интерфейсов входят в пакет java.util.function ?', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:36.228051', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1200, 531, 'Какие из следующих функциональных интерфейсов имеют метод R apply(T t)?', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:36.38503', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1515, 943, '<p>a</p>', 17, 'SINGLE', NULL, 'D', '2022-06-20 15:08:01.397246', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1201, 536, 'Какой встроенный функциональный интерфейс представляет операцию, которая принимает два аргумента и ничего не возвращает?', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:37.188979', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1202, 537, 'Какие модификаторы могут быть использованы вместе с модификатором default в интерфейсах?', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:37.34507', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1203, 532, '<p>Что необходимо добавить на место /*КОД*/, чтобы вычислить время выполнения в милисекундах?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Instant start = Instant.now();
        someMethod();
        Instant end = Instant.now();
        long duration = /*КОД*/
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2021-04-04 18:36:59.714531', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1204, 521, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><p>
</p><pre><code class="language-java">import java.util.Optional;

public class Main {
    public static void main(String[] args) {
        Optional optional = Optional.ofNullable(null);
        System.out.println(optional);
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2021-04-04 18:12:47.223318', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1205, 533, '<p>Какие из утверждений верны в отношении следующего кода?</p><pre><code class="language-java"> interface Readable {
 	void read();
 	default void print();
 }</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'U', '2021-04-04 18:37:23.546226', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1206, 535, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        LocalDate date = LocalDate.ofYearDay(2015, 4);
        date.minusMonths(1);
        System.out.println(date);
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2021-04-04 18:41:53.749006', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1207, 534, '<p>Что необходимо вставить вместо /*КОД*/, чтобы программа вывела "A B C D"?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        List list1 = Arrays.asList("A", "B");
        List list2 = Arrays.asList("C", "D");
        /*КОД*/
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2021-04-04 18:41:08.153405', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1208, 524, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        IntStream intStream = IntStream.range(1, 6);
        System.out.println(intStream.average());
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2021-04-04 18:46:19.998376', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1209, 525, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">interface I {
    public default void print() {
        System.out.println("default");
    }

    static void method() {
        System.out.println("static");
    }
}

public class Main {
    public static void main(String[] args) {
        I i = new I() {
        };
        i.print();
        I.method();
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2021-04-04 18:47:03.258934', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1210, 527, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">class SuperClass {
    protected void method() {
        System.out.println("SuperClass");
    }
}

public class SubClass extends SuperClass {
    private void method() {
        System.out.println("SubClass");
    }

    public static void main(String[] args) {
        SubClass subClass = new SubClass();
        subClass.method();
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2021-04-04 18:47:28.905253', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1211, 528, '<p>Какая из следующих строк правильно описывает создание нити?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        /*Недостающая строка*/
        Thread thread = new Thread(r);
        thread.start();
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 18:49:15.643099', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1212, 538, 'Как работает ключевое слово volatile?', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:37.659243', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1213, 539, 'Какие области памяти относятся к Heap Space?', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:37.837941', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1214, 540, 'Какой метод останавливает тред и освобождает монитор объекта?', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:38.024957', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1215, 541, 'Что такое рефлексия?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:38.192088', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1216, 542, 'Какая строка выведет сумму чисел от 2 до 5?', 1, 'SINGLE', 'MIDDLE', 'I', '2020-11-24 19:32:38.357709', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1217, 547, 'Какие варианты инициализации массива правильные?', 1, 'MULTIPLE', 'MIDDLE', 'I', '2020-11-24 19:32:39.237957', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1218, 550, 'Что такое интерфейс-маркер?', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:39.767688', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1219, 551, 'В какое состояние переходит нить если она вызывает Thread.sleep()', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:40.194798', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1220, 552, 'Что выведет в консоль такая строчка кода?
<code>System.out.println(13>>>1);</code>', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:40.379855', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1221, 553, 'Какие поля не сериализуются при использовании интерфейса Serializable?
<code>;</code>', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:40.54742', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1222, 554, 'Для чего используется метод execute() объектов, реализующих интерфейс java.sql.Statement', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:40.705381', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1223, 555, 'Отметьте правильные варианты формирования запросов к базе данных', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:40.862192', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1224, 556, 'Отметьте основные классы и интерфейсы JDBC', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:41.046029', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1226, 558, 'Выберите верные утверждения относительно локальных классов?', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:41.355041', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1227, 559, 'Выберите верные утверждения относительно вложенных классов?', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:41.520613', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1250, 596, '<p>На каком этапе используется статическое тестирование?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 10:53:25.823204', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1228, 560, 'Какие из следующих утверждений относительно переопределения методов верны?', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:41.678793', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1229, 561, 'Какое исключение выбрасывается при возникновении ошибки (RuntimeException) в статическом блоке инициализации?', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:41.838255', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1230, 562, 'Выберите верные утверждения относительно ListIterator?', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:42.004092', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1231, 563, 'Как быть уверенным, что N нитей обращаясь к N ресурсам не попадут в deadlock?', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:42.165979', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1232, 564, 'Что из следующего не является побитовой операцией?', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:42.323999', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1233, 566, 'Какие из следующих утверждений не являются верными?', 1, 'MULTIPLE', 'SENIOR', 'I', '2020-11-24 19:32:42.637363', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1234, 567, 'В чем разница между "abc".equals(unknown string) и unknown.equals("abc")', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:42.788173', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1235, 568, 'Где хранится объект String, который мы создаем с помощью оператора new()?', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:42.94513', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1236, 545, '<p>Какой будет результат выполнения следующего кода?</p><pre><code class="language-java">class Nullable {
    public static String hello() {
        return "Hello!";
    }
}

class Test {
    public static void main(String[] args) {
        Nullable nullable = null;
        System.out.println(nullable.hello());
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 18:26:24.32587', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1237, 549, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main {
    static int a = 222;

    static {
        a = a-- - --a;
    }

    {
        a = a++ + ++a;
    }

    public static void main(String[] args) {
        System.out.println(a);
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2021-04-04 18:22:26.18746', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1238, 544, '<p>Какой будет результат выполнения следующего кода?</p><pre><code class="language-java">List list = new ArrayList&lt;&gt;();
list.add("One");
list.add("Two");
list.add("Three");
list.stream().forEach(s -&gt; {
System.out.println(s);
list.add(s + "New");
});</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 18:25:25.021765', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1239, 548, '<p>Какой будет результат выполнения следующего кода?</p><pre><code class="language-java"> public class Main {
    int getValue() {
        return (true ? null : 0);
    }

    public static void main(String[] args) {
        Main obj = new Main();
        obj.getValue();
    }
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2021-04-04 18:30:57.693227', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1240, 546, '<p>Какой будет результат выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Test {
    public static void main(String[] args) {
        Cat cat = new Cat();
        cat.setKittyId(4);
        System.out.println(cat.kitty.id);
    }

    static class Cat {
        int id;
        String name;
        Cat kitty = new Cat();

        public void setKittyId(int kittyId) {
            this.kitty.id = kittyId;
        }
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 18:28:38.252698', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1241, 569, 'Выберите верное утверждение относительно анонимных классов?', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:43.14038', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1242, 578, '<p>Какой метод проектирования тестов в значительной степени зависит от предварительного знания системы?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2020-12-03 22:52:00.344659', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1243, 584, '<p>Какие методы наиболее эффективны, если документация устарела?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2020-12-03 22:56:24.089221', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1244, 588, '<p>Что из перечисленного состоит из набора входных значений, предварительных условий выполнения и ожидаемых результатов?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2020-12-03 22:59:46.532526', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1245, 514, 'Ссылка какого типа позволяет указать для GC объект, который можно удалить только при нехватке памяти?', 1, 'SINGLE', 'SENIOR', 'I', '2020-11-24 19:32:33.391787', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1246, 523, '<p>Что будет выведено в консоль после выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Map map = new HashMap&lt;&gt;();
        map.put(1, "one");
        map.put(2, "two");
        map.put(3, "three");
        Consumer consumer = System.out::print;
        map.forEach(consumer);
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2021-04-04 18:45:46.47315', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1265, 635, '<p>В приложении для заказа такси нельзя заказать машину по тарифу «Комфорт» после обновления. И водители, и пользователи не могут выбрать этот вариант поездки.</p><p>Какой приоритет у данной проблемы?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 20:02:56.78728', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1266, 636, '<p>У 2% пользователей мобильной версии приложения название города отображается в неверном падеже: вместо «в Самаре» загружается «в Самара».</p><p>Какой приоритет у данной проблемы?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 20:03:39.373071', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1247, 565, '<p>Какой будет результат выполнения следующей программы?</p><pre><code class="language-java">
public class Outer {
	public int x; private int y; void cal(int a, int b) {
	x = a + 1; y = b;
}

	static class Inner {
		public static void main(String args[]) {
			Outer obj = new Outer(); obj.cal(2, 3);
			System.out.println(obj.x + " " + obj.y);
		}
	}

}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2021-03-29 18:29:37.342101', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1248, 543, '<p>Какой будет результат выполнения следующего кода?</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        new Main().test();
    }

    interface I {
        void print();
    }

    public I create() {
        return () -&gt; System.out.println("Hello!");
    }

    private I i = this::create;

    public void test() {
        i.print();
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2021-04-04 18:23:55.949314', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1249, 522, '<p>Что будет выведено в консоль после выполнения следующего кода?&nbsp;</p><pre><code class="language-java">public class Main {
    public static void main(String[] args) {
        Stream&lt;Integer&gt; integerStream = Stream.of(13, 44, 2, 11, 29);
        Map&lt;Boolean, List&lt;Integer&gt;&gt; map = integerStream.collect(Collectors.partitioningBy(i -&gt; i % 2 != 0));
        System.out.println(map.get(true));
    }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2021-04-04 18:43:49.091832', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1251, 502, '<p>Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?&nbsp;</p><pre><code class="language-java">package aquarium;

public class Water {
    boolean salty = false;
} package aquarium.jellies;

public class Water {
    boolean salty = true;
}

package employee;

!ИМПОРТЫ!

public class WaterFiller {
    Water water;
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2021-04-04 18:52:21.78672', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1252, 501, '<p>Исходя из описанных ниже нескольких классов в разных пакетах, какой из ответов подходит для вставки на место !ИМПОРТЫ! чтобы код скомпилировался?&nbsp;</p><pre><code class="language-java">package aquarium;

public class Tank {
}

package aquarium.jellies;

public class Jelly {
}

package visitor;

!ИМПОРТЫ!

public class AquariumVisitor {
    public void admire(Jelly jelly) {
    }
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2021-04-04 18:52:39.987315', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1253, 509, '<p>Какое из следующих утверждений о следующем коде является достоверным?&nbsp;</p><pre><code class="language-java">public class Create {
    Create() {
        System.out.print("1 ");
    }

    Create(int num) {
        System.out.print("2 ");
    }

    Create(Integer num) {
        System.out.print("3 ");
    }

    Create(Object num) {
        System.out.print("4 ");
    }

    Create(int... nums) {
        System.out.print("5 ");
    }

    public static void main(String[] args) {
        new Create(100);
        new Create(100L);
    }
}
</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2021-04-04 19:04:29.049868', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1254, 481, '<p>Какие их следующих классов содержатся в пакете java.util?&nbsp;</p><p>1) ArrayList</p><p>2) LocalDate&nbsp;</p><p>3) String</p>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 19:06:59.179928', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1255, 430, '<p>Какие из утверждений являются достоверными в следующем коде?&nbsp;</p><pre><code class="language-java">public class Rodent {
    protected static Integer chew() throws Exception {
        System.out.println("Rodent is chewing");
        return 1;
    }
}

class Beaver extends Rodent {
    public Number chew() throws RuntimeException {
        System.out.println("Beaver is chewing on wood");
        return 2;
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 19:16:03.148421', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1256, 431, '<p>Каков результат выполнения следующего кода?</p><pre><code class="language-java">public abstract class Whale {
    public abstract void dive() {};

    public static void main(String[] args) {
        Whale whale = new Orca();
        whale.dive();
    }
}

class Orca extends Whale {
    public void dive(int depth) {
        System.out.println("Orca diving");
    }
}</code></pre>', 1, 'SINGLE', 'MIDDLE', 'U', '2021-04-04 19:16:40.886007', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1257, 437, '<p>Какие из следующих ответов могут быть вставлены на место /*ОТВЕТ*/ для успешной компиляции?</p><pre><code class="language-java"> public interface CanHop {
}

public class Frog implements CanHop {
    public static void main(String[] args) {
        /*ОТВЕТ*/ frog = new TurtleFrog();
    }
}

public class BrazilianHornedFrog extends Frog {
}

public class TurtleFrog extends Frog {
}</code></pre>', 1, 'MULTIPLE', 'MIDDLE', 'U', '2021-04-04 19:20:43.121006', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1258, 595, '<p>Какое высказывание о статическом тестировании ложно?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 10:52:18.079675', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1259, 605, '<p>Какой тест не может имитировать ситуации в реальном мире?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 11:03:25.849964', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1260, 618, '<p>Стоимость устранения дефекта...</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 12:35:49.157978', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1261, 620, '<p>Что из приведенного ниже не является частью тестирования производительности?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 12:37:59.495232', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1262, 626, '<p>Отказ поля возникает при доступе нескольких пользователей к системе. Что из перечисленного верно?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 14:20:55.674703', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1263, 628, '<p>Компания решает использовать инструмент автоматизации функционального выполнения тестов для тестирования GUI своего продукта. Графический интерфейс предполагается часто менять. Компания отправила некоторых ручных тестеров на 3-дневную программу обучения о том, как использовать инструмент. Что из перечисленного может быть правдой?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 14:27:20.882708', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1264, 632, '<p>Что из следующего верно</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 14:31:06.618204', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1267, 647, '<p>Основываясь на технике предугадывания ошибки, что из следующего опытный тестировщик СКОРЕЕ ВСЕГО проверит в программе-календаре?</p>', 2, 'MULTIPLE', 'MIDDLE', 'I', '2021-04-12 20:15:10.006384', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1282, 732, '<p>Выберите верный запрос, который выведет таблицу с единственным столбцом, содержащим текст "Имя = name", где name - значение поля name таблицы users.</p>', 7, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 12:46:19.302194', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1268, 649, '<p>Вы являетесь тест-менеджером и говорите о старте системного тестирования. Разработчики говорят, что из-за изменения требований они смогут доставить систему вам для тестирования через 5 рабочих дней после установленной даты. Вы не можете изменить ресурсы (рабочие часы, инструменты тестирования и т.д). Какие шаги вы предпримете, чтобы вовремя завершить тестирование?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 20:16:43.934901', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1269, 650, '<p>Во время тестирования модуля тестировщик обнаруживает баг и назначает его на разработчика. Но разработчик отклоняет его, говоря, что это не баг. Что должен делать тестировщик?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 20:17:19.782158', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1270, 651, '<p>Какие общие принципы тестирования характеризуются описаниями ниже? (Необходимо сопоставить)</p><p>W. Раннее тестирование</p><p>X. Кластеризация дефектов</p><p>Y. Парадокс Пестицида</p><p>Z. Заблуждение об отсутствии ошибок</p><p>1) Тестирование должно начаться в начале проекта</p><p>2) Соответствие требованиям и пригодность для использования</p><p>3) Небольшое количество модулей содержит большинство дефектов</p><p>4) Тестовые случаи должны регулярно обновляться и пересматриваться</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 20:18:38.466853', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1271, 652, '<p>Использование автоматизации тестирования обеспечит наилучшую отдачу от инвестиций в ...?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 20:19:23.930367', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1272, 653, '<p>Стратегия тестирования, которая включает в себя понимание логики программы - это</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 20:20:08.324858', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1273, 654, '<p>Команда тестирования постоянно находит от 90% до 95% дефектов, присутствующих в тестируемой системе. Хотя менеджер по тестированию понимает, что это хороший процент обнаружения дефектов для ее тестовой команды и отрасли, высшее руководство и руководители остаются разочарованными тестовой группой, говоря, что тестовая команда пропускает слишком много ошибок. Учитывая, что пользователи, как правило, довольны системой и что сбои, которые произошли, в основном имели мелкие последствия, какой из следующих принципов тестирования, скорее всего, поможет менеджеру по тестированию объяснить этим менеджерам и руководителям, почему некоторые дефекты, вероятно, будут пропущены?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 20:20:58.318043', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1274, 655, '<p>Используя технику предугадывания ошибок для преобразования температуры (Цельсия в Фаренгейт и Фаренгейт в Цельсия), скажите, какой набор данных ВЕРОЯТНЕЕ ВСЕГО будут использовать опытные тестировщики? (Формула: (32<strong>&nbsp;°F</strong>&nbsp;−&nbsp;32)&nbsp;×&nbsp;5/9&nbsp;=&nbsp;0<strong>&nbsp;°C</strong>)</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 20:23:19.645757', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1275, 657, '<p>Какое утверждение о статическом анализе верно?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 20:25:06.509827', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1276, 658, '<p>Расположите тестовые сценарии из списка ниже в оптимальном порядке, реализующем проверку изменения данных клиента:</p><ol><li>Печать измененной записи клиента.</li><li>Изменить адрес клиента: номер дома и название улицы.</li><li>Захват и печать сообщения об ошибке на экране.</li><li>Изменить адреса клиента: Почтовый индекс.</li><li>Подтвердить существование клиента в базе данных, открыв эту запись.</li><li>Закрыть запись клиента и закрыть базу данных.</li><li>Попробовать добавить нового клиента без каких-либо деталей.</li></ol>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 20:26:40.338313', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1300, 772, '<p>Какие типы данных нельзя использовать в полях класса Entity, входящих в первичный ключ, если нужно чтобы данный ключ мог использоваться для любой базы данных?</p>', 14, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 13:12:30.798391', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1301, 773, '<p>Укажите верные утверждения о встраиваемых (Embeddable) классах</p>', 14, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 13:13:02.697422', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1302, 774, '<p>Что случится, если для конфигураци hibernate использована одновременно XML конфигурация и hibernate.property?</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:13:41.023848', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1303, 775, '<p>Выберите верные утверждения о методе persist класса Session:</p>', 14, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 13:14:18.481014', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1277, 659, '<p>Во время выполнения тестирования тест-менеджер описывает команде проекта следующую ситуацию: 90% тест-кейсов были выполнены. 20% тест-кейсов выявили дефекты. Обнаружено 127 дефектов. 112 дефектов были исправлены и прошли повторное тестирование. Для оставшихся 15 дефектов руководство проекта решило, что их не нужно исправлять до выпуска. Какое из следующих утверждений является наиболее разумной интерпретации этого отчета?</p>', 2, 'SINGLE', 'MIDDLE', 'I', '2021-04-12 20:27:38.185337', 'editor@mail.ru', 'editor@mail.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1278, 674, '<p>Для каких приложений Docker подходит лучше всего</p>', 10, 'SINGLE', 'MIDDLE', 'U', '2021-04-15 10:12:22.962701', 'sql_move_question', 'sql_move_question', false, NULL);
INSERT INTO public.questions_history VALUES (1279, 749, '<p>Как вставить несколько строк за один запрос?</p>', 7, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 12:58:41.645098', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1280, 730, '<p>Выберите верный запрос, который выведет все имена, начинающиеся с "Г".</p>', 7, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 12:45:18.762617', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1281, 731, '<p>Выберите корректные запросы, которые выведут любые имена, заканчивающиеся на "аша".</p>', 7, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 12:45:48.476656', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1670, 1041, '<p>Что такое агрегирующая операция в Kafka Streams?</p>', 18, 'SINGLE', NULL, 'U', '2022-07-05 21:16:59.199097', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1283, 733, '<p>Поле amount типа bigint таблицы users хранит количество копеек на счету пользователя. Выберите корректные запросы, которые вернут id пользователя и поле amount в рублях в формате "100.00".</p>', 7, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 12:46:47.442957', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1284, 734, '<p>Выберите корректные запросы, которые выведут любые 10 записей таблицы users, где amount &gt; 1000.</p>', 7, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 12:49:32.406913', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1285, 735, '<p>Выберите корректные запросы, которые сгруппируют транзакции по user_id и выведут user_id и сумму поля amount для user_id с 1 по 10.</p>', 7, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 12:50:06.030911', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1286, 736, '<p>Выберите верный запрос, который выведет суммы поля amount таблицы transactions для каждой пары user_id, department_id начиная с самой большой, и только для первых 10 пар.</p>', 7, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 12:50:32.748324', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1287, 737, '<p>Выберите верный запрос, который посчитает сумму amount для каждого user_id в таблице transactions, и выведет только те user_id и суммы, где сумма &gt; 1000.</p>', 7, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 12:51:05.569252', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1288, 738, '<p>Выберите корректные запросы, которые выведут самое большое значение поля amount в таблице transactions.</p>', 7, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 12:51:41.204928', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1289, 739, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите корректные запросы, которые выведут имена департаментов для transaction_id &lt; 10;</p>', 7, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 12:52:43.134525', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1290, 740, '<p>Даны таблицы:</p><pre><code class="language-plaintext">CREATE TABLE public.transactions
(
	transaction_id bigint NOT NULL,
	department_id character varying
);

CREATE TABLE public.departments
(
	department_id character varying,
	name character varying
);</code></pre><p>Выберите верный запрос, который выведет объединенную таблицу transactions и departments, содержащую только те transactions для которых есть departments.</p>', 7, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 12:53:29.162721', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1291, 741, '<p>Что выведет следующий запрос?</p><pre><code class="language-plaintext">Select * from transactions where name like ''#_%'' escape ''#'';</code></pre>', 7, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 12:54:13.887758', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1292, 742, '<p>Выберите корректные утверждения о типах character и character varying?</p>', 7, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 12:54:59.985691', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1293, 743, '<p>В каких командах можно использовать ключевое слово limit?</p>', 7, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 12:55:34.118062', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1294, 744, '<p>Выведите те записи таблицы transactions, где department_id, указанный у транзакции, существует в таблице departments</p>', 7, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 12:56:10.988095', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1295, 745, '<p>Каково возвращаемое значение следующей функции: NULLIF(yourField,''abc'')</p>', 7, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 12:56:40.857033', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1296, 746, '<p>Каково возвращаемое значение следующей функции COALESCE((Select name from users where user_id = 88), ''-'')</p>', 7, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 12:57:16.084565', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1297, 747, '<p>Какие поля обязательно перечислять для Insert при вставке?</p>', 7, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 12:57:47.209704', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1298, 748, '<p>Как вставить строку в таблицу table с полями value1 и value2?</p>', 7, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 12:58:14.640207', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1299, 771, '<p>Какие типы данных нельзя использовать в полях класса Entity?</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:11:56.326464', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1304, 776, '<p>Затрагивает ли операция persist состояния зависимых сущностей?</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:14:40.868718', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1305, 777, '<p>Выберите верные утверждения о методе detach класса Session:</p>', 14, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 13:15:20.601427', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1306, 778, '<p>Что такое "Грязная проверка" (Dirty checking) в hibernate?</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:15:53.586236', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1307, 779, '<p>Что делает метод addScalar(String scalar) примененный к SQLQuery?</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:16:22.678086', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1308, 780, '<p>Что делает метод session.evict()?</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:16:57.458643', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1673, 940, '<p>Тестовый вопрос</p>', 11, 'SINGLE', 'JUNIOR', 'I', '2022-02-12 23:11:19.228497', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1309, 781, '<p>Что делает Hibernate, если вы укажете следующую настройку:&nbsp;</p><pre><code class="language-plaintext">hibernate.hbm2ddl.auto = create</code></pre>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:18:01.120649', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1310, 782, '<p>Каково назначение класса org.hibernate.CacheMode?</p>', 14, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 13:18:31.329811', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1311, 783, '<p>Какой тип возвращаемого значения у этого выражения: session.createCriteria().uniqueResult()</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:18:52.446759', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1312, 784, '<p>Укажите верные утверждения о session.contains()</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:19:54.645661', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1313, 785, '<p>Укажите верное утверждение о методе session.load()</p>', 14, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 13:20:24.699089', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1314, 786, '<p>Какую стратегию загрузки (fetch strategy) использует HQL по умолчанию?</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:20:49.788401', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1315, 787, '<p>Какую стратегию загрузки (fetch strategy) использует Criteria по умолчанию?</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:21:05.89162', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1316, 788, '<p>Укажите верные утверждения о стратегиях загрузки (fetch strategy) и типе загрузки fetchMode.EAGER при использовании SQLQuery</p>', 14, 'MULTIPLE', 'MIDDLE', 'I', '2021-09-16 13:21:38.341461', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1317, 789, '<p>Возможно ли в hibernate использование одновременно нескольких стратегий наследования для одного класса?</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:21:58.565897', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1318, 790, '<p>Какой тип кэширования наиболее подходящий для ситуации, когда данные в БД могут измениться сторонними процессами?</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:22:53.612414', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1319, 791, '<p>При каком типе кэширования сессия никогда не будет читать из кэша, а будет только писать в него во время чтения БД?</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:23:27.490642', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1320, 792, '<p>Какой из провайдеров кэша второго уровня предполагается использовать только для тестов?</p>', 14, 'SINGLE', 'MIDDLE', 'I', '2021-09-16 13:23:55.085147', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1321, 793, '<p>Какие из перечисленных изменений, внесенные вне зависимости друг от друга, заставят этот код скомпилироваться без ошибок?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable {
public void close() throws Exception { //A
 throw new Exception("Can''t close");
}
public static void main(String[] args) { //B
 try (TestClass t = new TestClass()) {
  System.out.println("trying");
 } //C
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 13:32:47.018072', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1322, 794, '<p>Что из перечисленного может заменить комментарий, чтобы код скомпилировался?</p><pre><code class="language-plaintext">public static void main(String[] args) {
try {
 throw new IOException();
} catch (/*ответ*/) { }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:33:33.640235', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1323, 795, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-plaintext">public class Test {
static class SomeAutoCloseable implements AutoCloseable {
public void close() {
System.out.print("A");
} }
static class SomeCloseable implements Closeable {
public void close() {
System.out.print("B");
throw new RuntimeException();
} }
public static void main(String[] args) {
try (SomeAutoCloseable d = new SomeAutoCloseable(); SomeCloseable w = new SomeCloseable()) {
System.out.print("C");
} catch (Exception e) {
System.out.print("D");
} finally {
System.out.print("E");
} } }</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:34:30.977086', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1324, 796, '<p>Что из перечисленного выведет TEST и AssertionError, при условии что число меньше нуля?</p>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 13:35:10.844959', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1325, 797, '<p>Что из перечисленного можно вставить на место /*КОММЕНТАРИЙ*/, при условии что код должен компилироваться?</p><pre><code class="language-plaintext">public class Test {
static class PrimaryException extends Exception { }
static class SecondaryException extends PrimaryException { }
public static void main(String[] args) throws PrimaryException {
 try {
  throw new PrimaryException();
 } catch (PrimaryException | RuntimeException e) {
  /*КОММЕНТАРИЙ*/
  throw e;
 }
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:35:52.376479', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1365, 837, '<p>Какой тип допускает вставку значения null?</p>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:23:24.35005', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1326, 798, '<p>Что из перечисленного можно вставить на место /*КОММЕНТАРИЙ*/, при условии что код должен компилироваться?</p><pre><code class="language-java">public class Test {
static class PrimaryException extends Exception { }
static class SecondaryException extends PrimaryException { }
public static void main(String[] args) throws PrimaryException {
 try {
  throw new PrimaryException();
 } catch (PrimaryException | SecondaryException e) {
  /*КОММЕНТАРИЙ*/
  throw e;
 }
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:36:38.571255', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1327, 799, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">public class Test {
static class Res implements AutoCloseable {
 public void close() {
  throw new RuntimeException("flop");
 }
}
public static void main(String[] args) {
 try (Res res1 = new Res(); Res res2 = new Res();) {
  throw new RuntimeException("flip");
 } catch(Exception e) {
  System.out.println(e.getMessage()
   + " " + e.getSuppressed().length);
 }
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:37:52.243896', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1328, 800, '<p>Какие интерфейсы должен наследовать класс, использующийся в качестве ресурса в блоке try-with-resources</p>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 13:38:29.405165', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1329, 801, '<p>Какие из перечисленных фактов о Runnable run() и Callable call() являются верными?</p>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 13:38:59.686633', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1330, 802, '<p>Какие строки нужно изменить чтобы код скомпилировался?</p><pre><code class="language-java">ExecutorService service = Executors.newSingleThreadScheduledExecutor();
service.scheduleWithFixedDelay(() -&gt; { //A
System.out.println("Testing");
return null; //B
}, 0, 1, TimeUnit.MINUTES);
Future&lt;?&gt; result = service.submit(() -&gt; System.out.println("Something")); //C
System.out.println(result.get()); //D</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 13:39:46.364436', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1331, 803, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">AtomicLong atomicLong = new AtomicLong(0);
final long[] longArray = {0};
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; atomicLong.incrementAndGet());
IntStream.iterate(1, i -&gt; 1).limit(1000).parallel()
.forEach(i -&gt; ++longArray[0]);
System.out.println(atomicLong+" "+longArray[0]);</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:40:29.039978', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1332, 804, '<p>Что происходит когда для ThreadExecutor назначено больше задач, чем доступных потоков?</p>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:40:58.251037', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1333, 805, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-java">List&lt;Integer&gt; list1 = Arrays.asList(1,2,3);
List&lt;Integer&gt; list2 = new CopyOnWriteArrayList&lt;&gt;(list1);
Set&lt;Integer&gt; set3 = new ConcurrentSkipListSet&lt;&gt;();
set3.addAll(list1);
for(Integer element: list2) list2.add(4); //A
for(Integer element: set3) set3.add(5); //B
System.out.println(list1.size()+" "+list2.size()+" "+set3.size());</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:42:01.551635', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1334, 806, '<p>Что выведет в консоль следующий код?</p><pre><code class="language-plaintext">Integer integer1 = Arrays.asList(1,2,3,4,5).stream().findAny().get();
synchronized(integer1) { //A
Integer integer2 = Arrays.asList(6,7,8,9,10)
.parallelStream()
.sorted()
.findAny().get(); //B
System.out.println(integer1+" "+integer2);
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:42:33.596416', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1335, 807, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">System.out.println(Arrays.asList("post","get","update","delete")
.parallelStream().parallel() //A
.reduce(0,
 (a, b) -&gt; a.length() + b.length(), //B
 (a, b) -&gt; a + b)); //C</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:43:53.623767', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1336, 808, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Object objectA = new Object();
Object objectB = new Object();
ExecutorService service = Executors.newFixedThreadPool(2);
Future&lt;?&gt; f1 = service.submit(() -&gt; {
synchronized (objectA) {
synchronized (objectB) { System.out.println("Test1"); } //A
}
});
Future&lt;?&gt; f2 = service.submit(() -&gt; {
synchronized (objectB) {
synchronized (objectA) { System.out.println("Test2"); } //B
}
});
f1.get();
f2.get();</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 13:44:33.384718', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1337, 809, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; stream1 = Stream.of("a","a","a","b").parallel();
Stream&lt;String&gt; stream2 = Stream.of("b","a","b").parallel();
ConcurrentMap&lt;Boolean, List&lt;String&gt;&gt; map = Stream.of(stream1,stream2) //A
.flatMap(s -&gt; s) //B
.collect(Collectors.groupingByConcurrent(s -&gt; !s.equals("b"))); //C
System.out.println(map.get(false).size()+" "+map.get(true).size());</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 13:45:24.772358', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1338, 810, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public void test(BlockingDeque&lt;Integer&gt; deque) {
deque.offer(777);
deque.offerFirst(666, 1, TimeUnit.SECONDS);
deque.offerLast(888, 7, TimeUnit.HOURS);
System.out.print(deque.pollFirst(200, TimeUnit.NANOSECONDS));
System.out.print(" "+deque.pollLast(1, TimeUnit.MINUTES));
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:46:02.519786', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1339, 811, '<p>Что из перечисленного является валидным для интерфейса Callable лямбда-выражением?</p>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 13:47:31.392901', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1340, 812, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Constants {
public static void main(String[] args) {
 ExecutorService service = Executors.newScheduledThreadPool(10);
 DoubleStream.of(1.23, 4.56) //A
  .forEach(c -&gt; service.submit( //B
   () -&gt; System.out.println(10*c)));
 service.execute(() -&gt; System.out.println("Test")); //С
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:48:07.934332', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1341, 813, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Test {
public static void someMethod(CyclicBarrier cb) { //A
 try { cb.await(); } catch (InterruptedException | BrokenBarrierException e) {
  // Handle exception
 }
}
public static void main(String[] args) {
 CyclicBarrier cb = new CyclicBarrier(10,
 () -&gt; System.out.println("Complete")); //B
 IntStream.iterate(1, i -&gt; 1).limit(5)
  .parallel().forEach(i -&gt; someMethod(cb)); //C
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:48:46.904656', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1342, 814, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
private TestClass() { super(); }

private static TestClass instance;

public static synchronized TestClass getInstance() { //A
 if (instance == null) instance = new TestClass(); //B
 return instance;
}

private int products;

public int getProductCount() { return products; }

public void makeProductsAvailable(int value) { products += value; } //C

public void sellProducts(int value) {
 synchronized (this) { //D
  products -= value;
 }
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 13:49:31.143988', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1343, 815, '<p>Какие из перечисленных фактов о многопоточности являются верными?</p>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 13:49:58.860347', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1416, 888, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Duration d1 = Duration.ofMillis(1100);
Duration d2 = Duration.ofSeconds(61);
System.out.println(d1 + ", " + d2);</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:53:51.145259', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1344, 816, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class Counter {
public static Integer makeCount(int exhibitNumber) {
 //Какая-то реализация метода
}

public static void printFuture(Future&lt;?&gt; future) {
 try {
  System.out.println(future.get());
 } catch (Exception e) {
  System.out.println("Exception");
 }
}

public static void main(String[] args) throws InterruptedException, ExecutionException {
 ExecutorService service = Executors.newSingleThreadExecutor();
 final List&lt;Future&lt;?&gt;&gt; list = new ArrayList&lt;&gt;();
 IntStream.range(0, 10).forEach(i -&gt; list.add(
  service.submit(() -&gt; makeCount(i))));
 list.stream().forEach(future -&gt; printFuture(future));
 service.shutdown();
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 13:50:46.112848', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1345, 817, '<p>Что из перечисленного является рекомендуемым способом выполнения асинхронной задачи?</p>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:51:05.945741', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1346, 818, '<p>Сколько из перечисленных выражений выкинут исключение, если будут выполняться отдельно друг от друга?</p><pre><code class="language-plaintext">List&lt;Integer&gt; original = new ArrayList&lt;&gt;(Arrays.asList(1,2,3,4,5));
List&lt;Integer&gt; var1 = new CopyOnWriteArrayList&lt;&gt;(original);
for(Integer w : var1)
var1.remove(w);

List&lt;Integer&gt; var2 = Collections.synchronizedList(original);
for(Integer w : var2)
var2.remove(w);

List&lt;Integer&gt; var3 = new ArrayList&lt;&gt;(original);
for(Integer w : var3)
var3.remove(w);
Queue&lt;Integer&gt; var4 = new ConcurrentLinkedQueue&lt;&gt;(original);
for(Integer w : var4)
var4.remove(w);</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:51:26.232472', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1347, 819, '<p>Какой потокобезопасный класс вы бы использовали для добавления элементов спереди и сзади упорядоченной структуры данных? Класс должен включать в себя методы для ожидания указанного количества времени при добавлении данных в структуру.</p>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:51:45.800992', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1348, 820, '<p>Заполните пробелы: использование класса ___ требует переопределения абстрактного метода compute(), возвращающего дженерик, в то время как использование класса ___ требует переопределения абстрактного метода compute(), возвращающего void.</p>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:52:16.115282', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1349, 821, '<p>Учитывая следующий фрагмент кода, какое лямбда-выражение является лучшим выбором для accumulator с учетом правил применения параллельной редукции?</p><pre><code class="language-plaintext">public class TestAccumulator {
int i;

public void test() {
 BiFunction&lt;Integer,Integer,Integer&gt; accumulator = /*ОТВЕТ*/;
 System.out.print(Arrays.asList(1,2,3,4,5)
  .parallelStream()
  .reduce(0,accumulator,(s1, s2) -&gt; s1 + s2));
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:53:07.435967', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1350, 822, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">public class Test {
static ExecutorService service = Executors.newFixedThreadPool(8);
public static int sleep() {
 try {
  Thread.sleep(1000);
 } catch (Exception e) {}
 return 1;
}

public static void test1() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  List&lt;Future&lt;Integer&gt;&gt; results = service.invokeAll(r);
  System.out.println("test1");
 } catch (Exception e) {e.printStackTrace();}

}

public static void test2() {
 try {
  Callable c = () -&gt; sleep();
  final Collection&lt;Callable&lt;Integer&gt;&gt; r = Arrays.asList(c,c,c);
  Integer result = service.invokeAny(r);
  System.out.println("test2");
 } catch (Exception e) {e.printStackTrace();}
}

public static void main(String[] p) throws Exception {
 service.execute(() -&gt; test1());
 service.execute(() -&gt; test2());
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:53:46.069023', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1351, 823, '<p>Какая из этих коллекций является сортированной?</p>', 1, 'SINGLE', 'SENIOR', 'U', '2021-09-16 13:54:46.243834', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1364, 836, '<p>Нужно чтобы код вывел в консоль каждую строку дважды. Почему он не выводит?</p><pre><code class="language-java">LinkedList&lt;String&gt; list = new LinkedList&lt;&gt;();
list.add("Test1");
list.add("Test2");
list.stream().forEach(System.out::println);
Iterator it = list.iterator();
while (it.hasNext())
System.out.println(it.next());</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:04:43.703471', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1352, 824, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public void sleep() {
 try {
  Thread.sleep(5000);
 } catch (Exception e) {}
}

public String getQuestion(TestClass r) {
 synchronized {
  sleep();
  if(r != null) r.getAnswer(null);
  return "Question";
 }
}

public synchronized String getAnswer(TestClass r) {
 sleep();
 if(r != null) r.getAnswer(null);
 return "Answer";
}

public static void main(String... ununused) {
 final TestClass r1 = new TestClass();
 final TestClass r2 = new TestClass();
 ExecutorService s = Executors.newFixedThreadPool(2);
 s.submit(() -&gt; r1.getQuestion(r2));
 s.execute(() -&gt; r2.getAnswer(r1));
 s.shutdown();
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:55:16.372963', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1353, 825, '<p>С помощью какого из методов ScheduledExecutorService можно выпонять одно и то же действие в двух потоков в одно и то же время?</p>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:55:44.645111', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1354, 826, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
int count = 0;

public synchronized void makeCount() {
 count++;
}

public static void main(String... laps) {
 ExecutorService s = Executors.newFixedThreadPool(10);
 TestClass a = new TestClass();
 for(int i=0; i&lt;1000; i++) {
  s.execute(() -&gt; a.makeCount());
 }
 s.shutdown();
 System.out.print(a.count);
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:56:16.460117', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1355, 827, '<p>Какие из перечисленных фактов о стримах (streams) являются верными?</p>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:56:43.919419', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1385, 857, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s1 = Stream.empty();
Stream&lt;String&gt; s2 = Stream.empty();
Map&lt;Boolean, List&lt;String&gt;&gt; map1 = s1.collect(Collectors.partitioningBy(b -&gt; b.startsWith("c")));
Map&lt;Boolean, List&lt;String&gt;&gt; map2 = s2.collect(Collectors.groupingBy(b -&gt; b.startsWith("c")));
System.out.println(map1 + " " + map2);</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:35:35.173726', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1356, 828, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public String concat1(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce("a", (a,b)-&gt;a+b, String::concat);
}

public String concat2(List&lt;String&gt; values) {
 return values.parallelStream()
  .reduce((a,b)-&gt;b+a).get();
}

public static void main(String... questions) {
 TestClass c = new TestClass();
 List&lt;String&gt; list = Arrays.asList("Flip","Flop");
 String x = c.concat1(list);
 String y = c.concat2(list);
 System.out.print(x+" "+y);
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:57:15.828813', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1357, 829, '<p>Сколько раз следующий код напечатает A при исполнении?</p><pre><code class="language-plaintext">public class TestClass {
private void waiting(CyclicBarrier c) {
 try {
  c.await();
  System.out.print("A");
 } catch (Exception e) {}
}

public void row(ExecutorService service) {
 final CyclicBarrier cb = new CyclicBarrier(5);
 IntStream.iterate(1, i-&gt; i+1)
  .limit(12)
  .forEach(i -&gt; service.submit(() -&gt; waiting(cb)));
}

public static void main(String[] oars) {
 ExecutorService service = null;
 try {
  service = Executors.newCachedThreadPool();
  new TestClass().row(service);
 } finally {
  service.isShutdown();
 }
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:57:43.125312', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1358, 830, '<p>Какой метод доступен и для экземпляра List и для экземпляра Stream?</p>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:58:04.869182', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1359, 831, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">class TestClass {
private String name;
public TestClass(String name) {
 this.name = name;
}

public int compareTo(TestClass m) {
 return name.compareTo(m.name);
}

public String toString() {
 return name;
}
}
public class MainClass {
public static void main(String[] args) {
 Set&lt;TestClass&gt; set = new TreeSet&lt;&gt;();
 set.add(new TestClass("test1"));
 set.add(new TestClass("test2"));
 set.add(new TestClass("test1"));
 System.out.println(set.iterator().next());
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:58:37.471978', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1360, 832, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = new ArrayList&lt;&gt;();
list.add("Test1");
list.add(String::new);
list.add("Test2");
list.remove(0);
System.out.println(list.get(0));</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 13:58:59.450067', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1361, 833, '<p>Какая строка в методе main() не компилируется или указывет на класс, который не компилируется?</p><pre><code class="language-plaintext">interface Caracal&lt;C&gt; {
void draw(C c);
}
class CaracalClass&lt;C&gt; implements Caracal&lt;C&gt; {
public void draw(C c) {
 System.out.println(c);
}
}
class FloppaClass implements Caracal&lt;Floppa&gt; {
public void draw(Floppa c) {
 System.out.println(c);
}
}
class FloppaCaracal implements Caracal&lt;Floppa&gt; {
public void draw(C c) {
 System.out.println(c);
}
}
public class Floppa {
public static void main(String[] args) {
 Caracal&lt;Floppa&gt; c1 = c -&gt; System.out.println(c); //A
 Caracal&lt;Floppa&gt; c2 = new CaracalClass&lt;&gt;(); //B
 Caracal&lt;Floppa&gt; c3 = new FloppaClass(); //C
 Caracal&lt;Floppa&gt; c4 = new FloppaCaracal(); //D
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:03:09.00288', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1362, 834, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Comparator&lt;Integer&gt; c = (x, y) -&gt; y-x;
List&lt;Integer&gt; ints = Arrays.asList(3, 1, 4);
Collections.sort(ints, c);
System.out.println(Collections.binarySearch(ints, 1));</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:03:35.14495', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1363, 835, '<p>Какой из перечисленных вариантов ответа нельзя вставить на место ответа чтобы вывести "Test something"</p><pre><code class="language-plaintext">class TestClass&lt;T&gt; {
T item;
public void clean(T item) {
 System.out.println("Test " + item);
}
}
public class MainClass {
public static void main(String[] args) {
 //Ответ
 testClass.clean("something");
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:04:06.432341', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1366, 838, '<p>Что из перечисленного можно вставить на место ответа в сигнатуре метода чтобы код скомпилировался?</p><pre><code class="language-plaintext">
public class TestClass {
private static &lt; /*Ответ*/ , U&gt; U add(T list, U element) {
 list.add(element);
 return element;
}

public static void main(String[] args) {
 List&lt;String&gt; values = new ArrayList&lt;&gt;();
 add(values, "duck");
 add(values, "duck");
 add(values, "goose");
 System.out.println(values);
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:24:27.052664', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1367, 839, '<p>Что из перечисленного нельзя вставить на место ответа чтобы код скомпилировался?</p><pre><code class="language-plaintext">private void output( /*Ответ*/ &lt;?&gt; x) {
x.forEach(System.out::println);
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:24:50.617666', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1368, 840, '<p>Что из перечисленного нужно вставить на место ответа чтобы код скомпилировался и вывел "Tested 2 items"?</p><pre><code class="language-plaintext">class TestClass&lt;T /*Ответ1*/ Collection&gt; {
T item;

public void clean(T items) {
 System.out.println("Tested " + items.size() + " items");
}

}
public class MainClass {
public static void main(String[] args) {
TestClass&lt;List&gt; testClass = new /*Ответ2*/
testClass.clean(Arrays.asList("test1", "test2")); }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:25:49.326401', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1369, 841, '<p>Заполните пробелы: Функциональный интерфейс ___ не принимает никаких аргументов, тогда как функциональный интерфейс _ имеет тип возвращаемого значения void.</p>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:26:23.69293', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1370, 842, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-java">class TestClass {
public TestClass(double count) {
 this.count = count;
}
public double count;
}
public class MainClass {
private void estimate(Predicate&lt;TestClass&gt; predicate, TestClass testClass) {
 System.out.print(predicate.test(testClass) ? "Good" : "Bad"); //A
}

public final static void main(String... sand) {
 new MainClass().estimate(s -&gt; s.count&lt;4, new TestClass(2)); //B
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:26:59.327335', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1371, 843, '<p>Какой из перечисленных функциональных интерфейсов может быть вставлен на место ответа чтобы класс скомпилировался?</p><pre><code class="language-plaintext">public class TestClass {
public void testing(/*Ответ*/ lambda) {
 //Какая-то реализация
}

public static void main(String[] debris) {
 new TestClass().testing((s,p) -&gt; s+p);
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:27:40.553663', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1372, 844, '<p>Какая из перечисленных лямбда-функций не может быть присвоена функциональному интерфейсу ToDoubleBiFunction?</p>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 14:28:11.941905', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1373, 845, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
private static int CAPACITY = 100;
public int counter(int counterCurrent, IntUnaryOperator&lt;Integer&gt; counter) {
 return counter.applyAsInt(counterCurrent);
}

public static void main(String...theater) {
 final TestClass test = new TestClass();
 final int counterOld = 50;
 final int counterNew = test.counter(counterOld,t -&gt; {
  if(t&gt;CAPACITY) {
   throw new RuntimeException("Overload");
  }
  return t+1;
 });
 System.out.print(counterNew);
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:28:48.423256', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1374, 846, '<p>Какой из перечисленных функциональных интерфейсов нужно вставить на место комментария, чтобы класс скомпилировался?</p><pre><code class="language-plaintext">public class Market {
private static void checkNumbers(List&lt;Double&gt; numbers, /*ОТВЕТ*/ lambda) {
 numbers.forEach(lambda);
}

public static void main(String[] right) {
 List&lt;Double&gt; numbers = Arrays.asList(1.2, 6.5, 3.0);
 checkNumbers(numbers, p -&gt; {
   String result = p&lt;5 ? "lower" : "higher";
   System.out.println(result);
  }
 );
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:29:12.826013', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1375, 847, '<p>Какие из перечисленных лямбда выражений можно передать в метод test()?</p><pre><code class="language-plaintext">public class TestClass {
public void test(BinaryOperator&lt;Long&gt; lambda) {
 lambda.apply(2L, 4L);
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 14:29:51.847083', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1376, 848, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
public void test(Supplier supplier) { // A
 supplier.get();
}

public static void main(String... electricSheep) { // B
 TestClass testClass = new TestClass();
 testClass.test(() -&gt; System.out.print("Complete")); // C
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:30:25.374042', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1377, 849, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.startsWith("g");
Stream&lt;String&gt; stream1 = Stream.generate(() -&gt; "generate");
Stream&lt;String&gt; stream2 = Stream.generate(() -&gt; "generate");
boolean b1 = stream1.anyMatch(predicate);
boolean b2 = stream2.allMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:31:02.872065', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1378, 850, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Predicate&lt;? super String&gt; predicate = s -&gt; s.length() &gt; 5;
Stream&lt;String&gt; stream = Stream.iterate("-", (s) -&gt; s + s);
boolean b1 = stream.noneMatch(predicate);
boolean b2 = stream.anyMatch(predicate);
System.out.println(b1 + " " + b2);</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:31:36.548955', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1379, 851, '<p>Какие из терминальных операций стримов являются редукциями?</p>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 14:32:00.24455', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1513, 942, '<p>Как запустить скрипт python из терминала?</p>', 17, 'SINGLE', NULL, 'U', '2022-06-20 14:56:46.861878', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1380, 852, '<p>Какой из перечисленных вариантов нужно вставить на место комментария, чтобы класс выдал "false"?</p><pre><code class="language-plaintext">Stream&lt;String&gt; s = Stream.generate(() -&gt; "test");
boolean match = s./*ОТВЕТ*/(String::isEmpty);
System.out.println(match);</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:32:30.101796', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1381, 853, '<p>Какой из перечисленных вариантов ответа является аналогичным методу sorting?</p><pre><code class="language-plaintext">private static List&lt;String&gt; sorting(List&lt;String&gt; list) {
List&lt;String&gt; list = new ArrayList&lt;&gt;(list);
Collections.sort(list, (a, b) -&gt; b.compareTo(a));
return list;
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:32:59.948767', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1382, 854, '<p>Какой из перечисленных вариантов нужно добавить после строки A, чтобы код скомпилировался без ошибок и ничего не вывел?</p><pre><code class="language-plaintext">LongStream longStream = LongStream.of(1, 2, 3);
OptionalLong optional = longStream.map(n -&gt; n * 10).filter(n -&gt; n &lt; 5).findFirst(); // A</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 14:33:45.284804', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1383, 855, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;Integer&gt; l1 = Arrays.asList(1, 2, 3);
List&lt;Integer&gt; l2 = Arrays.asList(4, 5, 6);
List&lt;Integer&gt; l3 = Arrays.asList();
Stream.of(l1, l2, l3).map(x -&gt; x + 1)
.flatMap(x -&gt; x.stream()).forEach(System.out::print);</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:34:27.060625', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1384, 856, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; s = Stream.of(1); //A
IntStream is = s.mapToInt(x -&gt; x); //B
DoubleStream ds = s.mapToDouble(x -&gt; x); //C
Stream&lt;Integer&gt; s2 = ds.mapToInt(x -&gt; x); //D</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:35:02.655733', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1386, 858, '<p>Какой из перечисленных вариантов ответа является аналогичным следующему коду?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = IntStream.range(1, 10).mapToObj(i -&gt; i).collect(Collectors.toList());
list.forEach(System.out::println);</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:36:09.031088', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1387, 859, '<p>Какой из перечисленных вариантов ответа создает правильную локаль?</p>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 14:36:36.532135', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1388, 860, '<p>Представьте что все упомянутые конфигурационные файлы существуют и определяют одинаковые ключи. Какой из них будет использован чтобы найти ключ на строке A?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("TestPack");
b.getString("name"); //A</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:37:14.664608', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1389, 861, '<p>В примере определены конфигурационные файлы и код. Какие из конфигурационных файлов будут использоваться для строк A и B соответственно?</p><pre><code class="language-plaintext">Testers.properties
name=The Tester
count=0

Testers_en.properties
name=Somebody
count=4

Testers_fr.properties
name=Somebody</code></pre><p>Код:</p><pre><code class="language-plaintext">Locale fr = new Locale("fr");
Locale.setDefault(new Locale("en", "US"));
ResourceBundle b = ResourceBundle.getBundle("Testers", fr);
b.getString("name"); //A
b.getString("count");  //B</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:38:42.563199', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1390, 862, '<p>Что из перечисленного можно вставить на место ответа чтобы получить дату "20 августа, 2011 год"?</p><pre><code class="language-plaintext">public class TestClass {
public static void main(String[] args) {
 LocalDate date = /*ОТВЕТ*/
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 14:39:28.298085', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1391, 863, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">LocalDate date = LocalDate.parse("2021–06–30", DateTimeFormatter.ISO_LOCAL_DATE);
date.plusDays(2);
date.plusHours(3);
System.out.println(date.getYear() + " " + date.getMonth() + " "+ date.getDayOfMonth());</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:40:01.274472', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1392, 864, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">LocalDateTime d = LocalDateTime.of(2021, 5, 10, 10, 10, 10);
Period p = Period.of(1, 2, 3);
d = d.minus(p);
DateTimeFormatter f = DateTimeFormatter.ofLocalizedTime(FormatStyle.SHORT);
System.out.println(d.format(f));</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:40:32.609246', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1393, 865, '<p>Какие из перечисленных примеров выдаст в консоль все значения переменной properties класса Propreties?</p>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:41:02.1002', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1394, 866, '<p>Какие из перечисленных исправлений, примененных независимо друг от друга, заставят код скомпилироваться?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable {
public void close() throws Exception { //A
 throw new Exception("Closing...");
}

public static void main(String[] args) { //B
 try (TestClass t = new TestClass()) {
  System.out.println("Trying...");
 } //C
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 14:41:29.954753', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1395, 867, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">class App {
   String data = "data";
   public void doAppStuff() {
     System.out.println(data);
   }
}
class GoodApp extends App{
   String data = "good data";
   public void doAppStuff() {
   }
}
public class AppUser{
   public static void main(String[] args) {
       App w = new GoodApp();
       ((App)w).doAppStuff();
   }

}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:42:00.220647', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1495, 942, '<p>Как запустить скрипт python из терминала?</p>', 17, 'SINGLE', NULL, 'U', '2022-06-20 14:56:30.09072', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1396, 868, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass {
static class TestAC implements AutoCloseable {
 public void close() {
  System.out.print("A");
  throw new RuntimeException();
 }
}

static class TestC implements Closeable {
 public void close() {
  System.out.print("B");
  throw new RuntimeException();
 }
}

public static void main(String[] args) {
 try {TestAC d = new TestAC(); TestC w = new TestC()}
 {
  System.out.print("C");
 } catch (Exception e) {
  System.out.print("D");
 } finally {
  System.out.print("E");
 }
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:42:34.012021', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1397, 869, '<p>Какая из перечисленных команд для командной строки заставит TestClass упасть на assert?</p><pre><code class="language-plaintext">public class TestClass {
public static void main(String[] args) {
 String s = null;
 assert s != null;
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 14:43:03.402615', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1398, 870, '<p>Какие из перечисленных фактов являются верными?</p>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:43:33.302186', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1399, 871, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Deque&lt;Integer&gt; d = new ArrayDeque&lt;&gt;();
d.push(10);
d.offerLast(20);
d.push(30);
d.peekFirst();
d.removeLast();
d.pop();
System.out.println(d);</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:44:02.660109', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1400, 872, '<p>Какой из перечисленных функциональных интерфейсов может заменить функцию checkPi?</p><pre><code class="language-plaintext">interface Checker{
   public boolean checkPi(double value);
}
public class TestClass {
   public void test(double value){
       boolean b = new Checker(){
           public boolean checkPi(double val){
               return val == 3.14;
           }
       }.checkPi(value);
   }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:44:27.834896', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1401, 873, '<p>Заполните пробелы: Метод close() не может кидать ___ в классе, наследующем ___.</p>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:44:54.782652', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1661, 1041, '<p>Что такое окно (windowing) в Kafka Streams?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-05 21:14:10.079824', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1402, 874, '<p>Какой из перечисленных классов, вставленных на место комментария, заставит следующий код компилироваться?</p><pre><code class="language-plaintext">InputStream is = new BufferedInputStream(new FileInputStream("test.txt"));
InputStream wrapper = new /*ОТВЕТ*/(is);</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 14:45:23.033648', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1403, 875, '<p>Какой из перечисленных вариантов ответа описывает поведение следующего метода?</p><pre><code class="language-plaintext">public static void removeTree(File file) {
if(!file.isFile()) //A
 for(File entry: file.listFiles()) //B
  removeTree(entry);
else file.delete();
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 14:45:52.627437', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1404, 876, '<p>Какие из перечисленных фактов о следующем коде являются верными, учитывая что test.txt - многострочный текстовый файл?</p><pre><code class="language-plaintext">private void test() throws IOException {
try (FileReader fileReader = new FileReader("test.txt");
 BufferedReader bufferedReader = new BufferedReader(fileReader)) {
 System.out.println(bufferedReader.readLine());
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:46:27.934063', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1405, 877, '<p>Какие из перечисленных вариантов ответа, вставленных на место комментария, заставят код скомпилироваться?</p><pre><code class="language-plaintext">Console console = System.console();
String text = console.readLine("Ping");
console./*ОТВЕТ*/("Pong "+ text);</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 14:47:04.554358', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1406, 878, '<p>Какие поля всегда будут равны null у экземпляра описанного класса после его сериализации и последующей десериализации?</p><pre><code class="language-plaintext">public class Account implements Serializable {
/*Реализация геттеров и сеттеров опущена*/
private static final long serialUID = 999999L;
private transient String login = "admin";
private static String password = "toor";
private transient Integer attempts;
private List&lt;Account&gt; users = new ArrayList&lt;&gt;();
private Object object = null;

{ attempts = 10;}

public Account() {
 this.login = "root";
}
}</code></pre>', 1, 'MULTIPLE', 'SENIOR', 'I', '2021-09-16 14:47:43.161053', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1407, 879, '<p>Каково значение поля login экземпляра класса Account после его сериализации и последующей десериализации?</p><pre><code class="language-plaintext">public class Account implements Serializable {
protected transient String login = "Василий";
public void setName(String login) { this.login = login; }
public String getName() { return login; }

public Account() {
 this.login = "Аркадий";
}
}
public class Eagle extends Account implements Serializable {
{ this.login = "Виталий"; }

public Eagle() {
 this.login = "Александр";
}
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:48:09.665563', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1408, 880, '<p>У вас есть переменная InputStream xyzStream, следующие байты в которой будут: XYZABC. Каков результат следующего вызова: test(xyzStream, 3)</p><pre><code class="language-plaintext">public static String test(InputStream xyzStream, int count) throws IOException
{
xyzStream.mark(count);
final StringBuilder builder = new StringBuilder();
for(int i=0; i&lt;count; i++)
builder.append((char)xyzStream.read());
xyzStream.reset();
xyzStream.skip(1);
builder.append((char)xyzStream.read());
return builder.toString();
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:48:49.584395', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1409, 881, '<p>Что выведет следующий код?</p><pre><code class="language-plaintext">Path path = Path.get("/folder/.././ext","../test.txt");
path.normalize().relativize("/out");
System.out.println(path);</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:49:55.816654', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1504, 942, '<p>Как запустить скрипт python из терминала?</p>', 17, 'SINGLE', NULL, 'U', '2022-06-20 14:56:31.811411', 'editor@loylabs.ru', 'editor@loylabs.ru', true, NULL);
INSERT INTO public.questions_history VALUES (1410, 882, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Path path = Paths.get("test.schedule");
BasicFileAttributes attributes = Files.readAttributes(path, BasicFileAttributes.class); //A
if(attributes.size()&gt;0 &amp;&amp; attributes.creationTime().toMillis()&gt;0) { //B
attributes.setTimes(null,null,null); //C
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:50:49.41566', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1411, 883, '<p>Какие из перечисленных строк кода выведут "9"?</p><pre><code class="language-plaintext">List&lt;Integer&gt; list = Arrays.asList(3,4,6,9,2,5,7);
System.out.println(list.stream().reduce(Integer.MIN_VALUE, (a, b)-&gt;a&gt;b?a:b)); //A
System.out.println(list.stream().max(Integer::max).get()); //B
System.out.println(list.stream().max(Integer::compare).get()); //C
System.out.println(list.stream().max((a, b)-&gt;a&gt;b?a:b)); //D</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:51:17.171039', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1412, 884, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">List&lt;String&gt; list = Arrays.asList("flip", "flop");
String result = list.parallelStream().reduce("-",(a, b)-&gt;a.concat(b));
System.out.println(result);</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:51:54.901953', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1413, 885, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">Stream&lt;Integer&gt; stream = IntStream.rangeClosed(10, 15).boxed(); //A
Object obj = stream.collect(Collectors.partitioningBy(x-&gt;x%2==0)); //B
System.out.println(obj);</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:52:22.281039', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1414, 886, '<p>Какие из перечисленных вариантов ответа показывают синтаксически-корректное использование assert?</p>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:52:47.645702', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1415, 887, '<p>Какие из перечисленных фактов о следующем коде являются верными?</p><pre><code class="language-plaintext">public class TestClass implements AutoCloseable{
   String name = null;
   public TestClass(String name) throws IOException{
       this.name = name;
       if("D2".equals(name)) throw new IOException("IO");
       System.out.println(name + " OK");
   }
   public String read() throws IOException{
       return "";
   }

   public void close(){
       throw new RuntimeException("Error "+name);
   }

   public static void main(String[] args) throws Exception {
       try(TestClass d1 = new TestClass("D1");
           TestClass d2 = new TestClass("D2")){
           throw new Exception("End");
       }
   }

}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:53:22.735156', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1417, 889, '<p>Какие из перечисленных фактов о следующем коде являются верными? Учтите что test1.txt существует, а test2.txt не существует?</p><pre><code class="language-plaintext">public class FileCopier {
   public static void testCopy(Path p1, Path p2) throws Exception {
       Files.copy(p1, p2, StandardCopyOption.COPY_ATTRIBUTES, StandardCopyOption.REPLACE_EXISTING);
   }

   public static void main(String[] args) throws Exception {
       Path p1 = Paths.get("C:\\test1.txt");
       Path p2  = Paths.get("C:\\test2.txt");
       testCopy(p1, p2);
       if(Files.isSameFile(p1, p2)){
           System.out.println("OK");
       } else {
           System.out.println("NOT OK");
       }
   }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:54:21.298065', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1418, 890, '<p>Что нужно вставить на место комментариев чтобы код успешно скомпилировался?</p><pre><code class="language-plaintext">public class TestClass {
   private Map&lt;String, Integer&gt; values = new HashMap&lt;String, Integer&gt;();
   private ReadWriteLock lock = new ReentrantReadWriteLock();
   public void setValuesForName(String name, Integer values){
 //Ответ 1
       try{
           values.put(name, values);
       }finally{
  //Ответ 2
       }
   }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:54:50.840825', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1419, 891, '<p>Какие из перечисленных фактов о следующем коде и ресурсных файлах являются верными?</p><pre><code class="language-plaintext">Locale.setDefault(new Locale("fr", "CA"));
Locale l = new Locale("jp", "JP");
ResourceBundle rb = ResourceBundle.getBundle("lines", l);
String msg = rb.getString("initialization");
System.out.println(msg);</code></pre><pre><code class="language-plaintext">Содержимое lines.properties:
initialization=Hello

Содержимое lines_fr_FR.properties:
initialization=je suis un mangeur de grenouilles</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:55:37.36908', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1420, 892, '<p>Какое из перечисленных решений позволит сделать код из примера потокобезопасным?</p><pre><code class="language-plaintext">class TestClass{
private double value;
   ReentrantLock lock = new ReentrantLock();

   public void test(double d){
       try{
           lock.lock();
           if(value &gt; d) value = value - d;
       }finally{
           lock.unlock();
       }
   }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'I', '2021-09-16 14:57:01.766622', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1433, 892, '<p>Какое из перечисленных решений позволит сделать код из примера потокобезопасным?</p><pre><code class="language-plaintext">class TestClass{
private double value;
   ReentrantLock lock = new ReentrantLock();

   public void test(double d){
       try{
           lock.lock();
           if(value &gt; d) value = value - d;
       }finally{
           lock.unlock();
       }
   }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:39:11.222971', 'V1_0_0_12__question_level_simplified', 'V1_0_0_12__question_level_simplified', true, NULL);
INSERT INTO public.questions_history VALUES (1446, 892, '<p>Какое из перечисленных решений позволит сделать код из примера потокобезопасным?</p><pre><code class="language-plaintext">class TestClass{
private double value;
   ReentrantLock lock = new ReentrantLock();

   public void test(double d){
       try{
           lock.lock();
           if(value &gt; d) value = value - d;
       }finally{
           lock.unlock();
       }
   }
}</code></pre>', 1, 'SINGLE', 'SENIOR', 'U', '2022-05-21 23:51:09.039333', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1477, 942, '<p>Как запустить скрипт python из терминала?</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 14:48:24.372606', 'editor@loylabs.ru', 'editor@loylabs.ru', true, NULL);
INSERT INTO public.questions_history VALUES (1486, 942, '<p>Как запустить скрипт python из терминала?</p>', 17, 'SINGLE', NULL, 'U', '2022-06-20 14:55:59.427006', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1514, 943, '<p>a</p>', 17, 'SINGLE', NULL, 'I', '2022-06-20 15:05:10.752585', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1532, 995, '<p>Consumer1 и Consumer2&nbsp;находятся в одной группе.<br>Producer отправляет 2 сообщения в топик, к которому подключены Consumer1 и Consumer2. Выбрана стратегия распределения по хэшу.</p><p>Как распределятся сообщения по консьюмерам?</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 20:29:20.130258', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1545, 1005, '<p>Чтобы кафка создавала копии создавала копии данных на нескольких брокерах, нужно:</p>', 18, 'SINGLE', NULL, 'I', '2022-06-23 22:29:20.570515', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1560, 1017, '<p>Какой скрипт предназначен для создания топика Kafka?</p>', 18, 'MULTIPLE', NULL, 'I', '2022-07-01 13:51:34.431289', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1573, 1015, '<p>Какая команда включает брокер Kafka?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-01 13:42:47.173313', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1586, 1015, '<p>Какой скрипт стартует Kafka брокер?</p>', 18, 'SINGLE', NULL, 'U', '2022-07-01 13:53:22.667445', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1595, 1024, '<p>Транзакционность Kafka выражается в...</p>', 18, 'SINGLE', NULL, 'I', '2022-07-03 12:56:48.744981', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1610, 1035, '<p>Что такое stream processor в kafka streams?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-05 18:43:01.803346', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1619, 1035, '<p>Что такое Stream Processor в kafka streams?</p>', 18, 'SINGLE', NULL, 'U', '2022-07-05 18:43:14.843887', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1628, 1035, '<p>Что такое Stream Processor в Kafka streams?</p>', 18, 'SINGLE', NULL, 'U', '2022-07-05 18:45:09.613818', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1641, 1039, '<p>Какое расширение имеет файл, в котором хранятся сообщения из партиции?</p>', 18, 'SINGLE', NULL, 'I', '2022-07-05 19:29:26.313766', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1652, 1038, '<p>Партиция это...</p>', 18, 'SINGLE', NULL, 'I', '2022-07-05 19:26:59.834678', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1687, 941, '<p>Тестовый вопрос&nbsp;</p><pre><code class="language-python">Тестовый код</code></pre>', 11, 'MULTIPLE', 'JUNIOR', 'I', '2022-02-12 23:14:26.283169', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1688, 941, '<p>Тестовый вопрос&nbsp;</p><pre><code class="language-python">Тестовый код</code></pre>', 11, 'MULTIPLE', 'JUNIOR', 'D', '2022-07-11 23:32:34.927559', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1716, 1051, '<p>Какого термина не существует в Apache Camel?</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 16:11:53.644734', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1727, 1051, '<p>Какого объекта не существует в Apache Camel?</p>', 22, 'SINGLE', NULL, 'U', '2022-10-08 16:12:01.6571', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1734, 1049, '<p>Как будет выглядеть запись, которая принимает сообщение из очереди c именем errors в Java DSL Apache Camel?</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 16:03:10.714044', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1747, 1053, '<p>Что является компонентом (Component) Apache Camel в следующем выражении <span class="text-small"><strong>"</strong></span><span class="text-small" style="color:rgb(0,0,0);"><strong>from(</strong></span><span class="text-small" style="color:rgb(78,147,89);"><strong>"file://home?delete=true"</strong></span><span class="text-small" style="color:rgb(0,0,0);"><strong>).process( </strong></span><span class="text-small" style="color:rgb(99,177,117);"><strong>new</strong></span><span class="text-small" style="color:rgb(0,0,0);"><strong> </strong></span><span class="text-small" style="color:rgb(38,116,56);"><strong>FileProcessor</strong></span><span class="text-small" style="color:rgb(0,0,0);"><strong>()).to(</strong></span><span class="text-small" style="color:rgb(78,147,89);"><strong>"file://var"</strong></span><span class="text-small" style="color:rgb(0,0,0);"><strong>);"</strong></span> ?</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 16:39:11.868953', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1754, 1046, '<p>В какой момент происходит создание о<span style="color:rgb(17,17,17);">бъекта обмена (Exchange) в Apache Camel?</span></p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 15:36:53.611266', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1761, 1049, '<p>Как будет выглядеть запись в Java DSL Apache Camel, которая принимает сообщение из очереди c именем errors?</p>', 22, 'SINGLE', NULL, 'U', '2022-10-08 16:15:31.519754', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1768, 1049, '<p>Как будет выглядеть запись в Java DSL Apache Camel, которая принимает сообщение из очереди c именем errors?</p>', 22, 'MULTIPLE', NULL, 'U', '2022-10-08 17:15:24.985961', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1775, 1050, '<p>Как будет выглядеть запись в Java DSL Apache Camel, которая принимает сообщение из очереди и вызывает метод в классе, в котором имеется несколько методов ?</p><p>&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p><p><br>&nbsp;</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 16:10:23.853293', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1786, 1049, '<p>Как будет выглядеть запись в Java DSL Apache Camel, которая принимает сообщение из очереди c именем errors?</p>', 22, 'MULTIPLE', NULL, 'U', '2022-10-08 17:17:37.05844', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1795, 1060, '<p>Какой из перечисленных вариантов &nbsp;правильно описывает использование предикатов в Java DSL Apache Camel?</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 19:03:25.523682', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1800, 1057, '<p>Возможно ли в Apache Camel перенаправить одно и тоже сообщение к нескольким потребителям?</p>', 22, 'SINGLE', NULL, 'I', '2022-10-08 17:56:43.322935', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1805, 1074, '<p>Какой механизм в ActiveMQ используется в случае, если количество потребителей (Consumer) динамичное?</p>', 19, 'SINGLE', NULL, 'I', '2022-12-04 16:18:08.920312', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1812, 1075, '<p>В чем главное отличие <span style="color:rgb(33,37,41);">Virtual Topic от Composite Desetination в ActiveMQ?</span></p>', 19, 'SINGLE', NULL, 'I', '2022-12-04 16:26:58.019917', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1833, 1085, '<p>Что вернёт выражение?</p><pre><code class="language-plaintext">let id1 = Symbol("id");
let id2 = Symbol("id");


id1 == id2
</code></pre>', 23, 'SINGLE', NULL, 'I', '2023-04-19 14:37:48.87001', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1842, 1084, '<p><span style="color:rgb(0,0,0);"><strong>Что выведется в консоль?</strong></span></p><p>&nbsp;</p><pre><code class="language-plaintext">setTimeout(function timeout() {
 console.log(''Таймаут'');
 }, 0);


 let p = new Promise(function(resolve, reject) {
 console.log(''Создание промиса'');
 resolve();
 });


 p.then(function(){
 console.log(''Обработка промиса'');
 });


 console.log(''Конец скрипта'');</code></pre>', 23, 'SINGLE', NULL, 'I', '2023-04-19 14:36:17.178856', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1850, 1100, '<p>В каком порядке исполняются скрипты?</p><pre><code class="language-plaintext">&lt;script async src="script-1.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-2.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-3.js"&gt;&lt;/script&gt; // Время загрузки скрипта 3s
&lt;script defer src="script-4.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1.5s
&lt;script src="script-5.js"&gt;&lt;/script&gt; // Время загрузки скрипта 2s
&lt;script async src="script-6.js"&gt;&lt;/script&gt; // Время загрузки скрипта 1s
&lt;script defer src="script-7.js"&gt;&lt;/script&gt; // Время загрузки скрипта 0.1s</code></pre>', 23, 'SINGLE', NULL, 'I', '2023-04-27 10:35:11.369673', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1861, 1099, '<p>Что выведет консоль?</p><pre><code class="language-plaintext">const numbers = [1, 2, 3, 4, 5];
const [y] = numbers;
console.log(y);</code></pre>', 23, 'SINGLE', NULL, 'I', '2023-04-27 10:29:44.715258', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1872, 1098, '<p>Что выведет консоль?</p><pre><code class="language-plaintext">console.log(false == undefined);
console.log(false == null);
console.log(null == undefined)</code></pre>', 23, 'SINGLE', NULL, 'I', '2023-04-27 10:26:52.019073', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1883, 1096, '<p>Какими способами можно визуально скрыть элемент?</p>', 23, 'MULTIPLE', NULL, 'I', '2023-04-26 18:41:24.257552', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1890, 1095, '<p>Что такое перегрузка функции?</p>', 23, 'SINGLE', NULL, 'I', '2023-04-26 18:22:17.892449', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1899, 1094, '<p>В каком порядке выведутся console.log?</p><pre><code class="language-plaintext">let a = ''Hello world'';

function first() {
  console.log(''a'');
  second();
  console.log(''b'');
}

function second() {
  console.log(''c'');
}

first();

console.log(''d'');</code></pre>', 23, 'SINGLE', NULL, 'I', '2023-04-24 14:45:10.289941', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1908, 1093, '<p>Что мы можно делать с interface, чего не нельзя с type?</p>', 23, 'MULTIPLE', NULL, 'I', '2023-04-24 14:33:03.95538', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1915, 1092, '<p>Для чего нужны порталы в React?</p>', 23, 'SINGLE', NULL, 'I', '2023-04-24 14:30:17.23167', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1922, 1091, '<p>Что такое специфичность (вес) селектора?</p>', 23, 'SINGLE', NULL, 'I', '2023-04-24 14:28:18.001381', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1931, 1093, '<p><strong>Что мы можно делать с interface, чего не нельзя с type?</strong></p>', 23, 'MULTIPLE', NULL, 'U', '2023-04-27 11:04:01.920682', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1940, 1093, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 23, 'MULTIPLE', NULL, 'U', '2023-04-28 14:13:05.025052', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1947, 1095, '<p><strong>Что такое перегрузка функции?</strong></p>', 23, 'SINGLE', NULL, 'U', '2023-04-27 11:03:44.225579', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1954, 1095, '<p><strong>Что такое перегрузка функции?</strong></p>', 23, 'SINGLE', NULL, 'U', '2023-04-28 15:05:59.786636', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);
INSERT INTO public.questions_history VALUES (1963, 1093, '<p><strong>Что мы можно делать с interface, чего нельзя с type?</strong></p>', 23, 'MULTIPLE', NULL, 'U', '2023-04-28 14:14:17.442987', 'editor@loylabs.ru', 'editor@loylabs.ru', false, NULL);


--
-- Data for Name: rates; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.rates VALUES (3, 'Базовый', 14900.00, 50, 'I', '2022-04-02 03:11:10.118923+00', 'migration V1_0_0_10', 'migration V1_0_0_10', 30);
INSERT INTO public.rates VALUES (4, 'Профессиональный', 27900.00, 200, 'I', '2022-04-02 03:11:10.118923+00', 'migration V1_0_0_10', 'migration V1_0_0_10', 30);
INSERT INTO public.rates VALUES (5, 'Премиум', 56900.00, 1000, 'I', '2022-04-02 03:11:10.118923+00', 'migration V1_0_0_10', 'migration V1_0_0_10', 30);


--
-- Data for Name: rates_history; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--



--
-- Data for Name: result_codes; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.result_codes VALUES (3, 'epgWyr62ttrWwsFHWEficbWNORT6DuNy', 592, '2023-11-27 12:54:01.206', 864000, false);
INSERT INTO public.result_codes VALUES (4, 'kzivwzxn7yiF890RYEeddYaTP8oG5KK7', 592, '2023-11-27 12:54:11.713', 864000, false);
INSERT INTO public.result_codes VALUES (5, 'mR0yRCHIg5sRt74kQ5qeCx8Q7HTCFBij', 592, '2023-11-27 12:58:44.905', 864000, false);
INSERT INTO public.result_codes VALUES (6, 'wW59t8iKqBgvPOOgYWc3vITgbtx1tC4F', 592, '2023-11-27 12:58:55.998', 864000, false);
INSERT INTO public.result_codes VALUES (7, 'BHaPV4OJnkTzcTFkfPHEeejQnBWnZpNj', 592, '2023-11-27 13:31:52.137', 864000, false);
INSERT INTO public.result_codes VALUES (8, 'WeHpb3E2EQCj4e8hQOD5IwR8rQeLoMFN', 592, '2023-11-27 13:34:30.236', 864000, false);
INSERT INTO public.result_codes VALUES (9, 'rl1ksBcAH1o4W5QMQPbFCuypxiZJpdKd', 592, '2023-11-27 13:34:32.578', 864000, false);
INSERT INTO public.result_codes VALUES (10, 'JQy95iCQzMGoLpYoGideg3Wfo1h9iV3T', 592, '2023-11-27 13:34:34.275', 864000, false);
INSERT INTO public.result_codes VALUES (11, 'sohgsQw5edfpwNihOMn3K3r6ahtPO4NL', 592, '2023-11-27 13:34:42.088', 864000, false);
INSERT INTO public.result_codes VALUES (12, 'JNBoul0xTLlTn38mVfMi6fm3ayLOLGWu', 592, '2023-11-27 13:34:43.958', 864000, false);
INSERT INTO public.result_codes VALUES (13, 'rA0zg128kYw8snG4ejA7XAVZFAA6HEe1', 592, '2023-11-27 13:35:05.426', 864000, false);
INSERT INTO public.result_codes VALUES (14, 'KBkfQizPVZjUrzmWW4AET788cmTkQ2Gj', 592, '2023-11-27 13:35:07.132', 864000, false);
INSERT INTO public.result_codes VALUES (15, '7LfnyNmDNCLOPfzYZWErrijlRlVZG7va', 592, '2023-11-27 13:35:08.845', 864000, false);
INSERT INTO public.result_codes VALUES (16, 'DvR9OXWzrQXX3iDYXWEwUpxDlOYxGZ58', 592, '2023-11-27 13:46:21.482', 864000, false);
INSERT INTO public.result_codes VALUES (17, 'hpP0i73ifRzxUOzsMg0vlynffPFpvGpb', 592, '2023-11-27 13:46:31.489', 864000, false);
INSERT INTO public.result_codes VALUES (18, 'IjHakfaOYStwzBs0p9EubjEYsJNRQafU', 592, '2023-11-27 13:46:50.01', 864000, false);
INSERT INTO public.result_codes VALUES (19, 'aYXdjRSciMhp5O9KHbA2Qb3xAjVZ8PcQ', 592, '2023-11-27 14:04:25.069', 864000, false);
INSERT INTO public.result_codes VALUES (20, 'rQFbRvqmkCqYR018orpRihdcoVgAPb50', 592, '2023-11-27 14:04:27.677', 864000, false);
INSERT INTO public.result_codes VALUES (21, 'aoNN95de5dRKjs5U2KAvULBUX7c6c2vM', 592, '2023-11-27 14:05:23.817', 864000, false);
INSERT INTO public.result_codes VALUES (22, 'UdYAluKbuhg8FB39hA3J80tE4Hh4FQcc', 592, '2023-11-27 14:05:25.815', 864000, false);
INSERT INTO public.result_codes VALUES (23, 'zbKiKkemqAly83uqkBvZXE36bcOp10ET', 592, '2023-11-27 14:05:39.632', 864000, false);
INSERT INTO public.result_codes VALUES (24, 'ERq2Me4OnLBAmPwGCJtkfnPyiA9KMbiW', 592, '2023-11-27 14:05:42.389', 864000, false);
INSERT INTO public.result_codes VALUES (25, '13dt7OcwaCa1KvONmDodNB885AOYLNm4', 592, '2023-11-27 14:13:13.041', 864000, false);
INSERT INTO public.result_codes VALUES (26, 'wUxP1WvwzKaZ9PfME9HXNi9UarowROvo', 592, '2023-11-27 14:13:21.793', 864000, false);
INSERT INTO public.result_codes VALUES (27, 'Kt8CIM2ttyEMj9vSOH9or9DkeZ1x204T', 592, '2023-11-27 14:13:27.985', 864000, false);
INSERT INTO public.result_codes VALUES (28, 'RGa0Q2NWB4F6kT5UI8sWlH4NHDq4Kge6', 592, '2023-11-27 14:15:08.411', 864000, false);
INSERT INTO public.result_codes VALUES (29, 'dqN0raHBQ1gYuFVVgVov8aJmzZb6cps7', 592, '2023-11-27 14:15:28.14', 864000, false);
INSERT INTO public.result_codes VALUES (30, 'p1V1qKf8l7bQCd3bISrpDGscGbgADovp', 592, '2023-11-27 14:15:45.417', 864000, false);
INSERT INTO public.result_codes VALUES (31, 'F9no0gjWMGe1KZvLVDgoeJCI5DSojmke', 592, '2023-11-27 14:22:13.599', 864000, false);
INSERT INTO public.result_codes VALUES (32, 'EAT17zpZ70yIQXzOxY6064r1uTMMN8EY', 592, '2023-11-27 14:22:18.717', 864000, false);
INSERT INTO public.result_codes VALUES (33, '2aeqItfbqbFlymkS0C1MyX0QHRedjILG', 592, '2023-11-27 14:22:40.332', 864000, false);
INSERT INTO public.result_codes VALUES (34, 'cKkZnNFjhnJaQy9QrjoM4KL9JoK4Lhqi', 592, '2023-11-27 14:23:05.989', 864000, false);
INSERT INTO public.result_codes VALUES (35, 'loPU8cj3kJu8kxW7nEC8jFDEnh8jWnxu', 592, '2023-11-27 14:23:12.964', 864000, false);
INSERT INTO public.result_codes VALUES (36, '90y3iNNU8arjy0FXQdQFDCVGUFTHX18D', 592, '2023-11-27 14:23:21.184', 864000, false);
INSERT INTO public.result_codes VALUES (37, 'JBXVBVSd344OuLjyxsKVUZxRHOmvYEoQ', 592, '2023-11-27 14:23:24.87', 864000, false);
INSERT INTO public.result_codes VALUES (38, 'MccV77hGrORkvMY0uzwyJ4AhnfEfXfaU', 592, '2023-11-27 14:23:27.903', 864000, false);
INSERT INTO public.result_codes VALUES (39, 'nP3GRoCiGhMXRwTGGEbn91mpHv9PxUlr', 592, '2023-11-27 14:23:38.112', 864000, false);
INSERT INTO public.result_codes VALUES (40, 'NYGzAZQsFYT4zYRHCM1CDb1fE75uVgHD', 592, '2023-11-27 14:23:54.414', 864000, false);
INSERT INTO public.result_codes VALUES (41, 'SX3wiLr5z0g1utDvoOiyOHzIKTRfNHZ8', 592, '2023-11-27 14:23:57.185', 864000, false);
INSERT INTO public.result_codes VALUES (42, 'kx0lUwYZWRwKYnro3C0T7vn8AFMwYhyi', 592, '2023-11-27 14:44:14.08', 864000, false);
INSERT INTO public.result_codes VALUES (43, 'zywVwoLMmQDiAtLR7JmWk4K7nrGoPNFK', 592, '2023-11-27 14:44:55.164', 864000, false);
INSERT INTO public.result_codes VALUES (44, 'z9lzWjmru1kIx6eG9EhIW5RKibRDXsuH', 592, '2023-11-27 14:44:59.471', 864000, false);
INSERT INTO public.result_codes VALUES (45, '28yGGVkk4uX6rHzbfPb7ks5KUq33kJev', 592, '2023-11-27 14:45:05.715', 864000, false);
INSERT INTO public.result_codes VALUES (46, 'N8Ec2tnK6QEbCjgMpMvEcrR0nVMEfUPR', 592, '2023-11-27 14:46:17.888', 864000, false);
INSERT INTO public.result_codes VALUES (47, 'ccOsmOmLgPmcDdqCxV5pQj9dgLkrLlXF', 592, '2023-11-27 14:46:34.559', 864000, false);
INSERT INTO public.result_codes VALUES (48, 'JCb397ahvAwSPmmFeL9uGPfEuvZh3jOQ', 592, '2023-11-27 14:46:53.467', 864000, false);
INSERT INTO public.result_codes VALUES (49, 'waZE8iNlSZdBgIDNANFmpcOVX7QKRIlK', 592, '2023-11-27 14:46:56.004', 864000, true);
INSERT INTO public.result_codes VALUES (50, '84jAUMJsd1wwRVfUCgjraCgGctaZAkwl', 592, '2023-11-27 14:46:56.838', 864000, false);
INSERT INTO public.result_codes VALUES (51, 'bqgLovtJFkvFI1um67XAQQMIwbXCMnYY', 592, '2023-11-27 14:46:58.055', 864000, true);
INSERT INTO public.result_codes VALUES (52, 'QVMCSaoq7ZxmBviM4hUU5ydPa19zgQR9', 592, '2023-11-27 14:46:59.193', 864000, false);
INSERT INTO public.result_codes VALUES (53, 'OfQoxXvZAQ5Dp8OiMy4P0srIuMKXCIPd', 592, '2023-11-27 14:47:00.046', 864000, true);
INSERT INTO public.result_codes VALUES (54, 'G1yi1rAV1TmKHth6pyEnBJvVA7EPh42N', 592, '2023-11-27 14:47:00.949', 864000, false);
INSERT INTO public.result_codes VALUES (55, '3A5cB9b2NGbWngHM8124ji1lmgdKTEPL', 592, '2023-11-27 14:47:01.946', 864000, true);
INSERT INTO public.result_codes VALUES (56, 'TVAmSvIGSUJrmgIAB2cezI5zInW27mlh', 592, '2023-11-27 14:47:02.55', 864000, false);
INSERT INTO public.result_codes VALUES (57, 'AqR589MFZudS3qRJHMRy8pMTR8vFIVDn', 592, '2023-11-27 14:48:50.385', 864000, false);
INSERT INTO public.result_codes VALUES (58, 'JkA4zVQvTYR7HCUjbCVxfndPXS1A2T09', 592, '2023-11-27 14:49:15.326', 864000, false);
INSERT INTO public.result_codes VALUES (59, 'aOewdxLNDHg7y5nvKMcW6bE71N48Cqdd', 592, '2023-11-27 14:49:30.541', 864000, false);
INSERT INTO public.result_codes VALUES (60, 'ZZkn4S3hE7rhLDszhVwQRcqT3vX8axJ2', 592, '2023-11-27 14:49:33.507', 864000, false);
INSERT INTO public.result_codes VALUES (61, '4x1beSGDt1c4WmGcRxJpmb3ZgRxh5tVe', 592, '2023-11-27 14:49:36.644', 864000, false);
INSERT INTO public.result_codes VALUES (62, 'FPCgXwLg9KHujJLjcLqT0akYZUBGCI0b', 592, '2023-11-27 14:49:41.768', 864000, false);
INSERT INTO public.result_codes VALUES (63, 'uc4mEaREtPxGy73npffetSug2ptgiRny', 592, '2023-11-27 14:49:50.322', 864000, false);
INSERT INTO public.result_codes VALUES (64, 'a6KBWqcXeI5MeVLKkjIfaa78nPsNgNIw', 592, '2023-11-27 14:49:53.653', 864000, false);
INSERT INTO public.result_codes VALUES (65, 'TqjQVtKsdgA5lCSQ4Br3V6MV246xxD64', 592, '2023-11-27 14:55:29.59', 864000, false);
INSERT INTO public.result_codes VALUES (66, 'WAZxzhSlc9eZEweyZNDGe5kkMnxzQ0XR', 592, '2023-11-27 14:55:38.806', 864000, false);
INSERT INTO public.result_codes VALUES (67, 'HpqdHHjfVl3CmHWQ0QFOkDEeZ82MD2Jd', 592, '2023-11-27 15:12:46.037', 864000, false);
INSERT INTO public.result_codes VALUES (68, 'XoACcLTIwPahcqwD1ROWBPd8GAB5rFHO', 592, '2023-11-27 15:13:09.643', 864000, false);
INSERT INTO public.result_codes VALUES (69, 'Mf48IgNdF3dByMxT1BLZtrA9ksUBAzuf', 592, '2023-11-27 15:13:24.681', 864000, false);
INSERT INTO public.result_codes VALUES (70, '8LdEnAKVKXq17WnnWBo0MvNPp7OvWrp0', 592, '2023-11-27 15:13:31.168', 864000, false);
INSERT INTO public.result_codes VALUES (71, '0zOcVnh2nGrc1bRZ8GEPPWXHJHtqILJw', 592, '2023-11-27 15:13:40.095', 864000, false);
INSERT INTO public.result_codes VALUES (72, 'UENaIQHVP2MclQG88y2iQF4FLDDGsIKs', 592, '2023-11-27 15:13:42.399', 864000, false);
INSERT INTO public.result_codes VALUES (73, 'idRrMy1DfKEd5ar0SupaoHzpGU23tsGK', 592, '2023-11-27 15:13:50.783', 864000, false);
INSERT INTO public.result_codes VALUES (74, '50TWfnzhgEBJZMAam4Mp8Dxw8IwjGsay', 592, '2023-11-27 15:27:38.442', 864000, false);
INSERT INTO public.result_codes VALUES (75, 'q6PLG0XIc890X35qKJi9Ab1JtJTok3aF', 592, '2023-11-27 15:31:17.351', 864000, false);
INSERT INTO public.result_codes VALUES (76, '5yZIenFqR2iQLj3pqYUVdEkh2kBqu2UX', 592, '2023-11-27 15:31:19.853', 864000, false);
INSERT INTO public.result_codes VALUES (77, '2piZM2kacEjKcqJH6OfW5CMDITvOaOyT', 592, '2023-11-27 15:31:22.715', 864000, false);
INSERT INTO public.result_codes VALUES (78, 'BPrtsb4ddffKjGVhCP9xE5lrDx4t9MBc', 592, '2023-11-27 15:31:25.273', 864000, false);
INSERT INTO public.result_codes VALUES (79, 'bPdUX28FRGnb5G9mJ003jhRCnmnZrYaf', 592, '2023-11-27 15:31:33.092', 864000, false);
INSERT INTO public.result_codes VALUES (80, '2M0on2A49bQWlv4Q4sjSsMqdsRECZXCy', 592, '2023-11-27 15:31:56.505', 864000, false);
INSERT INTO public.result_codes VALUES (81, 'Xy9GjW1xle3VUSe0i1T70TizBfvkL13z', 592, '2023-11-27 15:32:22.02', 864000, false);
INSERT INTO public.result_codes VALUES (82, 'DaEuiuStqpxDX3WGUyacvASetTtcalQT', 592, '2023-11-27 15:32:24.82', 864000, false);
INSERT INTO public.result_codes VALUES (83, 'W4Vam5PAsZ0ixpUykUBdu4nrtjw3t8PO', 592, '2023-11-27 15:32:34.974', 864000, false);
INSERT INTO public.result_codes VALUES (84, 'DTydaMWwgaQWCMgGH8VrhLQ9ZAIxglfa', 592, '2023-11-27 15:37:22.388', 864000, false);
INSERT INTO public.result_codes VALUES (85, '1m5RAfxBgdtvAA4V5QPzmDmENZbGypV6', 592, '2023-11-27 15:37:53.679', 864000, false);
INSERT INTO public.result_codes VALUES (86, 'czabSmFBUuej2Ko7Z2SxRAr9sqB3fJT1', 592, '2023-11-27 15:37:56.541', 864000, false);
INSERT INTO public.result_codes VALUES (87, 'uz3zs4cdSBPqKUdmXGkUEcI8H6Sm7acF', 592, '2023-11-27 15:38:05.502', 864000, false);
INSERT INTO public.result_codes VALUES (88, 'YIXzagvWcWHy2i2PULVhG8dbLLUIthWc', 592, '2023-11-27 15:38:09.187', 864000, false);
INSERT INTO public.result_codes VALUES (89, 'QINykqeTQ2D8Dz9NseUZFROb15ps9DhO', 592, '2023-11-27 15:38:12.669', 864000, false);
INSERT INTO public.result_codes VALUES (90, 'zjOQlXCJz9sQSlzJDfHY5iJVJmMryDUF', 592, '2023-11-27 15:38:15.029', 864000, false);
INSERT INTO public.result_codes VALUES (91, 'IOVkzY7xBvGpXTdWePHJibwBVqNaQCB4', 592, '2023-11-27 15:38:25.383', 864000, false);
INSERT INTO public.result_codes VALUES (92, 'qJX8SJVUXV1xMsraKHIIGqTGETiyAzsa', 592, '2023-11-27 15:38:47.534', 864000, false);
INSERT INTO public.result_codes VALUES (93, 'plFwqxakESJedsB2W6jxw1xHwGZh6NyP', 592, '2023-11-27 15:38:51.048', 864000, false);
INSERT INTO public.result_codes VALUES (94, 'jc6NCNhiUEGfQwKzeIWowjmQnP9UMkDJ', 592, '2023-11-27 15:41:47.896', 864000, false);
INSERT INTO public.result_codes VALUES (95, '5UNPgSuJMcoWgdaM1g7K1ULabnK2elrZ', 592, '2023-11-27 15:41:51.536', 864000, false);
INSERT INTO public.result_codes VALUES (96, 'ML4TMO7xAlSwomazpDR0jSNRztqsWjkZ', 592, '2023-11-27 15:41:54.114', 864000, false);
INSERT INTO public.result_codes VALUES (97, 'OJq0Z6e49Z18kNlXrBosleqjEm79jbS0', 592, '2023-11-27 15:41:59.728', 864000, false);
INSERT INTO public.result_codes VALUES (98, '5v8mkA5pz9nSlg0Durnh2BRnWWGZayp9', 592, '2023-11-27 15:42:01.539', 864000, false);
INSERT INTO public.result_codes VALUES (99, 'EWhsf18vXThMXtNdmn03agW9Dss4YZg1', 592, '2023-11-27 15:42:04.661', 864000, false);
INSERT INTO public.result_codes VALUES (100, 'NKaxU2csFE6DCWUC5oJECAc2KyB0uJGo', 592, '2023-11-27 15:42:13.884', 864000, false);
INSERT INTO public.result_codes VALUES (101, 'OaG2K3meCZwBD7bMo8v4ScYcbRAMZJyK', 592, '2023-11-27 15:42:23.423', 864000, false);
INSERT INTO public.result_codes VALUES (102, '4Z4pwAktQt4if2gEH0AaksaCuxbknEKz', 592, '2023-11-27 15:42:26.476', 864000, false);
INSERT INTO public.result_codes VALUES (103, 'Ucme15lIimRjEjF3p2ikGDnEIkkPA4gx', 592, '2023-11-27 15:47:47.259', 864000, false);
INSERT INTO public.result_codes VALUES (104, 'V3ldiYScYrSZzNMij0RayJzVImS3RVqL', 592, '2023-11-27 15:48:18.431', 864000, false);
INSERT INTO public.result_codes VALUES (105, 'z4Gc2YhzQtQ7iIKx9IkBLY17TWooKcli', 592, '2023-11-27 15:48:26.339', 864000, false);
INSERT INTO public.result_codes VALUES (106, 'JGs3ykbOJDP9wYmOStryAmTRKZUaQ5ME', 592, '2023-11-27 15:48:44.718', 864000, false);
INSERT INTO public.result_codes VALUES (107, 'VYNowWs0KhdiMOFXonYjSg0wNX3vD2py', 592, '2023-11-27 15:48:51.285', 864000, false);
INSERT INTO public.result_codes VALUES (108, '2VVUG08gMrVejA9cWuP2bb4hbZFvcKKk', 592, '2023-11-27 15:49:00.083', 864000, false);
INSERT INTO public.result_codes VALUES (109, 'sUQW8lUCBXhGMu0dmtRxfth4u80lVatD', 530, '2023-11-28 09:28:50.288', 864000, false);
INSERT INTO public.result_codes VALUES (110, 'zWHBR3VsTvBdUJNXVaxjrZwKRWewyNa1', 530, '2023-11-28 09:29:00.081', 864000, false);
INSERT INTO public.result_codes VALUES (111, 'ucONg1buXJ3PgQprqBp3Cm2ppp4LTtJi', 530, '2023-11-28 09:45:06.108', 864000, false);
INSERT INTO public.result_codes VALUES (112, 'MMPydoyqXdWbCPzXZCuxa2WUT6i4J0Ap', 530, '2023-11-28 09:45:26.21', 864000, false);
INSERT INTO public.result_codes VALUES (113, 'kJcRom2y8m3Qo0qkbZpaygX07TwHYyyh', 530, '2023-11-28 09:45:31.636', 864000, false);
INSERT INTO public.result_codes VALUES (114, 'hxESCrCELY32pBgGNIwEzk92B7uEnZ48', 530, '2023-11-28 09:45:48.922', 864000, false);
INSERT INTO public.result_codes VALUES (115, 'pdcGfk9Q6eNCrbvDQh6cMzkpbv8OwV9q', 530, '2023-11-28 09:45:53.199', 864000, false);
INSERT INTO public.result_codes VALUES (116, 'Slogalcx4d3vy6XmoOS15mnXRXM1c1mF', 530, '2023-11-28 09:46:24.822', 864000, false);
INSERT INTO public.result_codes VALUES (117, '1DyXeTXhYUe3IayO9hiBQEVLxjipIYOw', 530, '2023-11-28 09:47:25.878', 864000, false);
INSERT INTO public.result_codes VALUES (118, 'j99FocejLhVXUrBL0ahqJyFPxZiIHtZ4', 530, '2023-11-28 09:49:06.538', 864000, true);
INSERT INTO public.result_codes VALUES (119, 'd4qZnVwtJ9WOwBwHinwrgEhvUqp3I164', 530, '2023-11-28 09:49:07.597', 864000, false);
INSERT INTO public.result_codes VALUES (120, 'XhYFz8YxeN3DgoAscekvfkMUKcqIhBpf', 530, '2023-11-28 09:49:08.449', 864000, true);
INSERT INTO public.result_codes VALUES (121, 'eNmT0NsqyOW9nMX2CbAiOGzHxrKPUsTU', 530, '2023-11-28 09:49:09.281', 864000, false);
INSERT INTO public.result_codes VALUES (122, 'vQCivZpthXS3A9ACs3GGLSMjvkiRNZdI', 530, '2023-11-28 09:49:20.468', 864000, false);
INSERT INTO public.result_codes VALUES (123, 'wXFf3CDm3dVU6UhCWNeZJu9S8ni0p5vY', 530, '2023-11-28 09:49:20.598', 864000, false);
INSERT INTO public.result_codes VALUES (124, 'zuz2gPPHIDR6fhaUsKQ5FFvwxCmjoEVw', 530, '2023-11-28 09:49:37.231', 864000, false);
INSERT INTO public.result_codes VALUES (125, 'a5dunDjwjQZUO6U29jKeHdagboR0DTtA', 530, '2023-11-28 09:49:37.28', 864000, false);
INSERT INTO public.result_codes VALUES (126, 'IJNWk1wPVWWIFgScrBMCO2g6No19lSn2', 530, '2023-11-28 11:18:06.961', 864000, false);
INSERT INTO public.result_codes VALUES (127, 'AQYmtdOn70FcPrZNdVPQ1VS20EO9XWWU', 530, '2023-11-28 12:30:02.616', 864000, false);
INSERT INTO public.result_codes VALUES (128, 'IW8zLKwaVYhSOeZ6qo8cXli8KNpGoIo7', 530, '2023-11-28 12:48:22.054', 864000, false);
INSERT INTO public.result_codes VALUES (129, 'X30zEn5TIhpkXZgFKcrgZEIhOvzCVHjq', 530, '2023-11-28 12:48:23.048', 864000, false);
INSERT INTO public.result_codes VALUES (130, 'LuhQobUMfqB06dDoF00PgjRn2Ek6QdCe', 530, '2023-11-28 12:48:24.361', 864000, false);
INSERT INTO public.result_codes VALUES (131, 'q5faIJyFeJizEGk6NE5Byr5pp4X1yHdy', 530, '2023-11-28 12:48:27.733', 864000, false);
INSERT INTO public.result_codes VALUES (132, 'PhjvQYEv9kRjp8Ws6dwybjiijc2XMwwk', 530, '2023-11-28 13:06:50.897', 864000, false);
INSERT INTO public.result_codes VALUES (133, 'H88lx4AY4gCrauQGXcvvS8eL5DlNUOD3', 530, '2023-11-28 13:08:38.399', 864000, false);
INSERT INTO public.result_codes VALUES (134, 'w9thFkxH4MOLma1JOKqfzS8fPtkVU3ad', 530, '2023-11-28 13:08:47.296', 864000, false);
INSERT INTO public.result_codes VALUES (135, 'AhyFBZnUJ3ycSipgNvhVkpS4v7666gUh', 530, '2023-11-28 13:25:17.875', 864000, false);
INSERT INTO public.result_codes VALUES (136, '9UYK4xT2fBZiwR3J3lpQWD9mmHeyJ0BS', 530, '2023-11-28 13:25:17.94', 864000, false);
INSERT INTO public.result_codes VALUES (137, 'WCIciY1wEWMxqavyBj0QzgkVKSIBx4sT', 530, '2023-11-28 13:28:22.294', 864000, false);
INSERT INTO public.result_codes VALUES (138, 'Do4XgHHRrRZKmxUuBPNPGCqdjDwATuOR', 530, '2023-11-28 13:28:22.444', 864000, false);
INSERT INTO public.result_codes VALUES (139, 'PTS9YWZf1vf5SyB1tsX4Vdq4GWSl8dWP', 530, '2023-11-28 13:48:18.473', 864000, false);
INSERT INTO public.result_codes VALUES (140, 'GKacI8O9ngGZexz8rstlUqsJJkzVnNjp', 530, '2023-11-28 14:00:11.184', 864000, false);
INSERT INTO public.result_codes VALUES (141, 'VEHycekyOyOBT4YPjiQ6fDQ2b7rfSpaS', 530, '2023-11-28 14:29:52.78', 864000, false);
INSERT INTO public.result_codes VALUES (142, 'FcBunC5PZ8Wt9hjF3YJ3kuWys7l3QdRb', 530, '2023-11-28 14:29:52.843', 864000, false);
INSERT INTO public.result_codes VALUES (143, 'N1thT21UeezKg6jjM0sEumGTZN0FyDbA', 530, '2023-11-28 15:13:59.84', 864000, false);
INSERT INTO public.result_codes VALUES (144, 'ZRijw2TAkXm4ZSdp3xniVwHs5TS8O0I9', 530, '2023-11-28 15:15:21.362', 864000, false);
INSERT INTO public.result_codes VALUES (145, 'ArufTgOwXSAtFkG9gFL5RcR3RWV92VXc', 530, '2023-11-28 15:27:56.259', 864000, false);
INSERT INTO public.result_codes VALUES (146, 'WENapEws2mdupnEuv3mIHG09VJ8R2e9v', 530, '2023-11-28 15:28:06.09', 864000, false);
INSERT INTO public.result_codes VALUES (147, 'b66tVD05jGDedXalzV8RzhJVneHJhySb', 530, '2023-11-28 15:29:24.801', 864000, false);
INSERT INTO public.result_codes VALUES (148, '5ER14YQs7h1YBpmpAhfopoOFktcDpu62', 530, '2023-11-28 15:29:34.571', 864000, false);
INSERT INTO public.result_codes VALUES (149, 'sx36XIAEKWrX3NjJiVMvhaRN4seyQ7T0', 530, '2023-11-28 15:29:39.234', 864000, false);
INSERT INTO public.result_codes VALUES (150, '7vSIop2e7hAyEsRKvjsvHutLJqonnaB0', 530, '2023-11-28 15:29:44.789', 864000, false);
INSERT INTO public.result_codes VALUES (151, 'txzVrWr5IYhMj1NoD16r11QGufaQOKmn', 530, '2023-11-28 15:29:53.419', 864000, false);
INSERT INTO public.result_codes VALUES (152, 'X0GNDsMz0woECxTXDizYDeF21jT3Va5w', 530, '2023-11-28 15:30:14.586', 864000, false);
INSERT INTO public.result_codes VALUES (153, 'dulq7gSeC5YYgaUxQijkjizUS6XbTdyd', 530, '2023-11-28 15:30:29.662', 864000, false);
INSERT INTO public.result_codes VALUES (154, 'i9hyE6VkZsSZoGhNSuP8F6qU6xQhyAFQ', 530, '2023-11-28 15:30:36.779', 864000, false);
INSERT INTO public.result_codes VALUES (155, 'whhqKBnNf7cTFtX8xkzbxGwpg1pYrjsz', 530, '2023-11-28 15:30:46.007', 864000, false);
INSERT INTO public.result_codes VALUES (156, 'uxIeRIRY033veCwKpT8CBmMwVNehwAKr', 530, '2023-11-28 15:30:56.483', 864000, false);
INSERT INTO public.result_codes VALUES (157, 'L2zwkO3osrbJaakTJLcPpIBRRGtgeeFw', 530, '2023-11-28 15:31:08.458', 864000, false);
INSERT INTO public.result_codes VALUES (158, '5FoejWKYFyOxCy99FQw7mkDeq5gobq1X', 530, '2023-11-28 15:31:15.165', 864000, false);
INSERT INTO public.result_codes VALUES (159, 'xSjWkZ0uF6b14cSunHY9S2Q47akBJIir', 530, '2023-11-28 15:40:28.377', 864000, false);
INSERT INTO public.result_codes VALUES (160, 'V2mzPwn0x7T8KYrxXAxBSariay0KubkU', 530, '2023-11-28 15:40:45.292', 864000, false);
INSERT INTO public.result_codes VALUES (161, 'Ca09sUFpLD6rX8FK4aHxXjJYShkfN4MC', 530, '2023-11-28 15:40:56.342', 864000, false);
INSERT INTO public.result_codes VALUES (162, 't9mlYgxpmzEA7Ub5mnLXlKMxeF1o7Dxz', 530, '2023-11-28 15:47:28.275', 864000, false);
INSERT INTO public.result_codes VALUES (163, 'WvzKH4IMTjeX5WBibrz2ytI3oqbX56AN', 530, '2023-11-28 15:47:59.923', 864000, false);
INSERT INTO public.result_codes VALUES (164, 'JZp1ZW73DYXpQICwzQaXBk4gqZHNzhyL', 530, '2023-11-28 15:48:05.877', 864000, false);
INSERT INTO public.result_codes VALUES (165, 'qARyX44Al8sG4mp30kP7crJCve52NQPR', 530, '2023-11-28 15:48:55.214', 864000, false);
INSERT INTO public.result_codes VALUES (166, 'm8rZOo4yUZct0rhIBQOfI23dFnvMjSxh', 530, '2023-11-28 15:48:59.727', 864000, false);
INSERT INTO public.result_codes VALUES (167, 'Ibj4lZz7IOKx4BKBFWMVY1Li0uJ5LYbx', 530, '2023-11-28 15:52:31.143', 864000, false);
INSERT INTO public.result_codes VALUES (168, 'Cs7QMsV9lhP7M1up1HEkOAyyW63yWhFS', 530, '2023-11-28 15:52:45.148', 864000, false);
INSERT INTO public.result_codes VALUES (169, 'awWZztDGjgIP6JY1z5YTLs1st4ZLgO4Z', 530, '2023-11-28 15:53:02.992', 864000, false);
INSERT INTO public.result_codes VALUES (170, 'xEDBe56sNoUcpdNrxkgbmgeFlvon6LCL', 530, '2023-11-28 15:53:07.245', 864000, false);
INSERT INTO public.result_codes VALUES (171, 'NsgYso4gOgznBZdqWYpSbYQXTf7Wzq4Z', 530, '2023-11-28 15:56:00.092', 864000, false);
INSERT INTO public.result_codes VALUES (172, 'ehAPZHI7rsCt66cZwRFUiSI7yq33BBjx', 530, '2023-11-28 15:56:05.666', 864000, false);
INSERT INTO public.result_codes VALUES (173, 'Ekvudm6qUKSYUckHDYaYmiGkariClRlJ', 530, '2023-11-28 15:56:13.227', 864000, false);
INSERT INTO public.result_codes VALUES (174, 'W2PDT6puCFXHoBgET69M1r0GsPs4zfvt', 530, '2023-11-28 15:56:21.924', 864000, false);
INSERT INTO public.result_codes VALUES (175, 'RPc9N0BG3BIN3Zswf3rH1k8zAhdacjL5', 530, '2023-11-28 15:56:40.214', 864000, false);
INSERT INTO public.result_codes VALUES (176, 'iLMITVTbE2AXnkjVNZTUdxMpvXqLo0qA', 530, '2023-11-28 15:56:45.42', 864000, false);
INSERT INTO public.result_codes VALUES (177, 'LyhC4FPXlyFY4eS7dv0J8QrIgy5eOPA5', 530, '2023-11-28 15:57:20.595', 864000, false);
INSERT INTO public.result_codes VALUES (178, '2VGW7378C0S9VYtdUujYBomsDwAImtSl', 530, '2023-11-28 16:00:40.702', 864000, false);
INSERT INTO public.result_codes VALUES (179, 'cpbtL6g6YCxxt8HHDImKdCTgza7ioEP0', 530, '2023-11-28 16:00:47.12', 864000, false);
INSERT INTO public.result_codes VALUES (180, 'uCMcpocgqs5PwMUMcW1jOfVwLeYEEX3f', 530, '2023-11-28 16:03:39.646', 864000, false);


--
-- Data for Name: sections; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.sections VALUES (1, 'Java', 'I', '2020-10-08 21:47:42.817704', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.sections VALUES (2, 'QA', 'U', '2020-12-03 20:52:04.814251', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.sections VALUES (5, 'Базы данных', 'I', '2021-04-14 18:47:49.487956', 'sql_add_topics', 'sql_add_topics');
INSERT INTO public.sections VALUES (6, 'PHP', 'I', '2021-04-14 18:47:49.487956', 'sql_add_topics', 'sql_add_topics');
INSERT INTO public.sections VALUES (7, 'Виртуализация', 'I', '2021-04-14 18:47:49.487956', 'sql_add_topics', 'sql_add_topics');
INSERT INTO public.sections VALUES (8, 'Управление проектами', 'I', '2021-04-14 18:47:49.487956', 'sql_add_topics', 'sql_add_topics');
INSERT INTO public.sections VALUES (9, 'VCS', 'I', '2021-09-21 13:48:24.407147', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.sections VALUES (10, 'Python', 'I', '2022-06-20 13:38:26.422715', '', '');
INSERT INTO public.sections VALUES (11, 'Брокеры сообщений', 'U', '2022-08-25 13:04:24.905654', '', '');
INSERT INTO public.sections VALUES (14, 'Интеграция приложений', 'I', '2022-08-25 13:08:00.224826', '', '');
INSERT INTO public.sections VALUES (15, 'Front', 'I', '2023-04-19 15:39:04.990872', 'editor@loylabs.ru', 'editor@loylabs.ru');


--
-- Data for Name: sections_history; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.sections_history VALUES (163, 2, 'QA', 'I', '2020-12-03 20:43:03.504357', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.sections_history VALUES (164, 2, 'string', 'U', '2020-12-03 20:51:46.257995', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.sections_history VALUES (165, 4, 'test', 'I', '2020-12-03 20:52:33.326052', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.sections_history VALUES (166, 4, 'test', 'D', '2020-12-03 20:55:07.765124', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.sections_history VALUES (1701, 12, 'ActiveMQ', 'I', '2022-08-25 12:59:27.266565', '', '');
INSERT INTO public.sections_history VALUES (1702, 12, 'ActiveMQ', 'D', '2022-08-25 13:03:40.175631', '', '');
INSERT INTO public.sections_history VALUES (1703, 13, 'Apache Camel', 'I', '2022-08-25 12:59:27.266565', '', '');
INSERT INTO public.sections_history VALUES (1704, 13, 'Apache Camel', 'D', '2022-08-25 13:03:40.175631', '', '');
INSERT INTO public.sections_history VALUES (1705, 11, 'Kafka', 'I', '2022-06-23 18:53:14.111051', '', '');


--
-- Data for Name: sys_params; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.sys_params VALUES ('smtp.yandex.ru', 587, 'noreply-testlab@loylabs.ru', '8fe347f7e094f008f17d46ff50bd7545cb933cdb722c749a8968855b8ed9129c', 'noreply-testlab@loylabs.ru', 'Test lab', 'Вас приветствует команда сервиса IT TestLab!
Наш сервис позволяет быстро протестировать и выявить наиболее релевантных по техническим компетенциям IT-специалистов.
Данные для входа в личный кабинет IT TestLab
Логин:  [$CONFIRMATION_EMAIL$]
Пароль: [$CONFIRMATION_PASSWORD$]

Перейдите по ссылке, чтобы подтвердить свой адрес электронной почты:
http://localhost:4200/login?confirm=[$CONFIRMATION_CODE$]', 'Недавно вы запросили смену пароля для IT TestLab.
Для установки нового пароля, перейдите по ссылке:
http://localhost:4200/password-reset-confirm?code=[$RESET_PASSWORD$]', 'Ваш кандидат [$CANDIDATE_NAME$] завершил тест [$TEST_NAME$] с результатом [$TEST_RESULT$]%.
Для просмотра подробного отчета перейдите по ссылке:
http://localhost:4200/candidate-tests/[$TEST_ID$]', 3, 0, 1, 'U', '2022-07-06 14:39:43.278025', 'super@user.ololo', 'super@user.ololo', NULL, NULL, NULL, 'Подтверждение регистрации на IT TestLab', 'Изменение пароля на IT TestLab', 'Кандидат прошел тест', 30, '/opt/tmp/invoices/order-%d-%s');


--
-- Data for Name: sys_params_history; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.sys_params_history VALUES (17, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO public.sys_params_history VALUES (263, 'smtp.gmail.com', 587, 'loyalty.test.lab@gmail.com', '566a43b594ef9c836bfe74f82bdb6b53e6a3561edcefaf014e9de703b655a464', 'loyalty.test.lab@gmail.com', 'Test lab', '[$CONFIRMATION_CODE$]', '[$NEW_PASSWORD$]', '[$TEST_ID]', 3, 0, 1, 'U', '2020-11-03 18:52:39.842788', 'max.meleshko@gmail.com', 'max.meleshko@gmail.com', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO public.sys_params_history VALUES (264, 'smtp.gmail.com', 587, 'loyalty.test.lab@gmail.com', '566a43b594ef9c836bfe74f82bdb6b53e6a3561edcefaf014e9de703b655a464', 'loyalty.test.lab@gmail.com', 'Test lab', '[$CONFIRMATION_CODE$]', '[$NEW_PASSWORD$]', '[$TEST_ID]', 3, 0, 1, 'U', '2021-02-28 16:46:34.740316', 'max.meleshko@gmail.com', 'max.meleshko@gmail.com', NULL, NULL, NULL, 'Подтверждение регистрации на IT TestLab', 'Изменение пароля на IT TestLab', 'Кандидат прошел тест', 0, NULL);
INSERT INTO public.sys_params_history VALUES (288, 'smtp.gmail.com', 587, 'loyalty.test.lab@gmail.com', '566a43b594ef9c836bfe74f82bdb6b53e6a3561edcefaf014e9de703b655a464', 'loyalty.test.lab@gmail.com', 'Test lab', 'Вас приветствует команда сервиса IT TestLab!
Наш сервис позволяет быстро протестировать и выявить наиболее релевантных по техническим компетенциям IT-специалистов.
Данные для входа в личный кабинет IT TestLab
Логин:
[$CONFIRMATION_EMAIL$]

Перейдите по ссылке, чтобы подтвердить свой адрес электронной почты:
http://test-lab.ru/register/[$CONFIRMATION_CODE$]', 'Недавно вы запросили смену пароля для IT TestLab.
Для установки нового пароля, перейдите по ссылке:
http://test-lab.ru/reset-password/[$RESET_PASSWORD$]', 'Ваш кандидат [$CANDIDATE_NAME$] завершил тест [$TEST_NAME$] с результатом [$TEST_RESULT$]%.
Для просмотра подробного отчета перейдите по ссылке:
http://136.243.145.84:4200/candidate-tests/[$TEST_ID$]', 3, 0, 1, 'U', '2021-02-28 18:23:39.678245', 'max.meleshko@gmail.com', 'max.meleshko@gmail.com', NULL, NULL, NULL, 'Подтверждение регистрации на IT TestLab', 'Изменение пароля на IT TestLab', 'Кандидат прошел тест', 0, NULL);
INSERT INTO public.sys_params_history VALUES (311, 'smtp.gmail.com', 587, 'loyalty.test.lab@gmail.com', '566a43b594ef9c836bfe74f82bdb6b53e6a3561edcefaf014e9de703b655a464', 'loyalty.test.lab@gmail.com', 'Test lab', 'Вас приветствует команда сервиса IT TestLab!
Наш сервис позволяет быстро протестировать и выявить наиболее релевантных по техническим компетенциям IT-специалистов.
Данные для входа в личный кабинет IT TestLab
Логин:
[$CONFIRMATION_EMAIL$]

Перейдите по ссылке, чтобы подтвердить свой адрес электронной почты:
https://testlab.loylabs.ru/register/[$CONFIRMATION_CODE$]', 'Недавно вы запросили смену пароля для IT TestLab.
Для установки нового пароля, перейдите по ссылке:
https://testlab.loylabs.ru/reset-password/[$RESET_PASSWORD$]', 'Ваш кандидат [$CANDIDATE_NAME$] завершил тест [$TEST_NAME$] с результатом [$TEST_RESULT$]%.
Для просмотра подробного отчета перейдите по ссылке:
https://testlab.loylabs.ru//candidate-tests/[$TEST_ID$]', 3, 0, 1, 'U', '2021-04-04 17:36:11.267261', 'max.meleshko@gmail.com', 'max.meleshko@gmail.com', NULL, NULL, NULL, 'Подтверждение регистрации на IT TestLab', 'Изменение пароля на IT TestLab', 'Кандидат прошел тест', 0, NULL);
INSERT INTO public.sys_params_history VALUES (1048, 'smtp.gmail.com', 587, 'loyalty.test.lab@gmail.com', '566a43b594ef9c836bfe74f82bdb6b53e6a3561edcefaf014e9de703b655a464', 'loyalty.test.lab@gmail.com', 'Test lab', 'Вас приветствует команда сервиса IT TestLab!
Наш сервис позволяет быстро протестировать и выявить наиболее релевантных по техническим компетенциям IT-специалистов.
Данные для входа в личный кабинет IT TestLab
Логин:
[$CONFIRMATION_EMAIL$]

Перейдите по ссылке, чтобы подтвердить свой адрес электронной почты:
https://testlab.loylabs.ru/login?confirm=[$CONFIRMATION_CODE$]', 'Недавно вы запросили смену пароля для IT TestLab.
Для установки нового пароля, перейдите по ссылке:
https://testlab.loylabs.ru/reset-password/[$RESET_PASSWORD$]', 'Ваш кандидат [$CANDIDATE_NAME$] завершил тест [$TEST_NAME$] с результатом [$TEST_RESULT$]%.
Для просмотра подробного отчета перейдите по ссылке:
https://testlab.loylabs.ru//candidate-tests/[$TEST_ID$]', 3, 0, 1, 'U', '2021-04-04 18:16:12.70509', 'max.meleshko@gmail.com', 'max.meleshko@gmail.com', NULL, NULL, NULL, 'Подтверждение регистрации на IT TestLab', 'Изменение пароля на IT TestLab', 'Кандидат прошел тест', 0, NULL);
INSERT INTO public.sys_params_history VALUES (1049, 'smtp.gmail.com', 587, 'loyalty.test.lab@gmail.com', '566a43b594ef9c836bfe74f82bdb6b53e6a3561edcefaf014e9de703b655a464', 'loyalty.test.lab@gmail.com', 'Test lab', 'Вас приветствует команда сервиса IT TestLab!
Наш сервис позволяет быстро протестировать и выявить наиболее релевантных по техническим компетенциям IT-специалистов.
Данные для входа в личный кабинет IT TestLab
Логин:
[$CONFIRMATION_EMAIL$]

Перейдите по ссылке, чтобы подтвердить свой адрес электронной почты:
https://testlab.loylabs.ru/login?confirm=[$CONFIRMATION_CODE$]', 'Недавно вы запросили смену пароля для IT TestLab.
Для установки нового пароля, перейдите по ссылке:
https://testlab.loylabs.ru/reset-password/[$RESET_PASSWORD$]', 'Ваш кандидат [$CANDIDATE_NAME$] завершил тест [$TEST_NAME$] с результатом [$TEST_RESULT$]%.
Для просмотра подробного отчета перейдите по ссылке:
https://testlab.loylabs.ru/candidate-tests/[$TEST_ID$]', 3, 0, 1, 'U', '2021-04-16 14:16:15.237249', 'max.meleshko@gmail.com', 'max.meleshko@gmail.com', NULL, NULL, NULL, 'Подтверждение регистрации на IT TestLab', 'Изменение пароля на IT TestLab', 'Кандидат прошел тест', 0, NULL);
INSERT INTO public.sys_params_history VALUES (1148, 'smtp.gmail.com', 587, 'loyalty.test.lab@gmail.com', '566a43b594ef9c836bfe74f82bdb6b53e6a3561edcefaf014e9de703b655a464', 'loyalty.test.lab@gmail.com', 'Test lab', 'Вас приветствует команда сервиса IT TestLab!
Наш сервис позволяет быстро протестировать и выявить наиболее релевантных по техническим компетенциям IT-специалистов.
Данные для входа в личный кабинет IT TestLab
Логин:  [$CONFIRMATION_EMAIL$]
Пароль: [$CONFIRMATION_PASSWORD$]

Перейдите по ссылке, чтобы подтвердить свой адрес электронной почты:
https://testlab.loylabs.ru/login?confirm=[$CONFIRMATION_CODE$]', 'Недавно вы запросили смену пароля для IT TestLab.
Для установки нового пароля, перейдите по ссылке:
https://testlab.loylabs.ru/reset-password/[$RESET_PASSWORD$]', 'Ваш кандидат [$CANDIDATE_NAME$] завершил тест [$TEST_NAME$] с результатом [$TEST_RESULT$]%.
Для просмотра подробного отчета перейдите по ссылке:
https://testlab.loylabs.ru/candidate-tests/[$TEST_ID$]', 3, 0, 1, 'U', '2021-05-04 18:09:57.895912', 'max.meleshko@gmail.com', 'max.meleshko@gmail.com', NULL, NULL, NULL, 'Подтверждение регистрации на IT TestLab', 'Изменение пароля на IT TestLab', 'Кандидат прошел тест', 0, NULL);
INSERT INTO public.sys_params_history VALUES (1151, 'smtp.yandex.ru', 587, 'noreply-testlab@loylabs.ru', '8fe347f7e094f008f17d46ff50bd7545cb933cdb722c749a8968855b8ed9129c', 'noreply-testlab@loylabs.ru', 'Test lab', 'Вас приветствует команда сервиса IT TestLab!
Наш сервис позволяет быстро протестировать и выявить наиболее релевантных по техническим компетенциям IT-специалистов.
Данные для входа в личный кабинет IT TestLab
Логин:  [$CONFIRMATION_EMAIL$]
Пароль: [$CONFIRMATION_PASSWORD$]

Перейдите по ссылке, чтобы подтвердить свой адрес электронной почты:
https://testlab.loylabs.ru/login?confirm=[$CONFIRMATION_CODE$]', 'Недавно вы запросили смену пароля для IT TestLab.
Для установки нового пароля, перейдите по ссылке:
https://testlab.loylabs.ru/reset-password/[$RESET_PASSWORD$]', 'Ваш кандидат [$CANDIDATE_NAME$] завершил тест [$TEST_NAME$] с результатом [$TEST_RESULT$]%.
Для просмотра подробного отчета перейдите по ссылке:
https://testlab.loylabs.ru/candidate-tests/[$TEST_ID$]', 3, 0, 1, 'U', '2022-03-23 04:41:45.482825', 'super@user.ololo', 'super@user.ololo', NULL, NULL, NULL, 'Подтверждение регистрации на IT TestLab', 'Изменение пароля на IT TestLab', 'Кандидат прошел тест', 0, NULL);
INSERT INTO public.sys_params_history VALUES (1152, 'smtp.yandex.ru', 587, 'noreply-testlab@loylabs.ru', '8fe347f7e094f008f17d46ff50bd7545cb933cdb722c749a8968855b8ed9129c', 'noreply-testlab@loylabs.ru', 'Test lab', 'Вас приветствует команда сервиса IT TestLab!
Наш сервис позволяет быстро протестировать и выявить наиболее релевантных по техническим компетенциям IT-специалистов.
Данные для входа в личный кабинет IT TestLab
Логин:  [$CONFIRMATION_EMAIL$]
Пароль: [$CONFIRMATION_PASSWORD$]

Перейдите по ссылке, чтобы подтвердить свой адрес электронной почты:
https://testlab.loylabs.ru/login?confirm=[$CONFIRMATION_CODE$]', 'Недавно вы запросили смену пароля для IT TestLab.
Для установки нового пароля, перейдите по ссылке:
https://testlab.loylabs.ru/reset-password-confirm/[$RESET_PASSWORD$]', 'Ваш кандидат [$CANDIDATE_NAME$] завершил тест [$TEST_NAME$] с результатом [$TEST_RESULT$]%.
Для просмотра подробного отчета перейдите по ссылке:
https://testlab.loylabs.ru/candidate-tests/[$TEST_ID$]', 3, 0, 1, 'U', '2022-03-23 15:33:13.027631', 'super@user.ololo', 'super@user.ololo', NULL, NULL, NULL, 'Подтверждение регистрации на IT TestLab', 'Изменение пароля на IT TestLab', 'Кандидат прошел тест', 0, NULL);
INSERT INTO public.sys_params_history VALUES (1447, 'smtp.yandex.ru', 587, 'noreply-testlab@loylabs.ru', '8fe347f7e094f008f17d46ff50bd7545cb933cdb722c749a8968855b8ed9129c', 'noreply-testlab@loylabs.ru', 'Test lab', 'Вас приветствует команда сервиса IT TestLab!
Наш сервис позволяет быстро протестировать и выявить наиболее релевантных по техническим компетенциям IT-специалистов.
Данные для входа в личный кабинет IT TestLab
Логин:  [$CONFIRMATION_EMAIL$]
Пароль: [$CONFIRMATION_PASSWORD$]

Перейдите по ссылке, чтобы подтвердить свой адрес электронной почты:
https://testlab.loylabs.ru/login?confirm=[$CONFIRMATION_CODE$]', 'Недавно вы запросили смену пароля для IT TestLab.
Для установки нового пароля, перейдите по ссылке:
https://testlab.loylabs.ru/password-reset-confirm?code=[$RESET_PASSWORD$]', 'Ваш кандидат [$CANDIDATE_NAME$] завершил тест [$TEST_NAME$] с результатом [$TEST_RESULT$]%.
Для просмотра подробного отчета перейдите по ссылке:
https://testlab.loylabs.ru/candidate-tests/[$TEST_ID$]', 3, 0, 1, 'U', '2022-04-02 06:11:45.190513', 'super@user.ololo', 'super@user.ololo', NULL, NULL, NULL, 'Подтверждение регистрации на IT TestLab', 'Изменение пароля на IT TestLab', 'Кандидат прошел тест', 30, NULL);
INSERT INTO public.sys_params_history VALUES (1671, 'smtp.yandex.ru', 587, 'noreply-testlab@loylabs.ru', '8fe347f7e094f008f17d46ff50bd7545cb933cdb722c749a8968855b8ed9129c', 'noreply-testlab@loylabs.ru', 'Test lab', 'Вас приветствует команда сервиса IT TestLab!
Наш сервис позволяет быстро протестировать и выявить наиболее релевантных по техническим компетенциям IT-специалистов.
Данные для входа в личный кабинет IT TestLab
Логин:  [$CONFIRMATION_EMAIL$]
Пароль: [$CONFIRMATION_PASSWORD$]

Перейдите по ссылке, чтобы подтвердить свой адрес электронной почты:
https://testlab.loylabs.ru/login?confirm=[$CONFIRMATION_CODE$]', 'Недавно вы запросили смену пароля для IT TestLab.
Для установки нового пароля, перейдите по ссылке:
https://testlab.loylabs.ru/password-reset-confirm?code=[$RESET_PASSWORD$]', 'Ваш кандидат [$CANDIDATE_NAME$] завершил тест [$TEST_NAME$] с результатом [$TEST_RESULT$]%.
Для просмотра подробного отчета перейдите по ссылке:
https://testlab.loylabs.ru/candidate-tests/[$TEST_ID$]', 3, 0, 1, 'U', '2022-05-29 17:53:56.627295', 'super@user.ololo', 'super@user.ololo', NULL, NULL, NULL, 'Подтверждение регистрации на IT TestLab', 'Изменение пароля на IT TestLab', 'Кандидат прошел тест', 30, '/tmp/invoices/order-%d-%s');
INSERT INTO public.sys_params_history VALUES (1672, 'smtp.yandex.ru', 587, 'noreply-testlab@loylabs.ru', '8fe347f7e094f008f17d46ff50bd7545cb933cdb722c749a8968855b8ed9129c', 'noreply-testlab@loylabs.ru', 'Test lab', 'Вас приветствует команда сервиса IT TestLab!
Наш сервис позволяет быстро протестировать и выявить наиболее релевантных по техническим компетенциям IT-специалистов.
Данные для входа в личный кабинет IT TestLab
Логин:  [$CONFIRMATION_EMAIL$]
Пароль: [$CONFIRMATION_PASSWORD$]

Перейдите по ссылке, чтобы подтвердить свой адрес электронной почты:
https://testlab.loylabs.ru/login?confirm=[$CONFIRMATION_CODE$]', 'Недавно вы запросили смену пароля для IT TestLab.
Для установки нового пароля, перейдите по ссылке:
https://testlab.loylabs.ru/password-reset-confirm?code=[$RESET_PASSWORD$]', 'Ваш кандидат [$CANDIDATE_NAME$] завершил тест [$TEST_NAME$] с результатом [$TEST_RESULT$]%.
Для просмотра подробного отчета перейдите по ссылке:
https://testlab.loylabs.ru/candidate-tests/[$TEST_ID$]', 3, 0, 1, 'U', '2022-07-06 14:33:02.395503', 'super@user.ololo', 'super@user.ololo', NULL, NULL, NULL, 'Подтверждение регистрации на IT TestLab', 'Изменение пароля на IT TestLab', 'Кандидат прошел тест', 30, '/opt/tmp/invoices/order-%d-%s');


--
-- Data for Name: test_questions; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.test_questions VALUES (40, 581);
INSERT INTO public.test_questions VALUES (40, 582);
INSERT INTO public.test_questions VALUES (40, 579);
INSERT INTO public.test_questions VALUES (40, 585);
INSERT INTO public.test_questions VALUES (40, 575);
INSERT INTO public.test_questions VALUES (40, 580);
INSERT INTO public.test_questions VALUES (40, 583);
INSERT INTO public.test_questions VALUES (40, 587);
INSERT INTO public.test_questions VALUES (40, 573);
INSERT INTO public.test_questions VALUES (40, 586);
INSERT INTO public.test_questions VALUES (40, 589);
INSERT INTO public.test_questions VALUES (40, 576);
INSERT INTO public.test_questions VALUES (40, 570);
INSERT INTO public.test_questions VALUES (40, 577);
INSERT INTO public.test_questions VALUES (40, 590);
INSERT INTO public.test_questions VALUES (42, 555);
INSERT INTO public.test_questions VALUES (42, 554);
INSERT INTO public.test_questions VALUES (42, 567);
INSERT INTO public.test_questions VALUES (42, 518);
INSERT INTO public.test_questions VALUES (42, 566);
INSERT INTO public.test_questions VALUES (42, 569);
INSERT INTO public.test_questions VALUES (42, 551);
INSERT INTO public.test_questions VALUES (42, 514);
INSERT INTO public.test_questions VALUES (42, 560);
INSERT INTO public.test_questions VALUES (42, 535);
INSERT INTO public.test_questions VALUES (42, 533);
INSERT INTO public.test_questions VALUES (42, 568);
INSERT INTO public.test_questions VALUES (42, 520);
INSERT INTO public.test_questions VALUES (42, 559);
INSERT INTO public.test_questions VALUES (42, 524);
INSERT INTO public.test_questions VALUES (43, 519);
INSERT INTO public.test_questions VALUES (43, 540);
INSERT INTO public.test_questions VALUES (43, 566);
INSERT INTO public.test_questions VALUES (19, 562);
INSERT INTO public.test_questions VALUES (19, 559);
INSERT INTO public.test_questions VALUES (19, 552);
INSERT INTO public.test_questions VALUES (19, 514);
INSERT INTO public.test_questions VALUES (19, 510);
INSERT INTO public.test_questions VALUES (19, 569);
INSERT INTO public.test_questions VALUES (19, 557);
INSERT INTO public.test_questions VALUES (19, 558);
INSERT INTO public.test_questions VALUES (19, 523);
INSERT INTO public.test_questions VALUES (19, 531);
INSERT INTO public.test_questions VALUES (19, 537);
INSERT INTO public.test_questions VALUES (19, 539);
INSERT INTO public.test_questions VALUES (19, 543);
INSERT INTO public.test_questions VALUES (19, 560);
INSERT INTO public.test_questions VALUES (19, 532);
INSERT INTO public.test_questions VALUES (19, 512);
INSERT INTO public.test_questions VALUES (19, 563);
INSERT INTO public.test_questions VALUES (19, 564);
INSERT INTO public.test_questions VALUES (19, 516);
INSERT INTO public.test_questions VALUES (19, 511);
INSERT INTO public.test_questions VALUES (19, 556);
INSERT INTO public.test_questions VALUES (19, 522);
INSERT INTO public.test_questions VALUES (19, 533);
INSERT INTO public.test_questions VALUES (19, 535);
INSERT INTO public.test_questions VALUES (19, 519);
INSERT INTO public.test_questions VALUES (19, 517);
INSERT INTO public.test_questions VALUES (19, 513);
INSERT INTO public.test_questions VALUES (19, 550);
INSERT INTO public.test_questions VALUES (19, 530);
INSERT INTO public.test_questions VALUES (19, 520);
INSERT INTO public.test_questions VALUES (19, 518);
INSERT INTO public.test_questions VALUES (19, 568);
INSERT INTO public.test_questions VALUES (19, 521);
INSERT INTO public.test_questions VALUES (19, 565);
INSERT INTO public.test_questions VALUES (19, 540);
INSERT INTO public.test_questions VALUES (19, 561);
INSERT INTO public.test_questions VALUES (19, 551);
INSERT INTO public.test_questions VALUES (19, 515);
INSERT INTO public.test_questions VALUES (19, 566);
INSERT INTO public.test_questions VALUES (19, 524);
INSERT INTO public.test_questions VALUES (19, 538);
INSERT INTO public.test_questions VALUES (19, 553);
INSERT INTO public.test_questions VALUES (19, 536);
INSERT INTO public.test_questions VALUES (19, 567);
INSERT INTO public.test_questions VALUES (19, 525);
INSERT INTO public.test_questions VALUES (19, 549);
INSERT INTO public.test_questions VALUES (19, 534);
INSERT INTO public.test_questions VALUES (19, 555);
INSERT INTO public.test_questions VALUES (19, 554);
INSERT INTO public.test_questions VALUES (19, 527);
INSERT INTO public.test_questions VALUES (20, 443);
INSERT INTO public.test_questions VALUES (20, 428);
INSERT INTO public.test_questions VALUES (20, 458);
INSERT INTO public.test_questions VALUES (20, 461);
INSERT INTO public.test_questions VALUES (20, 425);
INSERT INTO public.test_questions VALUES (20, 442);
INSERT INTO public.test_questions VALUES (20, 453);
INSERT INTO public.test_questions VALUES (20, 454);
INSERT INTO public.test_questions VALUES (20, 459);
INSERT INTO public.test_questions VALUES (20, 444);
INSERT INTO public.test_questions VALUES (20, 462);
INSERT INTO public.test_questions VALUES (20, 420);
INSERT INTO public.test_questions VALUES (20, 466);
INSERT INTO public.test_questions VALUES (20, 476);
INSERT INTO public.test_questions VALUES (20, 467);
INSERT INTO public.test_questions VALUES (20, 483);
INSERT INTO public.test_questions VALUES (20, 482);
INSERT INTO public.test_questions VALUES (20, 417);
INSERT INTO public.test_questions VALUES (20, 463);
INSERT INTO public.test_questions VALUES (20, 416);
INSERT INTO public.test_questions VALUES (20, 475);
INSERT INTO public.test_questions VALUES (20, 445);
INSERT INTO public.test_questions VALUES (20, 469);
INSERT INTO public.test_questions VALUES (20, 449);
INSERT INTO public.test_questions VALUES (20, 473);
INSERT INTO public.test_questions VALUES (20, 441);
INSERT INTO public.test_questions VALUES (20, 427);
INSERT INTO public.test_questions VALUES (20, 470);
INSERT INTO public.test_questions VALUES (20, 492);
INSERT INTO public.test_questions VALUES (20, 423);
INSERT INTO public.test_questions VALUES (20, 497);
INSERT INTO public.test_questions VALUES (20, 455);
INSERT INTO public.test_questions VALUES (20, 418);
INSERT INTO public.test_questions VALUES (20, 460);
INSERT INTO public.test_questions VALUES (20, 452);
INSERT INTO public.test_questions VALUES (20, 424);
INSERT INTO public.test_questions VALUES (20, 487);
INSERT INTO public.test_questions VALUES (20, 472);
INSERT INTO public.test_questions VALUES (20, 474);
INSERT INTO public.test_questions VALUES (20, 421);
INSERT INTO public.test_questions VALUES (20, 471);
INSERT INTO public.test_questions VALUES (20, 489);
INSERT INTO public.test_questions VALUES (20, 422);
INSERT INTO public.test_questions VALUES (20, 464);
INSERT INTO public.test_questions VALUES (20, 491);
INSERT INTO public.test_questions VALUES (20, 448);
INSERT INTO public.test_questions VALUES (20, 440);
INSERT INTO public.test_questions VALUES (20, 468);
INSERT INTO public.test_questions VALUES (20, 426);
INSERT INTO public.test_questions VALUES (20, 419);
INSERT INTO public.test_questions VALUES (21, 505);
INSERT INTO public.test_questions VALUES (21, 429);
INSERT INTO public.test_questions VALUES (21, 438);
INSERT INTO public.test_questions VALUES (21, 433);
INSERT INTO public.test_questions VALUES (21, 431);
INSERT INTO public.test_questions VALUES (21, 494);
INSERT INTO public.test_questions VALUES (21, 506);
INSERT INTO public.test_questions VALUES (21, 436);
INSERT INTO public.test_questions VALUES (21, 495);
INSERT INTO public.test_questions VALUES (21, 490);
INSERT INTO public.test_questions VALUES (21, 546);
INSERT INTO public.test_questions VALUES (21, 478);
INSERT INTO public.test_questions VALUES (21, 450);
INSERT INTO public.test_questions VALUES (21, 500);
INSERT INTO public.test_questions VALUES (21, 447);
INSERT INTO public.test_questions VALUES (21, 526);
INSERT INTO public.test_questions VALUES (21, 430);
INSERT INTO public.test_questions VALUES (21, 507);
INSERT INTO public.test_questions VALUES (21, 493);
INSERT INTO public.test_questions VALUES (21, 434);
INSERT INTO public.test_questions VALUES (21, 499);
INSERT INTO public.test_questions VALUES (21, 542);
INSERT INTO public.test_questions VALUES (21, 432);
INSERT INTO public.test_questions VALUES (21, 503);
INSERT INTO public.test_questions VALUES (21, 547);
INSERT INTO public.test_questions VALUES (21, 485);
INSERT INTO public.test_questions VALUES (21, 529);
INSERT INTO public.test_questions VALUES (21, 456);
INSERT INTO public.test_questions VALUES (21, 502);
INSERT INTO public.test_questions VALUES (21, 496);
INSERT INTO public.test_questions VALUES (23, 556);
INSERT INTO public.test_questions VALUES (23, 520);
INSERT INTO public.test_questions VALUES (24, 553);
INSERT INTO public.test_questions VALUES (24, 565);
INSERT INTO public.test_questions VALUES (24, 558);
INSERT INTO public.test_questions VALUES (24, 525);
INSERT INTO public.test_questions VALUES (24, 560);
INSERT INTO public.test_questions VALUES (24, 531);
INSERT INTO public.test_questions VALUES (24, 543);
INSERT INTO public.test_questions VALUES (24, 512);
INSERT INTO public.test_questions VALUES (24, 549);
INSERT INTO public.test_questions VALUES (24, 534);
INSERT INTO public.test_questions VALUES (24, 567);
INSERT INTO public.test_questions VALUES (24, 556);
INSERT INTO public.test_questions VALUES (24, 511);
INSERT INTO public.test_questions VALUES (24, 551);
INSERT INTO public.test_questions VALUES (24, 514);
INSERT INTO public.test_questions VALUES (72, 666);
INSERT INTO public.test_questions VALUES (72, 743);
INSERT INTO public.test_questions VALUES (72, 728);
INSERT INTO public.test_questions VALUES (72, 719);
INSERT INTO public.test_questions VALUES (72, 725);
INSERT INTO public.test_questions VALUES (72, 750);
INSERT INTO public.test_questions VALUES (72, 778);
INSERT INTO public.test_questions VALUES (72, 751);
INSERT INTO public.test_questions VALUES (72, 787);
INSERT INTO public.test_questions VALUES (72, 937);
INSERT INTO public.test_questions VALUES (72, 895);
INSERT INTO public.test_questions VALUES (72, 939);
INSERT INTO public.test_questions VALUES (72, 915);
INSERT INTO public.test_questions VALUES (72, 884);
INSERT INTO public.test_questions VALUES (29, 491);
INSERT INTO public.test_questions VALUES (29, 415);
INSERT INTO public.test_questions VALUES (29, 487);
INSERT INTO public.test_questions VALUES (29, 428);
INSERT INTO public.test_questions VALUES (29, 463);
INSERT INTO public.test_questions VALUES (29, 448);
INSERT INTO public.test_questions VALUES (29, 468);
INSERT INTO public.test_questions VALUES (29, 426);
INSERT INTO public.test_questions VALUES (29, 449);
INSERT INTO public.test_questions VALUES (29, 467);
INSERT INTO public.test_questions VALUES (29, 424);
INSERT INTO public.test_questions VALUES (29, 421);
INSERT INTO public.test_questions VALUES (29, 480);
INSERT INTO public.test_questions VALUES (29, 466);
INSERT INTO public.test_questions VALUES (29, 473);
INSERT INTO public.test_questions VALUES (30, 584);
INSERT INTO public.test_questions VALUES (30, 578);
INSERT INTO public.test_questions VALUES (30, 588);
INSERT INTO public.test_questions VALUES (30, 502);
INSERT INTO public.test_questions VALUES (30, 546);
INSERT INTO public.test_questions VALUES (30, 496);
INSERT INTO public.test_questions VALUES (30, 505);
INSERT INTO public.test_questions VALUES (30, 500);
INSERT INTO public.test_questions VALUES (30, 494);
INSERT INTO public.test_questions VALUES (30, 465);
INSERT INTO public.test_questions VALUES (30, 548);
INSERT INTO public.test_questions VALUES (30, 457);
INSERT INTO public.test_questions VALUES (30, 508);
INSERT INTO public.test_questions VALUES (30, 430);
INSERT INTO public.test_questions VALUES (30, 431);
INSERT INTO public.test_questions VALUES (72, 464);
INSERT INTO public.test_questions VALUES (41, 449);
INSERT INTO public.test_questions VALUES (41, 470);
INSERT INTO public.test_questions VALUES (41, 461);
INSERT INTO public.test_questions VALUES (43, 532);
INSERT INTO public.test_questions VALUES (43, 516);
INSERT INTO public.test_questions VALUES (43, 531);
INSERT INTO public.test_questions VALUES (43, 530);
INSERT INTO public.test_questions VALUES (43, 569);
INSERT INTO public.test_questions VALUES (43, 535);
INSERT INTO public.test_questions VALUES (43, 554);
INSERT INTO public.test_questions VALUES (43, 557);
INSERT INTO public.test_questions VALUES (43, 520);
INSERT INTO public.test_questions VALUES (43, 549);
INSERT INTO public.test_questions VALUES (43, 562);
INSERT INTO public.test_questions VALUES (43, 560);
INSERT INTO public.test_questions VALUES (44, 579);
INSERT INTO public.test_questions VALUES (44, 585);
INSERT INTO public.test_questions VALUES (44, 580);
INSERT INTO public.test_questions VALUES (44, 574);
INSERT INTO public.test_questions VALUES (44, 589);
INSERT INTO public.test_questions VALUES (44, 581);
INSERT INTO public.test_questions VALUES (44, 587);
INSERT INTO public.test_questions VALUES (44, 576);
INSERT INTO public.test_questions VALUES (44, 583);
INSERT INTO public.test_questions VALUES (44, 575);
INSERT INTO public.test_questions VALUES (44, 582);
INSERT INTO public.test_questions VALUES (44, 586);
INSERT INTO public.test_questions VALUES (44, 572);
INSERT INTO public.test_questions VALUES (44, 590);
INSERT INTO public.test_questions VALUES (44, 577);
INSERT INTO public.test_questions VALUES (45, 674);
INSERT INTO public.test_questions VALUES (45, 773);
INSERT INTO public.test_questions VALUES (45, 791);
INSERT INTO public.test_questions VALUES (45, 787);
INSERT INTO public.test_questions VALUES (45, 790);
INSERT INTO public.test_questions VALUES (45, 771);
INSERT INTO public.test_questions VALUES (45, 783);
INSERT INTO public.test_questions VALUES (45, 792);
INSERT INTO public.test_questions VALUES (45, 785);
INSERT INTO public.test_questions VALUES (36, 528);
INSERT INTO public.test_questions VALUES (36, 450);
INSERT INTO public.test_questions VALUES (36, 485);
INSERT INTO public.test_questions VALUES (36, 503);
INSERT INTO public.test_questions VALUES (36, 447);
INSERT INTO public.test_questions VALUES (36, 505);
INSERT INTO public.test_questions VALUES (36, 433);
INSERT INTO public.test_questions VALUES (36, 436);
INSERT INTO public.test_questions VALUES (36, 484);
INSERT INTO public.test_questions VALUES (36, 541);
INSERT INTO public.test_questions VALUES (45, 778);
INSERT INTO public.test_questions VALUES (45, 528);
INSERT INTO public.test_questions VALUES (45, 457);
INSERT INTO public.test_questions VALUES (45, 450);
INSERT INTO public.test_questions VALUES (45, 495);
INSERT INTO public.test_questions VALUES (45, 501);
INSERT INTO public.test_questions VALUES (45, 484);
INSERT INTO public.test_questions VALUES (45, 456);
INSERT INTO public.test_questions VALUES (45, 496);
INSERT INTO public.test_questions VALUES (45, 504);
INSERT INTO public.test_questions VALUES (45, 485);
INSERT INTO public.test_questions VALUES (46, 595);
INSERT INTO public.test_questions VALUES (46, 651);
INSERT INTO public.test_questions VALUES (46, 635);
INSERT INTO public.test_questions VALUES (46, 654);
INSERT INTO public.test_questions VALUES (46, 636);
INSERT INTO public.test_questions VALUES (46, 588);
INSERT INTO public.test_questions VALUES (46, 658);
INSERT INTO public.test_questions VALUES (46, 626);
INSERT INTO public.test_questions VALUES (46, 650);
INSERT INTO public.test_questions VALUES (46, 628);
INSERT INTO public.test_questions VALUES (46, 620);
INSERT INTO public.test_questions VALUES (46, 659);
INSERT INTO public.test_questions VALUES (46, 653);
INSERT INTO public.test_questions VALUES (46, 649);
INSERT INTO public.test_questions VALUES (46, 632);
INSERT INTO public.test_questions VALUES (47, 710);
INSERT INTO public.test_questions VALUES (47, 717);
INSERT INTO public.test_questions VALUES (47, 713);
INSERT INTO public.test_questions VALUES (47, 719);
INSERT INTO public.test_questions VALUES (47, 724);
INSERT INTO public.test_questions VALUES (47, 726);
INSERT INTO public.test_questions VALUES (47, 712);
INSERT INTO public.test_questions VALUES (48, 716);
INSERT INTO public.test_questions VALUES (48, 710);
INSERT INTO public.test_questions VALUES (48, 715);
INSERT INTO public.test_questions VALUES (48, 725);
INSERT INTO public.test_questions VALUES (48, 719);
INSERT INTO public.test_questions VALUES (48, 714);
INSERT INTO public.test_questions VALUES (48, 726);
INSERT INTO public.test_questions VALUES (48, 717);
INSERT INTO public.test_questions VALUES (48, 718);
INSERT INTO public.test_questions VALUES (48, 712);
INSERT INTO public.test_questions VALUES (48, 711);
INSERT INTO public.test_questions VALUES (48, 722);
INSERT INTO public.test_questions VALUES (48, 721);
INSERT INTO public.test_questions VALUES (48, 720);
INSERT INTO public.test_questions VALUES (48, 729);
INSERT INTO public.test_questions VALUES (49, 644);
INSERT INTO public.test_questions VALUES (49, 643);
INSERT INTO public.test_questions VALUES (49, 641);
INSERT INTO public.test_questions VALUES (49, 602);
INSERT INTO public.test_questions VALUES (49, 570);
INSERT INTO public.test_questions VALUES (49, 597);
INSERT INTO public.test_questions VALUES (49, 575);
INSERT INTO public.test_questions VALUES (49, 629);
INSERT INTO public.test_questions VALUES (49, 580);
INSERT INTO public.test_questions VALUES (49, 625);
INSERT INTO public.test_questions VALUES (49, 573);
INSERT INTO public.test_questions VALUES (49, 613);
INSERT INTO public.test_questions VALUES (49, 614);
INSERT INTO public.test_questions VALUES (49, 587);
INSERT INTO public.test_questions VALUES (49, 601);
INSERT INTO public.test_questions VALUES (49, 577);
INSERT INTO public.test_questions VALUES (49, 585);
INSERT INTO public.test_questions VALUES (49, 638);
INSERT INTO public.test_questions VALUES (49, 656);
INSERT INTO public.test_questions VALUES (49, 603);
INSERT INTO public.test_questions VALUES (49, 592);
INSERT INTO public.test_questions VALUES (49, 572);
INSERT INTO public.test_questions VALUES (49, 608);
INSERT INTO public.test_questions VALUES (49, 634);
INSERT INTO public.test_questions VALUES (49, 598);
INSERT INTO public.test_questions VALUES (49, 615);
INSERT INTO public.test_questions VALUES (49, 600);
INSERT INTO public.test_questions VALUES (49, 619);
INSERT INTO public.test_questions VALUES (49, 611);
INSERT INTO public.test_questions VALUES (49, 599);
INSERT INTO public.test_questions VALUES (50, 597);
INSERT INTO public.test_questions VALUES (50, 613);
INSERT INTO public.test_questions VALUES (50, 607);
INSERT INTO public.test_questions VALUES (50, 570);
INSERT INTO public.test_questions VALUES (50, 619);
INSERT INTO public.test_questions VALUES (50, 604);
INSERT INTO public.test_questions VALUES (50, 643);
INSERT INTO public.test_questions VALUES (50, 581);
INSERT INTO public.test_questions VALUES (50, 591);
INSERT INTO public.test_questions VALUES (50, 614);
INSERT INTO public.test_questions VALUES (50, 633);
INSERT INTO public.test_questions VALUES (50, 623);
INSERT INTO public.test_questions VALUES (50, 590);
INSERT INTO public.test_questions VALUES (50, 637);
INSERT INTO public.test_questions VALUES (50, 608);
INSERT INTO public.test_questions VALUES (50, 609);
INSERT INTO public.test_questions VALUES (50, 622);
INSERT INTO public.test_questions VALUES (50, 600);
INSERT INTO public.test_questions VALUES (50, 576);
INSERT INTO public.test_questions VALUES (50, 624);
INSERT INTO public.test_questions VALUES (50, 642);
INSERT INTO public.test_questions VALUES (50, 621);
INSERT INTO public.test_questions VALUES (50, 599);
INSERT INTO public.test_questions VALUES (50, 625);
INSERT INTO public.test_questions VALUES (50, 593);
INSERT INTO public.test_questions VALUES (50, 638);
INSERT INTO public.test_questions VALUES (50, 577);
INSERT INTO public.test_questions VALUES (50, 575);
INSERT INTO public.test_questions VALUES (50, 610);
INSERT INTO public.test_questions VALUES (50, 631);
INSERT INTO public.test_questions VALUES (51, 727);
INSERT INTO public.test_questions VALUES (51, 718);
INSERT INTO public.test_questions VALUES (51, 716);
INSERT INTO public.test_questions VALUES (51, 724);
INSERT INTO public.test_questions VALUES (51, 717);
INSERT INTO public.test_questions VALUES (51, 729);
INSERT INTO public.test_questions VALUES (51, 725);
INSERT INTO public.test_questions VALUES (51, 624);
INSERT INTO public.test_questions VALUES (51, 638);
INSERT INTO public.test_questions VALUES (51, 580);
INSERT INTO public.test_questions VALUES (51, 575);
INSERT INTO public.test_questions VALUES (51, 643);
INSERT INTO public.test_questions VALUES (51, 598);
INSERT INTO public.test_questions VALUES (51, 587);
INSERT INTO public.test_questions VALUES (51, 621);
INSERT INTO public.test_questions VALUES (53, 834);
INSERT INTO public.test_questions VALUES (53, 828);
INSERT INTO public.test_questions VALUES (53, 848);
INSERT INTO public.test_questions VALUES (53, 558);
INSERT INTO public.test_questions VALUES (53, 892);
INSERT INTO public.test_questions VALUES (53, 523);
INSERT INTO public.test_questions VALUES (53, 554);
INSERT INTO public.test_questions VALUES (53, 842);
INSERT INTO public.test_questions VALUES (53, 856);
INSERT INTO public.test_questions VALUES (53, 854);
INSERT INTO public.test_questions VALUES (53, 825);
INSERT INTO public.test_questions VALUES (53, 821);
INSERT INTO public.test_questions VALUES (53, 551);
INSERT INTO public.test_questions VALUES (53, 560);
INSERT INTO public.test_questions VALUES (53, 875);
INSERT INTO public.test_questions VALUES (72, 858);
INSERT INTO public.test_questions VALUES (72, 805);
INSERT INTO public.test_questions VALUES (72, 819);
INSERT INTO public.test_questions VALUES (74, 679);
INSERT INTO public.test_questions VALUES (74, 672);
INSERT INTO public.test_questions VALUES (74, 664);
INSERT INTO public.test_questions VALUES (74, 742);
INSERT INTO public.test_questions VALUES (74, 728);
INSERT INTO public.test_questions VALUES (74, 735);
INSERT INTO public.test_questions VALUES (74, 741);
INSERT INTO public.test_questions VALUES (74, 908);
INSERT INTO public.test_questions VALUES (74, 910);
INSERT INTO public.test_questions VALUES (74, 927);
INSERT INTO public.test_questions VALUES (74, 903);
INSERT INTO public.test_questions VALUES (74, 498);
INSERT INTO public.test_questions VALUES (74, 530);
INSERT INTO public.test_questions VALUES (74, 813);
INSERT INTO public.test_questions VALUES (74, 421);
INSERT INTO public.test_questions VALUES (74, 444);
INSERT INTO public.test_questions VALUES (74, 489);
INSERT INTO public.test_questions VALUES (76, 670);
INSERT INTO public.test_questions VALUES (76, 783);
INSERT INTO public.test_questions VALUES (76, 779);
INSERT INTO public.test_questions VALUES (76, 733);
INSERT INTO public.test_questions VALUES (76, 724);
INSERT INTO public.test_questions VALUES (76, 746);
INSERT INTO public.test_questions VALUES (76, 717);
INSERT INTO public.test_questions VALUES (76, 686);
INSERT INTO public.test_questions VALUES (76, 700);
INSERT INTO public.test_questions VALUES (76, 704);
INSERT INTO public.test_questions VALUES (76, 707);
INSERT INTO public.test_questions VALUES (76, 907);
INSERT INTO public.test_questions VALUES (76, 913);
INSERT INTO public.test_questions VALUES (76, 898);
INSERT INTO public.test_questions VALUES (76, 935);
INSERT INTO public.test_questions VALUES (76, 519);
INSERT INTO public.test_questions VALUES (76, 501);
INSERT INTO public.test_questions VALUES (76, 499);
INSERT INTO public.test_questions VALUES (76, 440);
INSERT INTO public.test_questions VALUES (76, 807);
INSERT INTO public.test_questions VALUES (76, 848);
INSERT INTO public.test_questions VALUES (76, 462);
INSERT INTO public.test_questions VALUES (76, 567);
INSERT INTO public.test_questions VALUES (76, 430);
INSERT INTO public.test_questions VALUES (76, 837);
INSERT INTO public.test_questions VALUES (76, 500);
INSERT INTO public.test_questions VALUES (76, 876);
INSERT INTO public.test_questions VALUES (76, 425);
INSERT INTO public.test_questions VALUES (76, 476);
INSERT INTO public.test_questions VALUES (76, 541);
INSERT INTO public.test_questions VALUES (78, 663);
INSERT INTO public.test_questions VALUES (78, 921);
INSERT INTO public.test_questions VALUES (78, 769);
INSERT INTO public.test_questions VALUES (78, 766);
INSERT INTO public.test_questions VALUES (78, 763);
INSERT INTO public.test_questions VALUES (78, 729);
INSERT INTO public.test_questions VALUES (59, 668);
INSERT INTO public.test_questions VALUES (59, 663);
INSERT INTO public.test_questions VALUES (59, 667);
INSERT INTO public.test_questions VALUES (59, 670);
INSERT INTO public.test_questions VALUES (59, 661);
INSERT INTO public.test_questions VALUES (59, 963);
INSERT INTO public.test_questions VALUES (59, 991);
INSERT INTO public.test_questions VALUES (59, 985);
INSERT INTO public.test_questions VALUES (59, 958);
INSERT INTO public.test_questions VALUES (59, 955);
INSERT INTO public.test_questions VALUES (60, 980);
INSERT INTO public.test_questions VALUES (60, 952);
INSERT INTO public.test_questions VALUES (60, 942);
INSERT INTO public.test_questions VALUES (60, 950);
INSERT INTO public.test_questions VALUES (60, 977);
INSERT INTO public.test_questions VALUES (60, 968);
INSERT INTO public.test_questions VALUES (60, 963);
INSERT INTO public.test_questions VALUES (60, 982);
INSERT INTO public.test_questions VALUES (60, 964);
INSERT INTO public.test_questions VALUES (60, 951);
INSERT INTO public.test_questions VALUES (60, 956);
INSERT INTO public.test_questions VALUES (60, 954);
INSERT INTO public.test_questions VALUES (78, 739);
INSERT INTO public.test_questions VALUES (78, 712);
INSERT INTO public.test_questions VALUES (78, 710);
INSERT INTO public.test_questions VALUES (78, 687);
INSERT INTO public.test_questions VALUES (78, 698);
INSERT INTO public.test_questions VALUES (78, 690);
INSERT INTO public.test_questions VALUES (78, 694);
INSERT INTO public.test_questions VALUES (78, 855);
INSERT INTO public.test_questions VALUES (78, 553);
INSERT INTO public.test_questions VALUES (78, 808);
INSERT INTO public.test_questions VALUES (78, 426);
INSERT INTO public.test_questions VALUES (78, 853);
INSERT INTO public.test_questions VALUES (78, 877);
INSERT INTO public.test_questions VALUES (78, 431);
INSERT INTO public.test_questions VALUES (78, 503);
INSERT INTO public.test_questions VALUES (78, 803);
INSERT INTO public.test_questions VALUES (78, 882);
INSERT INTO public.test_questions VALUES (78, 880);
INSERT INTO public.test_questions VALUES (78, 837);
INSERT INTO public.test_questions VALUES (78, 449);
INSERT INTO public.test_questions VALUES (78, 835);
INSERT INTO public.test_questions VALUES (78, 550);
INSERT INTO public.test_questions VALUES (78, 474);
INSERT INTO public.test_questions VALUES (78, 826);
INSERT INTO public.test_questions VALUES (79, 1087);
INSERT INTO public.test_questions VALUES (79, 1094);
INSERT INTO public.test_questions VALUES (79, 1092);
INSERT INTO public.test_questions VALUES (60, 947);
INSERT INTO public.test_questions VALUES (60, 991);
INSERT INTO public.test_questions VALUES (60, 946);
INSERT INTO public.test_questions VALUES (61, 666);
INSERT INTO public.test_questions VALUES (61, 662);
INSERT INTO public.test_questions VALUES (61, 677);
INSERT INTO public.test_questions VALUES (61, 958);
INSERT INTO public.test_questions VALUES (61, 991);
INSERT INTO public.test_questions VALUES (61, 985);
INSERT INTO public.test_questions VALUES (61, 978);
INSERT INTO public.test_questions VALUES (61, 961);
INSERT INTO public.test_questions VALUES (61, 983);
INSERT INTO public.test_questions VALUES (61, 992);
INSERT INTO public.test_questions VALUES (61, 972);
INSERT INTO public.test_questions VALUES (61, 962);
INSERT INTO public.test_questions VALUES (61, 960);
INSERT INTO public.test_questions VALUES (61, 976);
INSERT INTO public.test_questions VALUES (61, 977);
INSERT INTO public.test_questions VALUES (62, 675);
INSERT INTO public.test_questions VALUES (62, 739);
INSERT INTO public.test_questions VALUES (62, 726);
INSERT INTO public.test_questions VALUES (62, 722);
INSERT INTO public.test_questions VALUES (62, 725);
INSERT INTO public.test_questions VALUES (62, 939);
INSERT INTO public.test_questions VALUES (62, 932);
INSERT INTO public.test_questions VALUES (62, 902);
INSERT INTO public.test_questions VALUES (62, 935);
INSERT INTO public.test_questions VALUES (62, 895);
INSERT INTO public.test_questions VALUES (62, 927);
INSERT INTO public.test_questions VALUES (62, 503);
INSERT INTO public.test_questions VALUES (62, 538);
INSERT INTO public.test_questions VALUES (62, 460);
INSERT INTO public.test_questions VALUES (62, 544);
INSERT INTO public.test_questions VALUES (62, 442);
INSERT INTO public.test_questions VALUES (62, 416);
INSERT INTO public.test_questions VALUES (62, 805);
INSERT INTO public.test_questions VALUES (62, 873);
INSERT INTO public.test_questions VALUES (62, 550);
INSERT INTO public.test_questions VALUES (62, 876);
INSERT INTO public.test_questions VALUES (62, 826);
INSERT INTO public.test_questions VALUES (62, 471);
INSERT INTO public.test_questions VALUES (62, 469);
INSERT INTO public.test_questions VALUES (62, 888);
INSERT INTO public.test_questions VALUES (62, 552);
INSERT INTO public.test_questions VALUES (62, 858);
INSERT INTO public.test_questions VALUES (62, 451);
INSERT INTO public.test_questions VALUES (62, 878);
INSERT INTO public.test_questions VALUES (62, 429);
INSERT INTO public.test_questions VALUES (63, 715);
INSERT INTO public.test_questions VALUES (63, 710);
INSERT INTO public.test_questions VALUES (63, 718);
INSERT INTO public.test_questions VALUES (63, 727);
INSERT INTO public.test_questions VALUES (63, 719);
INSERT INTO public.test_questions VALUES (63, 713);
INSERT INTO public.test_questions VALUES (63, 722);
INSERT INTO public.test_questions VALUES (63, 452);
INSERT INTO public.test_questions VALUES (63, 423);
INSERT INTO public.test_questions VALUES (63, 458);
INSERT INTO public.test_questions VALUES (63, 449);
INSERT INTO public.test_questions VALUES (63, 461);
INSERT INTO public.test_questions VALUES (63, 442);
INSERT INTO public.test_questions VALUES (63, 448);
INSERT INTO public.test_questions VALUES (63, 476);
INSERT INTO public.test_questions VALUES (64, 689);
INSERT INTO public.test_questions VALUES (64, 690);
INSERT INTO public.test_questions VALUES (64, 705);
INSERT INTO public.test_questions VALUES (64, 708);
INSERT INTO public.test_questions VALUES (64, 698);
INSERT INTO public.test_questions VALUES (64, 707);
INSERT INTO public.test_questions VALUES (64, 693);
INSERT INTO public.test_questions VALUES (64, 679);
INSERT INTO public.test_questions VALUES (64, 703);
INSERT INTO public.test_questions VALUES (64, 699);
INSERT INTO public.test_questions VALUES (64, 682);
INSERT INTO public.test_questions VALUES (64, 702);
INSERT INTO public.test_questions VALUES (64, 706);
INSERT INTO public.test_questions VALUES (64, 700);
INSERT INTO public.test_questions VALUES (64, 697);
INSERT INTO public.test_questions VALUES (65, 720);
INSERT INTO public.test_questions VALUES (65, 726);
INSERT INTO public.test_questions VALUES (65, 724);
INSERT INTO public.test_questions VALUES (65, 729);
INSERT INTO public.test_questions VALUES (65, 687);
INSERT INTO public.test_questions VALUES (65, 703);
INSERT INTO public.test_questions VALUES (65, 701);
INSERT INTO public.test_questions VALUES (65, 700);
INSERT INTO public.test_questions VALUES (65, 683);
INSERT INTO public.test_questions VALUES (65, 482);
INSERT INTO public.test_questions VALUES (65, 458);
INSERT INTO public.test_questions VALUES (65, 455);
INSERT INTO public.test_questions VALUES (65, 468);
INSERT INTO public.test_questions VALUES (65, 443);
INSERT INTO public.test_questions VALUES (65, 444);
INSERT INTO public.test_questions VALUES (71, 665);
INSERT INTO public.test_questions VALUES (71, 681);
INSERT INTO public.test_questions VALUES (71, 682);
INSERT INTO public.test_questions VALUES (71, 905);
INSERT INTO public.test_questions VALUES (71, 920);
INSERT INTO public.test_questions VALUES (71, 921);
INSERT INTO public.test_questions VALUES (71, 759);
INSERT INTO public.test_questions VALUES (71, 782);
INSERT INTO public.test_questions VALUES (71, 785);
INSERT INTO public.test_questions VALUES (71, 752);
INSERT INTO public.test_questions VALUES (71, 767);
INSERT INTO public.test_questions VALUES (71, 778);
INSERT INTO public.test_questions VALUES (71, 852);
INSERT INTO public.test_questions VALUES (71, 812);
INSERT INTO public.test_questions VALUES (71, 492);
INSERT INTO public.test_questions VALUES (71, 855);
INSERT INTO public.test_questions VALUES (71, 510);
INSERT INTO public.test_questions VALUES (71, 818);
INSERT INTO public.test_questions VALUES (71, 479);
INSERT INTO public.test_questions VALUES (71, 453);
INSERT INTO public.test_questions VALUES (71, 557);
INSERT INTO public.test_questions VALUES (71, 853);
INSERT INTO public.test_questions VALUES (71, 534);
INSERT INTO public.test_questions VALUES (73, 1090);
INSERT INTO public.test_questions VALUES (73, 1088);
INSERT INTO public.test_questions VALUES (73, 1084);
INSERT INTO public.test_questions VALUES (73, 1087);
INSERT INTO public.test_questions VALUES (73, 1085);
INSERT INTO public.test_questions VALUES (73, 1096);
INSERT INTO public.test_questions VALUES (73, 1086);
INSERT INTO public.test_questions VALUES (73, 1089);
INSERT INTO public.test_questions VALUES (73, 1094);
INSERT INTO public.test_questions VALUES (73, 1095);
INSERT INTO public.test_questions VALUES (73, 1098);
INSERT INTO public.test_questions VALUES (73, 1091);
INSERT INTO public.test_questions VALUES (73, 1093);
INSERT INTO public.test_questions VALUES (73, 1099);
INSERT INTO public.test_questions VALUES (73, 1097);
INSERT INTO public.test_questions VALUES (75, 670);
INSERT INTO public.test_questions VALUES (75, 779);
INSERT INTO public.test_questions VALUES (75, 754);
INSERT INTO public.test_questions VALUES (75, 777);
INSERT INTO public.test_questions VALUES (75, 700);
INSERT INTO public.test_questions VALUES (75, 703);
INSERT INTO public.test_questions VALUES (75, 704);
INSERT INTO public.test_questions VALUES (75, 689);
INSERT INTO public.test_questions VALUES (75, 905);
INSERT INTO public.test_questions VALUES (75, 930);
INSERT INTO public.test_questions VALUES (75, 935);
INSERT INTO public.test_questions VALUES (75, 934);
INSERT INTO public.test_questions VALUES (75, 425);
INSERT INTO public.test_questions VALUES (75, 882);
INSERT INTO public.test_questions VALUES (75, 819);
INSERT INTO public.test_questions VALUES (75, 873);
INSERT INTO public.test_questions VALUES (75, 556);
INSERT INTO public.test_questions VALUES (75, 472);
INSERT INTO public.test_questions VALUES (75, 491);
INSERT INTO public.test_questions VALUES (75, 877);
INSERT INTO public.test_questions VALUES (75, 827);
INSERT INTO public.test_questions VALUES (79, 1095);
INSERT INTO public.test_questions VALUES (79, 1085);
INSERT INTO public.test_questions VALUES (79, 1084);
INSERT INTO public.test_questions VALUES (79, 1093);
INSERT INTO public.test_questions VALUES (79, 1090);
INSERT INTO public.test_questions VALUES (79, 1097);
INSERT INTO public.test_questions VALUES (79, 1086);
INSERT INTO public.test_questions VALUES (79, 1089);
INSERT INTO public.test_questions VALUES (79, 1091);
INSERT INTO public.test_questions VALUES (79, 1100);
INSERT INTO public.test_questions VALUES (79, 1096);
INSERT INTO public.test_questions VALUES (79, 1099);
INSERT INTO public.test_questions VALUES (81, 694);
INSERT INTO public.test_questions VALUES (81, 705);
INSERT INTO public.test_questions VALUES (81, 756);
INSERT INTO public.test_questions VALUES (81, 768);
INSERT INTO public.test_questions VALUES (81, 926);
INSERT INTO public.test_questions VALUES (81, 899);
INSERT INTO public.test_questions VALUES (81, 472);
INSERT INTO public.test_questions VALUES (81, 445);
INSERT INTO public.test_questions VALUES (81, 469);
INSERT INTO public.test_questions VALUES (81, 715);
INSERT INTO public.test_questions VALUES (81, 712);
INSERT INTO public.test_questions VALUES (81, 720);
INSERT INTO public.test_questions VALUES (81, 675);
INSERT INTO public.test_questions VALUES (81, 660);
INSERT INTO public.test_questions VALUES (81, 662);
INSERT INTO public.test_questions VALUES (83, 765);
INSERT INTO public.test_questions VALUES (83, 753);
INSERT INTO public.test_questions VALUES (83, 754);
INSERT INTO public.test_questions VALUES (83, 761);
INSERT INTO public.test_questions VALUES (83, 760);
INSERT INTO public.test_questions VALUES (83, 696);
INSERT INTO public.test_questions VALUES (83, 688);
INSERT INTO public.test_questions VALUES (83, 691);
INSERT INTO public.test_questions VALUES (83, 705);
INSERT INTO public.test_questions VALUES (83, 700);
INSERT INTO public.test_questions VALUES (83, 706);
INSERT INTO public.test_questions VALUES (83, 695);
INSERT INTO public.test_questions VALUES (83, 707);
INSERT INTO public.test_questions VALUES (83, 704);
INSERT INTO public.test_questions VALUES (83, 699);
INSERT INTO public.test_questions VALUES (83, 701);
INSERT INTO public.test_questions VALUES (83, 458);
INSERT INTO public.test_questions VALUES (83, 474);
INSERT INTO public.test_questions VALUES (83, 453);
INSERT INTO public.test_questions VALUES (83, 455);
INSERT INTO public.test_questions VALUES (83, 416);
INSERT INTO public.test_questions VALUES (83, 444);
INSERT INTO public.test_questions VALUES (83, 459);
INSERT INTO public.test_questions VALUES (83, 476);
INSERT INTO public.test_questions VALUES (83, 452);
INSERT INTO public.test_questions VALUES (83, 428);
INSERT INTO public.test_questions VALUES (83, 463);
INSERT INTO public.test_questions VALUES (83, 497);
INSERT INTO public.test_questions VALUES (83, 491);
INSERT INTO public.test_questions VALUES (83, 462);
INSERT INTO public.test_questions VALUES (85, 697);
INSERT INTO public.test_questions VALUES (85, 760);
INSERT INTO public.test_questions VALUES (85, 759);
INSERT INTO public.test_questions VALUES (85, 751);
INSERT INTO public.test_questions VALUES (85, 769);
INSERT INTO public.test_questions VALUES (85, 425);
INSERT INTO public.test_questions VALUES (85, 476);
INSERT INTO public.test_questions VALUES (85, 461);
INSERT INTO public.test_questions VALUES (85, 464);
INSERT INTO public.test_questions VALUES (85, 486);
INSERT INTO public.test_questions VALUES (85, 479);
INSERT INTO public.test_questions VALUES (85, 444);
INSERT INTO public.test_questions VALUES (85, 472);
INSERT INTO public.test_questions VALUES (85, 442);
INSERT INTO public.test_questions VALUES (85, 424);
INSERT INTO public.test_questions VALUES (86, 677);
INSERT INTO public.test_questions VALUES (86, 767);
INSERT INTO public.test_questions VALUES (86, 932);
INSERT INTO public.test_questions VALUES (86, 717);
INSERT INTO public.test_questions VALUES (86, 725);
INSERT INTO public.test_questions VALUES (86, 690);
INSERT INTO public.test_questions VALUES (86, 688);
INSERT INTO public.test_questions VALUES (86, 801);
INSERT INTO public.test_questions VALUES (86, 424);
INSERT INTO public.test_questions VALUES (86, 809);
INSERT INTO public.test_questions VALUES (86, 457);
INSERT INTO public.test_questions VALUES (86, 462);
INSERT INTO public.test_questions VALUES (86, 461);
INSERT INTO public.test_questions VALUES (86, 860);
INSERT INTO public.test_questions VALUES (86, 495);
INSERT INTO public.test_questions VALUES (86, 494);
INSERT INTO public.test_questions VALUES (86, 558);
INSERT INTO public.test_questions VALUES (86, 887);
INSERT INTO public.test_questions VALUES (86, 419);
INSERT INTO public.test_questions VALUES (86, 484);
INSERT INTO public.test_questions VALUES (86, 475);
INSERT INTO public.test_questions VALUES (86, 508);
INSERT INTO public.test_questions VALUES (86, 569);
INSERT INTO public.test_questions VALUES (87, 1087);
INSERT INTO public.test_questions VALUES (87, 1097);
INSERT INTO public.test_questions VALUES (87, 1088);
INSERT INTO public.test_questions VALUES (87, 1086);
INSERT INTO public.test_questions VALUES (87, 1092);
INSERT INTO public.test_questions VALUES (87, 1100);
INSERT INTO public.test_questions VALUES (87, 1084);
INSERT INTO public.test_questions VALUES (87, 1095);
INSERT INTO public.test_questions VALUES (87, 1099);
INSERT INTO public.test_questions VALUES (87, 1098);
INSERT INTO public.test_questions VALUES (87, 1085);
INSERT INTO public.test_questions VALUES (87, 1091);
INSERT INTO public.test_questions VALUES (87, 1094);
INSERT INTO public.test_questions VALUES (87, 1090);
INSERT INTO public.test_questions VALUES (87, 1093);
INSERT INTO public.test_questions VALUES (88, 724);
INSERT INTO public.test_questions VALUES (88, 1100);
INSERT INTO public.test_questions VALUES (88, 914);
INSERT INTO public.test_questions VALUES (88, 754);
INSERT INTO public.test_questions VALUES (88, 984);
INSERT INTO public.test_questions VALUES (88, 530);
INSERT INTO public.test_questions VALUES (88, 846);
INSERT INTO public.test_questions VALUES (89, 838);
INSERT INTO public.test_questions VALUES (89, 464);
INSERT INTO public.test_questions VALUES (89, 823);
INSERT INTO public.test_questions VALUES (89, 449);
INSERT INTO public.test_questions VALUES (89, 419);
INSERT INTO public.test_questions VALUES (89, 475);
INSERT INTO public.test_questions VALUES (89, 841);
INSERT INTO public.test_questions VALUES (89, 454);
INSERT INTO public.test_questions VALUES (89, 425);
INSERT INTO public.test_questions VALUES (89, 470);
INSERT INTO public.test_questions VALUES (89, 508);
INSERT INTO public.test_questions VALUES (89, 441);
INSERT INTO public.test_questions VALUES (89, 428);
INSERT INTO public.test_questions VALUES (89, 528);
INSERT INTO public.test_questions VALUES (89, 503);
INSERT INTO public.test_questions VALUES (89, 554);
INSERT INTO public.test_questions VALUES (89, 420);
INSERT INTO public.test_questions VALUES (89, 856);
INSERT INTO public.test_questions VALUES (89, 878);
INSERT INTO public.test_questions VALUES (89, 533);
INSERT INTO public.test_questions VALUES (89, 491);
INSERT INTO public.test_questions VALUES (89, 434);
INSERT INTO public.test_questions VALUES (89, 461);
INSERT INTO public.test_questions VALUES (90, 738);
INSERT INTO public.test_questions VALUES (90, 928);
INSERT INTO public.test_questions VALUES (90, 970);
INSERT INTO public.test_questions VALUES (90, 1038);
INSERT INTO public.test_questions VALUES (90, 853);
INSERT INTO public.test_questions VALUES (92, 962);
INSERT INTO public.test_questions VALUES (92, 985);
INSERT INTO public.test_questions VALUES (92, 983);
INSERT INTO public.test_questions VALUES (92, 967);
INSERT INTO public.test_questions VALUES (92, 960);
INSERT INTO public.test_questions VALUES (92, 948);
INSERT INTO public.test_questions VALUES (92, 979);
INSERT INTO public.test_questions VALUES (92, 944);
INSERT INTO public.test_questions VALUES (92, 989);
INSERT INTO public.test_questions VALUES (92, 964);
INSERT INTO public.test_questions VALUES (92, 969);
INSERT INTO public.test_questions VALUES (92, 977);
INSERT INTO public.test_questions VALUES (92, 987);
INSERT INTO public.test_questions VALUES (92, 945);
INSERT INTO public.test_questions VALUES (92, 958);
INSERT INTO public.test_questions VALUES (92, 953);
INSERT INTO public.test_questions VALUES (92, 980);
INSERT INTO public.test_questions VALUES (92, 973);
INSERT INTO public.test_questions VALUES (92, 963);
INSERT INTO public.test_questions VALUES (92, 971);
INSERT INTO public.test_questions VALUES (92, 961);
INSERT INTO public.test_questions VALUES (92, 982);
INSERT INTO public.test_questions VALUES (92, 942);
INSERT INTO public.test_questions VALUES (92, 975);
INSERT INTO public.test_questions VALUES (92, 991);
INSERT INTO public.test_questions VALUES (92, 992);
INSERT INTO public.test_questions VALUES (92, 972);
INSERT INTO public.test_questions VALUES (92, 957);
INSERT INTO public.test_questions VALUES (92, 981);
INSERT INTO public.test_questions VALUES (92, 959);
INSERT INTO public.test_questions VALUES (92, 976);
INSERT INTO public.test_questions VALUES (92, 946);
INSERT INTO public.test_questions VALUES (92, 968);
INSERT INTO public.test_questions VALUES (92, 965);
INSERT INTO public.test_questions VALUES (92, 966);
INSERT INTO public.test_questions VALUES (92, 986);
INSERT INTO public.test_questions VALUES (92, 952);
INSERT INTO public.test_questions VALUES (92, 955);
INSERT INTO public.test_questions VALUES (92, 954);
INSERT INTO public.test_questions VALUES (92, 947);
INSERT INTO public.test_questions VALUES (92, 974);
INSERT INTO public.test_questions VALUES (92, 956);
INSERT INTO public.test_questions VALUES (92, 984);
INSERT INTO public.test_questions VALUES (92, 990);
INSERT INTO public.test_questions VALUES (92, 970);
INSERT INTO public.test_questions VALUES (93, 1096);
INSERT INTO public.test_questions VALUES (93, 1084);
INSERT INTO public.test_questions VALUES (93, 1085);
INSERT INTO public.test_questions VALUES (93, 1097);
INSERT INTO public.test_questions VALUES (93, 1092);
INSERT INTO public.test_questions VALUES (93, 1100);
INSERT INTO public.test_questions VALUES (93, 1094);
INSERT INTO public.test_questions VALUES (93, 1087);
INSERT INTO public.test_questions VALUES (93, 1089);
INSERT INTO public.test_questions VALUES (93, 1086);
INSERT INTO public.test_questions VALUES (93, 1099);
INSERT INTO public.test_questions VALUES (93, 1090);
INSERT INTO public.test_questions VALUES (93, 1093);
INSERT INTO public.test_questions VALUES (93, 1095);
INSERT INTO public.test_questions VALUES (93, 1088);
INSERT INTO public.test_questions VALUES (101, 717);
INSERT INTO public.test_questions VALUES (101, 712);
INSERT INTO public.test_questions VALUES (101, 714);
INSERT INTO public.test_questions VALUES (101, 724);
INSERT INTO public.test_questions VALUES (101, 726);
INSERT INTO public.test_questions VALUES (101, 918);
INSERT INTO public.test_questions VALUES (101, 916);
INSERT INTO public.test_questions VALUES (101, 928);
INSERT INTO public.test_questions VALUES (101, 937);
INSERT INTO public.test_questions VALUES (101, 901);
INSERT INTO public.test_questions VALUES (101, 593);
INSERT INTO public.test_questions VALUES (101, 589);
INSERT INTO public.test_questions VALUES (101, 592);
INSERT INTO public.test_questions VALUES (101, 604);
INSERT INTO public.test_questions VALUES (101, 598);
INSERT INTO public.test_questions VALUES (101, 580);
INSERT INTO public.test_questions VALUES (101, 614);
INSERT INTO public.test_questions VALUES (101, 601);
INSERT INTO public.test_questions VALUES (101, 594);
INSERT INTO public.test_questions VALUES (101, 648);
INSERT INTO public.test_questions VALUES (101, 619);
INSERT INTO public.test_questions VALUES (101, 633);
INSERT INTO public.test_questions VALUES (101, 582);
INSERT INTO public.test_questions VALUES (96, 719);
INSERT INTO public.test_questions VALUES (96, 748);
INSERT INTO public.test_questions VALUES (96, 712);
INSERT INTO public.test_questions VALUES (96, 715);
INSERT INTO public.test_questions VALUES (96, 734);
INSERT INTO public.test_questions VALUES (96, 739);
INSERT INTO public.test_questions VALUES (96, 738);
INSERT INTO public.test_questions VALUES (96, 720);
INSERT INTO public.test_questions VALUES (96, 746);
INSERT INTO public.test_questions VALUES (96, 724);
INSERT INTO public.test_questions VALUES (96, 740);
INSERT INTO public.test_questions VALUES (96, 727);
INSERT INTO public.test_questions VALUES (96, 722);
INSERT INTO public.test_questions VALUES (96, 718);
INSERT INTO public.test_questions VALUES (96, 742);
INSERT INTO public.test_questions VALUES (96, 721);
INSERT INTO public.test_questions VALUES (96, 730);
INSERT INTO public.test_questions VALUES (96, 743);
INSERT INTO public.test_questions VALUES (96, 717);
INSERT INTO public.test_questions VALUES (96, 747);
INSERT INTO public.test_questions VALUES (96, 714);
INSERT INTO public.test_questions VALUES (96, 737);
INSERT INTO public.test_questions VALUES (96, 713);


--
-- Data for Name: tests; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.tests VALUES (40, 'Тестировщик', '', 1800, 2, '2021-02-04 13:40:16.894623', 'JUNIOR', 15, 'I', '2021-02-04 13:40:16.897955', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (19, 'Антон', '', 6000, 2, '2020-11-25 19:26:37.320991', 'SENIOR', 50, 'U', '2021-03-10 10:20:38.122148', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (60, 'Python Pro', '', 1800, 2, '2022-06-29 00:06:53.543293', NULL, 15, 'I', '2022-06-29 00:06:53.546756', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', true, NULL);
INSERT INTO public.tests VALUES (61, 'Питонодокер', '', 1800, 53, '2022-07-06 14:43:25.390627', NULL, 15, 'I', '2022-07-06 14:43:25.397089', 'ble89305@jeoce.com', 'ble89305@jeoce.com', false, NULL);
INSERT INTO public.tests VALUES (62, 'Java Полный тест', '', 3600, 39, '2022-07-11 22:39:27.695323', NULL, 30, 'I', '2022-07-11 22:39:27.716981', 'iredplanet@gmail.com', 'iredplanet@gmail.com', true, NULL);
INSERT INTO public.tests VALUES (63, 'Java', '', 1800, 37, '2022-08-30 12:55:03.654964', NULL, 15, 'I', '2022-08-30 12:55:03.658294', 'mmeleshko@loylabs.ru', 'mmeleshko@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (64, 'Java middle', '', 1800, 37, '2022-08-30 13:03:45.072661', NULL, 15, 'I', '2022-08-30 13:03:45.076046', 'mmeleshko@loylabs.ru', 'mmeleshko@loylabs.ru', true, NULL);
INSERT INTO public.tests VALUES (65, 'Java x5', '', 1800, 37, '2022-08-31 10:10:27.970644', NULL, 15, 'I', '2022-08-31 10:10:27.994741', 'mmeleshko@loylabs.ru', 'mmeleshko@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (41, 'Тесто тес', '', 300, 2, '2021-03-10 13:23:55.334566', 'JUNIOR', 3, 'I', '2021-03-10 13:23:55.343391', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (30, 'Супер-пупер тест ', '', 2700, 2, '2020-12-11 18:11:38.586608', 'MIDDLE', 15, 'U', '2021-03-10 15:34:14.847834', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (42, 'Супер-мега-питонист', '', 1800, 2, '2021-03-11 20:26:58.928651', 'SENIOR', 15, 'I', '2021-03-11 20:26:58.937066', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (43, 'Супер синьор', '', 1800, 2, '2021-03-22 15:40:30.098636', 'SENIOR', 15, 'I', '2021-03-22 15:40:30.109719', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (44, 'Тест', '', 1800, 2, '2021-04-09 16:35:25.447195', 'JUNIOR', 15, 'I', '2021-04-09 16:35:25.455743', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (45, 'Java 1', '', 3600, 2, '2021-11-02 21:05:26.684055', 'MIDDLE', 30, 'U', '2021-11-02 21:05:40.956752', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (46, 'Тестирование Маск', '', 1800, 2, '2021-11-02 21:11:45.066032', 'MIDDLE', 15, 'I', '2021-11-02 21:11:45.069357', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (47, 'пхп джуниор', '', 1800, 2, '2021-11-02 21:12:12.014564', 'JUNIOR', 15, 'I', '2021-11-02 21:12:12.017273', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (48, 'Максим sql', '', 1800, 2, '2021-11-03 11:07:25.668115', 'JUNIOR', 15, 'I', '2021-11-03 11:07:25.67511', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (49, 'тест', '', 3600, 2, '2021-11-03 11:54:17.325605', 'JUNIOR', 30, 'I', '2021-11-03 11:54:17.32874', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (50, 'QA TestLab', '', 3600, 2, '2021-11-08 09:13:23.755008', 'JUNIOR', 30, 'I', '2021-11-08 09:13:23.763192', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (51, 'QA специалист', '', 1800, 2, '2021-11-18 13:05:23.281581', 'JUNIOR', 15, 'I', '2021-11-18 13:05:23.289292', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (53, 'Java', '', 1800, 50, '2022-04-02 06:20:11.698933', 'SENIOR', 15, 'I', '2022-04-02 06:20:11.72061', 'dmalahov@loylabs.ru', 'dmalahov@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (14, 'test01', '', 720, 7, '2020-11-23 21:54:39.096614', 'MIDDLE', 1, 'I', '2020-11-23 21:54:39.10793', 'murkes94@gmail.com', 'murkes94@gmail.com', false, NULL);
INSERT INTO public.tests VALUES (20, 'Java тест Junior', '', 6000, 2, '2020-11-25 20:21:19.364545', 'JUNIOR', 50, 'I', '2020-11-25 20:21:19.372118', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (21, 'Java тест Middle', '', 3600, 2, '2020-11-26 18:11:38.808046', 'MIDDLE', 30, 'I', '2020-11-26 18:11:38.815342', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (23, 'Антон test', '', 60, 2, '2020-12-03 14:48:40.032108', 'SENIOR', 2, 'I', '2020-12-03 14:48:40.10937', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (24, 'Java тест Senior', '', 1800, 2, '2020-12-03 16:08:39.07363', 'SENIOR', 15, 'I', '2020-12-03 16:08:39.094127', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (59, 'Python + Docker', '', 1800, 2, '2022-06-28 23:57:04.009024', NULL, 15, 'U', '2022-06-29 00:06:35.114017', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (29, 'java junior test', '', 1800, 17, '2020-12-11 13:12:51.999629', 'JUNIOR', 15, 'I', '2020-12-11 13:12:52.010334', 'ermakova.katrin@gmail.com', 'ermakova.katrin@gmail.com', false, NULL);
INSERT INTO public.tests VALUES (71, 'Тест Java', '', 2700, 40, '2023-04-17 18:05:04.602511', NULL, 23, 'I', '2023-04-17 18:05:04.605761', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', true, NULL);
INSERT INTO public.tests VALUES (72, 'Java Middle- ', '', 2700, 59, '2023-04-19 12:01:38.817172', NULL, 23, 'I', '2023-04-19 12:01:38.820459', 'asdobnov@loylabs.ru', 'asdobnov@loylabs.ru', true, NULL);
INSERT INTO public.tests VALUES (73, 'Тест для Frontend', '', 1800, 40, '2023-04-27 10:37:20.076236', NULL, 15, 'I', '2023-04-27 10:37:20.084901', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (74, 'Java Dev Middle-', '', 2700, 59, '2023-05-04 12:16:35.669364', NULL, 23, 'I', '2023-05-04 12:16:35.672749', 'asdobnov@loylabs.ru', 'asdobnov@loylabs.ru', true, NULL);
INSERT INTO public.tests VALUES (75, 'Java разработчик', '', 3600, 59, '2023-05-05 12:15:39.503149', NULL, 30, 'I', '2023-05-05 12:15:39.506029', 'asdobnov@loylabs.ru', 'asdobnov@loylabs.ru', true, NULL);
INSERT INTO public.tests VALUES (76, 'Пробный тест', '', 3600, 40, '2023-05-10 11:45:36.501848', NULL, 30, 'I', '2023-05-10 11:45:36.504953', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', true, NULL);
INSERT INTO public.tests VALUES (78, 'Тест на Java ', '', 3600, 60, '2023-05-11 10:28:40.323679', NULL, 30, 'I', '2023-05-11 10:28:40.330364', 'kknyazeva@loylabs.ru', 'kknyazeva@loylabs.ru', true, NULL);
INSERT INTO public.tests VALUES (79, 'Тест на React', '', 1800, 60, '2023-05-11 10:31:27.360896', NULL, 15, 'I', '2023-05-11 10:31:27.363788', 'kknyazeva@loylabs.ru', 'kknyazeva@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (36, 'Java', '', 900, 18, '2020-12-24 14:16:01.813129', 'MIDDLE', 10, 'I', '2020-12-24 14:16:01.821454', 'tarasova.yun@gazprom-neft.ru', 'tarasova.yun@gazprom-neft.ru', false, NULL);
INSERT INTO public.tests VALUES (81, 'Тест на Java Junior', '', 1800, 60, '2023-05-12 18:15:20.09969', NULL, 15, 'I', '2023-05-12 18:15:20.102612', 'kknyazeva@loylabs.ru', 'kknyazeva@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (83, 'Проба', '', 3600, 40, '2023-07-04 15:58:11.862986', NULL, 30, 'I', '2023-07-04 15:58:11.866392', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (85, 'Java for Junior+', '', 1800, 40, '2023-07-14 18:55:53.768889', NULL, 15, 'I', '2023-07-14 18:55:53.772086', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (87, 'dfdf', '', 1800, 51, '2023-09-12 17:05:15.433893', NULL, 15, 'I', '2023-09-12 17:05:15.440109', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', false, NULL);
INSERT INTO public.tests VALUES (88, 'Test Name', '', 1800, 51, '2023-09-24 19:00:12.690229', NULL, 15, 'I', '2023-09-24 19:00:12.696528', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', true, NULL);
INSERT INTO public.tests VALUES (89, 'vnvcvbcvb', '', 2700, 51, '2023-09-24 19:08:21.937836', NULL, 23, 'I', '2023-09-24 19:08:21.941339', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', true, NULL);
INSERT INTO public.tests VALUES (90, 'Testy', '', 1800, 51, '2023-09-24 19:23:05.819711', NULL, 15, 'I', '2023-09-24 19:23:05.822899', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', true, NULL);
INSERT INTO public.tests VALUES (92, 'Test', '', 5400, 51, '2023-09-27 14:00:08.348605', NULL, 45, 'I', '2023-09-27 14:00:08.355116', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', true, NULL);
INSERT INTO public.tests VALUES (93, 'React Test', '', 1800, 51, '2023-09-27 15:38:43.561308', NULL, 15, 'I', '2023-09-27 15:38:43.564139', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', true, NULL);
INSERT INTO public.tests VALUES (96, 'fhfgh', '', 2700, 51, '2023-09-28 16:49:27.901345', NULL, 23, 'I', '2023-09-28 16:49:27.904302', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', true, NULL);
INSERT INTO public.tests VALUES (86, 'Тест Java Developer ', '', 2700, 60, '2023-08-15 11:21:39.650086', NULL, 23, 'U', '2023-10-30 15:54:29.372758', 'kknyazeva@loylabs.ru', 'kknyazeva@loylabs.ru', true, NULL);
INSERT INTO public.tests VALUES (101, 'QA Junior', '', 2700, 51, '2023-11-02 17:06:44.899493', NULL, 23, 'I', '2023-11-02 17:06:44.905369', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', false, NULL);


--
-- Data for Name: tests_history; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.tests_history VALUES (1, 1, 'Супер-тест для джава программиста', 'Описание теста', 1800, 2, '2020-10-09 14:20:16.073236', 'MIDDLE', 15, 'I', '2020-10-09 14:20:16.08384', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (51, 3, 'Наименование', 'Описание', 3600, 2, '2020-11-14 21:03:18.677188', 'MIDDLE', 30, 'I', '2020-11-14 21:03:18.692975', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (52, 3, 'Наименование', 'Описание', 3600, 2, '2020-11-14 21:03:18.677188', 'MIDDLE', 30, 'D', '2020-11-14 21:04:18.421912', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (53, 4, 'Название', 'Описание', 36000, 2, '2020-11-14 21:05:45.061139', 'MIDDLE', 30, 'I', '2020-11-14 21:05:45.064151', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (54, 4, 'Название', 'Описание', 3600000, 2, '2020-11-14 21:05:45.061139', 'MIDDLE', 30, 'U', '2020-11-14 21:05:51.449059', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (55, 4, 'Название', 'Описание', 360000000, 2, '2020-11-14 21:05:45.061139', 'MIDDLE', 30, 'U', '2020-11-14 21:06:05.418969', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (56, 4, 'Название', 'Описание', 600000000, 2, '2020-11-14 21:05:45.061139', 'MIDDLE', 30, 'U', '2020-11-14 21:06:18.339987', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (57, 4, 'Название', 'Описание', 1800000000, 2, '2020-11-14 21:05:45.061139', 'MIDDLE', 30, 'U', '2020-11-14 21:06:31.191107', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (58, 4, 'Название', 'Описание', 2100000000, 2, '2020-11-14 21:05:45.061139', 'MIDDLE', 30, 'U', '2020-11-14 21:07:17.426895', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (59, 4, 'Название', 'Описание', 2100000060, 2, '2020-11-14 21:05:45.061139', 'MIDDLE', 30, 'U', '2020-11-14 21:07:53.184767', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (60, 4, 'Название', 'Описание', 2100000000, 2, '2020-11-14 21:05:45.061139', 'MIDDLE', 30, 'U', '2020-11-14 21:09:20.560963', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (61, 4, 'Название', 'Описание', 2100000000, 2, '2020-11-14 21:05:45.061139', 'MIDDLE', 30, 'U', '2020-11-14 21:10:15.463443', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (62, 4, 'Название', 'Описание', 2100, 2, '2020-11-14 21:05:45.061139', 'MIDDLE', 30, 'U', '2020-11-14 21:12:07.62727', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (63, 5, 'Новый тест', 'блабла', 3600, 2, '2020-11-14 21:19:25.889269', 'MIDDLE', 5, 'I', '2020-11-14 21:19:25.892426', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (64, 6, 'Name', '123', 7380, 2, '2020-11-14 21:22:39.82569', 'MIDDLE', 5, 'I', '2020-11-14 21:22:39.828822', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (65, 6, 'Name', '123', 7380, 2, '2020-11-14 21:22:39.82569', 'MIDDLE', 5, 'U', '2020-11-14 21:22:46.609621', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (66, 12, 'последний тест', '1', 60, 2, '2020-11-14 21:37:00.090233', 'JUNIOR', 1, 'I', '2020-11-14 21:37:00.09305', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (67, 12, 'последний тест', '1', 60, 2, '2020-11-14 21:37:00.090233', 'JUNIOR', 1, 'D', '2020-11-14 21:53:31.364978', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (76, 1, 'Супер-тест для джава программиста', 'Описание теста', 1800, 2, '2020-10-09 14:20:16.073236', 'MIDDLE', 15, 'U', '2020-10-09 14:22:00.916188', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (94, 11, 'предпоследний тест', '5', 300, 2, '2020-11-14 21:36:50.398285', 'JUNIOR', 5, 'I', '2020-11-14 21:36:50.401811', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (95, 11, 'предпоследний тест', '5', 300, 2, '2020-11-14 21:36:50.398285', 'JUNIOR', 5, 'D', '2020-11-24 19:00:47.836719', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (96, 10, 'и еще тест', '4', 240, 2, '2020-11-14 21:36:34.025966', 'MIDDLE', 4, 'I', '2020-11-14 21:36:34.029047', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (97, 10, 'и еще тест', '4', 240, 2, '2020-11-14 21:36:34.025966', 'MIDDLE', 4, 'D', '2020-11-24 19:00:52.527548', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (98, 16, 'Антон', '', 3600, 2, '2020-11-24 19:01:16.387864', 'SENIOR', 50, 'I', '2020-11-24 19:01:16.390893', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (99, 16, 'Антон', '', 3600, 2, '2020-11-24 19:01:16.387864', 'SENIOR', 50, 'D', '2020-11-24 19:01:22.237398', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (100, 1, 'Супер-тест для джава программиста', 'Описание теста', 1800, 2, '2020-10-09 14:20:16.073236', 'MIDDLE', 15, 'U', '2020-11-23 15:09:52.671543', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (101, 1, 'Супер-тест для джава программиста', 'Описание теста', 1800, 2, '2020-10-09 14:20:16.073236', 'MIDDLE', 15, 'D', '2020-11-24 19:01:51.413932', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (102, 2, 'Супер-тест для джава программиста2', 'Описание теста2', 1800, 2, '2020-10-09 14:22:38.286593', 'JUNIOR', 15, 'I', '2020-10-09 14:22:38.289809', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (103, 2, 'Супер-тест для джава программиста2', 'Описание теста2', 1800, 2, '2020-10-09 14:22:38.286593', 'JUNIOR', 15, 'D', '2020-11-24 19:01:54.603679', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (104, 4, 'Название', 'Описание', 2100, 2, '2020-11-14 21:05:45.061139', 'MIDDLE', 30, 'U', '2020-11-14 21:12:38.880486', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (105, 4, 'Название', 'Описание', 2100, 2, '2020-11-14 21:05:45.061139', 'MIDDLE', 30, 'D', '2020-11-24 19:01:57.129839', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (106, 5, 'Новый тест', 'блабла', 3600, 2, '2020-11-14 21:19:25.889269', 'MIDDLE', 5, 'U', '2020-11-14 21:21:48.91133', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (107, 5, 'Новый тест', 'блабла', 3600, 2, '2020-11-14 21:19:25.889269', 'MIDDLE', 5, 'D', '2020-11-24 19:01:59.802828', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (108, 6, 'Name', '123', 7380, 2, '2020-11-14 21:22:39.82569', 'MIDDLE', 5, 'U', '2020-11-14 21:23:13.281153', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (109, 6, 'Name', '123', 7380, 2, '2020-11-14 21:22:39.82569', 'MIDDLE', 5, 'D', '2020-11-24 19:02:02.144577', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (110, 7, 'Тест', '123', 300, 2, '2020-11-14 21:35:32.002857', 'JUNIOR', 1, 'I', '2020-11-14 21:35:32.006054', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (111, 7, 'Тест', '123', 300, 2, '2020-11-14 21:35:32.002857', 'JUNIOR', 1, 'D', '2020-11-24 19:02:04.702966', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (112, 8, 'тестик', '5', 2640, 2, '2020-11-14 21:36:00.7034', 'JUNIOR', 5, 'I', '2020-11-14 21:36:00.706729', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (113, 8, 'тестик', '5', 2640, 2, '2020-11-14 21:36:00.7034', 'JUNIOR', 5, 'D', '2020-11-24 19:02:07.324264', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (114, 9, 'еще тест', '1', 60, 2, '2020-11-14 21:36:14.353328', 'JUNIOR', 1, 'I', '2020-11-14 21:36:14.356229', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (115, 9, 'еще тест', '1', 60, 2, '2020-11-14 21:36:14.353328', 'JUNIOR', 1, 'D', '2020-11-24 19:02:10.279877', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (116, 15, 'Антон', '', 3600, 2, '2020-11-24 19:00:35.750353', 'SENIOR', 50, 'I', '2020-11-24 19:00:35.761163', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (117, 15, 'Антон', '', 3600, 2, '2020-11-24 19:00:35.750353', 'SENIOR', 50, 'D', '2020-11-24 19:26:50.080117', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (118, 17, 'Антон', '', 6000, 2, '2020-11-24 19:30:23.898691', 'SENIOR', 50, 'I', '2020-11-24 19:30:23.901834', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (119, 17, 'Антон', '', 6000, 2, '2020-11-24 19:30:23.898691', 'SENIOR', 50, 'D', '2020-11-25 19:26:20.569613', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (120, 18, 'Тест', '', 2100, 2, '2020-11-25 19:17:39.227946', 'SENIOR', 5, 'I', '2020-11-25 19:17:39.237272', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (121, 18, 'Тест', '', 2100, 2, '2020-11-25 19:17:39.227946', 'SENIOR', 5, 'D', '2020-11-25 19:26:23.181856', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (207, 13, 'Новый тест от юзера', 'описание', 300, 12, '2020-11-14 22:10:51.659315', 'JUNIOR', 5, 'I', '2020-11-14 22:10:51.662436', 'avarlamova@loylabs.ru', 'avarlamova@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (208, 13, 'Новый тест от юзера', 'описание', 300, 12, '2020-11-14 22:10:51.659315', 'JUNIOR', 5, 'D', '2020-12-15 12:45:15.036277', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (209, 25, 'Для лучшего программиста', '', 3600, 12, '2020-12-03 19:33:00.794727', 'SENIOR', 30, 'I', '2020-12-03 19:33:00.804605', 'avarlamova@loylabs.ru', 'avarlamova@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (210, 25, 'Для лучшего программиста', '', 3600, 12, '2020-12-03 19:33:00.794727', 'SENIOR', 30, 'D', '2020-12-15 12:45:15.036277', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (211, 26, 'Анна', '', 300, 12, '2020-12-03 21:14:31.956405', 'JUNIOR', 2, 'I', '2020-12-03 21:14:31.959414', 'avarlamova@loylabs.ru', 'avarlamova@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (212, 26, 'Анна', '', 300, 12, '2020-12-03 21:14:31.956405', 'JUNIOR', 2, 'D', '2020-12-15 12:45:15.036277', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (213, 27, 'Комбинированный тест', '', 600, 12, '2020-12-03 21:17:33.660655', 'JUNIOR', 5, 'I', '2020-12-03 21:17:33.663913', 'avarlamova@loylabs.ru', 'avarlamova@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (214, 27, 'Комбинированный тест', '', 600, 12, '2020-12-03 21:17:33.660655', 'JUNIOR', 5, 'D', '2020-12-15 12:45:15.036277', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (215, 22, '123', '', 1200, 15, '2020-12-02 23:58:44.239628', 'MIDDLE', 10, 'I', '2020-12-02 23:58:44.256891', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (216, 22, '123', '', 1200, 15, '2020-12-02 23:58:44.239628', 'MIDDLE', 10, 'D', '2020-12-22 12:44:53.964376', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (219, 31, 'самый лучший тест', '', 4800, 19, '2020-12-22 13:42:18.600525', 'MIDDLE', 10, 'I', '2020-12-22 13:42:18.604014', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (220, 31, 'самый лучший тест', '', 4800, 19, '2020-12-22 13:42:18.600525', 'MIDDLE', 10, 'U', '2020-12-22 13:42:26.352028', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (221, 31, 'самый лучший тест', '', 4800, 19, '2020-12-22 13:42:18.600525', 'MIDDLE', 10, 'U', '2020-12-22 13:42:29.38305', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (222, 31, 'самый лучший тест', '', 4800, 19, '2020-12-22 13:42:18.600525', 'MIDDLE', 10, 'U', '2020-12-22 13:42:32.135887', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (225, 31, 'самый лучший тест', '', 4800, 19, '2020-12-22 13:42:18.600525', 'MIDDLE', 10, 'U', '2020-12-22 13:42:53.46678', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (226, 31, 'самый лучший тест', '', 4800, 19, '2020-12-22 13:42:18.600525', 'MIDDLE', 10, 'D', '2020-12-22 14:57:49.674052', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (227, 32, 'дячримяч', '', 2040, 19, '2020-12-22 13:52:56.003473', 'JUNIOR', 4, 'I', '2020-12-22 13:52:56.006908', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (228, 32, 'дячримяч', '', 2040, 19, '2020-12-22 13:52:56.003473', 'JUNIOR', 4, 'D', '2020-12-22 14:57:49.674052', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (229, 33, 'Тестовое задание ', '', 6000, 20, '2020-12-22 15:15:49.582209', 'JUNIOR', 50, 'I', '2020-12-22 15:15:49.586098', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (232, 33, 'Тестовое задание Java Junior', '', 6000, 20, '2020-12-22 15:15:49.582209', 'JUNIOR', 50, 'U', '2020-12-22 15:16:52.226424', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (233, 33, 'Тестовое задание Java Junior', '', 6000, 20, '2020-12-22 15:15:49.582209', 'JUNIOR', 50, 'D', '2020-12-23 16:23:57.079219', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (234, 34, 'tguotui', '', 1200, 21, '2020-12-23 16:35:18.16413', 'JUNIOR', 3, 'I', '2020-12-23 16:35:18.171747', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (235, 34, 'tguotui', '', 1200, 21, '2020-12-23 16:35:18.16413', 'JUNIOR', 3, 'U', '2020-12-23 16:35:37.345516', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (236, 34, 'tguotui', '', 1200, 21, '2020-12-23 16:35:18.16413', 'JUNIOR', 3, 'U', '2020-12-23 16:35:40.243335', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (237, 34, 'tguotui', '', 1200, 21, '2020-12-23 16:35:18.16413', 'JUNIOR', 3, 'U', '2020-12-23 16:35:59.849279', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (238, 34, 'tguotui', '', 1200, 21, '2020-12-23 16:35:18.16413', 'JUNIOR', 3, 'U', '2020-12-23 16:36:11.819673', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (239, 35, 'Компьютерная графика', '', 3600, 21, '2020-12-23 16:38:56.84426', 'JUNIOR', 20, 'I', '2020-12-23 16:38:56.84718', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (240, 35, 'Компьютерная графика', '', 3600, 21, '2020-12-23 16:38:56.84426', 'JUNIOR', 20, 'U', '2020-12-23 16:39:11.164222', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (241, 35, 'Компьютерная графика', '', 3600, 21, '2020-12-23 16:38:56.84426', 'JUNIOR', 20, 'U', '2020-12-23 16:50:01.149341', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (242, 35, 'Компьютерная графика', '', 3600, 21, '2020-12-23 16:38:56.84426', 'JUNIOR', 20, 'U', '2020-12-23 16:50:02.238406', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (243, 35, 'Компьютерная графика', '', 3600, 21, '2020-12-23 16:38:56.84426', 'JUNIOR', 20, 'U', '2020-12-23 16:50:04.638774', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (244, 35, 'Компьютерная графика', '', 3600, 21, '2020-12-23 16:38:56.84426', 'JUNIOR', 20, 'U', '2020-12-23 16:50:05.375391', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (245, 35, 'Компьютерная графика', '', 3600, 21, '2020-12-23 16:38:56.84426', 'JUNIOR', 20, 'U', '2020-12-23 16:50:05.597939', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (246, 35, 'Компьютерная графика', '', 3600, 21, '2020-12-23 16:38:56.84426', 'JUNIOR', 20, 'U', '2020-12-23 16:50:05.750976', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (249, 34, 'tguotui', '', 1200, 21, '2020-12-23 16:35:18.16413', 'JUNIOR', 3, 'U', '2020-12-23 16:37:04.353899', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (250, 34, 'tguotui', '', 1200, 21, '2020-12-23 16:35:18.16413', 'JUNIOR', 3, 'D', '2020-12-28 15:04:59.581222', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (251, 35, 'Компьютерная графика', '', 3600, 21, '2020-12-23 16:38:56.84426', 'JUNIOR', 20, 'U', '2020-12-23 16:50:13.952765', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (252, 35, 'Компьютерная графика', '', 3600, 21, '2020-12-23 16:38:56.84426', 'JUNIOR', 20, 'D', '2020-12-28 15:04:59.581222', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (253, 37, 'Java тест Junior', '', 1800, 21, '2020-12-24 17:01:37.613276', 'MIDDLE', 15, 'I', '2020-12-24 17:01:37.616816', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (254, 37, 'Java тест Junior', '', 1800, 21, '2020-12-24 17:01:37.613276', 'MIDDLE', 15, 'D', '2020-12-28 15:04:59.581222', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (255, 38, 'epic', '', 1800, 22, '2020-12-28 15:10:17.243615', 'MIDDLE', 15, 'I', '2020-12-28 15:10:17.254541', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (256, 38, 'epic', '', 1800, 22, '2020-12-28 15:10:17.243615', 'MIDDLE', 15, 'U', '2020-12-28 15:51:52.438721', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (257, 38, 'epic', '', 1800, 22, '2020-12-28 15:10:17.243615', 'MIDDLE', 15, 'U', '2020-12-28 15:51:57.273593', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (258, 38, 'epic', '', 1800, 22, '2020-12-28 15:10:17.243615', 'MIDDLE', 15, 'U', '2020-12-28 15:52:20.105387', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (259, 38, 'epic', '', 1800, 22, '2020-12-28 15:10:17.243615', 'MIDDLE', 15, 'U', '2020-12-28 15:52:21.814896', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (260, 38, 'epic', '', 1800, 22, '2020-12-28 15:10:17.243615', 'MIDDLE', 15, 'U', '2020-12-28 15:52:22.369381', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (261, 38, 'epic', '', 1800, 22, '2020-12-28 15:10:17.243615', 'MIDDLE', 15, 'U', '2020-12-28 15:52:22.552075', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (262, 38, 'epic', '', 1800, 22, '2020-12-28 15:10:17.243615', 'MIDDLE', 15, 'D', '2020-12-28 15:55:13.8444', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (265, 19, 'Антон', '', 6000, 2, '2020-11-25 19:26:37.320991', 'SENIOR', 50, 'I', '2020-11-25 19:26:37.323846', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (266, 30, 'Супер-пупер тест ', '', 1800, 2, '2020-12-11 18:11:38.586608', 'MIDDLE', 15, 'I', '2020-12-11 18:11:38.58988', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (267, 30, 'Супер-пупер тест ', '', 1740, 2, '2020-12-11 18:11:38.586608', 'MIDDLE', 15, 'U', '2021-03-10 13:05:12.308793', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (268, 30, 'Супер-пупер тест ', '', 1560, 2, '2020-12-11 18:11:38.586608', 'MIDDLE', 15, 'U', '2021-03-10 13:05:44.744566', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (269, 30, 'Супер-пупер тест ', '', 1560, 2, '2020-12-11 18:11:38.586608', 'MIDDLE', 15, 'U', '2021-03-10 13:05:46.455285', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (270, 30, 'Супер-пупер тест ', '', 1560, 2, '2020-12-11 18:11:38.586608', 'MIDDLE', 15, 'U', '2021-03-10 13:05:46.616824', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (271, 30, 'Супер-пупер тест ', '', 1560, 2, '2020-12-11 18:11:38.586608', 'MIDDLE', 15, 'U', '2021-03-10 13:05:46.791919', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (272, 30, 'Супер-пупер тест ', '', 1560, 2, '2020-12-11 18:11:38.586608', 'MIDDLE', 15, 'U', '2021-03-10 13:05:46.959615', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (273, 30, 'Супер-пупер тест ', '', 1560, 2, '2020-12-11 18:11:38.586608', 'MIDDLE', 15, 'U', '2021-03-10 13:05:47.127147', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (274, 30, 'Супер-пупер тест ', '', 1560, 2, '2020-12-11 18:11:38.586608', 'MIDDLE', 15, 'U', '2021-03-10 13:05:47.293059', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (275, 30, 'Супер-пупер тест ', '', 1560, 2, '2020-12-11 18:11:38.586608', 'MIDDLE', 15, 'U', '2021-03-10 13:24:44.326186', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (1046, 28, 'Тест на вакансию АЗС ГО', '', 1800, 16, '2020-12-07 21:11:29.601927', 'JUNIOR', 15, 'I', '2020-12-07 21:11:29.675377', 'mmeleshko@loylabs.ru', 'mmeleshko@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (1047, 28, 'Тест на вакансию АЗС ГО', '', 1800, 16, '2020-12-07 21:11:29.601927', 'JUNIOR', 15, 'D', '2021-04-16 13:42:04.303827', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (1142, 45, 'Java 1', '', 3600, 2, '2021-11-02 21:05:26.684055', 'MIDDLE', 30, 'I', '2021-11-02 21:05:26.693371', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (1143, 45, 'Java 1', '', 3600, 2, '2021-11-02 21:05:26.684055', 'MIDDLE', 30, 'U', '2021-11-02 21:05:39.603815', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (1146, 39, 'Супер-тест для джава программиста2', '', 1800, 22, '2020-12-28 15:51:38.994919', 'JUNIOR', 15, 'I', '2020-12-28 15:51:38.997836', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (1147, 39, 'Супер-тест для джава программиста2', '', 1800, 22, '2020-12-28 15:51:38.994919', 'JUNIOR', 15, 'D', '2022-01-18 12:29:06.42282', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL, NULL);
INSERT INTO public.tests_history VALUES (1149, 52, 'fgdgf', '', 1800, 44, '2022-03-16 12:30:54.436648', 'SENIOR', 15, 'I', '2022-03-16 12:30:54.443886', 'aaaaa@aaa.aa', 'aaaaa@aaa.aa', NULL, NULL);
INSERT INTO public.tests_history VALUES (1150, 52, 'fgdgf', '', 1800, 44, '2022-03-16 12:30:54.436648', 'SENIOR', 15, 'D', '2022-03-23 02:48:59.20093', '', '', NULL, NULL);
INSERT INTO public.tests_history VALUES (1547, 59, 'Python Pro', '', 1800, 2, '2022-06-28 23:57:04.009024', NULL, 15, 'I', '2022-06-28 23:57:04.021474', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1596, 54, 'Коробов Вадим', '', 1800, 40, '2022-05-30 17:07:11.434257', NULL, 15, 'I', '2022-05-30 17:07:11.500254', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1597, 54, 'Коробов Вадим', '', 1800, 40, '2022-05-30 17:07:11.434257', NULL, 15, 'D', '2022-07-04 14:11:50.617942', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1598, 55, 'Зарубина Юлия', '', 1800, 40, '2022-05-30 17:12:19.032208', NULL, 15, 'I', '2022-05-30 17:12:19.035458', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1599, 55, 'Зарубина Юлия', '', 1800, 40, '2022-05-30 17:12:19.032208', NULL, 15, 'D', '2022-07-04 14:11:53.507798', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1600, 56, 'Java for Junior+', '', 3600, 40, '2022-06-01 13:37:12.055603', NULL, 30, 'I', '2022-06-01 13:37:12.058982', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1601, 56, 'Java for Junior+', '', 3600, 40, '2022-06-01 13:37:12.055603', NULL, 30, 'D', '2022-07-04 14:12:01.210905', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1813, 57, 'QA Junior+', '', 2700, 40, '2022-06-07 14:28:43.15126', NULL, 23, 'I', '2022-06-07 14:28:43.176096', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1814, 57, 'QA Junior+', '', 2700, 40, '2022-06-07 14:28:43.15126', NULL, 23, 'D', '2023-04-17 10:52:27.314965', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1815, 68, 'QA Middle', '', 2700, 40, '2023-04-14 17:35:10.699228', NULL, 23, 'I', '2023-04-14 17:35:10.708365', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1816, 68, 'QA Middle', '', 2700, 40, '2023-04-14 17:35:10.699228', NULL, 23, 'D', '2023-04-17 10:52:29.959888', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1817, 66, 'Java-разработчик', '', 2700, 40, '2023-03-28 10:25:35.405539', NULL, 23, 'I', '2023-03-28 10:25:35.450662', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1818, 66, 'Java-разработчик', '', 2700, 40, '2023-03-28 10:25:35.405539', NULL, 23, 'D', '2023-04-17 18:02:33.324888', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1819, 70, 'Тест Java', '', 2700, 40, '2023-04-17 18:04:33.397633', NULL, 23, 'I', '2023-04-17 18:04:33.40083', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1820, 70, 'Тест Java', '', 2700, 40, '2023-04-17 18:04:33.397633', NULL, 23, 'D', '2023-04-17 18:04:45.586489', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1821, 69, 'Java Junior+/Middle', '', 2700, 40, '2023-04-17 18:03:26.670255', NULL, 23, 'I', '2023-04-17 18:03:26.673547', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1822, 69, 'Java Junior+/Middle', '', 2700, 40, '2023-04-17 18:03:26.670255', NULL, 23, 'D', '2023-04-17 18:04:47.902442', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1823, 58, 'Java for Junior+', '', 2700, 40, '2022-06-07 14:32:09.991263', NULL, 23, 'I', '2022-06-07 14:32:09.994872', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1824, 58, 'Java for Junior+', '', 2700, 40, '2022-06-07 14:32:09.991263', NULL, 23, 'D', '2023-04-17 18:12:00.665701', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1825, 67, 'QA Junior+/Middle-', '', 1800, 40, '2023-04-12 11:45:26.020587', NULL, 15, 'I', '2023-04-12 11:45:26.029239', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1826, 67, 'QA Junior+/Middle-', '', 1800, 40, '2023-04-12 11:45:26.020587', NULL, 15, 'D', '2023-04-17 18:12:03.114973', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1964, 77, 'Пробный', '', 3600, 59, '2023-05-10 11:47:46.397222', NULL, 30, 'I', '2023-05-10 11:47:46.40012', 'asdobnov@loylabs.ru', 'asdobnov@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1965, 77, 'Пробный', '', 3600, 59, '2023-05-10 11:47:46.397222', NULL, 30, 'D', '2023-05-10 11:52:03.526968', 'asdobnov@loylabs.ru', 'asdobnov@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1966, 80, 'Тест на Java Junior', '', 2700, 60, '2023-05-12 18:12:51.657613', NULL, 23, 'I', '2023-05-12 18:12:51.663907', 'kknyazeva@loylabs.ru', 'kknyazeva@loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1967, 80, 'Тест на Java Junior', '', 2700, 60, '2023-05-12 18:12:51.657613', NULL, 23, 'D', '2023-05-12 18:15:00.47678', 'kknyazeva@loylabs.ru', 'kknyazeva@loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1968, 82, 'Ольга', '', 3600, 40, '2023-06-27 18:08:26.787611', NULL, 30, 'I', '2023-06-27 18:08:26.813392', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1969, 82, 'Ольга', '', 3600, 40, '2023-06-27 18:08:26.787611', NULL, 30, 'D', '2023-06-27 18:15:13.146273', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1970, 84, 'Java for Junior+', '', 2700, 40, '2023-07-14 18:54:38.738898', NULL, 23, 'I', '2023-07-14 18:54:38.7421', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1971, 84, 'Java for Junior+', '', 2700, 40, '2023-07-14 18:54:38.738898', NULL, 23, 'D', '2023-07-14 18:55:38.384047', 'opeshkova@loylabs.ru', 'opeshkova@loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1972, 94, 'Last Test', '', 1800, 51, '2023-09-27 17:16:23.794759', NULL, 15, 'I', '2023-09-27 17:16:23.797811', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1973, 94, 'Last Test', '', 1800, 51, '2023-09-27 17:16:23.794759', NULL, 15, 'D', '2023-09-28 12:15:49.413207', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1974, 95, 'gh', '', 2700, 51, '2023-09-28 12:17:18.263336', NULL, 23, 'I', '2023-09-28 12:17:18.284016', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1975, 95, 'gh', '', 2700, 51, '2023-09-28 12:17:18.263336', NULL, 23, 'D', '2023-09-28 12:17:22.50967', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1976, 91, 'Java ', '', 2700, 60, '2023-09-26 14:33:17.776432', NULL, 23, 'I', '2023-09-26 14:33:17.782466', 'kknyazeva@loylabs.ru', 'kknyazeva@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1977, 91, 'Java ', '', 2700, 60, '2023-09-26 14:33:17.776432', NULL, 23, 'D', '2023-10-02 13:08:56.395188', 'kknyazeva@loylabs.ru', 'kknyazeva@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1978, 97, '123', '', 3600, 51, '2023-10-02 15:01:24.579378', NULL, 30, 'I', '2023-10-02 15:01:24.582667', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1979, 97, '123', '', 3600, 51, '2023-10-02 15:01:24.579378', NULL, 30, 'D', '2023-10-02 15:02:49.475588', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1980, 98, 'ASD', '', 2700, 51, '2023-10-03 14:01:19.914362', NULL, 23, 'I', '2023-10-03 14:01:19.917354', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1981, 98, 'ASD', '', 2700, 51, '2023-10-03 14:01:19.914362', NULL, 23, 'D', '2023-10-03 14:01:40.776429', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1982, 99, 'ASD', '', 1800, 51, '2023-10-03 14:08:03.244891', NULL, 15, 'I', '2023-10-03 14:08:03.2478', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1983, 99, 'ASD', '', 1800, 51, '2023-10-03 14:08:03.244891', NULL, 15, 'D', '2023-10-03 14:09:02.365465', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1984, 100, 'ASD', '', 1800, 51, '2023-10-03 14:09:48.917457', NULL, 15, 'I', '2023-10-03 14:09:48.920298', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1985, 100, 'ASD', '', 1800, 51, '2023-10-03 14:09:48.917457', NULL, 15, 'D', '2023-10-03 14:09:59.760372', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1986, 86, 'Тест Java Developer ', '', 2700, 60, '2023-08-15 11:21:39.650086', NULL, 23, 'I', '2023-08-15 11:21:39.652937', 'kknyazeva@loylabs.ru', 'kknyazeva@loylabs.ru', true, NULL);
INSERT INTO public.tests_history VALUES (1987, 102, 'fgfgвппппп1113№№№;5', '', 2700, 51, '2023-11-03 15:13:43.051158', NULL, 23, 'I', '2023-11-03 15:13:43.054407', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', false, NULL);
INSERT INTO public.tests_history VALUES (1988, 102, 'fgfgвппппп1113№№№;5', '', 2700, 51, '2023-11-03 15:13:43.051158', NULL, 23, 'D', '2023-11-03 21:22:33.951399', 'test@testlab.loylabs.ru', 'test@testlab.loylabs.ru', false, NULL);


--
-- Data for Name: topics; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.topics VALUES (1, 1, 'Java Core', 'I', '2020-10-08 21:48:10.48303', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.topics VALUES (2, 2, 'Теория тестирования', 'I', '2020-12-03 20:57:27.561125', 'editor@mail.ru', 'editor@mail.ru');
INSERT INTO public.topics VALUES (7, 5, 'SQL', 'I', '2021-04-14 18:47:49.487956', 'sql_add_topics', 'sql_add_topics');
INSERT INTO public.topics VALUES (8, 5, 'NoSQL', 'I', '2021-04-14 18:47:49.487956', 'sql_add_topics', 'sql_add_topics');
INSERT INTO public.topics VALUES (9, 6, 'PHP', 'I', '2021-04-14 18:47:49.487956', 'sql_add_topics', 'sql_add_topics');
INSERT INTO public.topics VALUES (10, 7, 'Docker', 'I', '2021-04-14 18:47:49.487956', 'sql_add_topics', 'sql_add_topics');
INSERT INTO public.topics VALUES (11, 8, 'Проект', 'I', '2021-04-14 18:47:49.487956', 'sql_add_topics', 'sql_add_topics');
INSERT INTO public.topics VALUES (12, 8, 'Продукт', 'I', '2021-04-14 18:47:49.487956', 'sql_add_topics', 'sql_add_topics');
INSERT INTO public.topics VALUES (13, 1, 'Spring', 'I', '2021-04-14 18:47:49.487956', 'sql_add_topics', 'sql_add_topics');
INSERT INTO public.topics VALUES (14, 1, 'Hibernate', 'I', '2021-04-14 18:47:49.487956', 'sql_add_topics', 'sql_add_topics');
INSERT INTO public.topics VALUES (15, 9, 'Git', 'I', '2021-09-21 13:50:46.197992', 'editor@loylabs.ru', 'editor@loylabs.ru');
INSERT INTO public.topics VALUES (17, 10, 'Python', 'I', '2022-06-20 13:38:44.342133', '', '');
INSERT INTO public.topics VALUES (18, 11, 'Kafka', 'I', '2022-06-23 18:53:48.51028', '', '');
INSERT INTO public.topics VALUES (19, 11, 'ActiveMQ', 'I', '2022-08-25 13:06:35.905169', '', '');
INSERT INTO public.topics VALUES (20, 11, 'RabbitMQ', 'I', '2022-08-25 13:06:35.905169', '', '');
INSERT INTO public.topics VALUES (21, 11, 'IBM MQ', 'I', '2022-08-25 13:06:35.905169', '', '');
INSERT INTO public.topics VALUES (22, 14, 'Apache Camel', 'I', '2022-08-25 13:11:24.443862', '', '');
INSERT INTO public.topics VALUES (23, 15, 'React', 'I', '2023-04-19 14:05:31.756872', 'editor@loylabs.ru', 'editor@loylabs.ru');


--
-- Data for Name: topics_history; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--



--
-- Data for Name: user_roles; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.user_roles VALUES (40, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (40, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (41, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (41, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (1, 'ROLE_SUPERUSER');
INSERT INTO public.user_roles VALUES (42, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (42, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (56, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (56, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (58, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (58, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (59, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (59, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (60, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (60, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (48, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (48, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (48, 'ROLE_SUPERUSER');
INSERT INTO public.user_roles VALUES (61, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (61, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (50, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (50, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (62, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (62, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (63, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (63, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (49, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (64, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (49, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (64, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (65, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (65, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (17, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (18, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (2, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (2, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (35, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (35, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (52, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (52, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (24, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (7, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (24, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (3, 'ROLE_EDITOR');
INSERT INTO public.user_roles VALUES (36, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (38, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (51, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (51, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (53, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (53, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (39, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (39, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (54, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (54, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (55, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (55, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (57, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (57, 'ROLE_ADMIN');
INSERT INTO public.user_roles VALUES (37, 'ROLE_USER');
INSERT INTO public.user_roles VALUES (37, 'ROLE_ADMIN');


--
-- Data for Name: users; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.users VALUES (51, 'test@testlab.loylabs.ru', '74664464644', '{bcrypt}$2a$10$dlAwUbxZShdRlcZquS7CSOqO/APKr089MmNIKCG1WOSk2eN3vUPte', '2022-04-06 05:48:12.616521', true, NULL, true, '8fKFqXTO4q8D2GKsl6CbKaPz', NULL, 'Тестовый', NULL, NULL, NULL, NULL, NULL, NULL, 4);
INSERT INTO public.users VALUES (53, 'ble89305@jeoce.com', '71111122222', '{bcrypt}$2a$10$XvJCvGkiFYOq9OPp1TiZOep5ykgXDcD164bRsC6KdKtQl0/Zk9UWi', '2022-07-06 13:15:35.401268', true, NULL, true, 'EpWwJSivYTz3nNXsYNyEXqxz', NULL, 'Да да я', NULL, NULL, NULL, NULL, NULL, NULL, 5);
INSERT INTO public.users VALUES (39, 'iredplanet@gmail.com', NULL, '{bcrypt}$2a$10$KziI1x1CEFOnW1yiqAyXMu1fcBWjbX5QhVoqc2AUioHoPjtn.3FDq', '2022-01-18 12:31:52.46415', true, NULL, true, 'kJYOZdGVgI2gm229rQjbmRBC', NULL, 'Владимир', NULL, NULL, 'I', '2022-01-18 12:31:52.463558', '', '', 0);
INSERT INTO public.users VALUES (55, 'testintester1337@gmail.com', '89019428548', '{bcrypt}$2a$10$7Je/FeTV6FfeOo2Eig3IdOiziMLQb762U3U.tjNN2Q5gkGFRXU8pm', '2022-07-12 14:23:02.653508', true, NULL, false, '6HHGCkqnD077oUcVgfNtORQ3', NULL, 'garry', NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO public.users VALUES (57, 'stanislavlang7@gmail.com', '89994606574', '{bcrypt}$2a$10$ZkjsjN6NhsvRG9.w8nWebepQ.gPEf6l/dgt3lBRtkUc4Y23DP38BK', '2022-08-25 13:21:35.045511', true, NULL, false, 'WmBYXrnJdfz3clzzbwbP1KzD', NULL, 'Станислав', NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO public.users VALUES (59, 'asdobnov@loylabs.ru', '79995180880', '{bcrypt}$2a$10$Y4CqR4nO6JLRCBGkbvcHUunaRxVe01w8QWupXYtTet7fnB2EWv6vq', '2023-04-19 11:28:49.429152', true, NULL, true, 'BjpgK5p50Fp2aKEZbGVZ1BU9', NULL, 'Александр Сдобнов', NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO public.users VALUES (61, 'zoz90527@nezid.com', '79999999999', '{bcrypt}$2a$10$6ZVjcEQsbjobwWzdNIKiguweDNMj0fXoUzAopdQm.qkdt7sC.Ttv6', '2023-05-11 09:52:39.680397', true, NULL, true, 'fuGpMweT6KnAY4elliCmGpxi', NULL, 'zoz90527@nezid.com', NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO public.users VALUES (63, 'sanoki5387@semonir.com', '89051234567', '{bcrypt}$2a$10$mfeLxAafhCxuK.ME0r1XhO03mDfTHaBFJEuTnUAksYmUnhW9cmNyW', '2023-07-17 17:42:59.464917', true, NULL, true, 'Q0zx1CLyoa2lFcz4OFCYgYtC', NULL, 'sanoki5387', NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO public.users VALUES (65, 'ivanleushin1997@gmail.com', '89962311082', '{bcrypt}$2a$10$dxfuK/RzTCVNUq61Ye45VeeaceN/VCHmB49g6Ij/sO7m1QLJM64ly', '2023-10-13 18:29:01.433236', true, NULL, false, 'z0ANcSrIpQr3AfMtrSJFhO1H', NULL, 'Иван', NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO public.users VALUES (1, 'max.meleshko@gmail.com', NULL, '{bcrypt}$2a$10$C5ESfeZ.hFUTNgWsetBlAOmnP0TRvhYNPcH6t3Njw33x0.Sq7I4nm', '2020-10-08 21:36:39.739347', true, NULL, true, 'yKEiB3k1oA7tV2R9bpz2ZQe4', NULL, NULL, NULL, NULL, 'I', '2020-10-08 21:36:39.746262', '', '', 0);
INSERT INTO public.users VALUES (17, 'ermakova.katrin@gmail.com', NULL, '{bcrypt}$2a$10$pvn01zLgMuR.jclayETYNe.tRE63Eg9thmVqty5bUHxvmeZUdYqdC', '2020-12-11 12:49:12.18793', true, 2, true, 'j0n7JbGnZOrT4yFhnCKga8Lh', NULL, NULL, NULL, NULL, 'I', '2020-12-11 12:49:12.18655', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', 0);
INSERT INTO public.users VALUES (18, 'tarasova.yun@gazprom-neft.ru', NULL, '{bcrypt}$2a$10$SJKZkkB6NueWbDXlhZVC6OwZFZpX7B173qA3tFpsARIvKFLtnu30O', '2020-12-15 12:45:16.572582', true, 2, true, '07jf2sGfH4uh0B9xvsIee81o', NULL, NULL, NULL, NULL, 'I', '2020-12-15 12:45:16.571288', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', 0);
INSERT INTO public.users VALUES (24, 'testreg@loylabs.ru', NULL, '{bcrypt}$2a$10$fjfcXmqSs/AM1ZsTDIhCXepN5JpOhTFl02qi9XnRkW72v9rfRsClG', '2021-04-03 11:00:48.356997', true, NULL, true, 'ijXf2VFbMlJINXGsz0uNPo0O', NULL, NULL, NULL, NULL, 'I', '2021-04-03 11:00:48.356254', '', '', 0);
INSERT INTO public.users VALUES (7, 'murkes94@gmail.com', NULL, '{bcrypt}$2a$10$ZgwjqfAhMBuGcbP0cXnouuiyukL2AlaJVH7jXgxD5ZlviVEeYWXyS', '2020-11-03 18:58:27.704797', true, 2, true, 'itMhnvnXZVLE3TCs2YFimUAJ', NULL, '', '', '', 'U', '2020-11-23 15:26:14.524992', 'murkes944444@gmail.com', 'murkes944444@gmail.com', 0);
INSERT INTO public.users VALUES (40, 'opeshkova@loylabs.ru', NULL, '{bcrypt}$2a$10$6p9nD78M0R8j1e2IVFcYiu3iDGu8wwOf9MN47km7.ig.q2a6r/BI.', '2022-02-09 13:10:15.786128', true, NULL, true, 'eZVjSRCiuQty0m482pM0n00I', NULL, NULL, NULL, NULL, 'I', '2022-02-09 13:10:15.785512', '', '', 0);
INSERT INTO public.users VALUES (41, 'editor@loylabs.fdfd', NULL, '{bcrypt}$2a$10$yNbwhwt94VlUmtxSOXtDGePu0iA0hm9ovNFz1aTBr7pNKjN.nR5ju', '2022-02-22 11:43:02.613644', true, NULL, true, '2fhGvwA4IkNgQEq0pPYKGs2P', NULL, NULL, NULL, NULL, 'I', '2022-02-22 11:43:02.612984', '', '', 0);
INSERT INTO public.users VALUES (42, 'yji71534@boofx.com', NULL, '{bcrypt}$2a$10$ARbCLEqMYoGa1W.0YOyltOVmbs6Ui/4PSdC4YeF9ND4uOY4V5/V76', '2022-02-25 13:11:56.661779', true, NULL, true, 'gO882pKpmQC8FySEEuTe0hvo', NULL, NULL, NULL, NULL, 'I', '2022-02-25 13:11:56.661123', '', '', 0);
INSERT INTO public.users VALUES (35, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$6x9lUEc9BZOYWuiZWw.Cnewcnt0zPF/bQSZTfN53YiJNfHYNKTitu', '2021-04-06 13:57:28.146416', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'U', '2021-04-06 13:57:39.831407', 'amurkes@loylabs.ru', 'amurkes@loylabs.ru', 0);
INSERT INTO public.users VALUES (48, 'super@user.ololo', '73456734563', '{bcrypt}$2a$10$cuTEJ62OgdCNsisVwm3DL.LljK.jQReZymVaPGWB/Pddfpl9BPN76', '2022-03-23 04:31:37.225608', true, NULL, true, 'PMYTHFXbtZHvdHuNHZLPw8Gi', NULL, 'fdfd', 'fdfd', 'fdfd', 'I', '2022-03-23 04:31:37.224645', '', '', 0);
INSERT INTO public.users VALUES (3, 'editor@loylabs.ru', NULL, '{bcrypt}$2a$10$TInYKiVIAIBK9ff/6xNXGe7hl388Bfbdod/q7coI9I1Ww35jCGzua', '2020-10-08 21:42:14.115624', true, 1, true, '6Qccg2happmWIdkLv6DNGg1Q', NULL, 'Ivan', 'Ivanov', NULL, 'U', '2021-04-15 15:30:39.545908', 'editor@loylabs.ru', 'editor@loylabs.ru', 0);
INSERT INTO public.users VALUES (36, 'ada103103103@gmail.com', NULL, '{bcrypt}$2a$10$ZrZ1v6hb/0qvPPV9S1kZzeX4wXLGBBukduSwPNPuw6giHYm59ozD2', '2021-04-16 13:42:20.755628', true, 2, true, 'qyuXGVTnG5t9f4uOjppr8mNm', NULL, NULL, NULL, NULL, 'I', '2021-04-16 13:42:20.754328', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', 0);
INSERT INTO public.users VALUES (60, 'kknyazeva@loylabs.ru', '89110340240', '{bcrypt}$2a$10$hAs/cPSs6MrH5AykHBauXe.O0u/XhMZdAoUvH.5YRQt5/b5Bzu56e', '2023-05-10 11:37:05.022851', true, NULL, true, 'tPrtm2etFFWayQW2QqXwzbCc', NULL, 'Кристина', NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO public.users VALUES (49, 'dmalahov@mail.ru', '79991761365', '{bcrypt}$2a$10$rNNBdD.yYDEa2RYk2lmGKehzbQAB20Cu/wISgQmFmRaqiTGVboRyq', '2022-03-23 04:52:13.791806', true, NULL, true, 'bcsVwFobpIOghlq0WN6a4tm4', 'YthG67MEtrVjPouYPU5p7Akt', 'Дмитрий', 'Выавыа', 'Выаыва', NULL, NULL, NULL, NULL, 0);
INSERT INTO public.users VALUES (50, 'dmalahov@loylabs.ru', '79991111111', '{bcrypt}$2a$10$U9LaVnRgAqDJhA2YDbhuK.bplci7WOSkzYbUs2EEwIgNvESGNxv/y', '2022-03-23 04:53:01.139931', true, NULL, true, NULL, 'nDxsJuNgggLeXkYrsBtmS0Xl', 'Дмитрий', 'Выавыа', 'Выаыва', NULL, NULL, NULL, NULL, 0);
INSERT INTO public.users VALUES (2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, true, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', '', 'U', '2020-12-03 16:57:41.493919', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', 2);
INSERT INTO public.users VALUES (52, 'sergey.smirnovg@gmail.com', '79209539490', '{bcrypt}$2a$10$HLlllrmq7C1SO8OAYkFb4O.vLg5LJb.7BbXcVW/h6Ds7JaFBtM8fa', '2022-05-25 01:03:29.517138', true, NULL, false, 'ivij6t6jCRfhd59vxiF7d6SY', NULL, 'Сергей ', NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO public.users VALUES (38, 'iredplanet@yandex.ru', NULL, '{bcrypt}$2a$10$t/9hZbeBXX38j4GJeiLRaOLeDTy3WSMoC8N88kT1RaR6BRpDHagTe', '2022-01-18 12:29:08.1617', true, 2, true, 'y5Jf0qIXYgvbieKQDaOkMbMX', NULL, NULL, NULL, NULL, 'I', '2022-01-18 12:29:08.160533', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', 0);
INSERT INTO public.users VALUES (62, 'gopi-07@mail.ru', '89650663961', '{bcrypt}$2a$10$jIrl6nwW/J4SdW8L20aGL.qbRS3H9buOD6UEiCOPHsJ7ieSs77h26', '2023-06-26 10:32:17.696704', true, NULL, true, 'eZDoM4P3lpWs6M6eUJmCMeRu', NULL, 'Anton', NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO public.users VALUES (54, 'perez9898@mail.ru', '89019428538', '{bcrypt}$2a$10$0IRgSeJw9O1mB5uUJQ7OreVkgrkFpAJxWkmjxD6ms83sBzxTIVQx6', '2022-07-12 14:15:20.148896', true, NULL, false, '9PxIXAT0NYUsLLuiVxRkRl5G', NULL, 'Badger', NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO public.users VALUES (64, 'dojon10009@ridteam.com', '89571234567', '{bcrypt}$2a$10$ou/zF/TZujPgZ4LNL/GMvuVYm7hW7z48dw9ccVnlZXTZ9GIf1I67m', '2023-07-18 10:58:39.721168', true, NULL, true, 'eiqMGkv2QfUYlZWHoMQeMqOO', NULL, 'dojon10009', NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO public.users VALUES (37, 'mmeleshko@loylabs.ru', NULL, '{bcrypt}$2a$10$XOLRUJh8IQ41ruUMf6CKDuosynS9tOpFIC4W56LLixV01yJiQF6Pq', '2021-11-02 20:58:26.763738', true, NULL, true, 'YBzyc4thpfQJo7b3K9XbQMCD', NULL, NULL, NULL, NULL, 'I', '2021-11-02 20:58:26.763062', '', '', 0);
INSERT INTO public.users VALUES (56, 'akurtikov@loylabs.ru', '89537779495', '{bcrypt}$2a$10$mRjKR4kbSNEPJQEhOdmFiOO7qZGP0rm/ph8nH7eMYn1p2kSeKc3YG', '2022-08-22 16:36:12.133386', true, NULL, true, 'OOsROgLiDIEfStzXESGVgMTa', NULL, 'Аркадий', NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO public.users VALUES (58, 'anovikov@loylabs.ru', '79137062757', '{bcrypt}$2a$10$x0LfVPsv62M0QAyvkxvv6eiCn81npMx5y27U0q47YelpVCI91UNGm', '2022-12-05 13:13:09.825924', true, NULL, false, '6JBGvwofS18SfbI1FO5SpV4R', NULL, 'Александр Новиков', NULL, NULL, NULL, NULL, NULL, NULL, 0);


--
-- Data for Name: users_history; Type: TABLE DATA; Schema: public; Owner: dbu_testlab
--

INSERT INTO public.users_history VALUES (2, 2, 'atrohochevskaya@loylabs.ru', NULL, '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, NULL, NULL, NULL, 'I', '2020-10-08 21:36:43.976924', '', '', NULL);
INSERT INTO public.users_history VALUES (3, 2, 'atrohochevskaya@loylabs.ru', '', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, '', '', '', 'U', '2020-10-09 19:14:22.376714', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (4, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, '', '', '', 'U', '2020-10-09 19:14:51.34268', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (5, 2, 'atrohochevskaya@loylabs.ru', '9213761157', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, '', '', '', 'U', '2020-10-09 19:18:08.393391', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (6, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, '', '', '', 'U', '2020-10-09 19:18:52.665449', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (7, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', '', '', 'U', '2020-10-09 19:19:07.730801', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (8, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', 'fff', '', 'U', '2020-10-09 19:29:36.236624', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (9, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', 'fff2', '', 'U', '2020-10-09 20:12:12.22832', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (10, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', 'fff0', '', 'U', '2020-10-09 20:14:26.726441', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (11, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', 'fff01', '', 'U', '2020-10-09 20:15:06.504978', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (12, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', 'fff01', '', 'U', '2020-10-09 20:17:44.464351', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (13, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', 'fff01', '', 'U', '2020-10-09 20:18:57.931744', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (14, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', 'fff01', '', 'U', '2020-10-09 20:20:57.763152', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (15, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', 'fff012', '', 'U', '2020-10-09 20:21:51.579351', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (16, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', 'fff0125', '', 'U', '2020-10-09 20:21:58.667113', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (18, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', 'ff22', '', 'U', '2020-10-09 20:27:09.16015', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (19, 2, 'avarlamova@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', 'ff22', '', 'U', '2020-11-14 17:09:50.449954', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (20, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', 'ff22', '', 'U', '2020-11-14 17:16:03.13623', 'avarlamova@loylabs.ru', 'avarlamova@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (21, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', 'ff22', '', 'U', '2020-11-14 17:26:33.743403', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (22, 2, 'atrohochevskay@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', 'ff22', '', 'U', '2020-11-14 17:26:39.114928', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (23, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Саша', 'ff22', '', 'U', '2020-11-14 17:31:12.274209', 'atrohochevskay@loylabs.ru', 'atrohochevskay@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (24, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'ff22', '', 'U', '2020-11-14 17:31:41.783452', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (25, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', '', 'U', '2020-11-14 17:33:01.765812', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (26, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-14 17:33:08.493419', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (27, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-14 17:33:18.633239', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (28, 2, 'atrohochevskayauuuuuuuuuuuuuuuuuuuuuuuuuuuuuu@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-14 17:37:34.554005', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (29, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-14 17:37:59.813013', 'atrohochevskayauuuuuuuuuuuuuuuuuuuuuuuuuuuuuu@loylabs.ru', 'atrohochevskayauuuuuuuuuuuuuuuuuuuuuuuuuuuuuu@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (123, 8, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$s7gCoatvCQ/wKvje/hZp6udsJdoV7Ntkgvbl3rRid9QB9a3bwMHt.', '2020-11-10 15:59:17.89531', true, 2, false, 'SYKh2gcjKJZxXJYbXGY9zWET', NULL, NULL, NULL, NULL, 'D', '2020-12-02 10:32:57.639331', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (30, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-14 17:42:22.687417', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (31, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-14 17:42:36.37904', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (32, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-14 17:43:01.312229', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (33, 2, 'atrohochevskaya@loylabs.ru', NULL, '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-14 17:49:31.64534', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (34, 2, 'atrohochevskaya@loylabs.ru', NULL, '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, '', 'Трохочевская', 'Анатольевна', 'U', '2020-11-14 17:49:36.470996', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (35, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-14 17:50:17.570965', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (36, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-14 17:50:45.858155', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (37, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'аааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааа', 'Трохочевская', 'Анатольевна', 'U', '2020-11-14 19:18:15.436173', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (38, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'ааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааа', 'Трохочевская', 'Анатольевна', 'U', '2020-11-14 19:18:50.267707', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (39, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'ааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааа', 'Анатольевна', 'U', '2020-11-14 19:18:58.215948', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (40, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'аааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааа', 'Анатольевна', 'U', '2020-11-14 19:19:01.338938', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (41, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'аааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааа', 'Анатольевна', 'U', '2020-11-14 19:19:09.906943', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (42, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'аааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааа', 'Анатольевна', 'U', '2020-11-14 19:20:52.774938', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (43, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'аааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааааа', 'U', '2020-11-14 19:23:34.077603', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (44, 9, 'avarlamova@loylabs.ru', NULL, '{bcrypt}$2a$10$E0YzWzOn6QnMkzrDX6fViuu/GN74HNguY2HJQ/UNmOa6h5oafwXs6', '2020-11-14 19:43:48.878253', true, 2, false, 'R3BZYChxLaoHpipWSwyTSYch', NULL, NULL, NULL, NULL, 'I', '2020-11-14 19:43:48.876853', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (45, 9, 'avarlamova@loylabs.ru', NULL, '{bcrypt}$2a$10$E0YzWzOn6QnMkzrDX6fViuu/GN74HNguY2HJQ/UNmOa6h5oafwXs6', '2020-11-14 19:43:48.878253', true, 2, false, 'R3BZYChxLaoHpipWSwyTSYch', NULL, NULL, NULL, NULL, 'D', '2020-11-14 19:45:00.802971', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (46, 10, 'avarlamova@loylabs.ru', NULL, '{bcrypt}$2a$10$wRVSqwcZjMFXrf4xYVjSp.KgXLZktjV/p9..UFOqFl02SWturCVT6', '2020-11-14 19:50:57.591491', true, 2, false, 'CryxSwdJwNuqDKM8L8jxE00f', NULL, NULL, NULL, NULL, 'I', '2020-11-14 19:50:57.590228', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (47, 10, 'avarlamova@loylabs.ru', NULL, '{bcrypt}$2a$10$wRVSqwcZjMFXrf4xYVjSp.KgXLZktjV/p9..UFOqFl02SWturCVT6', '2020-11-14 19:50:57.591491', true, 2, false, 'CryxSwdJwNuqDKM8L8jxE00f', NULL, NULL, NULL, NULL, 'D', '2020-11-14 19:51:18.553671', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (48, 11, 'avarlamova@loylabs.ru', NULL, '{bcrypt}$2a$10$5WCY7NAl5KLUyswOaVL9Y.1Kgg5mRYw5NCl3tAd5SjiCxRszSaPYi', '2020-11-14 19:51:50.40551', true, 2, false, 'NyaLLhnMukP6633SWO7MXBCS', NULL, NULL, NULL, NULL, 'I', '2020-11-14 19:51:50.404228', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (49, 11, 'avarlamova@loylabs.ru', NULL, '{bcrypt}$2a$10$5WCY7NAl5KLUyswOaVL9Y.1Kgg5mRYw5NCl3tAd5SjiCxRszSaPYi', '2020-11-14 19:51:50.40551', true, 2, false, 'NyaLLhnMukP6633SWO7MXBCS', NULL, NULL, NULL, NULL, 'D', '2020-11-14 19:53:32.844876', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (969, 26, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$7bgCTny0OOYfYuZQij5/PObTy4GCLRzJ4u9VGG8oz7tEYNoiyydee', '2021-04-05 20:36:09.988837', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'D', '2021-04-05 19:39:39.358271', '', '', NULL);
INSERT INTO public.users_history VALUES (50, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-14 19:23:39.641995', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (68, 12, 'avarlamova@loylabs.ru', NULL, '{bcrypt}$2a$10$/6BGpe7HgMTSyQib3OH9a.XWOfrBF9QlPG6fFzawiPvPkjuD7Eelm', '2020-11-14 19:55:02.774655', true, 2, false, 'wcNPFXo9Zbj2v7Lr7eSoJc5X', NULL, NULL, NULL, NULL, 'I', '2020-11-14 19:55:02.773551', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (69, 7, 'murkes94@gmail.com', NULL, '{bcrypt}$2a$10$ZgwjqfAhMBuGcbP0cXnouuiyukL2AlaJVH7jXgxD5ZlviVEeYWXyS', '2020-11-03 18:58:27.704797', true, 2, false, 'itMhnvnXZVLE3TCs2YFimUAJ', NULL, NULL, NULL, NULL, 'I', '2020-11-03 18:58:27.702704', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (70, 7, 'murkes94@gmail.com', NULL, '{bcrypt}$2a$10$ZgwjqfAhMBuGcbP0cXnouuiyukL2AlaJVH7jXgxD5ZlviVEeYWXyS', '2020-11-03 18:58:27.704797', true, 2, false, 'itMhnvnXZVLE3TCs2YFimUAJ', NULL, '', '', '', 'U', '2020-11-23 13:09:27.42376', 'murkes94@gmail.com', 'murkes94@gmail.com', NULL);
INSERT INTO public.users_history VALUES (71, 7, 'murkes943@gmail.com', NULL, '{bcrypt}$2a$10$ZgwjqfAhMBuGcbP0cXnouuiyukL2AlaJVH7jXgxD5ZlviVEeYWXyS', '2020-11-03 18:58:27.704797', true, 2, false, 'itMhnvnXZVLE3TCs2YFimUAJ', NULL, '', '', '', 'U', '2020-11-23 13:09:31.848625', 'murkes94@gmail.com', 'murkes94@gmail.com', NULL);
INSERT INTO public.users_history VALUES (72, 7, 'murkes943@gmail.com', NULL, '{bcrypt}$2a$10$ZgwjqfAhMBuGcbP0cXnouuiyukL2AlaJVH7jXgxD5ZlviVEeYWXyS', '2020-11-03 18:58:27.704797', true, 2, false, 'itMhnvnXZVLE3TCs2YFimUAJ', NULL, '', '', '', 'U', '2020-11-23 13:09:32.879359', 'murkes943@gmail.com', 'murkes943@gmail.com', NULL);
INSERT INTO public.users_history VALUES (77, 13, 'varlamova23@gmail.com', NULL, '{bcrypt}$2a$10$JD5GOJCI8YUQFlZ/6evPQeLmYgBHOJg3XKljUVEg7BUhjlnXwij4a', '2020-11-23 15:10:45.940329', true, 2, false, 'R9JfsSE7LhJeOBlUEBE5kfI3', NULL, NULL, NULL, NULL, 'I', '2020-11-23 15:10:45.938928', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (78, 13, 'varlamova23@gmail.com', NULL, '{bcrypt}$2a$10$JD5GOJCI8YUQFlZ/6evPQeLmYgBHOJg3XKljUVEg7BUhjlnXwij4a', '2020-11-23 15:10:45.940329', true, 2, false, 'R9JfsSE7LhJeOBlUEBE5kfI3', NULL, NULL, NULL, NULL, 'D', '2020-11-23 15:10:55.327944', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (79, 7, 'murkes94@gmail.com', NULL, '{bcrypt}$2a$10$ZgwjqfAhMBuGcbP0cXnouuiyukL2AlaJVH7jXgxD5ZlviVEeYWXyS', '2020-11-03 18:58:27.704797', true, 2, false, 'itMhnvnXZVLE3TCs2YFimUAJ', NULL, '', '', '', 'U', '2020-11-23 13:09:35.661234', 'murkes943@gmail.com', 'murkes943@gmail.com', NULL);
INSERT INTO public.users_history VALUES (80, 7, 'murkes942@gmail.com', NULL, '{bcrypt}$2a$10$ZgwjqfAhMBuGcbP0cXnouuiyukL2AlaJVH7jXgxD5ZlviVEeYWXyS', '2020-11-03 18:58:27.704797', true, 2, false, 'itMhnvnXZVLE3TCs2YFimUAJ', NULL, '', '', '', 'U', '2020-11-23 15:26:03.932778', 'murkes94@gmail.com', 'murkes94@gmail.com', NULL);
INSERT INTO public.users_history VALUES (81, 7, 'murkes9423@gmail.com', NULL, '{bcrypt}$2a$10$ZgwjqfAhMBuGcbP0cXnouuiyukL2AlaJVH7jXgxD5ZlviVEeYWXyS', '2020-11-03 18:58:27.704797', true, 2, false, 'itMhnvnXZVLE3TCs2YFimUAJ', NULL, '', '', '', 'U', '2020-11-23 15:26:05.668361', 'murkes942@gmail.com', 'murkes942@gmail.com', NULL);
INSERT INTO public.users_history VALUES (82, 7, 'murkes94@gmail.com', NULL, '{bcrypt}$2a$10$ZgwjqfAhMBuGcbP0cXnouuiyukL2AlaJVH7jXgxD5ZlviVEeYWXyS', '2020-11-03 18:58:27.704797', true, 2, false, 'itMhnvnXZVLE3TCs2YFimUAJ', NULL, '', '', '', 'U', '2020-11-23 15:26:08.597668', 'murkes9423@gmail.com', 'murkes9423@gmail.com', NULL);
INSERT INTO public.users_history VALUES (83, 7, 'murkes944444@gmail.com', NULL, '{bcrypt}$2a$10$ZgwjqfAhMBuGcbP0cXnouuiyukL2AlaJVH7jXgxD5ZlviVEeYWXyS', '2020-11-03 18:58:27.704797', true, 2, false, 'itMhnvnXZVLE3TCs2YFimUAJ', NULL, '', '', '', 'U', '2020-11-23 15:26:11.117689', 'murkes94@gmail.com', 'murkes94@gmail.com', NULL);
INSERT INTO public.users_history VALUES (84, 14, 'atrohochevskay@loylabs.ru', NULL, '{bcrypt}$2a$10$xwTqBGHz.9ncWKVaync5/umf/5BjCC8ANBqoPFMK9k7oIjFc474G2', '2020-11-23 15:22:56.961295', true, 2, false, 'jCxurvtPxcgrxgcLSwFD9EjQ', NULL, NULL, NULL, NULL, 'I', '2020-11-23 15:22:56.960072', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (85, 14, 'atrohochevskay@loylabs.ru', NULL, '{bcrypt}$2a$10$xwTqBGHz.9ncWKVaync5/umf/5BjCC8ANBqoPFMK9k7oIjFc474G2', '2020-11-23 15:22:56.961295', true, 2, false, 'jCxurvtPxcgrxgcLSwFD9EjQ', NULL, NULL, NULL, NULL, 'D', '2020-11-23 15:30:25.449889', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (86, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-14 19:56:57.553447', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (87, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-23 22:18:10.804119', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (89, 2, 'atrohochevskay@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-23 22:18:19.641043', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (90, 2, 'atrohochevskay@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-23 22:20:32.585882', 'atrohochevskay@loylabs.ru', 'atrohochevskay@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (91, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-23 22:22:40.244007', 'atrohochevskay@loylabs.ru', 'atrohochevskay@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (92, 2, 'atrohochevskay@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-23 22:23:18.950945', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (93, 2, 'atrohochevskay@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-23 22:23:20.244134', 'atrohochevskay@loylabs.ru', 'atrohochevskay@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (122, 8, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$s7gCoatvCQ/wKvje/hZp6udsJdoV7Ntkgvbl3rRid9QB9a3bwMHt.', '2020-11-10 15:59:17.89531', true, 2, false, 'SYKh2gcjKJZxXJYbXGY9zWET', NULL, NULL, NULL, NULL, 'I', '2020-11-10 15:59:17.893909', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (970, 27, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$LL1lQcHPN/yM8k6ZjBIIEu3xfK2szyRa3ou89r0Qg4b2NILpAWlkW', '2021-04-05 20:39:48.425484', true, NULL, false, '98rYlA2TX3IozOVSLIUvHq1P', NULL, NULL, NULL, NULL, 'I', '2021-04-05 20:39:48.424887', '', '', NULL);
INSERT INTO public.users_history VALUES (124, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-11-23 22:23:26.864394', 'atrohochevskay@loylabs.ru', 'atrohochevskay@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (125, 3, 'editor@mail.ru', NULL, '{bcrypt}$2a$10$zaagAEUUGC0RMNCEHCUB8.Spzvhh1wCLi8M77OU4UJxYhCmUX/WDO', '2020-10-08 21:42:14.115624', true, 1, false, '6Qccg2happmWIdkLv6DNGg1Q', NULL, NULL, NULL, NULL, 'I', '2020-10-08 21:42:14.114922', 'max.meleshko@gmail.com', 'max.meleshko@gmail.com', NULL);
INSERT INTO public.users_history VALUES (126, 3, 'editor@mail.ru', '9999999999', '{bcrypt}$2a$10$zaagAEUUGC0RMNCEHCUB8.Spzvhh1wCLi8M77OU4UJxYhCmUX/WDO', '2020-10-08 21:42:14.115624', true, 1, false, '6Qccg2happmWIdkLv6DNGg1Q', NULL, 'Редактор', 'Вопросов', 'И тем', 'U', '2020-12-03 15:25:44.147013', 'editor@mail.ru', 'editor@mail.ru', NULL);
INSERT INTO public.users_history VALUES (127, 3, 'editor@mail.ru', '9999999999', '{bcrypt}$2a$10$zaagAEUUGC0RMNCEHCUB8.Spzvhh1wCLi8M77OU4UJxYhCmUX/WDO', '2020-10-08 21:42:14.115624', true, 1, false, '6Qccg2happmWIdkLv6DNGg1Q', NULL, 'Редакто', 'Вопросов', 'И тем', 'U', '2020-12-03 15:25:53.333158', 'editor@mail.ru', 'editor@mail.ru', NULL);
INSERT INTO public.users_history VALUES (276, 23, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$bN5nFDeEk64RUTaDtB8kJOYvvrVmsXXB.pDfSkraG1XkmIrQLfg1O', '2021-03-29 18:09:07.090688', true, NULL, false, 'aFRJYtnpypzCvckqsYAvBSCA', NULL, NULL, NULL, NULL, 'I', '2021-03-29 18:09:07.090019', '', '', NULL);
INSERT INTO public.users_history VALUES (128, 3, 'editor@mail.ru', '9999999999', '{bcrypt}$2a$10$zaagAEUUGC0RMNCEHCUB8.Spzvhh1wCLi8M77OU4UJxYhCmUX/WDO', '2020-10-08 21:42:14.115624', true, 1, false, '6Qccg2happmWIdkLv6DNGg1Q', NULL, 'Редактор', 'Вопросов', 'И тем', 'U', '2020-12-03 15:25:56.170556', 'editor@mail.ru', 'editor@mail.ru', NULL);
INSERT INTO public.users_history VALUES (129, 3, 'editor@mail.rup', '9999999999', '{bcrypt}$2a$10$zaagAEUUGC0RMNCEHCUB8.Spzvhh1wCLi8M77OU4UJxYhCmUX/WDO', '2020-10-08 21:42:14.115624', true, 1, false, '6Qccg2happmWIdkLv6DNGg1Q', NULL, 'Редактор', 'Вопросов', 'И тем', 'U', '2020-12-03 15:26:04.83214', 'editor@mail.ru', 'editor@mail.ru', NULL);
INSERT INTO public.users_history VALUES (130, 15, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$ycuxsOgl03zlnMiv5b/NJ.FjHQcQL0matd56FVOBMtOR.ye9DEUG6', '2020-12-02 10:33:01.530438', true, 2, false, 'kzeJRmFOy7RX1LyVYaSSLZwT', NULL, NULL, NULL, NULL, 'I', '2020-12-02 10:33:01.528515', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (131, 15, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$ycuxsOgl03zlnMiv5b/NJ.FjHQcQL0matd56FVOBMtOR.ye9DEUG6', '2020-12-02 10:33:01.530438', true, 2, false, 'kzeJRmFOy7RX1LyVYaSSLZwT', NULL, 'Александра', '', '', 'U', '2020-12-03 16:36:01.70643', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL);
INSERT INTO public.users_history VALUES (132, 15, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$ycuxsOgl03zlnMiv5b/NJ.FjHQcQL0matd56FVOBMtOR.ye9DEUG6', '2020-12-02 10:33:01.530438', true, 2, false, 'kzeJRmFOy7RX1LyVYaSSLZwT', NULL, 'Александра', '', 'Анатольевна', 'U', '2020-12-03 16:36:10.482376', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL);
INSERT INTO public.users_history VALUES (138, 12, 'avarlamova@loylabs.ru', '9643336017', '{bcrypt}$2a$10$/6BGpe7HgMTSyQib3OH9a.XWOfrBF9QlPG6fFzawiPvPkjuD7Eelm', '2020-11-14 19:55:02.774655', true, 2, false, 'wcNPFXo9Zbj2v7Lr7eSoJc5X', NULL, 'Анна', 'Варламова', 'Николаевна', 'U', '2020-11-14 22:08:28.061439', 'avarlamova@loylabs.ru', 'avarlamova@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (139, 12, 'avarlamova@loylabs.ru', '9643336017', '{bcrypt}$2a$10$/6BGpe7HgMTSyQib3OH9a.XWOfrBF9QlPG6fFzawiPvPkjuD7Eelm', '2020-11-14 19:55:02.774655', true, 2, false, 'wcNPFXo9Zbj2v7Lr7eSoJc5X', NULL, 'Анна', 'Варламова', 'Николаевна', 'U', '2020-12-03 16:47:25.648995', 'avarlamova@loylabs.ru', 'avarlamova@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (140, 12, 'avarlamova@loylabs.ru', '9643336017', '{bcrypt}$2a$10$/6BGpe7HgMTSyQib3OH9a.XWOfrBF9QlPG6fFzawiPvPkjuD7Eelm', '2020-11-14 19:55:02.774655', true, 2, false, 'wcNPFXo9Zbj2v7Lr7eSoJc5X', NULL, 'Анна', 'Варламова', 'Николаевна', 'U', '2020-12-03 16:47:25.995159', 'avarlamova@loylabs.ru', 'avarlamova@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (141, 12, 'avarlamova@loylabs.ru', '9643336018', '{bcrypt}$2a$10$/6BGpe7HgMTSyQib3OH9a.XWOfrBF9QlPG6fFzawiPvPkjuD7Eelm', '2020-11-14 19:55:02.774655', true, 2, false, 'wcNPFXo9Zbj2v7Lr7eSoJc5X', NULL, 'Анна', 'Варламова', 'Николаевна', 'U', '2020-12-03 16:47:29.440127', 'avarlamova@loylabs.ru', 'avarlamova@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (143, 12, 'avarlamova@loylabs.ru', '9643336017', '{bcrypt}$2a$10$/6BGpe7HgMTSyQib3OH9a.XWOfrBF9QlPG6fFzawiPvPkjuD7Eelm', '2020-11-14 19:55:02.774655', true, 2, false, 'wcNPFXo9Zbj2v7Lr7eSoJc5X', NULL, 'Анна', 'Варламова', 'Николаевна', 'U', '2020-12-03 16:47:32.965285', 'avarlamova@loylabs.ru', 'avarlamova@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (144, 2, 'atrohochevskaya@loylabs.ru', '9213761158', '{bcrypt}$2a$10$cu1HxIwaY5KomRcl40XiCu8un.9LOP/Akc5IkWTyZvE5hpmbYtV9C', '2020-10-08 21:36:43.975995', true, NULL, false, 'hgJ4kxtsN285wZWR8qNpllEA', NULL, 'Александра', 'Трохочевская', 'Анатольевна', 'U', '2020-12-03 15:20:30.784296', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (145, 12, 'avarlamova@loylabs.ru', NULL, '{bcrypt}$2a$10$/6BGpe7HgMTSyQib3OH9a.XWOfrBF9QlPG6fFzawiPvPkjuD7Eelm', '2020-11-14 19:55:02.774655', true, 2, false, 'wcNPFXo9Zbj2v7Lr7eSoJc5X', NULL, 'Анна', 'Варламова', 'Николаевна', 'U', '2020-12-03 16:57:41.174764', 'avarlamova@loylabs.ru', 'avarlamova@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (148, 15, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$ycuxsOgl03zlnMiv5b/NJ.FjHQcQL0matd56FVOBMtOR.ye9DEUG6', '2020-12-02 10:33:01.530438', true, 2, false, 'kzeJRmFOy7RX1LyVYaSSLZwT', NULL, 'Александра', 'Левина', 'Анатольевна', 'U', '2020-12-03 16:36:14.991886', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL);
INSERT INTO public.users_history VALUES (151, 15, 'ada103@yandex.ru', '9888888888', '{bcrypt}$2a$10$ycuxsOgl03zlnMiv5b/NJ.FjHQcQL0matd56FVOBMtOR.ye9DEUG6', '2020-12-02 10:33:01.530438', true, 2, false, 'kzeJRmFOy7RX1LyVYaSSLZwT', NULL, 'Александра', 'Левина', 'Анатольевна', 'U', '2020-12-03 16:58:43.976191', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL);
INSERT INTO public.users_history VALUES (154, 15, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$ycuxsOgl03zlnMiv5b/NJ.FjHQcQL0matd56FVOBMtOR.ye9DEUG6', '2020-12-02 10:33:01.530438', true, 2, false, 'kzeJRmFOy7RX1LyVYaSSLZwT', NULL, 'Александра', 'Левина', 'Анатольевна', 'U', '2020-12-03 16:58:47.58376', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL);
INSERT INTO public.users_history VALUES (159, 15, 'ada103@yandex.ru', '9681186029', '{bcrypt}$2a$10$ycuxsOgl03zlnMiv5b/NJ.FjHQcQL0matd56FVOBMtOR.ye9DEUG6', '2020-12-02 10:33:01.530438', true, 2, false, 'kzeJRmFOy7RX1LyVYaSSLZwT', NULL, 'Александра', 'Левина', 'Анатольевна', 'U', '2020-12-03 17:05:15.746456', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL);
INSERT INTO public.users_history VALUES (162, 15, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$ycuxsOgl03zlnMiv5b/NJ.FjHQcQL0matd56FVOBMtOR.ye9DEUG6', '2020-12-02 10:33:01.530438', true, 2, false, 'kzeJRmFOy7RX1LyVYaSSLZwT', NULL, 'Александра', 'Левина', 'Анатольевна', 'U', '2020-12-03 17:12:53.249223', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL);
INSERT INTO public.users_history VALUES (205, 12, 'avarlamova@loylabs.ru', '9643336017', '{bcrypt}$2a$10$/6BGpe7HgMTSyQib3OH9a.XWOfrBF9QlPG6fFzawiPvPkjuD7Eelm', '2020-11-14 19:55:02.774655', true, 2, false, 'wcNPFXo9Zbj2v7Lr7eSoJc5X', NULL, 'Анна', 'Варламова', 'Николаевна', 'U', '2020-12-03 16:58:01.891916', 'avarlamova@loylabs.ru', 'avarlamova@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (206, 12, 'avarlamova@loylabs.ru', '9643336017', '{bcrypt}$2a$10$/6BGpe7HgMTSyQib3OH9a.XWOfrBF9QlPG6fFzawiPvPkjuD7Eelm', '2020-11-14 19:55:02.774655', true, 2, false, 'wcNPFXo9Zbj2v7Lr7eSoJc5X', NULL, 'Анна', 'Варламова', 'Николаевна', 'D', '2020-12-15 12:45:15.036277', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (217, 15, 'ada103@yandex.ru', '9765432123', '{bcrypt}$2a$10$ycuxsOgl03zlnMiv5b/NJ.FjHQcQL0matd56FVOBMtOR.ye9DEUG6', '2020-12-02 10:33:01.530438', true, 2, false, 'kzeJRmFOy7RX1LyVYaSSLZwT', NULL, 'Александра', 'Левина', 'Анатольевна', 'U', '2020-12-03 17:14:49.985918', 'ada103@yandex.ru', 'ada103@yandex.ru', NULL);
INSERT INTO public.users_history VALUES (218, 15, 'ada103@yandex.ru', '9765432123', '{bcrypt}$2a$10$ycuxsOgl03zlnMiv5b/NJ.FjHQcQL0matd56FVOBMtOR.ye9DEUG6', '2020-12-02 10:33:01.530438', true, 2, false, 'kzeJRmFOy7RX1LyVYaSSLZwT', NULL, 'Александра', 'Левина', 'Анатольевна', 'D', '2020-12-22 12:45:15.526904', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (223, 19, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$dy2Skv9TM2Z9xDVmWLvn/.wF6iVl8ouBkcE5QNp75kKOevW31GjxC', '2020-12-22 12:45:24.068152', true, 2, false, 'EfXfp6vlq6eNh7Vt9Hk1t53B', NULL, NULL, NULL, NULL, 'I', '2020-12-22 12:45:24.066893', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (224, 19, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$dy2Skv9TM2Z9xDVmWLvn/.wF6iVl8ouBkcE5QNp75kKOevW31GjxC', '2020-12-22 12:45:24.068152', true, 2, false, 'EfXfp6vlq6eNh7Vt9Hk1t53B', NULL, NULL, NULL, NULL, 'D', '2020-12-22 14:57:49.674052', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (230, 20, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$98xRjfh2gNd8JX96DRW7R.Tfc33XF5YaoItvJmZt.VuGnU2YshXky', '2020-12-22 14:57:56.877887', true, 2, false, 'LKHWpLNTe6VObedBO7JI7x06', NULL, NULL, NULL, NULL, 'I', '2020-12-22 14:57:56.876052', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (231, 20, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$98xRjfh2gNd8JX96DRW7R.Tfc33XF5YaoItvJmZt.VuGnU2YshXky', '2020-12-22 14:57:56.877887', true, 2, false, 'LKHWpLNTe6VObedBO7JI7x06', NULL, NULL, NULL, NULL, 'D', '2020-12-23 16:23:57.079219', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (247, 21, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$SH5xevSIjG6.TN446dIhqeCiJKy.qrO/2351Q4xeYCZ8eh8PoF/dS', '2020-12-23 16:24:01.047428', true, 2, false, '9yKMKiIve923Gs8WGABLX8MO', NULL, NULL, NULL, NULL, 'I', '2020-12-23 16:24:01.046033', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (248, 21, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$SH5xevSIjG6.TN446dIhqeCiJKy.qrO/2351Q4xeYCZ8eh8PoF/dS', '2020-12-23 16:24:01.047428', true, 2, false, '9yKMKiIve923Gs8WGABLX8MO', NULL, NULL, NULL, NULL, 'D', '2020-12-28 15:04:59.581222', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (962, 23, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$bN5nFDeEk64RUTaDtB8kJOYvvrVmsXXB.pDfSkraG1XkmIrQLfg1O', '2021-03-29 18:09:07.090688', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'U', '2021-03-29 18:19:41.186814', 'amurkes@loylabs.ru', 'amurkes@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (963, 23, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$bN5nFDeEk64RUTaDtB8kJOYvvrVmsXXB.pDfSkraG1XkmIrQLfg1O', '2021-03-29 18:09:07.090688', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'D', '2021-04-05 18:58:34.199974', '', '', NULL);
INSERT INTO public.users_history VALUES (964, 25, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$UK6mjA/ZoNMiHWxiYSkv9.YGOcMCGtGOMiVeOMbODjcFJnpt1GkUu', '2021-04-05 19:58:52.48539', true, NULL, false, 'XOSOgZgtbWZrF2WHluRCZrfT', NULL, NULL, NULL, NULL, 'I', '2021-04-05 19:58:52.4848', '', '', NULL);
INSERT INTO public.users_history VALUES (965, 25, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$UK6mjA/ZoNMiHWxiYSkv9.YGOcMCGtGOMiVeOMbODjcFJnpt1GkUu', '2021-04-05 19:58:52.48539', true, NULL, false, 'XOSOgZgtbWZrF2WHluRCZrfT', NULL, NULL, NULL, NULL, 'D', '2021-04-05 19:35:31.147958', '', '', NULL);
INSERT INTO public.users_history VALUES (966, 26, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$7bgCTny0OOYfYuZQij5/PObTy4GCLRzJ4u9VGG8oz7tEYNoiyydee', '2021-04-05 20:36:09.988837', true, NULL, false, '782QPHjgyKkhWZtxiT1g77lR', NULL, NULL, NULL, NULL, 'I', '2021-04-05 20:36:09.988227', '', '', NULL);
INSERT INTO public.users_history VALUES (967, 26, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$7bgCTny0OOYfYuZQij5/PObTy4GCLRzJ4u9VGG8oz7tEYNoiyydee', '2021-04-05 20:36:09.988837', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'U', '2021-04-05 20:36:36.119913', 'amurkes@loylabs.ru', 'amurkes@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (968, 26, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$7bgCTny0OOYfYuZQij5/PObTy4GCLRzJ4u9VGG8oz7tEYNoiyydee', '2021-04-05 20:36:09.988837', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'U', '2021-04-05 20:36:36.170183', 'amurkes@loylabs.ru', 'amurkes@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (971, 27, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$LL1lQcHPN/yM8k6ZjBIIEu3xfK2szyRa3ou89r0Qg4b2NILpAWlkW', '2021-04-05 20:39:48.425484', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'U', '2021-04-05 20:40:40.134336', 'amurkes@loylabs.ru', 'amurkes@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (972, 27, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$LL1lQcHPN/yM8k6ZjBIIEu3xfK2szyRa3ou89r0Qg4b2NILpAWlkW', '2021-04-05 20:39:48.425484', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'U', '2021-04-05 20:40:40.134308', 'amurkes@loylabs.ru', 'amurkes@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (973, 27, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$LL1lQcHPN/yM8k6ZjBIIEu3xfK2szyRa3ou89r0Qg4b2NILpAWlkW', '2021-04-05 20:39:48.425484', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'D', '2021-04-05 19:43:04.984065', '', '', NULL);
INSERT INTO public.users_history VALUES (974, 28, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$BjExFKSRcwLAeWEtDDxqGujQK.hhKrrkjS/.75rHtqPn//Xa5GDZ2', '2021-04-05 20:43:11.345842', true, NULL, false, 'SKNyIrhHgsDrXP3N0oZTc1Vg', NULL, NULL, NULL, NULL, 'I', '2021-04-05 20:43:11.345228', '', '', NULL);
INSERT INTO public.users_history VALUES (975, 28, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$BjExFKSRcwLAeWEtDDxqGujQK.hhKrrkjS/.75rHtqPn//Xa5GDZ2', '2021-04-05 20:43:11.345842', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'U', '2021-04-05 20:43:33.029236', 'amurkes@loylabs.ru', 'amurkes@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (976, 28, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$BjExFKSRcwLAeWEtDDxqGujQK.hhKrrkjS/.75rHtqPn//Xa5GDZ2', '2021-04-05 20:43:11.345842', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'U', '2021-04-05 20:43:33.036838', 'amurkes@loylabs.ru', 'amurkes@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (977, 28, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$BjExFKSRcwLAeWEtDDxqGujQK.hhKrrkjS/.75rHtqPn//Xa5GDZ2', '2021-04-05 20:43:11.345842', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'D', '2021-04-05 20:09:56.694463', '', '', NULL);
INSERT INTO public.users_history VALUES (978, 29, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$LRVdiHd895LZYAViG08JRevXr9OsSMgxLumuJA5QSxKipWtFdfXIO', '2021-04-05 21:10:10.562916', true, NULL, false, 'YLiKHvaEizdT4UcfzdeisiYX', NULL, NULL, NULL, NULL, 'I', '2021-04-05 21:10:10.5623', '', '', NULL);
INSERT INTO public.users_history VALUES (979, 29, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$LRVdiHd895LZYAViG08JRevXr9OsSMgxLumuJA5QSxKipWtFdfXIO', '2021-04-05 21:10:10.562916', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'U', '2021-04-05 21:10:32.866751', 'amurkes@loylabs.ru', 'amurkes@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (980, 29, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$LRVdiHd895LZYAViG08JRevXr9OsSMgxLumuJA5QSxKipWtFdfXIO', '2021-04-05 21:10:10.562916', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'U', '2021-04-05 21:10:32.866799', 'amurkes@loylabs.ru', 'amurkes@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (981, 29, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$LRVdiHd895LZYAViG08JRevXr9OsSMgxLumuJA5QSxKipWtFdfXIO', '2021-04-05 21:10:10.562916', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'D', '2021-04-05 20:22:39.662', '', '', NULL);
INSERT INTO public.users_history VALUES (982, 30, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$I39cwQBLzfigY1LmUI7.6OEj8cMsAsMA8ESHNcpDfxxJxHzX.gGJ6', '2021-04-05 21:22:48.909515', true, NULL, false, 'g6muSBqFUSTQdkXJwbr4At60', NULL, NULL, NULL, NULL, 'I', '2021-04-05 21:22:48.908914', '', '', NULL);
INSERT INTO public.users_history VALUES (983, 30, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$I39cwQBLzfigY1LmUI7.6OEj8cMsAsMA8ESHNcpDfxxJxHzX.gGJ6', '2021-04-05 21:22:48.909515', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'U', '2021-04-05 21:26:24.469788', 'amurkes@loylabs.ru', 'amurkes@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (984, 30, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$I39cwQBLzfigY1LmUI7.6OEj8cMsAsMA8ESHNcpDfxxJxHzX.gGJ6', '2021-04-05 21:22:48.909515', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'D', '2021-04-05 20:26:56.967247', '', '', NULL);
INSERT INTO public.users_history VALUES (985, 31, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$41JyXZB9u38I/O3OKzEKp.r3.D8OnKlM08V9CN6q8T/2fJN3Bl4Jy', '2021-04-05 21:27:00.810905', true, NULL, false, 'ixmrvWQocrIzLHhig4erIxp7', NULL, NULL, NULL, NULL, 'I', '2021-04-05 21:27:00.810299', '', '', NULL);
INSERT INTO public.users_history VALUES (986, 31, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$41JyXZB9u38I/O3OKzEKp.r3.D8OnKlM08V9CN6q8T/2fJN3Bl4Jy', '2021-04-05 21:27:00.810905', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'U', '2021-04-05 21:27:17.522767', 'amurkes@loylabs.ru', 'amurkes@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (987, 31, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$41JyXZB9u38I/O3OKzEKp.r3.D8OnKlM08V9CN6q8T/2fJN3Bl4Jy', '2021-04-05 21:27:00.810905', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'D', '2021-04-05 20:32:49.925146', '', '', NULL);
INSERT INTO public.users_history VALUES (988, 32, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$/2jvkLaVXLOFW7.APD0gg.JcsRIL0i5q6.LNxc4buaQTyDHElsHS6', '2021-04-05 21:33:04.299104', true, NULL, false, 'Vi2DNcpPgvQCRoTz740Sddy2', NULL, NULL, NULL, NULL, 'I', '2021-04-05 21:33:04.298496', '', '', NULL);
INSERT INTO public.users_history VALUES (989, 32, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$/2jvkLaVXLOFW7.APD0gg.JcsRIL0i5q6.LNxc4buaQTyDHElsHS6', '2021-04-05 21:33:04.299104', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'U', '2021-04-05 21:33:22.065122', 'amurkes@loylabs.ru', 'amurkes@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (990, 32, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$/2jvkLaVXLOFW7.APD0gg.JcsRIL0i5q6.LNxc4buaQTyDHElsHS6', '2021-04-05 21:33:04.299104', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'D', '2021-04-06 11:31:54.111839', '', '', NULL);
INSERT INTO public.users_history VALUES (991, 33, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$.rKpeYjkwjis/B46Zu1vr.dJqGXVh35cqJVcH9ryFbFoI7hvS/y9S', '2021-04-06 12:48:06.081391', true, NULL, false, 'asiD827lN1qAnrVubrL19Z2g', NULL, NULL, NULL, NULL, 'I', '2021-04-06 12:48:06.080801', '', '', NULL);
INSERT INTO public.users_history VALUES (992, 33, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$.rKpeYjkwjis/B46Zu1vr.dJqGXVh35cqJVcH9ryFbFoI7hvS/y9S', '2021-04-06 12:48:06.081391', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'U', '2021-04-06 12:52:48.742878', 'amurkes@loylabs.ru', 'amurkes@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (993, 33, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$.rKpeYjkwjis/B46Zu1vr.dJqGXVh35cqJVcH9ryFbFoI7hvS/y9S', '2021-04-06 12:48:06.081391', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'D', '2021-04-06 11:54:36.797132', '', '', NULL);
INSERT INTO public.users_history VALUES (994, 34, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$W/o8ejdC01g3N/IIJggZcOwuBe07yK30CKBUl0aDjnmc4X7PIbU42', '2021-04-06 12:54:40.8989', true, NULL, false, '89QtForzYhTWl3tMDcE8uxtw', NULL, NULL, NULL, NULL, 'I', '2021-04-06 12:54:40.898222', '', '', NULL);
INSERT INTO public.users_history VALUES (995, 34, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$W/o8ejdC01g3N/IIJggZcOwuBe07yK30CKBUl0aDjnmc4X7PIbU42', '2021-04-06 12:54:40.8989', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'U', '2021-04-06 13:18:34.016917', 'amurkes@loylabs.ru', 'amurkes@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (996, 34, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$W/o8ejdC01g3N/IIJggZcOwuBe07yK30CKBUl0aDjnmc4X7PIbU42', '2021-04-06 12:54:40.8989', true, NULL, true, NULL, NULL, NULL, NULL, NULL, 'D', '2021-04-06 12:57:24.681381', '', '', NULL);
INSERT INTO public.users_history VALUES (997, 35, 'amurkes@loylabs.ru', NULL, '{bcrypt}$2a$10$6x9lUEc9BZOYWuiZWw.Cnewcnt0zPF/bQSZTfN53YiJNfHYNKTitu', '2021-04-06 13:57:28.146416', true, NULL, false, 'g7oXRML1KIqIRkqb2dsfRjFk', NULL, NULL, NULL, NULL, 'I', '2021-04-06 13:57:28.145785', '', '', NULL);
INSERT INTO public.users_history VALUES (1018, 3, 'editor@mail.ru', '9999999999', '{bcrypt}$2a$10$zaagAEUUGC0RMNCEHCUB8.Spzvhh1wCLi8M77OU4UJxYhCmUX/WDO', '2020-10-08 21:42:14.115624', true, 1, false, '6Qccg2happmWIdkLv6DNGg1Q', NULL, 'Редактор', 'Вопросов', 'И тем', 'U', '2020-12-03 15:26:13.962789', 'editor@mail.rup', 'editor@mail.rup', NULL);
INSERT INTO public.users_history VALUES (1019, 3, 'editor@loylabs.ru', NULL, '{bcrypt}$2a$10$zaagAEUUGC0RMNCEHCUB8.Spzvhh1wCLi8M77OU4UJxYhCmUX/WDO', '2020-10-08 21:42:14.115624', true, 1, false, '6Qccg2happmWIdkLv6DNGg1Q', NULL, NULL, NULL, NULL, 'U', '2021-04-15 10:51:00.759962', 'editor@mail.ru', 'editor@mail.ru', NULL);
INSERT INTO public.users_history VALUES (1037, 3, 'editor@loylabs.ru', NULL, '{bcrypt}$2a$10$Nb1P/Yry/7NI9EBKcFLNwuT8bF0ecJAsPpQEQF7oV6Z5h2EUVcRKm', '2020-10-08 21:42:14.115624', true, 1, false, '6Qccg2happmWIdkLv6DNGg1Q', NULL, NULL, NULL, NULL, 'U', '2021-04-15 10:52:13.572978', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (1038, 3, 'editor@loylabs.ru', NULL, '{bcrypt}$2a$10$Nb1P/Yry/7NI9EBKcFLNwuT8bF0ecJAsPpQEQF7oV6Z5h2EUVcRKm', '2020-10-08 21:42:14.115624', true, 1, false, '6Qccg2happmWIdkLv6DNGg1Q', NULL, 'Ivan', NULL, NULL, 'U', '2021-04-15 14:10:02.298341', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (1039, 3, 'editor@loylabs.ru', NULL, '{bcrypt}$2a$10$Nb1P/Yry/7NI9EBKcFLNwuT8bF0ecJAsPpQEQF7oV6Z5h2EUVcRKm', '2020-10-08 21:42:14.115624', true, 1, false, '6Qccg2happmWIdkLv6DNGg1Q', NULL, 'Ivan', 'abc', NULL, 'U', '2021-04-15 14:12:21.097429', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (1040, 3, 'editor@loylabs.ru', NULL, '{bcrypt}$2a$10$Nb1P/Yry/7NI9EBKcFLNwuT8bF0ecJAsPpQEQF7oV6Z5h2EUVcRKm', '2020-10-08 21:42:14.115624', true, 1, false, '6Qccg2happmWIdkLv6DNGg1Q', NULL, 'Ivan', 'abc', 'aa', 'U', '2021-04-15 14:16:54.349372', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (1041, 3, 'editor@loylabs.ru', NULL, '{bcrypt}$2a$10$8.sCyGan0kxMenV8CwwSouC/SXg7iVjYonKTkRTlV7H4nCvtLmiXO', '2020-10-08 21:42:14.115624', true, 1, false, '6Qccg2happmWIdkLv6DNGg1Q', NULL, NULL, NULL, NULL, 'U', '2021-04-15 14:19:12.125155', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (1042, 3, 'editor@loylabs.ru', NULL, '{bcrypt}$2a$10$8.sCyGan0kxMenV8CwwSouC/SXg7iVjYonKTkRTlV7H4nCvtLmiXO', '2020-10-08 21:42:14.115624', true, 1, false, '6Qccg2happmWIdkLv6DNGg1Q', NULL, 'Ivan', NULL, NULL, 'U', '2021-04-15 14:26:21.626888', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (1043, 3, 'editor@loylabs.ru', NULL, '{bcrypt}$2a$10$ic.6LZOh2sm.m7oipvVw/OcneQ2jp/clMkVhdkNRwN4y5/MWIeHwC', '2020-10-08 21:42:14.115624', true, 1, false, '6Qccg2happmWIdkLv6DNGg1Q', NULL, 'Ivan', NULL, NULL, 'U', '2021-04-15 14:26:28.213485', 'editor@loylabs.ru', 'editor@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (1044, 16, 'mmeleshko@loylabs.ru', NULL, '{bcrypt}$2a$10$RSdJgu8bLwWDOGa.iGEl5e1xQ3AgKSxZMREUCwXdL6c9vpEAmumdO', '2020-12-03 17:31:06.224415', true, 2, false, '5v0EOKwuMA9yjh6SdMAC4Oxw', NULL, NULL, NULL, NULL, 'I', '2020-12-03 17:31:06.223169', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (1045, 16, 'mmeleshko@loylabs.ru', NULL, '{bcrypt}$2a$10$RSdJgu8bLwWDOGa.iGEl5e1xQ3AgKSxZMREUCwXdL6c9vpEAmumdO', '2020-12-03 17:31:06.224415', true, 2, false, '5v0EOKwuMA9yjh6SdMAC4Oxw', NULL, NULL, NULL, NULL, 'D', '2021-04-16 13:42:04.303827', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (1144, 22, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$5MHHZ1yGf5rhw/qiq9wPD.V1sISzzz9dBL5iP66LT5yk9WkH0gWI2', '2020-12-28 15:05:02.79846', true, 2, false, 'wd5XrdFmBQsTLPqGiC1WTFB4', NULL, NULL, NULL, NULL, 'I', '2020-12-28 15:05:02.797158', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);
INSERT INTO public.users_history VALUES (1145, 22, 'ada103@yandex.ru', NULL, '{bcrypt}$2a$10$5MHHZ1yGf5rhw/qiq9wPD.V1sISzzz9dBL5iP66LT5yk9WkH0gWI2', '2020-12-28 15:05:02.79846', true, 2, false, 'wd5XrdFmBQsTLPqGiC1WTFB4', NULL, NULL, NULL, NULL, 'D', '2022-01-18 12:29:06.42282', 'atrohochevskaya@loylabs.ru', 'atrohochevskaya@loylabs.ru', NULL);


--
-- Name: answer_seq; Type: SEQUENCE SET; Schema: public; Owner: dbu_testlab
--

SELECT pg_catalog.setval('public.answer_seq', 5667, true);


--
-- Name: candidate_answer_seq; Type: SEQUENCE SET; Schema: public; Owner: dbu_testlab
--

SELECT pg_catalog.setval('public.candidate_answer_seq', 63889, true);


--
-- Name: candidate_question_seq; Type: SEQUENCE SET; Schema: public; Owner: dbu_testlab
--

SELECT pg_catalog.setval('public.candidate_question_seq', 14219, true);


--
-- Name: candidate_test_seq; Type: SEQUENCE SET; Schema: public; Owner: dbu_testlab
--

SELECT pg_catalog.setval('public.candidate_test_seq', 652, true);


--
-- Name: company_infos_seq; Type: SEQUENCE SET; Schema: public; Owner: dbu_testlab
--

SELECT pg_catalog.setval('public.company_infos_seq', 6, true);


--
-- Name: history_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dbu_testlab
--

SELECT pg_catalog.setval('public.history_id_seq', 1988, true);


--
-- Name: order_seq; Type: SEQUENCE SET; Schema: public; Owner: dbu_testlab
--

SELECT pg_catalog.setval('public.order_seq', 13, true);


--
-- Name: question_seq; Type: SEQUENCE SET; Schema: public; Owner: dbu_testlab
--

SELECT pg_catalog.setval('public.question_seq', 1101, true);


--
-- Name: rates_seq; Type: SEQUENCE SET; Schema: public; Owner: dbu_testlab
--

SELECT pg_catalog.setval('public.rates_seq', 5, true);


--
-- Name: result_codes_seq; Type: SEQUENCE SET; Schema: public; Owner: dbu_testlab
--

SELECT pg_catalog.setval('public.result_codes_seq', 180, true);


--
-- Name: section_seq; Type: SEQUENCE SET; Schema: public; Owner: dbu_testlab
--

SELECT pg_catalog.setval('public.section_seq', 15, true);


--
-- Name: test_seq; Type: SEQUENCE SET; Schema: public; Owner: dbu_testlab
--

SELECT pg_catalog.setval('public.test_seq', 102, true);


--
-- Name: topic_seq; Type: SEQUENCE SET; Schema: public; Owner: dbu_testlab
--

SELECT pg_catalog.setval('public.topic_seq', 23, true);


--
-- Name: user_seq; Type: SEQUENCE SET; Schema: public; Owner: dbu_testlab
--

SELECT pg_catalog.setval('public.user_seq', 65, true);


--
-- Name: accounts accounts_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.accounts
    ADD CONSTRAINT accounts_pkey PRIMARY KEY (user_id);


--
-- Name: answers_history answers_history_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.answers_history
    ADD CONSTRAINT answers_history_pkey PRIMARY KEY (history_id);


--
-- Name: answers answers_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.answers
    ADD CONSTRAINT answers_pkey PRIMARY KEY (id);


--
-- Name: candidate_answers candidate_answers_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.candidate_answers
    ADD CONSTRAINT candidate_answers_pkey PRIMARY KEY (id);


--
-- Name: candidate_questions candidate_questions_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.candidate_questions
    ADD CONSTRAINT candidate_questions_pkey PRIMARY KEY (id);


--
-- Name: candidate_tests candidate_tests_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.candidate_tests
    ADD CONSTRAINT candidate_tests_pkey PRIMARY KEY (id);


--
-- Name: company_infos_history company_infos_history_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.company_infos_history
    ADD CONSTRAINT company_infos_history_pkey PRIMARY KEY (history_id);


--
-- Name: company_infos company_infos_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.company_infos
    ADD CONSTRAINT company_infos_pkey PRIMARY KEY (id);


--
-- Name: flyway_schema_history flyway_schema_history_pk; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.flyway_schema_history
    ADD CONSTRAINT flyway_schema_history_pk PRIMARY KEY (installed_rank);


--
-- Name: orders_history orders_history_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.orders_history
    ADD CONSTRAINT orders_history_pkey PRIMARY KEY (history_id);


--
-- Name: orders orders_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.orders
    ADD CONSTRAINT orders_pkey PRIMARY KEY (id);


--
-- Name: questions_history questions_history_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.questions_history
    ADD CONSTRAINT questions_history_pkey PRIMARY KEY (history_id);


--
-- Name: questions questions_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.questions
    ADD CONSTRAINT questions_pkey PRIMARY KEY (id);


--
-- Name: rates_history rates_history_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.rates_history
    ADD CONSTRAINT rates_history_pkey PRIMARY KEY (history_id);


--
-- Name: rates rates_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.rates
    ADD CONSTRAINT rates_pkey PRIMARY KEY (id);


--
-- Name: result_codes result_codes_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.result_codes
    ADD CONSTRAINT result_codes_pkey PRIMARY KEY (id);


--
-- Name: sections_history sections_history_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.sections_history
    ADD CONSTRAINT sections_history_pkey PRIMARY KEY (history_id);


--
-- Name: sections sections_name_idx; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.sections
    ADD CONSTRAINT sections_name_idx UNIQUE (name);


--
-- Name: sections sections_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.sections
    ADD CONSTRAINT sections_pkey PRIMARY KEY (id);


--
-- Name: sys_params_history sys_params_history_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.sys_params_history
    ADD CONSTRAINT sys_params_history_pkey PRIMARY KEY (history_id);


--
-- Name: sys_params sys_params_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.sys_params
    ADD CONSTRAINT sys_params_pkey PRIMARY KEY (sys_params_id);


--
-- Name: test_questions test_question_idx; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.test_questions
    ADD CONSTRAINT test_question_idx UNIQUE (test_id, question_id);


--
-- Name: tests_history tests_history_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.tests_history
    ADD CONSTRAINT tests_history_pkey PRIMARY KEY (history_id);


--
-- Name: tests tests_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.tests
    ADD CONSTRAINT tests_pkey PRIMARY KEY (id);


--
-- Name: topics_history topics_history_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.topics_history
    ADD CONSTRAINT topics_history_pkey PRIMARY KEY (history_id);


--
-- Name: topics topics_name_idx; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.topics
    ADD CONSTRAINT topics_name_idx UNIQUE (name);


--
-- Name: topics topics_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.topics
    ADD CONSTRAINT topics_pkey PRIMARY KEY (id);


--
-- Name: user_roles user_roles_idx; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.user_roles
    ADD CONSTRAINT user_roles_idx UNIQUE (user_id, role);


--
-- Name: users_history users_history_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.users_history
    ADD CONSTRAINT users_history_pkey PRIMARY KEY (history_id);


--
-- Name: users users_pkey; Type: CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.users
    ADD CONSTRAINT users_pkey PRIMARY KEY (id);


--
-- Name: candidate_tests_link_code_idx; Type: INDEX; Schema: public; Owner: dbu_testlab
--

CREATE UNIQUE INDEX candidate_tests_link_code_idx ON public.candidate_tests USING btree (link_code);


--
-- Name: flyway_schema_history_s_idx; Type: INDEX; Schema: public; Owner: dbu_testlab
--

CREATE INDEX flyway_schema_history_s_idx ON public.flyway_schema_history USING btree (success);


--
-- Name: result_codes_unique_code_idx; Type: INDEX; Schema: public; Owner: dbu_testlab
--

CREATE UNIQUE INDEX result_codes_unique_code_idx ON public.result_codes USING btree (code);


--
-- Name: users_unique_email_idx; Type: INDEX; Schema: public; Owner: dbu_testlab
--

CREATE UNIQUE INDEX users_unique_email_idx ON public.users USING btree (email);


--
-- Name: users_unique_phone_idx; Type: INDEX; Schema: public; Owner: dbu_testlab
--

CREATE UNIQUE INDEX users_unique_phone_idx ON public.users USING btree (phone);


--
-- Name: answers trg_answers_history; Type: TRIGGER; Schema: public; Owner: dbu_testlab
--

CREATE TRIGGER trg_answers_history BEFORE INSERT OR DELETE OR UPDATE ON public.answers FOR EACH ROW EXECUTE FUNCTION public.trgf_all_history();


--
-- Name: company_infos trg_company_infos_history; Type: TRIGGER; Schema: public; Owner: dbu_testlab
--

CREATE TRIGGER trg_company_infos_history BEFORE INSERT OR DELETE OR UPDATE ON public.company_infos FOR EACH ROW EXECUTE FUNCTION public.trgf_all_history();


--
-- Name: orders trg_orders_history; Type: TRIGGER; Schema: public; Owner: dbu_testlab
--

CREATE TRIGGER trg_orders_history BEFORE INSERT OR DELETE OR UPDATE ON public.orders FOR EACH ROW EXECUTE FUNCTION public.trgf_all_history();


--
-- Name: questions trg_questions_history; Type: TRIGGER; Schema: public; Owner: dbu_testlab
--

CREATE TRIGGER trg_questions_history BEFORE INSERT OR DELETE OR UPDATE ON public.questions FOR EACH ROW EXECUTE FUNCTION public.trgf_all_history();


--
-- Name: rates trg_rates_history; Type: TRIGGER; Schema: public; Owner: dbu_testlab
--

CREATE TRIGGER trg_rates_history BEFORE INSERT OR DELETE OR UPDATE ON public.rates FOR EACH ROW EXECUTE FUNCTION public.trgf_all_history();


--
-- Name: sections trg_sections_history; Type: TRIGGER; Schema: public; Owner: dbu_testlab
--

CREATE TRIGGER trg_sections_history BEFORE INSERT OR DELETE OR UPDATE ON public.sections FOR EACH ROW EXECUTE FUNCTION public.trgf_all_history();


--
-- Name: sys_params trg_sys_params_history; Type: TRIGGER; Schema: public; Owner: dbu_testlab
--

CREATE TRIGGER trg_sys_params_history BEFORE INSERT OR DELETE OR UPDATE ON public.sys_params FOR EACH ROW EXECUTE FUNCTION public.trgf_all_history();


--
-- Name: tests trg_tests_history; Type: TRIGGER; Schema: public; Owner: dbu_testlab
--

CREATE TRIGGER trg_tests_history BEFORE INSERT OR DELETE OR UPDATE ON public.tests FOR EACH ROW EXECUTE FUNCTION public.trgf_all_history();


--
-- Name: topics trg_topics_history; Type: TRIGGER; Schema: public; Owner: dbu_testlab
--

CREATE TRIGGER trg_topics_history BEFORE INSERT OR DELETE OR UPDATE ON public.topics FOR EACH ROW EXECUTE FUNCTION public.trgf_all_history();


--
-- Name: users trg_users_fix_zero; Type: TRIGGER; Schema: public; Owner: dbu_testlab
--

CREATE TRIGGER trg_users_fix_zero BEFORE INSERT OR UPDATE ON public.users FOR EACH ROW EXECUTE FUNCTION public.trgf_users_fix_zero();


--
-- Name: users trg_users_history; Type: TRIGGER; Schema: public; Owner: dbu_testlab
--

CREATE TRIGGER trg_users_history BEFORE INSERT OR DELETE OR UPDATE ON public.users FOR EACH ROW EXECUTE FUNCTION public.trgf_all_history();

ALTER TABLE public.users DISABLE TRIGGER trg_users_history;


--
-- Name: accounts accounts_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.accounts
    ADD CONSTRAINT accounts_user_id_fkey FOREIGN KEY (user_id) REFERENCES public.users(id) ON DELETE CASCADE;


--
-- Name: answers answers_question_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.answers
    ADD CONSTRAINT answers_question_id_fkey FOREIGN KEY (question_id) REFERENCES public.questions(id) ON DELETE CASCADE;


--
-- Name: candidate_answers candidate_answers_candidate_question_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.candidate_answers
    ADD CONSTRAINT candidate_answers_candidate_question_id_fkey FOREIGN KEY (candidate_question_id) REFERENCES public.candidate_questions(id) ON DELETE CASCADE;


--
-- Name: candidate_questions candidate_questions_candidate_test_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.candidate_questions
    ADD CONSTRAINT candidate_questions_candidate_test_id_fkey FOREIGN KEY (candidate_test_id) REFERENCES public.candidate_tests(id) ON DELETE CASCADE;


--
-- Name: candidate_tests candidate_tests_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.candidate_tests
    ADD CONSTRAINT candidate_tests_user_id_fkey FOREIGN KEY (user_id) REFERENCES public.users(id) ON DELETE CASCADE;


--
-- Name: orders orders_rate_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.orders
    ADD CONSTRAINT orders_rate_id_fkey FOREIGN KEY (rate_id) REFERENCES public.rates(id);


--
-- Name: orders orders_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.orders
    ADD CONSTRAINT orders_user_id_fkey FOREIGN KEY (user_id) REFERENCES public.users(id);


--
-- Name: questions questions_topic_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.questions
    ADD CONSTRAINT questions_topic_id_fkey FOREIGN KEY (topic_id) REFERENCES public.topics(id) ON DELETE CASCADE;


--
-- Name: result_codes result_codes_candidate_test_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.result_codes
    ADD CONSTRAINT result_codes_candidate_test_id_fkey FOREIGN KEY (candidate_test_id) REFERENCES public.candidate_tests(id);


--
-- Name: test_questions test_questions_question_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.test_questions
    ADD CONSTRAINT test_questions_question_id_fkey FOREIGN KEY (question_id) REFERENCES public.questions(id) ON DELETE CASCADE;


--
-- Name: test_questions test_questions_test_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.test_questions
    ADD CONSTRAINT test_questions_test_id_fkey FOREIGN KEY (test_id) REFERENCES public.tests(id) ON DELETE CASCADE;


--
-- Name: tests tests_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.tests
    ADD CONSTRAINT tests_user_id_fkey FOREIGN KEY (user_id) REFERENCES public.users(id) ON DELETE CASCADE;


--
-- Name: topics topics_section_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.topics
    ADD CONSTRAINT topics_section_id_fkey FOREIGN KEY (section_id) REFERENCES public.sections(id) ON DELETE CASCADE;


--
-- Name: user_roles user_roles_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.user_roles
    ADD CONSTRAINT user_roles_user_id_fkey FOREIGN KEY (user_id) REFERENCES public.users(id) ON DELETE CASCADE;


--
-- Name: users users_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dbu_testlab
--

ALTER TABLE ONLY public.users
    ADD CONSTRAINT users_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES public.users(id);


--
-- PostgreSQL database dump complete
--

